(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(declare-fun y1 () (_ BitVec 32))
(declare-fun y2 () (_ BitVec 32))
(declare-fun y3 () (_ BitVec 32))
(declare-fun y4 () (_ BitVec 32))
(declare-fun x1 () (_ BitVec 32))
(assert (exists ((?y1 (_ BitVec 32))) (exists ((?y2 (_ BitVec 32))) (and (or (forall ((?y3 (_ BitVec 32))) (and (or (and (forall ((?y4 (_ BitVec 32))) (and (bvsge (bvadd (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv54 32)) ?y4) (bvmul (bvneg (_ bv14 32)) ?y3)) (bvmul (_ bv46 32) ?y2)) (bvmul (bvneg (_ bv77 32)) ?y1)) (bvmul (bvneg (_ bv48 32)) x1)) (_ bv64 32)) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv39 32)) ?y4) (bvmul (bvneg (_ bv29 32)) ?y3)) (bvmul (bvneg (_ bv70 32)) x1)) (_ bv32 32)))) (and (= (bvadd (bvmul (bvneg (_ bv4 32)) ?y1) (bvmul (_ bv9 32) x1)) (bvneg (_ bv30 32))) (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv44 32)) ?y3) (bvmul (_ bv81 32) ?y2)) (bvmul (_ bv29 32) ?y1)) (bvmul (bvneg (_ bv19 32)) x1)) (_ bv84 32)))) (or (and (bvsle (bvadd (bvmul (_ bv17 32) ?y1) (bvmul (bvneg (_ bv11 32)) x1)) (_ bv0 32)) (bvslt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv74 32)) ?y3) (bvmul (bvneg (_ bv66 32)) ?y2)) (bvmul (bvneg (_ bv46 32)) ?y1)) (bvmul (_ bv52 32) x1)) (_ bv25 32))) (not (= (bvadd (bvadd (bvmul (_ bv42 32) ?y3) (bvmul (bvneg (_ bv2 32)) ?y2)) (bvmul (_ bv7 32) x1)) (_ bv36 32))))) (or (and (or (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv41 32)) ?y2) (bvmul (bvneg (_ bv1 32)) ?y1)) (bvmul (_ bv62 32) x1)) (_ bv0 32)) (bvsge (bvadd (bvadd (bvadd (bvmul (_ bv10 32) ?y3) (bvmul (_ bv17 32) ?y2)) (bvmul (bvneg (_ bv74 32)) ?y1)) (bvmul (bvneg (_ bv79 32)) x1)) (bvneg (_ bv14 32)))) (or (= (bvadd (bvmul (_ bv95 32) ?y3) (bvmul (bvneg (_ bv88 32)) ?y2)) (bvneg (_ bv24 32))) (bvsgt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv15 32)) ?y3) (bvmul (bvneg (_ bv37 32)) ?y2)) (bvmul (bvneg (_ bv63 32)) ?y1)) (bvmul (_ bv27 32) x1)) (bvneg (_ bv79 32))))) (or (and (not (= (bvadd (bvadd (bvmul (bvneg (_ bv55 32)) ?y3) (bvmul (bvneg (_ bv40 32)) ?y2)) (bvmul (bvneg (_ bv35 32)) x1)) (_ bv0 32))) (bvsgt (bvmul (_ bv59 32) ?y1) (_ bv80 32))) (or (bvslt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv34 32)) ?y3) (bvmul (bvneg (_ bv4 32)) ?y2)) (bvmul (_ bv46 32) ?y1)) (bvmul (bvneg (_ bv32 32)) x1)) (bvneg (_ bv80 32))) (bvslt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv77 32)) ?y3) (bvmul (_ bv21 32) ?y2)) (bvmul (_ bv30 32) ?y1)) (bvmul (bvneg (_ bv100 32)) x1)) (_ bv19 32))))))) (and (and (and (exists ((?y4 (_ BitVec 32))) (and (= (bvadd (bvmul (_ bv75 32) ?y4) (bvmul (bvneg (_ bv19 32)) x1)) (bvneg (_ bv93 32))) (bvsle (bvadd (bvadd (bvadd (bvmul (_ bv1 32) ?y4) (bvmul (bvneg (_ bv38 32)) ?y2)) (bvmul (_ bv15 32) ?y1)) (bvmul (_ bv38 32) x1)) (_ bv0 32)))) (and (not (= (bvadd (bvadd (bvmul (_ bv61 32) ?y2) (bvmul (_ bv31 32) ?y1)) (bvmul (bvneg (_ bv3 32)) x1)) (bvneg (_ bv33 32)))) (bvsgt (bvmul (bvneg (_ bv91 32)) ?y1) (_ bv0 32)))) (exists ((?y4 (_ BitVec 32))) (and (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv82 32)) ?y4) (bvmul (_ bv39 32) ?y1)) (bvmul (bvneg (_ bv88 32)) x1)) (bvneg (_ bv95 32))) (bvsgt (bvmul (_ bv86 32) ?y1) (bvneg (_ bv21 32)))))) (exists ((?y4 (_ BitVec 32))) (and (and (and (bvsle (bvadd (bvadd (bvmul (_ bv32 32) ?y4) (bvmul (_ bv35 32) ?y1)) (bvmul (bvneg (_ bv84 32)) x1)) (_ bv0 32)) (not (= (bvadd (bvadd (bvmul (bvneg (_ bv21 32)) ?y4) (bvmul (_ bv8 32) ?y1)) (bvmul (_ bv53 32) x1)) (_ bv23 32)))) (or (bvsle (bvadd (bvadd (bvmul (_ bv50 32) ?y4) (bvmul (_ bv94 32) ?y2)) (bvmul (bvneg (_ bv55 32)) x1)) (bvneg (_ bv69 32))) (bvsge (bvadd (bvmul (bvneg (_ bv53 32)) ?y2) (bvmul (_ bv94 32) x1)) (_ bv0 32)))) (or (and (bvslt (bvadd (bvmul (bvneg (_ bv100 32)) ?y2) (bvmul (bvneg (_ bv10 32)) x1)) (bvneg (_ bv35 32))) (= (bvadd (bvadd (bvadd (bvmul (_ bv37 32) ?y4) (bvmul (bvneg (_ bv22 32)) ?y2)) (bvmul (_ bv89 32) ?y1)) (bvmul (bvneg (_ bv9 32)) x1)) (bvneg (_ bv63 32)))) (bvslt (bvadd (bvadd (bvmul (_ bv88 32) ?y2) (bvmul (_ bv2 32) ?y1)) (bvmul (bvneg (_ bv31 32)) x1)) (_ bv46 32))))))) (exists ((?y3 (_ BitVec 32))) (exists ((?y4 (_ BitVec 32))) (or (and (or (not (= (bvadd (bvmul (bvneg (_ bv61 32)) ?y4) (bvmul (bvneg (_ bv62 32)) ?y2)) (_ bv51 32))) (bvsle (bvadd (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv13 32)) ?y4) (bvmul (bvneg (_ bv56 32)) ?y3)) (bvmul (bvneg (_ bv73 32)) ?y2)) (bvmul (bvneg (_ bv15 32)) ?y1)) (bvmul (bvneg (_ bv51 32)) x1)) (bvneg (_ bv7 32)))) (or (not (= (bvadd (bvadd (bvadd (bvmul (_ bv8 32) ?y4) (bvmul (bvneg (_ bv71 32)) ?y3)) (bvmul (bvneg (_ bv12 32)) ?y2)) (bvmul (bvneg (_ bv46 32)) ?y1)) (bvneg (_ bv66 32)))) (not (= (bvadd (bvadd (bvadd (bvadd (bvmul (_ bv65 32) ?y4) (bvmul (bvneg (_ bv77 32)) ?y3)) (bvmul (bvneg (_ bv14 32)) ?y2)) (bvmul (bvneg (_ bv85 32)) ?y1)) (bvmul (_ bv86 32) x1)) (bvneg (_ bv66 32)))))) (or (and (= (bvmul (bvneg (_ bv25 32)) ?y1) (bvneg (_ bv85 32))) (not (= (bvadd (bvadd (bvadd (bvadd (bvmul (_ bv74 32) ?y4) (bvmul (bvneg (_ bv81 32)) ?y3)) (bvmul (bvneg (_ bv95 32)) ?y2)) (bvmul (_ bv76 32) ?y1)) (bvmul (_ bv10 32) x1)) (_ bv33 32)))) (and (= (bvadd (bvadd (bvadd (bvadd (bvmul (_ bv80 32) ?y4) (bvmul (bvneg (_ bv95 32)) ?y3)) (bvmul (bvneg (_ bv98 32)) ?y2)) (bvmul (bvneg (_ bv16 32)) ?y1)) (bvmul (bvneg (_ bv19 32)) x1)) (_ bv11 32)) (bvsle (bvadd (bvadd (bvadd (bvadd (bvmul (_ bv21 32) ?y4) (bvmul (bvneg (_ bv8 32)) ?y3)) (bvmul (bvneg (_ bv53 32)) ?y2)) (bvmul (_ bv57 32) ?y1)) (bvmul (bvneg (_ bv6 32)) x1)) (_ bv5 32)))))))))))
(check-sat)
(exit)
