(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(declare-fun y1 () (_ BitVec 32))
(declare-fun y2 () (_ BitVec 32))
(declare-fun y4 () (_ BitVec 32))
(declare-fun y6 () (_ BitVec 32))
(declare-fun x1 () (_ BitVec 32))
(declare-fun y5 () (_ BitVec 32))
(assert (forall ((?y1 (_ BitVec 32))) (exists ((?y2 (_ BitVec 32))) (or (exists ((?y4 (_ BitVec 32))) (forall ((?y6 (_ BitVec 32))) (let ((?v_2 (bvmul (_ bv24 32) x1)) (?v_1 (bvmul (_ bv20 32) ?y2)) (?v_0 (bvmul (bvneg (_ bv48 32)) ?y2))) (or (and (or (and (bvslt (bvadd (bvadd (bvadd (bvmul (_ bv77 32) ?y6) (bvmul (bvneg (_ bv85 32)) ?y4)) (bvmul (bvneg (_ bv72 32)) ?y2)) (bvmul (bvneg (_ bv52 32)) ?y1)) (bvneg (_ bv77 32))) (and (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv16 32)) ?y6) (bvmul (bvneg (_ bv5 32)) ?y4)) (bvmul (_ bv40 32) ?y2)) (bvmul (_ bv55 32) ?y1)) (bvneg (_ bv34 32))) (bvsge (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv95 32)) ?y6) (bvmul (bvneg (_ bv45 32)) ?y4)) (bvmul (_ bv17 32) ?y2)) (bvmul (_ bv76 32) x1)) (_ bv67 32)))) (or (and (bvsge (bvmul (bvneg (_ bv44 32)) ?y6) (bvneg (_ bv80 32))) (bvsle (bvadd (bvadd (bvadd (bvadd (bvmul (_ bv94 32) ?y6) (bvmul (_ bv64 32) ?y4)) (bvmul (_ bv95 32) ?y2)) (bvmul (bvneg (_ bv76 32)) ?y1)) ?v_2) (bvneg (_ bv13 32)))) (and (= (bvadd (bvadd (bvadd (bvadd (bvmul (_ bv59 32) ?y6) (bvmul (_ bv1 32) ?y4)) (bvmul (_ bv6 32) ?y2)) (bvmul (bvneg (_ bv10 32)) ?y1)) (bvmul (_ bv79 32) x1)) (bvneg (_ bv64 32))) (bvsgt (bvadd (bvadd (bvadd (bvadd (bvmul (_ bv37 32) ?y6) (bvmul (_ bv24 32) ?y4)) (bvmul (_ bv57 32) ?y2)) (bvmul (bvneg (_ bv56 32)) ?y1)) (bvmul (_ bv44 32) x1)) (_ bv0 32))))) (or (not (= (bvadd (bvadd (bvmul (bvneg (_ bv44 32)) ?y4) (bvmul (_ bv33 32) ?y2)) (bvmul (_ bv87 32) x1)) (_ bv69 32))) (not (= (bvadd (bvadd (bvadd (bvmul (_ bv70 32) ?y6) (bvmul (bvneg (_ bv32 32)) ?y4)) (bvmul (bvneg (_ bv6 32)) ?y1)) (bvmul (bvneg (_ bv67 32)) x1)) (_ bv48 32))))) (or (not (= (bvadd (bvadd (bvmul (bvneg (_ bv1 32)) ?y6) ?v_0) (bvmul (_ bv61 32) ?y1)) (_ bv0 32))) (and (or (or (= (bvadd (bvadd (bvmul (_ bv54 32) ?y6) (bvmul (_ bv47 32) ?y2)) (bvmul (_ bv63 32) x1)) (_ bv83 32)) (bvsge (bvadd (bvmul (_ bv21 32) ?y2) (bvmul (_ bv74 32) ?y1)) (_ bv46 32))) (not (= (bvadd (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv67 32)) ?y6) (bvmul (bvneg (_ bv47 32)) ?y4)) ?v_1) (bvmul (_ bv7 32) ?y1)) (bvmul (_ bv50 32) x1)) (_ bv14 32)))) (and (not (= (bvadd (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv60 32)) ?y6) (bvmul (bvneg (_ bv33 32)) ?y4)) ?v_0) (bvmul (_ bv39 32) ?y1)) (bvmul (_ bv47 32) x1)) (_ bv0 32))) (and (bvslt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv89 32)) ?y4) (bvmul (bvneg (_ bv64 32)) ?y2)) (bvmul (_ bv6 32) ?y1)) (bvmul (_ bv99 32) x1)) (bvneg (_ bv98 32))) (not (= (bvadd (bvadd (bvadd (bvadd (bvmul (_ bv95 32) ?y6) (bvmul (bvneg (_ bv6 32)) ?y4)) ?v_1) (bvmul (_ bv19 32) ?y1)) ?v_2) (_ bv12 32))))))))))) (and (and (forall ((?y5 (_ BitVec 32))) (exists ((?y6 (_ BitVec 32))) (and (or (and (bvsgt (bvadd (bvadd (bvmul (_ bv51 32) ?y6) (bvmul (_ bv61 32) ?y1)) (bvmul (_ bv98 32) x1)) (_ bv51 32)) (not (= (bvadd (bvadd (bvadd (bvadd (bvmul (_ bv24 32) ?y6) (bvmul (_ bv86 32) ?y5)) (bvmul (bvneg (_ bv49 32)) ?y2)) (bvmul (bvneg (_ bv6 32)) ?y1)) (bvmul (bvneg (_ bv96 32)) x1)) (_ bv3 32)))) (and (bvsge (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv37 32)) ?y6) (bvmul (_ bv16 32) ?y2)) (bvmul (bvneg (_ bv33 32)) ?y1)) (bvmul (_ bv29 32) x1)) (_ bv34 32)) (not (= (bvadd (bvadd (bvadd (bvmul (_ bv69 32) ?y5) (bvmul (bvneg (_ bv93 32)) ?y2)) (bvmul (_ bv4 32) ?y1)) (bvmul (bvneg (_ bv46 32)) x1)) (bvneg (_ bv78 32)))))) (and (and (bvslt (bvadd (bvadd (bvmul (_ bv51 32) ?y5) (bvmul (_ bv29 32) ?y2)) (bvmul (_ bv97 32) x1)) (bvneg (_ bv95 32))) (not (= (bvadd (bvadd (bvmul (bvneg (_ bv66 32)) ?y6) (bvmul (_ bv87 32) ?y5)) (bvmul (bvneg (_ bv71 32)) x1)) (_ bv69 32)))) (and (bvsgt (bvadd (bvmul (bvneg (_ bv67 32)) ?y6) (bvmul (_ bv44 32) ?y2)) (bvneg (_ bv54 32))) (bvsgt (bvadd (bvadd (bvmul (_ bv57 32) ?y6) (bvmul (bvneg (_ bv2 32)) ?y2)) (bvmul (bvneg (_ bv19 32)) x1)) (_ bv0 32))))))) (exists ((?y4 (_ BitVec 32))) (and (and (and (= (bvadd (bvadd (bvmul (_ bv53 32) ?y2) (bvmul (bvneg (_ bv5 32)) ?y1)) (bvmul (_ bv87 32) x1)) (_ bv24 32)) (bvsgt (bvadd (bvmul (bvneg (_ bv7 32)) ?y2) (bvmul (bvneg (_ bv95 32)) ?y1)) (bvneg (_ bv37 32)))) (or (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv40 32)) ?y4) (bvmul (bvneg (_ bv92 32)) ?y2)) (bvmul (_ bv69 32) ?y1)) (bvneg (_ bv17 32))) (bvsle (bvadd (bvmul (_ bv12 32) ?y4) (bvmul (_ bv43 32) x1)) (_ bv63 32)))) (or (not (= (bvadd (bvadd (bvmul (_ bv1 32) ?y4) (bvmul (_ bv20 32) ?y2)) (bvmul (bvneg (_ bv27 32)) x1)) (_ bv27 32))) (not (= (bvadd (bvadd (bvmul (bvneg (_ bv62 32)) ?y4) (bvmul (bvneg (_ bv82 32)) ?y2)) (bvmul (bvneg (_ bv63 32)) x1)) (_ bv75 32))))))) (exists ((?y5 (_ BitVec 32))) (and (or (= (bvadd (bvadd (bvmul (bvneg (_ bv28 32)) ?y5) (bvmul (_ bv30 32) ?y1)) (bvmul (bvneg (_ bv97 32)) x1)) (bvneg (_ bv39 32))) (= (bvadd (bvadd (bvmul (_ bv22 32) ?y2) (bvmul (_ bv71 32) ?y1)) (bvmul (_ bv23 32) x1)) (bvneg (_ bv96 32)))) (and (and (bvsgt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv11 32)) ?y5) (bvmul (bvneg (_ bv9 32)) ?y2)) (bvmul (bvneg (_ bv49 32)) ?y1)) (bvmul (_ bv55 32) x1)) (_ bv0 32)) (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv23 32)) ?y5) (bvmul (_ bv83 32) ?y2)) (bvmul (_ bv80 32) x1)) (_ bv0 32))) (or (not (= (bvadd (bvadd (bvmul (_ bv48 32) ?y2) (bvmul (bvneg (_ bv53 32)) ?y1)) (bvmul (bvneg (_ bv28 32)) x1)) (_ bv90 32))) (bvsge (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv84 32)) ?y5) (bvmul (bvneg (_ bv33 32)) ?y2)) (bvmul (_ bv17 32) ?y1)) (bvmul (_ bv40 32) x1)) (bvneg (_ bv29 32))))))))))))
(check-sat)
(exit)
