(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(declare-fun x1 () (_ BitVec 32))
(declare-fun x2 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(assert (exists ((?x1 (_ BitVec 32))) (forall ((?x2 (_ BitVec 32))) (exists ((?x3 (_ BitVec 32))) (let ((?v_1 (bvmul (_ bv23 32) ?x3)) (?v_0 (bvmul (bvneg (_ bv86 32)) ?x1)) (?v_2 (bvmul (bvneg (_ bv92 32)) ?x1)) (?v_3 (bvmul (bvneg (_ bv79 32)) ?x2))) (and (and (and (and (and (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv80 32)) ?x1) (bvmul (_ bv14 32) ?x2)) (bvmul (bvneg (_ bv23 32)) ?x3)) (_ bv19 32)) (bvslt (bvadd (bvadd ?v_0 (bvmul (_ bv50 32) ?x2)) (bvmul (bvneg (_ bv80 32)) ?x3)) (bvneg (_ bv50 32)))) (and (not (= (bvadd (bvadd (bvmul (_ bv63 32) ?x1) (bvmul (bvneg (_ bv98 32)) ?x2)) (bvmul (bvneg (_ bv94 32)) ?x3)) (_ bv69 32))) (bvsgt (bvadd (bvadd (bvmul (_ bv15 32) ?x1) (bvmul (bvneg (_ bv74 32)) ?x2)) (bvmul (_ bv99 32) ?x3)) (_ bv0 32)))) (or (and (bvsle (bvadd (bvadd (bvmul (_ bv50 32) ?x1) (bvmul (_ bv72 32) ?x2)) (bvmul (bvneg (_ bv6 32)) ?x3)) (bvneg (_ bv4 32))) (bvslt (bvadd (bvmul (bvneg (_ bv73 32)) ?x2) (bvmul (_ bv88 32) ?x3)) (bvneg (_ bv2 32)))) (not (= (bvadd (bvadd ?v_2 (bvmul (bvneg (_ bv65 32)) ?x2)) (bvmul (_ bv20 32) ?x3)) (bvneg (_ bv4 32)))))) (or (or (not (= (bvadd (bvmul (_ bv88 32) ?x1) (bvmul (_ bv40 32) ?x3)) (_ bv0 32))) (= (bvadd (bvadd (bvmul (_ bv8 32) ?x1) (bvmul (bvneg (_ bv66 32)) ?x2)) (bvmul (_ bv76 32) ?x3)) (_ bv30 32))) (or (or (not (= (bvadd (bvadd ?v_0 (bvmul (bvneg (_ bv26 32)) ?x2)) (bvmul (bvneg (_ bv75 32)) ?x3)) (bvneg (_ bv90 32)))) (bvsgt (bvadd (bvmul (_ bv31 32) ?x2) (bvmul (_ bv72 32) ?x3)) (_ bv0 32))) (or (= (bvadd (bvmul (_ bv44 32) ?x2) (bvmul (bvneg (_ bv50 32)) ?x3)) (_ bv0 32)) (bvsge (bvadd (bvmul (bvneg (_ bv51 32)) ?x2) (bvmul (bvneg (_ bv63 32)) ?x3)) (bvneg (_ bv47 32))))))) (or (or (and (or (bvsle (bvadd (bvmul (bvneg (_ bv23 32)) ?x2) (bvmul (bvneg (_ bv70 32)) ?x3)) (bvneg (_ bv91 32))) (not (= (bvadd (bvadd (bvmul (_ bv32 32) ?x1) (bvmul (bvneg (_ bv25 32)) ?x2)) ?v_1) (bvneg (_ bv54 32))))) (or (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv31 32)) ?x1) (bvmul (_ bv67 32) ?x2)) (bvmul (bvneg (_ bv2 32)) ?x3)) (_ bv82 32)) (not (= (bvadd (bvadd (bvmul (_ bv75 32) ?x1) (bvmul (bvneg (_ bv62 32)) ?x2)) (bvmul (_ bv24 32) ?x3)) (_ bv33 32))))) (and (= (bvadd (bvadd (bvmul (_ bv53 32) ?x1) ?v_3) (bvmul (bvneg (_ bv41 32)) ?x3)) (bvneg (_ bv33 32))) (and (bvsgt (bvadd (bvmul (_ bv79 32) ?x1) (bvmul (_ bv14 32) ?x3)) (_ bv0 32)) (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv5 32)) ?x1) (bvmul (_ bv11 32) ?x2)) ?v_1) (_ bv40 32))))) (or (and (or (bvsgt (bvadd (bvmul (bvneg (_ bv68 32)) ?x1) (bvmul (_ bv27 32) ?x3)) (bvneg (_ bv78 32))) (bvslt (bvadd (bvadd ?v_2 (bvmul (_ bv5 32) ?x2)) (bvmul (_ bv61 32) ?x3)) (_ bv97 32))) (or (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv25 32)) ?x1) (bvmul (bvneg (_ bv11 32)) ?x2)) (bvmul (_ bv85 32) ?x3)) (bvneg (_ bv21 32))) (bvslt (bvadd (bvmul (bvneg (_ bv87 32)) ?x1) (bvmul (_ bv37 32) ?x2)) (_ bv79 32)))) (and (= (bvadd (bvadd (bvmul (_ bv4 32) ?x1) (bvmul (_ bv51 32) ?x2)) (bvmul (bvneg (_ bv69 32)) ?x3)) (_ bv3 32)) (bvsgt (bvadd ?v_3 (bvmul (_ bv38 32) ?x3)) (_ bv92 32)))))))))))
(check-sat)
(exit)
