(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(declare-fun x1 () (_ BitVec 32))
(declare-fun x2 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(assert (exists ((?x1 (_ BitVec 32))) (forall ((?x2 (_ BitVec 32))) (exists ((?x3 (_ BitVec 32))) (let ((?v_4 (bvmul (_ bv47 32) ?x1)) (?v_0 (bvmul (_ bv42 32) ?x1)) (?v_6 (bvmul (_ bv46 32) ?x1)) (?v_3 (bvmul (_ bv29 32) ?x3)) (?v_1 (bvmul (_ bv34 32) ?x3)) (?v_10 (bvmul (_ bv47 32) ?x2)) (?v_2 (bvmul (bvneg (_ bv38 32)) ?x2)) (?v_7 (bvmul (bvneg (_ bv87 32)) ?x3)) (?v_5 (bvmul (bvneg (_ bv2 32)) ?x1)) (?v_9 (bvmul (bvneg (_ bv21 32)) ?x1)) (?v_8 (bvmul (bvneg (_ bv100 32)) ?x2))) (or (and (or (or (and (bvslt (bvmul (_ bv12 32) ?x2) (_ bv4 32)) (bvsge (bvadd (bvmul (_ bv22 32) ?x2) (bvmul (_ bv6 32) ?x3)) (_ bv0 32))) (and (and (bvsgt (bvadd (bvmul (_ bv93 32) ?x1) (bvmul (bvneg (_ bv8 32)) ?x3)) (_ bv69 32)) (bvslt (bvadd (bvmul (_ bv41 32) ?x2) (bvmul (_ bv14 32) ?x3)) (_ bv64 32))) (or (not (= (bvadd (bvmul (bvneg (_ bv98 32)) ?x1) (bvmul (_ bv13 32) ?x2)) (bvneg (_ bv30 32)))) (bvsgt (bvadd (bvmul (_ bv27 32) ?x2) (bvmul (bvneg (_ bv60 32)) ?x3)) (_ bv6 32))))) (or (and (or (bvsgt (bvadd (bvadd (bvmul (_ bv15 32) ?x1) (bvmul (bvneg (_ bv33 32)) ?x2)) (bvmul (bvneg (_ bv19 32)) ?x3)) (_ bv0 32)) (= (bvadd (bvmul (bvneg (_ bv57 32)) ?x2) (bvmul (_ bv15 32) ?x3)) (_ bv17 32))) (not (= (bvadd ?v_4 (bvmul (bvneg (_ bv62 32)) ?x2)) (_ bv0 32)))) (and (or (= (bvadd (bvmul (_ bv62 32) ?x1) (bvmul (bvneg (_ bv83 32)) ?x2)) (_ bv0 32)) (= (bvadd (bvmul (_ bv79 32) ?x1) (bvmul (bvneg (_ bv95 32)) ?x2)) (_ bv0 32))) (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv35 32)) ?x1) (bvmul (bvneg (_ bv1 32)) ?x2)) (bvmul (bvneg (_ bv62 32)) ?x3)) (bvneg (_ bv29 32)))))) (or (and (or (= (bvmul (bvneg (_ bv68 32)) ?x3) (bvneg (_ bv36 32))) (bvsle (bvadd (bvadd ?v_0 (bvmul (_ bv83 32) ?x2)) (bvmul (_ bv59 32) ?x3)) (_ bv6 32))) (or (bvsgt (bvmul (bvneg (_ bv13 32)) ?x3) (bvneg (_ bv28 32))) (= (bvadd (bvmul (bvneg (_ bv85 32)) ?x2) (bvmul (bvneg (_ bv82 32)) ?x3)) (_ bv6 32)))) (and (or (and (bvslt (bvadd (bvadd ?v_6 (bvmul (_ bv74 32) ?x2)) (bvmul (_ bv58 32) ?x3)) (_ bv0 32)) (= (bvadd (bvmul (_ bv29 32) ?x1) (bvmul (bvneg (_ bv5 32)) ?x3)) (_ bv0 32))) (and (bvslt (bvadd (bvmul (bvneg (_ bv55 32)) ?x1) (bvmul (_ bv16 32) ?x2)) (_ bv49 32)) (bvsge (bvadd (bvadd (bvmul (_ bv27 32) ?x1) (bvmul (_ bv45 32) ?x2)) (bvmul (bvneg (_ bv35 32)) ?x3)) (bvneg (_ bv71 32))))) (and (or (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv91 32)) ?x1) ?v_2) ?v_3) (_ bv48 32)) (bvsle (bvadd (bvmul (bvneg (_ bv79 32)) ?x1) ?v_1) (bvneg (_ bv67 32)))) (or (bvslt (bvadd (bvadd (bvmul (_ bv25 32) ?x1) (bvmul (_ bv63 32) ?x2)) (bvmul (_ bv5 32) ?x3)) (bvneg (_ bv11 32))) (bvslt (bvadd (bvadd (bvmul (_ bv74 32) ?x1) (bvmul (bvneg (_ bv22 32)) ?x2)) ?v_7) (bvneg (_ bv11 32)))))))) (or (and (or (or (bvsle (bvadd (bvadd ?v_0 (bvmul (bvneg (_ bv96 32)) ?x2)) ?v_1) (_ bv0 32)) (bvsge (bvadd (bvmul (bvneg (_ bv46 32)) ?x1) (bvmul (bvneg (_ bv72 32)) ?x2)) (_ bv0 32))) (or (bvsle (bvmul (_ bv57 32) ?x1) (_ bv45 32)) (bvsgt (bvmul (bvneg (_ bv57 32)) ?x3) (bvneg (_ bv7 32))))) (and (and (= (bvadd (bvadd (bvmul (_ bv96 32) ?x1) ?v_2) ?v_3) (_ bv45 32)) (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv51 32)) ?x1) (bvmul (bvneg (_ bv18 32)) ?x2)) (bvmul (bvneg (_ bv95 32)) ?x3)) (_ bv68 32))) (or (= (bvadd (bvadd (bvmul (_ bv9 32) ?x1) ?v_10) (bvmul (_ bv39 32) ?x3)) (_ bv42 32)) (not (= (bvadd (bvadd ?v_5 (bvmul (_ bv53 32) ?x2)) (bvmul (bvneg (_ bv14 32)) ?x3)) (_ bv20 32)))))) (and (and (and (and (bvsge (bvadd (bvadd ?v_4 (bvmul (bvneg (_ bv30 32)) ?x2)) (bvmul (_ bv27 32) ?x3)) (_ bv70 32)) (= (bvadd ?v_5 (bvmul (_ bv39 32) ?x2)) (_ bv0 32))) (bvsle (bvadd (bvadd ?v_9 (bvmul (_ bv35 32) ?x2)) (bvmul (bvneg (_ bv9 32)) ?x3)) (_ bv0 32))) (or (= (bvadd (bvmul (_ bv17 32) ?x1) (bvmul (_ bv94 32) ?x2)) (bvneg (_ bv39 32))) (and (bvslt (bvadd (bvadd ?v_6 (bvmul (_ bv90 32) ?x2)) ?v_7) (_ bv1 32)) (= (bvadd (bvadd (bvmul (_ bv80 32) ?x1) (bvmul (_ bv68 32) ?x2)) (bvmul (_ bv86 32) ?x3)) (bvneg (_ bv97 32)))))) (and (or (and (not (= (bvadd (bvadd (bvmul (bvneg (_ bv23 32)) ?x1) ?v_8) (bvmul (_ bv80 32) ?x3)) (_ bv12 32))) (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv33 32)) ?x1) ?v_8) (bvmul (bvneg (_ bv71 32)) ?x3)) (_ bv0 32))) (and (bvslt (bvadd (bvmul (bvneg (_ bv84 32)) ?x1) (bvmul (_ bv52 32) ?x3)) (_ bv34 32)) (not (= (bvadd (bvadd (bvmul (_ bv21 32) ?x1) (bvmul (_ bv98 32) ?x2)) (bvmul (_ bv97 32) ?x3)) (_ bv63 32))))) (and (bvslt (bvadd (bvmul (_ bv43 32) ?x1) (bvmul (_ bv60 32) ?x3)) (bvneg (_ bv80 32))) (or (bvsle (bvadd (bvmul (bvneg (_ bv75 32)) ?x2) (bvmul (_ bv17 32) ?x3)) (_ bv71 32)) (bvsle (bvadd (bvadd ?v_9 ?v_10) (bvmul (_ bv48 32) ?x3)) (bvneg (_ bv22 32))))))))))))))
(check-sat)
(exit)
