(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(declare-fun x1 () (_ BitVec 32))
(declare-fun x2 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(assert (exists ((?x1 (_ BitVec 32))) (forall ((?x2 (_ BitVec 32))) (exists ((?x3 (_ BitVec 32))) (let ((?v_2 (bvmul (_ bv28 32) ?x1)) (?v_4 (bvmul (_ bv2 32) ?x1)) (?v_3 (bvmul (_ bv85 32) ?x1)) (?v_0 (bvmul (bvneg (_ bv86 32)) ?x3)) (?v_6 (bvmul (bvneg (_ bv29 32)) ?x3)) (?v_5 (bvmul (bvneg (_ bv5 32)) ?x1)) (?v_7 (bvmul (bvneg (_ bv60 32)) ?x2)) (?v_1 (bvmul (bvneg (_ bv100 32)) ?x3))) (and (and (or (or (or (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv83 32)) ?x1) (bvmul (_ bv39 32) ?x2)) (bvmul (bvneg (_ bv95 32)) ?x3)) (bvneg (_ bv62 32))) (= (bvadd (bvmul (bvneg (_ bv93 32)) ?x2) (bvmul (_ bv62 32) ?x3)) (_ bv0 32))) (and (= (bvadd (bvmul (bvneg (_ bv19 32)) ?x2) (bvmul (bvneg (_ bv67 32)) ?x3)) (bvneg (_ bv94 32))) (bvsle (bvadd (bvmul (_ bv83 32) ?x2) (bvmul (bvneg (_ bv59 32)) ?x3)) (_ bv44 32)))) (or (or (or (not (= (bvmul (_ bv56 32) ?x1) (_ bv93 32))) (bvsle (bvadd (bvadd ?v_2 (bvmul (_ bv33 32) ?x2)) (bvmul (_ bv20 32) ?x3)) (_ bv26 32))) (and (bvsgt (bvadd (bvadd (bvmul (_ bv76 32) ?x1) (bvmul (bvneg (_ bv57 32)) ?x2)) ?v_0) (_ bv0 32)) (not (= (bvadd (bvmul (bvneg (_ bv41 32)) ?x1) (bvmul (_ bv91 32) ?x3)) (bvneg (_ bv90 32)))))) (and (or (not (= (bvadd (bvmul (bvneg (_ bv67 32)) ?x1) (bvmul (_ bv64 32) ?x2)) (_ bv3 32))) (bvsgt (bvadd (bvadd (bvmul (_ bv84 32) ?x1) (bvmul (bvneg (_ bv54 32)) ?x2)) ?v_6) (_ bv0 32))) (bvslt (bvadd (bvmul (_ bv58 32) ?x2) (bvmul (bvneg (_ bv41 32)) ?x3)) (_ bv7 32))))) (or (or (or (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv92 32)) ?x1) (bvmul (_ bv2 32) ?x2)) (bvmul (_ bv27 32) ?x3)) (_ bv4 32)) (and (bvsgt (bvadd (bvadd (bvmul (_ bv16 32) ?x1) (bvmul (_ bv43 32) ?x2)) ?v_0) (_ bv0 32)) (= (bvmul (_ bv4 32) ?x3) (_ bv0 32)))) (or (or (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv59 32)) ?x1) (bvmul (_ bv46 32) ?x2)) (bvmul (_ bv38 32) ?x3)) (_ bv57 32)) (bvsle (bvmul (_ bv54 32) ?x2) (bvneg (_ bv94 32)))) (not (= (bvadd (bvadd (bvmul (_ bv29 32) ?x1) (bvmul (bvneg (_ bv79 32)) ?x2)) (bvmul (bvneg (_ bv70 32)) ?x3)) (_ bv0 32))))) (or (and (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv76 32)) ?x1) (bvmul (_ bv19 32) ?x2)) (bvmul (_ bv63 32) ?x3)) (bvneg (_ bv2 32))) (and (bvslt (bvadd ?v_4 (bvmul (bvneg (_ bv74 32)) ?x2)) (_ bv0 32)) (bvsge (bvadd (bvmul (_ bv65 32) ?x1) (bvmul (_ bv67 32) ?x2)) (_ bv22 32)))) (and (= (bvadd (bvmul (bvneg (_ bv100 32)) ?x2) (bvmul (bvneg (_ bv19 32)) ?x3)) (bvneg (_ bv12 32))) (or (bvsge (bvadd (bvmul (_ bv75 32) ?x1) (bvmul (bvneg (_ bv12 32)) ?x2)) (_ bv67 32)) (bvsge (bvadd (bvadd ?v_5 (bvmul (bvneg (_ bv52 32)) ?x2)) (bvmul (bvneg (_ bv90 32)) ?x3)) (_ bv88 32))))))) (or (and (and (and (and (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv77 32)) ?x1) (bvmul (_ bv23 32) ?x2)) (bvmul (bvneg (_ bv76 32)) ?x3)) (bvneg (_ bv91 32))) (not (= (bvadd (bvadd ?v_3 ?v_7) (bvmul (bvneg (_ bv32 32)) ?x3)) (bvneg (_ bv3 32))))) (and (bvsle ?v_1 (_ bv98 32)) (not (= (bvmul (bvneg (_ bv48 32)) ?x2) (_ bv0 32))))) (and (or (= (bvadd (bvmul (_ bv96 32) ?x1) (bvmul (bvneg (_ bv97 32)) ?x3)) (bvneg (_ bv58 32))) (= (bvadd (bvmul (bvneg (_ bv4 32)) ?x1) (bvmul (_ bv6 32) ?x3)) (bvneg (_ bv19 32)))) (or (not (= (bvmul (bvneg (_ bv94 32)) ?x1) (bvneg (_ bv15 32)))) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv27 32)) ?x1) (bvmul (bvneg (_ bv31 32)) ?x2)) (bvmul (_ bv95 32) ?x3)) (_ bv62 32))))) (or (and (and (not (= (bvadd (bvmul (_ bv3 32) ?x1) ?v_1) (bvneg (_ bv54 32)))) (bvsge (bvadd (bvadd ?v_2 (bvmul (bvneg (_ bv68 32)) ?x2)) (bvmul (bvneg (_ bv4 32)) ?x3)) (bvneg (_ bv11 32)))) (or (bvsge (bvadd (bvmul (bvneg (_ bv11 32)) ?x1) (bvmul (_ bv34 32) ?x3)) (bvneg (_ bv32 32))) (bvslt (bvmul (_ bv46 32) ?x1) (_ bv0 32)))) (and (and (bvsgt (bvadd (bvmul (_ bv69 32) ?x1) (bvmul (_ bv76 32) ?x2)) (_ bv0 32)) (= (bvadd ?v_3 (bvmul (bvneg (_ bv64 32)) ?x3)) (_ bv71 32))) (and (bvsle (bvadd (bvmul (_ bv77 32) ?x1) (bvmul (_ bv72 32) ?x3)) (_ bv95 32)) (bvslt (bvadd (bvmul (_ bv30 32) ?x1) (bvmul (bvneg (_ bv1 32)) ?x2)) (_ bv0 32)))))) (or (and (and (not (= (bvadd (bvadd ?v_4 (bvmul (_ bv27 32) ?x2)) (bvmul (_ bv31 32) ?x3)) (_ bv0 32))) (bvsle (bvadd ?v_5 (bvmul (bvneg (_ bv17 32)) ?x3)) (_ bv0 32))) (and (bvsle (bvadd (bvadd (bvmul (_ bv15 32) ?x1) (bvmul (bvneg (_ bv82 32)) ?x2)) ?v_6) (bvneg (_ bv78 32))) (bvsgt (bvadd (bvmul (_ bv81 32) ?x1) (bvmul (bvneg (_ bv35 32)) ?x2)) (bvneg (_ bv13 32))))) (or (or (bvsle (bvadd (bvmul (_ bv20 32) ?x1) (bvmul (_ bv32 32) ?x3)) (_ bv36 32)) (= (bvadd (bvadd (bvmul (_ bv11 32) ?x1) ?v_7) (bvmul (bvneg (_ bv9 32)) ?x3)) (_ bv96 32))) (and (bvslt (bvadd (bvmul (_ bv97 32) ?x2) (bvmul (_ bv88 32) ?x3)) (_ bv61 32)) (not (= (bvadd (bvmul (bvneg (_ bv67 32)) ?x2) (bvmul (bvneg (_ bv34 32)) ?x3)) (_ bv0 32)))))))))))))
(check-sat)
(exit)
