(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(declare-fun x1 () (_ BitVec 32))
(declare-fun x2 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(declare-fun x4 () (_ BitVec 32))
(assert (forall ((?x1 (_ BitVec 32))) (exists ((?x2 (_ BitVec 32))) (forall ((?x3 (_ BitVec 32))) (exists ((?x4 (_ BitVec 32))) (let ((?v_0 (bvmul (_ bv6 32) ?x1)) (?v_3 (bvmul (_ bv17 32) ?x1)) (?v_4 (bvmul (_ bv46 32) ?x2)) (?v_1 (bvmul (bvneg (_ bv38 32)) ?x4)) (?v_2 (bvmul (bvneg (_ bv2 32)) ?x3))) (or (and (or (or (bvslt (bvmul (_ bv12 32) ?x4) (_ bv4 32)) (and (bvsgt (bvadd (bvmul (_ bv64 32) ?x1) (bvmul (_ bv93 32) ?x2)) (_ bv69 32)) (not (= (bvadd (bvadd ?v_0 (bvmul (bvneg (_ bv98 32)) ?x2)) (bvmul (_ bv13 32) ?x4)) (bvneg (_ bv30 32)))))) (or (and (bvsgt (bvadd (bvadd ?v_3 (bvmul (_ bv15 32) ?x2)) (bvmul (bvneg (_ bv33 32)) ?x4)) (_ bv0 32)) (= (bvadd (bvmul (_ bv47 32) ?x1) (bvmul (bvneg (_ bv62 32)) ?x2)) (_ bv0 32))) (and (= (bvadd (bvadd (bvmul (_ bv62 32) ?x2) (bvmul (_ bv79 32) ?x3)) (bvmul (bvneg (_ bv83 32)) ?x4)) (_ bv0 32)) (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv35 32)) ?x1) (bvmul (bvneg (_ bv1 32)) ?x2)) (bvmul (bvneg (_ bv62 32)) ?x3)) (bvneg (_ bv29 32)))))) (or (and (= (bvadd ?v_0 (bvmul (_ bv42 32) ?x3)) (bvneg (_ bv36 32))) (bvsgt ?v_0 (bvneg (_ bv28 32)))) (and (or (bvslt (bvadd (bvadd ?v_4 (bvmul (_ bv29 32) ?x3)) (bvmul (_ bv74 32) ?x4)) (_ bv0 32)) (bvslt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv71 32)) ?x1) (bvmul (bvneg (_ bv55 32)) ?x2)) (bvmul (_ bv27 32) ?x3)) (bvmul (_ bv16 32) ?x4)) (_ bv49 32))) (and (bvsgt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv67 32)) ?x1) (bvmul (bvneg (_ bv91 32)) ?x2)) (bvmul (bvneg (_ bv79 32)) ?x3)) ?v_1) (_ bv48 32)) (bvslt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv11 32)) ?x1) (bvmul (_ bv25 32) ?x2)) (bvmul (_ bv74 32) ?x3)) (bvmul (_ bv63 32) ?x4)) (bvneg (_ bv11 32))))))) (or (and (or (bvsle (bvadd (bvadd (bvmul (_ bv42 32) ?x2) (bvmul (bvneg (_ bv46 32)) ?x3)) (bvmul (bvneg (_ bv96 32)) ?x4)) (_ bv0 32)) (bvsle (bvadd (bvmul (bvneg (_ bv7 32)) ?x1) (bvmul (_ bv57 32) ?x2)) (_ bv45 32))) (and (= (bvadd (bvadd (bvadd (bvmul (_ bv68 32) ?x1) (bvmul (_ bv96 32) ?x2)) (bvmul (bvneg (_ bv51 32)) ?x3)) ?v_1) (_ bv45 32)) (= (bvadd (bvadd (bvadd (bvmul (_ bv20 32) ?x1) (bvmul (_ bv9 32) ?x2)) ?v_2) (bvmul (_ bv47 32) ?x4)) (_ bv42 32)))) (and (and (and (bvsge (bvadd (bvadd (bvmul (_ bv47 32) ?x2) ?v_2) (bvmul (bvneg (_ bv30 32)) ?x4)) (_ bv70 32)) (bvsgt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv21 32)) ?x1) (bvmul (_ bv35 32) ?x2)) (bvmul (bvneg (_ bv9 32)) ?x3)) (bvmul (bvneg (_ bv58 32)) ?x4)) (_ bv0 32))) (or (not (= (bvadd (bvadd ?v_3 (bvmul (_ bv94 32) ?x2)) (bvmul (bvneg (_ bv60 32)) ?x4)) (bvneg (_ bv39 32)))) (bvslt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv97 32)) ?x1) ?v_4) (bvmul (_ bv80 32) ?x3)) (bvmul (_ bv90 32) ?x4)) (_ bv1 32)))) (and (or (not (= (bvadd (bvadd (bvmul (bvneg (_ bv23 32)) ?x2) (bvmul (bvneg (_ bv33 32)) ?x3)) (bvmul (bvneg (_ bv100 32)) ?x4)) (_ bv12 32))) (bvslt (bvadd (bvadd (bvmul (_ bv63 32) ?x1) (bvmul (bvneg (_ bv84 32)) ?x2)) (bvmul (_ bv21 32) ?x3)) (_ bv34 32))) (and (bvsge (bvadd (bvadd (bvmul (_ bv43 32) ?x1) (bvmul (_ bv60 32) ?x3)) (bvmul (bvneg (_ bv23 32)) ?x4)) (bvneg (_ bv80 32))) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv22 32)) ?x1) (bvmul (bvneg (_ bv21 32)) ?x3)) (bvmul (bvneg (_ bv75 32)) ?x4)) (_ bv71 32)))))))))))))
(check-sat)
(exit)
