(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(declare-fun x1 () (_ BitVec 32))
(declare-fun x2 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(declare-fun x4 () (_ BitVec 32))
(assert (forall ((?x1 (_ BitVec 32))) (exists ((?x2 (_ BitVec 32))) (forall ((?x3 (_ BitVec 32))) (exists ((?x4 (_ BitVec 32))) (let ((?v_2 (bvmul (_ bv28 32) ?x3)) (?v_1 (bvmul (_ bv2 32) ?x2)) (?v_3 (bvmul (_ bv85 32) ?x3)) (?v_0 (bvmul (bvneg (_ bv41 32)) ?x3)) (?v_4 (bvmul (bvneg (_ bv5 32)) ?x3))) (and (and (or (or (or (bvsge (bvadd (bvmul (bvneg (_ bv83 32)) ?x2) (bvmul (_ bv39 32) ?x4)) (bvneg (_ bv62 32))) (= (bvadd (bvmul (_ bv44 32) ?x1) (bvmul (bvneg (_ bv19 32)) ?x4)) (bvneg (_ bv94 32)))) (bvsge (bvadd (bvmul (_ bv53 32) ?x1) (bvmul (bvneg (_ bv71 32)) ?x4)) (bvneg (_ bv80 32)))) (or (or (not (= (bvadd (bvadd (bvmul (_ bv26 32) ?x1) (bvmul (_ bv56 32) ?x2)) ?v_2) (_ bv93 32))) (bvsgt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv90 32)) ?x1) (bvmul (_ bv76 32) ?x2)) ?v_0) (bvmul (bvneg (_ bv57 32)) ?x4)) (_ bv0 32))) (and (not (= (bvadd (bvadd (bvmul (bvneg (_ bv67 32)) ?x2) (bvmul (_ bv84 32) ?x3)) (bvmul (_ bv64 32) ?x4)) (_ bv3 32))) (bvsge (bvadd (bvadd (bvmul (_ bv58 32) ?x2) ?v_0) (bvmul (bvneg (_ bv46 32)) ?x4)) (_ bv7 32))))) (or (or (or (bvsge (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv92 32)) ?x1) ?v_1) (bvmul (_ bv27 32) ?x3)) (bvmul (bvneg (_ bv89 32)) ?x4)) (_ bv4 32)) (bvsgt (bvadd (bvmul (_ bv16 32) ?x2) (bvmul (_ bv43 32) ?x4)) (_ bv0 32))) (or (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv94 32)) ?x1) (bvmul (bvneg (_ bv59 32)) ?x2)) (bvmul (_ bv46 32) ?x4)) (_ bv57 32)) (= (bvadd (bvadd (bvadd (bvmul (_ bv29 32) ?x1) (bvmul (bvneg (_ bv79 32)) ?x2)) (bvmul (bvneg (_ bv70 32)) ?x3)) (bvmul (_ bv10 32) ?x4)) (_ bv0 32)))) (or (and (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv76 32)) ?x1) (bvmul (_ bv19 32) ?x2)) (bvmul (_ bv63 32) ?x3)) (bvneg (_ bv2 32))) (bvslt (bvadd (bvadd (bvadd (bvmul (_ bv22 32) ?x1) ?v_1) (bvmul (_ bv65 32) ?x3)) (bvmul (bvneg (_ bv74 32)) ?x4)) (_ bv0 32))) (and (not (= (bvadd (bvadd (bvmul (bvneg (_ bv100 32)) ?x2) (bvmul (bvneg (_ bv19 32)) ?x3)) (bvmul (bvneg (_ bv77 32)) ?x4)) (bvneg (_ bv12 32)))) (bvsge (bvadd (bvadd (bvadd (bvmul (_ bv88 32) ?x1) (bvmul (_ bv75 32) ?x2)) ?v_4) (bvmul (bvneg (_ bv12 32)) ?x4)) (_ bv67 32)))))) (or (and (and (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv3 32)) ?x1) (bvmul (bvneg (_ bv77 32)) ?x2)) ?v_3) (bvmul (_ bv23 32) ?x4)) (bvneg (_ bv91 32))) (and (= (bvadd (bvadd (bvmul (bvneg (_ bv19 32)) ?x1) (bvmul (_ bv96 32) ?x2)) (bvmul (bvneg (_ bv4 32)) ?x3)) (bvneg (_ bv58 32))) (not (= (bvadd (bvadd (bvmul (_ bv62 32) ?x1) (bvmul (bvneg (_ bv94 32)) ?x2)) (bvmul (bvneg (_ bv27 32)) ?x3)) (bvneg (_ bv15 32)))))) (or (and (not (= (bvadd (bvadd (bvmul (bvneg (_ bv11 32)) ?x1) (bvmul (_ bv3 32) ?x2)) ?v_2) (bvneg (_ bv54 32)))) (bvsge (bvadd (bvmul (bvneg (_ bv11 32)) ?x2) (bvmul (_ bv46 32) ?x3)) (bvneg (_ bv32 32)))) (and (bvsgt (bvadd (bvadd (bvadd (bvmul (_ bv71 32) ?x1) (bvmul (_ bv69 32) ?x2)) ?v_3) (bvmul (_ bv76 32) ?x4)) (_ bv0 32)) (bvsle (bvadd (bvmul (_ bv77 32) ?x2) (bvmul (_ bv30 32) ?x3)) (_ bv95 32))))) (or (and (not (= (bvadd (bvadd ?v_1 ?v_4) (bvmul (_ bv27 32) ?x4)) (_ bv0 32))) (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv13 32)) ?x1) (bvmul (_ bv15 32) ?x2)) (bvmul (_ bv81 32) ?x3)) (bvmul (bvneg (_ bv82 32)) ?x4)) (bvneg (_ bv78 32)))) (or (bvsle (bvadd (bvadd (bvmul (_ bv96 32) ?x1) (bvmul (_ bv20 32) ?x2)) (bvmul (_ bv11 32) ?x3)) (_ bv36 32)) (bvslt (bvmul (_ bv97 32) ?x4) (_ bv61 32))))))))))))
(check-sat)
(exit)
