(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(declare-fun x1 () (_ BitVec 32))
(declare-fun x2 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(declare-fun x4 () (_ BitVec 32))
(assert (forall ((?x1 (_ BitVec 32))) (exists ((?x2 (_ BitVec 32))) (forall ((?x3 (_ BitVec 32))) (exists ((?x4 (_ BitVec 32))) (let ((?v_2 (bvmul (_ bv30 32) ?x3)) (?v_0 (bvmul (bvneg (_ bv39 32)) ?x4)) (?v_1 (bvmul (bvneg (_ bv73 32)) ?x1))) (or (or (and (or (bvsge (bvadd (bvadd (bvmul (_ bv30 32) ?x1) (bvmul (_ bv61 32) ?x2)) (bvmul (bvneg (_ bv94 32)) ?x3)) (_ bv49 32)) (and (= (bvadd (bvmul (_ bv51 32) ?x2) (bvmul (bvneg (_ bv92 32)) ?x3)) (bvneg (_ bv60 32))) (bvsle (bvadd (bvadd (bvadd (bvmul (_ bv33 32) ?x1) (bvmul (bvneg (_ bv26 32)) ?x2)) (bvmul (bvneg (_ bv68 32)) ?x3)) (bvmul (_ bv50 32) ?x4)) (bvneg (_ bv81 32))))) (or (or (bvsgt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv47 32)) ?x1) (bvmul (bvneg (_ bv51 32)) ?x2)) (bvmul (bvneg (_ bv39 32)) ?x3)) ?v_0) (_ bv80 32)) (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv95 32)) ?x2) (bvmul (bvneg (_ bv36 32)) ?x3)) (bvmul (bvneg (_ bv54 32)) ?x4)) (bvneg (_ bv17 32)))) (and (not (= (bvadd (bvadd (bvmul (_ bv98 32) ?x1) (bvmul (_ bv7 32) ?x2)) (bvmul (_ bv100 32) ?x4)) (bvneg (_ bv94 32)))) (bvslt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv36 32)) ?x1) (bvmul (_ bv42 32) ?x2)) (bvmul (bvneg (_ bv55 32)) ?x3)) (bvmul (_ bv85 32) ?x4)) (bvneg (_ bv17 32)))))) (or (and (and (bvsge (bvadd (bvmul (bvneg (_ bv17 32)) ?x2) (bvmul (_ bv69 32) ?x4)) (_ bv0 32)) (not (= (bvadd (bvadd (bvadd (bvmul (_ bv36 32) ?x1) (bvmul (_ bv49 32) ?x2)) ?v_2) (bvmul (bvneg (_ bv59 32)) ?x4)) (_ bv0 32)))) (and (bvsgt (bvadd (bvadd ?v_1 (bvmul (bvneg (_ bv24 32)) ?x3)) (bvmul (bvneg (_ bv22 32)) ?x4)) (bvneg (_ bv55 32))) (bvslt (bvadd (bvadd (bvadd (bvmul (_ bv5 32) ?x1) (bvmul (bvneg (_ bv83 32)) ?x2)) (bvmul (_ bv44 32) ?x3)) ?v_0) (bvneg (_ bv23 32))))) (and (or (bvslt (bvadd (bvmul (bvneg (_ bv97 32)) ?x2) (bvmul (_ bv83 32) ?x3)) (bvneg (_ bv59 32))) (bvsge (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv40 32)) ?x1) (bvmul (bvneg (_ bv36 32)) ?x2)) (bvmul (bvneg (_ bv3 32)) ?x3)) (bvmul (bvneg (_ bv26 32)) ?x4)) (_ bv0 32))) (and (bvsgt (bvadd (bvmul (_ bv27 32) ?x1) (bvmul (_ bv16 32) ?x4)) (_ bv95 32)) (bvslt (bvadd (bvmul (_ bv89 32) ?x1) (bvmul (_ bv93 32) ?x4)) (_ bv82 32)))))) (and (and (and (or (or (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv78 32)) ?x1) (bvmul (_ bv32 32) ?x2)) (bvmul (_ bv63 32) ?x4)) (bvneg (_ bv8 32))) (bvsge (bvadd (bvadd (bvmul (_ bv12 32) ?x2) (bvmul (_ bv67 32) ?x3)) (bvmul (_ bv8 32) ?x4)) (_ bv94 32))) (bvslt (bvadd (bvmul (_ bv24 32) ?x1) (bvmul (bvneg (_ bv2 32)) ?x2)) (_ bv76 32))) (and (bvslt (bvadd (bvadd (bvadd (bvmul (_ bv32 32) ?x1) (bvmul (_ bv24 32) ?x2)) (bvmul (bvneg (_ bv44 32)) ?x3)) (bvmul (bvneg (_ bv35 32)) ?x4)) (bvneg (_ bv44 32))) (and (bvsle (bvmul (bvneg (_ bv65 32)) ?x3) (bvneg (_ bv88 32))) (= (bvadd (bvadd (bvmul (_ bv6 32) ?x2) (bvmul (bvneg (_ bv85 32)) ?x3)) (bvmul (bvneg (_ bv83 32)) ?x4)) (bvneg (_ bv79 32)))))) (or (or (= (bvadd (bvmul (bvneg (_ bv62 32)) ?x1) (bvmul (_ bv17 32) ?x3)) (_ bv12 32)) (or (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv59 32)) ?x1) (bvmul (bvneg (_ bv28 32)) ?x2)) (bvmul (bvneg (_ bv83 32)) ?x3)) (bvmul (_ bv14 32) ?x4)) (_ bv0 32)) (bvsle (bvadd (bvmul (_ bv7 32) ?x1) (bvmul (bvneg (_ bv15 32)) ?x3)) (bvneg (_ bv22 32))))) (and (and (bvsgt (bvadd (bvadd (bvadd (bvmul (_ bv67 32) ?x1) (bvmul (_ bv21 32) ?x2)) (bvmul (_ bv62 32) ?x3)) (bvmul (_ bv82 32) ?x4)) (bvneg (_ bv39 32))) (not (= (bvadd (bvmul (bvneg (_ bv29 32)) ?x3) (bvmul (_ bv98 32) ?x4)) (_ bv54 32)))) (and (not (= (bvadd (bvadd ?v_1 (bvmul (_ bv15 32) ?x2)) (bvmul (_ bv2 32) ?x3)) (_ bv45 32))) (bvslt (bvadd (bvadd (bvmul (_ bv25 32) ?x1) (bvmul (_ bv83 32) ?x2)) (bvmul (_ bv21 32) ?x4)) (_ bv0 32)))))) (and (or (and (= (bvadd (bvadd (bvadd (bvmul (_ bv50 32) ?x1) (bvmul (_ bv16 32) ?x2)) (bvmul (bvneg (_ bv46 32)) ?x3)) (bvmul (bvneg (_ bv64 32)) ?x4)) (_ bv63 32)) (bvsle (bvadd (bvadd (bvmul (_ bv39 32) ?x1) (bvmul (_ bv76 32) ?x2)) (bvmul (bvneg (_ bv56 32)) ?x4)) (_ bv51 32))) (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv3 32)) ?x1) (bvmul (bvneg (_ bv74 32)) ?x2)) (bvmul (_ bv96 32) ?x3)) (_ bv0 32))) (or (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv55 32)) ?x1) (bvmul (_ bv75 32) ?x2)) (bvmul (_ bv33 32) ?x3)) (bvmul (_ bv51 32) ?x4)) (_ bv0 32)) (and (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv87 32)) ?x1) (bvmul (_ bv9 32) ?x2)) (bvmul (bvneg (_ bv73 32)) ?x4)) (_ bv34 32)) (not (= (bvadd (bvadd (bvmul (_ bv27 32) ?x2) ?v_2) (bvmul (bvneg (_ bv45 32)) ?x4)) (bvneg (_ bv67 32)))))))))))))))
(check-sat)
(exit)
