(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun lambda () (_ BitVec 32))
(declare-fun lambdaprime () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(declare-fun x4 () (_ BitVec 32))
(declare-fun bool.b17 () Bool)
(declare-fun bool.b18 () Bool)
(declare-fun bool.b19 () Bool)
(declare-fun bool.b20 () Bool)
(declare-fun bool.b21 () Bool)
(declare-fun bool.b22 () Bool)
(declare-fun bool.b23 () Bool)
(declare-fun bool.b24 () Bool)
(assert (forall ((?lambda (_ BitVec 32))) (let ((?v_2 (bvadd x4 (bvmul (_ bv60 32) ?lambda))) (?v_4 (not bool.b22)) (?v_5 (not bool.b23)) (?v_6 (not bool.b20)) (?v_7 (not bool.b19)) (?v_8 (not bool.b18)) (?v_9 (not bool.b17)) (?v_12 (bvadd x3 (bvmul (bvneg (_ bv1 32)) ?lambda)))) (let ((?v_0 (bvmul (_ bv1 32) ?v_12))) (let ((?v_10 (bvsle ?v_0 (_ bv0 32))) (?v_31 (bvadd ?v_0 (bvmul (bvsdiv (_ bv1 32) (_ bv40 32)) ?v_2)))) (let ((?v_21 (bvsle ?v_31 (bvsdiv (_ bv241 32) (_ bv2 32))))) (let ((?v_1 (not (and ?v_10 (not ?v_21))))) (let ((?v_63 (not (and bool.b19 ?v_1))) (?v_58 (not (and bool.b18 ?v_1))) (?v_40 (not (and bool.b17 ?v_1))) (?v_3 (bvadd ?v_0 (bvmul (bvsdiv (_ bv1 32) (_ bv60 32)) ?v_2)))) (let ((?v_37 (bvsle ?v_3 (bvsdiv (_ bv400 32) (_ bv3 32))))) (let ((?v_65 (not (and (not (and bool.b20 ?v_1)) (not (and ?v_6 (not (and ?v_63 (not (and ?v_7 (not (and ?v_58 (not (and ?v_8 (not (and ?v_40 (not (and ?v_9 (not (and ?v_37 (not (bvsle ?v_3 (bvsdiv (_ bv241 32) (_ bv3 32)))))))))))))))))))))))) (let ((?v_66 (not (and (not (and bool.b23 ?v_1)) (not (and ?v_5 ?v_65))))) (?v_26 (bvmul (bvneg (_ bv1 32)) ?v_2))) (let ((?v_20 (bvsle ?v_26 (bvneg (_ bv4500 32)))) (?v_24 (bvsle (bvadd ?v_0 (bvmul (bvsdiv (_ bv1 32) (_ bv15 32)) ?v_2)) (bvsdiv (_ bv964 32) (_ bv3 32)))) (?v_34 (bvmul (bvsdiv (bvneg (_ bv1 32)) (_ bv20 32)) ?v_2))) (let ((?v_11 (bvadd ?v_0 ?v_34))) (let ((?v_19 (and (bvsle ?v_11 (bvneg (_ bv205 32))) (not (bvsle ?v_11 (bvneg (_ bv209 32))))))) (let ((?v_13 (not ?v_19)) (?v_16 (bvmul (bvneg (_ bv1 32)) ?v_12))) (let ((?v_38 (bvsle ?v_16 (bvneg (_ bv30 32))))) (let ((?v_15 (not ?v_38)) (?v_22 (not ?v_10)) (?v_14 (bvadd ?v_0 (bvmul (bvsdiv (bvneg (_ bv1 32)) (_ bv80 32)) ?v_2)))) (let ((?v_17 (bvsle ?v_14 (bvsdiv (bvneg (_ bv161 32)) (_ bv4 32)))) (?v_18 (not (bvsle ?v_16 (bvneg (_ bv20 32)))))) (let ((?v_41 (not (and (not ?v_20) (not (and (not (and ?v_10 (and ?v_24 (not (and (not (and (not (bvsle ?v_0 (_ bv30 32))) ?v_13)) (not (and ?v_15 ?v_13))))))) (not (and ?v_22 (not (and (not (and (not ?v_17) (not (and (bvsle ?v_14 (bvsdiv (bvneg (_ bv145 32)) (_ bv4 32))) (and ?v_15 (not (and ?v_18 ?v_13))))))) (not (and ?v_17 (not (and ?v_18 ?v_19))))))))))))) (?v_59 (not (and ?v_10 ?v_21))) (?v_25 (bvsle ?v_0 (_ bv20 32))) (?v_23 (bvadd ?v_0 (bvmul (bvsdiv (_ bv3 32) (_ bv20 32)) ?v_2)))) (let ((?v_28 (bvsle ?v_23 (_ bv1200 32)))) (let ((?v_42 (not (and ?v_25 (and (not (and ?v_28 (not (bvsle ?v_23 (_ bv723 32))))) (not (and ?v_24 (not (bvsle (bvadd ?v_0 (bvmul (bvsdiv (_ bv1 32) (_ bv20 32)) ?v_2)) (_ bv241 32))))))))) (?v_43 (not ?v_25)) (?v_45 (not ?v_24)) (?v_27 (bvadd ?v_0 (bvmul (bvsdiv (_ bv3 32) (_ bv40 32)) ?v_2)))) (let ((?v_47 (not (bvsle ?v_27 (bvsdiv (_ bv703 32) (_ bv2 32))))) (?v_48 (bvsle ?v_27 (_ bv610 32))) (?v_30 (bvsle ?v_27 (_ bv359 32)))) (let ((?v_51 (not ?v_30)) (?v_52 (not (bvsle ?v_27 (bvsdiv (_ bv743 32) (_ bv2 32))))) (?v_29 (bvsle ?v_0 (_ bv40 32)))) (let ((?v_33 (and ?v_29 ?v_28)) (?v_36 (not ?v_29))) (let ((?v_50 (not (and ?v_36 ?v_30))) (?v_32 (bvsle ?v_31 (_ bv133 32)))) (let ((?v_44 (not (and ?v_24 (not (and (not (bvsle ?v_31 (bvsdiv (_ bv261 32) (_ bv2 32)))) (and (bvsle ?v_31 (bvsdiv (_ bv650 32) (_ bv3 32))) (and (not (and (not ?v_32) (not (and ?v_29 (not (bvsle ?v_31 (bvsdiv (_ bv823 32) (_ bv6 32)))))))) (not (and ?v_32 (not ?v_33))))))))))) (let ((?v_64 (and (not (and ?v_45 (not (and ?v_47 (and ?v_48 (and (not (and ?v_51 (not (and ?v_52 ?v_33)))) ?v_50)))))) ?v_44)) (?v_39 (bvsle ?v_26 (bvneg (_ bv4910 32))))) (let ((?v_46 (not ?v_39)) (?v_35 (bvsle ?v_0 (_ bv45 32)))) (let ((?v_53 (not (and (not ?v_35) (not (bvsle (bvadd ?v_16 ?v_34) (bvsdiv (bvneg (_ bv581 32)) (_ bv2 32))))))) (?v_62 (bvsle (bvadd ?v_16 (bvmul (bvsdiv (bvneg (_ bv1 32)) (_ bv60 32)) ?v_2)) (bvsdiv (bvneg (_ bv731 32)) (_ bv6 32))))) (let ((?v_56 (and ?v_36 (not (and ?v_37 ?v_62))))) (let ((?v_55 (not ?v_56)) (?v_54 (not (bvsle ?v_0 (_ bv33 32))))) (let ((?v_61 (not (and ?v_54 (and ?v_38 (bvsle (bvadd ?v_16 (bvmul (bvsdiv (bvneg (_ bv1 32)) (_ bv40 32)) ?v_2)) (bvsdiv (bvneg (_ bv623 32)) (_ bv4 32)))))))) (let ((?v_49 (not (and ?v_53 (not (and ?v_35 (not (and ?v_55 (not (and ?v_29 ?v_61))))))))) (?v_57 (not ?v_37))) (let ((?v_60 (not (and ?v_39 ?v_57)))) (or (or (exists ((?lambdaprime (_ BitVec 32))) (let ((?v_67 (bvmul (_ bv1 32) (bvadd x3 (bvmul (bvneg (_ bv1 32)) ?lambdaprime))))) (let ((?v_71 (bvsle ?v_67 (_ bv40 32)))) (let ((?v_68 (not ?v_71)) (?v_70 (bvmul (bvneg (_ bv1 32)) (bvadd x4 (bvmul (_ bv60 32) ?lambdaprime)))) (?v_69 (not (bvsle ?v_67 (_ bv33 32))))) (and (and (bvsle (_ bv0 32) ?lambdaprime) (bvsle ?lambdaprime ?lambda)) (not (and (and (and (not (and bool.b17 (not (and ?v_68 (and (not (bvsle ?v_70 (bvneg (_ bv4100 32)))) ?v_69))))) (not (and bool.b18 (not (and ?v_68 (and ?v_69 (not (bvsle ?v_70 (bvneg (_ bv4500 32)))))))))) (not (and bool.b19 (not (and ?v_68 (and ?v_69 (not (bvsle ?v_70 (bvneg (_ bv4910 32)))))))))) (not (and bool.b20 ?v_71))))))))) (bvslt ?lambda (_ bv0 32))) (and (not (and bool.b21 (and (not (and bool.b22 ?v_1)) (not (and ?v_4 ?v_66))))) (not (and (not bool.b21) (and (not (and ?v_4 (not (and (not (and ?v_5 (not (and (not (and ?v_6 (not (and (not (and ?v_7 (not (and (not (and ?v_8 (not (and (not (and ?v_9 ?v_1)) (not (and bool.b17 (not (and ?v_41 (not (and ?v_20 (not (and ?v_59 (not (and ?v_22 (not (and (not (and (not bool.b24) (not (and ?v_42 (not (and ?v_43 (not (and (bvsle ?v_26 (bvneg (_ bv4100 32))) ?v_64)))))))) (not (and bool.b24 (not (and (not (and ?v_46 ?v_49)) ?v_60)))))))))))))))))))) (not (and bool.b18 (not (and ?v_40 (not (and ?v_9 (not (and ?v_41 (not (and ?v_20 (not (and ?v_42 (not (and ?v_43 (not (and ?v_44 (not (and ?v_45 (not (and (not (and ?v_46 (not (and ?v_47 (and (not (and (not ?v_48) ?v_49)) (not (and ?v_48 (not (and ?v_50 (not (and ?v_51 (not (and ?v_52 (and (not (and (not ?v_28) (not (and ?v_53 (not (and ?v_35 (not (and ?v_54 ?v_55)))))))) (not (and ?v_28 (not (and ?v_53 (not (and ?v_35 ?v_56)))))))))))))))))))) (not (and ?v_39 (not (and ?v_48 (and ?v_28 (not (and ?v_36 ?v_57))))))))))))))))))))))))))))))) (not (and bool.b19 (not (and ?v_58 (not (and ?v_8 (not (and ?v_40 (not (and ?v_9 (not (and ?v_59 (not (and ?v_22 (not (and ?v_60 (not (and ?v_46 (not (and ?v_55 (not (and ?v_29 (not (and (not (and ?v_57 ?v_61)) (not (and (not ?v_62) ?v_61)))))))))))))))))))))))))))))) (not (and bool.b20 (not (and ?v_63 (not (and ?v_7 (not (and ?v_58 (not (and ?v_8 (not (and ?v_40 (not (and ?v_9 (not (and ?v_42 (not (and ?v_43 (not ?v_64))))))))))))))))))))))) (not (and bool.b23 ?v_65)))))) (not (and bool.b22 ?v_66)))))))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
