(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun lambda () (_ BitVec 32))
(declare-fun lambdaprime () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(declare-fun x4 () (_ BitVec 32))
(declare-fun bool.b20 () Bool)
(declare-fun bool.b17 () Bool)
(declare-fun bool.b18 () Bool)
(declare-fun bool.b19 () Bool)
(declare-fun bool.b21 () Bool)
(declare-fun bool.b22 () Bool)
(declare-fun bool.b23 () Bool)
(declare-fun bool.b24 () Bool)
(assert (forall ((?lambda (_ BitVec 32))) (let ((?v_2 (bvadd x4 (bvmul (_ bv20 32) ?lambda))) (?v_4 (not bool.b22)) (?v_5 (not bool.b23)) (?v_6 (not bool.b20)) (?v_7 (not bool.b19)) (?v_8 (not bool.b18)) (?v_9 (not bool.b17)) (?v_12 (bvadd x3 (bvmul (bvneg (_ bv3 32)) ?lambda)))) (let ((?v_0 (bvmul (_ bv1 32) ?v_12))) (let ((?v_10 (bvsle ?v_0 (_ bv0 32))) (?v_36 (bvadd ?v_0 (bvmul (bvsdiv (_ bv1 32) (_ bv60 32)) ?v_2)))) (let ((?v_1 (not (and ?v_10 (not (bvsle ?v_36 (bvsdiv (_ bv241 32) (_ bv3 32)))))))) (let ((?v_55 (not (and bool.b18 ?v_1))) (?v_38 (not (and bool.b17 ?v_1))) (?v_3 (bvadd ?v_0 (bvmul (bvsdiv (_ bv3 32) (_ bv20 32)) ?v_2)))) (let ((?v_27 (bvsle ?v_3 (_ bv1200 32)))) (let ((?v_23 (not (and ?v_27 (not (bvsle ?v_3 (_ bv723 32))))))) (let ((?v_59 (not (and (not (and bool.b19 ?v_1)) (not (and ?v_7 (not (and ?v_55 (not (and ?v_8 (not (and ?v_38 (not (and ?v_9 ?v_23)))))))))))))) (let ((?v_60 (not (and (not (and bool.b20 ?v_1)) (not (and ?v_6 ?v_59)))))) (let ((?v_61 (not (and (not (and bool.b23 ?v_1)) (not (and ?v_5 ?v_60))))) (?v_25 (bvmul (bvneg (_ bv1 32)) ?v_2))) (let ((?v_20 (bvsle ?v_25 (bvneg (_ bv4500 32)))) (?v_21 (bvsle (bvadd ?v_0 (bvmul (bvsdiv (_ bv1 32) (_ bv15 32)) ?v_2)) (bvsdiv (_ bv964 32) (_ bv3 32)))) (?v_33 (bvmul (bvsdiv (bvneg (_ bv1 32)) (_ bv20 32)) ?v_2))) (let ((?v_11 (bvadd ?v_0 ?v_33))) (let ((?v_19 (and (bvsle ?v_11 (bvneg (_ bv205 32))) (not (bvsle ?v_11 (bvneg (_ bv209 32))))))) (let ((?v_13 (not ?v_19)) (?v_16 (bvmul (bvneg (_ bv1 32)) ?v_12))) (let ((?v_37 (bvsle ?v_16 (bvneg (_ bv30 32))))) (let ((?v_15 (not ?v_37)) (?v_22 (not ?v_10)) (?v_14 (bvadd ?v_0 (bvmul (bvsdiv (bvneg (_ bv1 32)) (_ bv80 32)) ?v_2)))) (let ((?v_17 (bvsle ?v_14 (bvsdiv (bvneg (_ bv161 32)) (_ bv4 32)))) (?v_18 (not (bvsle ?v_16 (bvneg (_ bv20 32)))))) (let ((?v_39 (not (and (not ?v_20) (not (and (not (and ?v_10 (and ?v_21 (not (and (not (and (not (bvsle ?v_0 (_ bv30 32))) ?v_13)) (not (and ?v_15 ?v_13))))))) (not (and ?v_22 (not (and (not (and (not ?v_17) (not (and (bvsle ?v_14 (bvsdiv (bvneg (_ bv145 32)) (_ bv4 32))) (and ?v_15 (not (and ?v_18 ?v_13))))))) (not (and ?v_17 (not (and ?v_18 ?v_19))))))))))))) (?v_56 (not (and ?v_10 ?v_21))) (?v_24 (bvsle ?v_0 (_ bv20 32)))) (let ((?v_40 (not (and ?v_24 (and ?v_23 (not (and ?v_21 (not (bvsle (bvadd ?v_0 (bvmul (bvsdiv (_ bv1 32) (_ bv20 32)) ?v_2)) (_ bv241 32))))))))) (?v_41 (not ?v_24)) (?v_43 (not ?v_21)) (?v_26 (bvadd ?v_0 (bvmul (bvsdiv (_ bv3 32) (_ bv40 32)) ?v_2)))) (let ((?v_45 (not (bvsle ?v_26 (bvsdiv (_ bv703 32) (_ bv2 32))))) (?v_46 (bvsle ?v_26 (_ bv610 32))) (?v_29 (bvsle ?v_26 (_ bv359 32)))) (let ((?v_49 (not ?v_29)) (?v_50 (not (bvsle ?v_26 (bvsdiv (_ bv743 32) (_ bv2 32))))) (?v_28 (bvsle ?v_0 (_ bv40 32)))) (let ((?v_32 (and ?v_28 ?v_27)) (?v_35 (not ?v_28))) (let ((?v_48 (not (and ?v_35 ?v_29))) (?v_30 (bvadd ?v_0 (bvmul (bvsdiv (_ bv1 32) (_ bv40 32)) ?v_2)))) (let ((?v_31 (bvsle ?v_30 (_ bv133 32)))) (let ((?v_42 (not (and ?v_21 (not (and (not (bvsle ?v_30 (bvsdiv (_ bv261 32) (_ bv2 32)))) (and (bvsle ?v_30 (bvsdiv (_ bv650 32) (_ bv3 32))) (and (not (and (not ?v_31) (not (and ?v_28 (not (bvsle ?v_30 (bvsdiv (_ bv823 32) (_ bv6 32)))))))) (not (and ?v_31 (not ?v_32)))))))))) (?v_44 (not (bvsle ?v_25 (bvneg (_ bv4910 32))))) (?v_34 (bvsle ?v_0 (_ bv45 32)))) (let ((?v_51 (not (and (not ?v_34) (not (bvsle (bvadd ?v_16 ?v_33) (bvsdiv (bvneg (_ bv581 32)) (_ bv2 32))))))) (?v_54 (and ?v_35 (not (and (bvsle ?v_36 (bvsdiv (_ bv400 32) (_ bv3 32))) (bvsle (bvadd ?v_16 (bvmul (bvsdiv (bvneg (_ bv1 32)) (_ bv60 32)) ?v_2)) (bvsdiv (bvneg (_ bv731 32)) (_ bv6 32)))))))) (let ((?v_53 (not ?v_54)) (?v_52 (not (bvsle ?v_0 (_ bv33 32))))) (let ((?v_57 (and ?v_53 (not (and ?v_28 (not (and ?v_52 (and ?v_37 (bvsle (bvadd ?v_16 (bvmul (bvsdiv (bvneg (_ bv1 32)) (_ bv40 32)) ?v_2)) (bvsdiv (bvneg (_ bv623 32)) (_ bv4 32))))))))))) (let ((?v_47 (not (and ?v_51 (not (and ?v_34 (not ?v_57)))))) (?v_58 (not ?v_27))) (or (or (exists ((?lambdaprime (_ BitVec 32))) (let ((?v_62 (bvmul (_ bv1 32) (bvadd x3 (bvmul (bvneg (_ bv3 32)) ?lambdaprime)))) (?v_64 (bvmul (bvneg (_ bv1 32)) (bvadd x4 (bvmul (_ bv20 32) ?lambdaprime))))) (let ((?v_63 (not (bvsle ?v_62 (_ bv45 32))))) (and (and (bvsle (_ bv0 32) ?lambdaprime) (bvsle ?lambdaprime ?lambda)) (not (and (not (and bool.b20 (bvsle ?v_62 (_ bv0 32)))) (and (and (not (and bool.b17 (not (and (not (bvsle ?v_64 (bvneg (_ bv4100 32)))) ?v_63)))) (not (and bool.b18 (not (and ?v_63 (not (bvsle ?v_64 (bvneg (_ bv4500 32))))))))) (not (and bool.b19 (not (and ?v_63 (not (bvsle ?v_64 (bvneg (_ bv4910 32))))))))))))))) (bvslt ?lambda (_ bv0 32))) (and (not (and bool.b21 (and (not (and bool.b22 ?v_1)) (not (and ?v_4 ?v_61))))) (not (and (not bool.b21) (and (not (and ?v_4 (not (and (not (and ?v_5 (not (and (not (and ?v_6 (not (and (not (and ?v_7 (not (and (not (and ?v_8 (not (and (not (and ?v_9 ?v_1)) (not (and bool.b17 (not (and ?v_39 (not (and ?v_20 (not (and ?v_56 (not (and ?v_22 (not (and (not (and (not bool.b24) (not (and ?v_40 (not (and ?v_41 (not (and (bvsle ?v_25 (bvneg (_ bv4100 32))) (and (not (and ?v_43 (not (and ?v_45 (and ?v_46 (and (not (and ?v_49 (not (and ?v_50 ?v_32)))) ?v_48)))))) ?v_42))))))))) (not (and bool.b24 (not (and ?v_27 (not (and ?v_44 ?v_47)))))))))))))))))))))) (not (and bool.b18 (not (and ?v_38 (not (and ?v_9 (not (and ?v_39 (not (and ?v_20 (not (and ?v_40 (not (and ?v_41 (not (and ?v_42 (not (and ?v_43 (not (and ?v_27 (not (and ?v_44 (not (and ?v_45 (and (not (and (not ?v_46) ?v_47)) (not (and ?v_46 (not (and ?v_48 (not (and ?v_49 (not (and ?v_50 (and (not (and ?v_58 (not (and ?v_51 (not (and ?v_34 (not (and ?v_52 ?v_53)))))))) (not (and ?v_27 (not (and ?v_51 (not (and ?v_34 ?v_54)))))))))))))))))))))))))))))))))))))))))))) (not (and bool.b19 (not (and ?v_55 (not (and ?v_8 (not (and ?v_38 (not (and ?v_9 (not (and ?v_56 (not (and ?v_22 (not (and ?v_27 (not (and ?v_44 (not (and (not (and (not (bvsle (bvadd ?v_16 (bvmul (bvsdiv (bvneg (_ bv3 32)) (_ bv20 32)) ?v_2)) (bvsdiv (bvneg (_ bv1563 32)) (_ bv2 32)))) (not (and ?v_34 ?v_57)))) (not (and ?v_58 (not (and ?v_28 ?v_52)))))))))))))))))))))))))))) (not (and bool.b20 ?v_59)))))) (not (and bool.b23 ?v_60)))))) (not (and bool.b22 ?v_61))))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
