(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun lambda () (_ BitVec 32))
(declare-fun lambdaprime () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(declare-fun x4 () (_ BitVec 32))
(declare-fun bool.b20 () Bool)
(declare-fun bool.b17 () Bool)
(declare-fun bool.b18 () Bool)
(declare-fun bool.b19 () Bool)
(declare-fun bool.b21 () Bool)
(declare-fun bool.b22 () Bool)
(declare-fun bool.b23 () Bool)
(declare-fun bool.b24 () Bool)
(assert (forall ((?lambda (_ BitVec 32))) (let ((?v_2 (bvadd x4 (bvmul (_ bv60 32) ?lambda))) (?v_4 (not bool.b22)) (?v_5 (not bool.b23)) (?v_6 (not bool.b20)) (?v_7 (not bool.b19)) (?v_8 (not bool.b18)) (?v_9 (not bool.b17)) (?v_12 (bvadd x3 (bvmul (bvneg (_ bv3 32)) ?lambda)))) (let ((?v_0 (bvmul (_ bv1 32) ?v_12))) (let ((?v_10 (bvsle ?v_0 (_ bv0 32))) (?v_23 (bvadd ?v_0 (bvmul (bvsdiv (_ bv3 32) (_ bv20 32)) ?v_2)))) (let ((?v_21 (bvsle ?v_23 (_ bv723 32)))) (let ((?v_24 (not ?v_21))) (let ((?v_1 (not (and ?v_10 ?v_24)))) (let ((?v_66 (not (and bool.b19 ?v_1))) (?v_63 (not (and bool.b18 ?v_1))) (?v_41 (not (and bool.b17 ?v_1))) (?v_3 (bvadd ?v_0 (bvmul (bvsdiv (_ bv1 32) (_ bv20 32)) ?v_2)))) (let ((?v_36 (bvsle ?v_3 (_ bv400 32))) (?v_68 (bvsle ?v_3 (_ bv241 32)))) (let ((?v_26 (not ?v_68))) (let ((?v_72 (not (and (not (and bool.b20 ?v_1)) (not (and ?v_6 (not (and ?v_66 (not (and ?v_7 (not (and ?v_63 (not (and ?v_8 (not (and ?v_41 (not (and ?v_9 (not (and ?v_36 ?v_26)))))))))))))))))))) (let ((?v_73 (not (and (not (and bool.b23 ?v_1)) (not (and ?v_5 ?v_72))))) (?v_28 (bvmul (bvneg (_ bv1 32)) ?v_2))) (let ((?v_20 (bvsle ?v_28 (bvneg (_ bv4500 32)))) (?v_25 (bvsle (bvadd ?v_0 (bvmul (bvsdiv (_ bv1 32) (_ bv15 32)) ?v_2)) (bvsdiv (_ bv964 32) (_ bv3 32)))) (?v_37 (bvmul (bvsdiv (bvneg (_ bv1 32)) (_ bv20 32)) ?v_2))) (let ((?v_11 (bvadd ?v_0 ?v_37))) (let ((?v_19 (and (bvsle ?v_11 (bvneg (_ bv205 32))) (not (bvsle ?v_11 (bvneg (_ bv209 32))))))) (let ((?v_13 (not ?v_19)) (?v_16 (bvmul (bvneg (_ bv1 32)) ?v_12))) (let ((?v_40 (bvsle ?v_16 (bvneg (_ bv30 32))))) (let ((?v_15 (not ?v_40)) (?v_22 (not ?v_10)) (?v_14 (bvadd ?v_0 (bvmul (bvsdiv (bvneg (_ bv1 32)) (_ bv80 32)) ?v_2)))) (let ((?v_17 (bvsle ?v_14 (bvsdiv (bvneg (_ bv161 32)) (_ bv4 32)))) (?v_18 (not (bvsle ?v_16 (bvneg (_ bv20 32)))))) (let ((?v_42 (not (and (not ?v_20) (not (and (not (and ?v_10 (and ?v_25 (not (and (not (and (not (bvsle ?v_0 (_ bv30 32))) ?v_13)) (not (and ?v_15 ?v_13))))))) (not (and ?v_22 (not (and (not (and (not ?v_17) (not (and (bvsle ?v_14 (bvsdiv (bvneg (_ bv145 32)) (_ bv4 32))) (and ?v_15 (not (and ?v_18 ?v_13))))))) (not (and ?v_17 (not (and ?v_18 ?v_19))))))))))))) (?v_64 (not (and ?v_10 ?v_21))) (?v_27 (bvsle ?v_0 (_ bv20 32))) (?v_30 (bvsle ?v_23 (_ bv1200 32)))) (let ((?v_43 (not (and ?v_27 (and (not (and ?v_30 ?v_24)) (not (and ?v_25 ?v_26)))))) (?v_44 (not ?v_27)) (?v_46 (not ?v_25)) (?v_29 (bvadd ?v_0 (bvmul (bvsdiv (_ bv3 32) (_ bv40 32)) ?v_2)))) (let ((?v_48 (not (bvsle ?v_29 (bvsdiv (_ bv703 32) (_ bv2 32))))) (?v_49 (bvsle ?v_29 (_ bv610 32))) (?v_32 (bvsle ?v_29 (_ bv359 32)))) (let ((?v_52 (not ?v_32)) (?v_67 (bvsle ?v_29 (bvsdiv (_ bv743 32) (_ bv2 32))))) (let ((?v_53 (not ?v_67)) (?v_31 (bvsle ?v_0 (_ bv40 32)))) (let ((?v_35 (and ?v_31 ?v_30)) (?v_39 (not ?v_31))) (let ((?v_51 (not (and ?v_39 ?v_32)))) (let ((?v_57 (not (and ?v_48 (and ?v_49 (and (not (and ?v_52 (not (and ?v_53 ?v_35)))) ?v_51))))) (?v_33 (bvadd ?v_0 (bvmul (bvsdiv (_ bv1 32) (_ bv40 32)) ?v_2)))) (let ((?v_69 (bvsle ?v_33 (bvsdiv (_ bv261 32) (_ bv2 32)))) (?v_34 (bvsle ?v_33 (_ bv133 32)))) (let ((?v_70 (not ?v_34)) (?v_71 (bvsle ?v_33 (bvsdiv (_ bv823 32) (_ bv6 32))))) (let ((?v_45 (not (and ?v_25 (not (and (not ?v_69) (and (bvsle ?v_33 (bvsdiv (_ bv650 32) (_ bv3 32))) (and (not (and ?v_70 (not (and ?v_31 (not ?v_71))))) (not (and ?v_34 (not ?v_35)))))))))) (?v_56 (bvsle ?v_28 (bvneg (_ bv4910 32))))) (let ((?v_47 (not ?v_56)) (?v_38 (bvsle ?v_0 (_ bv45 32)))) (let ((?v_61 (not (and (not ?v_38) (not (bvsle (bvadd ?v_16 ?v_37) (bvsdiv (bvneg (_ bv581 32)) (_ bv2 32))))))) (?v_62 (and ?v_39 (not (and (bvsle (bvadd ?v_0 (bvmul (bvsdiv (_ bv1 32) (_ bv60 32)) ?v_2)) (bvsdiv (_ bv400 32) (_ bv3 32))) (bvsle (bvadd ?v_16 (bvmul (bvsdiv (bvneg (_ bv1 32)) (_ bv60 32)) ?v_2)) (bvsdiv (bvneg (_ bv731 32)) (_ bv6 32)))))))) (let ((?v_55 (not ?v_62)) (?v_54 (not (bvsle ?v_0 (_ bv33 32))))) (let ((?v_50 (and ?v_55 (not (and ?v_31 (not (and ?v_54 (and ?v_40 (bvsle (bvadd ?v_16 (bvmul (bvsdiv (bvneg (_ bv1 32)) (_ bv40 32)) ?v_2)) (bvsdiv (bvneg (_ bv623 32)) (_ bv4 32))))))))))) (let ((?v_59 (not (and ?v_61 (not (and ?v_38 (not ?v_50))))))) (let ((?v_65 (not (and ?v_36 (not (and ?v_47 ?v_59))))) (?v_58 (not ?v_49)) (?v_60 (not ?v_30))) (or (or (exists ((?lambdaprime (_ BitVec 32))) (let ((?v_74 (bvmul (_ bv1 32) (bvadd x3 (bvmul (bvneg (_ bv3 32)) ?lambdaprime)))) (?v_76 (bvmul (bvneg (_ bv1 32)) (bvadd x4 (bvmul (_ bv60 32) ?lambdaprime))))) (let ((?v_75 (not (bvsle ?v_74 (_ bv45 32))))) (and (and (bvsle (_ bv0 32) ?lambdaprime) (bvsle ?lambdaprime ?lambda)) (not (and (not (and bool.b20 (bvsle ?v_74 (_ bv40 32)))) (and (and (not (and bool.b17 (not (and (not (bvsle ?v_76 (bvneg (_ bv4100 32)))) ?v_75)))) (not (and bool.b18 (not (and ?v_75 (not (bvsle ?v_76 (bvneg (_ bv4500 32))))))))) (not (and bool.b19 (not (and ?v_75 (not (bvsle ?v_76 (bvneg (_ bv4910 32))))))))))))))) (bvslt ?lambda (_ bv0 32))) (and (not (and bool.b21 (and (not (and bool.b22 ?v_1)) (not (and ?v_4 ?v_73))))) (not (and (not bool.b21) (and (not (and ?v_4 (not (and (not (and ?v_5 (not (and (not (and ?v_6 (not (and (not (and ?v_7 (not (and (not (and ?v_8 (not (and (not (and ?v_9 ?v_1)) (not (and bool.b17 (not (and ?v_42 (not (and ?v_20 (not (and ?v_64 (not (and ?v_22 (not (and (not (and (not bool.b24) (not (and ?v_43 (not (and ?v_44 (not (and (bvsle ?v_28 (bvneg (_ bv4100 32))) (and (not (and ?v_46 ?v_57)) ?v_45))))))))) (not (and bool.b24 ?v_65)))))))))))))))))) (not (and bool.b18 (not (and ?v_41 (not (and ?v_9 (not (and ?v_42 (not (and ?v_20 (not (and ?v_43 (not (and ?v_44 (not (and (not (and (not ?v_36) (not (and ?v_45 (not (and ?v_46 (not (and (not (and ?v_47 (not (and ?v_48 (and (not (and ?v_58 (not (and ?v_38 ?v_50)))) (not (and ?v_49 (not (and ?v_51 (not (and ?v_52 (not (and ?v_53 (and (not (and ?v_60 (not (and ?v_31 ?v_54)))) (not (and ?v_30 (not (and ?v_38 ?v_55)))))))))))))))))) (not (and ?v_56 ?v_57)))))))))) (and ?v_45 (not (and ?v_46 (and ?v_47 (not (and ?v_48 (and (not (and ?v_58 ?v_59)) (not (and ?v_49 (not (and ?v_51 (not (and ?v_52 (not (and ?v_53 (and (not (and ?v_60 (not (and ?v_61 (not (and ?v_38 (not (and ?v_54 ?v_55)))))))) (not (and ?v_30 (not (and ?v_61 (not (and ?v_38 ?v_62)))))))))))))))))))))))))))))))))))))))))) (not (and bool.b19 (not (and ?v_63 (not (and ?v_8 (not (and ?v_41 (not (and ?v_9 (not (and ?v_64 (not (and ?v_22 ?v_65)))))))))))))))))) (not (and bool.b20 (not (and ?v_66 (not (and ?v_7 (not (and ?v_63 (not (and ?v_8 (not (and ?v_41 (not (and ?v_9 (not (and ?v_31 (not (and (not (and ?v_30 (and ?v_49 (and ?v_46 (not (and ?v_52 (and ?v_67 (not (and ?v_30 (and ?v_24 ?v_49)))))))))) (not (and ?v_25 (and ?v_21 (not (and ?v_67 (not (and (not (and ?v_68 ?v_69)) (not (and ?v_70 ?v_71))))))))))))))))))))))))))))))) (not (and bool.b23 ?v_72)))))) (not (and bool.b22 ?v_73))))))))))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
