(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun lambda () (_ BitVec 32))
(declare-fun lambdaprime () (_ BitVec 32))
(declare-fun x4 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(declare-fun bool.b17 () Bool)
(declare-fun bool.b18 () Bool)
(declare-fun bool.b19 () Bool)
(declare-fun bool.b21 () Bool)
(declare-fun bool.b22 () Bool)
(declare-fun bool.b23 () Bool)
(declare-fun bool.b20 () Bool)
(declare-fun bool.b24 () Bool)
(assert (forall ((?lambda (_ BitVec 32))) (let ((?v_2 (bvadd x4 (bvmul (_ bv40 32) ?lambda))) (?v_4 (not bool.b22)) (?v_5 (not bool.b23)) (?v_6 (not bool.b20)) (?v_7 (not bool.b19)) (?v_47 (not bool.b18)) (?v_9 (not bool.b17)) (?v_25 (bvadd x3 (bvmul (bvsdiv (bvneg (_ bv1 32)) (_ bv20 32)) ?lambda)))) (let ((?v_0 (bvmul (_ bv1 32) ?v_25))) (let ((?v_37 (bvsle ?v_0 (_ bv0 32))) (?v_10 (bvadd ?v_0 (bvmul (bvsdiv (_ bv3 32) (_ bv20 32)) ?v_2)))) (let ((?v_49 (bvsle ?v_10 (_ bv723 32)))) (let ((?v_11 (not ?v_49))) (let ((?v_1 (not (and ?v_37 ?v_11)))) (let ((?v_59 (not (and bool.b18 ?v_1))) (?v_8 (not (and bool.b17 ?v_1))) (?v_3 (bvadd ?v_0 (bvmul (bvsdiv (_ bv1 32) (_ bv800 32)) ?v_2)))) (let ((?v_61 (and (bvsle ?v_3 (_ bv10 32)) (not (bvsle ?v_3 (bvsdiv (_ bv241 32) (_ bv40 32))))))) (let ((?v_56 (not ?v_61))) (let ((?v_62 (not (and (not (and bool.b19 ?v_1)) (not (and ?v_7 (not (and ?v_59 (not (and ?v_47 (not (and ?v_8 (not (and ?v_9 ?v_56)))))))))))))) (let ((?v_63 (not (and (not (and bool.b20 ?v_1)) (not (and ?v_6 ?v_62)))))) (let ((?v_64 (not (and (not (and bool.b23 ?v_1)) (not (and ?v_5 ?v_63))))) (?v_18 (bvmul (bvneg (_ bv1 32)) ?v_2))) (let ((?v_36 (bvsle ?v_18 (bvneg (_ bv4500 32)))) (?v_12 (bvsle ?v_0 (_ bv20 32))) (?v_17 (bvsle ?v_10 (_ bv1200 32))) (?v_13 (bvsle (bvadd ?v_0 (bvmul (bvsdiv (_ bv1 32) (_ bv15 32)) ?v_2)) (bvsdiv (_ bv964 32) (_ bv3 32))))) (let ((?v_51 (not (and ?v_12 (and (not (and ?v_17 ?v_11)) (not (and ?v_13 (not (bvsle (bvadd ?v_0 (bvmul (bvsdiv (_ bv1 32) (_ bv20 32)) ?v_2)) (_ bv241 32))))))))) (?v_52 (not ?v_12)) (?v_14 (bvadd ?v_0 (bvmul (bvsdiv (_ bv1 32) (_ bv40 32)) ?v_2)))) (let ((?v_15 (bvsle ?v_14 (_ bv133 32))) (?v_16 (bvsle ?v_0 (_ bv40 32)))) (let ((?v_20 (and ?v_16 ?v_17))) (let ((?v_53 (not (and ?v_13 (not (and (not (bvsle ?v_14 (bvsdiv (_ bv261 32) (_ bv2 32)))) (and (bvsle ?v_14 (bvsdiv (_ bv650 32) (_ bv3 32))) (and (not (and (not ?v_15) (not (and ?v_16 (not (bvsle ?v_14 (bvsdiv (_ bv823 32) (_ bv6 32)))))))) (not (and ?v_15 (not ?v_20)))))))))) (?v_54 (not ?v_13)) (?v_22 (bvsle ?v_18 (bvneg (_ bv4910 32)))) (?v_19 (bvadd ?v_0 (bvmul (bvsdiv (_ bv3 32) (_ bv40 32)) ?v_2)))) (let ((?v_23 (not (bvsle ?v_19 (bvsdiv (_ bv703 32) (_ bv2 32))))) (?v_24 (bvsle ?v_19 (_ bv610 32))) (?v_21 (bvsle ?v_19 (_ bv359 32)))) (let ((?v_30 (not ?v_21)) (?v_31 (not (bvsle ?v_19 (bvsdiv (_ bv743 32) (_ bv2 32))))) (?v_27 (not ?v_16))) (let ((?v_29 (not (and ?v_27 ?v_21)))) (let ((?v_55 (not (and ?v_23 (and ?v_24 (and (not (and ?v_30 (not (and ?v_31 ?v_20)))) ?v_29))))) (?v_57 (not ?v_22)) (?v_26 (bvsle ?v_0 (_ bv45 32))) (?v_28 (bvmul (bvneg (_ bv1 32)) ?v_25)) (?v_38 (bvmul (bvsdiv (bvneg (_ bv1 32)) (_ bv20 32)) ?v_2))) (let ((?v_32 (not (and (not ?v_26) (not (bvsle (bvadd ?v_28 ?v_38) (bvsdiv (bvneg (_ bv581 32)) (_ bv2 32))))))) (?v_35 (and ?v_27 (not (and (bvsle (bvadd ?v_0 (bvmul (bvsdiv (_ bv1 32) (_ bv60 32)) ?v_2)) (bvsdiv (_ bv400 32) (_ bv3 32))) (bvsle (bvadd ?v_28 (bvmul (bvsdiv (bvneg (_ bv1 32)) (_ bv60 32)) ?v_2)) (bvsdiv (bvneg (_ bv731 32)) (_ bv6 32)))))))) (let ((?v_34 (not ?v_35)) (?v_33 (not (bvsle ?v_0 (_ bv33 32)))) (?v_40 (bvsle ?v_28 (bvneg (_ bv30 32))))) (let ((?v_58 (not (and ?v_32 (not (and ?v_26 (not (and ?v_34 (not (and ?v_16 (not (and ?v_33 (and ?v_40 (bvsle (bvadd ?v_28 (bvmul (bvsdiv (bvneg (_ bv1 32)) (_ bv40 32)) ?v_2)) (bvsdiv (bvneg (_ bv623 32)) (_ bv4 32))))))))))))))) (?v_39 (bvadd ?v_0 ?v_38))) (let ((?v_46 (and (bvsle ?v_39 (bvneg (_ bv205 32))) (not (bvsle ?v_39 (bvneg (_ bv209 32))))))) (let ((?v_41 (not ?v_46)) (?v_43 (not ?v_40)) (?v_50 (not ?v_37)) (?v_42 (bvadd ?v_0 (bvmul (bvsdiv (bvneg (_ bv1 32)) (_ bv80 32)) ?v_2)))) (let ((?v_44 (bvsle ?v_42 (bvsdiv (bvneg (_ bv161 32)) (_ bv4 32)))) (?v_45 (not (bvsle ?v_28 (bvneg (_ bv20 32)))))) (let ((?v_48 (not (and (not ?v_36) (not (and (not (and ?v_37 (and ?v_13 (not (and (not (and (not (bvsle ?v_0 (_ bv30 32))) ?v_41)) (not (and ?v_43 ?v_41))))))) (not (and ?v_50 (not (and (not (and (not ?v_44) (not (and (bvsle ?v_42 (bvsdiv (bvneg (_ bv145 32)) (_ bv4 32))) (and ?v_43 (not (and ?v_45 ?v_41))))))) (not (and ?v_44 (not (and ?v_45 ?v_46))))))))))))) (?v_60 (not (and ?v_37 ?v_49)))) (or (or (exists ((?lambdaprime (_ BitVec 32))) (let ((?v_66 (bvmul (bvneg (_ bv1 32)) (bvadd x4 (bvmul (_ bv40 32) ?lambdaprime)))) (?v_65 (not (bvsle (bvmul (_ bv1 32) (bvadd x3 (bvmul (bvsdiv (bvneg (_ bv1 32)) (_ bv20 32)) ?lambdaprime))) (_ bv30 32))))) (and (and (bvsle (_ bv0 32) ?lambdaprime) (bvsle ?lambdaprime ?lambda)) (not (and (and (not (and bool.b17 (not (and (not (bvsle ?v_66 (bvneg (_ bv4100 32)))) ?v_65)))) (not (and bool.b18 (not (and ?v_65 (not (bvsle ?v_66 (bvneg (_ bv4500 32))))))))) (not (and bool.b19 (not (and ?v_65 (not (bvsle ?v_66 (bvneg (_ bv4910 32))))))))))))) (bvslt ?lambda (_ bv0 32))) (and (not (and bool.b21 (and (not (and bool.b22 ?v_1)) (not (and ?v_4 ?v_64))))) (not (and (not bool.b21) (and (not (and ?v_4 (not (and (not (and ?v_5 (not (and (not (and ?v_6 (not (and (not (and ?v_7 (not (and (not (and bool.b18 (not (and ?v_8 (not (and ?v_9 (not (and (not (and ?v_36 (not (and ?v_51 (not (and ?v_52 (not (and ?v_53 (not (and ?v_54 (not (and (not (and ?v_22 ?v_55)) (not (and ?v_57 (not (and ?v_23 (and (not (and (not ?v_24) ?v_58)) (not (and ?v_24 (not (and ?v_29 (not (and ?v_30 (not (and ?v_31 (and (not (and (not ?v_17) (not (and ?v_32 (not (and ?v_26 (not (and ?v_33 ?v_34)))))))) (not (and ?v_17 (not (and ?v_32 (not (and ?v_26 ?v_35)))))))))))))))))))))))))))))))) ?v_48)))))))) (not (and ?v_47 (not (and (not (and ?v_9 ?v_1)) (not (and bool.b17 (not (and ?v_48 (not (and ?v_36 (not (and ?v_60 (not (and ?v_50 (not (and (not (and (not bool.b24) (not (and ?v_51 (not (and ?v_52 (not (and (bvsle ?v_18 (bvneg (_ bv4100 32))) (and ?v_53 (not (and ?v_54 ?v_55))))))))))) (not (and bool.b24 (not (and (not (and ?v_22 ?v_56)) (not (and ?v_57 ?v_58)))))))))))))))))))))))))) (not (and bool.b19 (not (and ?v_59 (not (and ?v_47 (not (and ?v_8 (not (and ?v_9 (not (and ?v_60 (not (and ?v_50 (not (and ?v_22 ?v_61)))))))))))))))))))) (not (and bool.b20 ?v_62)))))) (not (and bool.b23 ?v_63)))))) (not (and bool.b22 ?v_64)))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
