(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun lambda () (_ BitVec 32))
(declare-fun lambdaprime () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(declare-fun x4 () (_ BitVec 32))
(declare-fun bool.b17 () Bool)
(declare-fun bool.b18 () Bool)
(declare-fun bool.b19 () Bool)
(declare-fun bool.b21 () Bool)
(declare-fun bool.b22 () Bool)
(declare-fun bool.b23 () Bool)
(declare-fun bool.b20 () Bool)
(declare-fun bool.b24 () Bool)
(assert (forall ((?lambda (_ BitVec 32))) (let ((?v_2 (bvadd x4 (bvmul (_ bv60 32) ?lambda))) (?v_4 (not bool.b22)) (?v_5 (not bool.b23)) (?v_6 (not bool.b20)) (?v_7 (not bool.b19)) (?v_46 (not bool.b18)) (?v_9 (not bool.b17)) (?v_24 (bvadd x3 (bvmul (bvsdiv (bvneg (_ bv1 32)) (_ bv20 32)) ?lambda)))) (let ((?v_0 (bvmul (_ bv1 32) ?v_24))) (let ((?v_36 (bvsle ?v_0 (_ bv0 32)))) (let ((?v_1 (not (and ?v_36 (not (bvsle (bvadd ?v_0 (bvmul (bvsdiv (_ bv1 32) (_ bv800 32)) ?v_2)) (bvsdiv (_ bv241 32) (_ bv40 32)))))))) (let ((?v_60 (not (and bool.b18 ?v_1))) (?v_8 (not (and bool.b17 ?v_1))) (?v_3 (bvadd ?v_0 (bvmul (bvsdiv (_ bv1 32) (_ bv1200 32)) ?v_2)))) (let ((?v_55 (bvsle ?v_3 (bvsdiv (_ bv20 32) (_ bv3 32))))) (let ((?v_65 (not (and (not (and bool.b19 ?v_1)) (not (and ?v_7 (not (and ?v_60 (not (and ?v_46 (not (and ?v_8 (not (and ?v_9 (not (and ?v_55 (not (bvsle ?v_3 (bvsdiv (_ bv241 32) (_ bv60 32)))))))))))))))))))) (let ((?v_66 (not (and (not (and bool.b20 ?v_1)) (not (and ?v_6 ?v_65)))))) (let ((?v_67 (not (and (not (and bool.b23 ?v_1)) (not (and ?v_5 ?v_66))))) (?v_17 (bvmul (bvneg (_ bv1 32)) ?v_2))) (let ((?v_35 (bvsle ?v_17 (bvneg (_ bv4500 32)))) (?v_11 (bvsle ?v_0 (_ bv20 32))) (?v_10 (bvadd ?v_0 (bvmul (bvsdiv (_ bv3 32) (_ bv20 32)) ?v_2)))) (let ((?v_16 (bvsle ?v_10 (_ bv1200 32))) (?v_48 (bvsle ?v_10 (_ bv723 32))) (?v_12 (bvsle (bvadd ?v_0 (bvmul (bvsdiv (_ bv1 32) (_ bv15 32)) ?v_2)) (bvsdiv (_ bv964 32) (_ bv3 32))))) (let ((?v_50 (not (and ?v_11 (and (not (and ?v_16 (not ?v_48))) (not (and ?v_12 (not (bvsle (bvadd ?v_0 (bvmul (bvsdiv (_ bv1 32) (_ bv20 32)) ?v_2)) (_ bv241 32))))))))) (?v_51 (not ?v_11)) (?v_13 (bvadd ?v_0 (bvmul (bvsdiv (_ bv1 32) (_ bv40 32)) ?v_2)))) (let ((?v_14 (bvsle ?v_13 (_ bv133 32))) (?v_15 (bvsle ?v_0 (_ bv40 32)))) (let ((?v_19 (and ?v_15 ?v_16))) (let ((?v_52 (not (and ?v_12 (not (and (not (bvsle ?v_13 (bvsdiv (_ bv261 32) (_ bv2 32)))) (and (bvsle ?v_13 (bvsdiv (_ bv650 32) (_ bv3 32))) (and (not (and (not ?v_14) (not (and ?v_15 (not (bvsle ?v_13 (bvsdiv (_ bv823 32) (_ bv6 32)))))))) (not (and ?v_14 (not ?v_19)))))))))) (?v_53 (not ?v_12)) (?v_21 (bvsle ?v_17 (bvneg (_ bv4910 32)))) (?v_18 (bvadd ?v_0 (bvmul (bvsdiv (_ bv3 32) (_ bv40 32)) ?v_2)))) (let ((?v_22 (not (bvsle ?v_18 (bvsdiv (_ bv703 32) (_ bv2 32))))) (?v_23 (bvsle ?v_18 (_ bv610 32))) (?v_20 (bvsle ?v_18 (_ bv359 32)))) (let ((?v_29 (not ?v_20)) (?v_30 (not (bvsle ?v_18 (bvsdiv (_ bv743 32) (_ bv2 32))))) (?v_26 (not ?v_15))) (let ((?v_28 (not (and ?v_26 ?v_20)))) (let ((?v_54 (not (and ?v_22 (and ?v_23 (and (not (and ?v_29 (not (and ?v_30 ?v_19)))) ?v_28))))) (?v_56 (not ?v_21)) (?v_25 (bvsle ?v_0 (_ bv45 32))) (?v_27 (bvmul (bvneg (_ bv1 32)) ?v_24)) (?v_37 (bvmul (bvsdiv (bvneg (_ bv1 32)) (_ bv20 32)) ?v_2))) (let ((?v_58 (bvsle (bvadd ?v_27 ?v_37) (bvsdiv (bvneg (_ bv581 32)) (_ bv2 32))))) (let ((?v_31 (not (and (not ?v_25) (not ?v_58)))) (?v_59 (bvsle (bvadd ?v_27 (bvmul (bvsdiv (bvneg (_ bv1 32)) (_ bv60 32)) ?v_2)) (bvsdiv (bvneg (_ bv731 32)) (_ bv6 32))))) (let ((?v_34 (and ?v_26 (not (and (bvsle (bvadd ?v_0 (bvmul (bvsdiv (_ bv1 32) (_ bv60 32)) ?v_2)) (bvsdiv (_ bv400 32) (_ bv3 32))) ?v_59))))) (let ((?v_33 (not ?v_34)) (?v_32 (not (bvsle ?v_0 (_ bv33 32)))) (?v_39 (bvsle ?v_27 (bvneg (_ bv30 32)))) (?v_57 (bvsle (bvadd ?v_27 (bvmul (bvsdiv (bvneg (_ bv1 32)) (_ bv40 32)) ?v_2)) (bvsdiv (bvneg (_ bv623 32)) (_ bv4 32)))) (?v_38 (bvadd ?v_0 ?v_37))) (let ((?v_45 (and (bvsle ?v_38 (bvneg (_ bv205 32))) (not (bvsle ?v_38 (bvneg (_ bv209 32))))))) (let ((?v_40 (not ?v_45)) (?v_42 (not ?v_39)) (?v_49 (not ?v_36)) (?v_41 (bvadd ?v_0 (bvmul (bvsdiv (bvneg (_ bv1 32)) (_ bv80 32)) ?v_2)))) (let ((?v_43 (bvsle ?v_41 (bvsdiv (bvneg (_ bv161 32)) (_ bv4 32)))) (?v_44 (not (bvsle ?v_27 (bvneg (_ bv20 32)))))) (let ((?v_47 (not (and (not ?v_35) (not (and (not (and ?v_36 (and ?v_12 (not (and (not (and (not (bvsle ?v_0 (_ bv30 32))) ?v_40)) (not (and ?v_42 ?v_40))))))) (not (and ?v_49 (not (and (not (and (not ?v_43) (not (and (bvsle ?v_41 (bvsdiv (bvneg (_ bv145 32)) (_ bv4 32))) (and ?v_42 (not (and ?v_44 ?v_40))))))) (not (and ?v_43 (not (and ?v_44 ?v_45))))))))))))) (?v_61 (not (and ?v_36 ?v_48))) (?v_62 (not (and ?v_55 (and ?v_56 (not (and ?v_15 ?v_57)))))) (?v_63 (not ?v_55)) (?v_64 (not (and ?v_19 (and ?v_35 (and ?v_56 ?v_57)))))) (or (or (exists ((?lambdaprime (_ BitVec 32))) (let ((?v_68 (bvmul (_ bv1 32) (bvadd x3 (bvmul (bvsdiv (bvneg (_ bv1 32)) (_ bv20 32)) ?lambdaprime))))) (let ((?v_69 (not (bvsle ?v_68 (_ bv40 32)))) (?v_71 (bvmul (bvneg (_ bv1 32)) (bvadd x4 (bvmul (_ bv60 32) ?lambdaprime)))) (?v_70 (not (bvsle ?v_68 (_ bv33 32))))) (and (and (bvsle (_ bv0 32) ?lambdaprime) (bvsle ?lambdaprime ?lambda)) (not (and (and (not (and bool.b17 (not (and ?v_69 (and (not (bvsle ?v_71 (bvneg (_ bv4100 32)))) ?v_70))))) (not (and bool.b18 (not (and ?v_69 (and ?v_70 (not (bvsle ?v_71 (bvneg (_ bv4500 32)))))))))) (not (and bool.b19 (not (and ?v_69 (not (bvsle ?v_71 (bvneg (_ bv4910 32)))))))))))))) (bvslt ?lambda (_ bv0 32))) (and (not (and bool.b21 (and (not (and bool.b22 ?v_1)) (not (and ?v_4 ?v_67))))) (not (and (not bool.b21) (and (not (and ?v_4 (not (and (not (and ?v_5 (not (and (not (and ?v_6 (not (and (not (and ?v_7 (not (and (not (and bool.b18 (not (and ?v_8 (not (and ?v_9 (not (and (not (and ?v_35 (not (and ?v_50 (not (and ?v_51 (not (and ?v_52 (not (and ?v_53 (not (and (not (and ?v_21 ?v_54)) (not (and ?v_56 (not (and ?v_22 (and (not (and (not ?v_23) (not (and ?v_31 (not (and ?v_25 (not (and ?v_33 (not (and ?v_15 (not (and ?v_32 (and ?v_39 ?v_57))))))))))))) (not (and ?v_23 (not (and ?v_28 (not (and ?v_29 (not (and ?v_30 (and (not (and (not ?v_16) (not (and ?v_31 (not (and ?v_25 (not (and ?v_32 ?v_33)))))))) (not (and ?v_16 (not (and ?v_31 (not (and ?v_25 ?v_34)))))))))))))))))))))))))))))))) ?v_47)))))))) (not (and ?v_46 (not (and (not (and ?v_9 ?v_1)) (not (and bool.b17 (not (and ?v_47 (not (and ?v_35 (not (and ?v_61 (not (and ?v_49 (not (and (not (and (not bool.b24) (not (and ?v_50 (not (and ?v_51 (not (and (bvsle ?v_17 (bvneg (_ bv4100 32))) (and ?v_52 (not (and ?v_53 ?v_54))))))))))) (not (and bool.b24 (not (and ?v_62 (not (and ?v_63 (and (not (and ?v_56 ?v_58)) (and (not (and ?v_25 (and ?v_56 ?v_59))) ?v_64)))))))))))))))))))))))))))) (not (and bool.b19 (not (and ?v_60 (not (and ?v_46 (not (and ?v_8 (not (and ?v_9 (not (and ?v_61 (not (and ?v_49 (not (and ?v_62 (not (and ?v_63 ?v_64)))))))))))))))))))))) (not (and bool.b20 ?v_65)))))) (not (and bool.b23 ?v_66)))))) (not (and bool.b22 ?v_67))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
