(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun lambda () (_ BitVec 32))
(declare-fun lambdaprime () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(declare-fun x4 () (_ BitVec 32))
(declare-fun bool.b17 () Bool)
(declare-fun bool.b18 () Bool)
(declare-fun bool.b19 () Bool)
(declare-fun bool.b21 () Bool)
(declare-fun bool.b22 () Bool)
(declare-fun bool.b23 () Bool)
(declare-fun bool.b20 () Bool)
(declare-fun bool.b24 () Bool)
(assert (forall ((?lambda (_ BitVec 32))) (let ((?v_6 (bvadd x3 (bvmul (_ bv1 32) ?lambda)))) (let ((?v_0 (bvmul (_ bv1 32) ?v_6))) (let ((?v_3 (bvsle ?v_0 (_ bv0 32))) (?v_5 (bvadd x4 (bvmul (_ bv20 32) ?lambda))) (?v_11 (not bool.b18)) (?v_12 (not bool.b17))) (let ((?v_17 (not ?v_3)) (?v_45 (bvsle ?v_0 (_ bv45 32))) (?v_30 (bvsle ?v_0 (_ bv40 32))) (?v_27 (bvsle ?v_0 (_ bv20 32)))) (let ((?v_38 (not ?v_27)) (?v_47 (not ?v_30)) (?v_55 (not (bvsle ?v_0 (_ bv33 32)))) (?v_9 (bvadd ?v_0 (bvmul (bvsdiv (_ bv3 32) (_ bv20 32)) ?v_5)))) (let ((?v_4 (bvsle ?v_9 (_ bv723 32)))) (let ((?v_25 (not ?v_4))) (let ((?v_1 (and ?v_3 ?v_25))) (let ((?v_2 (not ?v_1))) (let ((?v_35 (not (and bool.b17 ?v_2))) (?v_23 (not (and ?v_3 ?v_4))) (?v_10 (bvmul (bvneg (_ bv1 32)) ?v_5))) (let ((?v_41 (bvsle ?v_10 (bvneg (_ bv4910 32))))) (let ((?v_7 (not ?v_41)) (?v_8 (bvmul (bvneg (_ bv1 32)) ?v_6)) (?v_14 (bvmul (bvsdiv (bvneg (_ bv1 32)) (_ bv20 32)) ?v_5))) (let ((?v_46 (bvsle (bvadd ?v_8 ?v_14) (bvsdiv (bvneg (_ bv581 32)) (_ bv2 32)))) (?v_48 (bvsle (bvadd ?v_8 (bvmul (bvsdiv (bvneg (_ bv1 32)) (_ bv60 32)) ?v_5)) (bvsdiv (bvneg (_ bv731 32)) (_ bv6 32)))) (?v_24 (bvsle ?v_9 (_ bv1200 32)))) (let ((?v_29 (and ?v_30 ?v_24)) (?v_13 (bvsle ?v_10 (bvneg (_ bv4500 32)))) (?v_50 (bvsle (bvadd ?v_8 (bvmul (bvsdiv (bvneg (_ bv1 32)) (_ bv40 32)) ?v_5)) (bvsdiv (bvneg (_ bv623 32)) (_ bv4 32))))) (let ((?v_34 (and (not (and ?v_7 ?v_46)) (and (not (and ?v_45 (and ?v_7 ?v_48))) (not (and ?v_29 (and ?v_13 (and ?v_7 ?v_50))))))) (?v_26 (bvsle (bvadd ?v_0 (bvmul (bvsdiv (_ bv1 32) (_ bv15 32)) ?v_5)) (bvsdiv (_ bv964 32) (_ bv3 32)))) (?v_15 (bvadd ?v_0 ?v_14))) (let ((?v_22 (and (bvsle ?v_15 (bvneg (_ bv205 32))) (not (bvsle ?v_15 (bvneg (_ bv209 32))))))) (let ((?v_16 (not ?v_22)) (?v_49 (bvsle ?v_8 (bvneg (_ bv30 32))))) (let ((?v_19 (not ?v_49)) (?v_18 (bvadd ?v_0 (bvmul (bvsdiv (bvneg (_ bv1 32)) (_ bv80 32)) ?v_5)))) (let ((?v_20 (bvsle ?v_18 (bvsdiv (bvneg (_ bv161 32)) (_ bv4 32)))) (?v_21 (not (bvsle ?v_8 (bvneg (_ bv20 32)))))) (let ((?v_36 (not (and (not ?v_13) (not (and (not (and ?v_3 (and ?v_26 (not (and (not (and (not (bvsle ?v_0 (_ bv30 32))) ?v_16)) (not (and ?v_19 ?v_16))))))) (not (and ?v_17 (not (and (not (and (not ?v_20) (not (and (bvsle ?v_18 (bvsdiv (bvneg (_ bv145 32)) (_ bv4 32))) (and ?v_19 (not (and ?v_21 ?v_16))))))) (not (and ?v_20 (not (and ?v_21 ?v_22))))))))))))) (?v_37 (not (and ?v_27 (and (not (and ?v_24 ?v_25)) (not (and ?v_26 (not (bvsle (bvadd ?v_0 (bvmul (bvsdiv (_ bv1 32) (_ bv20 32)) ?v_5)) (_ bv241 32))))))))) (?v_40 (not ?v_26)) (?v_28 (bvadd ?v_0 (bvmul (bvsdiv (_ bv3 32) (_ bv40 32)) ?v_5)))) (let ((?v_43 (not (bvsle ?v_28 (bvsdiv (_ bv703 32) (_ bv2 32))))) (?v_44 (bvsle ?v_28 (_ bv610 32))) (?v_31 (bvsle ?v_28 (_ bv359 32)))) (let ((?v_52 (not ?v_31)) (?v_53 (not (bvsle ?v_28 (bvsdiv (_ bv743 32) (_ bv2 32))))) (?v_51 (not (and ?v_47 ?v_31)))) (let ((?v_42 (not (and ?v_43 (and ?v_44 (and (not (and ?v_52 (not (and ?v_53 ?v_29)))) ?v_51))))) (?v_32 (bvadd ?v_0 (bvmul (bvsdiv (_ bv1 32) (_ bv40 32)) ?v_5)))) (let ((?v_33 (bvsle ?v_32 (_ bv133 32)))) (let ((?v_39 (not (and ?v_26 (not (and (not (bvsle ?v_32 (bvsdiv (_ bv261 32) (_ bv2 32)))) (and (bvsle ?v_32 (bvsdiv (_ bv650 32) (_ bv3 32))) (and (not (and (not ?v_33) (not (and ?v_30 (not (bvsle ?v_32 (bvsdiv (_ bv823 32) (_ bv6 32)))))))) (not (and ?v_33 (not ?v_29)))))))))) (?v_54 (not (and (not ?v_45) (not ?v_46)))) (?v_57 (and ?v_47 (not (and (bvsle (bvadd ?v_0 (bvmul (bvsdiv (_ bv1 32) (_ bv60 32)) ?v_5)) (bvsdiv (_ bv400 32) (_ bv3 32))) ?v_48))))) (let ((?v_56 (not ?v_57))) (or (or (exists ((?lambdaprime (_ BitVec 32))) (let ((?v_58 (not (bvsle (bvmul (bvneg (_ bv1 32)) (bvadd x3 (bvmul (_ bv1 32) ?lambdaprime))) (bvneg (_ bv20 32))))) (?v_59 (bvmul (bvneg (_ bv1 32)) (bvadd x4 (bvmul (_ bv20 32) ?lambdaprime))))) (and (and (bvsle (_ bv0 32) ?lambdaprime) (bvsle ?lambdaprime ?lambda)) (not (and (and (not (and bool.b17 (not (and ?v_58 (not (bvsle ?v_59 (bvneg (_ bv4100 32)))))))) (not (and bool.b18 (not (and ?v_58 (not (bvsle ?v_59 (bvneg (_ bv4500 32))))))))) (not (and bool.b19 (not (and ?v_58 (not (bvsle ?v_59 (bvneg (_ bv4910 32))))))))))))) (bvslt ?lambda (_ bv0 32))) (and (not (and bool.b21 ?v_1)) (not (and (not bool.b21) (and (not (and bool.b22 ?v_2)) (not (and (not bool.b22) (not (and (not (and bool.b23 ?v_2)) (not (and (not bool.b23) (not (and (not (and bool.b20 ?v_2)) (not (and (not bool.b20) (not (and (not (and bool.b19 (not (and (not (and bool.b18 ?v_2)) (not (and ?v_11 (not (and ?v_35 (not (and ?v_12 (not (and ?v_23 (not (and ?v_17 ?v_34)))))))))))))) (not (and (not bool.b19) (not (and (not (and ?v_11 (not (and (not (and ?v_12 ?v_2)) (not (and bool.b17 (not (and ?v_36 (not (and ?v_13 (not (and ?v_23 (not (and ?v_17 (not (and (not (and (not bool.b24) (not (and ?v_37 (not (and ?v_38 (not (and (bvsle ?v_10 (bvneg (_ bv4100 32))) (and (not (and ?v_40 ?v_42)) ?v_39))))))))) (not (and bool.b24 ?v_34)))))))))))))))))) (not (and bool.b18 (not (and ?v_35 (not (and ?v_12 (not (and ?v_36 (not (and ?v_13 (not (and ?v_37 (not (and ?v_38 (not (and ?v_39 (not (and ?v_40 (not (and (not (and ?v_41 ?v_42)) (not (and ?v_7 (not (and ?v_43 (and (not (and (not ?v_44) (not (and ?v_54 (not (and ?v_45 (not (and ?v_56 (not (and ?v_30 (not (and ?v_55 (and ?v_49 ?v_50))))))))))))) (not (and ?v_44 (not (and ?v_51 (not (and ?v_52 (not (and ?v_53 (and (not (and (not ?v_24) (not (and ?v_54 (not (and ?v_45 (not (and ?v_55 ?v_56)))))))) (not (and ?v_24 (not (and ?v_54 (not (and ?v_45 ?v_57)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
