(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun lambda () (_ BitVec 32))
(declare-fun lambdaprime () (_ BitVec 32))
(declare-fun x4 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(declare-fun bool.b17 () Bool)
(declare-fun bool.b18 () Bool)
(declare-fun bool.b19 () Bool)
(declare-fun bool.b21 () Bool)
(declare-fun bool.b22 () Bool)
(declare-fun bool.b23 () Bool)
(declare-fun bool.b20 () Bool)
(declare-fun bool.b24 () Bool)
(assert (forall ((?lambda (_ BitVec 32))) (let ((?v_3 (bvadd x4 (bvmul (_ bv40 32) ?lambda))) (?v_58 (not bool.b18)) (?v_30 (not bool.b17)) (?v_6 (bvadd x3 (bvmul (bvsdiv (_ bv1 32) (_ bv2 32)) ?lambda)))) (let ((?v_0 (bvmul (_ bv1 32) ?v_6))) (let ((?v_4 (bvsle ?v_0 (_ bv0 32))) (?v_20 (bvadd ?v_0 (bvmul (bvsdiv (_ bv3 32) (_ bv20 32)) ?v_3)))) (let ((?v_15 (bvsle ?v_20 (_ bv723 32)))) (let ((?v_22 (not ?v_15))) (let ((?v_1 (and ?v_4 ?v_22))) (let ((?v_2 (not ?v_1)) (?v_17 (bvmul (bvneg (_ bv1 32)) ?v_3))) (let ((?v_14 (bvsle ?v_17 (bvneg (_ bv4500 32))))) (let ((?v_31 (not ?v_14)) (?v_23 (bvsle (bvadd ?v_0 (bvmul (bvsdiv (_ bv1 32) (_ bv15 32)) ?v_3)) (bvsdiv (_ bv964 32) (_ bv3 32)))) (?v_36 (bvsle ?v_0 (_ bv30 32))) (?v_18 (bvmul (bvsdiv (bvneg (_ bv1 32)) (_ bv20 32)) ?v_3))) (let ((?v_5 (bvadd ?v_0 ?v_18))) (let ((?v_13 (and (bvsle ?v_5 (bvneg (_ bv205 32))) (not (bvsle ?v_5 (bvneg (_ bv209 32))))))) (let ((?v_7 (not ?v_13)) (?v_10 (bvmul (bvneg (_ bv1 32)) ?v_6))) (let ((?v_35 (bvsle ?v_10 (bvneg (_ bv30 32))))) (let ((?v_9 (not ?v_35)) (?v_16 (not ?v_4)) (?v_8 (bvadd ?v_0 (bvmul (bvsdiv (bvneg (_ bv1 32)) (_ bv80 32)) ?v_3)))) (let ((?v_11 (bvsle ?v_8 (bvsdiv (bvneg (_ bv161 32)) (_ bv4 32))))) (let ((?v_33 (not ?v_11)) (?v_34 (bvsle ?v_8 (bvsdiv (bvneg (_ bv145 32)) (_ bv4 32)))) (?v_12 (not (bvsle ?v_10 (bvneg (_ bv20 32))))) (?v_60 (not (and ?v_4 ?v_15))) (?v_42 (bvsle ?v_17 (bvneg (_ bv4910 32))))) (let ((?v_19 (not ?v_42)) (?v_47 (bvsle (bvadd ?v_10 ?v_18) (bvsdiv (bvneg (_ bv581 32)) (_ bv2 32)))) (?v_46 (bvsle ?v_0 (_ bv45 32))) (?v_48 (bvsle (bvadd ?v_10 (bvmul (bvsdiv (bvneg (_ bv1 32)) (_ bv60 32)) ?v_3)) (bvsdiv (bvneg (_ bv731 32)) (_ bv6 32)))) (?v_27 (bvsle ?v_0 (_ bv40 32))) (?v_21 (bvsle ?v_20 (_ bv1200 32)))) (let ((?v_26 (and ?v_27 ?v_21)) (?v_49 (bvsle (bvadd ?v_10 (bvmul (bvsdiv (bvneg (_ bv1 32)) (_ bv40 32)) ?v_3)) (bvsdiv (bvneg (_ bv623 32)) (_ bv4 32))))) (let ((?v_61 (and (not (and ?v_19 ?v_47)) (and (not (and ?v_46 (and ?v_19 ?v_48))) (not (and ?v_26 (and ?v_14 (and ?v_19 ?v_49))))))) (?v_24 (bvsle ?v_0 (_ bv20 32)))) (let ((?v_40 (not (and ?v_24 (and (not (and ?v_21 ?v_22)) (not (and ?v_23 (not (bvsle (bvadd ?v_0 (bvmul (bvsdiv (_ bv1 32) (_ bv20 32)) ?v_3)) (_ bv241 32))))))))) (?v_32 (not ?v_24)) (?v_38 (not ?v_23)) (?v_25 (bvadd ?v_0 (bvmul (bvsdiv (_ bv3 32) (_ bv40 32)) ?v_3)))) (let ((?v_44 (not (bvsle ?v_25 (bvsdiv (_ bv703 32) (_ bv2 32))))) (?v_45 (bvsle ?v_25 (_ bv610 32))) (?v_52 (not (bvsle ?v_25 (bvsdiv (_ bv743 32) (_ bv2 32))))) (?v_51 (bvsle ?v_25 (_ bv359 32)))) (let ((?v_43 (not (and ?v_44 (and ?v_45 (not (and (not (and ?v_52 ?v_26)) (not (and ?v_27 ?v_51)))))))) (?v_28 (bvadd ?v_0 (bvmul (bvsdiv (_ bv1 32) (_ bv40 32)) ?v_3)))) (let ((?v_29 (bvsle ?v_28 (_ bv133 32)))) (let ((?v_41 (not (and ?v_23 (not (and (not (bvsle ?v_28 (bvsdiv (_ bv261 32) (_ bv2 32)))) (and (bvsle ?v_28 (bvsdiv (_ bv650 32) (_ bv3 32))) (and (not (and (not ?v_29) (not (and ?v_27 (not (bvsle ?v_28 (bvsdiv (_ bv823 32) (_ bv6 32)))))))) (not (and ?v_29 (not ?v_26)))))))))) (?v_59 (not (and bool.b17 ?v_2))) (?v_37 (not (and ?v_35 ?v_36))) (?v_53 (not ?v_21))) (let ((?v_39 (not (and (not (and ?v_37 ?v_53)) (not (and ?v_37 ?v_15))))) (?v_54 (not (and (not ?v_46) (not ?v_47)))) (?v_50 (not ?v_27))) (let ((?v_57 (and ?v_50 (not (and (bvsle (bvadd ?v_0 (bvmul (bvsdiv (_ bv1 32) (_ bv60 32)) ?v_3)) (bvsdiv (_ bv400 32) (_ bv3 32))) ?v_48))))) (let ((?v_56 (not ?v_57)) (?v_55 (not (bvsle ?v_0 (_ bv33 32))))) (or (or (exists ((?lambdaprime (_ BitVec 32))) (let ((?v_63 (bvmul (bvneg (_ bv1 32)) (bvadd x4 (bvmul (_ bv40 32) ?lambdaprime)))) (?v_62 (not (bvsle (bvmul (bvneg (_ bv1 32)) (bvadd x3 (bvmul (bvsdiv (_ bv1 32) (_ bv2 32)) ?lambdaprime))) (bvneg (_ bv30 32)))))) (and (and (bvsle (_ bv0 32) ?lambdaprime) (bvsle ?lambdaprime ?lambda)) (not (and (and (not (and bool.b17 (not (and (not (bvsle ?v_63 (bvneg (_ bv4100 32)))) ?v_62)))) (not (and bool.b18 (not (and ?v_62 (not (bvsle ?v_63 (bvneg (_ bv4500 32))))))))) (not (and bool.b19 (not (and ?v_62 (not (bvsle ?v_63 (bvneg (_ bv4910 32))))))))))))) (bvslt ?lambda (_ bv0 32))) (and (not (and bool.b21 ?v_1)) (not (and (not bool.b21) (and (not (and bool.b22 ?v_2)) (not (and (not bool.b22) (not (and (not (and bool.b23 ?v_2)) (not (and (not bool.b23) (not (and (not (and bool.b20 ?v_2)) (not (and (not bool.b20) (not (and (not (and (not bool.b19) (not (and (not (and ?v_58 (not (and (not (and ?v_30 ?v_2)) (not (and bool.b17 (not (and (not (and ?v_31 (not (and (not (and ?v_4 (and ?v_23 (not (and (not (and (not ?v_36) ?v_7)) (not (and ?v_9 ?v_7))))))) (not (and ?v_16 (not (and (not (and ?v_33 (not (and ?v_34 (and ?v_9 (not (and ?v_12 ?v_7))))))) (not (and ?v_11 (not (and ?v_12 ?v_13)))))))))))) (not (and ?v_14 (not (and ?v_60 (not (and ?v_16 (not (and (not (and bool.b24 ?v_61)) (not (and (not bool.b24) (not (and ?v_40 (not (and ?v_32 (not (and (bvsle ?v_17 (bvneg (_ bv4100 32))) (and (not (and ?v_38 ?v_43)) ?v_41))))))))))))))))))))))))) (not (and bool.b18 (not (and ?v_59 (not (and ?v_30 (not (and (not (and ?v_31 (not (and (not (and ?v_32 (not (and ?v_33 (and ?v_23 ?v_34))))) (not (and ?v_24 (not (and (not (and ?v_33 (not (and (not (and (not ?v_34) ?v_39)) (not (and ?v_34 (and ?v_38 ?v_39))))))) (not (and ?v_11 ?v_39)))))))))) (not (and ?v_14 (not (and ?v_40 (not (and ?v_32 (not (and ?v_41 (not (and ?v_38 (not (and (not (and ?v_42 ?v_43)) (not (and ?v_19 (not (and ?v_44 (and (not (and (not ?v_45) (not (and ?v_54 (not (and ?v_46 (not (and ?v_56 (not (and ?v_27 (not (and ?v_55 (and ?v_35 ?v_49))))))))))))) (not (and ?v_45 (not (and (not (and ?v_50 ?v_51)) (not (and (not ?v_51) (not (and ?v_52 (and (not (and ?v_53 (not (and ?v_54 (not (and ?v_46 (not (and ?v_55 ?v_56)))))))) (not (and ?v_21 (not (and ?v_54 (not (and ?v_46 ?v_57)))))))))))))))))))))))))))))))))))))))))))) (not (and bool.b19 (not (and (not (and bool.b18 ?v_2)) (not (and ?v_58 (not (and ?v_59 (not (and ?v_30 (not (and ?v_60 (not (and ?v_16 ?v_61))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
