(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun lambda () (_ BitVec 32))
(declare-fun lambdaprime () (_ BitVec 32))
(declare-fun x5 () (_ BitVec 32))
(declare-fun x4 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(declare-fun bool.b22 () Bool)
(declare-fun bool.b7 () Bool)
(declare-fun bool.b5 () Bool)
(declare-fun bool.b6 () Bool)
(declare-fun bool.b23 () Bool)
(declare-fun bool.b12 () Bool)
(declare-fun bool.b8 () Bool)
(declare-fun bool.b10 () Bool)
(declare-fun bool.b14 () Bool)
(assert (forall ((?lambda (_ BitVec 32))) (let ((?v_35 (not bool.b5)) (?v_9 (bvadd x3 (bvmul (_ bv0 32) ?lambda)))) (let ((?v_2 (bvmul (_ bv1 32) ?v_9)) (?v_5 (bvadd x4 (bvmul (_ bv30 32) ?lambda))) (?v_1 (bvadd x5 (bvmul (_ bv1 32) ?lambda)))) (let ((?v_4 (bvsle ?v_2 (_ bv20 32))) (?v_32 (not bool.b12)) (?v_34 (not bool.b8)) (?v_33 (not bool.b10)) (?v_31 (not bool.b14))) (let ((?v_7 (and ?v_32 (and (and ?v_34 ?v_33) (and ?v_35 ?v_31)))) (?v_15 (bvsle ?v_2 (_ bv40 32))) (?v_19 (not ?v_4)) (?v_36 (bvsle ?v_2 (_ bv0 32))) (?v_25 (bvsle (bvadd ?v_2 (bvmul (_ bv3 32) ?v_1)) (_ bv50 32))) (?v_6 (bvadd ?v_2 (bvmul (bvsdiv (_ bv3 32) (_ bv20 32)) ?v_5)))) (let ((?v_0 (bvadd ?v_6 (bvmul (bvsdiv (bvneg (_ bv9 32)) (_ bv2 32)) ?v_1)))) (let ((?v_17 (bvsle ?v_0 (_ bv1155 32))) (?v_14 (bvsle ?v_0 (_ bv678 32)))) (let ((?v_18 (not ?v_14)) (?v_3 (bvsle (bvmul (bvneg (_ bv1 32)) ?v_1) (bvneg (_ bv10 32)))) (?v_10 (bvadd ?v_2 (bvmul (bvsdiv (_ bv3 32) (_ bv40 32)) ?v_5)))) (let ((?v_8 (bvsle ?v_10 (bvsdiv (_ bv743 32) (_ bv2 32)))) (?v_23 (bvsle ?v_6 (_ bv723 32)))) (let ((?v_21 (not ?v_23)) (?v_28 (bvsle ?v_6 (_ bv1200 32)))) (let ((?v_11 (and ?v_28 ?v_7))) (let ((?v_27 (not (and ?v_8 (not (and ?v_21 ?v_11))))) (?v_20 (not ?v_8)) (?v_24 (bvmul (bvneg (_ bv1 32)) ?v_9))) (let ((?v_12 (bvsle ?v_24 (bvneg (_ bv50 32)))) (?v_26 (bvsle ?v_10 (_ bv610 32)))) (let ((?v_22 (and ?v_26 ?v_11))) (let ((?v_13 (and (bvsle ?v_2 (_ bv50 32)) ?v_22))) (let ((?v_16 (and ?v_27 (not (and ?v_20 (not (and (not (and (not ?v_12) (not (and (bvsle ?v_2 (_ bv30 32)) ?v_13)))) (not (and ?v_12 (not ?v_13))))))))) (?v_29 (bvadd ?v_24 (bvmul (bvneg (_ bv3 32)) ?v_1)))) (let ((?v_30 (bvsle ?v_29 (bvneg (_ bv30 32))))) (or (or (exists ((?lambdaprime (_ BitVec 32))) (let ((?v_38 (not bool.b22)) (?v_40 (not bool.b7)) (?v_39 (and ?v_35 (not bool.b6))) (?v_37 (bvmul (bvneg (_ bv1 32)) (bvadd x4 (bvmul (_ bv30 32) ?lambdaprime))))) (and (and (bvsle (_ bv0 32) ?lambdaprime) (bvsle ?lambdaprime ?lambda)) (not (and (not (bvsle (bvmul (bvneg (_ bv1 32)) (bvadd x5 (bvmul (_ bv1 32) ?lambdaprime))) (bvneg (_ bv10 32)))) (and (and (not (and (bvsle ?v_37 (bvneg (_ bv4100 32))) (and ?v_38 (and ?v_40 ?v_39)))) (not (and (bvsle ?v_37 (bvneg (_ bv4500 32))) (and ?v_38 (and bool.b7 ?v_39))))) (not (and (bvsle ?v_37 (bvneg (_ bv4910 32))) (and ?v_38 (and ?v_40 (and ?v_35 bool.b6))))))))))) (bvslt ?lambda (_ bv0 32))) (not (and (not bool.b22) (and (not (and (not bool.b7) (not (and bool.b5 (not bool.b6))))) (not (and bool.b7 (not (and bool.b6 (and (not (and (not bool.b23) (not (and ?v_17 (and (not (and ?v_18 (not (and (not (and (not ?v_3) (not (and ?v_4 ?v_7)))) (not (and ?v_3 (not (and ?v_15 (and (not (and ?v_19 (not ?v_16))) (not (and ?v_4 (not ?v_7)))))))))))) (not (and ?v_14 (not (and ?v_3 (and ?v_15 ?v_16)))))))))) (not (and bool.b23 (not (and ?v_17 (and ?v_18 (and (not (and (not ?v_36) (not (and ?v_3 (and ?v_15 (and (not (and ?v_19 (not (and (not (and ?v_20 (not (and (not (and ?v_21 (not (and ?v_25 ?v_22)))) (not (and ?v_23 (not (and (bvsle ?v_29 (bvneg (_ bv50 32))) (and ?v_25 (and ?v_7 ?v_26)))))))))) ?v_27)))) (not (and ?v_4 (not (and ?v_21 (and ?v_28 (and (not (and bool.b5 (not ?v_30))) (not (and ?v_30 (not (and ?v_31 (and ?v_32 (and ?v_33 (and ?v_34 (and ?v_35 ?v_25)))))))))))))))))))) (not (and bool.b5 ?v_36)))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
