(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun lambda () (_ BitVec 32))
(declare-fun lambdaprime () (_ BitVec 32))
(declare-fun x5 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(declare-fun x4 () (_ BitVec 32))
(declare-fun bool.b22 () Bool)
(declare-fun bool.b7 () Bool)
(declare-fun bool.b5 () Bool)
(declare-fun bool.b6 () Bool)
(declare-fun bool.b23 () Bool)
(declare-fun bool.b12 () Bool)
(declare-fun bool.b8 () Bool)
(declare-fun bool.b10 () Bool)
(declare-fun bool.b14 () Bool)
(assert (forall ((?lambda (_ BitVec 32))) (let ((?v_22 (not bool.b5)) (?v_4 (bvadd x4 (bvmul (_ bv60 32) ?lambda))) (?v_2 (bvadd x5 (bvmul (_ bv1 32) ?lambda)))) (let ((?v_11 (and (not bool.b12) (and (and (not bool.b8) (not bool.b10)) (and ?v_22 (not bool.b14))))) (?v_1 (bvadd x3 (bvmul (bvneg (_ bv1 32)) ?lambda)))) (let ((?v_3 (bvmul (_ bv1 32) ?v_1))) (let ((?v_6 (bvadd ?v_3 (bvmul (bvsdiv (_ bv3 32) (_ bv20 32)) ?v_4)))) (let ((?v_0 (bvadd ?v_6 (bvmul (bvneg (_ bv8 32)) ?v_2)))) (let ((?v_15 (bvsle ?v_0 (_ bv1120 32))) (?v_13 (bvsle ?v_0 (_ bv643 32)))) (let ((?v_16 (not ?v_13)) (?v_7 (bvmul (bvneg (_ bv1 32)) ?v_2))) (let ((?v_17 (bvsle (bvadd (bvmul (bvneg (_ bv1 32)) ?v_1) ?v_7) (bvneg (_ bv10 32)))) (?v_18 (bvadd ?v_3 (bvmul (_ bv1 32) ?v_2)))) (let ((?v_12 (bvsle ?v_18 (_ bv30 32))) (?v_5 (bvadd ?v_3 (bvmul (bvsdiv (_ bv3 32) (_ bv40 32)) ?v_4)))) (let ((?v_8 (bvsle ?v_5 (bvsdiv (_ bv743 32) (_ bv2 32)))) (?v_9 (bvsle ?v_6 (_ bv1200 32))) (?v_10 (bvsle ?v_7 (bvneg (_ bv10 32)))) (?v_19 (not (bvsle ?v_6 (_ bv723 32))))) (let ((?v_20 (and ?v_10 (and (bvsle ?v_3 (_ bv40 32)) ?v_11)))) (let ((?v_14 (not (and (not (and (not ?v_8) (not (and (bvsle ?v_5 (_ bv610 32)) (and ?v_9 (and ?v_10 (and (bvsle ?v_3 (_ bv30 32)) ?v_11))))))) (not (and ?v_8 (not (and ?v_19 (and ?v_9 ?v_20)))))))) (?v_23 (bvsle ?v_18 (_ bv10 32))) (?v_21 (bvsle ?v_3 (_ bv0 32)))) (or (or (exists ((?lambdaprime (_ BitVec 32))) (let ((?v_28 (not bool.b22)) (?v_30 (not bool.b7)) (?v_29 (and ?v_22 (not bool.b6))) (?v_24 (bvmul (_ bv1 32) (bvadd x3 (bvmul (bvneg (_ bv1 32)) ?lambdaprime))))) (let ((?v_25 (not (bvsle ?v_24 (_ bv40 32)))) (?v_27 (bvmul (bvneg (_ bv1 32)) (bvadd x4 (bvmul (_ bv60 32) ?lambdaprime)))) (?v_26 (not (bvsle ?v_24 (_ bv33 32))))) (and (and (bvsle (_ bv0 32) ?lambdaprime) (bvsle ?lambdaprime ?lambda)) (not (and (not (bvsle (bvmul (bvneg (_ bv1 32)) (bvadd x5 (bvmul (_ bv1 32) ?lambdaprime))) (bvneg (_ bv10 32)))) (and (and (not (and (not (and ?v_25 (and (not (bvsle ?v_27 (bvneg (_ bv4100 32)))) ?v_26))) (and ?v_28 (and ?v_30 ?v_29)))) (not (and (not (and ?v_25 (and ?v_26 (not (bvsle ?v_27 (bvneg (_ bv4500 32))))))) (and ?v_28 (and bool.b7 ?v_29))))) (not (and (not (and ?v_25 (and ?v_26 (not (bvsle ?v_27 (bvneg (_ bv4910 32))))))) (and ?v_28 (and ?v_30 (and ?v_22 bool.b6)))))))))))) (bvslt ?lambda (_ bv0 32))) (not (and (not bool.b22) (and (not (and (not bool.b7) (not (and bool.b5 (not bool.b6))))) (not (and bool.b7 (not (and bool.b6 (and (not (and (not bool.b23) (not (and ?v_15 (and (not (and ?v_16 (not (and ?v_17 (and (not (and (not ?v_12) ?v_14)) (not (and (not ?v_11) ?v_12))))))) (not (and ?v_13 ?v_14))))))) (not (and bool.b23 (not (and ?v_15 (and ?v_16 (and ?v_17 (and (not (and (not ?v_23) (not (and (not (and (not ?v_21) (not (and ?v_19 (and ?v_9 (and (bvsle (bvadd ?v_3 (bvmul (_ bv3 32) ?v_2)) (_ bv50 32)) ?v_20)))))) (not (and ?v_21 (not (and ?v_10 (and ?v_22 (not (bvsle (bvmul (_ bv1 32) ?v_4) (_ bv4820 32)))))))))))) (not (and bool.b5 ?v_23))))))))))))))))))))))))))))))))
(check-sat)
(exit)
