(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun lambda () (_ BitVec 32))
(declare-fun lambdaprime () (_ BitVec 32))
(declare-fun x5 () (_ BitVec 32))
(declare-fun x4 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(declare-fun bool.b22 () Bool)
(declare-fun bool.b7 () Bool)
(declare-fun bool.b5 () Bool)
(declare-fun bool.b6 () Bool)
(declare-fun bool.b23 () Bool)
(declare-fun bool.b12 () Bool)
(declare-fun bool.b8 () Bool)
(declare-fun bool.b10 () Bool)
(declare-fun bool.b14 () Bool)
(assert (forall ((?lambda (_ BitVec 32))) (let ((?v_7 (not bool.b5)) (?v_2 (bvadd x5 (bvmul (_ bv1 32) ?lambda))) (?v_1 (bvadd x4 (bvmul (_ bv60 32) ?lambda)))) (let ((?v_30 (and (not bool.b12) (and (and (not bool.b8) (not bool.b10)) (and ?v_7 (not bool.b14))))) (?v_15 (bvsle (bvmul (bvneg (_ bv1 32)) ?v_2) (bvneg (_ bv10 32)))) (?v_5 (bvadd x3 (bvmul (bvneg (_ bv3 32)) ?lambda)))) (let ((?v_0 (bvmul (_ bv1 32) ?v_5))) (let ((?v_16 (bvsle ?v_0 (_ bv40 32))) (?v_12 (bvsle ?v_0 (_ bv20 32))) (?v_8 (bvadd ?v_0 (bvmul (bvsdiv (_ bv3 32) (_ bv40 32)) ?v_1)))) (let ((?v_3 (bvsle ?v_8 (bvsdiv (_ bv743 32) (_ bv2 32)))) (?v_11 (bvadd ?v_0 (bvmul (bvsdiv (_ bv3 32) (_ bv20 32)) ?v_1)))) (let ((?v_28 (bvsle ?v_11 (_ bv723 32)))) (let ((?v_13 (not ?v_28)) (?v_6 (bvadd ?v_0 (bvmul (_ bv3 32) ?v_2)))) (let ((?v_4 (bvsle ?v_6 (_ bv30 32))) (?v_18 (not ?v_3))) (let ((?v_24 (not ?v_4)) (?v_19 (bvmul (bvneg (_ bv1 32)) ?v_5))) (let ((?v_29 (bvsle (bvadd ?v_19 (bvmul (bvneg (_ bv3 32)) ?v_2)) (bvneg (_ bv50 32)))) (?v_9 (bvsle ?v_6 (_ bv50 32))) (?v_10 (bvsle ?v_8 (_ bv610 32))) (?v_17 (bvsle ?v_11 (_ bv1200 32)))) (let ((?v_14 (and ?v_7 ?v_17))) (let ((?v_23 (not (and (not ?v_15) (not (and ?v_16 (and (not (and (not ?v_12) (not (and (not (and ?v_3 (not (and ?v_13 (and ?v_7 ?v_4))))) (not (and ?v_18 (not (and (not (and ?v_24 (not (and ?v_29 (and ?v_9 (and ?v_7 ?v_10)))))) (not (and ?v_4 (not (and ?v_9 (and ?v_10 ?v_14))))))))))))) (not (and ?v_12 (not (and ?v_13 (and ?v_9 ?v_14))))))))))) (?v_20 (and ?v_17 ?v_30))) (let ((?v_25 (not (and ?v_13 ?v_20))) (?v_21 (bvsle ?v_19 (bvneg (_ bv50 32)))) (?v_27 (and ?v_10 ?v_20))) (let ((?v_22 (and (bvsle ?v_0 (_ bv50 32)) ?v_27)) (?v_26 (not (and ?v_4 (not (and ?v_13 ?v_14)))))) (or (or (exists ((?lambdaprime (_ BitVec 32))) (let ((?v_33 (not bool.b22)) (?v_35 (not bool.b7)) (?v_34 (and ?v_7 (not bool.b6))) (?v_37 (and ?v_7 bool.b6)) (?v_32 (bvmul (bvneg (_ bv1 32)) (bvadd x4 (bvmul (_ bv60 32) ?lambdaprime)))) (?v_36 (bvmul (_ bv1 32) (bvadd x3 (bvmul (bvneg (_ bv3 32)) ?lambdaprime))))) (let ((?v_31 (not (bvsle ?v_36 (_ bv45 32)))) (?v_38 (bvsle ?v_36 (_ bv40 32)))) (and (and (bvsle (_ bv0 32) ?lambdaprime) (bvsle ?lambdaprime ?lambda)) (not (and (and (not (bvsle (bvmul (bvneg (_ bv1 32)) (bvadd x5 (bvmul (_ bv1 32) ?lambdaprime))) (bvneg (_ bv10 32)))) (and (and (and (not (and (not (and (not (bvsle ?v_32 (bvneg (_ bv4100 32)))) ?v_31)) (and ?v_33 (and ?v_35 ?v_34)))) (not (and (not (and ?v_31 (not (bvsle ?v_32 (bvneg (_ bv4500 32)))))) (and ?v_33 (and bool.b7 ?v_34))))) (not (and (not (and ?v_31 (not (bvsle ?v_32 (bvneg (_ bv4910 32)))))) (and ?v_33 (and ?v_35 ?v_37))))) (not (and ?v_38 (and ?v_33 (and bool.b7 ?v_37)))))) (not (and bool.b22 ?v_38)))))))) (bvslt ?lambda (_ bv0 32))) (not (and (not bool.b22) (and (not (and (not bool.b7) (not (and bool.b5 (not bool.b6))))) (not (and bool.b7 (not (and bool.b6 (and (not (and (not bool.b23) (not (and ?v_23 (not (and ?v_15 (not (and ?v_16 (and (not (and ?v_3 ?v_25)) (not (and ?v_18 (not (and (not (and (not ?v_21) (not (and (bvsle ?v_0 (_ bv30 32)) ?v_22)))) (not (and ?v_21 (not ?v_22)))))))))))))))) (not (and bool.b23 (not (and ?v_23 (not (and ?v_15 (not (and ?v_16 (and (not (and ?v_3 (not (and ?v_26 (not (and ?v_24 ?v_25)))))) (not (and ?v_18 (not (and ?v_26 (not (and ?v_24 (not (and (not (and ?v_13 (not (and ?v_9 ?v_27)))) (not (and ?v_28 (not (and ?v_29 (and ?v_9 (and ?v_30 ?v_10))))))))))))))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
