(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun lambda () (_ BitVec 32))
(declare-fun lambdaprime () (_ BitVec 32))
(declare-fun x5 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(declare-fun x4 () (_ BitVec 32))
(declare-fun bool.b22 () Bool)
(declare-fun bool.b7 () Bool)
(declare-fun bool.b5 () Bool)
(declare-fun bool.b6 () Bool)
(declare-fun bool.b23 () Bool)
(declare-fun bool.b12 () Bool)
(declare-fun bool.b8 () Bool)
(declare-fun bool.b10 () Bool)
(declare-fun bool.b14 () Bool)
(assert (forall ((?lambda (_ BitVec 32))) (let ((?v_22 (not bool.b5)) (?v_0 (bvmul (_ bv1 32) ?lambda))) (let ((?v_2 (bvmul (_ bv1 32) (bvadd x3 ?v_0))) (?v_3 (bvadd x4 (bvmul (_ bv40 32) ?lambda))) (?v_1 (bvadd x5 ?v_0)) (?v_13 (and (not bool.b12) (and (and (not bool.b8) (not bool.b10)) (and ?v_22 (not bool.b14)))))) (let ((?v_15 (not ?v_13)) (?v_21 (bvsle ?v_2 (_ bv0 32))) (?v_4 (bvadd ?v_2 (bvmul (bvsdiv (_ bv3 32) (_ bv20 32)) ?v_3)))) (let ((?v_8 (bvsle (bvadd ?v_4 (bvmul (bvsdiv (bvneg (_ bv19 32)) (_ bv2 32)) ?v_1)) (_ bv628 32))) (?v_10 (bvmul (bvneg (_ bv1 32)) ?v_1))) (let ((?v_19 (bvsle ?v_10 (bvneg (_ bv10 32)))) (?v_6 (bvadd ?v_2 (bvmul (bvsdiv (_ bv3 32) (_ bv40 32)) ?v_3)))) (let ((?v_5 (bvsle ?v_6 (bvsdiv (_ bv743 32) (_ bv2 32)))) (?v_20 (not (bvsle ?v_4 (_ bv723 32)))) (?v_7 (and (bvsle ?v_4 (_ bv1200 32)) ?v_13))) (let ((?v_12 (not (and ?v_19 (and (not (and ?v_5 (not (and ?v_20 ?v_7)))) (not (and (not ?v_5) (not (and (bvsle ?v_6 (_ bv610 32)) (and (bvsle ?v_2 (_ bv30 32)) ?v_7))))))))) (?v_9 (bvadd ?v_4 (bvmul (bvneg (_ bv7 32)) ?v_1)))) (let ((?v_17 (bvsle ?v_9 (_ bv653 32))) (?v_11 (bvadd ?v_2 ?v_10))) (let ((?v_16 (bvsle ?v_11 (_ bv10 32))) (?v_14 (bvsle ?v_11 (bvneg (_ bv10 32))))) (let ((?v_18 (not (and (not (and (not ?v_14) ?v_12)) (not (and ?v_15 ?v_14)))))) (or (or (exists ((?lambdaprime (_ BitVec 32))) (let ((?v_23 (bvmul (_ bv1 32) ?lambdaprime)) (?v_26 (not bool.b22)) (?v_28 (not bool.b7)) (?v_27 (and ?v_22 (not bool.b6)))) (let ((?v_24 (not (bvsle (bvmul (bvneg (_ bv1 32)) (bvadd x3 ?v_23)) (bvneg (_ bv20 32))))) (?v_25 (bvmul (bvneg (_ bv1 32)) (bvadd x4 (bvmul (_ bv40 32) ?lambdaprime))))) (and (and (bvsle (_ bv0 32) ?lambdaprime) (bvsle ?lambdaprime ?lambda)) (not (and (not (bvsle (bvmul (bvneg (_ bv1 32)) (bvadd x5 ?v_23)) (bvneg (_ bv10 32)))) (and (and (not (and (not (and ?v_24 (not (bvsle ?v_25 (bvneg (_ bv4100 32)))))) (and ?v_26 (and ?v_28 ?v_27)))) (not (and (not (and ?v_24 (not (bvsle ?v_25 (bvneg (_ bv4500 32)))))) (and ?v_26 (and bool.b7 ?v_27))))) (not (and (not (and ?v_24 (not (bvsle ?v_25 (bvneg (_ bv4910 32)))))) (and ?v_26 (and ?v_28 (and ?v_22 bool.b6)))))))))))) (bvslt ?lambda (_ bv0 32))) (not (and (not bool.b22) (and (not (and (not bool.b7) (not (and bool.b5 (not bool.b6))))) (not (and bool.b7 (not (and bool.b6 (and (not (and (not bool.b23) (not (and (not (and ?v_8 ?v_12)) (not (and (not ?v_8) (not (and (bvsle ?v_9 (_ bv1130 32)) (and (not (and (not ?v_17) (not (and (not (and (not ?v_16) ?v_18)) (not (and ?v_15 ?v_16)))))) (not (and ?v_17 ?v_18))))))))))) (not (and bool.b23 (not (and ?v_19 (and (not (and (not ?v_21) (not (and (bvsle (bvadd ?v_2 (bvmul (_ bv3 32) ?v_1)) (_ bv50 32)) (and ?v_20 (and (bvsle ?v_2 (_ bv40 32)) ?v_7)))))) (not (and ?v_21 (not (and ?v_22 (not (bvsle (bvmul (_ bv1 32) ?v_3) (_ bv4820 32)))))))))))))))))))))))))))))))))
(check-sat)
(exit)
