(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun lambda () (_ BitVec 32))
(declare-fun lambdaprime () (_ BitVec 32))
(declare-fun x5 () (_ BitVec 32))
(declare-fun x4 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(declare-fun bool.b22 () Bool)
(declare-fun bool.b7 () Bool)
(declare-fun bool.b5 () Bool)
(declare-fun bool.b6 () Bool)
(declare-fun bool.b23 () Bool)
(declare-fun bool.b14 () Bool)
(declare-fun bool.b12 () Bool)
(declare-fun bool.b10 () Bool)
(declare-fun bool.b8 () Bool)
(assert (forall ((?lambda (_ BitVec 32))) (let ((?v_8 (bvadd x3 (bvmul (_ bv0 32) ?lambda)))) (let ((?v_0 (bvmul (_ bv1 32) ?v_8)) (?v_1 (bvadd x4 (bvmul (_ bv30 32) ?lambda))) (?v_2 (bvadd x5 (bvmul (_ bv1 32) ?lambda)))) (let ((?v_5 (bvsle ?v_0 (_ bv20 32))) (?v_9 (and (not bool.b14) (and (not bool.b12) (and (not bool.b10) (and bool.b7 (not bool.b8))))))) (let ((?v_41 (not ?v_5)) (?v_6 (bvsle ?v_0 (_ bv0 32)))) (let ((?v_38 (not (and bool.b7 ?v_6))) (?v_39 (not ?v_6)) (?v_19 (bvsle ?v_0 (_ bv40 32)))) (let ((?v_42 (not ?v_19)) (?v_17 (bvsle ?v_0 (_ bv30 32)))) (let ((?v_32 (not ?v_17)) (?v_11 (bvsle ?v_0 (_ bv50 32))) (?v_18 (not ?v_9))) (let ((?v_31 (not (and ?v_17 ?v_18))) (?v_43 (bvadd ?v_0 (bvmul (_ bv3 32) ?v_2)))) (let ((?v_24 (bvsle ?v_43 (_ bv50 32)))) (let ((?v_45 (not ?v_24)) (?v_40 (and ?v_17 ?v_9)) (?v_46 (bvsle ?v_43 (_ bv60 32))) (?v_48 (bvsle ?v_43 (_ bv30 32)))) (let ((?v_52 (not ?v_48)) (?v_12 (bvadd ?v_0 (bvmul (bvsdiv (_ bv3 32) (_ bv20 32)) ?v_1)))) (let ((?v_3 (bvadd ?v_12 (bvmul (bvsdiv (bvneg (_ bv9 32)) (_ bv2 32)) ?v_2)))) (let ((?v_36 (bvsle ?v_3 (_ bv1155 32))) (?v_7 (bvadd ?v_0 (bvmul (bvsdiv (_ bv3 32) (_ bv40 32)) ?v_1)))) (let ((?v_28 (bvadd ?v_7 (bvmul (bvsdiv (bvneg (_ bv9 32)) (_ bv4 32)) ?v_2)))) (let ((?v_27 (bvsle ?v_28 (bvsdiv (_ bv1175 32) (_ bv2 32)))) (?v_4 (bvsle (bvmul (bvneg (_ bv1 32)) ?v_2) (bvneg (_ bv10 32))))) (let ((?v_29 (not ?v_4)) (?v_59 (bvsle ?v_3 (_ bv678 32)))) (let ((?v_37 (not ?v_59))) (let ((?v_26 (and ?v_37 ?v_9)) (?v_10 (bvsle ?v_7 (bvsdiv (_ bv743 32) (_ bv2 32))))) (let ((?v_20 (not ?v_10)) (?v_15 (bvadd ?v_0 (bvmul (bvsdiv (_ bv1 32) (_ bv20 32)) ?v_1))) (?v_47 (bvmul (bvneg (_ bv1 32)) ?v_8))) (let ((?v_13 (bvsle ?v_47 (bvneg (_ bv50 32)))) (?v_21 (bvsle ?v_7 (_ bv610 32))) (?v_50 (bvsle ?v_12 (_ bv723 32)))) (let ((?v_22 (not ?v_50))) (let ((?v_14 (not (and ?v_22 ?v_9))) (?v_16 (bvsle ?v_15 (_ bv261 32)))) (let ((?v_30 (not (and ?v_42 (not (and (not (and ?v_32 (not (and (not (and ?v_20 (not (and (bvsle ?v_15 (_ bv420 32)) (and ?v_11 (and ?v_13 (and ?v_21 ?v_9))))))) (not (and ?v_10 (not (and (not (and (not ?v_11) ?v_14)) (not (and ?v_11 (not (and (not (and (not ?v_13) ?v_14)) (not (and ?v_13 (not (and (not (and (not ?v_16) ?v_18)) (not (and ?v_16 ?v_14)))))))))))))))))) ?v_31))))) (?v_25 (bvsle ?v_12 (_ bv1200 32)))) (let ((?v_23 (and ?v_25 ?v_9))) (let ((?v_44 (and ?v_22 ?v_23))) (let ((?v_49 (not ?v_44))) (let ((?v_33 (not (and (not (and ?v_20 (not (and ?v_21 ?v_23)))) (not (and ?v_10 (not (and (not (and ?v_45 ?v_49)) (not (and ?v_24 (not (and ?v_22 (not (and ?v_25 ?v_18)))))))))))))) (let ((?v_35 (not (and (not (and ?v_29 (not (and ?v_5 ?v_26)))) (not (and ?v_4 (not (and (not (and ?v_41 (and ?v_38 (not (and ?v_39 (and ?v_30 (not (and ?v_19 ?v_33)))))))) (not (and ?v_5 (not ?v_26)))))))))) (?v_34 (bvsle ?v_28 (_ bv349 32))) (?v_54 (not (and ?v_42 (not (and (not (and ?v_20 (not (and ?v_21 (and ?v_46 ?v_23))))) (not (and ?v_10 (not (and ?v_48 ?v_44))))))))) (?v_55 (bvadd ?v_47 (bvmul (bvneg (_ bv3 32)) ?v_2)))) (let ((?v_51 (bvsle ?v_55 (bvneg (_ bv50 32)))) (?v_53 (and bool.b7 ?v_25))) (let ((?v_56 (not (and ?v_22 ?v_53))) (?v_57 (bvsle ?v_55 (bvneg (_ bv30 32))))) (let ((?v_58 (not ?v_57))) (let ((?v_60 (not (and ?v_24 (and (not (and ?v_58 ?v_56)) (not (and ?v_57 ?v_49))))))) (or (or (exists ((?lambdaprime (_ BitVec 32))) (let ((?v_62 (not bool.b22)) (?v_64 (not bool.b7)) (?v_65 (not bool.b5))) (let ((?v_63 (and ?v_65 (not bool.b6))) (?v_61 (bvmul (bvneg (_ bv1 32)) (bvadd x4 (bvmul (_ bv30 32) ?lambdaprime))))) (and (and (bvsle (_ bv0 32) ?lambdaprime) (bvsle ?lambdaprime ?lambda)) (not (and (not (bvsle (bvmul (bvneg (_ bv1 32)) (bvadd x5 (bvmul (_ bv1 32) ?lambdaprime))) (bvneg (_ bv10 32)))) (and (and (not (and (bvsle ?v_61 (bvneg (_ bv4100 32))) (and ?v_62 (and ?v_64 ?v_63)))) (not (and (bvsle ?v_61 (bvneg (_ bv4500 32))) (and ?v_62 (and bool.b7 ?v_63))))) (not (and (bvsle ?v_61 (bvneg (_ bv4910 32))) (and ?v_62 (and ?v_64 (and ?v_65 bool.b6)))))))))))) (bvslt ?lambda (_ bv0 32))) (not (and (not bool.b22) (and (not (and bool.b5 (not (and (not bool.b6) (not bool.b7))))) (not (and (not bool.b5) (not (and (not (and (not bool.b23) (not (and bool.b6 (and ?v_36 (and (not (and (not ?v_27) ?v_35)) (not (and ?v_27 (not (and (not (and (not ?v_34) (not (and (not (and ?v_29 (not ?v_40))) (not (and ?v_4 (not (and ?v_30 (not (and ?v_19 (not (and ?v_31 (not (and ?v_32 ?v_33)))))))))))))) (not (and ?v_34 ?v_35)))))))))))) (not (and bool.b23 (not (and bool.b6 (and ?v_36 (and (not (and ?v_29 (not (and ?v_5 (and ?v_37 (not (and ?v_38 (not (and ?v_39 ?v_40))))))))) (not (and ?v_4 (not (and (not (and ?v_41 (not (and ?v_54 (not (and ?v_19 (not (and (not (and ?v_20 (not (and ?v_21 (and (not (and ?v_45 (not (and ?v_46 ?v_9)))) (not (and ?v_24 (not (and (not (and (not ?v_51) (and (not (and ?v_52 (not (and ?v_49 (not (and bool.b7 ?v_50)))))) (not (and ?v_48 ?v_53))))) (not (and ?v_51 ?v_18))))))))))) (not (and ?v_10 (not (and ?v_24 (and (not (and ?v_52 ?v_49)) (not (and ?v_48 ?v_56))))))))))))))) (not (and ?v_5 (not (and (not (and ?v_37 (and (not (and ?v_39 (and ?v_54 (not (and ?v_19 (not (and (not (and ?v_32 ?v_60)) (not (and ?v_17 (not (and (not (and ?v_58 (not (and (not (and ?v_22 (and (not ?v_53) (not (and (not ?v_25) ?v_9))))) (not (and ?v_50 ?v_18)))))) (not (and ?v_57 ?v_18))))))))))))) ?v_38))) (not (and ?v_59 (not (and (not (and ?v_39 (not (and ?v_54 (not (and ?v_19 ?v_60)))))) (not (and ?v_6 (not (and bool.b7 (not (bvsle (bvmul (_ bv1 32) ?v_1) (_ bv4820 32)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
