(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun lambda () (_ BitVec 32))
(declare-fun lambdaprime () (_ BitVec 32))
(declare-fun x5 () (_ BitVec 32))
(declare-fun x4 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(declare-fun bool.b22 () Bool)
(declare-fun bool.b7 () Bool)
(declare-fun bool.b5 () Bool)
(declare-fun bool.b6 () Bool)
(declare-fun bool.b23 () Bool)
(declare-fun bool.b14 () Bool)
(declare-fun bool.b12 () Bool)
(declare-fun bool.b10 () Bool)
(declare-fun bool.b8 () Bool)
(assert (forall ((?lambda (_ BitVec 32))) (let ((?v_54 (not bool.b7)) (?v_1 (bvadd x4 (bvmul (_ bv20 32) ?lambda))) (?v_2 (bvadd x5 (bvmul (_ bv1 32) ?lambda))) (?v_9 (and (not bool.b14) (and (not bool.b12) (and (not bool.b10) (and bool.b7 (not bool.b8))))))) (let ((?v_20 (not ?v_9)) (?v_63 (bvsle (bvmul (_ bv1 32) ?v_1) (_ bv4820 32))) (?v_4 (bvadd x3 (bvmul (bvneg (_ bv1 32)) ?lambda)))) (let ((?v_0 (bvmul (_ bv1 32) ?v_4))) (let ((?v_6 (bvadd ?v_0 (bvmul (bvsdiv (_ bv3 32) (_ bv20 32)) ?v_1)))) (let ((?v_3 (bvadd ?v_6 (bvmul (bvneg (_ bv2 32)) ?v_2)))) (let ((?v_34 (bvsle ?v_3 (_ bv1180 32))) (?v_5 (bvadd ?v_0 (bvmul (bvsdiv (_ bv3 32) (_ bv40 32)) ?v_1))) (?v_35 (bvmul (bvsdiv (bvneg (_ bv1 32)) (_ bv2 32)) ?v_2))) (let ((?v_31 (bvadd ?v_5 ?v_35))) (let ((?v_28 (bvsle ?v_31 (_ bv605 32))) (?v_27 (bvsle ?v_3 (_ bv703 32)))) (let ((?v_29 (not ?v_27)) (?v_24 (bvadd ?v_0 (bvmul (_ bv1 32) ?v_2)))) (let ((?v_21 (bvsle ?v_24 (_ bv30 32))) (?v_23 (bvmul (bvneg (_ bv1 32)) ?v_2))) (let ((?v_37 (bvsle ?v_23 (bvneg (_ bv10 32)))) (?v_13 (bvsle ?v_0 (_ bv40 32)))) (let ((?v_38 (not ?v_13)) (?v_22 (bvmul (bvneg (_ bv1 32)) ?v_4))) (let ((?v_7 (bvsle ?v_22 (bvneg (_ bv50 32)))) (?v_8 (bvsle ?v_5 (bvsdiv (_ bv743 32) (_ bv2 32)))) (?v_45 (bvsle ?v_6 (_ bv723 32)))) (let ((?v_16 (not ?v_45))) (let ((?v_12 (and ?v_16 ?v_9)) (?v_14 (not ?v_8)) (?v_10 (bvadd ?v_0 (bvmul (bvsdiv (_ bv1 32) (_ bv20 32)) ?v_1))) (?v_15 (bvsle ?v_5 (_ bv610 32)))) (let ((?v_11 (bvsle ?v_10 (_ bv261 32))) (?v_53 (not ?v_12)) (?v_19 (bvsle ?v_6 (_ bv1200 32)))) (let ((?v_17 (and ?v_19 ?v_9)) (?v_39 (bvadd ?v_0 (bvmul (_ bv3 32) ?v_2)))) (let ((?v_18 (bvsle ?v_39 (_ bv50 32)))) (let ((?v_41 (not ?v_18)) (?v_40 (and ?v_16 ?v_17))) (let ((?v_44 (not ?v_40)) (?v_56 (not (and ?v_19 ?v_20)))) (let ((?v_25 (not (and ?v_37 (and (not (and ?v_38 (not (and (bvsle ?v_0 (_ bv50 32)) (and (not (and (not ?v_7) (not (and ?v_8 ?v_12)))) (not (and ?v_7 (not (and (not (and ?v_14 (not (and (bvsle ?v_10 (_ bv420 32)) (and ?v_15 ?v_9))))) (not (and ?v_8 (not (and (not (and (not ?v_11) ?v_20)) (not (and ?v_11 ?v_53))))))))))))))) (not (and ?v_13 (not (and (not (and ?v_14 (not (and ?v_15 ?v_17)))) (not (and ?v_8 (not (and (not (and ?v_41 ?v_44)) (not (and ?v_18 (not (and ?v_16 ?v_56)))))))))))))))) (?v_49 (bvsle (bvadd ?v_22 ?v_23) (bvneg (_ bv10 32)))) (?v_26 (bvsle ?v_24 (_ bv40 32)))) (let ((?v_32 (and (not (and (not ?v_26) ?v_25)) (not (and ?v_26 ?v_20))))) (let ((?v_30 (not (and ?v_49 ?v_32))) (?v_33 (bvsle ?v_31 (bvsdiv (_ bv733 32) (_ bv2 32)))) (?v_36 (bvsle (bvadd ?v_0 ?v_35) (bvneg (_ bv5 32)))) (?v_42 (bvsle ?v_39 (_ bv60 32))) (?v_43 (bvsle ?v_39 (_ bv30 32))) (?v_58 (bvadd ?v_22 (bvmul (bvneg (_ bv3 32)) ?v_2)))) (let ((?v_46 (bvsle ?v_58 (bvneg (_ bv50 32))))) (let ((?v_51 (not ?v_46)) (?v_47 (not ?v_43)) (?v_52 (not (and bool.b7 ?v_45))) (?v_48 (and bool.b7 ?v_19)) (?v_50 (not (and ?v_46 ?v_20)))) (let ((?v_65 (and ?v_37 (and (not (and ?v_38 (not (and (not (and ?v_14 (not (and ?v_15 (and ?v_42 ?v_17))))) (not (and ?v_8 (not (and ?v_43 ?v_40)))))))) (not (and ?v_13 (not (and (not (and ?v_14 (not (and ?v_15 (and (not (and ?v_41 (not (and ?v_42 ?v_9)))) (not (and ?v_18 (not (and (not (and ?v_51 (and (not (and ?v_47 (not (and ?v_44 ?v_52)))) (not (and ?v_43 ?v_48))))) ?v_50))))))))) (not (and ?v_8 (not (and ?v_18 (and (not (and ?v_47 ?v_44)) (not (and ?v_43 (not (and ?v_16 ?v_48)))))))))))))))) (?v_64 (bvsle ?v_24 (_ bv10 32))) (?v_57 (bvsle ?v_0 (_ bv20 32))) (?v_55 (not ?v_19))) (let ((?v_59 (and (not ?v_48) (not (and ?v_55 ?v_9)))) (?v_60 (not (and ?v_45 ?v_20))) (?v_62 (bvsle ?v_0 (_ bv0 32))) (?v_61 (bvsle ?v_58 (bvneg (_ bv30 32))))) (or (or (exists ((?lambdaprime (_ BitVec 32))) (let ((?v_68 (not bool.b22)) (?v_70 (not bool.b5))) (let ((?v_69 (and ?v_70 (not bool.b6))) (?v_67 (bvmul (bvneg (_ bv1 32)) (bvadd x4 (bvmul (_ bv20 32) ?lambdaprime)))) (?v_66 (not (bvsle (bvmul (_ bv1 32) (bvadd x3 (bvmul (bvneg (_ bv1 32)) ?lambdaprime))) (_ bv33 32))))) (and (and (bvsle (_ bv0 32) ?lambdaprime) (bvsle ?lambdaprime ?lambda)) (not (and (not (bvsle (bvmul (bvneg (_ bv1 32)) (bvadd x5 (bvmul (_ bv1 32) ?lambdaprime))) (bvneg (_ bv10 32)))) (and (and (not (and (not (and (not (bvsle ?v_67 (bvneg (_ bv4100 32)))) ?v_66)) (and ?v_68 (and ?v_54 ?v_69)))) (not (and (not (and ?v_66 (not (bvsle ?v_67 (bvneg (_ bv4500 32)))))) (and ?v_68 (and bool.b7 ?v_69))))) (not (and (not (and ?v_66 (not (bvsle ?v_67 (bvneg (_ bv4910 32)))))) (and ?v_68 (and ?v_54 (and ?v_70 bool.b6)))))))))))) (bvslt ?lambda (_ bv0 32))) (not (and (not bool.b22) (and (not (and bool.b5 (not (and (not bool.b6) ?v_54)))) (not (and (not bool.b5) (not (and (not (and (not bool.b23) (not (and bool.b6 (and ?v_34 (and (not (and (not ?v_28) (not (and (not (and ?v_29 (not (and (not (and (not ?v_21) ?v_25)) (not (and ?v_21 ?v_30)))))) (not (and ?v_27 ?v_25)))))) (not (and ?v_28 (not (and (not (and ?v_29 ?v_30)) (not (and ?v_27 (not (and (not (and (not ?v_33) (not ?v_32))) (not (and ?v_33 ?v_25)))))))))))))))) (not (and bool.b23 (not (and bool.b6 (and ?v_34 (and (not (and ?v_29 (and (not (and (not (bvsle (bvadd ?v_0 ?v_23) (_ bv10 32))) (not (and (not (and bool.b7 ?v_36)) (not (and (not ?v_36) ?v_65)))))) (not (and ?v_21 (not (and (not (and (not ?v_64) (and ?v_49 (and (not (and (not ?v_37) ?v_20)) (not (and ?v_37 (not (and (not (and (not ?v_57) (not (and (not (and ?v_38 ?v_20)) (not (and ?v_13 (not (and (not (and ?v_14 (not (and (not (and (not ?v_15) ?v_20)) (not (and ?v_15 (not (and ?v_50 (not (and ?v_51 (and (not (and ?v_47 (not (and ?v_52 ?v_53)))) (not (and ?v_43 (not ?v_59)))))))))))))) (not (and ?v_8 (not (and (not (and ?v_41 ?v_20)) (not (and ?v_18 (not (and (not (and ?v_47 (not (and (not (and ?v_54 ?v_55)) ?v_56)))) (not (and ?v_43 (not (and ?v_60 (not (and ?v_54 ?v_16)))))))))))))))))))))) (not (and ?v_57 (not (and (not (and (not ?v_62) (not (and (not (and (not ?v_61) (not (and (not (and ?v_16 ?v_59)) ?v_60)))) (not (and ?v_61 ?v_20)))))) (not (and ?v_62 (not (and (not (and ?v_54 (not ?v_63))) (not (and ?v_63 ?v_20)))))))))))))))))) (not (and ?v_64 (and bool.b7 ?v_49)))))))))) (not (and ?v_27 (not ?v_65))))))))))))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
