(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun lambda () (_ BitVec 32))
(declare-fun lambdaprime () (_ BitVec 32))
(declare-fun x5 () (_ BitVec 32))
(declare-fun x4 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(declare-fun bool.b22 () Bool)
(declare-fun bool.b7 () Bool)
(declare-fun bool.b5 () Bool)
(declare-fun bool.b6 () Bool)
(declare-fun bool.b23 () Bool)
(declare-fun bool.b14 () Bool)
(declare-fun bool.b12 () Bool)
(declare-fun bool.b10 () Bool)
(declare-fun bool.b8 () Bool)
(assert (forall ((?lambda (_ BitVec 32))) (let ((?v_53 (not bool.b7)) (?v_1 (bvadd x4 (bvmul (_ bv20 32) ?lambda))) (?v_2 (bvadd x5 (bvmul (_ bv1 32) ?lambda))) (?v_9 (and (not bool.b14) (and (not bool.b12) (and (not bool.b10) (and bool.b7 (not bool.b8))))))) (let ((?v_20 (not ?v_9)) (?v_62 (bvsle (bvmul (_ bv1 32) ?v_1) (_ bv4820 32))) (?v_4 (bvadd x3 (bvmul (bvsdiv (bvneg (_ bv1 32)) (_ bv5 32)) ?lambda)))) (let ((?v_0 (bvmul (_ bv1 32) ?v_4))) (let ((?v_6 (bvadd ?v_0 (bvmul (bvsdiv (_ bv3 32) (_ bv20 32)) ?v_1)))) (let ((?v_3 (bvadd ?v_6 (bvmul (bvsdiv (bvneg (_ bv14 32)) (_ bv5 32)) ?v_2)))) (let ((?v_34 (bvsle ?v_3 (_ bv1172 32))) (?v_5 (bvadd ?v_0 (bvmul (bvsdiv (_ bv3 32) (_ bv40 32)) ?v_1)))) (let ((?v_26 (bvadd ?v_5 (bvmul (bvsdiv (bvneg (_ bv13 32)) (_ bv10 32)) ?v_2)))) (let ((?v_25 (bvsle ?v_26 (_ bv597 32))) (?v_23 (bvsle ?v_3 (_ bv695 32)))) (let ((?v_27 (not ?v_23)) (?v_28 (bvadd ?v_0 (bvmul (bvsdiv (_ bv1 32) (_ bv5 32)) ?v_2)))) (let ((?v_21 (bvsle ?v_28 (_ bv22 32)))) (let ((?v_35 (not ?v_21)) (?v_36 (bvsle (bvmul (bvneg (_ bv1 32)) ?v_2) (bvneg (_ bv10 32)))) (?v_13 (bvsle ?v_0 (_ bv40 32)))) (let ((?v_37 (not ?v_13)) (?v_22 (bvmul (bvneg (_ bv1 32)) ?v_4))) (let ((?v_7 (bvsle ?v_22 (bvneg (_ bv50 32)))) (?v_8 (bvsle ?v_5 (bvsdiv (_ bv743 32) (_ bv2 32)))) (?v_44 (bvsle ?v_6 (_ bv723 32)))) (let ((?v_16 (not ?v_44))) (let ((?v_12 (and ?v_16 ?v_9)) (?v_14 (not ?v_8)) (?v_10 (bvadd ?v_0 (bvmul (bvsdiv (_ bv1 32) (_ bv20 32)) ?v_1))) (?v_15 (bvsle ?v_5 (_ bv610 32)))) (let ((?v_11 (bvsle ?v_10 (_ bv261 32))) (?v_52 (not ?v_12)) (?v_19 (bvsle ?v_6 (_ bv1200 32)))) (let ((?v_17 (and ?v_19 ?v_9)) (?v_38 (bvadd ?v_0 (bvmul (_ bv3 32) ?v_2)))) (let ((?v_18 (bvsle ?v_38 (_ bv50 32)))) (let ((?v_40 (not ?v_18)) (?v_39 (and ?v_16 ?v_17))) (let ((?v_43 (not ?v_39)) (?v_55 (not (and ?v_19 ?v_20)))) (let ((?v_24 (not (and ?v_36 (and (not (and ?v_37 (not (and (bvsle ?v_0 (_ bv50 32)) (and (not (and (not ?v_7) (not (and ?v_8 ?v_12)))) (not (and ?v_7 (not (and (not (and ?v_14 (not (and (bvsle ?v_10 (_ bv420 32)) (and ?v_15 ?v_9))))) (not (and ?v_8 (not (and (not (and (not ?v_11) ?v_20)) (not (and ?v_11 ?v_52))))))))))))))) (not (and ?v_13 (not (and (not (and ?v_14 (not (and ?v_15 ?v_17)))) (not (and ?v_8 (not (and (not (and ?v_40 ?v_43)) (not (and ?v_18 (not (and ?v_16 ?v_55)))))))))))))))) (?v_48 (bvsle (bvadd ?v_22 (bvmul (bvsdiv (bvneg (_ bv1 32)) (_ bv5 32)) ?v_2)) (bvneg (_ bv2 32))))) (let ((?v_30 (not (and ?v_48 ?v_9)))) (let ((?v_33 (not (and (not (and ?v_27 (not (and (not (and ?v_35 ?v_24)) (not (and ?v_21 ?v_30)))))) (not (and ?v_23 ?v_24))))) (?v_32 (bvsle ?v_26 (bvsdiv (_ bv717 32) (_ bv2 32)))) (?v_29 (bvsle ?v_28 (_ bv32 32)))) (let ((?v_31 (not (and (not ?v_29) ?v_24))) (?v_63 (bvsle ?v_28 (_ bv2 32))) (?v_41 (bvsle ?v_38 (_ bv60 32))) (?v_42 (bvsle ?v_38 (_ bv30 32))) (?v_57 (bvadd ?v_22 (bvmul (bvneg (_ bv3 32)) ?v_2)))) (let ((?v_45 (bvsle ?v_57 (bvneg (_ bv50 32))))) (let ((?v_50 (not ?v_45)) (?v_46 (not ?v_42)) (?v_51 (not (and bool.b7 ?v_44))) (?v_47 (and bool.b7 ?v_19)) (?v_49 (not (and ?v_45 ?v_20)))) (let ((?v_64 (not (and ?v_36 (and (not (and ?v_37 (not (and (not (and ?v_14 (not (and ?v_15 (and ?v_41 ?v_17))))) (not (and ?v_8 (not (and ?v_42 ?v_39)))))))) (not (and ?v_13 (not (and (not (and ?v_14 (not (and ?v_15 (and (not (and ?v_40 (not (and ?v_41 ?v_9)))) (not (and ?v_18 (not (and (not (and ?v_50 (and (not (and ?v_46 (not (and ?v_43 ?v_51)))) (not (and ?v_42 ?v_47))))) ?v_49))))))))) (not (and ?v_8 (not (and ?v_18 (and (not (and ?v_46 ?v_43)) (not (and ?v_42 (not (and ?v_16 ?v_47))))))))))))))))) (?v_56 (bvsle ?v_0 (_ bv20 32))) (?v_54 (not ?v_19))) (let ((?v_58 (and (not ?v_47) (not (and ?v_54 ?v_9)))) (?v_59 (not (and ?v_44 ?v_20))) (?v_61 (bvsle ?v_0 (_ bv0 32))) (?v_60 (bvsle ?v_57 (bvneg (_ bv30 32))))) (or (or (exists ((?lambdaprime (_ BitVec 32))) (let ((?v_67 (not bool.b22)) (?v_69 (not bool.b5))) (let ((?v_68 (and ?v_69 (not bool.b6))) (?v_66 (bvmul (bvneg (_ bv1 32)) (bvadd x4 (bvmul (_ bv20 32) ?lambdaprime)))) (?v_65 (not (bvsle (bvmul (_ bv1 32) (bvadd x3 (bvmul (bvsdiv (bvneg (_ bv1 32)) (_ bv5 32)) ?lambdaprime))) (_ bv30 32))))) (and (and (bvsle (_ bv0 32) ?lambdaprime) (bvsle ?lambdaprime ?lambda)) (not (and (not (bvsle (bvmul (bvneg (_ bv1 32)) (bvadd x5 (bvmul (_ bv1 32) ?lambdaprime))) (bvneg (_ bv10 32)))) (and (and (not (and (not (and (not (bvsle ?v_66 (bvneg (_ bv4100 32)))) ?v_65)) (and ?v_67 (and ?v_53 ?v_68)))) (not (and (not (and ?v_65 (not (bvsle ?v_66 (bvneg (_ bv4500 32)))))) (and ?v_67 (and bool.b7 ?v_68))))) (not (and (not (and ?v_65 (not (bvsle ?v_66 (bvneg (_ bv4910 32)))))) (and ?v_67 (and ?v_53 (and ?v_69 bool.b6)))))))))))) (bvslt ?lambda (_ bv0 32))) (not (and (not bool.b22) (and (not (and bool.b5 (not (and (not bool.b6) ?v_53)))) (not (and (not bool.b5) (not (and (not (and (not bool.b23) (not (and bool.b6 (and ?v_34 (and (not (and (not ?v_25) ?v_33)) (not (and ?v_25 (not (and (not (and (not ?v_32) (not (and (not (and ?v_27 (not (and ?v_31 (not (and ?v_29 ?v_30)))))) (not (and ?v_23 (not (and ?v_31 (not (and ?v_29 ?v_20)))))))))) (not (and ?v_32 ?v_33)))))))))))) (not (and bool.b23 (not (and bool.b6 (and ?v_34 (and (not (and ?v_27 (and (not (and (not ?v_63) (and (not (and ?v_35 ?v_64)) (not (and ?v_21 (not (and ?v_48 (and (not (and (not ?v_36) ?v_20)) (not (and ?v_36 (not (and (not (and (not ?v_56) (not (and (not (and ?v_37 ?v_20)) (not (and ?v_13 (not (and (not (and ?v_14 (not (and (not (and (not ?v_15) ?v_20)) (not (and ?v_15 (not (and ?v_49 (not (and ?v_50 (and (not (and ?v_46 (not (and ?v_51 ?v_52)))) (not (and ?v_42 (not ?v_58)))))))))))))) (not (and ?v_8 (not (and (not (and ?v_40 ?v_20)) (not (and ?v_18 (not (and (not (and ?v_46 (not (and (not (and ?v_53 ?v_54)) ?v_55)))) (not (and ?v_42 (not (and ?v_59 (not (and ?v_53 ?v_16)))))))))))))))))))))) (not (and ?v_56 (not (and (not (and (not ?v_61) (not (and (not (and (not ?v_60) (not (and (not (and ?v_16 ?v_58)) ?v_59)))) (not (and ?v_60 ?v_20)))))) (not (and ?v_61 (not (and (not (and ?v_53 (not ?v_62))) (not (and ?v_62 ?v_20)))))))))))))))))))))) (not (and ?v_63 (and bool.b7 ?v_48)))))) (not (and ?v_23 ?v_64))))))))))))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
