(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun lambda () (_ BitVec 32))
(declare-fun lambdaprime () (_ BitVec 32))
(declare-fun x5 () (_ BitVec 32))
(declare-fun x4 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(declare-fun bool.b22 () Bool)
(declare-fun bool.b7 () Bool)
(declare-fun bool.b5 () Bool)
(declare-fun bool.b6 () Bool)
(declare-fun bool.b23 () Bool)
(declare-fun bool.b14 () Bool)
(declare-fun bool.b12 () Bool)
(declare-fun bool.b10 () Bool)
(declare-fun bool.b8 () Bool)
(assert (forall ((?lambda (_ BitVec 32))) (let ((?v_50 (not bool.b7)) (?v_1 (bvadd x4 (bvmul (_ bv40 32) ?lambda))) (?v_2 (bvadd x5 (bvmul (_ bv1 32) ?lambda))) (?v_9 (and (not bool.b14) (and (not bool.b12) (and (not bool.b10) (and bool.b7 (not bool.b8))))))) (let ((?v_29 (not ?v_9)) (?v_59 (bvsle (bvmul (_ bv1 32) ?v_1) (_ bv4820 32))) (?v_5 (bvadd x3 (bvmul (bvsdiv (bvneg (_ bv1 32)) (_ bv5 32)) ?lambda)))) (let ((?v_0 (bvmul (_ bv1 32) ?v_5))) (let ((?v_8 (bvadd ?v_0 (bvmul (bvsdiv (_ bv3 32) (_ bv20 32)) ?v_1)))) (let ((?v_3 (bvadd ?v_8 (bvmul (bvsdiv (bvneg (_ bv29 32)) (_ bv5 32)) ?v_2)))) (let ((?v_32 (bvsle ?v_3 (_ bv1142 32))) (?v_4 (bvadd ?v_0 (bvmul (bvsdiv (_ bv3 32) (_ bv40 32)) ?v_1)))) (let ((?v_23 (bvadd ?v_4 (bvmul (bvsdiv (bvneg (_ bv14 32)) (_ bv5 32)) ?v_2)))) (let ((?v_22 (bvsle ?v_23 (_ bv582 32))) (?v_20 (bvsle ?v_3 (_ bv665 32)))) (let ((?v_24 (not ?v_20)) (?v_25 (bvadd ?v_0 (bvmul (bvsdiv (_ bv1 32) (_ bv5 32)) ?v_2)))) (let ((?v_18 (bvsle ?v_25 (_ bv22 32)))) (let ((?v_33 (not ?v_18)) (?v_34 (bvsle (bvmul (bvneg (_ bv1 32)) ?v_2) (bvneg (_ bv10 32)))) (?v_11 (bvsle ?v_0 (_ bv40 32)))) (let ((?v_35 (not ?v_11)) (?v_6 (bvsle ?v_4 (bvsdiv (_ bv743 32) (_ bv2 32))))) (let ((?v_12 (not ?v_6)) (?v_10 (bvadd ?v_0 (bvmul (bvsdiv (_ bv1 32) (_ bv20 32)) ?v_1))) (?v_13 (bvsle ?v_4 (_ bv610 32))) (?v_19 (bvmul (bvneg (_ bv1 32)) ?v_5))) (let ((?v_7 (bvsle ?v_19 (bvneg (_ bv50 32)))) (?v_40 (bvsle ?v_8 (_ bv723 32)))) (let ((?v_14 (not ?v_40))) (let ((?v_49 (not (and ?v_14 ?v_9))) (?v_17 (bvsle ?v_8 (_ bv1200 32)))) (let ((?v_15 (and ?v_17 ?v_9)) (?v_36 (bvadd ?v_0 (bvmul (_ bv3 32) ?v_2)))) (let ((?v_16 (bvsle ?v_36 (_ bv50 32)))) (let ((?v_38 (not ?v_16)) (?v_37 (and ?v_14 ?v_15)) (?v_52 (not (and ?v_17 ?v_29)))) (let ((?v_21 (not (and ?v_34 (and (not (and ?v_35 (not (and (bvsle ?v_0 (_ bv50 32)) (and (not (and ?v_12 (not (and (bvsle ?v_10 (_ bv420 32)) (and ?v_13 (and ?v_7 ?v_9)))))) (not (and ?v_6 (not (and (not (and (not ?v_7) ?v_49)) (not (and ?v_7 (not (and (not (bvsle ?v_10 (_ bv261 32))) ?v_9))))))))))))) (not (and ?v_11 (not (and (not (and ?v_12 (not (and ?v_13 ?v_15)))) (not (and ?v_6 (not (and (not (and ?v_38 (not ?v_37))) (not (and ?v_16 (not (and ?v_14 ?v_52)))))))))))))))) (?v_44 (bvsle (bvadd ?v_19 (bvmul (bvsdiv (bvneg (_ bv1 32)) (_ bv5 32)) ?v_2)) (bvneg (_ bv2 32))))) (let ((?v_27 (not (and ?v_44 ?v_9)))) (let ((?v_31 (not (and (not (and ?v_24 (not (and (not (and ?v_33 ?v_21)) (not (and ?v_18 ?v_27)))))) (not (and ?v_20 ?v_21))))) (?v_30 (bvsle ?v_23 (bvsdiv (_ bv687 32) (_ bv2 32)))) (?v_26 (bvsle ?v_25 (_ bv32 32)))) (let ((?v_28 (not (and (not ?v_26) ?v_21))) (?v_60 (bvsle ?v_25 (_ bv2 32))) (?v_39 (bvsle ?v_36 (_ bv60 32))) (?v_41 (bvsle ?v_36 (_ bv30 32))) (?v_54 (bvadd ?v_19 (bvmul (bvneg (_ bv3 32)) ?v_2)))) (let ((?v_42 (bvsle ?v_54 (bvneg (_ bv50 32))))) (let ((?v_46 (not ?v_42)) (?v_48 (not (and bool.b7 ?v_40))) (?v_47 (not ?v_41))) (let ((?v_43 (and ?v_14 (and ?v_17 (not (and (not (and ?v_47 ?v_9)) (not (and bool.b7 ?v_41))))))) (?v_45 (not (and ?v_42 ?v_29)))) (let ((?v_61 (not (and ?v_34 (and (not (and ?v_35 (not (and (not (and ?v_12 (not (and ?v_13 (and ?v_39 ?v_15))))) (not (and ?v_6 (not (and ?v_41 ?v_37)))))))) (not (and ?v_11 (not (and (not (and ?v_12 (not (and ?v_13 (and (not (and ?v_38 (not (and ?v_39 ?v_9)))) (not (and ?v_16 (not (and (not (and ?v_46 (and ?v_48 (not ?v_43)))) ?v_45))))))))) (not (and ?v_6 (not (and ?v_16 ?v_43)))))))))))) (?v_53 (bvsle ?v_0 (_ bv20 32))) (?v_51 (not ?v_17))) (let ((?v_55 (and (not (and bool.b7 ?v_17)) (not (and ?v_51 ?v_9)))) (?v_56 (not (and ?v_40 ?v_29))) (?v_58 (bvsle ?v_0 (_ bv0 32))) (?v_57 (bvsle ?v_54 (bvneg (_ bv30 32))))) (or (or (exists ((?lambdaprime (_ BitVec 32))) (let ((?v_64 (not bool.b22)) (?v_66 (not bool.b5))) (let ((?v_65 (and ?v_66 (not bool.b6))) (?v_63 (bvmul (bvneg (_ bv1 32)) (bvadd x4 (bvmul (_ bv40 32) ?lambdaprime)))) (?v_62 (not (bvsle (bvmul (_ bv1 32) (bvadd x3 (bvmul (bvsdiv (bvneg (_ bv1 32)) (_ bv5 32)) ?lambdaprime))) (_ bv30 32))))) (and (and (bvsle (_ bv0 32) ?lambdaprime) (bvsle ?lambdaprime ?lambda)) (not (and (not (bvsle (bvmul (bvneg (_ bv1 32)) (bvadd x5 (bvmul (_ bv1 32) ?lambdaprime))) (bvneg (_ bv10 32)))) (and (and (not (and (not (and (not (bvsle ?v_63 (bvneg (_ bv4100 32)))) ?v_62)) (and ?v_64 (and ?v_50 ?v_65)))) (not (and (not (and ?v_62 (not (bvsle ?v_63 (bvneg (_ bv4500 32)))))) (and ?v_64 (and bool.b7 ?v_65))))) (not (and (not (and ?v_62 (not (bvsle ?v_63 (bvneg (_ bv4910 32)))))) (and ?v_64 (and ?v_50 (and ?v_66 bool.b6)))))))))))) (bvslt ?lambda (_ bv0 32))) (not (and (not bool.b22) (and (not (and bool.b5 (not (and (not bool.b6) ?v_50)))) (not (and (not bool.b5) (not (and (not (and (not bool.b23) (not (and bool.b6 (and ?v_32 (and (not (and (not ?v_22) ?v_31)) (not (and ?v_22 (not (and (not (and (not ?v_30) (not (and (not (and ?v_24 (not (and ?v_28 (not (and ?v_26 ?v_27)))))) (not (and ?v_20 (not (and ?v_28 (not (and ?v_26 ?v_29)))))))))) (not (and ?v_30 ?v_31)))))))))))) (not (and bool.b23 (not (and bool.b6 (and ?v_32 (and (not (and ?v_24 (and (not (and (not ?v_60) (and (not (and ?v_33 ?v_61)) (not (and ?v_18 (not (and ?v_44 (and (not (and (not ?v_34) ?v_29)) (not (and ?v_34 (not (and (not (and (not ?v_53) (not (and (not (and ?v_35 ?v_29)) (not (and ?v_11 (not (and (not (and ?v_12 (not (and (not (and (not ?v_13) ?v_29)) (not (and ?v_13 (not (and ?v_45 (not (and ?v_46 (and (not (and ?v_47 (not (and ?v_48 ?v_49)))) (not (and ?v_41 (not ?v_55)))))))))))))) (not (and ?v_6 (not (and (not (and ?v_38 ?v_29)) (not (and ?v_16 (not (and (not (and ?v_47 (not (and (not (and ?v_50 ?v_51)) ?v_52)))) (not (and ?v_41 (not (and ?v_56 (not (and ?v_50 ?v_14)))))))))))))))))))))) (not (and ?v_53 (not (and (not (and (not ?v_58) (not (and (not (and (not ?v_57) (not (and (not (and ?v_14 ?v_55)) ?v_56)))) (not (and ?v_57 ?v_29)))))) (not (and ?v_58 (not (and (not (and ?v_50 (not ?v_59))) (not (and ?v_59 ?v_29)))))))))))))))))))))) (not (and ?v_60 (and bool.b7 ?v_44)))))) (not (and ?v_20 ?v_61))))))))))))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
