(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun lambda () (_ BitVec 32))
(declare-fun lambdaprime () (_ BitVec 32))
(declare-fun x5 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(declare-fun x4 () (_ BitVec 32))
(declare-fun bool.b22 () Bool)
(declare-fun bool.b7 () Bool)
(declare-fun bool.b5 () Bool)
(declare-fun bool.b6 () Bool)
(declare-fun bool.b23 () Bool)
(declare-fun bool.b14 () Bool)
(declare-fun bool.b12 () Bool)
(declare-fun bool.b10 () Bool)
(declare-fun bool.b8 () Bool)
(assert (forall ((?lambda (_ BitVec 32))) (let ((?v_0 (bvmul (_ bv1 32) ?lambda))) (let ((?v_7 (bvadd x3 ?v_0))) (let ((?v_1 (bvmul (_ bv1 32) ?v_7)) (?v_2 (bvadd x5 ?v_0)) (?v_6 (bvadd x4 (bvmul (_ bv20 32) ?lambda)))) (let ((?v_12 (bvsle ?v_1 (_ bv40 32)))) (let ((?v_31 (not ?v_12)) (?v_10 (and (not bool.b14) (and (not bool.b12) (and (not bool.b10) (and bool.b7 (not bool.b8)))))) (?v_32 (bvadd ?v_1 (bvmul (_ bv3 32) ?v_2)))) (let ((?v_18 (bvsle ?v_32 (_ bv50 32)))) (let ((?v_34 (not ?v_18)) (?v_22 (not ?v_10)) (?v_35 (bvsle ?v_32 (_ bv60 32))) (?v_38 (bvsle ?v_32 (_ bv30 32))) (?v_4 (bvmul (bvneg (_ bv1 32)) ?v_2))) (let ((?v_3 (bvadd ?v_1 ?v_4))) (let ((?v_26 (bvsle ?v_3 (_ bv10 32)))) (let ((?v_29 (not ?v_26)) (?v_5 (bvadd ?v_1 (bvmul (bvsdiv (_ bv3 32) (_ bv40 32)) ?v_6)))) (let ((?v_21 (bvadd ?v_5 (bvmul (bvsdiv (bvneg (_ bv5 32)) (_ bv2 32)) ?v_2))) (?v_20 (bvsle ?v_3 (_ bv20 32))) (?v_30 (bvsle ?v_4 (bvneg (_ bv10 32)))) (?v_8 (bvsle ?v_5 (bvsdiv (_ bv743 32) (_ bv2 32))))) (let ((?v_13 (not ?v_8)) (?v_11 (bvadd ?v_1 (bvmul (bvsdiv (_ bv1 32) (_ bv20 32)) ?v_6))) (?v_14 (bvsle ?v_5 (_ bv610 32))) (?v_36 (bvmul (bvneg (_ bv1 32)) ?v_7))) (let ((?v_9 (bvsle ?v_36 (bvneg (_ bv50 32)))) (?v_15 (bvadd ?v_1 (bvmul (bvsdiv (_ bv3 32) (_ bv20 32)) ?v_6)))) (let ((?v_37 (bvsle ?v_15 (_ bv723 32)))) (let ((?v_16 (not ?v_37)) (?v_19 (bvsle ?v_15 (_ bv1200 32)))) (let ((?v_17 (and ?v_19 ?v_10))) (let ((?v_33 (and ?v_16 ?v_17))) (let ((?v_25 (not (and ?v_30 (and (not (and ?v_31 (not (and (bvsle ?v_1 (_ bv50 32)) (and (not (and ?v_13 (not (and (bvsle ?v_11 (_ bv420 32)) (and ?v_14 (and ?v_9 ?v_10)))))) (not (and ?v_8 (not (and (not (and (not ?v_9) (not (and ?v_16 ?v_10)))) (not (and ?v_9 (not (and (not (bvsle ?v_11 (_ bv261 32))) ?v_10))))))))))))) (not (and ?v_12 (not (and (not (and ?v_13 (not (and ?v_14 ?v_17)))) (not (and ?v_8 (not (and (not (and ?v_34 (not ?v_33))) (not (and ?v_18 (not (and ?v_16 (not (and ?v_19 ?v_22)))))))))))))))))) (?v_23 (bvsle ?v_21 (bvsdiv (_ bv693 32) (_ bv2 32)))) (?v_27 (bvadd ?v_15 (bvmul (bvneg (_ bv4 32)) ?v_2)))) (let ((?v_24 (bvsle ?v_27 (_ bv683 32)))) (let ((?v_42 (not ?v_24))) (let ((?v_28 (and (not (and ?v_42 ?v_22)) (not (and ?v_24 ?v_25)))) (?v_41 (bvsle ?v_27 (_ bv1160 32))) (?v_39 (bvsle (bvadd ?v_36 (bvmul (bvneg (_ bv3 32)) ?v_2)) (bvneg (_ bv50 32)))) (?v_40 (and ?v_16 (and ?v_19 (not (and (not (and (not ?v_38) ?v_10)) (not (and bool.b7 ?v_38)))))))) (let ((?v_44 (not (and ?v_30 (and (not (and ?v_31 (not (and (not (and ?v_13 (not (and ?v_14 (and ?v_35 ?v_17))))) (not (and ?v_8 (not (and ?v_38 ?v_33)))))))) (not (and ?v_12 (not (and (not (and ?v_13 (not (and ?v_14 (and (not (and ?v_34 (not (and ?v_35 ?v_10)))) (not (and ?v_18 (not (and (not (and (not ?v_39) (and (not (and bool.b7 ?v_37)) (not ?v_40)))) (not (and ?v_39 ?v_22))))))))))) (not (and ?v_8 (not (and ?v_18 ?v_40)))))))))))) (?v_43 (bvsle (bvadd ?v_1 (bvmul (bvsdiv (bvneg (_ bv1 32)) (_ bv2 32)) ?v_2)) (bvneg (_ bv5 32))))) (or (or (exists ((?lambdaprime (_ BitVec 32))) (let ((?v_45 (bvmul (_ bv1 32) ?lambdaprime)) (?v_48 (not bool.b22)) (?v_50 (not bool.b7)) (?v_51 (not bool.b5))) (let ((?v_49 (and ?v_51 (not bool.b6))) (?v_46 (not (bvsle (bvmul (bvneg (_ bv1 32)) (bvadd x3 ?v_45)) (bvneg (_ bv20 32))))) (?v_47 (bvmul (bvneg (_ bv1 32)) (bvadd x4 (bvmul (_ bv20 32) ?lambdaprime))))) (and (and (bvsle (_ bv0 32) ?lambdaprime) (bvsle ?lambdaprime ?lambda)) (not (and (not (bvsle (bvmul (bvneg (_ bv1 32)) (bvadd x5 ?v_45)) (bvneg (_ bv10 32)))) (and (and (not (and (not (and ?v_46 (not (bvsle ?v_47 (bvneg (_ bv4100 32)))))) (and ?v_48 (and ?v_50 ?v_49)))) (not (and (not (and ?v_46 (not (bvsle ?v_47 (bvneg (_ bv4500 32)))))) (and ?v_48 (and bool.b7 ?v_49))))) (not (and (not (and ?v_46 (not (bvsle ?v_47 (bvneg (_ bv4910 32)))))) (and ?v_48 (and ?v_50 (and ?v_51 bool.b6)))))))))))) (bvslt ?lambda (_ bv0 32))) (not (and (not bool.b22) (and (not (and bool.b5 (not (and (not bool.b6) (not bool.b7))))) (not (and (not bool.b5) (not (and (not (and (not bool.b23) (not (and bool.b6 (and (not (and ?v_29 (not (and (bvsle ?v_21 (_ bv585 32)) (and (not (and (not ?v_20) ?v_25)) (not (and ?v_20 (not (and (not (and (not ?v_23) ?v_22)) (not (and ?v_23 (not ?v_28)))))))))))) (not (and ?v_26 (not (and ?v_41 ?v_28))))))))) (not (and bool.b23 (not (and bool.b6 (and (not (and ?v_29 ?v_44)) (not (and ?v_26 (not (and ?v_41 (and (not (and ?v_42 (not (and (not (and ?v_43 (not (and bool.b7 (not (bvsle (bvadd ?v_15 (bvmul (bvsdiv (bvneg (_ bv7 32)) (_ bv2 32)) ?v_2)) (_ bv688 32))))))) (not (and (not ?v_43) ?v_22)))))) (not (and ?v_24 ?v_44))))))))))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
