(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun lambda () (_ BitVec 32))
(declare-fun lambdaprime () (_ BitVec 32))
(declare-fun x5 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(declare-fun x4 () (_ BitVec 32))
(declare-fun bool.b22 () Bool)
(declare-fun bool.b7 () Bool)
(declare-fun bool.b5 () Bool)
(declare-fun bool.b6 () Bool)
(declare-fun bool.b23 () Bool)
(declare-fun bool.b14 () Bool)
(declare-fun bool.b12 () Bool)
(declare-fun bool.b10 () Bool)
(declare-fun bool.b8 () Bool)
(assert (forall ((?lambda (_ BitVec 32))) (let ((?v_49 (not bool.b7)) (?v_0 (bvmul (_ bv1 32) ?lambda))) (let ((?v_8 (bvadd x3 ?v_0))) (let ((?v_1 (bvmul (_ bv1 32) ?v_8)) (?v_2 (bvadd x4 (bvmul (_ bv40 32) ?lambda))) (?v_3 (bvadd x5 ?v_0))) (let ((?v_14 (bvsle ?v_1 (_ bv40 32)))) (let ((?v_31 (not ?v_14)) (?v_12 (and (not bool.b14) (and (not bool.b12) (and (not bool.b10) (and bool.b7 (not bool.b8))))))) (let ((?v_20 (not ?v_12)) (?v_32 (bvadd ?v_1 (bvmul (_ bv3 32) ?v_3)))) (let ((?v_39 (bvsle ?v_32 (_ bv50 32)))) (let ((?v_48 (not ?v_39)) (?v_38 (bvsle ?v_32 (_ bv60 32))) (?v_36 (bvsle ?v_32 (_ bv30 32)))) (let ((?v_44 (not ?v_36)) (?v_51 (bvsle ?v_1 (_ bv20 32))) (?v_56 (bvsle ?v_1 (_ bv0 32))) (?v_57 (bvsle (bvmul (_ bv1 32) ?v_2) (_ bv4820 32))) (?v_11 (bvadd ?v_1 (bvmul (bvsdiv (_ bv3 32) (_ bv20 32)) ?v_2)))) (let ((?v_23 (bvadd ?v_11 (bvmul (bvneg (_ bv7 32)) ?v_3)))) (let ((?v_28 (bvsle ?v_23 (_ bv1130 32))) (?v_7 (bvadd ?v_1 (bvmul (bvsdiv (_ bv3 32) (_ bv40 32)) ?v_2)))) (let ((?v_5 (bvadd ?v_7 (bvmul (bvneg (_ bv4 32)) ?v_3)))) (let ((?v_26 (bvsle ?v_5 (bvsdiv (_ bv663 32) (_ bv2 32)))) (?v_6 (bvmul (bvneg (_ bv1 32)) ?v_3))) (let ((?v_4 (bvadd ?v_1 ?v_6))) (let ((?v_22 (bvsle ?v_4 (bvneg (_ bv10 32)))) (?v_21 (bvsle ?v_4 (_ bv10 32)))) (let ((?v_29 (not ?v_21)) (?v_19 (bvsle ?v_4 (_ bv20 32))) (?v_30 (bvsle ?v_6 (bvneg (_ bv10 32)))) (?v_9 (bvsle ?v_7 (bvsdiv (_ bv743 32) (_ bv2 32))))) (let ((?v_15 (not ?v_9)) (?v_13 (bvadd ?v_1 (bvmul (bvsdiv (_ bv1 32) (_ bv20 32)) ?v_2))) (?v_16 (bvsle ?v_7 (_ bv610 32))) (?v_34 (bvmul (bvneg (_ bv1 32)) ?v_8))) (let ((?v_10 (bvsle ?v_34 (bvneg (_ bv50 32)))) (?v_35 (bvsle ?v_11 (_ bv723 32)))) (let ((?v_17 (not ?v_35))) (let ((?v_46 (not (and ?v_17 ?v_12))) (?v_18 (bvsle ?v_11 (_ bv1200 32)))) (let ((?v_33 (and ?v_18 ?v_12)) (?v_50 (not (and ?v_18 ?v_20))) (?v_47 (not ?v_18))) (let ((?v_25 (not (and ?v_30 (and (not (and ?v_31 (not (and (bvsle ?v_1 (_ bv50 32)) (and (not (and ?v_15 (not (and (bvsle ?v_13 (_ bv420 32)) (and ?v_16 (and ?v_10 ?v_12)))))) (not (and ?v_9 (not (and (not (and (not ?v_10) ?v_46)) (not (and ?v_10 (not (and (not (bvsle ?v_13 (_ bv261 32))) ?v_12))))))))))))) (not (and ?v_14 (not (and (not (and ?v_15 (not (and ?v_16 ?v_33)))) (not (and ?v_9 (not (and ?v_17 (and ?v_50 (not (and ?v_47 ?v_48))))))))))))))) (?v_24 (bvsle ?v_23 (_ bv653 32)))) (let ((?v_42 (not ?v_24))) (let ((?v_27 (not (and (not (and ?v_42 ?v_20)) (not (and ?v_24 ?v_25))))) (?v_52 (bvadd ?v_34 (bvmul (bvneg (_ bv3 32)) ?v_3)))) (let ((?v_37 (bvsle ?v_52 (bvneg (_ bv50 32))))) (let ((?v_43 (not ?v_37)) (?v_45 (not (and bool.b7 ?v_35))) (?v_40 (and ?v_17 (and ?v_18 (not (and (not (and ?v_44 ?v_12)) (not (and bool.b7 ?v_36)))))))) (let ((?v_41 (not (and ?v_30 (and (not (and ?v_31 (not (and (not (and ?v_15 (not (and ?v_16 (and ?v_38 ?v_33))))) (not (and ?v_9 (not (and ?v_36 (and ?v_17 ?v_33))))))))) (not (and ?v_14 (not (and (not (and ?v_15 (not (and ?v_16 (and (not (and ?v_43 (and ?v_45 (not ?v_40)))) (not (and ?v_37 (not (and ?v_38 ?v_12))))))))) (not (and ?v_9 (not (and ?v_39 ?v_40)))))))))))) (?v_53 (and (not (and bool.b7 ?v_18)) (not (and ?v_47 ?v_12)))) (?v_54 (not (and ?v_35 ?v_20))) (?v_55 (bvsle ?v_52 (bvneg (_ bv30 32))))) (or (or (exists ((?lambdaprime (_ BitVec 32))) (let ((?v_58 (bvmul (_ bv1 32) ?lambdaprime)) (?v_61 (not bool.b22)) (?v_63 (not bool.b5))) (let ((?v_62 (and ?v_63 (not bool.b6))) (?v_59 (not (bvsle (bvmul (bvneg (_ bv1 32)) (bvadd x3 ?v_58)) (bvneg (_ bv20 32))))) (?v_60 (bvmul (bvneg (_ bv1 32)) (bvadd x4 (bvmul (_ bv40 32) ?lambdaprime))))) (and (and (bvsle (_ bv0 32) ?lambdaprime) (bvsle ?lambdaprime ?lambda)) (not (and (not (bvsle (bvmul (bvneg (_ bv1 32)) (bvadd x5 ?v_58)) (bvneg (_ bv10 32)))) (and (and (not (and (not (and ?v_59 (not (bvsle ?v_60 (bvneg (_ bv4100 32)))))) (and ?v_61 (and ?v_49 ?v_62)))) (not (and (not (and ?v_59 (not (bvsle ?v_60 (bvneg (_ bv4500 32)))))) (and ?v_61 (and bool.b7 ?v_62))))) (not (and (not (and ?v_59 (not (bvsle ?v_60 (bvneg (_ bv4910 32)))))) (and ?v_61 (and ?v_49 (and ?v_63 bool.b6)))))))))))) (bvslt ?lambda (_ bv0 32))) (not (and (not bool.b22) (and (not (and bool.b5 (not (and (not bool.b6) ?v_49)))) (not (and (not bool.b5) (not (and (not (and (not bool.b23) (not (and bool.b6 (and ?v_28 (and (not (and (not ?v_26) (not (and (not (and (not ?v_22) (not (and (not (and ?v_29 (not (and (bvsle ?v_5 (_ bv570 32)) (and (not (and (not ?v_19) ?v_25)) (not (and ?v_19 ?v_20))))))) (not (and ?v_21 ?v_20)))))) (not (and ?v_22 ?v_27)))))) (not (and ?v_26 ?v_27)))))))) (not (and bool.b23 (not (and bool.b6 (and ?v_28 (and (not (and ?v_29 ?v_41)) (not (and ?v_21 (not (and (not (and ?v_24 ?v_41)) (not (and ?v_42 (not (and (not (and (not ?v_30) ?v_20)) (not (and ?v_30 (not (and (not (and (not ?v_51) (not (and (not (and ?v_31 ?v_20)) (not (and ?v_14 (not (and (not (and ?v_15 (not (and (not (and (not ?v_16) ?v_20)) (not (and ?v_16 (not (and (not (and ?v_37 ?v_20)) (not (and ?v_43 (and (not (and ?v_44 (not (and ?v_45 ?v_46)))) (not (and ?v_36 (not ?v_53)))))))))))))) (not (and ?v_9 (not (and (not (and ?v_48 ?v_20)) (not (and ?v_39 (not (and (not (and ?v_44 (not (and (not (and ?v_49 ?v_47)) ?v_50)))) (not (and ?v_36 (not (and ?v_54 (not (and ?v_49 ?v_17)))))))))))))))))))))) (not (and ?v_51 (not (and (not (and (not ?v_56) (not (and (not (and (not ?v_55) (not (and (not (and ?v_17 ?v_53)) ?v_54)))) (not (and ?v_55 ?v_20)))))) (not (and ?v_56 (not (and (not (and ?v_49 (not ?v_57))) (not (and ?v_57 ?v_20)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
