(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun lambda () (_ BitVec 32))
(declare-fun lambdaprime () (_ BitVec 32))
(declare-fun x5 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(declare-fun x4 () (_ BitVec 32))
(declare-fun bool.b22 () Bool)
(declare-fun bool.b7 () Bool)
(declare-fun bool.b5 () Bool)
(declare-fun bool.b6 () Bool)
(declare-fun bool.b23 () Bool)
(declare-fun bool.b14 () Bool)
(declare-fun bool.b12 () Bool)
(declare-fun bool.b10 () Bool)
(declare-fun bool.b8 () Bool)
(assert (forall ((?lambda (_ BitVec 32))) (let ((?v_32 (not bool.b7)) (?v_0 (bvmul (_ bv1 32) ?lambda))) (let ((?v_10 (bvadd x3 ?v_0))) (let ((?v_1 (bvmul (_ bv1 32) ?v_10)) (?v_2 (bvadd x4 (bvmul (_ bv60 32) ?lambda))) (?v_3 (bvadd x5 ?v_0)) (?v_11 (and (not bool.b14) (and (not bool.b12) (and (not bool.b10) (and bool.b7 (not bool.b8))))))) (let ((?v_16 (bvsle ?v_1 (_ bv40 32)))) (let ((?v_38 (not ?v_16)) (?v_22 (not ?v_11)) (?v_36 (bvadd ?v_1 (bvmul (_ bv3 32) ?v_3)))) (let ((?v_35 (bvsle ?v_36 (_ bv50 32))) (?v_37 (bvsle ?v_36 (_ bv30 32))) (?v_44 (bvsle ?v_36 (_ bv60 32))) (?v_14 (bvadd ?v_1 (bvmul (bvsdiv (_ bv3 32) (_ bv20 32)) ?v_2)))) (let ((?v_4 (bvadd ?v_14 (bvmul (bvneg (_ bv10 32)) ?v_3)))) (let ((?v_25 (bvsle ?v_4 (_ bv623 32)))) (let ((?v_29 (not ?v_25)) (?v_9 (bvadd ?v_1 (bvmul (bvsdiv (_ bv3 32) (_ bv40 32)) ?v_2)))) (let ((?v_6 (bvadd ?v_9 (bvmul (bvsdiv (bvneg (_ bv11 32)) (_ bv2 32)) ?v_3)))) (let ((?v_24 (bvsle ?v_6 (bvsdiv (_ bv633 32) (_ bv2 32))))) (let ((?v_26 (not ?v_24)) (?v_8 (bvmul (bvneg (_ bv1 32)) ?v_3))) (let ((?v_7 (bvadd ?v_1 ?v_8))) (let ((?v_5 (bvsle ?v_7 (_ bv10 32))) (?v_31 (bvsle ?v_4 (_ bv1100 32)))) (let ((?v_23 (and ?v_5 (not (and ?v_31 ?v_11)))) (?v_34 (not ?v_5)) (?v_21 (bvsle ?v_7 (_ bv20 32))) (?v_30 (bvsle ?v_8 (bvneg (_ bv10 32)))) (?v_12 (bvsle ?v_9 (bvsdiv (_ bv743 32) (_ bv2 32))))) (let ((?v_17 (not ?v_12)) (?v_15 (bvadd ?v_1 (bvmul (bvsdiv (_ bv1 32) (_ bv20 32)) ?v_2))) (?v_18 (bvsle ?v_9 (_ bv610 32))) (?v_40 (bvmul (bvneg (_ bv1 32)) ?v_10))) (let ((?v_13 (bvsle ?v_40 (bvneg (_ bv50 32)))) (?v_41 (bvsle ?v_14 (_ bv723 32)))) (let ((?v_19 (not ?v_41)) (?v_20 (bvsle ?v_14 (_ bv1200 32)))) (let ((?v_39 (and ?v_20 ?v_11))) (let ((?v_28 (not (and ?v_30 (and (not (and ?v_38 (not (and (bvsle ?v_1 (_ bv50 32)) (and (not (and ?v_17 (not (and (bvsle ?v_15 (_ bv420 32)) (and ?v_18 (and ?v_13 ?v_11)))))) (not (and ?v_12 (not (and (not (and (not ?v_13) (not (and ?v_19 ?v_11)))) (not (and ?v_13 (not (and (not (bvsle ?v_15 (_ bv261 32))) ?v_11))))))))))))) (not (and ?v_16 (not (and (not (and ?v_17 (not (and ?v_18 ?v_39)))) (not (and ?v_12 (not (and ?v_19 (and (not (and ?v_20 ?v_22)) (not (and (not ?v_20) (not ?v_35))))))))))))))))) (let ((?v_27 (and ?v_34 (not (and (bvsle ?v_6 (_ bv555 32)) (and (not (and (not ?v_21) ?v_28)) (not (and ?v_21 ?v_22))))))) (?v_33 (bvsle (bvadd ?v_1 (bvmul (bvsdiv (bvneg (_ bv1 32)) (_ bv2 32)) ?v_3)) (bvneg (_ bv5 32)))) (?v_42 (and ?v_19 (and ?v_20 (not (and (not (and (not ?v_37) ?v_11)) (not (and bool.b7 ?v_37))))))) (?v_43 (bvsle (bvadd ?v_40 (bvmul (bvneg (_ bv3 32)) ?v_3)) (bvneg (_ bv50 32))))) (let ((?v_45 (not (and ?v_30 (and (not (and ?v_12 (not (and ?v_35 ?v_42)))) (not (and ?v_17 (not (and ?v_18 (and (not (and ?v_38 (not (and ?v_44 ?v_39)))) (not (and ?v_16 (not (and (not (and (not ?v_43) (and (not (and bool.b7 ?v_41)) (not ?v_42)))) (not (and ?v_43 (not (and ?v_44 ?v_11)))))))))))))))))) (or (or (exists ((?lambdaprime (_ BitVec 32))) (let ((?v_46 (bvmul (_ bv1 32) ?lambdaprime)) (?v_49 (not bool.b22)) (?v_51 (not bool.b5))) (let ((?v_50 (and ?v_51 (not bool.b6))) (?v_47 (not (bvsle (bvmul (bvneg (_ bv1 32)) (bvadd x3 ?v_46)) (bvneg (_ bv20 32))))) (?v_48 (bvmul (bvneg (_ bv1 32)) (bvadd x4 (bvmul (_ bv60 32) ?lambdaprime))))) (and (and (bvsle (_ bv0 32) ?lambdaprime) (bvsle ?lambdaprime ?lambda)) (not (and (not (bvsle (bvmul (bvneg (_ bv1 32)) (bvadd x5 ?v_46)) (bvneg (_ bv10 32)))) (and (and (not (and (not (and ?v_47 (not (bvsle ?v_48 (bvneg (_ bv4100 32)))))) (and ?v_49 (and ?v_32 ?v_50)))) (not (and (not (and ?v_47 (not (bvsle ?v_48 (bvneg (_ bv4500 32)))))) (and ?v_49 (and bool.b7 ?v_50))))) (not (and (not (and ?v_47 (not (bvsle ?v_48 (bvneg (_ bv4910 32)))))) (and ?v_49 (and ?v_32 (and ?v_51 bool.b6)))))))))))) (bvslt ?lambda (_ bv0 32))) (not (and (not bool.b22) (and (not (and bool.b5 (not (and (not bool.b6) ?v_32)))) (not (and (not bool.b5) (not (and (not (and (not bool.b23) (not (and bool.b6 (and (not (and ?v_29 (not (and (not (and ?v_26 (not (and (not ?v_23) (not ?v_27))))) (not (and ?v_23 ?v_24)))))) (not (and ?v_25 (not (and (not (and ?v_26 ?v_27)) (not (and ?v_24 ?v_28))))))))))) (not (and bool.b23 (not (and bool.b6 (and (not (and ?v_29 (and (not (and (not (bvsle (bvadd ?v_1 (bvmul (bvsdiv (_ bv1 32) (_ bv5 32)) ?v_3)) (_ bv22 32))) (and (not (bvsle (bvadd ?v_9 (bvmul (bvsdiv (bvneg (_ bv14 32)) (_ bv5 32)) ?v_3)) (bvsdiv (_ bv687 32) (_ bv2 32)))) (and (bvsle (bvadd ?v_9 (bvmul (bvneg (_ bv4 32)) ?v_3)) (_ bv570 32)) (and ?v_21 (and ?v_30 ?v_11)))))) (not (and ?v_5 (and ?v_31 (not (not (and (not (and (not ?v_33) ?v_22)) (not (and ?v_32 ?v_33))))))))))) (not (and ?v_25 (not (and (not (and ?v_26 (and ?v_34 ?v_45))) (not (and ?v_24 ?v_45)))))))))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
