(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun lambda () (_ BitVec 32))
(declare-fun lambdaprime () (_ BitVec 32))
(declare-fun x5 () (_ BitVec 32))
(declare-fun x4 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(declare-fun bool.b22 () Bool)
(declare-fun bool.b7 () Bool)
(declare-fun bool.b5 () Bool)
(declare-fun bool.b6 () Bool)
(declare-fun bool.b23 () Bool)
(declare-fun bool.b14 () Bool)
(declare-fun bool.b12 () Bool)
(declare-fun bool.b10 () Bool)
(declare-fun bool.b8 () Bool)
(assert (forall ((?lambda (_ BitVec 32))) (let ((?v_60 (not bool.b7)) (?v_1 (bvadd x5 (bvmul (_ bv1 32) ?lambda))) (?v_5 (bvadd x4 (bvmul (_ bv40 32) ?lambda))) (?v_48 (not bool.b14)) (?v_49 (not bool.b12)) (?v_51 (not bool.b10)) (?v_50 (not bool.b8))) (let ((?v_9 (and ?v_48 (and ?v_49 (and ?v_51 (and bool.b7 ?v_50)))))) (let ((?v_18 (not ?v_9)) (?v_68 (bvsle (bvmul (_ bv1 32) ?v_5) (_ bv4820 32))) (?v_6 (bvadd x3 (bvmul (bvsdiv (_ bv1 32) (_ bv2 32)) ?lambda)))) (let ((?v_0 (bvmul (_ bv1 32) ?v_6))) (let ((?v_3 (bvadd ?v_0 (bvmul (bvsdiv (bvneg (_ bv1 32)) (_ bv2 32)) ?v_1)))) (let ((?v_23 (bvsle ?v_3 (_ bv15 32)))) (let ((?v_30 (not ?v_23)) (?v_4 (bvadd ?v_0 (bvmul (bvsdiv (_ bv3 32) (_ bv40 32)) ?v_5)))) (let ((?v_2 (bvadd ?v_4 (bvmul (bvsdiv (bvneg (_ bv7 32)) (_ bv2 32)) ?v_1)))) (let ((?v_19 (bvsle ?v_2 (bvsdiv (_ bv673 32) (_ bv2 32))))) (let ((?v_24 (not ?v_19)) (?v_42 (bvsle ?v_2 (_ bv575 32))) (?v_17 (bvsle ?v_3 (_ bv25 32)))) (let ((?v_26 (not ?v_17)) (?v_31 (bvsle (bvmul (bvneg (_ bv1 32)) ?v_1) (bvneg (_ bv10 32)))) (?v_11 (bvsle ?v_0 (_ bv40 32)))) (let ((?v_35 (not ?v_11)) (?v_7 (bvsle ?v_4 (bvsdiv (_ bv743 32) (_ bv2 32))))) (let ((?v_12 (not ?v_7)) (?v_10 (bvadd ?v_0 (bvmul (bvsdiv (_ bv1 32) (_ bv20 32)) ?v_5))) (?v_13 (bvsle ?v_4 (_ bv610 32))) (?v_37 (bvmul (bvneg (_ bv1 32)) ?v_6))) (let ((?v_8 (bvsle ?v_37 (bvneg (_ bv50 32)))) (?v_14 (bvadd ?v_0 (bvmul (bvsdiv (_ bv3 32) (_ bv20 32)) ?v_5)))) (let ((?v_38 (bvsle ?v_14 (_ bv723 32)))) (let ((?v_15 (not ?v_38))) (let ((?v_57 (not (and ?v_15 ?v_9))) (?v_16 (bvsle ?v_14 (_ bv1200 32)))) (let ((?v_36 (and ?v_16 ?v_9)) (?v_61 (not (and ?v_16 ?v_18))) (?v_58 (not ?v_16)) (?v_33 (bvadd ?v_0 (bvmul (_ bv3 32) ?v_1)))) (let ((?v_32 (bvsle ?v_33 (_ bv50 32)))) (let ((?v_59 (not ?v_32))) (let ((?v_22 (not (and ?v_31 (and (not (and ?v_35 (not (and (bvsle ?v_0 (_ bv50 32)) (and (not (and ?v_12 (not (and (bvsle ?v_10 (_ bv420 32)) (and ?v_13 (and ?v_8 ?v_9)))))) (not (and ?v_7 (not (and (not (and (not ?v_8) ?v_57)) (not (and ?v_8 (not (and (not (bvsle ?v_10 (_ bv261 32))) ?v_9))))))))))))) (not (and ?v_11 (not (and (not (and ?v_12 (not (and ?v_13 ?v_36)))) (not (and ?v_7 (not (and ?v_15 (and ?v_61 (not (and ?v_58 ?v_59))))))))))))))) (?v_20 (bvadd ?v_14 (bvmul (bvsdiv (bvneg (_ bv13 32)) (_ bv2 32)) ?v_1)))) (let ((?v_21 (bvsle ?v_20 (_ bv658 32)))) (let ((?v_28 (not ?v_21)) (?v_25 (bvsle ?v_20 (_ bv1135 32)))) (let ((?v_43 (not ?v_25)) (?v_27 (not (and (not (and ?v_26 ?v_18)) (not (and ?v_17 ?v_22)))))) (let ((?v_53 (not (and ?v_43 ?v_27)))) (let ((?v_29 (not (and ?v_53 (not (and ?v_25 ?v_18))))) (?v_70 (not (and ?v_21 ?v_27))) (?v_34 (bvsle ?v_33 (_ bv30 32)))) (let ((?v_55 (not ?v_34))) (let ((?v_39 (and ?v_15 (and ?v_16 (not (and (not (and ?v_55 ?v_9)) (not (and bool.b7 ?v_34))))))) (?v_41 (bvsle ?v_33 (_ bv60 32))) (?v_63 (bvadd ?v_37 (bvmul (bvneg (_ bv3 32)) ?v_1)))) (let ((?v_40 (bvsle ?v_63 (bvneg (_ bv50 32))))) (let ((?v_54 (not ?v_40)) (?v_56 (not (and bool.b7 ?v_38)))) (let ((?v_45 (and ?v_31 (and (not (and ?v_7 (not (and ?v_32 ?v_39)))) (not (and ?v_12 (not (and ?v_13 (and (not (and ?v_35 (not (and ?v_41 ?v_36)))) (not (and ?v_11 (not (and (not (and ?v_54 (and ?v_56 (not ?v_39)))) (not (and ?v_40 (not (and ?v_41 ?v_9)))))))))))))))) (?v_44 (bvsle ?v_3 (bvneg (_ bv5 32))))) (let ((?v_52 (not ?v_44)) (?v_47 (not (and bool.b7 ?v_26)))) (let ((?v_46 (not (and ?v_43 (not (and (and (not (and bool.b7 ?v_44)) (not (and ?v_52 ?v_45))) ?v_47)))))) (let ((?v_69 (not (and ?v_28 (and (not (and (not ?v_42) (not (and ?v_46 (not (and bool.b7 ?v_25)))))) (not (and ?v_42 (not (and ?v_46 (not (and ?v_25 (not (and ?v_47 (not (and ?v_17 (not (not (and bool.b7 (not (and (not (and ?v_48 (and ?v_49 (and ?v_50 ?v_51)))) ?v_52))))))))))))))))))) (?v_62 (bvsle ?v_0 (_ bv20 32))) (?v_64 (and (not (and bool.b7 ?v_16)) (not (and ?v_58 ?v_9)))) (?v_65 (not (and ?v_38 ?v_18))) (?v_67 (bvsle ?v_0 (_ bv0 32))) (?v_66 (bvsle ?v_63 (bvneg (_ bv30 32))))) (or (or (exists ((?lambdaprime (_ BitVec 32))) (let ((?v_73 (not bool.b22)) (?v_75 (not bool.b5))) (let ((?v_74 (and ?v_75 (not bool.b6))) (?v_72 (bvmul (bvneg (_ bv1 32)) (bvadd x4 (bvmul (_ bv40 32) ?lambdaprime)))) (?v_71 (not (bvsle (bvmul (bvneg (_ bv1 32)) (bvadd x3 (bvmul (bvsdiv (_ bv1 32) (_ bv2 32)) ?lambdaprime))) (bvneg (_ bv30 32)))))) (and (and (bvsle (_ bv0 32) ?lambdaprime) (bvsle ?lambdaprime ?lambda)) (not (and (not (bvsle (bvmul (bvneg (_ bv1 32)) (bvadd x5 (bvmul (_ bv1 32) ?lambdaprime))) (bvneg (_ bv10 32)))) (and (and (not (and (not (and (not (bvsle ?v_72 (bvneg (_ bv4100 32)))) ?v_71)) (and ?v_73 (and ?v_60 ?v_74)))) (not (and (not (and ?v_71 (not (bvsle ?v_72 (bvneg (_ bv4500 32)))))) (and ?v_73 (and bool.b7 ?v_74))))) (not (and (not (and ?v_71 (not (bvsle ?v_72 (bvneg (_ bv4910 32)))))) (and ?v_73 (and ?v_60 (and ?v_75 bool.b6)))))))))))) (bvslt ?lambda (_ bv0 32))) (not (and (not bool.b22) (and (not (and bool.b5 (not (and (not bool.b6) ?v_60)))) (not (and (not bool.b5) (not (and (not (and (not bool.b23) (not (and bool.b6 (and (not (and ?v_30 (not (and (not (and ?v_24 (not (and ?v_42 (and (not (and ?v_26 ?v_22)) (not (and ?v_17 ?v_18))))))) (not (and ?v_19 (not (and (not (and ?v_28 (not (and ?v_25 ?v_9)))) (not (and ?v_21 ?v_22)))))))))) (not (and ?v_23 (not (and (not (and ?v_24 ?v_29)) (not (and ?v_19 (not (and ?v_70 (not (and ?v_28 ?v_29))))))))))))))) (not (and bool.b23 (not (and bool.b6 (and (not (and ?v_30 (not ?v_45))) (not (and ?v_23 (not (and (not (and ?v_24 (not (and ?v_69 (not (and ?v_21 (not (and ?v_53 (not (and ?v_25 (not (and (not (and (not ?v_31) ?v_18)) (not (and ?v_31 (not (and (not (and (not ?v_62) (not (and (not (and ?v_35 ?v_18)) (not (and ?v_11 (not (and (not (and ?v_12 (not (and (not (and (not ?v_13) ?v_18)) (not (and ?v_13 (not (and (not (and ?v_40 ?v_18)) (not (and ?v_54 (and (not (and ?v_55 (not (and ?v_56 ?v_57)))) (not (and ?v_34 (not ?v_64)))))))))))))) (not (and ?v_7 (not (and (not (and ?v_59 ?v_18)) (not (and ?v_32 (not (and (not (and ?v_55 (not (and (not (and ?v_60 ?v_58)) ?v_61)))) (not (and ?v_34 (not (and ?v_65 (not (and ?v_60 ?v_15)))))))))))))))))))))) (not (and ?v_62 (not (and (not (and (not ?v_67) (not (and (not (and (not ?v_66) (not (and (not (and ?v_15 ?v_64)) ?v_65)))) (not (and ?v_66 ?v_18)))))) (not (and ?v_67 (not (and (not (and ?v_60 (not ?v_68))) (not (and ?v_68 ?v_18)))))))))))))))))))))))))) (not (and ?v_19 (not (and ?v_69 ?v_70)))))))))))))))))))))))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
