(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun lambda () (_ BitVec 32))
(declare-fun lambdaprime () (_ BitVec 32))
(declare-fun x5 () (_ BitVec 32))
(declare-fun x4 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(declare-fun bool.b22 () Bool)
(declare-fun bool.b7 () Bool)
(declare-fun bool.b5 () Bool)
(declare-fun bool.b6 () Bool)
(declare-fun bool.b23 () Bool)
(declare-fun bool.b14 () Bool)
(declare-fun bool.b12 () Bool)
(declare-fun bool.b10 () Bool)
(declare-fun bool.b8 () Bool)
(assert (forall ((?lambda (_ BitVec 32))) (let ((?v_1 (bvadd x5 (bvmul (_ bv1 32) ?lambda))) (?v_4 (bvadd x4 (bvmul (_ bv60 32) ?lambda))) (?v_17 (not bool.b14)) (?v_18 (not bool.b12)) (?v_20 (not bool.b10)) (?v_19 (not bool.b8))) (let ((?v_8 (and ?v_17 (and ?v_18 (and ?v_20 (and bool.b7 ?v_19)))))) (let ((?v_28 (not ?v_8)) (?v_44 (and ?v_17 (and ?v_18 (and ?v_19 ?v_20)))) (?v_5 (bvadd x3 (bvmul (bvsdiv (_ bv1 32) (_ bv2 32)) ?lambda)))) (let ((?v_0 (bvmul (_ bv1 32) ?v_5))) (let ((?v_2 (bvadd ?v_0 (bvmul (bvsdiv (bvneg (_ bv1 32)) (_ bv2 32)) ?v_1)))) (let ((?v_24 (bvsle ?v_2 (_ bv15 32)))) (let ((?v_30 (not ?v_24)) (?v_3 (bvadd ?v_0 (bvmul (bvsdiv (_ bv3 32) (_ bv40 32)) ?v_4)))) (let ((?v_21 (bvadd ?v_3 (bvmul (bvneg (_ bv5 32)) ?v_1)))) (let ((?v_22 (bvsle ?v_21 (bvsdiv (_ bv643 32) (_ bv2 32))))) (let ((?v_25 (not ?v_22)) (?v_16 (bvsle ?v_2 (_ bv25 32))) (?v_31 (bvsle (bvmul (bvneg (_ bv1 32)) ?v_1) (bvneg (_ bv10 32)))) (?v_10 (bvsle ?v_0 (_ bv40 32)))) (let ((?v_35 (not ?v_10)) (?v_6 (bvsle ?v_3 (bvsdiv (_ bv743 32) (_ bv2 32))))) (let ((?v_11 (not ?v_6)) (?v_9 (bvadd ?v_0 (bvmul (bvsdiv (_ bv1 32) (_ bv20 32)) ?v_4))) (?v_12 (bvsle ?v_3 (_ bv610 32))) (?v_37 (bvmul (bvneg (_ bv1 32)) ?v_5))) (let ((?v_7 (bvsle ?v_37 (bvneg (_ bv50 32)))) (?v_13 (bvadd ?v_0 (bvmul (bvsdiv (_ bv3 32) (_ bv20 32)) ?v_4)))) (let ((?v_38 (bvsle ?v_13 (_ bv723 32)))) (let ((?v_14 (not ?v_38)) (?v_15 (bvsle ?v_13 (_ bv1200 32)))) (let ((?v_36 (and ?v_15 ?v_8)) (?v_33 (bvadd ?v_0 (bvmul (_ bv3 32) ?v_1)))) (let ((?v_32 (bvsle ?v_33 (_ bv50 32)))) (let ((?v_23 (not (and ?v_31 (and (not (and ?v_35 (not (and (bvsle ?v_0 (_ bv50 32)) (and (not (and ?v_11 (not (and (bvsle ?v_9 (_ bv420 32)) (and ?v_12 (and ?v_7 ?v_8)))))) (not (and ?v_6 (not (and (not (and (not ?v_7) (not (and ?v_14 ?v_8)))) (not (and ?v_7 (not (and (not (bvsle ?v_9 (_ bv261 32))) ?v_8))))))))))))) (not (and ?v_10 (not (and (not (and ?v_11 (not (and ?v_12 ?v_36)))) (not (and ?v_6 (not (and ?v_14 (and (not (and ?v_15 ?v_28)) (not (and (not ?v_15) (not ?v_32))))))))))))))))) (let ((?v_27 (and (not (and (not ?v_16) ?v_23)) (not (and ?v_16 (not (and bool.b7 (and ?v_44 (bvsle ?v_21 (_ bv560 32))))))))) (?v_26 (bvadd ?v_13 (bvmul (bvsdiv (bvneg (_ bv19 32)) (_ bv2 32)) ?v_1)))) (let ((?v_29 (bvsle ?v_26 (_ bv628 32)))) (let ((?v_42 (not ?v_29)) (?v_43 (bvsle ?v_26 (_ bv1105 32))) (?v_34 (bvsle ?v_33 (_ bv30 32)))) (let ((?v_39 (and ?v_14 (and ?v_15 (not (and (not (and (not ?v_34) ?v_8)) (not (and bool.b7 ?v_34))))))) (?v_41 (bvsle ?v_33 (_ bv60 32))) (?v_40 (bvsle (bvadd ?v_37 (bvmul (bvneg (_ bv3 32)) ?v_1)) (bvneg (_ bv50 32))))) (let ((?v_45 (not (and ?v_31 (and (not (and ?v_6 (not (and ?v_32 ?v_39)))) (not (and ?v_11 (not (and ?v_12 (and (not (and ?v_35 (not (and ?v_41 ?v_36)))) (not (and ?v_10 (not (and (not (and (not ?v_40) (and (not (and bool.b7 ?v_38)) (not ?v_39)))) (not (and ?v_40 (not (and ?v_41 ?v_8)))))))))))))))))) (or (or (exists ((?lambdaprime (_ BitVec 32))) (let ((?v_48 (not bool.b22)) (?v_50 (not bool.b7)) (?v_51 (not bool.b5))) (let ((?v_49 (and ?v_51 (not bool.b6))) (?v_47 (bvmul (bvneg (_ bv1 32)) (bvadd x4 (bvmul (_ bv60 32) ?lambdaprime)))) (?v_46 (not (bvsle (bvmul (bvneg (_ bv1 32)) (bvadd x3 (bvmul (bvsdiv (_ bv1 32) (_ bv2 32)) ?lambdaprime))) (bvneg (_ bv30 32)))))) (and (and (bvsle (_ bv0 32) ?lambdaprime) (bvsle ?lambdaprime ?lambda)) (not (and (not (bvsle (bvmul (bvneg (_ bv1 32)) (bvadd x5 (bvmul (_ bv1 32) ?lambdaprime))) (bvneg (_ bv10 32)))) (and (and (not (and (not (and (not (bvsle ?v_47 (bvneg (_ bv4100 32)))) ?v_46)) (and ?v_48 (and ?v_50 ?v_49)))) (not (and (not (and ?v_46 (not (bvsle ?v_47 (bvneg (_ bv4500 32)))))) (and ?v_48 (and bool.b7 ?v_49))))) (not (and (not (and ?v_46 (not (bvsle ?v_47 (bvneg (_ bv4910 32)))))) (and ?v_48 (and ?v_50 (and ?v_51 bool.b6)))))))))))) (bvslt ?lambda (_ bv0 32))) (not (and (not bool.b22) (and (not (and bool.b5 (not (and (not bool.b6) (not bool.b7))))) (not (and (not bool.b5) (not (and (not (and (not bool.b23) (not (and bool.b6 (and (not (and ?v_30 (not (and (not (and ?v_25 (not ?v_27))) (not (and ?v_22 ?v_23)))))) (not (and ?v_24 (not (and (not (and ?v_42 (not (and (not (and ?v_25 (not (and ?v_43 ?v_27)))) (not (and ?v_28 ?v_22)))))) (not (and ?v_29 ?v_23))))))))))) (not (and bool.b23 (not (and bool.b6 (and (not (and ?v_30 ?v_45)) (not (and ?v_24 (not (and (not (and ?v_42 (not (and ?v_43 (not (not (and bool.b7 (not (and (not ?v_44) (not (bvsle ?v_2 (bvneg (_ bv5 32))))))))))))) (not (and ?v_29 ?v_45))))))))))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
