(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: ETCS-essentials-live-range2.proof, node 1388 For more info see: @see "Andre Platzer and Jan-David Quesel. European Train Control System: A case study in formal verification. In Karin Breitman and Ana Cavalcanti, editors, 11th International Conference on Formal Engineering Methods, ICFEM, Rio de Janeiro, Brasil, Proceedings, volume 5885 of LNCS, pages 246-265. Springer, 2009."
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun zuscore1dollarskuscore2 () (_ BitVec 32))
(declare-fun b () (_ BitVec 32))
(declare-fun Muscore0uscore0dollarmvuscore0 () (_ BitVec 32))
(declare-fun A () (_ BitVec 32))
(declare-fun puscore0dollarskuscore4 () (_ BitVec 32))
(declare-fun ep () (_ BitVec 32))
(declare-fun uscorenuscore0dollarskuscore2 () (_ BitVec 32))
(declare-fun vuscore1dollarskuscore2 () (_ BitVec 32))
(declare-fun vo () (_ BitVec 32))
(assert (not (exists ((Muscore0uscore0dollarmvuscore0 (_ BitVec 32))) (=> (and (and (and (and (and (and (bvsgt uscorenuscore0dollarskuscore2 (_ bv0 32)) (bvsge (bvadd zuscore1dollarskuscore2 (bvmul (bvmul uscorenuscore0dollarskuscore2 ep) vo)) puscore0dollarskuscore4)) (= vuscore1dollarskuscore2 vo)) (bvsgt vo (_ bv0 32))) (bvsgt ep (_ bv0 32))) (bvsgt b (_ bv0 32))) (bvsge A (_ bv0 32))) (or (bvsge (bvsub Muscore0uscore0dollarmvuscore0 zuscore1dollarskuscore2) (bvadd (bvsdiv (bvmul vuscore1dollarskuscore2 vuscore1dollarskuscore2) (bvmul (_ bv2 32) b)) (bvmul (bvadd (bvsdiv A b) (_ bv1 32)) (bvadd (bvmul (bvsdiv A (_ bv2 32)) (bvmul ep ep)) (bvmul ep vuscore1dollarskuscore2))))) (bvsge (bvadd (bvmul (bvsdiv (_ bv1 32) (_ bv2 32)) (bvmul (_ bv2 32) zuscore1dollarskuscore2)) (bvmul (bvmul (bvsub uscorenuscore0dollarskuscore2 (_ bv1 32)) ep) vo)) puscore0dollarskuscore4))))))
(check-sat)
(exit)
