(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: ETCS-essentials-live2.proof, node 1001 For more info see: @see "Andre Platzer and Jan-David Quesel. European Train Control System: A case study in formal verification. In Karin Breitman and Ana Cavalcanti, editors, 11th International Conference on Formal Engineering Methods, ICFEM, Rio de Janeiro, Brasil, Proceedings, volume 5885 of LNCS, pages 246-265. Springer, 2009."
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun t0uscore0 () (_ BitVec 32))
(declare-fun zuscore1dollarskuscore0 () (_ BitVec 32))
(declare-fun ts0uscore0 () (_ BitVec 32))
(declare-fun b () (_ BitVec 32))
(declare-fun A () (_ BitVec 32))
(declare-fun puscore0dollarskuscore2 () (_ BitVec 32))
(declare-fun ep () (_ BitVec 32))
(declare-fun uscorenuscore0dollarskuscore0 () (_ BitVec 32))
(declare-fun vuscore1dollarskuscore0 () (_ BitVec 32))
(declare-fun vo () (_ BitVec 32))
(assert (not (exists ((t0uscore0 (_ BitVec 32))) (forall ((ts0uscore0 (_ BitVec 32))) (=> (and (and (and (and (and (and (bvsgt uscorenuscore0dollarskuscore0 (_ bv0 32)) (bvsge (bvadd zuscore1dollarskuscore0 (bvmul (bvmul uscorenuscore0dollarskuscore0 ep) vo)) puscore0dollarskuscore2)) (bvsge vuscore1dollarskuscore0 vo)) (bvsgt vo (_ bv0 32))) (bvsgt ep (_ bv0 32))) (bvsgt b (_ bv0 32))) (bvsge A (_ bv0 32))) (and (and (and (bvsge t0uscore0 (_ bv0 32)) (=> (and (bvsle (_ bv0 32) ts0uscore0) (bvsle ts0uscore0 t0uscore0)) (bvsle ts0uscore0 ep))) (bvsge (bvadd (bvmul (bvsdiv (_ bv1 32) (_ bv2 32)) (bvadd (bvadd (bvmul A (bvmul t0uscore0 t0uscore0)) (bvmul (bvmul (_ bv2 32) t0uscore0) vuscore1dollarskuscore0)) (bvmul (_ bv2 32) zuscore1dollarskuscore0))) (bvmul (bvmul (bvsub uscorenuscore0dollarskuscore0 (_ bv1 32)) ep) vo)) puscore0dollarskuscore2)) (bvsge (bvadd (bvmul A t0uscore0) vuscore1dollarskuscore0) vo)))))))
(check-sat)
(exit)
