(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: ETCS-essentials-live2.proof, node 640 For more info see: @see "Andre Platzer and Jan-David Quesel. European Train Control System: A case study in formal verification. In Karin Breitman and Ana Cavalcanti, editors, 11th International Conference on Formal Engineering Methods, ICFEM, Rio de Janeiro, Brasil, Proceedings, volume 5885 of LNCS, pages 246-265. Springer, 2009."
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun b () (_ BitVec 32))
(declare-fun dollarnuscore0 () (_ BitVec 32))
(declare-fun A () (_ BitVec 32))
(declare-fun puscore0dollarskuscore0 () (_ BitVec 32))
(declare-fun zo () (_ BitVec 32))
(declare-fun ep () (_ BitVec 32))
(declare-fun vo () (_ BitVec 32))
(assert (not (exists ((dollarnuscore0 (_ BitVec 32))) (=> (and (and (and (bvsgt vo (_ bv0 32)) (bvsgt ep (_ bv0 32))) (bvsgt b (_ bv0 32))) (bvsge A (_ bv0 32))) (and (bvsge (bvadd zo (bvmul (bvmul dollarnuscore0 ep) vo)) puscore0dollarskuscore0) (bvsge vo vo))))))
(check-sat)
(exit)
