(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: Ecoli-chemotaxis, node 8284 For more info see: @see http://resources.aims.ac.za/archive/2010/fortunat.pdf
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun moduscore2dollarskuscore2 () (_ BitVec 32))
(declare-fun tuscore2dollarskuscore2 () (_ BitVec 32))
(declare-fun ts3uscore0 () (_ BitVec 32))
(declare-fun cmax () (_ BitVec 32))
(declare-fun k () (_ BitVec 32))
(declare-fun tcuscore2dollarskuscore2 () (_ BitVec 32))
(declare-fun v () (_ BitVec 32))
(declare-fun u () (_ BitVec 32))
(declare-fun t () (_ BitVec 32))
(declare-fun s () (_ BitVec 32))
(declare-fun tc () (_ BitVec 32))
(declare-fun moduscorereplaceuscorement () (_ BitVec 32))
(declare-fun y () (_ BitVec 32))
(declare-fun t3uscore0dollarskuscore0 () (_ BitVec 32))
(declare-fun x () (_ BitVec 32))
(assert (not (exists ((ts3uscore0 (_ BitVec 32))) (=> (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (=> (and (bvsle (_ bv0 32) ts3uscore0) (bvsle ts3uscore0 t3uscore0dollarskuscore0)) (and (bvsle (bvadd ts3uscore0 tuscore2dollarskuscore2) (_ bv10 32)) (bvsle (bvadd ts3uscore0 tcuscore2dollarskuscore2) (_ bv1 32)))) (bvsge t3uscore0dollarskuscore0 (_ bv0 32))) (bvslt tuscore2dollarskuscore2 (_ bv10 32))) (= moduscore2dollarskuscore2 (_ bv2 32))) (bvslt tcuscore2dollarskuscore2 (_ bv1 32))) (bvsle tuscore2dollarskuscore2 (_ bv10 32))) (bvsle tcuscore2dollarskuscore2 (_ bv1 32))) (bvsge (_ bv1 32) t)) (bvsge t (_ bv0 32))) (= moduscorereplaceuscorement (_ bv1 32))) (= (bvadd (bvmul u u) (bvmul v v)) (_ bv1 32))) (= tc (_ bv0 32))) (= s (_ bv1 32))) (= cmax (_ bv100 32))) (bvsle (bvneg (_ bv100 32)) x)) (bvsle x (_ bv100 32))) (bvsle (bvneg (_ bv100 32)) y)) (bvsle y (_ bv100 32))) (= k (_ bv1 32))) (bvsle (bvadd t3uscore0dollarskuscore0 tuscore2dollarskuscore2) (_ bv10 32))))))
(check-sat)
(exit)
