(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: FTRM-entry-tang-feasible, node 1796 For more info see: @see "Andre Platzer and Edmund M. Clarke. Formal verification of curved flight collision avoidance maneuvers: A case study. In Ana Cavalcanti and Dennis Dams, editors, 16th International Symposium on Formal Methods, FM, Eindhoven, Netherlands, Proceedings, volume 5850 of LNCS, pages 547-562. Springer, 2009."
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun d1 () (_ BitVec 32))
(declare-fun d2 () (_ BitVec 32))
(declare-fun h2uscore0 () (_ BitVec 32))
(declare-fun r () (_ BitVec 32))
(declare-fun h1uscore0 () (_ BitVec 32))
(declare-fun tuscore0dollarskuscore0 () (_ BitVec 32))
(declare-fun x2 () (_ BitVec 32))
(declare-fun x1 () (_ BitVec 32))
(assert (not (exists ((h1uscore0 (_ BitVec 32))) (exists ((h2uscore0 (_ BitVec 32))) (let ((?v_0 (bvmul r (_ bv1 32))) (?v_1 (bvsub x1 (_ bv0 32))) (?v_2 (bvsub x2 (_ bv0 32))) (?v_3 (bvsub h1uscore0 (_ bv0 32))) (?v_4 (bvsub h2uscore0 (_ bv0 32))) (?v_5 (bvmul (_ bv2 32) r))) (=> (and (and (and (and (= (bvmul ?v_0 ?v_0) (bvadd (bvmul d1 d1) (bvmul d2 d2))) (= (bvadd (bvmul ?v_1 ?v_1) (bvmul ?v_2 ?v_2)) (bvmul (_ bv3 32) (bvmul r r)))) (bvsge tuscore0dollarskuscore0 (_ bv0 32))) (= (bvadd x1 (bvmul tuscore0dollarskuscore0 d1)) (_ bv0 32))) (= (bvadd x2 (bvmul tuscore0dollarskuscore0 d2)) (_ bv0 32))) (and (and (= d1 (bvmul (_ bv1 32) (bvsub x2 h2uscore0))) (= d2 (bvmul (bvneg (_ bv1 32)) (bvsub x1 h1uscore0)))) (= (bvadd (bvmul ?v_3 ?v_3) (bvmul ?v_4 ?v_4)) (bvmul ?v_5 ?v_5)))))))))
(check-sat)
(exit)
