(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: binary_driver-2007-10-09, node 12553 For more info see: No further information available.
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun vdesuscore2dollarskuscore7 () (_ BitVec 32))
(declare-fun d () (_ BitVec 32))
(declare-fun ts6uscore1 () (_ BitVec 32))
(declare-fun b () (_ BitVec 32))
(declare-fun duscore2dollarskuscore8 () (_ BitVec 32))
(declare-fun m () (_ BitVec 32))
(declare-fun vuscore2dollarskuscore8 () (_ BitVec 32))
(declare-fun v () (_ BitVec 32))
(declare-fun t6uscore0dollarskuscore1 () (_ BitVec 32))
(declare-fun zuscore2dollarskuscore8 () (_ BitVec 32))
(declare-fun stateuscore2dollarskuscore5 () (_ BitVec 32))
(declare-fun ep () (_ BitVec 32))
(declare-fun muscore2dollarskuscore8 () (_ BitVec 32))
(declare-fun z () (_ BitVec 32))
(declare-fun amax () (_ BitVec 32))
(assert (not (exists ((ts6uscore1 (_ BitVec 32))) (let ((?v_4 (bvneg b)) (?v_0 (bvadd (bvsdiv amax b) (_ bv1 32))) (?v_2 (bvmul (_ bv2 32) b)) (?v_1 (bvsub (bvmul vuscore2dollarskuscore8 vuscore2dollarskuscore8) (bvmul duscore2dollarskuscore8 duscore2dollarskuscore8))) (?v_3 (bvsub muscore2dollarskuscore8 zuscore2dollarskuscore8))) (=> (and (and (and (and (and (and (and (and (and (and (and (and (and (=> (and (bvsle (_ bv0 32) ts6uscore1) (bvsle ts6uscore1 t6uscore0dollarskuscore1)) (and (bvsge (bvadd (bvmul ?v_4 ts6uscore1) vuscore2dollarskuscore8) (_ bv0 32)) (bvsle ts6uscore1 ep))) (bvsge t6uscore0dollarskuscore1 (_ bv0 32))) (bvsgt ?v_3 (bvadd (bvadd (bvmul (bvmul ?v_0 ep) vuscore2dollarskuscore8) (bvsdiv ?v_1 ?v_2)) (bvsdiv (bvmul (bvmul ?v_0 amax) (bvmul ep ep)) (_ bv2 32))))) (not (= stateuscore2dollarskuscore5 (_ bv1 32)))) (bvsge vuscore2dollarskuscore8 vdesuscore2dollarskuscore7)) (bvsle ?v_1 (bvmul ?v_2 ?v_3))) (bvsge vuscore2dollarskuscore8 (_ bv0 32))) (bvsge duscore2dollarskuscore8 (_ bv0 32))) (bvsle (bvsub (bvmul v v) (bvmul d d)) (bvmul ?v_2 (bvsub m z)))) (bvsge v (_ bv0 32))) (bvsgt ep (_ bv0 32))) (bvsgt b (_ bv0 32))) (bvsgt amax (_ bv0 32))) (bvsge d (_ bv0 32))) (bvsge (bvadd (bvmul ?v_4 t6uscore0dollarskuscore1) vuscore2dollarskuscore8) (_ bv0 32)))))))
(check-sat)
(exit)
