(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: bouncing-ball-inv, node 6249 For more info see: No further information available.
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun v () (_ BitVec 32))
(declare-fun g () (_ BitVec 32))
(declare-fun huscore2dollarskuscore2 () (_ BitVec 32))
(declare-fun tuscore2dollarskuscore2 () (_ BitVec 32))
(declare-fun V () (_ BitVec 32))
(declare-fun c () (_ BitVec 32))
(declare-fun t1uscore0dollarskuscore2 () (_ BitVec 32))
(declare-fun vuscore2dollarskuscore2 () (_ BitVec 32))
(declare-fun h () (_ BitVec 32))
(declare-fun ts1uscore2 () (_ BitVec 32))
(assert (not (exists ((ts1uscore2 (_ BitVec 32))) (let ((?v_0 (bvmul (_ bv2 32) huscore2dollarskuscore2)) (?v_2 (bvsdiv (bvmul (_ bv2 32) V) g)) (?v_1 (bvmul (bvneg (_ bv1 32)) g))) (=> (and (and (and (and (and (and (and (and (and (and (and (and (and (and (bvsgt (bvadd t1uscore0dollarskuscore2 tuscore2dollarskuscore2) (_ bv0 32)) (= (bvmul (bvsdiv (_ bv1 32) (_ bv2 32)) (bvadd (bvadd ?v_0 (bvmul ?v_1 (bvmul t1uscore0dollarskuscore2 t1uscore0dollarskuscore2))) (bvmul (bvmul (_ bv2 32) t1uscore0dollarskuscore2) vuscore2dollarskuscore2))) (_ bv0 32))) (=> (and (bvsle (_ bv0 32) ts1uscore2) (bvsle ts1uscore2 t1uscore0dollarskuscore2)) (bvsge (bvmul (bvsdiv (_ bv1 32) (_ bv2 32)) (bvadd (bvadd ?v_0 (bvmul ?v_1 (bvmul ts1uscore2 ts1uscore2))) (bvmul (bvmul (_ bv2 32) ts1uscore2) vuscore2dollarskuscore2))) (_ bv0 32)))) (bvsge t1uscore0dollarskuscore2 (_ bv0 32))) (= huscore2dollarskuscore2 (bvadd (bvmul (bvsdiv g (_ bv2 32)) (bvmul tuscore2dollarskuscore2 tuscore2dollarskuscore2)) (bvmul vuscore2dollarskuscore2 tuscore2dollarskuscore2)))) (bvsge huscore2dollarskuscore2 (_ bv0 32))) (bvsge tuscore2dollarskuscore2 (_ bv0 32))) (bvsle vuscore2dollarskuscore2 (bvadd (bvmul (bvneg g) tuscore2dollarskuscore2) V))) (bvsle tuscore2dollarskuscore2 ?v_2)) (= h (_ bv0 32))) (= v V)) (bvsgt V (_ bv0 32))) (bvsgt g (_ bv0 32))) (bvsle (_ bv0 32) c)) (bvslt c (_ bv1 32))) (bvsle (_ bv0 32) ?v_2))))))
(check-sat)
(exit)
