(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: bouncing-ball-inv, node 6576 For more info see: No further information available.
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun v () (_ BitVec 32))
(declare-fun g () (_ BitVec 32))
(declare-fun t1uscore0dollarskuscore6 () (_ BitVec 32))
(declare-fun vuscore2dollarskuscore6 () (_ BitVec 32))
(declare-fun V () (_ BitVec 32))
(declare-fun c () (_ BitVec 32))
(declare-fun tuscore2dollarskuscore6 () (_ BitVec 32))
(declare-fun ts1uscore6 () (_ BitVec 32))
(declare-fun h () (_ BitVec 32))
(declare-fun huscore2dollarskuscore6 () (_ BitVec 32))
(assert (not (exists ((ts1uscore6 (_ BitVec 32))) (let ((?v_1 (bvneg g)) (?v_2 (bvadd t1uscore0dollarskuscore6 tuscore2dollarskuscore6)) (?v_0 (bvmul (bvneg (_ bv1 32)) g))) (=> (and (and (and (and (and (and (and (and (and (and (and (and (=> (and (bvsle (_ bv0 32) ts1uscore6) (bvsle ts1uscore6 t1uscore0dollarskuscore6)) (bvsge (bvmul (bvsdiv (_ bv1 32) (_ bv2 32)) (bvadd (bvadd (bvmul (_ bv2 32) huscore2dollarskuscore6) (bvmul ?v_0 (bvmul ts1uscore6 ts1uscore6))) (bvmul (bvmul (_ bv2 32) ts1uscore6) vuscore2dollarskuscore6))) (_ bv0 32))) (bvsge t1uscore0dollarskuscore6 (_ bv0 32))) (= huscore2dollarskuscore6 (bvadd (bvmul (bvsdiv g (_ bv2 32)) (bvmul tuscore2dollarskuscore6 tuscore2dollarskuscore6)) (bvmul vuscore2dollarskuscore6 tuscore2dollarskuscore6)))) (bvsge huscore2dollarskuscore6 (_ bv0 32))) (bvsge tuscore2dollarskuscore6 (_ bv0 32))) (bvsle vuscore2dollarskuscore6 (bvadd (bvmul ?v_1 tuscore2dollarskuscore6) V))) (bvsle tuscore2dollarskuscore6 (bvsdiv (bvmul (_ bv2 32) V) g))) (= h (_ bv0 32))) (= v V)) (bvsgt V (_ bv0 32))) (bvsgt g (_ bv0 32))) (bvsle (_ bv0 32) c)) (bvslt c (_ bv1 32))) (or (bvsgt ?v_2 (_ bv0 32)) (bvsle (bvadd (bvmul ?v_0 t1uscore0dollarskuscore6) vuscore2dollarskuscore6) (bvadd (bvmul ?v_1 ?v_2) V))))))))
(check-sat)
(exit)
