(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: bouncing-ball-inv, node 6621 For more info see: No further information available.
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun v () (_ BitVec 32))
(declare-fun g () (_ BitVec 32))
(declare-fun V () (_ BitVec 32))
(declare-fun c () (_ BitVec 32))
(declare-fun tuscore2dollarskuscore9 () (_ BitVec 32))
(declare-fun ts1uscore9 () (_ BitVec 32))
(declare-fun vuscore2dollarskuscore9 () (_ BitVec 32))
(declare-fun huscore2dollarskuscore9 () (_ BitVec 32))
(declare-fun t1uscore0dollarskuscore9 () (_ BitVec 32))
(declare-fun h () (_ BitVec 32))
(assert (not (exists ((ts1uscore9 (_ BitVec 32))) (let ((?v_1 (bvsdiv (bvmul (_ bv2 32) V) g)) (?v_0 (bvadd t1uscore0dollarskuscore9 tuscore2dollarskuscore9))) (=> (and (and (and (and (and (and (and (and (and (and (and (and (=> (and (bvsle (_ bv0 32) ts1uscore9) (bvsle ts1uscore9 t1uscore0dollarskuscore9)) (bvsge (bvmul (bvsdiv (_ bv1 32) (_ bv2 32)) (bvadd (bvadd (bvmul (_ bv2 32) huscore2dollarskuscore9) (bvmul (bvmul (bvneg (_ bv1 32)) g) (bvmul ts1uscore9 ts1uscore9))) (bvmul (bvmul (_ bv2 32) ts1uscore9) vuscore2dollarskuscore9))) (_ bv0 32))) (bvsge t1uscore0dollarskuscore9 (_ bv0 32))) (= huscore2dollarskuscore9 (bvadd (bvmul (bvsdiv g (_ bv2 32)) (bvmul tuscore2dollarskuscore9 tuscore2dollarskuscore9)) (bvmul vuscore2dollarskuscore9 tuscore2dollarskuscore9)))) (bvsge huscore2dollarskuscore9 (_ bv0 32))) (bvsge tuscore2dollarskuscore9 (_ bv0 32))) (bvsle vuscore2dollarskuscore9 (bvadd (bvmul (bvneg g) tuscore2dollarskuscore9) V))) (bvsle tuscore2dollarskuscore9 ?v_1)) (= h (_ bv0 32))) (= v V)) (bvsgt V (_ bv0 32))) (bvsgt g (_ bv0 32))) (bvsle (_ bv0 32) c)) (bvslt c (_ bv1 32))) (or (bvsgt ?v_0 (_ bv0 32)) (bvsle ?v_0 ?v_1)))))))
(check-sat)
(exit)
