(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: bouncing-ball, node 5809 For more info see: No further information available.
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun v () (_ BitVec 32))
(declare-fun g () (_ BitVec 32))
(declare-fun t () (_ BitVec 32))
(declare-fun V () (_ BitVec 32))
(declare-fun t1uscore0dollarskuscore1 () (_ BitVec 32))
(declare-fun c () (_ BitVec 32))
(declare-fun vuscore2dollarskuscore1 () (_ BitVec 32))
(declare-fun huscore2dollarskuscore1 () (_ BitVec 32))
(declare-fun tuscore2dollarskuscore1 () (_ BitVec 32))
(declare-fun h () (_ BitVec 32))
(declare-fun ts1uscore1 () (_ BitVec 32))
(assert (not (exists ((ts1uscore1 (_ BitVec 32))) (let ((?v_2 (bvmul (_ bv2 32) huscore2dollarskuscore1)) (?v_0 (bvsdiv g (_ bv2 32))) (?v_1 (bvneg g)) (?v_3 (bvmul (bvneg (_ bv1 32)) g))) (=> (and (and (and (and (and (and (and (and (and (and (and (and (=> (and (bvsle (_ bv0 32) ts1uscore1) (bvsle ts1uscore1 t1uscore0dollarskuscore1)) (bvsge (bvmul (bvsdiv (_ bv1 32) (_ bv2 32)) (bvadd (bvadd ?v_2 (bvmul ?v_3 (bvmul ts1uscore1 ts1uscore1))) (bvmul (bvmul (_ bv2 32) ts1uscore1) vuscore2dollarskuscore1))) (_ bv0 32))) (bvsge t1uscore0dollarskuscore1 (_ bv0 32))) (= huscore2dollarskuscore1 (bvadd (bvmul ?v_0 (bvmul tuscore2dollarskuscore1 tuscore2dollarskuscore1)) (bvmul vuscore2dollarskuscore1 tuscore2dollarskuscore1)))) (bvsge huscore2dollarskuscore1 (_ bv0 32))) (bvsge tuscore2dollarskuscore1 (_ bv0 32))) (bvsle vuscore2dollarskuscore1 (bvadd (bvmul ?v_1 tuscore2dollarskuscore1) V))) (bvsgt g (_ bv0 32))) (bvsle (_ bv0 32) c)) (bvslt c (_ bv1 32))) (= h (bvadd (bvmul ?v_0 (bvmul t t)) (bvmul v t)))) (bvsge h (_ bv0 32))) (bvsge t (_ bv0 32))) (bvsle v (bvadd (bvmul ?v_1 t) V))) (or (bvsgt (bvadd t1uscore0dollarskuscore1 tuscore2dollarskuscore1) (_ bv0 32)) (bvsge (bvmul (bvsdiv (_ bv1 32) (_ bv2 32)) (bvadd (bvadd ?v_2 (bvmul ?v_3 (bvmul t1uscore0dollarskuscore1 t1uscore0dollarskuscore1))) (bvmul (bvmul (_ bv2 32) t1uscore0dollarskuscore1) vuscore2dollarskuscore1))) (_ bv0 32))))))))
(check-sat)
(exit)
