(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: bouncing-ball, node 6059 For more info see: No further information available.
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun v () (_ BitVec 32))
(declare-fun g () (_ BitVec 32))
(declare-fun t () (_ BitVec 32))
(declare-fun V () (_ BitVec 32))
(declare-fun ts1uscore8 () (_ BitVec 32))
(declare-fun tuscore2dollarskuscore8 () (_ BitVec 32))
(declare-fun c () (_ BitVec 32))
(declare-fun vuscore2dollarskuscore8 () (_ BitVec 32))
(declare-fun huscore2dollarskuscore8 () (_ BitVec 32))
(declare-fun h () (_ BitVec 32))
(declare-fun t1uscore0dollarskuscore8 () (_ BitVec 32))
(assert (not (exists ((ts1uscore8 (_ BitVec 32))) (let ((?v_0 (bvmul (_ bv2 32) huscore2dollarskuscore8)) (?v_2 (bvsdiv g (_ bv2 32))) (?v_3 (bvneg g)) (?v_1 (bvmul (bvneg (_ bv1 32)) g))) (let ((?v_4 (bvmul (bvsdiv (_ bv1 32) (_ bv2 32)) (bvadd (bvadd ?v_0 (bvmul ?v_1 (bvmul t1uscore0dollarskuscore8 t1uscore0dollarskuscore8))) (bvmul (bvmul (_ bv2 32) t1uscore0dollarskuscore8) vuscore2dollarskuscore8))))) (=> (and (and (and (and (and (and (and (and (and (and (and (and (and (and (bvsgt (bvadd t1uscore0dollarskuscore8 tuscore2dollarskuscore8) (_ bv0 32)) (= ?v_4 (_ bv0 32))) (=> (and (bvsle (_ bv0 32) ts1uscore8) (bvsle ts1uscore8 t1uscore0dollarskuscore8)) (bvsge (bvmul (bvsdiv (_ bv1 32) (_ bv2 32)) (bvadd (bvadd ?v_0 (bvmul ?v_1 (bvmul ts1uscore8 ts1uscore8))) (bvmul (bvmul (_ bv2 32) ts1uscore8) vuscore2dollarskuscore8))) (_ bv0 32)))) (bvsge t1uscore0dollarskuscore8 (_ bv0 32))) (= huscore2dollarskuscore8 (bvadd (bvmul ?v_2 (bvmul tuscore2dollarskuscore8 tuscore2dollarskuscore8)) (bvmul vuscore2dollarskuscore8 tuscore2dollarskuscore8)))) (bvsge huscore2dollarskuscore8 (_ bv0 32))) (bvsge tuscore2dollarskuscore8 (_ bv0 32))) (bvsle vuscore2dollarskuscore8 (bvadd (bvmul ?v_3 tuscore2dollarskuscore8) V))) (bvsgt g (_ bv0 32))) (bvsle (_ bv0 32) c)) (bvslt c (_ bv1 32))) (= h (bvadd (bvmul ?v_2 (bvmul t t)) (bvmul v t)))) (bvsge h (_ bv0 32))) (bvsge t (_ bv0 32))) (bvsle v (bvadd (bvmul ?v_3 t) V))) (bvsge ?v_4 (_ bv0 32))))))))
(check-sat)
(exit)
