(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: controllability-lemma-disturbed, node 5255 For more info see: @see "Andre Platzer and Jan-David Quesel. European Train Control System: A case study in formal verification. In Karin Breitman and Ana Cavalcanti, editors, 11th International Conference on Formal Engineering Methods, ICFEM, Rio de Janeiro, Brasil, Proceedings, volume 5885 of LNCS, pages 246-265. Springer, 2009."
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun t0uscore0 () (_ BitVec 32))
(declare-fun v () (_ BitVec 32))
(declare-fun d () (_ BitVec 32))
(declare-fun u () (_ BitVec 32))
(declare-fun ts0uscore0 () (_ BitVec 32))
(declare-fun b () (_ BitVec 32))
(declare-fun l () (_ BitVec 32))
(declare-fun m () (_ BitVec 32))
(declare-fun z () (_ BitVec 32))
(assert (not (exists ((t0uscore0 (_ BitVec 32))) (forall ((ts0uscore0 (_ BitVec 32))) (let ((?v_1 (bvmul t0uscore0 t0uscore0)) (?v_0 (bvmul (bvneg (_ bv1 32)) b))) (=> (and (and (and (and (and (and (=> (bvsge t0uscore0 (_ bv0 32)) (=> (=> (and (bvsle (_ bv0 32) ts0uscore0) (bvsle ts0uscore0 t0uscore0)) (bvsge (bvadd (bvadd (bvmul ?v_0 ts0uscore0) (bvmul ts0uscore0 u)) v) (_ bv0 32))) (=> (bvsge (bvmul (bvsdiv (_ bv1 32) (_ bv2 32)) (bvadd (bvadd (bvadd (bvmul ?v_0 ?v_1) (bvmul ?v_1 u)) (bvmul (bvmul (_ bv2 32) t0uscore0) v)) (bvmul (_ bv2 32) z))) m) (bvsle (bvadd (bvadd (bvmul ?v_0 t0uscore0) (bvmul t0uscore0 u)) v) d)))) (bvsge v (_ bv0 32))) (bvsge d (_ bv0 32))) (bvsgt b u)) (bvsge u (_ bv0 32))) (bvsge l (_ bv0 32))) (bvsle z m)) (bvsle (bvsub (bvmul v v) (bvmul d d)) (bvmul (bvmul (_ bv2 32) (bvsub b u)) (bvsub m z)))))))))
(check-sat)
(exit)
