(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: dccs-example, node 6707 For more info see: @see "Sarah M. Loos, Andre Platzer, and Ligia Nistor. Adaptive cruise control: Hybrid, distributed, and now formally verified. In Michael Butler and Wolfram Schulte, editors, 17th International Symposium on Formal Methods, FM, Limerick, Ireland, Proceedings, volume 6664 of LNCS, pages 42-56. Springer, 2011."
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun v1 () (_ BitVec 32))
(declare-fun v1uscore2dollarskuscore5 () (_ BitVec 32))
(declare-fun eps () (_ BitVec 32))
(declare-fun x1uscore2dollarskuscore5 () (_ BitVec 32))
(declare-fun A () (_ BitVec 32))
(declare-fun B () (_ BitVec 32))
(declare-fun ts3uscore0 () (_ BitVec 32))
(declare-fun x2 () (_ BitVec 32))
(declare-fun x1 () (_ BitVec 32))
(declare-fun t3uscore0dollarskuscore0 () (_ BitVec 32))
(assert (not (exists ((ts3uscore0 (_ BitVec 32))) (let ((?v_2 (bvneg B)) (?v_0 (bvsdiv (_ bv1 32) (bvmul (_ bv2 32) B)))) (let ((?v_1 (bvadd x1uscore2dollarskuscore5 (bvmul (bvmul v1uscore2dollarskuscore5 v1uscore2dollarskuscore5) ?v_0))) (?v_3 (bvadd (bvmul ?v_2 t3uscore0dollarskuscore0) v1uscore2dollarskuscore5))) (=> (and (and (and (and (and (and (and (and (and (and (=> (and (bvsle (_ bv0 32) ts3uscore0) (bvsle ts3uscore0 t3uscore0dollarskuscore0)) (and (bvsge (bvadd (bvmul ?v_2 ts3uscore0) v1uscore2dollarskuscore5) (_ bv0 32)) (bvsle ts3uscore0 eps))) (bvsge t3uscore0dollarskuscore0 (_ bv0 32))) (bvslt ?v_1 x2)) (bvslt x1uscore2dollarskuscore5 x2)) (bvsge v1uscore2dollarskuscore5 (_ bv0 32))) (bvslt x1 x2)) (bvsge v1 (_ bv0 32))) (bvsgt B (_ bv0 32))) (bvsgt eps (_ bv0 32))) (bvsgt A (_ bv0 32))) (bvslt (bvadd x1 (bvmul (bvmul v1 v1) ?v_0)) x2)) (or (or (= v1uscore2dollarskuscore5 (_ bv0 32)) (bvslt (bvadd ?v_1 (bvmul (bvadd (bvsdiv A B) (_ bv1 32)) (bvadd (bvmul (bvmul A (bvmul eps eps)) (bvsdiv (_ bv1 32) (_ bv2 32))) (bvmul eps v1uscore2dollarskuscore5)))) x2)) (bvslt (bvadd (bvmul (bvsdiv (_ bv1 32) (_ bv2 32)) (bvadd (bvadd (bvmul ?v_2 (bvmul t3uscore0dollarskuscore0 t3uscore0dollarskuscore0)) (bvmul (bvmul (_ bv2 32) t3uscore0dollarskuscore0) v1uscore2dollarskuscore5)) (bvmul (_ bv2 32) x1uscore2dollarskuscore5))) (bvmul (bvmul ?v_3 ?v_3) ?v_0)) x2))))))))
(check-sat)
(exit)
