(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: dccs-example-simple, node 6245 For more info see: @see "Sarah M. Loos, Andre Platzer, and Ligia Nistor. Adaptive cruise control: Hybrid, distributed, and now formally verified. In Michael Butler and Wolfram Schulte, editors, 17th International Symposium on Formal Methods, FM, Limerick, Ireland, Proceedings, volume 6664 of LNCS, pages 42-56. Springer, 2011."
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun v1 () (_ BitVec 32))
(declare-fun x2uscore2dollarskuscore4 () (_ BitVec 32))
(declare-fun eps () (_ BitVec 32))
(declare-fun ts4uscore0 () (_ BitVec 32))
(declare-fun v1uscore2dollarskuscore4 () (_ BitVec 32))
(declare-fun A () (_ BitVec 32))
(declare-fun B () (_ BitVec 32))
(declare-fun v2 () (_ BitVec 32))
(declare-fun x1uscore2dollarskuscore4 () (_ BitVec 32))
(declare-fun t4uscore0dollarskuscore0 () (_ BitVec 32))
(declare-fun x2 () (_ BitVec 32))
(declare-fun x1 () (_ BitVec 32))
(assert (not (exists ((ts4uscore0 (_ BitVec 32))) (let ((?v_0 (bvneg B))) (=> (and (and (and (and (and (and (and (and (and (and (and (=> (and (bvsle (_ bv0 32) ts4uscore0) (bvsle ts4uscore0 t4uscore0dollarskuscore0)) (and (bvsge (bvadd (bvmul ?v_0 ts4uscore0) v1uscore2dollarskuscore4) (_ bv0 32)) (bvsle ts4uscore0 eps))) (bvsge t4uscore0dollarskuscore0 (_ bv0 32))) (bvsle v1uscore2dollarskuscore4 v2)) (bvslt x1uscore2dollarskuscore4 x2uscore2dollarskuscore4)) (bvsge v1uscore2dollarskuscore4 (_ bv0 32))) (bvslt x1 x2)) (bvsge v1 (_ bv0 32))) (bvsge v2 (_ bv0 32))) (bvsle v1 v2)) (bvsgt B (_ bv0 32))) (bvsgt eps (_ bv0 32))) (bvsgt A (_ bv0 32))) (or (or (= v1uscore2dollarskuscore4 (_ bv0 32)) (bvsle (bvadd v1uscore2dollarskuscore4 (bvmul A eps)) v2)) (bvsle (bvadd (bvmul ?v_0 t4uscore0dollarskuscore0) v1uscore2dollarskuscore4) v2)))))))
(check-sat)
(exit)
