(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: intersection-example-onelane.proof, node 19355 For more info see: @see "Sarah M. Loos and Andre Platzer. Safe intersections: At the crossing of hybrid systems and verification. In Kyongsu Yi, editor, 14th International IEEE Conference on Intelligent Transportation Systems, ITSC 2011, Washington, DC, USA, Proceedings. 2011."
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun xI () (_ BitVec 32))
(declare-fun A () (_ BitVec 32))
(declare-fun ts42uscore0 () (_ BitVec 32))
(declare-fun B () (_ BitVec 32))
(declare-fun t73uscore0dollarskuscore0 () (_ BitVec 32))
(declare-fun I1 () (_ BitVec 32))
(declare-fun v () (_ BitVec 32))
(declare-fun V () (_ BitVec 32))
(declare-fun vuscore2dollarskuscore67 () (_ BitVec 32))
(declare-fun xuscore2dollarskuscore61 () (_ BitVec 32))
(declare-fun ep () (_ BitVec 32))
(declare-fun I1uscore2dollarskuscore63 () (_ BitVec 32))
(declare-fun x () (_ BitVec 32))
(assert (not (exists ((ts42uscore0 (_ BitVec 32))) (let ((?v_0 (bvsge vuscore2dollarskuscore67 (_ bv0 32))) (?v_1 (bvsle vuscore2dollarskuscore67 V)) (?v_4 (bvsdiv (bvmul vuscore2dollarskuscore67 vuscore2dollarskuscore67) (bvmul (_ bv2 32) B)))) (let ((?v_2 (bvadd xuscore2dollarskuscore61 ?v_4)) (?v_3 (bvmul (bvsdiv (_ bv1 32) (_ bv2 32)) (bvadd (bvmul (bvmul (_ bv2 32) t73uscore0dollarskuscore0) vuscore2dollarskuscore67) (bvmul (_ bv2 32) xuscore2dollarskuscore61))))) (=> (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (=> (and (bvsle (_ bv0 32) ts42uscore0) (bvsle ts42uscore0 t73uscore0dollarskuscore0)) (and (and ?v_0 ?v_1) (bvsle ts42uscore0 ep))) (bvsge t73uscore0dollarskuscore0 (_ bv0 32))) (= vuscore2dollarskuscore67 V)) (= xI xuscore2dollarskuscore61)) (= I1uscore2dollarskuscore63 (_ bv1 32))) (bvsgt xI (bvadd ?v_2 (bvmul (bvadd (bvsdiv A B) (_ bv1 32)) (bvadd (bvmul (bvsdiv A (_ bv2 32)) (bvmul ep ep)) (bvmul ep vuscore2dollarskuscore67)))))) ?v_0) ?v_1) (bvsgt xI ?v_2)) (= I1 (_ bv2 32))) (bvslt xI x)) (bvsgt B (_ bv0 32))) (bvsge v (_ bv0 32))) (bvsle v V)) (bvsge A (_ bv0 32))) (bvsgt V (_ bv0 32))) (bvsgt ep (_ bv0 32))) (or (bvslt xI ?v_3) (bvsgt xI (bvadd ?v_3 ?v_4)))))))))
(check-sat)
(exit)
