(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: intersection-example-onelane.proof, node 19824 For more info see: @see "Sarah M. Loos and Andre Platzer. Safe intersections: At the crossing of hybrid systems and verification. In Kyongsu Yi, editor, 14th International IEEE Conference on Intelligent Transportation Systems, ITSC 2011, Washington, DC, USA, Proceedings. 2011."
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun xI () (_ BitVec 32))
(declare-fun A () (_ BitVec 32))
(declare-fun B () (_ BitVec 32))
(declare-fun I1 () (_ BitVec 32))
(declare-fun vuscore2dollarskuscore70 () (_ BitVec 32))
(declare-fun v () (_ BitVec 32))
(declare-fun V () (_ BitVec 32))
(declare-fun xuscore2dollarskuscore64 () (_ BitVec 32))
(declare-fun ts38uscore0 () (_ BitVec 32))
(declare-fun ep () (_ BitVec 32))
(declare-fun I1uscore2dollarskuscore66 () (_ BitVec 32))
(declare-fun t66uscore0dollarskuscore0 () (_ BitVec 32))
(declare-fun x () (_ BitVec 32))
(assert (not (exists ((ts38uscore0 (_ BitVec 32))) (let ((?v_0 (bvsge vuscore2dollarskuscore70 (_ bv0 32))) (?v_1 (bvsle vuscore2dollarskuscore70 V)) (?v_3 (bvsdiv (bvmul vuscore2dollarskuscore70 vuscore2dollarskuscore70) (bvmul (_ bv2 32) B))) (?v_2 (bvmul (bvsdiv (_ bv1 32) (_ bv2 32)) (bvadd (bvmul (bvmul (_ bv2 32) t66uscore0dollarskuscore0) vuscore2dollarskuscore70) (bvmul (_ bv2 32) xuscore2dollarskuscore64))))) (=> (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (=> (and (bvsle (_ bv0 32) ts38uscore0) (bvsle ts38uscore0 t66uscore0dollarskuscore0)) (and (and ?v_0 ?v_1) (bvsle ts38uscore0 ep))) (bvsge t66uscore0dollarskuscore0 (_ bv0 32))) (= vuscore2dollarskuscore70 V)) (= xI xuscore2dollarskuscore64)) (= I1uscore2dollarskuscore66 (_ bv1 32))) (bvslt xI xuscore2dollarskuscore64)) ?v_0) ?v_1) (bvsgt xI (bvadd xuscore2dollarskuscore64 ?v_3))) (= I1 (_ bv2 32))) (bvslt xI x)) (bvsgt B (_ bv0 32))) (bvsge v (_ bv0 32))) (bvsle v V)) (bvsge A (_ bv0 32))) (bvsgt V (_ bv0 32))) (bvsgt ep (_ bv0 32))) (or (bvslt xI ?v_2) (bvsgt xI (bvadd ?v_2 ?v_3))))))))
(check-sat)
(exit)
