(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: intersection-example-onelane.proof, node 26897 For more info see: @see "Sarah M. Loos and Andre Platzer. Safe intersections: At the crossing of hybrid systems and verification. In Kyongsu Yi, editor, 14th International IEEE Conference on Intelligent Transportation Systems, ITSC 2011, Washington, DC, USA, Proceedings. 2011."
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun xI () (_ BitVec 32))
(declare-fun t17uscore0dollarskuscore2 () (_ BitVec 32))
(declare-fun A () (_ BitVec 32))
(declare-fun B () (_ BitVec 32))
(declare-fun vuscore2dollarskuscore92 () (_ BitVec 32))
(declare-fun xuscore2dollarskuscore86 () (_ BitVec 32))
(declare-fun I1 () (_ BitVec 32))
(declare-fun ts10uscore2 () (_ BitVec 32))
(declare-fun I1uscore2dollarskuscore84 () (_ BitVec 32))
(declare-fun v () (_ BitVec 32))
(declare-fun V () (_ BitVec 32))
(declare-fun ep () (_ BitVec 32))
(declare-fun x () (_ BitVec 32))
(assert (not (exists ((ts10uscore2 (_ BitVec 32))) (let ((?v_1 (bvneg B))) (let ((?v_0 (bvadd (bvmul ?v_1 ts10uscore2) vuscore2dollarskuscore92))) (=> (and (and (and (and (and (and (and (and (and (and (and (and (and (=> (and (bvsle (_ bv0 32) ts10uscore2) (bvsle ts10uscore2 t17uscore0dollarskuscore2)) (and (and (bvsge ?v_0 (_ bv0 32)) (bvsle ?v_0 V)) (bvsle ts10uscore2 ep))) (bvsge t17uscore0dollarskuscore2 (_ bv0 32))) (= I1uscore2dollarskuscore84 (_ bv1 32))) (bvsgt xI (bvadd (bvadd xuscore2dollarskuscore86 (bvsdiv (bvmul vuscore2dollarskuscore92 vuscore2dollarskuscore92) (bvmul (_ bv2 32) B))) (bvmul (bvadd (bvsdiv A B) (_ bv1 32)) (bvadd (bvmul (bvsdiv A (_ bv2 32)) (bvmul ep ep)) (bvmul ep vuscore2dollarskuscore92)))))) (bvsge vuscore2dollarskuscore92 (_ bv0 32))) (bvsle vuscore2dollarskuscore92 V)) (= I1 (_ bv2 32))) (bvslt xI x)) (bvsgt B (_ bv0 32))) (bvsge v (_ bv0 32))) (bvsle v V)) (bvsge A (_ bv0 32))) (bvsgt V (_ bv0 32))) (bvsgt ep (_ bv0 32))) (or (= I1uscore2dollarskuscore84 (_ bv2 32)) (bvsle (bvadd (bvmul ?v_1 t17uscore0dollarskuscore2) vuscore2dollarskuscore92) V))))))))
(check-sat)
(exit)
