(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: intersection-example-onelane.proof, node 31777 For more info see: @see "Sarah M. Loos and Andre Platzer. Safe intersections: At the crossing of hybrid systems and verification. In Kyongsu Yi, editor, 14th International IEEE Conference on Intelligent Transportation Systems, ITSC 2011, Washington, DC, USA, Proceedings. 2011."
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun xI () (_ BitVec 32))
(declare-fun A () (_ BitVec 32))
(declare-fun B () (_ BitVec 32))
(declare-fun I1 () (_ BitVec 32))
(declare-fun ts64uscore0 () (_ BitVec 32))
(declare-fun v () (_ BitVec 32))
(declare-fun V () (_ BitVec 32))
(declare-fun xuscore4dollarskuscore13 () (_ BitVec 32))
(declare-fun I1uscore4dollarskuscore13 () (_ BitVec 32))
(declare-fun vuscore4dollarskuscore13 () (_ BitVec 32))
(declare-fun ep () (_ BitVec 32))
(declare-fun t114uscore0dollarskuscore0 () (_ BitVec 32))
(declare-fun x () (_ BitVec 32))
(assert (not (exists ((ts64uscore0 (_ BitVec 32))) (let ((?v_0 (bvsge vuscore4dollarskuscore13 (_ bv0 32))) (?v_1 (bvsle vuscore4dollarskuscore13 V)) (?v_3 (bvmul (_ bv2 32) B)) (?v_2 (bvmul (bvsdiv (_ bv1 32) (_ bv2 32)) (bvadd (bvmul (bvmul (_ bv2 32) t114uscore0dollarskuscore0) vuscore4dollarskuscore13) (bvmul (_ bv2 32) xuscore4dollarskuscore13))))) (=> (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (=> (and (bvsle (_ bv0 32) ts64uscore0) (bvsle ts64uscore0 t114uscore0dollarskuscore0)) (and (and ?v_0 ?v_1) (bvsle ts64uscore0 ep))) (bvsge t114uscore0dollarskuscore0 (_ bv0 32))) (= vuscore4dollarskuscore13 V)) (= xI xuscore4dollarskuscore13)) (= I1uscore4dollarskuscore13 (_ bv1 32))) (bvslt xI xuscore4dollarskuscore13)) ?v_0) ?v_1) (= I1 (_ bv2 32))) (bvsgt xI (bvadd x (bvsdiv (bvmul v v) ?v_3)))) (bvsgt B (_ bv0 32))) (bvsge v (_ bv0 32))) (bvsle v V)) (bvsge A (_ bv0 32))) (bvsgt V (_ bv0 32))) (bvsgt ep (_ bv0 32))) (or (or (= I1uscore4dollarskuscore13 (_ bv2 32)) (bvslt xI ?v_2)) (bvsgt xI (bvadd ?v_2 (bvsdiv (bvmul vuscore4dollarskuscore13 vuscore4dollarskuscore13) ?v_3)))))))))
(check-sat)
(exit)
