(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: intersection-example-onelane.proof, node 35942 For more info see: @see "Sarah M. Loos and Andre Platzer. Safe intersections: At the crossing of hybrid systems and verification. In Kyongsu Yi, editor, 14th International IEEE Conference on Intelligent Transportation Systems, ITSC 2011, Washington, DC, USA, Proceedings. 2011."
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun xI () (_ BitVec 32))
(declare-fun A () (_ BitVec 32))
(declare-fun B () (_ BitVec 32))
(declare-fun I1uscore4dollarskuscore21 () (_ BitVec 32))
(declare-fun I1 () (_ BitVec 32))
(declare-fun v () (_ BitVec 32))
(declare-fun t143uscore0dollarskuscore0 () (_ BitVec 32))
(declare-fun V () (_ BitVec 32))
(declare-fun xuscore4dollarskuscore16 () (_ BitVec 32))
(declare-fun ep () (_ BitVec 32))
(declare-fun ts79uscore0 () (_ BitVec 32))
(declare-fun vuscore4dollarskuscore21 () (_ BitVec 32))
(declare-fun x () (_ BitVec 32))
(assert (not (exists ((ts79uscore0 (_ BitVec 32))) (let ((?v_0 (bvadd (bvmul A ts79uscore0) vuscore4dollarskuscore21))) (=> (and (and (and (and (and (and (and (and (and (and (and (and (and (and (=> (and (bvsle (_ bv0 32) ts79uscore0) (bvsle ts79uscore0 t143uscore0dollarskuscore0)) (and (and (bvsge ?v_0 (_ bv0 32)) (bvsle ?v_0 V)) (bvsle ts79uscore0 ep))) (bvsge t143uscore0dollarskuscore0 (_ bv0 32))) (= xI xuscore4dollarskuscore16)) (= I1uscore4dollarskuscore21 (_ bv0 32))) (bvsge vuscore4dollarskuscore21 (_ bv0 32))) (bvsle vuscore4dollarskuscore21 V)) (bvslt xI xuscore4dollarskuscore16)) (= I1 (_ bv2 32))) (bvsgt xI (bvadd x (bvsdiv (bvmul v v) (bvmul (_ bv2 32) B))))) (bvsgt B (_ bv0 32))) (bvsge v (_ bv0 32))) (bvsle v V)) (bvsge A (_ bv0 32))) (bvsgt V (_ bv0 32))) (bvsgt ep (_ bv0 32))) (bvsge (bvadd (bvmul A t143uscore0dollarskuscore0) vuscore4dollarskuscore21) (_ bv0 32)))))))
(check-sat)
(exit)
