(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: intersection-example-onelane.proof, node 37527 For more info see: @see "Sarah M. Loos and Andre Platzer. Safe intersections: At the crossing of hybrid systems and verification. In Kyongsu Yi, editor, 14th International IEEE Conference on Intelligent Transportation Systems, ITSC 2011, Washington, DC, USA, Proceedings. 2011."
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun xI () (_ BitVec 32))
(declare-fun ts83uscore2 () (_ BitVec 32))
(declare-fun A () (_ BitVec 32))
(declare-fun B () (_ BitVec 32))
(declare-fun I1 () (_ BitVec 32))
(declare-fun I1uscore4dollarskuscore27 () (_ BitVec 32))
(declare-fun v () (_ BitVec 32))
(declare-fun V () (_ BitVec 32))
(declare-fun xuscore4dollarskuscore22 () (_ BitVec 32))
(declare-fun ep () (_ BitVec 32))
(declare-fun vuscore4dollarskuscore27 () (_ BitVec 32))
(declare-fun t151uscore0dollarskuscore2 () (_ BitVec 32))
(declare-fun x () (_ BitVec 32))
(assert (not (exists ((ts83uscore2 (_ BitVec 32))) (let ((?v_0 (bvadd (bvmul A ts83uscore2) vuscore4dollarskuscore27)) (?v_3 (bvmul (_ bv2 32) B)) (?v_2 (bvadd (bvmul A t151uscore0dollarskuscore2) vuscore4dollarskuscore27)) (?v_1 (bvmul (bvsdiv (_ bv1 32) (_ bv2 32)) (bvadd (bvadd (bvmul A (bvmul t151uscore0dollarskuscore2 t151uscore0dollarskuscore2)) (bvmul (bvmul (_ bv2 32) t151uscore0dollarskuscore2) vuscore4dollarskuscore27)) (bvmul (_ bv2 32) xuscore4dollarskuscore22))))) (=> (and (and (and (and (and (and (and (and (and (and (and (and (and (and (=> (and (bvsle (_ bv0 32) ts83uscore2) (bvsle ts83uscore2 t151uscore0dollarskuscore2)) (and (and (bvsge ?v_0 (_ bv0 32)) (bvsle ?v_0 V)) (bvsle ts83uscore2 ep))) (bvsge t151uscore0dollarskuscore2 (_ bv0 32))) (= xI xuscore4dollarskuscore22)) (= I1uscore4dollarskuscore27 (_ bv1 32))) (bvsge vuscore4dollarskuscore27 (_ bv0 32))) (bvsle vuscore4dollarskuscore27 V)) (bvslt xI xuscore4dollarskuscore22)) (= I1 (_ bv2 32))) (bvsgt xI (bvadd x (bvsdiv (bvmul v v) ?v_3)))) (bvsgt B (_ bv0 32))) (bvsge v (_ bv0 32))) (bvsle v V)) (bvsge A (_ bv0 32))) (bvsgt V (_ bv0 32))) (bvsgt ep (_ bv0 32))) (or (bvslt xI ?v_1) (bvsgt xI (bvadd ?v_1 (bvsdiv (bvmul ?v_2 ?v_2) ?v_3)))))))))
(check-sat)
(exit)
