(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: intersection-example-onelane.proof, node 44538 For more info see: @see "Sarah M. Loos and Andre Platzer. Safe intersections: At the crossing of hybrid systems and verification. In Kyongsu Yi, editor, 14th International IEEE Conference on Intelligent Transportation Systems, ITSC 2011, Washington, DC, USA, Proceedings. 2011."
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun xI () (_ BitVec 32))
(declare-fun xuscore4dollarskuscore52 () (_ BitVec 32))
(declare-fun A () (_ BitVec 32))
(declare-fun B () (_ BitVec 32))
(declare-fun I1 () (_ BitVec 32))
(declare-fun t183uscore0dollarskuscore0 () (_ BitVec 32))
(declare-fun vuscore4dollarskuscore57 () (_ BitVec 32))
(declare-fun v () (_ BitVec 32))
(declare-fun V () (_ BitVec 32))
(declare-fun ts99uscore0 () (_ BitVec 32))
(declare-fun I1uscore4dollarskuscore53 () (_ BitVec 32))
(declare-fun ep () (_ BitVec 32))
(declare-fun x () (_ BitVec 32))
(assert (not (exists ((ts99uscore0 (_ BitVec 32))) (let ((?v_0 (bvsge vuscore4dollarskuscore57 (_ bv0 32))) (?v_1 (bvsle vuscore4dollarskuscore57 V)) (?v_2 (bvmul (_ bv2 32) B))) (let ((?v_4 (bvsdiv (bvmul vuscore4dollarskuscore57 vuscore4dollarskuscore57) ?v_2)) (?v_3 (bvmul (bvsdiv (_ bv1 32) (_ bv2 32)) (bvadd (bvmul (bvmul (_ bv2 32) t183uscore0dollarskuscore0) vuscore4dollarskuscore57) (bvmul (_ bv2 32) xuscore4dollarskuscore52))))) (=> (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (=> (and (bvsle (_ bv0 32) ts99uscore0) (bvsle ts99uscore0 t183uscore0dollarskuscore0)) (and (and ?v_0 ?v_1) (bvsle ts99uscore0 ep))) (bvsge t183uscore0dollarskuscore0 (_ bv0 32))) (= vuscore4dollarskuscore57 (_ bv0 32))) (= I1uscore4dollarskuscore53 (_ bv1 32))) (bvslt xI xuscore4dollarskuscore52)) ?v_0) ?v_1) (bvsgt xI (bvadd xuscore4dollarskuscore52 ?v_4))) (= I1 (_ bv2 32))) (bvsgt xI (bvadd x (bvsdiv (bvmul v v) ?v_2)))) (bvsgt B (_ bv0 32))) (bvsge v (_ bv0 32))) (bvsle v V)) (bvsge A (_ bv0 32))) (bvsgt V (_ bv0 32))) (bvsgt ep (_ bv0 32))) (or (or (= xI xuscore4dollarskuscore52) (bvslt xI ?v_3)) (bvsgt xI (bvadd ?v_3 ?v_4)))))))))
(check-sat)
(exit)
