(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: intersection-example-onelane.proof, node 46858 For more info see: @see "Sarah M. Loos and Andre Platzer. Safe intersections: At the crossing of hybrid systems and verification. In Kyongsu Yi, editor, 14th International IEEE Conference on Intelligent Transportation Systems, ITSC 2011, Washington, DC, USA, Proceedings. 2011."
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun xI () (_ BitVec 32))
(declare-fun ts105uscore1 () (_ BitVec 32))
(declare-fun A () (_ BitVec 32))
(declare-fun B () (_ BitVec 32))
(declare-fun xuscore4dollarskuscore61 () (_ BitVec 32))
(declare-fun I1 () (_ BitVec 32))
(declare-fun vuscore4dollarskuscore66 () (_ BitVec 32))
(declare-fun I1uscore4dollarskuscore62 () (_ BitVec 32))
(declare-fun v () (_ BitVec 32))
(declare-fun V () (_ BitVec 32))
(declare-fun ep () (_ BitVec 32))
(declare-fun t195uscore0dollarskuscore1 () (_ BitVec 32))
(declare-fun x () (_ BitVec 32))
(assert (not (exists ((ts105uscore1 (_ BitVec 32))) (let ((?v_3 (bvneg B))) (let ((?v_0 (bvadd (bvmul ?v_3 ts105uscore1) vuscore4dollarskuscore66)) (?v_2 (bvmul (_ bv2 32) B))) (let ((?v_1 (bvadd xuscore4dollarskuscore61 (bvsdiv (bvmul vuscore4dollarskuscore66 vuscore4dollarskuscore66) ?v_2))) (?v_5 (bvadd (bvmul ?v_3 t195uscore0dollarskuscore1) vuscore4dollarskuscore66)) (?v_4 (bvmul (bvsdiv (_ bv1 32) (_ bv2 32)) (bvadd (bvadd (bvmul ?v_3 (bvmul t195uscore0dollarskuscore1 t195uscore0dollarskuscore1)) (bvmul (bvmul (_ bv2 32) t195uscore0dollarskuscore1) vuscore4dollarskuscore66)) (bvmul (_ bv2 32) xuscore4dollarskuscore61))))) (=> (and (and (and (and (and (and (and (and (and (and (and (and (and (and (=> (and (bvsle (_ bv0 32) ts105uscore1) (bvsle ts105uscore1 t195uscore0dollarskuscore1)) (and (and (bvsge ?v_0 (_ bv0 32)) (bvsle ?v_0 V)) (bvsle ts105uscore1 ep))) (bvsge t195uscore0dollarskuscore1 (_ bv0 32))) (= I1uscore4dollarskuscore62 (_ bv1 32))) (bvsgt xI (bvadd ?v_1 (bvmul (bvadd (bvsdiv A B) (_ bv1 32)) (bvadd (bvmul (bvsdiv A (_ bv2 32)) (bvmul ep ep)) (bvmul ep vuscore4dollarskuscore66)))))) (bvsge vuscore4dollarskuscore66 (_ bv0 32))) (bvsle vuscore4dollarskuscore66 V)) (bvsgt xI ?v_1)) (= I1 (_ bv2 32))) (bvsgt xI (bvadd x (bvsdiv (bvmul v v) ?v_2)))) (bvsgt B (_ bv0 32))) (bvsge v (_ bv0 32))) (bvsle v V)) (bvsge A (_ bv0 32))) (bvsgt V (_ bv0 32))) (bvsgt ep (_ bv0 32))) (or (bvslt xI ?v_4) (bvsgt xI (bvadd ?v_4 (bvsdiv (bvmul ?v_5 ?v_5) ?v_2)))))))))))
(check-sat)
(exit)
