(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: intersection-example-onelane.proof, node 9774 For more info see: @see "Sarah M. Loos and Andre Platzer. Safe intersections: At the crossing of hybrid systems and verification. In Kyongsu Yi, editor, 14th International IEEE Conference on Intelligent Transportation Systems, ITSC 2011, Washington, DC, USA, Proceedings. 2011."
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun xI () (_ BitVec 32))
(declare-fun A () (_ BitVec 32))
(declare-fun B () (_ BitVec 32))
(declare-fun I1 () (_ BitVec 32))
(declare-fun t33uscore0dollarskuscore0 () (_ BitVec 32))
(declare-fun v () (_ BitVec 32))
(declare-fun V () (_ BitVec 32))
(declare-fun ts20uscore0 () (_ BitVec 32))
(declare-fun vuscore2dollarskuscore26 () (_ BitVec 32))
(declare-fun ep () (_ BitVec 32))
(declare-fun xuscore2dollarskuscore20 () (_ BitVec 32))
(declare-fun I1uscore2dollarskuscore26 () (_ BitVec 32))
(declare-fun x () (_ BitVec 32))
(assert (not (exists ((ts20uscore0 (_ BitVec 32))) (let ((?v_1 (bvneg B))) (let ((?v_0 (bvadd (bvmul ?v_1 ts20uscore0) vuscore2dollarskuscore26))) (=> (and (and (and (and (and (and (and (and (and (and (and (and (and (=> (and (bvsle (_ bv0 32) ts20uscore0) (bvsle ts20uscore0 t33uscore0dollarskuscore0)) (and (and (bvsge ?v_0 (_ bv0 32)) (bvsle ?v_0 V)) (bvsle ts20uscore0 ep))) (bvsge t33uscore0dollarskuscore0 (_ bv0 32))) (= I1uscore2dollarskuscore26 (_ bv0 32))) (bvsge vuscore2dollarskuscore26 (_ bv0 32))) (bvsle vuscore2dollarskuscore26 V)) (bvslt xI xuscore2dollarskuscore20)) (= I1 (_ bv2 32))) (bvslt xI x)) (bvsgt B (_ bv0 32))) (bvsge v (_ bv0 32))) (bvsle v V)) (bvsge A (_ bv0 32))) (bvsgt V (_ bv0 32))) (bvsgt ep (_ bv0 32))) (bvsge (bvadd (bvmul ?v_1 t33uscore0dollarskuscore0) vuscore2dollarskuscore26) (_ bv0 32))))))))
(check-sat)
(exit)
