(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: intersection-example-simple.proof, node 444857 For more info see: @see "Sarah M. Loos and Andre Platzer. Safe intersections: At the crossing of hybrid systems and verification. In Kyongsu Yi, editor, 14th International IEEE Conference on Intelligent Transportation Systems, ITSC 2011, Washington, DC, USA, Proceedings. 2011."
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun v1 () (_ BitVec 32))
(declare-fun t2090uscore0 () (_ BitVec 32))
(declare-fun A () (_ BitVec 32))
(declare-fun B () (_ BitVec 32))
(declare-fun v2 () (_ BitVec 32))
(declare-fun v2uscore1dollarskuscore710 () (_ BitVec 32))
(declare-fun ts2090uscore0 () (_ BitVec 32))
(declare-fun I1 () (_ BitVec 32))
(declare-fun I2 () (_ BitVec 32))
(declare-fun x2 () (_ BitVec 32))
(declare-fun x1 () (_ BitVec 32))
(declare-fun v1uscore1dollarskuscore710 () (_ BitVec 32))
(declare-fun xI1 () (_ BitVec 32))
(declare-fun V () (_ BitVec 32))
(declare-fun xI2 () (_ BitVec 32))
(declare-fun ep () (_ BitVec 32))
(declare-fun I1uscore1dollarskuscore710 () (_ BitVec 32))
(declare-fun I2uscore1dollarskuscore710 () (_ BitVec 32))
(declare-fun x1uscore1dollarskuscore503 () (_ BitVec 32))
(assert (not (exists ((ts2090uscore0 (_ BitVec 32))) (let ((?v_0 (bvadd (bvmul (bvmul (bvneg (_ bv1 32)) B) ts2090uscore0) v2uscore1dollarskuscore710))) (=> (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (= v1uscore1dollarskuscore710 V) (= xI1 x1uscore1dollarskuscore503)) (= I1uscore1dollarskuscore710 (_ bv1 32))) (bvsgt xI1 (bvadd (bvadd x1uscore1dollarskuscore503 (bvsdiv (bvmul v1uscore1dollarskuscore710 v1uscore1dollarskuscore710) (bvmul (_ bv2 32) B))) (bvmul (bvadd (bvsdiv A B) (_ bv1 32)) (bvadd (bvmul (bvsdiv A (_ bv2 32)) (bvmul ep ep)) (bvmul ep v1uscore1dollarskuscore710)))))) (= I2uscore1dollarskuscore710 (_ bv2 32))) (= I1 (_ bv2 32))) (bvslt xI1 x1)) (= I2 (_ bv2 32))) (bvslt xI2 x2)) (bvsgt B (_ bv0 32))) (bvsge v1 (_ bv0 32))) (bvsle v1 V)) (bvsge v2 (_ bv0 32))) (bvsle v2 V)) (bvsge A (_ bv0 32))) (bvsgt V (_ bv0 32))) (bvsgt ep (_ bv0 32))) (=> (bvsge t2090uscore0 (_ bv0 32)) (=> (=> (and (bvsle (_ bv0 32) ts2090uscore0) (bvsle ts2090uscore0 t2090uscore0)) (and (and (and (and (bvsge v1uscore1dollarskuscore710 (_ bv0 32)) (bvsle v1uscore1dollarskuscore710 V)) (bvsge ?v_0 (_ bv0 32))) (bvsle ?v_0 V)) (bvsle (bvadd ts2090uscore0 (_ bv0 32)) ep))) (or (= (_ bv2 32) (_ bv2 32)) (= (_ bv0 32) (_ bv2 32))))))))))
(check-sat)
(exit)
