(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: intersection-example-simple.proof, node 617757 For more info see: @see "Sarah M. Loos and Andre Platzer. Safe intersections: At the crossing of hybrid systems and verification. In Kyongsu Yi, editor, 14th International IEEE Conference on Intelligent Transportation Systems, ITSC 2011, Washington, DC, USA, Proceedings. 2011."
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun v1 () (_ BitVec 32))
(declare-fun A () (_ BitVec 32))
(declare-fun B () (_ BitVec 32))
(declare-fun v2 () (_ BitVec 32))
(declare-fun ts2950uscore0 () (_ BitVec 32))
(declare-fun I1 () (_ BitVec 32))
(declare-fun I2 () (_ BitVec 32))
(declare-fun t2950uscore0 () (_ BitVec 32))
(declare-fun x2 () (_ BitVec 32))
(declare-fun I2uscore4dollarskuscore504 () (_ BitVec 32))
(declare-fun x1 () (_ BitVec 32))
(declare-fun I1uscore4dollarskuscore504 () (_ BitVec 32))
(declare-fun xI1 () (_ BitVec 32))
(declare-fun V () (_ BitVec 32))
(declare-fun xI2 () (_ BitVec 32))
(declare-fun x2uscore4dollarskuscore354 () (_ BitVec 32))
(declare-fun v1uscore4dollarskuscore504 () (_ BitVec 32))
(declare-fun ep () (_ BitVec 32))
(declare-fun x1uscore4dollarskuscore326 () (_ BitVec 32))
(declare-fun v2uscore4dollarskuscore504 () (_ BitVec 32))
(assert (not (exists ((ts2950uscore0 (_ BitVec 32))) (let ((?v_0 (bvmul (_ bv2 32) B))) (=> (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (= v2uscore4dollarskuscore504 V) (= xI2 x2uscore4dollarskuscore354)) (= v1uscore4dollarskuscore504 (_ bv0 32))) (= I2uscore4dollarskuscore504 (_ bv0 32))) (= I2uscore4dollarskuscore504 (_ bv2 32))) (= I1uscore4dollarskuscore504 (_ bv2 32))) (= I1 (_ bv2 32))) (bvsgt xI1 (bvadd x1 (bvsdiv (bvmul v1 v1) ?v_0)))) (= I2 (_ bv2 32))) (bvsgt xI2 (bvadd x2 (bvsdiv (bvmul v2 v2) ?v_0)))) (bvsgt B (_ bv0 32))) (bvsge v1 (_ bv0 32))) (bvsle v1 V)) (bvsge v2 (_ bv0 32))) (bvsle v2 V)) (bvsge A (_ bv0 32))) (bvsgt V (_ bv0 32))) (bvsgt ep (_ bv0 32))) (or (= xI1 x1uscore4dollarskuscore326) (=> (bvsge t2950uscore0 (_ bv0 32)) (=> (=> (and (bvsle (_ bv0 32) ts2950uscore0) (bvsle ts2950uscore0 t2950uscore0)) (and (and (and (and (bvsge v1uscore4dollarskuscore504 (_ bv0 32)) (bvsle v1uscore4dollarskuscore504 V)) (bvsge v2uscore4dollarskuscore504 (_ bv0 32))) (bvsle v2uscore4dollarskuscore504 V)) (bvsle (bvadd ts2950uscore0 (_ bv0 32)) ep))) (or (= (_ bv0 32) (_ bv2 32)) (= (_ bv1 32) (_ bv2 32)))))))))))
(check-sat)
(exit)
