(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: intersection-example-simple.proof, node 716073 For more info see: @see "Sarah M. Loos and Andre Platzer. Safe intersections: At the crossing of hybrid systems and verification. In Kyongsu Yi, editor, 14th International IEEE Conference on Intelligent Transportation Systems, ITSC 2011, Washington, DC, USA, Proceedings. 2011."
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun v1 () (_ BitVec 32))
(declare-fun v1uscore3dollarskuscore870 () (_ BitVec 32))
(declare-fun I1uscore3dollarskuscore870 () (_ BitVec 32))
(declare-fun A () (_ BitVec 32))
(declare-fun B () (_ BitVec 32))
(declare-fun v2 () (_ BitVec 32))
(declare-fun x1uscore3dollarskuscore612 () (_ BitVec 32))
(declare-fun I1 () (_ BitVec 32))
(declare-fun I2 () (_ BitVec 32))
(declare-fun x2 () (_ BitVec 32))
(declare-fun t3467uscore0 () (_ BitVec 32))
(declare-fun x1 () (_ BitVec 32))
(declare-fun xI1 () (_ BitVec 32))
(declare-fun v2uscore3dollarskuscore870 () (_ BitVec 32))
(declare-fun V () (_ BitVec 32))
(declare-fun xI2 () (_ BitVec 32))
(declare-fun ep () (_ BitVec 32))
(declare-fun I2uscore3dollarskuscore870 () (_ BitVec 32))
(declare-fun ts3467uscore0 () (_ BitVec 32))
(assert (not (exists ((ts3467uscore0 (_ BitVec 32))) (let ((?v_0 (bvmul (_ bv2 32) B)) (?v_2 (= I2uscore3dollarskuscore870 (_ bv2 32))) (?v_1 (bvadd (bvmul A ts3467uscore0) v2uscore3dollarskuscore870))) (=> (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (= I2uscore3dollarskuscore870 (_ bv0 32)) (= v1uscore3dollarskuscore870 V)) (= xI1 x1uscore3dollarskuscore612)) (= I1uscore3dollarskuscore870 (_ bv1 32))) (bvsgt xI1 (bvadd (bvadd x1uscore3dollarskuscore612 (bvsdiv (bvmul v1uscore3dollarskuscore870 v1uscore3dollarskuscore870) ?v_0)) (bvmul (bvadd (bvsdiv A B) (_ bv1 32)) (bvadd (bvmul (bvsdiv A (_ bv2 32)) (bvmul ep ep)) (bvmul ep v1uscore3dollarskuscore870)))))) ?v_2) (= I1 (_ bv2 32))) (bvslt xI1 x1)) (= I2 (_ bv2 32))) (bvsgt xI2 (bvadd x2 (bvsdiv (bvmul v2 v2) ?v_0)))) (bvsgt B (_ bv0 32))) (bvsge v1 (_ bv0 32))) (bvsle v1 V)) (bvsge v2 (_ bv0 32))) (bvsle v2 V)) (bvsge A (_ bv0 32))) (bvsgt V (_ bv0 32))) (bvsgt ep (_ bv0 32))) (=> (bvsge t3467uscore0 (_ bv0 32)) (=> (=> (and (bvsle (_ bv0 32) ts3467uscore0) (bvsle ts3467uscore0 t3467uscore0)) (and (and (and (and (bvsge v1uscore3dollarskuscore870 (_ bv0 32)) (bvsle v1uscore3dollarskuscore870 V)) (bvsge ?v_1 (_ bv0 32))) (bvsle ?v_1 V)) (bvsle (bvadd ts3467uscore0 (_ bv0 32)) ep))) (or (= (_ bv2 32) (_ bv2 32)) ?v_2))))))))
(check-sat)
(exit)
