(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: intersection-example-simple.proof, node 723221 For more info see: @see "Sarah M. Loos and Andre Platzer. Safe intersections: At the crossing of hybrid systems and verification. In Kyongsu Yi, editor, 14th International IEEE Conference on Intelligent Transportation Systems, ITSC 2011, Washington, DC, USA, Proceedings. 2011."
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun v1 () (_ BitVec 32))
(declare-fun x2uscore4dollarskuscore584 () (_ BitVec 32))
(declare-fun A () (_ BitVec 32))
(declare-fun B () (_ BitVec 32))
(declare-fun v2 () (_ BitVec 32))
(declare-fun I1 () (_ BitVec 32))
(declare-fun I2 () (_ BitVec 32))
(declare-fun x2 () (_ BitVec 32))
(declare-fun x1 () (_ BitVec 32))
(declare-fun v1uscore4dollarskuscore826 () (_ BitVec 32))
(declare-fun xI1 () (_ BitVec 32))
(declare-fun V () (_ BitVec 32))
(declare-fun xI2 () (_ BitVec 32))
(declare-fun ep () (_ BitVec 32))
(declare-fun t3513uscore0 () (_ BitVec 32))
(declare-fun v2uscore4dollarskuscore826 () (_ BitVec 32))
(declare-fun I2uscore4dollarskuscore826 () (_ BitVec 32))
(declare-fun I1uscore4dollarskuscore826 () (_ BitVec 32))
(declare-fun ts3513uscore0 () (_ BitVec 32))
(assert (not (exists ((ts3513uscore0 (_ BitVec 32))) (let ((?v_0 (bvmul (_ bv2 32) B)) (?v_1 (bvadd (bvmul (bvmul (bvneg (_ bv1 32)) B) ts3513uscore0) v1uscore4dollarskuscore826))) (=> (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (= v2uscore4dollarskuscore826 V) (= xI2 x2uscore4dollarskuscore584)) (= I2uscore4dollarskuscore826 (_ bv1 32))) (bvsgt xI2 (bvadd (bvadd x2uscore4dollarskuscore584 (bvsdiv (bvmul v2uscore4dollarskuscore826 v2uscore4dollarskuscore826) ?v_0)) (bvmul (bvadd (bvsdiv A B) (_ bv1 32)) (bvadd (bvmul (bvsdiv A (_ bv2 32)) (bvmul ep ep)) (bvmul ep v2uscore4dollarskuscore826)))))) (= I1uscore4dollarskuscore826 (_ bv0 32))) (= I2uscore4dollarskuscore826 (_ bv2 32))) (= I1 (_ bv2 32))) (bvsgt xI1 (bvadd x1 (bvsdiv (bvmul v1 v1) ?v_0)))) (= I2 (_ bv2 32))) (bvsgt xI2 (bvadd x2 (bvsdiv (bvmul v2 v2) ?v_0)))) (bvsgt B (_ bv0 32))) (bvsge v1 (_ bv0 32))) (bvsle v1 V)) (bvsge v2 (_ bv0 32))) (bvsle v2 V)) (bvsge A (_ bv0 32))) (bvsgt V (_ bv0 32))) (bvsgt ep (_ bv0 32))) (=> (bvsge t3513uscore0 (_ bv0 32)) (=> (=> (and (bvsle (_ bv0 32) ts3513uscore0) (bvsle ts3513uscore0 t3513uscore0)) (and (and (and (and (bvsge ?v_1 (_ bv0 32)) (bvsle ?v_1 V)) (bvsge v2uscore4dollarskuscore826 (_ bv0 32))) (bvsle v2uscore4dollarskuscore826 V)) (bvsle (bvadd ts3513uscore0 (_ bv0 32)) ep))) (or (= (_ bv1 32) (_ bv2 32)) (= (_ bv2 32) (_ bv2 32))))))))))
(check-sat)
(exit)
