(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: magnetic_field, node 112162 For more info see: @see "Sriram Sankaranarayanan, Henny B. Sima, Zohar Manna: Constructing invariants for hybrid systems"
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun stateuscore2dollarskuscore32 () (_ BitVec 32))
(declare-fun xuscore2dollarskuscore19 () (_ BitVec 32))
(declare-fun b () (_ BitVec 32))
(declare-fun vyuscore2dollarskuscore24 () (_ BitVec 32))
(declare-fun a () (_ BitVec 32))
(declare-fun yuscore2dollarskuscore18 () (_ BitVec 32))
(declare-fun ts32uscore0 () (_ BitVec 32))
(declare-fun vy () (_ BitVec 32))
(declare-fun vx () (_ BitVec 32))
(declare-fun vxuscore2dollarskuscore23 () (_ BitVec 32))
(declare-fun buscore2dollarskuscore32 () (_ BitVec 32))
(declare-fun y () (_ BitVec 32))
(declare-fun t32uscore0dollarskuscore0 () (_ BitVec 32))
(declare-fun x () (_ BitVec 32))
(assert (not (exists ((ts32uscore0 (_ BitVec 32))) (let ((?v_0 (bvadd vyuscore2dollarskuscore24 (_ bv2 32))) (?v_2 (bvadd (bvmul t32uscore0dollarskuscore0 vxuscore2dollarskuscore23) xuscore2dollarskuscore19)) (?v_3 (bvadd (bvmul t32uscore0dollarskuscore0 vyuscore2dollarskuscore24) yuscore2dollarskuscore18)) (?v_1 (bvsub (_ bv1 32) a))) (let ((?v_4 (bvmul (bvmul (bvneg (_ bv4 32)) (bvadd buscore2dollarskuscore32 (_ bv1 32))) ?v_1))) (=> (and (and (and (and (and (and (and (and (and (and (and (and (and (and (= ?v_0 (bvmul a (bvsub ?v_2 (_ bv2 32)))) (= (bvadd (bvmul vxuscore2dollarskuscore23 vxuscore2dollarskuscore23) (bvmul vyuscore2dollarskuscore24 vyuscore2dollarskuscore24)) (_ bv8 32))) (= (bvsub vxuscore2dollarskuscore23 (_ bv2 32)) (bvadd (bvmul (bvneg a) (bvadd ?v_3 (_ bv2 32))) (bvmul (bvmul (_ bv4 32) buscore2dollarskuscore32) ?v_1)))) (= stateuscore2dollarskuscore32 (_ bv1 32))) (=> (and (bvsle (_ bv0 32) ts32uscore0) (bvsle ts32uscore0 t32uscore0dollarskuscore0)) (bvsle vxuscore2dollarskuscore23 (_ bv0 32)))) (bvsge t32uscore0dollarskuscore0 (_ bv0 32))) (= stateuscore2dollarskuscore32 (_ bv2 32))) (= ?v_0 (_ bv0 32))) (= (bvadd vxuscore2dollarskuscore23 (_ bv2 32)) (_ bv0 32))) (= (bvmul a (bvsub xuscore2dollarskuscore19 yuscore2dollarskuscore18)) ?v_4)) (= vx (_ bv2 32))) (= vy (bvneg (_ bv2 32)))) (= x (_ bv0 32))) (= y (_ bv0 32))) (= b (_ bv0 32))) (or (= stateuscore2dollarskuscore32 (_ bv0 32)) (= (bvmul a (bvsub ?v_2 ?v_3)) ?v_4))))))))
(check-sat)
(exit)
