(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: magnetic_field, node 112196 For more info see: @see "Sriram Sankaranarayanan, Henny B. Sima, Zohar Manna: Constructing invariants for hybrid systems"
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun t32uscore0dollarskuscore1 () (_ BitVec 32))
(declare-fun stateuscore2dollarskuscore33 () (_ BitVec 32))
(declare-fun b () (_ BitVec 32))
(declare-fun vyuscore2dollarskuscore25 () (_ BitVec 32))
(declare-fun a () (_ BitVec 32))
(declare-fun yuscore2dollarskuscore19 () (_ BitVec 32))
(declare-fun ts32uscore1 () (_ BitVec 32))
(declare-fun vy () (_ BitVec 32))
(declare-fun vx () (_ BitVec 32))
(declare-fun vxuscore2dollarskuscore24 () (_ BitVec 32))
(declare-fun buscore2dollarskuscore33 () (_ BitVec 32))
(declare-fun xuscore2dollarskuscore20 () (_ BitVec 32))
(declare-fun y () (_ BitVec 32))
(declare-fun x () (_ BitVec 32))
(assert (not (exists ((ts32uscore1 (_ BitVec 32))) (let ((?v_4 (bvadd vyuscore2dollarskuscore25 (_ bv2 32))) (?v_1 (bvadd (bvmul t32uscore0dollarskuscore1 vxuscore2dollarskuscore24) xuscore2dollarskuscore20)) (?v_0 (bvsub vxuscore2dollarskuscore24 (_ bv2 32))) (?v_2 (bvadd (bvmul t32uscore0dollarskuscore1 vyuscore2dollarskuscore25) yuscore2dollarskuscore19)) (?v_3 (bvmul (_ bv4 32) buscore2dollarskuscore33)) (?v_5 (bvsub (_ bv1 32) a))) (let ((?v_6 (bvmul (bvmul (bvneg (_ bv4 32)) (bvadd buscore2dollarskuscore33 (_ bv1 32))) ?v_5))) (=> (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (= ?v_4 (bvmul a (bvsub ?v_1 (_ bv2 32)))) (= (bvadd (bvmul vxuscore2dollarskuscore24 vxuscore2dollarskuscore24) (bvmul vyuscore2dollarskuscore25 vyuscore2dollarskuscore25)) (_ bv8 32))) (= ?v_0 (bvadd (bvmul (bvneg a) (bvadd ?v_2 (_ bv2 32))) (bvmul ?v_3 ?v_5)))) (= ?v_0 (_ bv0 32))) (= (bvmul a (bvadd ?v_1 ?v_2)) (bvsub ?v_3 (bvmul (bvmul (_ bv4 32) a) buscore2dollarskuscore33)))) (= stateuscore2dollarskuscore33 (_ bv1 32))) (=> (and (bvsle (_ bv0 32) ts32uscore1) (bvsle ts32uscore1 t32uscore0dollarskuscore1)) (bvsle vxuscore2dollarskuscore24 (_ bv0 32)))) (bvsge t32uscore0dollarskuscore1 (_ bv0 32))) (= stateuscore2dollarskuscore33 (_ bv2 32))) (= ?v_4 (_ bv0 32))) (= (bvadd vxuscore2dollarskuscore24 (_ bv2 32)) (_ bv0 32))) (= (bvmul a (bvsub xuscore2dollarskuscore20 yuscore2dollarskuscore19)) ?v_6)) (= vx (_ bv2 32))) (= vy (bvneg (_ bv2 32)))) (= x (_ bv0 32))) (= y (_ bv0 32))) (= b (_ bv0 32))) (= (bvmul a (bvsub ?v_1 ?v_2)) ?v_6)))))))
(check-sat)
(exit)
