(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: magnetic_field, node 118400 For more info see: @see "Sriram Sankaranarayanan, Henny B. Sima, Zohar Manna: Constructing invariants for hybrid systems"
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun t17uscore0dollarskuscore2 () (_ BitVec 32))
(declare-fun b () (_ BitVec 32))
(declare-fun a () (_ BitVec 32))
(declare-fun xuscore2dollarskuscore24 () (_ BitVec 32))
(declare-fun vyuscore2dollarskuscore29 () (_ BitVec 32))
(declare-fun stateuscore2dollarskuscore37 () (_ BitVec 32))
(declare-fun vy () (_ BitVec 32))
(declare-fun vx () (_ BitVec 32))
(declare-fun yuscore2dollarskuscore23 () (_ BitVec 32))
(declare-fun buscore2dollarskuscore37 () (_ BitVec 32))
(declare-fun ts17uscore2 () (_ BitVec 32))
(declare-fun vxuscore2dollarskuscore28 () (_ BitVec 32))
(declare-fun y () (_ BitVec 32))
(declare-fun x () (_ BitVec 32))
(assert (not (exists ((ts17uscore2 (_ BitVec 32))) (let ((?v_0 (bvadd vyuscore2dollarskuscore29 (_ bv2 32))) (?v_1 (bvadd (bvmul t17uscore0dollarskuscore2 vxuscore2dollarskuscore28) xuscore2dollarskuscore24)) (?v_2 (bvadd (bvmul t17uscore0dollarskuscore2 vyuscore2dollarskuscore29) yuscore2dollarskuscore23)) (?v_3 (bvsub (_ bv1 32) a))) (=> (and (and (and (and (and (and (and (and (and (and (and (= ?v_0 (bvmul a (bvsub ?v_1 (_ bv2 32)))) (= (bvadd (bvmul vxuscore2dollarskuscore28 vxuscore2dollarskuscore28) (bvmul vyuscore2dollarskuscore29 vyuscore2dollarskuscore29)) (_ bv8 32))) (= (bvsub vxuscore2dollarskuscore28 (_ bv2 32)) (bvadd (bvmul (bvneg a) (bvadd ?v_2 (_ bv2 32))) (bvmul (bvmul (_ bv4 32) buscore2dollarskuscore37) ?v_3)))) (= stateuscore2dollarskuscore37 (_ bv1 32))) (=> (and (bvsle (_ bv0 32) ts17uscore2) (bvsle ts17uscore2 t17uscore0dollarskuscore2)) (bvsle vxuscore2dollarskuscore28 (_ bv0 32)))) (bvsge t17uscore0dollarskuscore2 (_ bv0 32))) (= stateuscore2dollarskuscore37 (_ bv2 32))) (= vx (_ bv2 32))) (= vy (bvneg (_ bv2 32)))) (= x (_ bv0 32))) (= y (_ bv0 32))) (= b (_ bv0 32))) (or (or (= stateuscore2dollarskuscore37 (_ bv0 32)) (= ?v_0 (bvmul a (bvsub xuscore2dollarskuscore24 (_ bv2 32))))) (= (bvmul a (bvsub ?v_1 ?v_2)) (bvmul (bvmul (bvneg (_ bv4 32)) (bvadd buscore2dollarskuscore37 (_ bv1 32))) ?v_3))))))))
(check-sat)
(exit)
