(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: magnetic_field, node 49346 For more info see: @see "Sriram Sankaranarayanan, Henny B. Sima, Zohar Manna: Constructing invariants for hybrid systems"
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun b () (_ BitVec 32))
(declare-fun xuscore2dollarskuscore2 () (_ BitVec 32))
(declare-fun a () (_ BitVec 32))
(declare-fun t12uscore0dollarskuscore0 () (_ BitVec 32))
(declare-fun yuscore2dollarskuscore2 () (_ BitVec 32))
(declare-fun vxuscore2dollarskuscore2 () (_ BitVec 32))
(declare-fun vy () (_ BitVec 32))
(declare-fun ts12uscore0 () (_ BitVec 32))
(declare-fun vx () (_ BitVec 32))
(declare-fun stateuscore2dollarskuscore6 () (_ BitVec 32))
(declare-fun buscore2dollarskuscore6 () (_ BitVec 32))
(declare-fun vyuscore2dollarskuscore2 () (_ BitVec 32))
(declare-fun y () (_ BitVec 32))
(declare-fun x () (_ BitVec 32))
(assert (not (exists ((ts12uscore0 (_ BitVec 32))) (let ((?v_0 (bvadd vyuscore2dollarskuscore2 (_ bv2 32))) (?v_2 (bvadd (bvmul t12uscore0dollarskuscore0 vxuscore2dollarskuscore2) xuscore2dollarskuscore2)) (?v_1 (bvsub vxuscore2dollarskuscore2 (_ bv2 32))) (?v_3 (bvadd (bvmul t12uscore0dollarskuscore0 vyuscore2dollarskuscore2) yuscore2dollarskuscore2)) (?v_4 (bvmul (_ bv4 32) buscore2dollarskuscore6))) (let ((?v_5 (bvsub ?v_4 (bvmul (bvmul (_ bv4 32) a) buscore2dollarskuscore6)))) (=> (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (= ?v_0 (bvmul a (bvsub ?v_2 (_ bv2 32)))) (= (bvadd (bvmul vxuscore2dollarskuscore2 vxuscore2dollarskuscore2) (bvmul vyuscore2dollarskuscore2 vyuscore2dollarskuscore2)) (_ bv8 32))) (= ?v_1 (bvadd (bvmul (bvneg a) (bvadd ?v_3 (_ bv2 32))) (bvmul ?v_4 (bvsub (_ bv1 32) a))))) (= ?v_0 (_ bv0 32))) (= ?v_1 (_ bv0 32))) (= (bvmul a (bvadd ?v_2 ?v_3)) ?v_5)) (= stateuscore2dollarskuscore6 (_ bv1 32))) (=> (and (bvsle (_ bv0 32) ts12uscore0) (bvsle ts12uscore0 t12uscore0dollarskuscore0)) (bvsle vxuscore2dollarskuscore2 (_ bv0 32)))) (bvsge t12uscore0dollarskuscore0 (_ bv0 32))) (= stateuscore2dollarskuscore6 (_ bv2 32))) (= stateuscore2dollarskuscore6 (_ bv0 32))) (= vx (_ bv2 32))) (= vy (bvneg (_ bv2 32)))) (= x (_ bv0 32))) (= y (_ bv0 32))) (= b (_ bv0 32))) (or (= (bvmul a (bvadd xuscore2dollarskuscore2 yuscore2dollarskuscore2)) ?v_5) (= (bvadd vxuscore2dollarskuscore2 (_ bv2 32)) (_ bv0 32)))))))))
(check-sat)
(exit)
