(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: magnetic_field, node 51362 For more info see: @see "Sriram Sankaranarayanan, Henny B. Sima, Zohar Manna: Constructing invariants for hybrid systems"
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun vyuscore2dollarskuscore4 () (_ BitVec 32))
(declare-fun b () (_ BitVec 32))
(declare-fun xuscore2dollarskuscore4 () (_ BitVec 32))
(declare-fun a () (_ BitVec 32))
(declare-fun yuscore2dollarskuscore4 () (_ BitVec 32))
(declare-fun t14uscore0dollarskuscore0 () (_ BitVec 32))
(declare-fun vxuscore2dollarskuscore4 () (_ BitVec 32))
(declare-fun buscore2dollarskuscore8 () (_ BitVec 32))
(declare-fun vy () (_ BitVec 32))
(declare-fun vx () (_ BitVec 32))
(declare-fun stateuscore2dollarskuscore8 () (_ BitVec 32))
(declare-fun ts14uscore0 () (_ BitVec 32))
(declare-fun y () (_ BitVec 32))
(declare-fun x () (_ BitVec 32))
(assert (not (exists ((ts14uscore0 (_ BitVec 32))) (let ((?v_0 (bvadd vyuscore2dollarskuscore4 (_ bv2 32))) (?v_2 (bvadd (bvmul t14uscore0dollarskuscore0 vxuscore2dollarskuscore4) xuscore2dollarskuscore4)) (?v_1 (bvsub vxuscore2dollarskuscore4 (_ bv2 32))) (?v_3 (bvadd (bvmul t14uscore0dollarskuscore0 vyuscore2dollarskuscore4) yuscore2dollarskuscore4)) (?v_4 (bvmul (_ bv4 32) buscore2dollarskuscore8))) (=> (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (= ?v_0 (bvmul a (bvsub ?v_2 (_ bv2 32)))) (= (bvadd (bvmul vxuscore2dollarskuscore4 vxuscore2dollarskuscore4) (bvmul vyuscore2dollarskuscore4 vyuscore2dollarskuscore4)) (_ bv8 32))) (= ?v_1 (bvadd (bvmul (bvneg a) (bvadd ?v_3 (_ bv2 32))) (bvmul ?v_4 (bvsub (_ bv1 32) a))))) (= stateuscore2dollarskuscore8 (_ bv2 32))) (= ?v_0 (_ bv0 32))) (= ?v_1 (_ bv0 32))) (= (bvmul a (bvadd ?v_2 ?v_3)) (bvsub ?v_4 (bvmul (bvmul (_ bv4 32) a) buscore2dollarskuscore8)))) (= stateuscore2dollarskuscore8 (_ bv1 32))) (=> (and (bvsle (_ bv0 32) ts14uscore0) (bvsle ts14uscore0 t14uscore0dollarskuscore0)) (bvsge vxuscore2dollarskuscore4 (_ bv0 32)))) (bvsge t14uscore0dollarskuscore0 (_ bv0 32))) (= stateuscore2dollarskuscore8 (_ bv0 32))) (= vx (_ bv2 32))) (= vy (bvneg (_ bv2 32)))) (= x (_ bv0 32))) (= y (_ bv0 32))) (= b (_ bv0 32))) (or (= ?v_0 (bvmul a (bvsub xuscore2dollarskuscore4 (_ bv2 32)))) (= (bvadd vxuscore2dollarskuscore4 (_ bv2 32)) (_ bv0 32))))))))
(check-sat)
(exit)
