(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: magnetic_field, node 77386 For more info see: @see "Sriram Sankaranarayanan, Henny B. Sima, Zohar Manna: Constructing invariants for hybrid systems"
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun b () (_ BitVec 32))
(declare-fun stateuscore2dollarskuscore21 () (_ BitVec 32))
(declare-fun yuscore2dollarskuscore7 () (_ BitVec 32))
(declare-fun a () (_ BitVec 32))
(declare-fun vyuscore2dollarskuscore17 () (_ BitVec 32))
(declare-fun ts23uscore1 () (_ BitVec 32))
(declare-fun vy () (_ BitVec 32))
(declare-fun t23uscore0dollarskuscore1 () (_ BitVec 32))
(declare-fun vx () (_ BitVec 32))
(declare-fun vxuscore2dollarskuscore12 () (_ BitVec 32))
(declare-fun xuscore2dollarskuscore12 () (_ BitVec 32))
(declare-fun buscore2dollarskuscore21 () (_ BitVec 32))
(declare-fun y () (_ BitVec 32))
(declare-fun x () (_ BitVec 32))
(assert (not (exists ((ts23uscore1 (_ BitVec 32))) (let ((?v_0 (bvadd vyuscore2dollarskuscore17 (_ bv2 32))) (?v_2 (bvadd (bvmul t23uscore0dollarskuscore1 vxuscore2dollarskuscore12) xuscore2dollarskuscore12)) (?v_1 (bvsub vxuscore2dollarskuscore12 (_ bv2 32))) (?v_5 (bvneg a)) (?v_3 (bvadd (bvmul t23uscore0dollarskuscore1 vyuscore2dollarskuscore17) yuscore2dollarskuscore7)) (?v_4 (bvmul (_ bv4 32) buscore2dollarskuscore21)) (?v_7 (bvsub (_ bv1 32) a))) (let ((?v_6 (bvmul ?v_4 ?v_7))) (=> (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (= ?v_0 (bvmul a (bvsub ?v_2 (_ bv2 32)))) (= (bvadd (bvmul vxuscore2dollarskuscore12 vxuscore2dollarskuscore12) (bvmul vyuscore2dollarskuscore17 vyuscore2dollarskuscore17)) (_ bv8 32))) (= ?v_1 (bvadd (bvmul ?v_5 (bvadd ?v_3 (_ bv2 32))) ?v_6))) (= stateuscore2dollarskuscore21 (_ bv2 32))) (= ?v_0 (_ bv0 32))) (= ?v_1 (_ bv0 32))) (= (bvmul a (bvadd ?v_2 ?v_3)) (bvsub ?v_4 (bvmul (bvmul (_ bv4 32) a) buscore2dollarskuscore21)))) (= stateuscore2dollarskuscore21 (_ bv1 32))) (=> (and (bvsle (_ bv0 32) ts23uscore1) (bvsle ts23uscore1 t23uscore0dollarskuscore1)) (bvsge vxuscore2dollarskuscore12 (_ bv0 32)))) (bvsge t23uscore0dollarskuscore1 (_ bv0 32))) (= stateuscore2dollarskuscore21 (_ bv0 32))) (= vx (_ bv2 32))) (= vy (bvneg (_ bv2 32)))) (= x (_ bv0 32))) (= y (_ bv0 32))) (= b (_ bv0 32))) (or (= ?v_1 (bvadd (bvmul ?v_5 (bvadd yuscore2dollarskuscore7 (_ bv2 32))) ?v_6)) (= (bvmul a (bvsub ?v_2 ?v_3)) (bvmul (bvmul (bvneg (_ bv4 32)) (bvadd buscore2dollarskuscore21 (_ bv1 32))) ?v_7)))))))))
(check-sat)
(exit)
