(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: magnetic_field, node 88937 For more info see: @see "Sriram Sankaranarayanan, Henny B. Sima, Zohar Manna: Constructing invariants for hybrid systems"
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun b () (_ BitVec 32))
(declare-fun xuscore2dollarskuscore14 () (_ BitVec 32))
(declare-fun a () (_ BitVec 32))
(declare-fun stateuscore2dollarskuscore27 () (_ BitVec 32))
(declare-fun vyuscore2dollarskuscore19 () (_ BitVec 32))
(declare-fun t26uscore0dollarskuscore1 () (_ BitVec 32))
(declare-fun yuscore2dollarskuscore13 () (_ BitVec 32))
(declare-fun vy () (_ BitVec 32))
(declare-fun vx () (_ BitVec 32))
(declare-fun buscore2dollarskuscore27 () (_ BitVec 32))
(declare-fun vxuscore2dollarskuscore18 () (_ BitVec 32))
(declare-fun y () (_ BitVec 32))
(declare-fun ts26uscore1 () (_ BitVec 32))
(declare-fun x () (_ BitVec 32))
(assert (not (exists ((ts26uscore1 (_ BitVec 32))) (let ((?v_0 (bvsub vxuscore2dollarskuscore18 (_ bv2 32))) (?v_1 (bvneg a)) (?v_2 (bvmul (bvmul (_ bv4 32) buscore2dollarskuscore27) (bvsub (_ bv1 32) a)))) (=> (and (and (and (and (and (and (and (and (and (and (and (= (bvadd vyuscore2dollarskuscore19 (_ bv2 32)) (bvmul a (bvsub (bvadd (bvmul t26uscore0dollarskuscore1 vxuscore2dollarskuscore18) xuscore2dollarskuscore14) (_ bv2 32)))) (= (bvadd (bvmul vxuscore2dollarskuscore18 vxuscore2dollarskuscore18) (bvmul vyuscore2dollarskuscore19 vyuscore2dollarskuscore19)) (_ bv8 32))) (= ?v_0 (bvadd (bvmul ?v_1 (bvadd (bvadd (bvmul t26uscore0dollarskuscore1 vyuscore2dollarskuscore19) yuscore2dollarskuscore13) (_ bv2 32))) ?v_2))) (= stateuscore2dollarskuscore27 (_ bv1 32))) (=> (and (bvsle (_ bv0 32) ts26uscore1) (bvsle ts26uscore1 t26uscore0dollarskuscore1)) (bvsle vxuscore2dollarskuscore18 (_ bv0 32)))) (bvsge t26uscore0dollarskuscore1 (_ bv0 32))) (= stateuscore2dollarskuscore27 (_ bv2 32))) (= vx (_ bv2 32))) (= vy (bvneg (_ bv2 32)))) (= x (_ bv0 32))) (= y (_ bv0 32))) (= b (_ bv0 32))) (or (or (= stateuscore2dollarskuscore27 (_ bv0 32)) (= ?v_0 (bvadd (bvmul ?v_1 (bvadd yuscore2dollarskuscore13 (_ bv2 32))) ?v_2))) (= (bvadd vxuscore2dollarskuscore18 (_ bv2 32)) (_ bv0 32))))))))
(check-sat)
(exit)
