(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: rbc-controllability-characterisation, node 3243 For more info see: @see "Andre Platzer and Jan-David Quesel. European Train Control System: A case study in formal verification. In Karin Breitman and Ana Cavalcanti, editors, 11th International Conference on Formal Engineering Methods, ICFEM, Rio de Janeiro, Brasil, Proceedings, volume 5885 of LNCS, pages 246-265. Springer, 2009."
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun d () (_ BitVec 32))
(declare-fun zuscore1 () (_ BitVec 32))
(declare-fun b () (_ BitVec 32))
(declare-fun duscore1dollarskuscore1 () (_ BitVec 32))
(declare-fun vuscore1 () (_ BitVec 32))
(declare-fun vdesuscore1dollarskuscore1 () (_ BitVec 32))
(declare-fun m () (_ BitVec 32))
(declare-fun muscore1dollarskuscore1 () (_ BitVec 32))
(assert (not (exists ((zuscore1 (_ BitVec 32))) (exists ((vuscore1 (_ BitVec 32))) (let ((?v_1 (bvmul (_ bv2 32) b)) (?v_3 (bvmul d d)) (?v_0 (bvmul vuscore1 vuscore1)) (?v_2 (bvsge vuscore1 (_ bv0 32))) (?v_4 (bvmul duscore1dollarskuscore1 duscore1dollarskuscore1))) (=> (and (and (and (=> (and (bvsle (bvsub ?v_0 ?v_3) (bvmul ?v_1 (bvsub m zuscore1))) ?v_2) (and (and (bvsle (bvsub ?v_0 ?v_4) (bvmul ?v_1 (bvsub muscore1dollarskuscore1 zuscore1))) ?v_2) (bvsge duscore1dollarskuscore1 (_ bv0 32)))) (bvsge vdesuscore1dollarskuscore1 (_ bv0 32))) (bvsge d (_ bv0 32))) (bvsgt b (_ bv0 32))) (bvsle (bvsub ?v_3 ?v_4) (bvmul ?v_1 (bvsub muscore1dollarskuscore1 m)))))))))
(check-sat)
(exit)
