(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: rbc-controllability-characterisation, node 3299 For more info see: @see "Andre Platzer and Jan-David Quesel. European Train Control System: A case study in formal verification. In Karin Breitman and Ana Cavalcanti, editors, 11th International Conference on Formal Engineering Methods, ICFEM, Rio de Janeiro, Brasil, Proceedings, volume 5885 of LNCS, pages 246-265. Springer, 2009."
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun zuscore2 () (_ BitVec 32))
(declare-fun d () (_ BitVec 32))
(declare-fun b () (_ BitVec 32))
(declare-fun duscore1dollarskuscore2 () (_ BitVec 32))
(declare-fun vuscore2 () (_ BitVec 32))
(declare-fun vdesuscore1dollarskuscore2 () (_ BitVec 32))
(declare-fun m () (_ BitVec 32))
(assert (not (exists ((zuscore2 (_ BitVec 32))) (exists ((vuscore2 (_ BitVec 32))) (=> (and (and (and (not (and (bvsle (bvsub (bvmul vuscore2 vuscore2) (bvmul d d)) (bvmul (bvmul (_ bv2 32) b) (bvsub m zuscore2))) (bvsge vuscore2 (_ bv0 32)))) (bvsge vdesuscore1dollarskuscore2 (_ bv0 32))) (bvsge d (_ bv0 32))) (bvsgt b (_ bv0 32))) (bvsge duscore1dollarskuscore2 (_ bv0 32)))))))
(check-sat)
(exit)
