(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: reactivity-lemma, node 4238 For more info see: @see "Andre Platzer and Jan-David Quesel. European Train Control System: A case study in formal verification. In Karin Breitman and Ana Cavalcanti, editors, 11th International Conference on Formal Engineering Methods, ICFEM, Rio de Janeiro, Brasil, Proceedings, volume 5885 of LNCS, pages 246-265. Springer, 2009."
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun v () (_ BitVec 32))
(declare-fun d () (_ BitVec 32))
(declare-fun b () (_ BitVec 32))
(declare-fun ts3uscore0 () (_ BitVec 32))
(declare-fun ep () (_ BitVec 32))
(declare-fun m1uscore0dollarskuscore0 () (_ BitVec 32))
(declare-fun amax () (_ BitVec 32))
(declare-fun SB () (_ BitVec 32))
(declare-fun z1uscore0dollarskuscore0 () (_ BitVec 32))
(declare-fun t3uscore0dollarskuscore0 () (_ BitVec 32))
(assert (not (exists ((ts3uscore0 (_ BitVec 32))) (let ((?v_2 (bvmul (_ bv2 32) b)) (?v_0 (bvsub m1uscore0dollarskuscore0 z1uscore0dollarskuscore0)) (?v_4 (bvmul d d))) (let ((?v_1 (bvsub (bvmul v v) ?v_4)) (?v_3 (bvadd (bvmul amax t3uscore0dollarskuscore0) v))) (=> (and (and (and (and (and (and (and (and (and (=> (and (bvsle (_ bv0 32) ts3uscore0) (bvsle ts3uscore0 t3uscore0dollarskuscore0)) (and (bvsge (bvadd (bvmul amax ts3uscore0) v) (_ bv0 32)) (bvsle ts3uscore0 ep))) (bvsge t3uscore0dollarskuscore0 (_ bv0 32))) (bvsle ?v_1 (bvmul ?v_2 ?v_0))) (bvsge ?v_0 SB)) (bvsge SB (bvadd (bvsdiv ?v_1 ?v_2) (bvmul (bvadd (bvsdiv amax b) (_ bv1 32)) (bvadd (bvmul (bvsdiv amax (_ bv2 32)) (bvmul ep ep)) (bvmul ep v)))))) (bvsge d (_ bv0 32))) (bvsgt b (_ bv0 32))) (bvsgt ep (_ bv0 32))) (bvsgt amax (_ bv0 32))) (bvsge v (_ bv0 32))) (bvsle (bvsub (bvmul ?v_3 ?v_3) ?v_4) (bvmul ?v_2 (bvsub m1uscore0dollarskuscore0 (bvmul (bvsdiv (_ bv1 32) (_ bv2 32)) (bvadd (bvadd (bvmul amax (bvmul t3uscore0dollarskuscore0 t3uscore0dollarskuscore0)) (bvmul (bvmul (_ bv2 32) t3uscore0dollarskuscore0) v)) (bvmul (_ bv2 32) z1uscore0dollarskuscore0))))))))))))
(check-sat)
(exit)
