(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: safety-lemma, node 11980 For more info see: @see "Andre Platzer and Jan-David Quesel. European Train Control System: A case study in formal verification. In Karin Breitman and Ana Cavalcanti, editors, 11th International Conference on Formal Engineering Methods, ICFEM, Rio de Janeiro, Brasil, Proceedings, volume 5885 of LNCS, pages 246-265. Springer, 2009."
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun vuscore2dollarskuscore4 () (_ BitVec 32))
(declare-fun duscore2dollarskuscore4 () (_ BitVec 32))
(declare-fun ts5uscore0 () (_ BitVec 32))
(declare-fun d () (_ BitVec 32))
(declare-fun b () (_ BitVec 32))
(declare-fun vdesuscore2dollarskuscore3 () (_ BitVec 32))
(declare-fun A () (_ BitVec 32))
(declare-fun stateuscore2dollarskuscore2 () (_ BitVec 32))
(declare-fun m () (_ BitVec 32))
(declare-fun zuscore2dollarskuscore4 () (_ BitVec 32))
(declare-fun v () (_ BitVec 32))
(declare-fun t5uscore0dollarskuscore0 () (_ BitVec 32))
(declare-fun auscore4dollarskuscore1 () (_ BitVec 32))
(declare-fun ep () (_ BitVec 32))
(declare-fun z () (_ BitVec 32))
(declare-fun muscore2dollarskuscore4 () (_ BitVec 32))
(assert (not (exists ((ts5uscore0 (_ BitVec 32))) (let ((?v_0 (bvneg b)) (?v_1 (bvmul (_ bv2 32) b)) (?v_3 (bvmul duscore2dollarskuscore4 duscore2dollarskuscore4))) (let ((?v_2 (bvadd (bvmul ?v_0 t5uscore0dollarskuscore0) vuscore2dollarskuscore4))) (=> (and (and (and (and (and (and (and (and (and (and (and (and (=> (and (bvsle (_ bv0 32) ts5uscore0) (bvsle ts5uscore0 t5uscore0dollarskuscore0)) (and (bvsge (bvadd (bvmul ?v_0 ts5uscore0) vuscore2dollarskuscore4) (_ bv0 32)) (bvsle ts5uscore0 ep))) (bvsge t5uscore0dollarskuscore0 (_ bv0 32))) (= stateuscore2dollarskuscore2 (_ bv1 32))) (bvslt auscore4dollarskuscore1 (_ bv0 32))) (bvsge auscore4dollarskuscore1 ?v_0)) (bvsge vuscore2dollarskuscore4 vdesuscore2dollarskuscore3)) (bvsle (bvsub (bvmul vuscore2dollarskuscore4 vuscore2dollarskuscore4) ?v_3) (bvmul ?v_1 (bvsub muscore2dollarskuscore4 zuscore2dollarskuscore4)))) (bvsge duscore2dollarskuscore4 (_ bv0 32))) (bvsle (bvsub (bvmul v v) (bvmul d d)) (bvmul ?v_1 (bvsub m z)))) (bvsge d (_ bv0 32))) (bvsgt b (_ bv0 32))) (bvsge A (_ bv0 32))) (bvsge ep (_ bv0 32))) (bvsle (bvsub (bvmul ?v_2 ?v_2) ?v_3) (bvmul ?v_1 (bvsub muscore2dollarskuscore4 (bvmul (bvsdiv (_ bv1 32) (_ bv2 32)) (bvadd (bvadd (bvmul ?v_0 (bvmul t5uscore0dollarskuscore0 t5uscore0dollarskuscore0)) (bvmul (bvmul (_ bv2 32) t5uscore0dollarskuscore0) vuscore2dollarskuscore4)) (bvmul (_ bv2 32) zuscore2dollarskuscore4))))))))))))
(check-sat)
(exit)
