(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: safety-lemma, node 13046 For more info see: @see "Andre Platzer and Jan-David Quesel. European Train Control System: A case study in formal verification. In Karin Breitman and Ana Cavalcanti, editors, 11th International Conference on Formal Engineering Methods, ICFEM, Rio de Janeiro, Brasil, Proceedings, volume 5885 of LNCS, pages 246-265. Springer, 2009."
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun vuscore2dollarskuscore5 () (_ BitVec 32))
(declare-fun duscore2dollarskuscore5 () (_ BitVec 32))
(declare-fun d () (_ BitVec 32))
(declare-fun b () (_ BitVec 32))
(declare-fun A () (_ BitVec 32))
(declare-fun ts6uscore0 () (_ BitVec 32))
(declare-fun vdesuscore2dollarskuscore4 () (_ BitVec 32))
(declare-fun stateuscore2dollarskuscore3 () (_ BitVec 32))
(declare-fun m () (_ BitVec 32))
(declare-fun zuscore2dollarskuscore5 () (_ BitVec 32))
(declare-fun v () (_ BitVec 32))
(declare-fun t6uscore0dollarskuscore0 () (_ BitVec 32))
(declare-fun auscore4dollarskuscore2 () (_ BitVec 32))
(declare-fun ep () (_ BitVec 32))
(declare-fun muscore2dollarskuscore5 () (_ BitVec 32))
(declare-fun z () (_ BitVec 32))
(assert (not (exists ((ts6uscore0 (_ BitVec 32))) (let ((?v_0 (bvmul (_ bv2 32) b)) (?v_1 (bvsub muscore2dollarskuscore5 zuscore2dollarskuscore5)) (?v_4 (bvmul duscore2dollarskuscore5 duscore2dollarskuscore5))) (let ((?v_2 (bvsub (bvmul vuscore2dollarskuscore5 vuscore2dollarskuscore5) ?v_4)) (?v_3 (bvadd (bvmul auscore4dollarskuscore2 t6uscore0dollarskuscore0) vuscore2dollarskuscore5))) (=> (and (and (and (and (and (and (and (and (and (and (and (=> (and (bvsle (_ bv0 32) ts6uscore0) (bvsle ts6uscore0 t6uscore0dollarskuscore0)) (and (bvsge (bvadd (bvmul auscore4dollarskuscore2 ts6uscore0) vuscore2dollarskuscore5) (_ bv0 32)) (bvsle ts6uscore0 ep))) (bvsge t6uscore0dollarskuscore0 (_ bv0 32))) (bvslt auscore4dollarskuscore2 (_ bv0 32))) (bvsge auscore4dollarskuscore2 (bvneg b))) (bvsge vuscore2dollarskuscore5 vdesuscore2dollarskuscore4)) (bvsle ?v_2 (bvmul ?v_0 ?v_1))) (bvsge duscore2dollarskuscore5 (_ bv0 32))) (bvsle (bvsub (bvmul v v) (bvmul d d)) (bvmul ?v_0 (bvsub m z)))) (bvsge d (_ bv0 32))) (bvsgt b (_ bv0 32))) (bvsge A (_ bv0 32))) (bvsge ep (_ bv0 32))) (or (or (bvsle ?v_1 (bvadd (bvsdiv ?v_2 ?v_0) (bvmul (bvadd (bvsdiv A b) (_ bv1 32)) (bvadd (bvmul (bvsdiv A (_ bv2 32)) (bvmul ep ep)) (bvmul ep vuscore2dollarskuscore5))))) (= stateuscore2dollarskuscore3 (_ bv1 32))) (bvsle (bvsub (bvmul ?v_3 ?v_3) ?v_4) (bvmul ?v_0 (bvsub muscore2dollarskuscore5 (bvmul (bvsdiv (_ bv1 32) (_ bv2 32)) (bvadd (bvadd (bvmul auscore4dollarskuscore2 (bvmul t6uscore0dollarskuscore0 t6uscore0dollarskuscore0)) (bvmul (bvmul (_ bv2 32) t6uscore0dollarskuscore0) vuscore2dollarskuscore5)) (bvmul (_ bv2 32) zuscore2dollarskuscore5)))))))))))))
(check-sat)
(exit)
