(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: safety-lemma, node 14050 For more info see: @see "Andre Platzer and Jan-David Quesel. European Train Control System: A case study in formal verification. In Karin Breitman and Ana Cavalcanti, editors, 11th International Conference on Formal Engineering Methods, ICFEM, Rio de Janeiro, Brasil, Proceedings, volume 5885 of LNCS, pages 246-265. Springer, 2009."
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun vuscore2dollarskuscore6 () (_ BitVec 32))
(declare-fun d () (_ BitVec 32))
(declare-fun b () (_ BitVec 32))
(declare-fun A () (_ BitVec 32))
(declare-fun duscore2dollarskuscore6 () (_ BitVec 32))
(declare-fun vdesuscore2dollarskuscore5 () (_ BitVec 32))
(declare-fun m () (_ BitVec 32))
(declare-fun auscore2dollarskuscore2 () (_ BitVec 32))
(declare-fun v () (_ BitVec 32))
(declare-fun zuscore2dollarskuscore6 () (_ BitVec 32))
(declare-fun t7uscore0dollarskuscore0 () (_ BitVec 32))
(declare-fun ts7uscore0 () (_ BitVec 32))
(declare-fun ep () (_ BitVec 32))
(declare-fun muscore2dollarskuscore6 () (_ BitVec 32))
(declare-fun z () (_ BitVec 32))
(assert (not (exists ((ts7uscore0 (_ BitVec 32))) (let ((?v_0 (bvneg b)) (?v_2 (bvmul (_ bv2 32) b)) (?v_5 (bvmul duscore2dollarskuscore6 duscore2dollarskuscore6))) (let ((?v_1 (bvsub (bvmul vuscore2dollarskuscore6 vuscore2dollarskuscore6) ?v_5)) (?v_3 (bvsub muscore2dollarskuscore6 zuscore2dollarskuscore6)) (?v_4 (bvadd (bvmul ?v_0 t7uscore0dollarskuscore0) vuscore2dollarskuscore6))) (=> (and (and (and (and (and (and (and (and (and (and (and (and (=> (and (bvsle (_ bv0 32) ts7uscore0) (bvsle ts7uscore0 t7uscore0dollarskuscore0)) (and (bvsge (bvadd (bvmul ?v_0 ts7uscore0) vuscore2dollarskuscore6) (_ bv0 32)) (bvsle ts7uscore0 ep))) (bvsge t7uscore0dollarskuscore0 (_ bv0 32))) (bvsle ?v_3 (bvadd (bvsdiv ?v_1 ?v_2) (bvmul (bvadd (bvsdiv A b) (_ bv1 32)) (bvadd (bvmul (bvsdiv A (_ bv2 32)) (bvmul ep ep)) (bvmul ep vuscore2dollarskuscore6)))))) (bvsge auscore2dollarskuscore2 ?v_0)) (bvsle auscore2dollarskuscore2 A)) (bvsle vuscore2dollarskuscore6 vdesuscore2dollarskuscore5)) (bvsle ?v_1 (bvmul ?v_2 ?v_3))) (bvsge duscore2dollarskuscore6 (_ bv0 32))) (bvsle (bvsub (bvmul v v) (bvmul d d)) (bvmul ?v_2 (bvsub m z)))) (bvsge d (_ bv0 32))) (bvsgt b (_ bv0 32))) (bvsge A (_ bv0 32))) (bvsge ep (_ bv0 32))) (bvsle (bvsub (bvmul ?v_4 ?v_4) ?v_5) (bvmul ?v_2 (bvsub muscore2dollarskuscore6 (bvmul (bvsdiv (_ bv1 32) (_ bv2 32)) (bvadd (bvadd (bvmul ?v_0 (bvmul t7uscore0dollarskuscore0 t7uscore0dollarskuscore0)) (bvmul (bvmul (_ bv2 32) t7uscore0dollarskuscore0) vuscore2dollarskuscore6)) (bvmul (_ bv2 32) zuscore2dollarskuscore6))))))))))))
(check-sat)
(exit)
