(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: vsl.proof, node 1377 For more info see: No further information available.
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun ts0uscore1 () (_ BitVec 32))
(declare-fun xsluscore6dollarskuscore0 () (_ BitVec 32))
(declare-fun A () (_ BitVec 32))
(declare-fun v1uscore3dollarskuscore1 () (_ BitVec 32))
(declare-fun B () (_ BitVec 32))
(declare-fun vsluscore6dollarskuscore1 () (_ BitVec 32))
(declare-fun ep () (_ BitVec 32))
(declare-fun t7uscore0dollarskuscore1 () (_ BitVec 32))
(declare-fun x1uscore3dollarskuscore0 () (_ BitVec 32))
(assert (not (exists ((ts0uscore1 (_ BitVec 32))) (let ((?v_0 (bvneg B))) (let ((?v_1 (bvadd (bvmul ?v_0 t7uscore0dollarskuscore1) v1uscore3dollarskuscore1))) (=> (and (and (and (and (and (and (and (=> (and (bvsle (_ bv0 32) ts0uscore1) (bvsle ts0uscore1 t7uscore0dollarskuscore1)) (and (bvsge (bvadd (bvmul ?v_0 ts0uscore1) v1uscore3dollarskuscore1) (_ bv0 32)) (bvsle ts0uscore1 ep))) (bvsge t7uscore0dollarskuscore1 (_ bv0 32))) (bvsge v1uscore3dollarskuscore1 (_ bv0 32))) (bvsge vsluscore6dollarskuscore1 (_ bv0 32))) (bvsle v1uscore3dollarskuscore1 vsluscore6dollarskuscore1)) (bvsge A (_ bv0 32))) (bvsgt B (_ bv0 32))) (bvsgt ep (_ bv0 32))) (or (bvsle ?v_1 vsluscore6dollarskuscore1) (bvsge xsluscore6dollarskuscore0 (bvadd (bvmul (bvsdiv (_ bv1 32) (_ bv2 32)) (bvadd (bvadd (bvmul ?v_0 (bvmul t7uscore0dollarskuscore1 t7uscore0dollarskuscore1)) (bvmul (bvmul (_ bv2 32) t7uscore0dollarskuscore1) v1uscore3dollarskuscore1)) (bvmul (_ bv2 32) x1uscore3dollarskuscore0))) (bvsdiv (bvsub (bvmul ?v_1 ?v_1) (bvmul vsluscore6dollarskuscore1 vsluscore6dollarskuscore1)) (bvmul (_ bv2 32) B)))))))))))
(check-sat)
(exit)
