(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: vsl.proof, node 1748 For more info see: No further information available.
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun A () (_ BitVec 32))
(declare-fun B () (_ BitVec 32))
(declare-fun v1uscore3dollarskuscore3 () (_ BitVec 32))
(declare-fun ep () (_ BitVec 32))
(declare-fun vsluscore6dollarskuscore3 () (_ BitVec 32))
(declare-fun vsluscore8dollarskuscore1 () (_ BitVec 32))
(declare-fun x1uscore3dollarskuscore2 () (_ BitVec 32))
(declare-fun xsluscore8dollarskuscore1 () (_ BitVec 32))
(declare-fun t8uscore0dollarskuscore1 () (_ BitVec 32))
(declare-fun ts1uscore1 () (_ BitVec 32))
(assert (not (exists ((ts1uscore1 (_ BitVec 32))) (let ((?v_0 (bvneg B)) (?v_3 (bvmul (_ bv2 32) B)) (?v_2 (bvmul vsluscore8dollarskuscore1 vsluscore8dollarskuscore1))) (let ((?v_1 (bvadd (bvmul ?v_0 t8uscore0dollarskuscore1) v1uscore3dollarskuscore3))) (=> (and (and (and (and (and (and (and (and (and (=> (and (bvsle (_ bv0 32) ts1uscore1) (bvsle ts1uscore1 t8uscore0dollarskuscore1)) (and (bvsge (bvadd (bvmul ?v_0 ts1uscore1) v1uscore3dollarskuscore3) (_ bv0 32)) (bvsle ts1uscore1 ep))) (bvsge t8uscore0dollarskuscore1 (_ bv0 32))) (bvsge vsluscore8dollarskuscore1 (_ bv0 32))) (bvsge xsluscore8dollarskuscore1 (bvadd (bvadd x1uscore3dollarskuscore2 (bvsdiv (bvsub (bvmul v1uscore3dollarskuscore3 v1uscore3dollarskuscore3) ?v_2) ?v_3)) (bvmul (bvadd (bvsdiv A B) (_ bv1 32)) (bvadd (bvmul (bvsdiv A (_ bv2 32)) (bvmul ep ep)) (bvmul ep v1uscore3dollarskuscore3)))))) (bvsge v1uscore3dollarskuscore3 (_ bv0 32))) (bvsge vsluscore6dollarskuscore3 (_ bv0 32))) (bvsle v1uscore3dollarskuscore3 vsluscore6dollarskuscore3)) (bvsge A (_ bv0 32))) (bvsgt B (_ bv0 32))) (bvsgt ep (_ bv0 32))) (or (bvsle ?v_1 vsluscore8dollarskuscore1) (bvsge xsluscore8dollarskuscore1 (bvadd (bvmul (bvsdiv (_ bv1 32) (_ bv2 32)) (bvadd (bvadd (bvmul ?v_0 (bvmul t8uscore0dollarskuscore1 t8uscore0dollarskuscore1)) (bvmul (bvmul (_ bv2 32) t8uscore0dollarskuscore1) v1uscore3dollarskuscore3)) (bvmul (_ bv2 32) x1uscore3dollarskuscore2))) (bvsdiv (bvsub (bvmul ?v_1 ?v_1) ?v_2) ?v_3))))))))))
(check-sat)
(exit)
