(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: vsli-alert.proof, node 2442 For more info see: No further information available.
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun D () (_ BitVec 32))
(declare-fun ts0uscore1 () (_ BitVec 32))
(declare-fun xiuscore2dollarskuscore1 () (_ BitVec 32))
(declare-fun t1uscore0dollarskuscore1 () (_ BitVec 32))
(declare-fun A () (_ BitVec 32))
(declare-fun vi () (_ BitVec 32))
(declare-fun B () (_ BitVec 32))
(declare-fun vsluscore2dollarskuscore1 () (_ BitVec 32))
(declare-fun v1uscore2dollarskuscore1 () (_ BitVec 32))
(declare-fun xsluscore2dollarskuscore1 () (_ BitVec 32))
(declare-fun vmin () (_ BitVec 32))
(declare-fun alerteduscore2dollarskuscore1 () (_ BitVec 32))
(declare-fun ep () (_ BitVec 32))
(declare-fun x1uscore2dollarskuscore1 () (_ BitVec 32))
(assert (not (exists ((ts0uscore1 (_ BitVec 32))) (let ((?v_5 (bvneg B)) (?v_1 (bvmul (_ bv2 32) B)) (?v_0 (bvmul v1uscore2dollarskuscore1 v1uscore2dollarskuscore1))) (let ((?v_2 (bvsdiv (bvsub ?v_0 (bvmul vmin vmin)) ?v_1)) (?v_3 (bvadd (_ bv1 32) (bvsdiv vi vmin))) (?v_4 (bvsub xiuscore2dollarskuscore1 D)) (?v_7 (bvmul vsluscore2dollarskuscore1 vsluscore2dollarskuscore1)) (?v_6 (bvadd (bvmul ?v_5 t1uscore0dollarskuscore1) v1uscore2dollarskuscore1))) (=> (and (and (and (and (and (and (and (and (and (and (and (and (and (=> (and (bvsle (_ bv0 32) ts0uscore1) (bvsle ts0uscore1 t1uscore0dollarskuscore1)) (and (bvsge (bvadd (bvmul ?v_5 ts0uscore1) v1uscore2dollarskuscore1) vmin) (bvsle ts0uscore1 ep))) (bvsge t1uscore0dollarskuscore1 (_ bv0 32))) (bvsgt ?v_4 (bvadd x1uscore2dollarskuscore1 (bvmul (bvadd ?v_2 (bvmul (bvadd (bvsdiv A B) (_ bv1 32)) (bvadd (bvmul (bvsdiv A (_ bv2 32)) (bvmul ep ep)) (bvmul ep v1uscore2dollarskuscore1)))) ?v_3)))) (bvsge v1uscore2dollarskuscore1 vmin)) (bvsge vsluscore2dollarskuscore1 vmin)) (bvsle (bvadd x1uscore2dollarskuscore1 (bvsdiv (bvsub ?v_0 ?v_7) ?v_1)) xsluscore2dollarskuscore1)) (= alerteduscore2dollarskuscore1 (_ bv0 32))) (bvslt (bvadd x1uscore2dollarskuscore1 (bvmul ?v_2 ?v_3)) ?v_4)) (bvsgt vmin (_ bv0 32))) (bvsge vi (_ bv0 32))) (bvsge A (_ bv0 32))) (bvsgt B (_ bv0 32))) (bvsgt ep (_ bv0 32))) (bvsge D (_ bv0 32))) (or (bvsle (bvadd (bvmul (bvsdiv (_ bv1 32) (_ bv2 32)) (bvadd (bvadd (bvmul ?v_5 (bvmul t1uscore0dollarskuscore1 t1uscore0dollarskuscore1)) (bvmul (bvmul (_ bv2 32) t1uscore0dollarskuscore1) v1uscore2dollarskuscore1)) (bvmul (_ bv2 32) x1uscore2dollarskuscore1))) (bvsdiv (bvsub (bvmul ?v_6 ?v_6) ?v_7) ?v_1)) xsluscore2dollarskuscore1) (bvsle ?v_6 vsluscore2dollarskuscore1))))))))
(check-sat)
(exit)
