(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: vsli.proof, node 2282 For more info see: No further information available.
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun vsluscore3dollarskuscore0 () (_ BitVec 32))
(declare-fun D () (_ BitVec 32))
(declare-fun ts0uscore0 () (_ BitVec 32))
(declare-fun vsluscore2dollarskuscore0 () (_ BitVec 32))
(declare-fun xiuscore2dollarskuscore0 () (_ BitVec 32))
(declare-fun vi () (_ BitVec 32))
(declare-fun A () (_ BitVec 32))
(declare-fun B () (_ BitVec 32))
(declare-fun t1uscore0dollarskuscore0 () (_ BitVec 32))
(declare-fun xsluscore2dollarskuscore0 () (_ BitVec 32))
(declare-fun xsluscore3dollarskuscore0 () (_ BitVec 32))
(declare-fun v1uscore2dollarskuscore0 () (_ BitVec 32))
(declare-fun vmin () (_ BitVec 32))
(declare-fun ep () (_ BitVec 32))
(declare-fun x1uscore2dollarskuscore0 () (_ BitVec 32))
(assert (not (exists ((ts0uscore0 (_ BitVec 32))) (let ((?v_6 (bvneg B)) (?v_1 (bvmul (_ bv2 32) B)) (?v_0 (bvmul v1uscore2dollarskuscore0 v1uscore2dollarskuscore0)) (?v_2 (bvmul (bvadd (bvsdiv A B) (_ bv1 32)) (bvadd (bvmul (bvsdiv A (_ bv2 32)) (bvmul ep ep)) (bvmul ep v1uscore2dollarskuscore0))))) (let ((?v_3 (bvsdiv (bvsub ?v_0 (bvmul vmin vmin)) ?v_1)) (?v_4 (bvadd (_ bv1 32) (bvsdiv vi vmin))) (?v_5 (bvsub xiuscore2dollarskuscore0 D))) (=> (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (=> (and (bvsle (_ bv0 32) ts0uscore0) (bvsle ts0uscore0 t1uscore0dollarskuscore0)) (and (bvsge (bvadd (bvmul ?v_6 ts0uscore0) v1uscore2dollarskuscore0) vmin) (bvsle ts0uscore0 ep))) (bvsge t1uscore0dollarskuscore0 (_ bv0 32))) (bvsge vsluscore3dollarskuscore0 vmin)) (bvsle xsluscore3dollarskuscore0 xiuscore2dollarskuscore0)) (bvsle xsluscore3dollarskuscore0 (bvsdiv (bvadd (bvmul xiuscore2dollarskuscore0 vmin) (bvmul x1uscore2dollarskuscore0 vi)) (bvadd vi vmin)))) (bvsge xsluscore3dollarskuscore0 (bvadd (bvadd x1uscore2dollarskuscore0 (bvsdiv (bvsub ?v_0 (bvmul vsluscore3dollarskuscore0 vsluscore3dollarskuscore0)) ?v_1)) ?v_2))) (bvsle ?v_5 (bvadd x1uscore2dollarskuscore0 (bvmul (bvadd ?v_3 ?v_2) ?v_4)))) (bvsle x1uscore2dollarskuscore0 xiuscore2dollarskuscore0)) (bvsge v1uscore2dollarskuscore0 vmin)) (bvsge vsluscore2dollarskuscore0 vmin)) (bvsle (bvadd x1uscore2dollarskuscore0 (bvsdiv (bvsub ?v_0 (bvmul vsluscore2dollarskuscore0 vsluscore2dollarskuscore0)) ?v_1)) xsluscore2dollarskuscore0)) (bvslt (bvadd x1uscore2dollarskuscore0 (bvmul ?v_3 ?v_4)) ?v_5)) (bvsgt vmin (_ bv0 32))) (bvsge vi (_ bv0 32))) (bvsge A (_ bv0 32))) (bvsgt B (_ bv0 32))) (bvsgt ep (_ bv0 32))) (bvsge D (_ bv0 32))) (bvsge (bvadd (bvmul ?v_6 t1uscore0dollarskuscore0) v1uscore2dollarskuscore0) vmin)))))))
(check-sat)
(exit)
