(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(declare-fun y1 () (_ BitVec 32))
(declare-fun y2 () (_ BitVec 32))
(declare-fun y3 () (_ BitVec 32))
(declare-fun x1 () (_ BitVec 32))
(assert (exists ((?y1 (_ BitVec 32))) (exists ((?y2 (_ BitVec 32))) (let ((?v_0 (bvmul (_ bv89 32) ?y2)) (?v_1 (bvmul (_ bv35 32) x1))) (and (or (forall ((?y3 (_ BitVec 32))) (and (or (and (or (and (bvsge (bvadd (bvmul (bvneg (_ bv14 32)) ?y3) (bvmul (bvneg (_ bv77 32)) ?y2)) (_ bv64 32)) (not (= (bvadd (bvadd (bvadd (bvmul (_ bv46 32) ?y3) (bvmul (bvneg (_ bv48 32)) ?y2)) (bvmul (_ bv4 32) ?y1)) (bvmul (bvneg (_ bv62 32)) x1)) (bvneg (_ bv54 32))))) (or (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv29 32)) ?y3) (bvmul (bvneg (_ bv79 32)) ?y1)) (bvmul (_ bv39 32) x1)) (_ bv32 32)) (not (= (bvadd (bvmul (bvneg (_ bv70 32)) ?y2) (bvmul (bvneg (_ bv25 32)) x1)) (bvneg (_ bv39 32)))))) (and (= (bvadd (bvmul (bvneg (_ bv4 32)) ?y1) (bvmul (_ bv9 32) x1)) (bvneg (_ bv30 32))) (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv44 32)) ?y3) (bvmul (_ bv81 32) ?y2)) (bvmul (_ bv29 32) ?y1)) (bvmul (bvneg (_ bv19 32)) x1)) (_ bv84 32)))) (or (and (bvsle (bvadd (bvmul (_ bv17 32) ?y1) (bvmul (bvneg (_ bv11 32)) x1)) (_ bv0 32)) (bvslt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv74 32)) ?y3) (bvmul (bvneg (_ bv66 32)) ?y2)) (bvmul (bvneg (_ bv46 32)) ?y1)) (bvmul (_ bv52 32) x1)) (_ bv25 32))) (not (= (bvadd (bvadd (bvmul (_ bv42 32) ?y3) (bvmul (bvneg (_ bv2 32)) ?y2)) (bvmul (_ bv7 32) x1)) (_ bv36 32))))) (or (and (or (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv41 32)) ?y2) (bvmul (bvneg (_ bv1 32)) ?y1)) (bvmul (_ bv62 32) x1)) (_ bv0 32)) (bvsge (bvadd (bvadd (bvadd (bvmul (_ bv10 32) ?y3) (bvmul (_ bv17 32) ?y2)) (bvmul (bvneg (_ bv74 32)) ?y1)) (bvmul (bvneg (_ bv79 32)) x1)) (bvneg (_ bv14 32)))) (or (= (bvadd (bvmul (_ bv95 32) ?y3) (bvmul (bvneg (_ bv88 32)) ?y2)) (bvneg (_ bv24 32))) (bvsgt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv15 32)) ?y3) (bvmul (bvneg (_ bv37 32)) ?y2)) (bvmul (bvneg (_ bv63 32)) ?y1)) (bvmul (_ bv27 32) x1)) (bvneg (_ bv79 32))))) (or (and (not (= (bvadd (bvadd (bvmul (bvneg (_ bv55 32)) ?y3) (bvmul (bvneg (_ bv40 32)) ?y2)) (bvmul (bvneg (_ bv35 32)) x1)) (_ bv0 32))) (bvsgt (bvmul (_ bv59 32) ?y1) (_ bv80 32))) (or (bvslt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv34 32)) ?y3) (bvmul (bvneg (_ bv4 32)) ?y2)) (bvmul (_ bv46 32) ?y1)) (bvmul (bvneg (_ bv32 32)) x1)) (bvneg (_ bv80 32))) (bvslt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv77 32)) ?y3) (bvmul (_ bv21 32) ?y2)) (bvmul (_ bv30 32) ?y1)) (bvmul (bvneg (_ bv100 32)) x1)) (_ bv19 32))))))) (and (and (and (and (and (= (bvadd (bvmul (bvneg (_ bv19 32)) ?y1) (bvmul (_ bv94 32) x1)) (bvneg (_ bv93 32))) (bvsle (bvadd (bvmul (_ bv61 32) ?y1) (bvmul (bvneg (_ bv31 32)) x1)) (_ bv75 32))) (or (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv38 32)) ?y2) (bvmul (_ bv38 32) ?y1)) (bvmul (_ bv71 32) x1)) (_ bv0 32)) (bvslt (bvadd (bvadd (bvmul (_ bv15 32) ?y2) (bvmul (_ bv40 32) ?y1)) (bvmul (_ bv67 32) x1)) (_ bv1 32)))) (and (not (= (bvadd (bvadd (bvmul (_ bv61 32) ?y2) (bvmul (_ bv31 32) ?y1)) (bvmul (bvneg (_ bv3 32)) x1)) (bvneg (_ bv33 32)))) (bvsgt (bvmul (bvneg (_ bv91 32)) ?y1) (_ bv0 32)))) (and (or (bvsge (bvadd (bvmul (bvneg (_ bv88 32)) ?y1) (bvmul (_ bv46 32) x1)) (bvneg (_ bv95 32))) (bvsgt (bvadd (bvmul (_ bv39 32) ?y2) (bvmul (_ bv99 32) x1)) (bvneg (_ bv82 32)))) (or (or (bvsle (bvadd (bvmul (_ bv76 32) ?y1) (bvmul (_ bv85 32) x1)) (bvneg (_ bv21 32))) (not (= (bvadd (bvadd ?v_0 (bvmul (_ bv20 32) ?y1)) (bvmul (bvneg (_ bv26 32)) x1)) (_ bv0 32)))) (and (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv67 32)) ?y2) (bvmul (_ bv96 32) ?y1)) (bvmul (bvneg (_ bv14 32)) x1)) (_ bv0 32)) (bvsgt (bvmul (_ bv99 32) ?y1) (_ bv86 32)))))) (and (and (or (bvsgt (bvadd (bvmul (_ bv32 32) ?y2) ?v_1) (_ bv0 32)) (or (not (= (bvadd (bvmul (_ bv53 32) ?y1) (bvmul (bvneg (_ bv67 32)) x1)) (_ bv23 32))) (= (bvadd (bvadd (bvmul (_ bv8 32) ?y2) (bvmul (bvneg (_ bv47 32)) ?y1)) (bvmul (bvneg (_ bv6 32)) x1)) (bvneg (_ bv21 32))))) (and (or (bvsle (bvadd (bvadd (bvmul (_ bv94 32) ?y2) (bvmul (bvneg (_ bv55 32)) ?y1)) (bvmul (bvneg (_ bv59 32)) x1)) (bvneg (_ bv69 32))) (bvsgt (bvadd (bvmul (_ bv42 32) ?y1) (bvmul (_ bv23 32) x1)) (_ bv50 32))) (and (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv53 32)) ?y2) (bvmul (_ bv94 32) ?y1)) (bvmul (bvneg (_ bv7 32)) x1)) (_ bv0 32)) (bvsle (bvadd (bvmul (bvneg (_ bv80 32)) ?y1) (bvmul (bvneg (_ bv58 32)) x1)) (_ bv0 32))))) (and (and (or (bvslt (bvadd (bvmul (bvneg (_ bv100 32)) ?y2) (bvmul (bvneg (_ bv10 32)) ?y1)) (bvneg (_ bv35 32))) (bvsge (bvadd (bvmul (_ bv78 32) ?y1) (bvmul (_ bv29 32) x1)) (_ bv0 32))) (or (= (bvadd (bvadd (bvmul (bvneg (_ bv22 32)) ?y2) (bvmul (bvneg (_ bv9 32)) ?y1)) (bvmul (bvneg (_ bv4 32)) x1)) (bvneg (_ bv63 32))) (bvslt (bvadd (bvadd ?v_0 (bvmul (_ bv75 32) ?y1)) (bvmul (_ bv37 32) x1)) (_ bv37 32)))) (or (and (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv31 32)) ?y2) (bvmul (_ bv63 32) ?y1)) (bvmul (bvneg (_ bv30 32)) x1)) (_ bv46 32)) (bvslt (bvmul (_ bv71 32) ?y2) (_ bv88 32))) (or (= (bvadd (bvadd (bvmul (_ bv86 32) ?y2) (bvmul (_ bv14 32) ?y1)) ?v_1) (_ bv0 32)) (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv33 32)) ?y2) (bvmul (_ bv77 32) ?y1)) (bvmul (bvneg (_ bv82 32)) x1)) (_ bv2 32)))))))) (exists ((?y3 (_ BitVec 32))) (let ((?v_2 (bvmul (bvneg (_ bv25 32)) x1)) (?v_3 (bvmul (bvneg (_ bv35 32)) ?y2))) (and (and (and (or (or (= (bvadd (bvadd (bvmul (_ bv58 32) ?y2) (bvmul (bvneg (_ bv76 32)) ?y1)) ?v_2) (_ bv51 32)) (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv53 32)) ?y3) (bvmul (_ bv67 32) ?y2)) (bvmul (_ bv84 32) ?y1)) (bvmul (bvneg (_ bv49 32)) x1)) (_ bv0 32))) (bvsle (bvadd (bvmul (bvneg (_ bv62 32)) ?y3) (bvmul (bvneg (_ bv95 32)) ?y1)) (bvneg (_ bv61 32)))) (or (and (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv15 32)) ?y3) (bvmul (bvneg (_ bv36 32)) ?y2)) (bvmul (bvneg (_ bv36 32)) ?y1)) (bvneg (_ bv7 32))) (bvsge (bvadd (bvadd (bvadd (bvmul (_ bv18 32) ?y3) (bvmul (bvneg (_ bv4 32)) ?y2)) (bvmul (_ bv13 32) ?y1)) (bvmul (_ bv25 32) x1)) (bvneg (_ bv56 32)))) (and (not (= (bvadd (bvadd (bvmul (bvneg (_ bv51 32)) ?y3) (bvmul (_ bv52 32) ?y1)) (bvmul (_ bv27 32) x1)) (bvneg (_ bv13 32)))) (not (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv100 32)) ?y3) (bvmul (bvneg (_ bv6 32)) ?y2)) (bvmul (_ bv12 32) ?y1)) (bvmul (bvneg (_ bv60 32)) x1)) (bvneg (_ bv73 32))))))) (or (or (or (= (bvadd (bvadd (bvmul (bvneg (_ bv46 32)) ?y3) (bvmul (bvneg (_ bv39 32)) ?y2)) (bvmul (bvneg (_ bv21 32)) x1)) (bvneg (_ bv66 32))) (bvslt (bvadd (bvmul (bvneg (_ bv18 32)) ?y3) (bvmul (bvneg (_ bv56 32)) ?y2)) (bvneg (_ bv71 32)))) (or (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv81 32)) ?y2) (bvmul (_ bv83 32) ?y1)) (bvmul (bvneg (_ bv28 32)) x1)) (_ bv8 32)) (= (bvadd (bvmul (_ bv41 32) ?y3) (bvmul (_ bv55 32) x1)) (bvneg (_ bv12 32))))) (or (or (= (bvadd (bvmul (bvneg (_ bv85 32)) ?y3) (bvmul (bvneg (_ bv7 32)) x1)) (bvneg (_ bv66 32))) (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv26 32)) ?y3) (bvmul (_ bv53 32) ?y2)) (bvmul (bvneg (_ bv73 32)) x1)) (bvneg (_ bv77 32)))) (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv14 32)) ?y3) (bvmul (_ bv86 32) ?y2)) (bvmul (_ bv26 32) ?y1)) (bvmul (bvneg (_ bv66 32)) x1)) (_ bv65 32))))) (or (and (not (= ?v_2 (bvneg (_ bv85 32)))) (and (or (= (bvadd (bvadd (bvadd (bvmul (_ bv76 32) ?y3) (bvmul (bvneg (_ bv1 32)) ?y2)) (bvmul (bvneg (_ bv98 32)) ?y1)) (bvmul (bvneg (_ bv98 32)) x1)) (_ bv33 32)) (= (bvadd (bvadd (bvmul (_ bv56 32) ?y3) (bvmul (bvneg (_ bv68 32)) ?y1)) (bvmul (_ bv15 32) x1)) (bvneg (_ bv81 32)))) (or (not (= (bvadd (bvadd (bvmul (_ bv10 32) ?y3) (bvmul (_ bv9 32) ?y2)) (bvmul (_ bv10 32) ?y1)) (_ bv74 32))) (bvsge (bvadd (bvadd (bvmul (_ bv84 32) ?y3) (bvmul (_ bv37 32) ?y2)) (bvmul (_ bv9 32) ?y1)) (bvneg (_ bv95 32)))))) (and (and (or (not (= (bvadd (bvmul (bvneg (_ bv16 32)) ?y3) (bvmul (bvneg (_ bv40 32)) ?y2)) (_ bv11 32))) (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv48 32)) ?y2) (bvmul (bvneg (_ bv58 32)) ?y1)) (bvmul (_ bv70 32) x1)) (bvneg (_ bv95 32)))) (and (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv19 32)) ?y3) (bvmul (bvneg (_ bv15 32)) ?y1)) (bvmul (bvneg (_ bv81 32)) x1)) (_ bv80 32)) (bvsge (bvadd ?v_3 (bvmul (bvneg (_ bv20 32)) x1)) (bvneg (_ bv98 32))))) (or (or (bvsgt (bvadd (bvadd (bvmul (_ bv57 32) ?y3) (bvmul (bvneg (_ bv85 32)) ?y1)) (bvmul (_ bv97 32) x1)) (_ bv5 32)) (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv91 32)) ?y2) (bvmul (_ bv99 32) ?y1)) (bvmul (bvneg (_ bv79 32)) x1)) (bvneg (_ bv8 32)))) (and (= (bvadd (bvadd (bvmul (bvneg (_ bv6 32)) ?y3) ?v_3) (bvmul (bvneg (_ bv48 32)) x1)) (_ bv21 32)) (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv20 32)) ?y3) (bvmul (bvneg (_ bv49 32)) ?y1)) (bvmul (_ bv10 32) x1)) (bvneg (_ bv53 32)))))))))))))))
(check-sat)
(exit)
