(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(declare-fun y2 () (_ BitVec 32))
(declare-fun y3 () (_ BitVec 32))
(declare-fun x1 () (_ BitVec 32))
(declare-fun y1 () (_ BitVec 32))
(assert (or (and (and (and (exists ((?y2 (_ BitVec 32))) (or (forall ((?y3 (_ BitVec 32))) (or (or (bvslt (bvadd (bvmul (_ bv77 32) ?y3) (bvmul (_ bv34 32) x1)) (_ bv79 32)) (bvslt (bvadd (bvmul (_ bv51 32) ?y3) (bvmul (bvneg (_ bv12 32)) ?y2)) (bvneg (_ bv53 32)))) (and (not (= (bvmul (bvneg (_ bv25 32)) x1) (_ bv0 32))) (bvslt (bvmul (_ bv90 32) ?y2) (bvneg (_ bv56 32)))))) (or (exists ((?y3 (_ BitVec 32))) (not (= (bvadd (bvmul (bvneg (_ bv94 32)) ?y2) (bvmul (_ bv90 32) x1)) (bvneg (_ bv54 32))))) (and (bvsle (bvadd (bvmul (bvneg (_ bv28 32)) ?y2) (bvmul (_ bv4 32) x1)) (_ bv62 32)) (exists ((?y3 (_ BitVec 32))) (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv83 32)) ?y3) (bvmul (bvneg (_ bv2 32)) ?y2)) (bvmul (_ bv78 32) x1)) (_ bv34 32))))))) (forall ((?y1 (_ BitVec 32))) (forall ((?y2 (_ BitVec 32))) (and (or (or (= (bvadd (bvmul (bvneg (_ bv64 32)) ?y1) (bvmul (bvneg (_ bv1 32)) x1)) (_ bv12 32)) (bvsge (bvadd (bvmul (bvneg (_ bv27 32)) ?y2) (bvmul (_ bv39 32) x1)) (_ bv0 32))) (and (bvslt (bvadd (bvmul (_ bv20 32) ?y1) (bvmul (bvneg (_ bv51 32)) x1)) (_ bv25 32)) (not (= (bvadd (bvadd (bvmul (bvneg (_ bv61 32)) ?y2) (bvmul (_ bv58 32) ?y1)) (bvmul (bvneg (_ bv69 32)) x1)) (bvneg (_ bv91 32)))))) (or (or (bvsgt (bvadd (bvmul (bvneg (_ bv35 32)) ?y2) (bvmul (bvneg (_ bv78 32)) ?y1)) (bvneg (_ bv49 32))) (bvslt (bvadd (bvmul (bvneg (_ bv77 32)) ?y2) (bvmul (bvneg (_ bv81 32)) x1)) (_ bv22 32))) (and (= (bvadd (bvmul (bvneg (_ bv55 32)) ?y1) (bvmul (bvneg (_ bv71 32)) x1)) (_ bv51 32)) (bvsle (bvmul (bvneg (_ bv2 32)) ?y1) (_ bv0 32)))))))) (or (and (forall ((?y1 (_ BitVec 32))) (exists ((?y2 (_ BitVec 32))) (forall ((?y3 (_ BitVec 32))) (and (bvsge (bvadd (bvmul (bvneg (_ bv42 32)) ?y2) (bvmul (bvneg (_ bv88 32)) ?y1)) (_ bv0 32)) (not (= (bvadd (bvmul (_ bv94 32) ?y3) (bvmul (bvneg (_ bv41 32)) ?y2)) (_ bv20 32))))))) (exists ((?y1 (_ BitVec 32))) (forall ((?y2 (_ BitVec 32))) (exists ((?y3 (_ BitVec 32))) (or (or (bvsle (bvadd (bvadd (bvmul (_ bv79 32) ?y3) (bvmul (_ bv1 32) ?y1)) (bvmul (bvneg (_ bv72 32)) x1)) (_ bv5 32)) (not (= (bvadd (bvadd (bvmul (_ bv42 32) ?y3) (bvmul (_ bv4 32) ?y1)) (bvmul (_ bv51 32) x1)) (_ bv84 32)))) (not (= (bvadd (bvmul (bvneg (_ bv58 32)) ?y2) (bvmul (bvneg (_ bv13 32)) ?y1)) (bvneg (_ bv1 32))))))))) (or (and (or (= (bvmul (_ bv21 32) x1) (bvneg (_ bv18 32))) (bvsge (bvmul (_ bv76 32) x1) (_ bv0 32))) (or (bvsge (bvmul (bvneg (_ bv79 32)) x1) (_ bv61 32)) (bvsge (bvmul (bvneg (_ bv32 32)) x1) (bvneg (_ bv26 32))))) (and (and (or (bvsge (bvmul (bvneg (_ bv44 32)) x1) (_ bv58 32)) (not (= (bvmul (bvneg (_ bv68 32)) x1) (bvneg (_ bv93 32))))) (forall ((?y3 (_ BitVec 32))) (bvsge (bvmul (bvneg (_ bv14 32)) x1) (_ bv91 32)))) (forall ((?y2 (_ BitVec 32))) (and (and (bvsgt (bvmul (bvneg (_ bv65 32)) x1) (_ bv74 32)) (bvsge (bvadd (bvmul (_ bv27 32) ?y2) (bvmul (bvneg (_ bv84 32)) x1)) (bvneg (_ bv68 32)))) (and (bvsge (bvadd (bvmul (_ bv11 32) ?y2) (bvmul (bvneg (_ bv77 32)) x1)) (_ bv0 32)) (bvslt (bvadd (bvmul (bvneg (_ bv67 32)) ?y2) (bvmul (bvneg (_ bv42 32)) x1)) (_ bv88 32))))))))) (forall ((?y1 (_ BitVec 32))) (exists ((?y2 (_ BitVec 32))) (exists ((?y3 (_ BitVec 32))) (let ((?v_0 (bvmul (_ bv74 32) ?y2)) (?v_2 (bvmul (_ bv66 32) ?y1)) (?v_1 (bvmul (bvneg (_ bv1 32)) ?y1))) (or (and (or (or (and (bvsge (bvadd (bvmul (bvneg (_ bv8 32)) ?y3) (bvmul (_ bv15 32) ?y1)) (_ bv61 32)) (bvslt (bvadd (bvadd (bvmul (_ bv12 32) ?y3) (bvmul (bvneg (_ bv29 32)) ?y2)) (bvmul (_ bv71 32) ?y1)) (_ bv1 32))) (and (bvsge (bvadd (bvadd (bvmul (_ bv68 32) ?y3) (bvmul (_ bv64 32) ?y2)) (bvmul (bvneg (_ bv14 32)) ?y1)) (bvneg (_ bv47 32))) (not (= (bvadd (bvadd (bvmul (_ bv7 32) ?y2) (bvmul (bvneg (_ bv32 32)) ?y1)) (bvmul (_ bv2 32) x1)) (bvneg (_ bv42 32)))))) (or (or (not (= (bvadd (bvadd (bvmul (bvneg (_ bv80 32)) ?y3) (bvmul (_ bv79 32) ?y2)) (bvmul (_ bv45 32) x1)) (_ bv48 32))) (bvsle (bvadd (bvadd (bvmul (_ bv46 32) ?y3) (bvmul (bvneg (_ bv47 32)) ?y2)) (bvmul (_ bv14 32) x1)) (_ bv38 32))) (and (bvslt (bvadd (bvmul (_ bv41 32) ?y2) (bvmul (_ bv90 32) ?y1)) (_ bv0 32)) (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv91 32)) ?y3) (bvmul (bvneg (_ bv55 32)) ?y2)) (bvmul (_ bv63 32) ?y1)) (bvmul (_ bv38 32) x1)) (_ bv35 32))))) (or (and (and (bvsge (bvadd (bvmul (bvneg (_ bv78 32)) ?y3) (bvmul (_ bv11 32) ?y1)) (_ bv25 32)) (= (bvmul (_ bv66 32) ?y3) (_ bv0 32))) (bvslt (bvadd (bvadd ?v_0 (bvmul (_ bv65 32) ?y1)) (bvmul (_ bv23 32) x1)) (bvneg (_ bv80 32)))) (and (or (bvsle (bvadd (bvadd (bvmul (_ bv23 32) ?y2) ?v_1) (bvmul (_ bv73 32) x1)) (bvneg (_ bv19 32))) (= (bvadd (bvadd (bvmul (_ bv49 32) ?y3) (bvmul (_ bv42 32) ?y1)) (bvmul (_ bv50 32) x1)) (_ bv0 32))) (and (not (= (bvadd (bvmul (_ bv34 32) ?y1) (bvmul (_ bv28 32) x1)) (bvneg (_ bv66 32)))) (bvsle (bvadd ?v_0 ?v_1) (bvneg (_ bv73 32))))))) (or (and (bvsle (bvadd (bvmul (bvneg (_ bv63 32)) ?y3) (bvmul (bvneg (_ bv4 32)) ?y2)) (bvneg (_ bv28 32))) (= (bvadd (bvadd (bvmul (bvneg (_ bv98 32)) ?y3) (bvmul (_ bv87 32) ?y1)) (bvmul (_ bv13 32) x1)) (_ bv0 32))) (and (not (= (bvadd (bvadd (bvadd (bvmul (_ bv47 32) ?y3) (bvmul (_ bv73 32) ?y2)) ?v_2) (bvmul (bvneg (_ bv15 32)) x1)) (_ bv72 32))) (bvsge (bvadd (bvadd (bvmul (_ bv77 32) ?y3) ?v_2) (bvmul (_ bv82 32) x1)) (_ bv10 32)))))))))) (exists ((?y1 (_ BitVec 32))) (forall ((?y2 (_ BitVec 32))) (let ((?v_3 (bvmul (_ bv11 32) ?y2))) (and (forall ((?y3 (_ BitVec 32))) (let ((?v_4 (bvmul (_ bv11 32) ?y3)) (?v_8 (bvmul (_ bv48 32) ?y2)) (?v_6 (bvmul (_ bv60 32) x1)) (?v_5 (bvmul (bvneg (_ bv77 32)) ?y2)) (?v_7 (bvmul (bvneg (_ bv41 32)) ?y3))) (or (or (and (or (and (= (bvadd (bvadd (bvadd (bvmul (_ bv84 32) ?y3) ?v_5) (bvmul (bvneg (_ bv44 32)) ?y1)) (bvmul (_ bv67 32) x1)) (_ bv0 32)) (bvsgt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv36 32)) ?y3) (bvmul (bvneg (_ bv46 32)) ?y2)) (bvmul (_ bv8 32) ?y1)) (bvmul (_ bv86 32) x1)) (_ bv33 32))) (or (bvsgt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv79 32)) ?y3) (bvmul (bvneg (_ bv71 32)) ?y2)) (bvmul (_ bv84 32) ?y1)) (bvmul (bvneg (_ bv88 32)) x1)) (_ bv0 32)) (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv100 32)) ?y3) (bvmul (_ bv90 32) ?y2)) (bvmul (_ bv34 32) ?y1)) (_ bv7 32)))) (or (or (bvslt (bvadd (bvmul (bvneg (_ bv82 32)) ?y2) (bvmul (bvneg (_ bv30 32)) x1)) (_ bv40 32)) (bvsgt (bvadd (bvadd (bvadd ?v_7 (bvmul (bvneg (_ bv5 32)) ?y2)) (bvmul (bvneg (_ bv53 32)) ?y1)) (bvmul (bvneg (_ bv10 32)) x1)) (_ bv57 32))) (or (bvsge (bvadd (bvadd (bvadd (bvmul (_ bv18 32) ?y3) (bvmul (bvneg (_ bv87 32)) ?y2)) (bvmul (_ bv79 32) ?y1)) (bvmul (_ bv70 32) x1)) (_ bv16 32)) (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv64 32)) ?y3) (bvmul (bvneg (_ bv37 32)) ?y2)) (bvmul (bvneg (_ bv3 32)) x1)) (_ bv0 32))))) (and (or (and (not (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv74 32)) ?y3) (bvmul (bvneg (_ bv73 32)) ?y2)) (bvmul (_ bv26 32) ?y1)) (bvmul (_ bv26 32) x1)) (bvneg (_ bv6 32)))) (bvsle (bvadd (bvadd (bvadd (bvmul (_ bv40 32) ?y3) (bvmul (bvneg (_ bv81 32)) ?y2)) (bvmul (_ bv75 32) ?y1)) (bvmul (bvneg (_ bv47 32)) x1)) (bvneg (_ bv19 32)))) (and (bvslt (bvadd (bvadd (bvmul (_ bv46 32) ?y2) (bvmul (_ bv90 32) ?y1)) (bvmul (bvneg (_ bv66 32)) x1)) (_ bv94 32)) (bvsge (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv83 32)) ?y3) (bvmul (bvneg (_ bv74 32)) ?y2)) (bvmul (_ bv42 32) ?y1)) (bvmul (bvneg (_ bv31 32)) x1)) (bvneg (_ bv86 32))))) (or (and (bvsgt (bvmul (bvneg (_ bv45 32)) ?y2) (_ bv0 32)) (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv69 32)) ?y3) (bvmul (bvneg (_ bv86 32)) ?y1)) (bvmul (bvneg (_ bv92 32)) x1)) (_ bv0 32))) (bvslt (bvadd (bvadd (bvmul (_ bv16 32) ?y3) (bvmul (bvneg (_ bv18 32)) ?y2)) (bvmul (bvneg (_ bv92 32)) ?y1)) (bvneg (_ bv32 32)))))) (and (and (and (= (bvadd (bvadd ?v_4 (bvmul (_ bv75 32) ?y2)) (bvmul (_ bv6 32) x1)) (_ bv57 32)) (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv90 32)) ?y3) ?v_8) (bvmul (bvneg (_ bv94 32)) ?y1)) (bvmul (bvneg (_ bv48 32)) x1)) (bvneg (_ bv45 32)))) (and (and (bvsge (bvadd (bvadd (bvmul (_ bv67 32) ?y3) (bvmul (bvneg (_ bv21 32)) ?y1)) (bvmul (bvneg (_ bv29 32)) x1)) (bvneg (_ bv8 32))) (bvsgt (bvadd (bvadd ?v_4 (bvmul (bvneg (_ bv84 32)) ?y2)) (bvmul (_ bv15 32) ?y1)) (_ bv36 32))) (and (bvsge ?v_6 (_ bv34 32)) (not (= (bvadd (bvadd (bvmul (bvneg (_ bv65 32)) ?y3) ?v_5) (bvmul (bvneg (_ bv76 32)) ?y1)) (_ bv75 32)))))) (and (or (and (bvsgt (bvadd (bvadd (bvmul (_ bv70 32) ?y2) (bvmul (bvneg (_ bv93 32)) ?y1)) ?v_6) (_ bv0 32)) (not (= (bvadd (bvadd (bvmul (bvneg (_ bv85 32)) ?y2) (bvmul (bvneg (_ bv51 32)) ?y1)) (bvmul (bvneg (_ bv13 32)) x1)) (_ bv0 32)))) (and (bvsle (bvadd (bvmul (bvneg (_ bv78 32)) ?y2) (bvmul (bvneg (_ bv72 32)) x1)) (bvneg (_ bv7 32))) (bvsgt (bvadd (bvadd (bvmul (_ bv3 32) ?y3) (bvmul (bvneg (_ bv48 32)) ?y1)) (bvmul (_ bv96 32) x1)) (_ bv0 32)))) (or (or (= (bvmul (_ bv71 32) ?y1) (_ bv0 32)) (bvsle (bvadd (bvadd (bvadd ?v_7 ?v_8) (bvmul (_ bv22 32) ?y1)) (bvmul (bvneg (_ bv91 32)) x1)) (_ bv44 32))) (bvsge (bvadd (bvadd (bvadd (bvmul (_ bv27 32) ?y3) (bvmul (bvneg (_ bv24 32)) ?y2)) (bvmul (_ bv89 32) ?y1)) (bvmul (bvneg (_ bv93 32)) x1)) (bvneg (_ bv17 32))))))))) (or (and (or (and (bvsge (bvmul (_ bv99 32) ?y2) (bvneg (_ bv32 32))) (bvsgt (bvadd (bvmul (_ bv47 32) ?y2) (bvmul (bvneg (_ bv90 32)) x1)) (bvneg (_ bv33 32)))) (or (= (bvadd (bvmul (bvneg (_ bv19 32)) ?y2) (bvmul (bvneg (_ bv70 32)) x1)) (_ bv5 32)) (bvsgt (bvadd (bvmul (bvneg (_ bv97 32)) ?y2) (bvmul (bvneg (_ bv82 32)) ?y1)) (_ bv0 32)))) (and (and (bvsgt (bvadd (bvmul (bvneg (_ bv54 32)) ?y1) (bvmul (bvneg (_ bv87 32)) x1)) (_ bv51 32)) (or (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv11 32)) ?y2) (bvmul (_ bv77 32) ?y1)) (bvmul (_ bv59 32) x1)) (_ bv77 32)) (bvsge (bvadd (bvmul (bvneg (_ bv68 32)) ?y2) (bvmul (bvneg (_ bv73 32)) ?y1)) (_ bv46 32)))) (or (or (bvslt (bvadd (bvadd (bvmul (_ bv53 32) ?y2) (bvmul (bvneg (_ bv60 32)) ?y1)) (bvmul (_ bv2 32) x1)) (bvneg (_ bv86 32))) (bvsge (bvadd (bvmul (bvneg (_ bv63 32)) ?y1) (bvmul (bvneg (_ bv52 32)) x1)) (_ bv1 32))) (and (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv12 32)) ?y2) (bvmul (_ bv38 32) ?y1)) (bvmul (bvneg (_ bv20 32)) x1)) (_ bv79 32)) (bvsge (bvmul (_ bv34 32) ?y1) (_ bv0 32)))))) (and (or (and (and (bvslt (bvadd ?v_3 (bvmul (bvneg (_ bv28 32)) ?y1)) (_ bv37 32)) (not (= (bvadd (bvadd (bvmul (bvneg (_ bv54 32)) ?y2) (bvmul (_ bv51 32) ?y1)) (bvmul (_ bv57 32) x1)) (bvneg (_ bv46 32))))) (or (bvsge (bvadd (bvadd (bvmul (_ bv39 32) ?y2) (bvmul (bvneg (_ bv55 32)) ?y1)) (bvmul (bvneg (_ bv33 32)) x1)) (_ bv0 32)) (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv96 32)) ?y2) (bvmul (bvneg (_ bv35 32)) ?y1)) (bvmul (_ bv44 32) x1)) (_ bv0 32)))) (or (= (bvmul (bvneg (_ bv73 32)) x1) (_ bv50 32)) (bvslt (bvmul (bvneg (_ bv2 32)) ?y2) (_ bv0 32)))) (and (and (or (= (bvadd (bvadd (bvmul (_ bv59 32) ?y2) (bvmul (_ bv12 32) ?y1)) (bvmul (bvneg (_ bv15 32)) x1)) (bvneg (_ bv24 32))) (bvsle (bvadd (bvadd (bvmul (_ bv55 32) ?y2) (bvmul (bvneg (_ bv16 32)) ?y1)) (bvmul (bvneg (_ bv49 32)) x1)) (bvneg (_ bv96 32)))) (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv74 32)) ?y2) (bvmul (_ bv31 32) ?y1)) (bvmul (_ bv83 32) x1)) (bvneg (_ bv95 32)))) (and (and (bvsge (bvadd (bvadd ?v_3 (bvmul (_ bv76 32) ?y1)) (bvmul (bvneg (_ bv2 32)) x1)) (_ bv0 32)) (not (= (bvadd (bvadd (bvmul (bvneg (_ bv32 32)) ?y2) (bvmul (_ bv91 32) ?y1)) (bvmul (_ bv91 32) x1)) (_ bv0 32)))) (and (not (= (bvadd (bvmul (_ bv29 32) ?y2) (bvmul (bvneg (_ bv11 32)) x1)) (_ bv0 32))) (bvsgt (bvadd (bvmul (bvneg (_ bv82 32)) ?y2) (bvmul (_ bv50 32) x1)) (bvneg (_ bv70 32))))))))))))))
(check-sat)
(exit)
