(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(declare-fun y1 () (_ BitVec 32))
(declare-fun y2 () (_ BitVec 32))
(declare-fun x1 () (_ BitVec 32))
(assert (forall ((?y1 (_ BitVec 32))) (exists ((?y2 (_ BitVec 32))) (let ((?v_1 (bvmul (_ bv67 32) ?y2)) (?v_2 (bvmul (_ bv94 32) ?y2)) (?v_9 (bvmul (_ bv48 32) ?y2)) (?v_8 (bvmul (_ bv30 32) x1)) (?v_4 (bvmul (_ bv99 32) ?y1)) (?v_5 (bvmul (_ bv51 32) ?y2)) (?v_6 (bvmul (_ bv20 32) ?y2)) (?v_0 (bvmul (bvneg (_ bv16 32)) ?y1)) (?v_3 (bvmul (bvneg (_ bv95 32)) x1)) (?v_10 (bvmul (bvneg (_ bv20 32)) x1)) (?v_7 (bvmul (bvneg (_ bv49 32)) x1))) (or (and (or (or (and (and (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv85 32)) ?y2) (bvmul (bvneg (_ bv52 32)) ?y1)) (bvmul (_ bv65 32) x1)) (bvneg (_ bv77 32))) (bvsle (bvadd (bvmul (bvneg (_ bv72 32)) ?y2) (bvmul (_ bv52 32) x1)) (_ bv77 32))) (not (= (bvadd (bvadd ?v_1 ?v_0) ?v_3) (bvneg (_ bv34 32))))) (or (or (bvsge (bvmul (bvneg (_ bv44 32)) ?y2) (bvneg (_ bv80 32))) (bvsle (bvadd (bvadd ?v_2 (bvmul (_ bv64 32) ?y1)) (bvmul (_ bv95 32) x1)) (bvneg (_ bv13 32)))) (not (= (bvadd (bvmul (_ bv59 32) ?y1) (bvmul (_ bv37 32) x1)) (bvneg (_ bv64 32)))))) (= (bvadd ?v_9 (bvmul (_ bv70 32) x1)) (_ bv69 32))) (and (or (or (or (= (bvadd (bvmul (_ bv32 32) ?y1) (bvmul (bvneg (_ bv6 32)) x1)) (_ bv0 32)) (bvsge (bvadd ?v_0 (bvmul (bvneg (_ bv24 32)) x1)) (_ bv61 32))) (or (bvsgt (bvadd (bvadd (bvmul (_ bv4 32) ?y2) (bvmul (bvneg (_ bv47 32)) ?y1)) ?v_8) (_ bv0 32)) (bvslt (bvmul (_ bv39 32) x1) (_ bv0 32)))) (or (or (= (bvadd ?v_1 (bvmul (bvneg (_ bv45 32)) ?y1)) (bvneg (_ bv1 32))) (= (bvmul (_ bv13 32) ?y2) (_ bv0 32))) (and (not (= (bvadd (bvmul (bvneg (_ bv14 32)) ?y1) (bvmul (_ bv22 32) x1)) (bvneg (_ bv48 32)))) (bvsgt (bvadd (bvadd (bvmul (_ bv89 32) ?y2) ?v_4) (bvmul (_ bv73 32) x1)) (bvneg (_ bv36 32)))))) (and (or (not (= (bvadd (bvmul (_ bv46 32) ?y2) (bvmul (_ bv54 32) ?y1)) (_ bv83 32))) (or (and (not (= (bvadd (bvadd (bvmul (_ bv7 32) ?y2) (bvmul (_ bv44 32) ?y1)) (bvmul (_ bv50 32) x1)) (_ bv14 32))) (bvsge (bvadd (bvadd ?v_5 (bvmul (bvneg (_ bv25 32)) ?y1)) (bvmul (bvneg (_ bv44 32)) x1)) (bvneg (_ bv47 32)))) (or (not (= (bvmul (_ bv50 32) ?y2) (bvneg (_ bv67 32)))) (bvsgt ?v_2 (_ bv20 32))))) (and (or (or (not (= (bvadd (bvadd (bvmul (_ bv39 32) ?y2) (bvmul (_ bv78 32) ?y1)) ?v_3) (_ bv0 32))) (= (bvadd (bvadd (bvmul (_ bv91 32) ?y2) (bvmul (_ bv80 32) ?y1)) (bvmul (_ bv64 32) x1)) (bvneg (_ bv33 32)))) (bvsgt (bvadd (bvmul (bvneg (_ bv48 32)) ?y2) (bvmul (_ bv47 32) ?y1)) (bvneg (_ bv60 32)))) (or (and (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv89 32)) ?y2) (bvmul (_ bv6 32) ?y1)) ?v_10) (bvneg (_ bv98 32))) (bvsge (bvadd (bvmul (bvneg (_ bv64 32)) ?y2) ?v_4) (_ bv0 32))) (or (= (bvadd (bvadd (bvmul (bvneg (_ bv6 32)) ?y2) (bvmul (_ bv19 32) ?y1)) (bvmul (bvneg (_ bv58 32)) x1)) (_ bv12 32)) (bvsgt (bvadd ?v_6 (bvmul (_ bv24 32) ?y1)) (_ bv95 32)))))))) (and (and (or (and (or (bvsgt ?v_5 (_ bv51 32)) (not (= (bvadd (bvadd (bvmul (_ bv24 32) ?y2) (bvmul (_ bv86 32) ?y1)) ?v_7) (_ bv3 32)))) (and (bvsge (bvadd (bvmul (bvneg (_ bv37 32)) ?y2) (bvmul (_ bv16 32) x1)) (_ bv34 32)) (not (= (bvadd (bvmul (_ bv69 32) ?y1) (bvmul (bvneg (_ bv93 32)) x1)) (bvneg (_ bv78 32)))))) (and (and (bvslt (bvadd (bvmul (_ bv51 32) ?y1) (bvmul (_ bv29 32) x1)) (bvneg (_ bv95 32))) (not (= (bvadd (bvmul (bvneg (_ bv66 32)) ?y2) (bvmul (_ bv87 32) ?y1)) (_ bv69 32)))) (and (bvsgt (bvadd (bvmul (bvneg (_ bv67 32)) ?y2) (bvmul (_ bv44 32) x1)) (bvneg (_ bv54 32))) (bvsgt (bvadd (bvmul (_ bv57 32) ?y2) (bvmul (bvneg (_ bv2 32)) x1)) (_ bv0 32))))) (and (or (and (not (= (bvadd (bvmul (_ bv53 32) ?y1) (bvmul (bvneg (_ bv5 32)) x1)) (_ bv24 32))) (bvsle (bvadd (bvmul (bvneg (_ bv7 32)) ?y1) ?v_3) (bvneg (_ bv37 32)))) (bvsge (bvadd (bvadd (bvmul (_ bv63 32) ?y2) (bvmul (bvneg (_ bv40 32)) ?y1)) (bvmul (_ bv12 32) x1)) (bvneg (_ bv17 32)))) (or (or (not (= (bvadd (bvadd ?v_6 (bvmul (bvneg (_ bv27 32)) ?y1)) (bvmul (_ bv32 32) x1)) (_ bv27 32))) (bvslt (bvadd (bvmul (_ bv49 32) ?y1) (bvmul (bvneg (_ bv80 32)) x1)) (_ bv1 32))) (and (not (= (bvadd (bvmul (bvneg (_ bv82 32)) ?y2) (bvmul (bvneg (_ bv63 32)) ?y1)) (_ bv75 32))) (bvsge (bvadd (bvmul (_ bv34 32) ?y1) ?v_7) (bvneg (_ bv62 32))))))) (and (or (not (= (bvadd (bvmul (bvneg (_ bv28 32)) ?y2) ?v_8) (bvneg (_ bv39 32)))) (not (= (bvadd (bvmul (_ bv22 32) ?y1) (bvmul (_ bv71 32) x1)) (bvneg (_ bv96 32))))) (or (or (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv11 32)) ?y2) (bvmul (bvneg (_ bv9 32)) ?y1)) ?v_7) (_ bv0 32)) (bvsle (bvadd (bvmul (bvneg (_ bv23 32)) ?y2) (bvmul (_ bv83 32) ?y1)) (_ bv0 32))) (and (or (not (= (bvadd (bvadd ?v_9 (bvmul (bvneg (_ bv28 32)) ?y1)) ?v_10) (_ bv90 32))) (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv53 32)) ?y2) (bvmul (_ bv30 32) ?y1)) (bvmul (_ bv36 32) x1)) (_ bv0 32))) (and (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv33 32)) ?y2) (bvmul (_ bv40 32) ?y1)) (bvmul (bvneg (_ bv79 32)) x1)) (bvneg (_ bv29 32))) (not (= (bvadd (bvmul (_ bv17 32) ?y2) (bvmul (_ bv20 32) x1)) (bvneg (_ bv84 32))))))))))))))
(check-sat)
(exit)
