(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(declare-fun y2 () (_ BitVec 32))
(declare-fun y3 () (_ BitVec 32))
(declare-fun x1 () (_ BitVec 32))
(declare-fun y1 () (_ BitVec 32))
(assert (or (forall ((?y2 (_ BitVec 32))) (exists ((?y3 (_ BitVec 32))) (let ((?v_0 (bvmul (_ bv75 32) ?y2)) (?v_3 (bvmul (_ bv65 32) ?y3)) (?v_5 (bvmul (_ bv64 32) x1)) (?v_2 (bvmul (bvneg (_ bv51 32)) x1)) (?v_1 (bvmul (bvneg (_ bv96 32)) ?y2)) (?v_4 (bvmul (bvneg (_ bv18 32)) ?y2))) (or (or (or (or (or (or (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv71 32)) ?y3) (bvmul (bvneg (_ bv57 32)) ?y2)) (bvmul (bvneg (_ bv71 32)) x1)) (bvneg (_ bv47 32))) (bvsgt ?v_2 (_ bv83 32))) (and (bvsle (bvadd (bvadd (bvmul (_ bv63 32) ?y3) (bvmul (_ bv93 32) ?y2)) (bvmul (bvneg (_ bv26 32)) x1)) (_ bv18 32)) (not (= (bvadd (bvadd (bvmul (_ bv73 32) ?y3) (bvmul (_ bv86 32) ?y2)) (bvmul (bvneg (_ bv44 32)) x1)) (_ bv95 32))))) (not (= (bvadd (bvadd (bvmul (_ bv22 32) ?y3) ?v_0) (bvmul (_ bv63 32) x1)) (_ bv0 32)))) (and (or (and (bvslt (bvadd (bvmul (_ bv72 32) ?y2) (bvmul (bvneg (_ bv69 32)) x1)) (bvneg (_ bv44 32))) (bvsgt (bvadd (bvmul (bvneg (_ bv11 32)) ?y3) ?v_0) (bvneg (_ bv97 32)))) (or (= (bvadd (bvadd (bvmul (bvneg (_ bv90 32)) ?y3) (bvmul (_ bv61 32) ?y2)) (bvmul (bvneg (_ bv88 32)) x1)) (bvneg (_ bv51 32))) (not (= (bvadd (bvadd ?v_3 ?v_1) ?v_5) (_ bv0 32))))) (and (or (not (= (bvadd (bvmul (_ bv12 32) ?y2) (bvmul (_ bv47 32) x1)) (_ bv0 32))) (not (= (bvadd (bvadd (bvmul (bvneg (_ bv37 32)) ?y3) (bvmul (_ bv85 32) ?y2)) (bvmul (_ bv41 32) x1)) (bvneg (_ bv94 32))))) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv93 32)) ?y3) ?v_1) (bvmul (_ bv95 32) x1)) (bvneg (_ bv70 32)))))) (or (and (or (or (not (= (bvadd (bvmul (bvneg (_ bv78 32)) ?y2) (bvmul (bvneg (_ bv42 32)) x1)) (bvneg (_ bv85 32)))) (bvsgt (bvadd (bvmul (_ bv45 32) ?y3) (bvmul (bvneg (_ bv59 32)) ?y2)) (bvneg (_ bv88 32)))) (and (not (= (bvadd ?v_4 ?v_2) (_ bv0 32))) (not (= (bvadd (bvmul (bvneg (_ bv20 32)) ?y2) (bvmul (bvneg (_ bv12 32)) x1)) (_ bv77 32))))) (and (= (bvadd ?v_3 (bvmul (_ bv82 32) x1)) (_ bv5 32)) (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv20 32)) ?y3) ?v_4) (bvmul (bvneg (_ bv60 32)) x1)) (_ bv0 32)))) (and (= (bvadd (bvmul (_ bv36 32) ?y2) (bvmul (_ bv70 32) x1)) (bvneg (_ bv42 32))) (bvslt (bvadd ?v_4 (bvmul (bvneg (_ bv63 32)) x1)) (bvneg (_ bv56 32)))))) (and (and (or (and (bvsle (bvadd (bvmul (bvneg (_ bv72 32)) ?y3) (bvmul (bvneg (_ bv9 32)) ?y2)) (bvneg (_ bv43 32))) (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv15 32)) ?y3) (bvmul (bvneg (_ bv5 32)) ?y2)) (bvmul (bvneg (_ bv43 32)) x1)) (bvneg (_ bv44 32)))) (and (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv7 32)) ?y3) (bvmul (bvneg (_ bv68 32)) ?y2)) (bvmul (bvneg (_ bv36 32)) x1)) (bvneg (_ bv74 32))) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv26 32)) ?y3) (bvmul (_ bv1 32) ?y2)) (bvmul (_ bv5 32) x1)) (_ bv92 32)))) (or (and (bvslt (bvadd (bvmul (_ bv16 32) ?y3) (bvmul (bvneg (_ bv65 32)) ?y2)) (bvneg (_ bv86 32))) (bvsge (bvadd (bvmul (_ bv61 32) ?y3) (bvmul (_ bv49 32) ?y2)) (_ bv85 32))) (bvslt (bvmul (bvneg (_ bv28 32)) x1) (bvneg (_ bv44 32))))) (and (or (or (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv65 32)) ?y3) (bvmul (bvneg (_ bv73 32)) ?y2)) (bvmul (_ bv79 32) x1)) (bvneg (_ bv17 32))) (or (bvsge (bvadd (bvadd (bvmul (_ bv93 32) ?y3) (bvmul (bvneg (_ bv80 32)) ?y2)) (bvmul (bvneg (_ bv83 32)) x1)) (_ bv40 32)) (bvsge (bvadd (bvmul (_ bv10 32) ?y3) (bvmul (bvneg (_ bv30 32)) x1)) (bvneg (_ bv41 32))))) (and (bvsgt (bvadd (bvadd (bvmul (_ bv88 32) ?y3) (bvmul (_ bv46 32) ?y2)) (bvmul (bvneg (_ bv21 32)) x1)) (bvneg (_ bv45 32))) (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv91 32)) ?y3) (bvmul (_ bv84 32) ?y2)) (bvmul (bvneg (_ bv57 32)) x1)) (_ bv0 32)))) (and (or (or (bvsgt (bvadd (bvmul (bvneg (_ bv79 32)) ?y2) (bvmul (bvneg (_ bv49 32)) x1)) (_ bv59 32)) (not (= (bvadd (bvmul (_ bv75 32) ?y3) ?v_5) (bvneg (_ bv1 32))))) (and (bvsgt (bvadd (bvmul (bvneg (_ bv19 32)) ?y3) (bvmul (_ bv100 32) x1)) (bvneg (_ bv76 32))) (bvslt (bvmul (bvneg (_ bv7 32)) x1) (_ bv10 32)))) (bvsge (bvadd (bvmul (bvneg (_ bv1 32)) ?y3) (bvmul (_ bv59 32) x1)) (_ bv0 32))))))))) (forall ((?y1 (_ BitVec 32))) (exists ((?y3 (_ BitVec 32))) (let ((?v_8 (bvmul (_ bv57 32) ?y1)) (?v_7 (bvmul (_ bv21 32) x1)) (?v_6 (bvmul (_ bv6 32) ?y1))) (and (or (and (and (and (bvsle (bvadd (bvmul (bvneg (_ bv3 32)) ?y3) (bvmul (_ bv49 32) ?y1)) (bvneg (_ bv31 32))) (= (bvadd (bvmul (bvneg (_ bv55 32)) ?y3) (bvmul (bvneg (_ bv5 32)) ?y1)) (_ bv0 32))) (or (bvslt (bvadd (bvmul (_ bv22 32) ?y3) (bvmul (_ bv22 32) x1)) (_ bv0 32)) (bvslt (bvadd (bvadd (bvmul (_ bv35 32) ?y3) (bvmul (_ bv36 32) ?y1)) (bvmul (_ bv52 32) x1)) (_ bv0 32)))) (or (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv70 32)) ?y3) ?v_8) (bvmul (_ bv58 32) x1)) (_ bv0 32)) (or (or (bvslt (bvmul (bvneg (_ bv13 32)) x1) (_ bv61 32)) (bvslt (bvadd (bvadd (bvmul (_ bv40 32) ?y3) (bvmul (bvneg (_ bv41 32)) ?y1)) (bvmul (bvneg (_ bv61 32)) x1)) (_ bv43 32))) (bvsle (bvmul (bvneg (_ bv9 32)) x1) (_ bv68 32))))) (and (or (and (not (= (bvadd (bvmul (bvneg (_ bv83 32)) ?y1) (bvmul (_ bv5 32) x1)) (_ bv69 32))) (bvslt (bvadd (bvmul (_ bv35 32) ?y1) (bvmul (_ bv50 32) x1)) (_ bv0 32))) (or (and (bvsge (bvmul (_ bv34 32) x1) (_ bv0 32)) (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv38 32)) ?y3) (bvmul (bvneg (_ bv81 32)) ?y1)) ?v_7) (_ bv55 32))) (and (not (= (bvadd (bvmul (bvneg (_ bv45 32)) ?y1) (bvmul (_ bv82 32) x1)) (_ bv0 32))) (bvsge (bvadd (bvadd (bvmul (_ bv38 32) ?y3) (bvmul (_ bv30 32) ?y1)) (bvmul (_ bv26 32) x1)) (_ bv0 32))))) (and (and (and (= (bvadd (bvadd (bvmul (bvneg (_ bv21 32)) ?y3) (bvmul (bvneg (_ bv8 32)) ?y1)) (bvmul (_ bv61 32) x1)) (bvneg (_ bv27 32))) (bvslt (bvadd (bvmul (bvneg (_ bv31 32)) ?y3) (bvmul (_ bv55 32) ?y1)) (bvneg (_ bv47 32)))) (or (bvsle (bvadd (bvmul (_ bv47 32) ?y3) (bvmul (_ bv92 32) x1)) (bvneg (_ bv60 32))) (bvsle (bvadd ?v_6 (bvmul (bvneg (_ bv79 32)) x1)) (_ bv60 32)))) (and (or (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv61 32)) ?y3) ?v_6) (bvmul (_ bv46 32) x1)) (bvneg (_ bv86 32))) (bvsgt (bvadd (bvmul (bvneg (_ bv69 32)) ?y3) (bvmul (_ bv89 32) x1)) (bvneg (_ bv1 32)))) (bvsge (bvmul (_ bv85 32) x1) (bvneg (_ bv68 32))))))) (and (or (or (and (or (bvslt (bvadd (bvadd (bvmul (_ bv99 32) ?y3) (bvmul (bvneg (_ bv59 32)) ?y1)) ?v_7) (_ bv67 32)) (bvslt (bvadd (bvmul (bvneg (_ bv87 32)) ?y3) (bvmul (_ bv93 32) ?y1)) (bvneg (_ bv50 32)))) (or (bvsge (bvadd (bvmul (bvneg (_ bv39 32)) ?y1) (bvmul (bvneg (_ bv54 32)) x1)) (_ bv0 32)) (= (bvadd (bvadd (bvmul (bvneg (_ bv82 32)) ?y3) (bvmul (bvneg (_ bv78 32)) ?y1)) (bvmul (bvneg (_ bv65 32)) x1)) (_ bv96 32)))) (and (bvslt (bvmul (bvneg (_ bv73 32)) ?y3) (bvneg (_ bv74 32))) (or (= (bvmul (bvneg (_ bv57 32)) ?y3) (bvneg (_ bv39 32))) (not (= (bvadd (bvadd (bvmul (_ bv54 32) ?y3) ?v_8) (bvmul (bvneg (_ bv37 32)) x1)) (_ bv53 32)))))) (and (or (and (= (bvadd (bvadd (bvmul (bvneg (_ bv48 32)) ?y3) (bvmul (bvneg (_ bv69 32)) ?y1)) (bvmul (_ bv30 32) x1)) (bvneg (_ bv60 32))) (not (= (bvmul (_ bv61 32) ?y1) (_ bv0 32)))) (or (bvsgt (bvadd (bvmul (_ bv98 32) ?y3) (bvmul (_ bv20 32) ?y1)) (bvneg (_ bv28 32))) (bvsle (bvadd (bvmul (bvneg (_ bv13 32)) ?y3) (bvmul (_ bv64 32) x1)) (bvneg (_ bv39 32))))) (bvsge (bvadd (bvmul (bvneg (_ bv44 32)) ?y1) (bvmul (_ bv90 32) x1)) (_ bv0 32)))) (and (or (bvsle (bvmul (bvneg (_ bv53 32)) x1) (_ bv0 32)) (bvslt (bvmul (_ bv80 32) ?y3) (_ bv67 32))) (and (and (bvsle (bvmul (bvneg (_ bv56 32)) ?y3) (_ bv32 32)) (= (bvadd (bvadd (bvmul (bvneg (_ bv8 32)) ?y3) (bvmul (bvneg (_ bv93 32)) ?y1)) (bvmul (_ bv4 32) x1)) (_ bv0 32))) (and (not (= (bvadd (bvmul (_ bv60 32) ?y1) (bvmul (bvneg (_ bv44 32)) x1)) (bvneg (_ bv18 32)))) (bvslt (bvadd (bvmul (_ bv11 32) ?y1) (bvmul (bvneg (_ bv11 32)) x1)) (_ bv1 32))))))))))))
(check-sat)
(exit)
