(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(declare-fun y2 () (_ BitVec 32))
(declare-fun y3 () (_ BitVec 32))
(declare-fun x1 () (_ BitVec 32))
(declare-fun y1 () (_ BitVec 32))
(assert (and (and (exists ((?y2 (_ BitVec 32))) (or (exists ((?y3 (_ BitVec 32))) (let ((?v_0 (bvmul (bvneg (_ bv99 32)) x1)) (?v_1 (bvmul (bvneg (_ bv55 32)) ?y3))) (and (or (bvslt (bvadd (bvmul (bvneg (_ bv48 32)) ?y3) (bvmul (_ bv84 32) ?y2)) (bvneg (_ bv32 32))) (and (and (not (= (bvadd (bvadd (bvmul (bvneg (_ bv82 32)) ?y3) (bvmul (_ bv45 32) ?y2)) (bvmul (bvneg (_ bv97 32)) x1)) (_ bv0 32))) (bvsle (bvadd (bvmul (_ bv98 32) ?y2) ?v_0) (_ bv0 32))) (or (not (= (bvadd (bvmul (bvneg (_ bv63 32)) ?y3) (bvmul (bvneg (_ bv43 32)) ?y2)) (_ bv0 32))) (= (bvadd (bvadd (bvmul (bvneg (_ bv47 32)) ?y3) (bvmul (bvneg (_ bv47 32)) ?y2)) (bvmul (_ bv79 32) x1)) (bvneg (_ bv60 32)))))) (and (or (or (bvsge (bvadd (bvmul (_ bv19 32) ?y2) (bvmul (_ bv13 32) x1)) (_ bv0 32)) (= (bvadd ?v_1 ?v_0) (bvneg (_ bv87 32)))) (and (= (bvmul (_ bv29 32) ?y2) (bvneg (_ bv51 32))) (bvsle (bvmul (bvneg (_ bv58 32)) x1) (_ bv0 32)))) (and (bvsgt (bvadd (bvmul (_ bv23 32) ?y2) (bvmul (bvneg (_ bv15 32)) x1)) (_ bv86 32)) (and (not (= (bvadd ?v_1 (bvmul (bvneg (_ bv48 32)) x1)) (bvneg (_ bv61 32)))) (not (= (bvadd (bvmul (bvneg (_ bv87 32)) ?y3) (bvmul (_ bv53 32) ?y2)) (bvneg (_ bv94 32)))))))))) (and (exists ((?y3 (_ BitVec 32))) (or (or (= (bvadd (bvmul (bvneg (_ bv31 32)) ?y3) (bvmul (bvneg (_ bv89 32)) ?y2)) (bvneg (_ bv25 32))) (bvsgt (bvadd (bvmul (bvneg (_ bv13 32)) ?y2) (bvmul (_ bv58 32) x1)) (_ bv0 32))) (or (or (bvsge (bvadd (bvmul (_ bv76 32) ?y3) (bvmul (bvneg (_ bv35 32)) ?y2)) (_ bv0 32)) (= (bvadd (bvmul (_ bv50 32) ?y3) (bvmul (bvneg (_ bv44 32)) x1)) (_ bv54 32))) (or (= (bvmul (bvneg (_ bv97 32)) x1) (_ bv30 32)) (bvsge (bvadd (bvadd (bvmul (_ bv25 32) ?y3) (bvmul (_ bv21 32) ?y2)) (bvmul (bvneg (_ bv32 32)) x1)) (_ bv0 32)))))) (and (and (bvsge (bvmul (bvneg (_ bv15 32)) x1) (bvneg (_ bv86 32))) (bvsgt (bvmul (_ bv57 32) ?y2) (bvneg (_ bv88 32)))) (or (bvsge (bvmul (bvneg (_ bv59 32)) ?y2) (_ bv82 32)) (bvslt (bvadd (bvmul (bvneg (_ bv10 32)) ?y2) (bvmul (_ bv47 32) x1)) (bvneg (_ bv59 32)))))))) (exists ((?y2 (_ BitVec 32))) (and (forall ((?y3 (_ BitVec 32))) (let ((?v_2 (bvmul (bvneg (_ bv93 32)) x1))) (and (and (and (or (= (bvadd (bvmul (bvneg (_ bv39 32)) ?y2) (bvmul (bvneg (_ bv77 32)) x1)) (bvneg (_ bv90 32))) (not (= (bvadd (bvmul (bvneg (_ bv23 32)) ?y3) (bvmul (_ bv53 32) ?y2)) (_ bv20 32)))) (and (not (= (bvadd (bvmul (bvneg (_ bv16 32)) ?y2) (bvmul (_ bv79 32) x1)) (_ bv0 32))) (not (= (bvadd (bvmul (_ bv36 32) ?y2) ?v_2) (_ bv0 32))))) (or (or (not (= (bvadd (bvmul (_ bv22 32) ?y3) (bvmul (_ bv72 32) ?y2)) (_ bv8 32))) (not (= (bvadd (bvadd (bvmul (_ bv50 32) ?y3) (bvmul (bvneg (_ bv59 32)) ?y2)) ?v_2) (_ bv5 32)))) (and (= (bvmul (bvneg (_ bv99 32)) ?y3) (_ bv90 32)) (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv31 32)) ?y3) (bvmul (bvneg (_ bv22 32)) ?y2)) (bvmul (bvneg (_ bv60 32)) x1)) (bvneg (_ bv23 32)))))) (and (or (and (not (= (bvadd (bvmul (bvneg (_ bv11 32)) ?y3) (bvmul (bvneg (_ bv65 32)) x1)) (bvneg (_ bv28 32)))) (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv59 32)) ?y3) (bvmul (bvneg (_ bv69 32)) ?y2)) (bvmul (_ bv93 32) x1)) (_ bv91 32))) (or (bvsge (bvadd (bvadd (bvmul (_ bv44 32) ?y3) (bvmul (_ bv16 32) ?y2)) (bvmul (bvneg (_ bv63 32)) x1)) (_ bv100 32)) (not (= (bvadd (bvmul (bvneg (_ bv28 32)) ?y2) (bvmul (_ bv74 32) x1)) (_ bv0 32))))) (or (bvsge (bvmul (_ bv93 32) ?y2) (bvneg (_ bv41 32))) (= (bvadd (bvmul (_ bv14 32) ?y3) (bvmul (_ bv40 32) ?y2)) (bvneg (_ bv43 32)))))))) (or (and (and (forall ((?y3 (_ BitVec 32))) (bvsge (bvadd (bvadd (bvmul (_ bv79 32) ?y3) (bvmul (bvneg (_ bv4 32)) ?y2)) (bvmul (bvneg (_ bv66 32)) x1)) (bvneg (_ bv89 32)))) (exists ((?y3 (_ BitVec 32))) (bvsle (bvadd (bvadd (bvmul (_ bv56 32) ?y3) (bvmul (_ bv31 32) ?y2)) (bvmul (_ bv22 32) x1)) (bvneg (_ bv46 32))))) (forall ((?y3 (_ BitVec 32))) (and (or (not (= (bvadd (bvadd (bvmul (bvneg (_ bv35 32)) ?y3) (bvmul (_ bv36 32) ?y2)) (bvmul (bvneg (_ bv47 32)) x1)) (_ bv0 32))) (not (= (bvadd (bvadd (bvmul (bvneg (_ bv57 32)) ?y3) (bvmul (_ bv93 32) ?y2)) (bvmul (bvneg (_ bv44 32)) x1)) (_ bv0 32)))) (and (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv65 32)) ?y3) (bvmul (_ bv79 32) ?y2)) (bvmul (_ bv13 32) x1)) (bvneg (_ bv36 32))) (not (= (bvadd (bvadd (bvmul (bvneg (_ bv31 32)) ?y3) (bvmul (bvneg (_ bv36 32)) ?y2)) (bvmul (bvneg (_ bv70 32)) x1)) (bvneg (_ bv10 32)))))))) (or (bvsge (bvadd (bvmul (_ bv93 32) ?y2) (bvmul (bvneg (_ bv57 32)) x1)) (bvneg (_ bv71 32))) (and (or (bvsge (bvmul (bvneg (_ bv55 32)) x1) (bvneg (_ bv5 32))) (= (bvadd (bvmul (bvneg (_ bv33 32)) ?y2) (bvmul (_ bv83 32) x1)) (_ bv0 32))) (or (and (bvsge (bvmul (bvneg (_ bv93 32)) ?y2) (bvneg (_ bv89 32))) (bvsgt (bvadd (bvmul (bvneg (_ bv64 32)) ?y2) (bvmul (bvneg (_ bv9 32)) x1)) (_ bv20 32))) (bvsge (bvmul (_ bv76 32) x1) (bvneg (_ bv41 32)))))))))) (and (and (and (exists ((?y1 (_ BitVec 32))) (or (forall ((?y3 (_ BitVec 32))) (or (and (bvsge (bvadd (bvadd (bvmul (_ bv75 32) ?y3) (bvmul (bvneg (_ bv2 32)) ?y1)) (bvmul (_ bv81 32) x1)) (_ bv0 32)) (bvslt (bvadd (bvmul (bvneg (_ bv32 32)) ?y3) (bvmul (bvneg (_ bv31 32)) x1)) (_ bv34 32))) (and (bvslt (bvmul (_ bv50 32) ?y3) (_ bv55 32)) (bvsgt (bvadd (bvadd (bvmul (_ bv2 32) ?y3) (bvmul (bvneg (_ bv46 32)) ?y1)) (bvmul (_ bv94 32) x1)) (_ bv41 32))))) (or (or (and (= (bvadd (bvmul (bvneg (_ bv19 32)) ?y1) (bvmul (_ bv29 32) x1)) (_ bv63 32)) (bvsge (bvadd (bvmul (_ bv50 32) ?y1) (bvmul (_ bv46 32) x1)) (_ bv100 32))) (exists ((?y3 (_ BitVec 32))) (= (bvadd (bvadd (bvmul (bvneg (_ bv93 32)) ?y3) (bvmul (_ bv98 32) ?y1)) (bvmul (_ bv10 32) x1)) (_ bv33 32)))) (exists ((?y3 (_ BitVec 32))) (or (bvsge (bvadd (bvadd (bvmul (_ bv85 32) ?y3) (bvmul (bvneg (_ bv70 32)) ?y1)) (bvmul (bvneg (_ bv98 32)) x1)) (bvneg (_ bv8 32))) (bvsge (bvadd (bvadd (bvmul (_ bv42 32) ?y3) (bvmul (bvneg (_ bv55 32)) ?y1)) (bvmul (_ bv60 32) x1)) (_ bv0 32))))))) (forall ((?y1 (_ BitVec 32))) (and (and (and (bvslt (bvadd (bvmul (_ bv11 32) ?y1) (bvmul (bvneg (_ bv70 32)) x1)) (_ bv0 32)) (not (= (bvadd (bvmul (_ bv18 32) ?y1) (bvmul (bvneg (_ bv90 32)) x1)) (_ bv54 32)))) (and (forall ((?y2 (_ BitVec 32))) (not (= (bvadd (bvadd (bvmul (bvneg (_ bv61 32)) ?y2) (bvmul (_ bv25 32) ?y1)) (bvmul (_ bv1 32) x1)) (_ bv0 32)))) (or (bvsle (bvadd (bvmul (_ bv97 32) ?y1) (bvmul (bvneg (_ bv32 32)) x1)) (bvneg (_ bv45 32))) (exists ((?y2 (_ BitVec 32))) (= (bvadd (bvmul (bvneg (_ bv66 32)) ?y2) (bvmul (bvneg (_ bv3 32)) x1)) (_ bv14 32)))))) (exists ((?y2 (_ BitVec 32))) (forall ((?y3 (_ BitVec 32))) (and (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv20 32)) ?y3) (bvmul (bvneg (_ bv81 32)) ?y1)) (bvmul (bvneg (_ bv33 32)) x1)) (bvneg (_ bv100 32))) (bvsgt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv67 32)) ?y3) (bvmul (bvneg (_ bv55 32)) ?y2)) (bvmul (_ bv88 32) ?y1)) (bvmul (_ bv31 32) x1)) (_ bv74 32)))))))) (or (forall ((?y1 (_ BitVec 32))) (forall ((?y2 (_ BitVec 32))) (exists ((?y3 (_ BitVec 32))) (or (not (= (bvadd (bvadd (bvadd (bvmul (_ bv6 32) ?y3) (bvmul (_ bv82 32) ?y2)) (bvmul (bvneg (_ bv78 32)) ?y1)) (bvmul (_ bv32 32) x1)) (bvneg (_ bv9 32)))) (and (and (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv86 32)) ?y2) (bvmul (_ bv24 32) ?y1)) (bvmul (_ bv78 32) x1)) (bvneg (_ bv62 32))) (not (= (bvadd (bvadd (bvmul (bvneg (_ bv73 32)) ?y3) (bvmul (bvneg (_ bv14 32)) ?y2)) (bvmul (bvneg (_ bv7 32)) ?y1)) (_ bv84 32)))) (and (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv25 32)) ?y2) (bvmul (_ bv37 32) ?y1)) (bvmul (_ bv83 32) x1)) (bvneg (_ bv73 32))) (= (bvadd (bvmul (bvneg (_ bv87 32)) ?y3) (bvmul (bvneg (_ bv29 32)) ?y2)) (bvneg (_ bv88 32))))))))) (exists ((?y1 (_ BitVec 32))) (or (and (forall ((?y2 (_ BitVec 32))) (exists ((?y3 (_ BitVec 32))) (or (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv82 32)) ?y3) (bvmul (_ bv68 32) ?y2)) (bvmul (_ bv75 32) x1)) (bvneg (_ bv54 32))) (bvsgt (bvadd (bvmul (_ bv88 32) ?y1) (bvmul (bvneg (_ bv22 32)) x1)) (_ bv3 32))))) (or (or (bvsge (bvmul (bvneg (_ bv29 32)) x1) (_ bv0 32)) (bvsge (bvmul (bvneg (_ bv96 32)) x1) (_ bv0 32))) (exists ((?y3 (_ BitVec 32))) (bvsgt (bvadd (bvmul (_ bv84 32) ?y1) (bvmul (bvneg (_ bv77 32)) x1)) (_ bv35 32))))) (or (exists ((?y3 (_ BitVec 32))) (bvsle (bvadd (bvadd (bvmul (_ bv28 32) ?y3) (bvmul (_ bv18 32) ?y1)) (bvmul (_ bv44 32) x1)) (_ bv0 32))) (exists ((?y2 (_ BitVec 32))) (or (or (bvslt (bvadd (bvmul (_ bv96 32) ?y1) (bvmul (_ bv17 32) x1)) (bvneg (_ bv71 32))) (= (bvadd (bvmul (_ bv33 32) ?y2) (bvmul (bvneg (_ bv59 32)) ?y1)) (_ bv0 32))) (or (= (bvadd (bvmul (bvneg (_ bv25 32)) ?y2) (bvmul (_ bv99 32) ?y1)) (_ bv0 32)) (bvsgt (bvadd (bvmul (_ bv75 32) ?y2) (bvmul (bvneg (_ bv22 32)) x1)) (_ bv0 32)))))))))) (or (forall ((?y1 (_ BitVec 32))) (exists ((?y3 (_ BitVec 32))) (and (and (or (or (bvsle (bvmul (_ bv94 32) x1) (bvneg (_ bv81 32))) (not (= (bvadd (bvmul (bvneg (_ bv11 32)) ?y3) (bvmul (bvneg (_ bv43 32)) ?y1)) (_ bv0 32)))) (and (bvsle (bvmul (bvneg (_ bv10 32)) ?y1) (bvneg (_ bv81 32))) (bvslt (bvadd (bvmul (_ bv29 32) ?y1) (bvmul (_ bv25 32) x1)) (bvneg (_ bv41 32))))) (or (or (not (= (bvadd (bvadd (bvmul (bvneg (_ bv39 32)) ?y3) (bvmul (bvneg (_ bv14 32)) ?y1)) (bvmul (bvneg (_ bv83 32)) x1)) (_ bv0 32))) (bvsgt (bvadd (bvmul (bvneg (_ bv13 32)) ?y1) (bvmul (bvneg (_ bv52 32)) x1)) (_ bv62 32))) (bvsge (bvadd (bvmul (bvneg (_ bv78 32)) ?y3) (bvmul (bvneg (_ bv59 32)) ?y1)) (bvneg (_ bv74 32))))) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv34 32)) ?y3) (bvmul (bvneg (_ bv91 32)) ?y1)) (bvmul (bvneg (_ bv85 32)) x1)) (_ bv0 32))))) (and (or (exists ((?y1 (_ BitVec 32))) (or (exists ((?y2 (_ BitVec 32))) (or (bvsgt (bvadd (bvmul (_ bv100 32) ?y2) (bvmul (_ bv34 32) x1)) (_ bv53 32)) (bvsgt (bvadd (bvmul (bvneg (_ bv71 32)) ?y2) (bvmul (bvneg (_ bv50 32)) ?y1)) (_ bv65 32)))) (exists ((?y2 (_ BitVec 32))) (forall ((?y3 (_ BitVec 32))) (and (bvsle (bvadd (bvmul (_ bv62 32) ?y3) (bvmul (bvneg (_ bv4 32)) ?y1)) (_ bv80 32)) (bvsge (bvadd (bvadd (bvadd (bvmul (_ bv43 32) ?y3) (bvmul (_ bv32 32) ?y2)) (bvmul (bvneg (_ bv37 32)) ?y1)) (bvmul (_ bv1 32) x1)) (_ bv28 32))))))) (and (exists ((?y1 (_ BitVec 32))) (exists ((?y2 (_ BitVec 32))) (and (bvsge (bvadd (bvmul (bvneg (_ bv56 32)) ?y1) (bvmul (_ bv44 32) x1)) (_ bv1 32)) (exists ((?y3 (_ BitVec 32))) (bvslt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv18 32)) ?y3) (bvmul (bvneg (_ bv42 32)) ?y2)) (bvmul (_ bv17 32) ?y1)) (bvmul (bvneg (_ bv29 32)) x1)) (_ bv91 32)))))) (or (and (exists ((?y1 (_ BitVec 32))) (forall ((?y2 (_ BitVec 32))) (bvsle (bvadd (bvmul (_ bv67 32) ?y1) (bvmul (bvneg (_ bv5 32)) x1)) (bvneg (_ bv52 32))))) (forall ((?y2 (_ BitVec 32))) (= (bvmul (_ bv22 32) ?y2) (bvneg (_ bv57 32))))) (or (or (exists ((?y1 (_ BitVec 32))) (bvslt (bvadd (bvmul (_ bv84 32) ?y1) (bvmul (_ bv52 32) x1)) (_ bv88 32))) (or (bvsgt (bvmul (_ bv93 32) x1) (_ bv0 32)) (bvslt (bvmul (bvneg (_ bv64 32)) x1) (_ bv13 32)))) (forall ((?y1 (_ BitVec 32))) (bvsge (bvmul (_ bv2 32) x1) (_ bv0 32))))))) (or (exists ((?y1 (_ BitVec 32))) (or (= (bvadd (bvmul (bvneg (_ bv8 32)) ?y1) (bvmul (_ bv87 32) x1)) (_ bv3 32)) (and (exists ((?y3 (_ BitVec 32))) (bvsgt (bvadd (bvmul (_ bv29 32) ?y3) (bvmul (_ bv71 32) ?y1)) (_ bv47 32))) (and (not (= (bvadd (bvmul (_ bv57 32) ?y1) (bvmul (bvneg (_ bv42 32)) x1)) (bvneg (_ bv67 32)))) (bvsle (bvmul (_ bv97 32) ?y1) (bvneg (_ bv12 32))))))) (forall ((?y1 (_ BitVec 32))) (forall ((?y2 (_ BitVec 32))) (or (or (bvsge (bvadd (bvmul (_ bv70 32) ?y2) (bvmul (bvneg (_ bv19 32)) ?y1)) (_ bv0 32)) (bvsge (bvadd (bvadd (bvmul (_ bv74 32) ?y2) (bvmul (_ bv54 32) ?y1)) (bvmul (_ bv30 32) x1)) (bvneg (_ bv62 32)))) (and (bvsgt (bvadd (bvmul (_ bv5 32) ?y1) (bvmul (bvneg (_ bv7 32)) x1)) (_ bv26 32)) (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv44 32)) ?y2) (bvmul (bvneg (_ bv37 32)) ?y1)) (bvmul (bvneg (_ bv24 32)) x1)) (_ bv67 32))))))))))))
(check-sat)
(exit)
