(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(declare-fun y2 () (_ BitVec 32))
(declare-fun y3 () (_ BitVec 32))
(declare-fun x1 () (_ BitVec 32))
(assert (forall ((?y2 (_ BitVec 32))) (or (or (exists ((?y3 (_ BitVec 32))) (or (and (or (and (bvsge (bvmul (bvneg (_ bv90 32)) ?y2) (bvneg (_ bv17 32))) (bvsgt (bvadd (bvmul (bvneg (_ bv65 32)) ?y2) (bvmul (bvneg (_ bv70 32)) x1)) (bvneg (_ bv78 32)))) (or (bvsge (bvmul (_ bv84 32) x1) (bvneg (_ bv38 32))) (bvsge (bvadd (bvmul (_ bv19 32) ?y3) (bvmul (_ bv65 32) ?y2)) (_ bv13 32)))) (and (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv88 32)) ?y3) (bvmul (_ bv88 32) ?y2)) (bvmul (_ bv60 32) x1)) (_ bv28 32)) (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv52 32)) ?y3) (bvmul (bvneg (_ bv46 32)) ?y2)) (bvmul (bvneg (_ bv58 32)) x1)) (_ bv1 32)))) (or (or (or (and (not (= (bvadd (bvadd (bvmul (bvneg (_ bv91 32)) ?y3) (bvmul (_ bv22 32) ?y2)) (bvmul (bvneg (_ bv9 32)) x1)) (_ bv0 32))) (bvsgt (bvadd (bvmul (_ bv72 32) ?y3) (bvmul (_ bv21 32) ?y2)) (_ bv26 32))) (or (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv71 32)) ?y3) (bvmul (_ bv100 32) ?y2)) (bvmul (_ bv61 32) x1)) (bvneg (_ bv38 32))) (not (= (bvadd (bvmul (bvneg (_ bv76 32)) ?y2) (bvmul (bvneg (_ bv94 32)) x1)) (_ bv44 32))))) (and (bvsgt (bvadd (bvadd (bvmul (_ bv43 32) ?y3) (bvmul (_ bv41 32) ?y2)) (bvmul (_ bv18 32) x1)) (bvneg (_ bv9 32))) (and (bvsle (bvadd (bvmul (_ bv12 32) ?y3) (bvmul (_ bv30 32) ?y2)) (_ bv0 32)) (bvslt (bvadd (bvadd (bvmul (_ bv75 32) ?y3) (bvmul (bvneg (_ bv58 32)) ?y2)) (bvmul (bvneg (_ bv71 32)) x1)) (_ bv22 32))))) (or (or (and (bvsge (bvadd (bvadd (bvmul (_ bv46 32) ?y3) (bvmul (_ bv46 32) ?y2)) (bvmul (_ bv31 32) x1)) (_ bv34 32)) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv86 32)) ?y3) (bvmul (_ bv8 32) ?y2)) (bvmul (_ bv43 32) x1)) (_ bv0 32))) (and (bvsge (bvadd (bvmul (_ bv50 32) ?y3) (bvmul (_ bv97 32) x1)) (_ bv0 32)) (bvsge (bvadd (bvmul (bvneg (_ bv37 32)) ?y2) (bvmul (bvneg (_ bv39 32)) x1)) (_ bv0 32)))) (and (bvsge (bvadd (bvadd (bvmul (_ bv66 32) ?y3) (bvmul (_ bv53 32) ?y2)) (bvmul (bvneg (_ bv43 32)) x1)) (_ bv19 32)) (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv34 32)) ?y3) (bvmul (_ bv36 32) ?y2)) (bvmul (bvneg (_ bv48 32)) x1)) (bvneg (_ bv74 32)))))))) (forall ((?y3 (_ BitVec 32))) (let ((?v_1 (bvmul (_ bv16 32) x1)) (?v_2 (bvmul (_ bv76 32) ?y3)) (?v_0 (bvmul (bvneg (_ bv73 32)) ?y2)) (?v_3 (bvmul (bvneg (_ bv1 32)) ?y2))) (and (or (and (and (and (not (= (bvadd (bvadd (bvmul (bvneg (_ bv50 32)) ?y3) (bvmul (bvneg (_ bv37 32)) ?y2)) (bvmul (_ bv81 32) x1)) (_ bv29 32))) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv16 32)) ?y3) ?v_0) ?v_1) (bvneg (_ bv54 32)))) (= (bvadd (bvadd (bvmul (bvneg (_ bv100 32)) ?y3) (bvmul (bvneg (_ bv30 32)) ?y2)) (bvmul (bvneg (_ bv27 32)) x1)) (_ bv0 32))) (or (or (not (= (bvadd (bvadd (bvmul (bvneg (_ bv89 32)) ?y3) (bvmul (bvneg (_ bv11 32)) ?y2)) (bvmul (bvneg (_ bv38 32)) x1)) (_ bv0 32))) (bvsle (bvadd (bvmul (_ bv99 32) ?y3) (bvmul (_ bv74 32) x1)) (_ bv0 32))) (and (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv35 32)) ?y3) ?v_0) (bvmul (bvneg (_ bv19 32)) x1)) (_ bv88 32)) (= (bvadd (bvadd (bvmul (bvneg (_ bv30 32)) ?y3) (bvmul (_ bv33 32) ?y2)) (bvmul (_ bv96 32) x1)) (bvneg (_ bv57 32)))))) (or (and (or (bvsle (bvadd (bvmul (_ bv80 32) ?y3) (bvmul (_ bv84 32) x1)) (_ bv30 32)) (bvsle (bvadd (bvadd ?v_2 (bvmul (bvneg (_ bv86 32)) ?y2)) ?v_1) (_ bv0 32))) (or (bvsle (bvmul (bvneg (_ bv74 32)) ?y2) (_ bv78 32)) (bvsge (bvmul (_ bv78 32) x1) (bvneg (_ bv56 32))))) (or (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv77 32)) ?y3) (bvmul (bvneg (_ bv85 32)) ?y2)) (bvmul (bvneg (_ bv81 32)) x1)) (_ bv0 32)) (or (bvslt (bvadd (bvadd (bvmul (_ bv64 32) ?y3) (bvmul (bvneg (_ bv62 32)) ?y2)) (bvmul (_ bv80 32) x1)) (_ bv22 32)) (bvsgt (bvadd (bvmul (bvneg (_ bv82 32)) ?y2) (bvmul (_ bv58 32) x1)) (_ bv56 32)))))) (or (or (and (bvsle (bvadd ?v_2 (bvmul (_ bv59 32) x1)) (bvneg (_ bv55 32))) (bvsgt (bvmul (bvneg (_ bv84 32)) ?y3) (_ bv33 32))) (bvsge (bvadd (bvadd (bvmul (_ bv53 32) ?y3) (bvmul (_ bv21 32) ?y2)) (bvmul (_ bv35 32) x1)) (_ bv97 32))) (or (and (and (= (bvadd (bvmul (_ bv12 32) ?y3) (bvmul (bvneg (_ bv35 32)) ?y2)) (_ bv36 32)) (not (= (bvadd (bvadd (bvmul (_ bv22 32) ?y3) (bvmul (_ bv83 32) ?y2)) (bvmul (_ bv63 32) x1)) (_ bv0 32)))) (and (= (bvadd (bvmul (bvneg (_ bv85 32)) ?y3) (bvmul (_ bv56 32) x1)) (bvneg (_ bv93 32))) (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv72 32)) ?y3) ?v_3) (bvmul (_ bv9 32) x1)) (_ bv68 32)))) (or (and (bvsge (bvadd (bvadd (bvmul (_ bv18 32) ?y3) (bvmul (bvneg (_ bv88 32)) ?y2)) (bvmul (bvneg (_ bv10 32)) x1)) (bvneg (_ bv41 32))) (bvslt (bvadd (bvadd (bvmul (_ bv2 32) ?y3) ?v_3) (bvmul (bvneg (_ bv68 32)) x1)) (_ bv13 32))) (= (bvadd (bvmul (_ bv23 32) ?y3) (bvmul (bvneg (_ bv91 32)) x1)) (bvneg (_ bv13 32)))))))))) (exists ((?y3 (_ BitVec 32))) (and (or (and (or (= (bvadd (bvadd (bvmul (_ bv85 32) ?y3) (bvmul (bvneg (_ bv94 32)) ?y2)) (bvmul (bvneg (_ bv99 32)) x1)) (_ bv51 32)) (not (= (bvadd (bvmul (bvneg (_ bv94 32)) ?y3) (bvmul (_ bv36 32) x1)) (bvneg (_ bv73 32))))) (= (bvadd (bvadd (bvmul (bvneg (_ bv60 32)) ?y3) (bvmul (bvneg (_ bv44 32)) ?y2)) (bvmul (bvneg (_ bv86 32)) x1)) (_ bv0 32))) (or (or (= (bvadd (bvadd (bvmul (bvneg (_ bv3 32)) ?y3) (bvmul (bvneg (_ bv62 32)) ?y2)) (bvmul (_ bv51 32) x1)) (bvneg (_ bv87 32))) (= (bvmul (bvneg (_ bv63 32)) ?y3) (bvneg (_ bv78 32)))) (and (= (bvmul (_ bv9 32) x1) (bvneg (_ bv81 32))) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv74 32)) ?y3) (bvmul (bvneg (_ bv84 32)) ?y2)) (bvmul (_ bv69 32) x1)) (bvneg (_ bv81 32)))))) (or (and (bvsle (bvadd (bvmul (_ bv81 32) ?y3) (bvmul (_ bv92 32) x1)) (bvneg (_ bv28 32))) (not (= (bvadd (bvmul (bvneg (_ bv18 32)) ?y3) (bvmul (_ bv73 32) x1)) (bvneg (_ bv24 32))))) (and (or (bvsgt (bvmul (bvneg (_ bv2 32)) ?y2) (_ bv44 32)) (bvslt (bvadd (bvmul (_ bv17 32) ?y3) (bvmul (bvneg (_ bv52 32)) ?y2)) (bvneg (_ bv29 32)))) (or (bvslt (bvadd (bvmul (bvneg (_ bv75 32)) ?y3) (bvmul (_ bv4 32) ?y2)) (bvneg (_ bv26 32))) (bvsge (bvadd (bvmul (_ bv87 32) ?y3) (bvmul (bvneg (_ bv96 32)) ?y2)) (bvneg (_ bv44 32)))))))))))
(check-sat)
(exit)
