(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(declare-fun y1 () (_ BitVec 32))
(declare-fun y2 () (_ BitVec 32))
(declare-fun y3 () (_ BitVec 32))
(declare-fun x1 () (_ BitVec 32))
(declare-fun y4 () (_ BitVec 32))
(assert (and (and (exists ((?y1 (_ BitVec 32))) (and (or (exists ((?y2 (_ BitVec 32))) (and (and (exists ((?y3 (_ BitVec 32))) (and (bvsge (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv86 32)) ?y3) (bvmul (bvneg (_ bv87 32)) ?y2)) (bvmul (bvneg (_ bv20 32)) ?y1)) (bvmul (bvneg (_ bv82 32)) x1)) (_ bv19 32)) (= (bvadd (bvadd (bvmul (_ bv10 32) ?y2) (bvmul (_ bv14 32) ?y1)) (bvmul (_ bv25 32) x1)) (_ bv14 32)))) (forall ((?y3 (_ BitVec 32))) (forall ((?y4 (_ BitVec 32))) (bvsge (bvadd (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv23 32)) ?y4) (bvmul (bvneg (_ bv57 32)) ?y3)) (bvmul (bvneg (_ bv60 32)) ?y2)) (bvmul (_ bv20 32) ?y1)) (bvmul (_ bv53 32) x1)) (bvneg (_ bv80 32)))))) (exists ((?y3 (_ BitVec 32))) (and (forall ((?y4 (_ BitVec 32))) (bvslt (bvadd (bvadd (bvadd (bvadd (bvmul (_ bv50 32) ?y4) (bvmul (_ bv32 32) ?y3)) (bvmul (_ bv46 32) ?y2)) (bvmul (_ bv20 32) ?y1)) (bvmul (bvneg (_ bv64 32)) x1)) (bvneg (_ bv50 32)))) (exists ((?y4 (_ BitVec 32))) (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv80 32)) ?y4) (bvmul (_ bv5 32) ?y1)) (bvmul (_ bv28 32) x1)) (bvneg (_ bv86 32)))))))) (and (or (= (bvmul (bvneg (_ bv98 32)) ?y1) (_ bv69 32)) (= (bvmul (bvneg (_ bv94 32)) ?y1) (_ bv63 32))) (or (and (bvsgt (bvadd (bvmul (bvneg (_ bv30 32)) ?y1) (bvmul (_ bv79 32) x1)) (_ bv0 32)) (bvsge (bvadd (bvmul (_ bv8 32) ?y1) (bvmul (_ bv93 32) x1)) (bvneg (_ bv74 32)))) (not (= (bvadd (bvmul (bvneg (_ bv97 32)) ?y1) (bvmul (bvneg (_ bv24 32)) x1)) (_ bv15 32)))))) (exists ((?y2 (_ BitVec 32))) (exists ((?y3 (_ BitVec 32))) (forall ((?y4 (_ BitVec 32))) (let ((?v_1 (bvmul (_ bv62 32) ?y1)) (?v_0 (bvmul (bvneg (_ bv22 32)) ?y3))) (and (or (bvsgt (bvadd (bvadd (bvadd (bvadd (bvmul (_ bv50 32) ?y4) (bvmul (_ bv72 32) ?y3)) (bvmul (bvneg (_ bv6 32)) ?y2)) (bvmul (bvneg (_ bv35 32)) ?y1)) (bvmul (bvneg (_ bv80 32)) x1)) (bvneg (_ bv4 32))) (or (bvslt (bvadd (bvmul (bvneg (_ bv73 32)) ?y4) ?v_0) (bvneg (_ bv2 32))) (= (bvadd (bvadd (bvadd (bvmul (_ bv88 32) ?y4) (bvmul (bvneg (_ bv82 32)) ?y2)) (bvmul (bvneg (_ bv8 32)) ?y1)) (bvmul (_ bv7 32) x1)) (_ bv0 32)))) (or (and (= (bvadd (bvadd (bvadd ?v_0 (bvmul (bvneg (_ bv69 32)) ?y2)) (bvmul (bvneg (_ bv49 32)) ?y1)) (bvmul (_ bv63 32) x1)) (bvneg (_ bv4 32))) (bvsge (bvadd (bvadd (bvmul (_ bv65 32) ?y4) (bvmul (bvneg (_ bv71 32)) ?y2)) ?v_1) (bvneg (_ bv65 32)))) (bvslt (bvadd (bvadd (bvadd (bvmul (_ bv20 32) ?y4) (bvmul (bvneg (_ bv42 32)) ?y3)) ?v_1) (bvmul (bvneg (_ bv76 32)) x1)) (bvneg (_ bv92 32))))))))))) (forall ((?y1 (_ BitVec 32))) (exists ((?y3 (_ BitVec 32))) (forall ((?y4 (_ BitVec 32))) (and (and (or (= (bvmul (bvneg (_ bv91 32)) x1) (_ bv0 32)) (bvsge (bvadd (bvadd (bvadd (bvmul (_ bv40 32) ?y4) (bvmul (_ bv95 32) ?y3)) (bvmul (_ bv61 32) ?y1)) (bvmul (bvneg (_ bv38 32)) x1)) (_ bv88 32))) (and (not (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv66 32)) ?y4) (bvmul (_ bv75 32) ?y3)) (bvmul (bvneg (_ bv71 32)) ?y1)) (bvmul (bvneg (_ bv2 32)) x1)) (_ bv30 32))) (= (bvadd (bvadd (bvmul (_ bv76 32) ?y4) (bvmul (bvneg (_ bv40 32)) ?y1)) (bvmul (_ bv79 32) x1)) (_ bv8 32)))) (and (and (not (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv86 32)) ?y4) (bvmul (bvneg (_ bv26 32)) ?y3)) (bvmul (bvneg (_ bv75 32)) ?y1)) (bvmul (_ bv61 32) x1)) (bvneg (_ bv90 32)))) (bvsgt (bvadd (bvadd (bvmul (_ bv31 32) ?y3) (bvmul (_ bv72 32) ?y1)) (bvmul (bvneg (_ bv65 32)) x1)) (_ bv0 32))) (or (= (bvadd (bvadd (bvmul (_ bv44 32) ?y3) (bvmul (bvneg (_ bv50 32)) ?y1)) (bvmul (_ bv47 32) x1)) (_ bv0 32)) (bvsge (bvadd (bvmul (bvneg (_ bv51 32)) ?y3) (bvmul (bvneg (_ bv63 32)) ?y1)) (bvneg (_ bv47 32)))))))))) (or (or (exists ((?y1 (_ BitVec 32))) (forall ((?y2 (_ BitVec 32))) (or (and (or (and (forall ((?y3 (_ BitVec 32))) (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv20 32)) ?y3) (bvmul (_ bv38 32) ?y2)) (bvmul (bvneg (_ bv61 32)) ?y1)) (bvmul (_ bv93 32) x1)) (bvneg (_ bv91 32)))) (or (bvsge (bvadd (bvmul (bvneg (_ bv75 32)) ?y1) (bvmul (bvneg (_ bv53 32)) x1)) (bvneg (_ bv23 32))) (= (bvadd (bvadd (bvmul (bvneg (_ bv33 32)) ?y2) (bvmul (bvneg (_ bv68 32)) ?y1)) (bvmul (bvneg (_ bv79 32)) x1)) (_ bv0 32)))) (exists ((?y4 (_ BitVec 32))) (not (= (bvadd (bvadd (bvmul (bvneg (_ bv70 32)) ?y4) (bvmul (bvneg (_ bv98 32)) ?y2)) (bvmul (_ bv33 32) ?y1)) (_ bv0 32))))) (forall ((?y3 (_ BitVec 32))) (or (and (not (= (bvadd (bvadd (bvmul (_ bv77 32) ?y2) (bvmul (_ bv98 32) ?y1)) (bvmul (bvneg (_ bv82 32)) x1)) (bvneg (_ bv54 32)))) (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv18 32)) ?y3) (bvmul (bvneg (_ bv30 32)) ?y2)) (bvmul (_ bv82 32) ?y1)) (bvmul (bvneg (_ bv100 32)) x1)) (bvneg (_ bv25 32)))) (bvsgt (bvadd (bvadd (bvadd (bvmul (_ bv23 32) ?y3) (bvmul (bvneg (_ bv82 32)) ?y2)) (bvmul (bvneg (_ bv24 32)) ?y1)) (bvmul (bvneg (_ bv67 32)) x1)) (_ bv32 32))))) (and (forall ((?y3 (_ BitVec 32))) (or (bvsge (bvadd (bvadd (bvadd (bvmul (_ bv67 32) ?y3) (bvmul (_ bv4 32) ?y2)) (bvmul (bvneg (_ bv25 32)) ?y1)) (bvmul (_ bv59 32) x1)) (_ bv82 32)) (and (bvsle (bvmul (bvneg (_ bv33 32)) ?y1) (bvneg (_ bv31 32))) (bvsge (bvadd (bvadd (bvmul (_ bv65 32) ?y3) (bvmul (bvneg (_ bv30 32)) ?y2)) (bvmul (bvneg (_ bv98 32)) x1)) (bvneg (_ bv2 32)))))) (forall ((?y3 (_ BitVec 32))) (not (= (bvadd (bvadd (bvmul (_ bv75 32) ?y3) (bvmul (bvneg (_ bv62 32)) ?y2)) (bvmul (_ bv24 32) ?y1)) (_ bv33 32)))))))) (exists ((?y1 (_ BitVec 32))) (forall ((?y3 (_ BitVec 32))) (forall ((?y4 (_ BitVec 32))) (let ((?v_2 (bvmul (_ bv14 32) ?y3))) (or (or (or (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv17 32)) ?y4) (bvmul (bvneg (_ bv17 32)) ?y3)) (bvmul (_ bv4 32) ?y1)) (bvmul (_ bv99 32) x1)) (bvneg (_ bv33 32))) (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv1 32)) ?y3) (bvmul (_ bv53 32) ?y1)) (bvmul (_ bv62 32) x1)) (bvneg (_ bv79 32)))) (and (not (= (bvadd (bvadd (bvmul (_ bv78 32) ?y3) (bvmul (_ bv25 32) ?y1)) (bvmul (_ bv98 32) x1)) (_ bv53 32))) (bvsge (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv61 32)) ?y4) (bvmul (bvneg (_ bv13 32)) ?y3)) (bvmul (_ bv71 32) ?y1)) (bvmul (bvneg (_ bv78 32)) x1)) (bvneg (_ bv41 32))))) (and (or (bvsle (bvadd (bvadd ?v_2 (bvmul (bvneg (_ bv76 32)) ?y1)) (bvmul (_ bv58 32) x1)) (_ bv0 32)) (bvslt (bvadd (bvadd (bvmul (_ bv14 32) ?y4) (bvmul (bvneg (_ bv96 32)) ?y1)) (bvmul (bvneg (_ bv93 32)) x1)) (_ bv79 32))) (or (bvsge (bvadd (bvmul (_ bv11 32) ?y4) ?v_2) (_ bv40 32)) (bvsge (bvadd (bvadd (bvmul (_ bv23 32) ?y4) (bvmul (bvneg (_ bv10 32)) ?y3)) (bvmul (_ bv59 32) ?y1)) (bvneg (_ bv5 32))))))))))) (forall ((?y1 (_ BitVec 32))) (and (and (and (exists ((?y3 (_ BitVec 32))) (and (or (bvsle (bvmul (_ bv3 32) x1) (bvneg (_ bv78 32))) (bvsle (bvadd (bvmul (bvneg (_ bv98 32)) ?y3) (bvmul (_ bv6 32) ?y1)) (_ bv0 32))) (bvslt (bvadd (bvadd (bvmul (_ bv27 32) ?y3) (bvmul (bvneg (_ bv80 32)) ?y1)) (bvmul (bvneg (_ bv16 32)) x1)) (bvneg (_ bv68 32))))) (exists ((?y3 (_ BitVec 32))) (or (bvslt (bvadd (bvmul (_ bv5 32) ?y3) (bvmul (bvneg (_ bv70 32)) ?y1)) (_ bv97 32)) (bvsge (bvadd (bvadd (bvmul (_ bv61 32) ?y3) (bvmul (bvneg (_ bv74 32)) ?y1)) (bvmul (bvneg (_ bv3 32)) x1)) (bvneg (_ bv92 32)))))) (exists ((?y3 (_ BitVec 32))) (exists ((?y4 (_ BitVec 32))) (or (and (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv11 32)) ?y4) (bvmul (bvneg (_ bv78 32)) ?y3)) (bvmul (_ bv70 32) ?y1)) (bvmul (_ bv71 32) x1)) (bvneg (_ bv21 32))) (not (= (bvadd (bvmul (_ bv85 32) ?y4) (bvmul (bvneg (_ bv79 32)) ?y3)) (bvneg (_ bv25 32))))) (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv87 32)) ?y4) (bvmul (_ bv37 32) ?y3)) (bvmul (bvneg (_ bv31 32)) x1)) (_ bv79 32)))))) (forall ((?y2 (_ BitVec 32))) (or (exists ((?y3 (_ BitVec 32))) (and (or (forall ((?y4 (_ BitVec 32))) (not (= (bvadd (bvadd (bvmul (bvneg (_ bv85 32)) ?y3) (bvmul (bvneg (_ bv42 32)) ?y2)) (bvmul (bvneg (_ bv20 32)) ?y1)) (_ bv3 32)))) (forall ((?y4 (_ BitVec 32))) (not (= (bvadd (bvadd (bvadd (bvmul (_ bv48 32) ?y4) (bvmul (_ bv56 32) ?y2)) (bvmul (_ bv43 32) ?y1)) (bvmul (bvneg (_ bv1 32)) x1)) (_ bv51 32))))) (forall ((?y4 (_ BitVec 32))) (bvslt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv69 32)) ?y4) (bvmul (bvneg (_ bv27 32)) ?y3)) (bvmul (_ bv71 32) ?y1)) (bvmul (_ bv92 32) x1)) (_ bv4 32))))) (or (and (and (and (bvsle (bvmul (_ bv78 32) ?y2) (_ bv92 32)) (= (bvadd (bvmul (_ bv89 32) ?y2) (bvmul (_ bv50 32) ?y1)) (bvneg (_ bv40 32)))) (exists ((?y3 (_ BitVec 32))) (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv10 32)) ?y3) (bvmul (bvneg (_ bv100 32)) ?y1)) (bvmul (_ bv88 32) x1)) (bvneg (_ bv87 32))))) (forall ((?y3 (_ BitVec 32))) (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv90 32)) ?y2) (bvmul (bvneg (_ bv18 32)) ?y1)) (bvmul (_ bv19 32) x1)) (bvneg (_ bv79 32))))) (or (bvsgt (bvadd (bvmul (_ bv23 32) ?y2) (bvmul (bvneg (_ bv65 32)) ?y1)) (_ bv0 32)) (and (and (bvsle (bvmul (bvneg (_ bv94 32)) ?y2) (_ bv38 32)) (bvsgt (bvmul (_ bv6 32) ?y1) (_ bv0 32))) (bvslt (bvadd (bvadd (bvmul (_ bv15 32) ?y2) (bvmul (bvneg (_ bv60 32)) ?y1)) (bvmul (bvneg (_ bv55 32)) x1)) (bvneg (_ bv71 32)))))))))))))
(check-sat)
(exit)
