(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(declare-fun y1 () (_ BitVec 32))
(declare-fun y3 () (_ BitVec 32))
(declare-fun y4 () (_ BitVec 32))
(declare-fun x1 () (_ BitVec 32))
(assert (forall ((?y1 (_ BitVec 32))) (or (forall ((?y3 (_ BitVec 32))) (exists ((?y4 (_ BitVec 32))) (let ((?v_1 (bvmul (bvneg (_ bv36 32)) ?y1)) (?v_0 (bvmul (bvneg (_ bv54 32)) x1)) (?v_2 (bvmul (bvneg (_ bv36 32)) ?y4))) (or (or (or (or (or (bvslt (bvadd (bvmul (_ bv5 32) ?y1) (bvmul (bvneg (_ bv26 32)) x1)) (_ bv49 32)) (bvslt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv22 32)) ?y4) (bvmul (_ bv17 32) ?y3)) (bvmul (bvneg (_ bv38 32)) ?y1)) (bvmul (_ bv10 32) x1)) (_ bv61 32))) (and (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv60 32)) ?y4) (bvmul (bvneg (_ bv31 32)) ?y3)) (bvmul (_ bv68 32) ?y1)) (bvmul (_ bv25 32) x1)) (_ bv30 32)) (not (= (bvadd (bvadd (bvadd (bvmul (_ bv78 32) ?y4) (bvmul (bvneg (_ bv47 32)) ?y3)) (bvmul (bvneg (_ bv96 32)) ?y1)) (bvmul (bvneg (_ bv78 32)) x1)) (bvneg (_ bv94 32)))))) (and (not (= (bvadd (bvmul (_ bv51 32) ?y3) (bvmul (bvneg (_ bv92 32)) ?y1)) (bvneg (_ bv60 32)))) (and (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv26 32)) ?y4) (bvmul (_ bv50 32) ?y3)) (bvmul (bvneg (_ bv35 32)) ?y1)) (bvmul (bvneg (_ bv100 32)) x1)) (bvneg (_ bv81 32))) (= (bvadd (bvadd (bvmul (bvneg (_ bv68 32)) ?y4) (bvmul (bvneg (_ bv15 32)) ?y3)) (bvmul (_ bv43 32) x1)) (_ bv33 32))))) (or (or (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv47 32)) ?y4) (bvmul (bvneg (_ bv51 32)) ?y3)) (bvmul (bvneg (_ bv39 32)) ?y1)) (bvmul (bvneg (_ bv39 32)) x1)) (_ bv80 32)) (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv95 32)) ?y3) ?v_1) ?v_0) (bvneg (_ bv17 32)))) (and (= (bvadd (bvadd (bvmul (_ bv98 32) ?y4) (bvmul (_ bv7 32) ?y3)) (bvmul (_ bv100 32) x1)) (bvneg (_ bv94 32))) (bvsge (bvadd (bvadd (bvadd ?v_2 (bvmul (_ bv42 32) ?y3)) (bvmul (bvneg (_ bv55 32)) ?y1)) (bvmul (_ bv85 32) x1)) (bvneg (_ bv17 32)))))) (and (and (or (or (bvsge (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv17 32)) ?y4) (bvmul (_ bv69 32) ?y3)) (bvmul (_ bv35 32) ?y1)) (bvmul (bvneg (_ bv21 32)) x1)) (_ bv0 32)) (bvsle (bvadd (bvmul (_ bv6 32) ?y1) (bvmul (_ bv12 32) x1)) (_ bv0 32))) (and (not (= (bvadd (bvadd (bvmul (_ bv49 32) ?y4) (bvmul (bvneg (_ bv59 32)) ?y3)) (bvmul (_ bv81 32) x1)) (_ bv0 32))) (= (bvadd (bvadd (bvadd (bvmul (_ bv30 32) ?y4) (bvmul (_ bv10 32) ?y3)) (bvmul (bvneg (_ bv57 32)) ?y1)) ?v_0) (_ bv36 32)))) (and (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv73 32)) ?y4) (bvmul (bvneg (_ bv24 32)) ?y1)) (bvmul (bvneg (_ bv22 32)) x1)) (bvneg (_ bv55 32))) (or (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv83 32)) ?y4) (bvmul (bvneg (_ bv39 32)) ?y3)) ?v_1) (bvneg (_ bv23 32))) (bvsgt (bvadd (bvadd (bvmul (_ bv44 32) ?y4) (bvmul (_ bv75 32) ?y3)) (bvmul (bvneg (_ bv14 32)) ?y1)) (_ bv5 32))))) (and (and (or (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv97 32)) ?y4) (bvmul (_ bv91 32) ?y1)) (bvmul (_ bv15 32) x1)) (bvneg (_ bv59 32))) (bvsle (bvadd (bvadd (bvmul (_ bv83 32) ?y4) (bvmul (bvneg (_ bv76 32)) ?y3)) (bvmul (bvneg (_ bv4 32)) ?y1)) (_ bv0 32))) (or (bvsge (bvadd (bvadd (bvadd ?v_2 (bvmul (bvneg (_ bv26 32)) ?y3)) (bvmul (_ bv65 32) ?y1)) (bvmul (_ bv2 32) x1)) (_ bv0 32)) (bvsgt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv3 32)) ?y4) (bvmul (bvneg (_ bv70 32)) ?y3)) (bvmul (_ bv4 32) ?y1)) (bvmul (_ bv86 32) x1)) (bvneg (_ bv40 32))))) (or (bvsle (bvadd (bvmul (_ bv27 32) ?y4) (bvmul (_ bv16 32) x1)) (_ bv95 32)) (bvsge (bvadd (bvmul (_ bv89 32) ?y4) (bvmul (_ bv93 32) x1)) (_ bv82 32))))))))) (or (or (and (or (or (bvsge (bvadd (bvmul (bvneg (_ bv78 32)) ?y1) (bvmul (_ bv32 32) x1)) (bvneg (_ bv8 32))) (bvslt (bvmul (_ bv12 32) x1) (_ bv94 32))) (exists ((?y4 (_ BitVec 32))) (or (bvsge (bvmul (bvneg (_ bv2 32)) ?y4) (_ bv76 32)) (bvsgt (bvadd (bvmul (_ bv86 32) ?y1) (bvmul (bvneg (_ bv44 32)) x1)) (_ bv24 32))))) (and (bvslt (bvadd (bvmul (_ bv24 32) ?y1) (bvmul (bvneg (_ bv35 32)) x1)) (bvneg (_ bv44 32))) (bvsgt (bvadd (bvmul (bvneg (_ bv44 32)) ?y1) (bvmul (bvneg (_ bv77 32)) x1)) (_ bv32 32)))) (exists ((?y4 (_ BitVec 32))) (and (and (= (bvadd (bvmul (bvneg (_ bv62 32)) ?y4) (bvmul (_ bv17 32) x1)) (_ bv12 32)) (not (= (bvadd (bvadd (bvmul (bvneg (_ bv22 32)) ?y4) (bvmul (bvneg (_ bv59 32)) ?y1)) (bvmul (_ bv7 32) x1)) (_ bv0 32)))) (or (bvsle (bvadd (bvmul (_ bv54 32) ?y4) (bvmul (_ bv67 32) ?y1)) (bvneg (_ bv39 32))) (= (bvadd (bvmul (bvneg (_ bv73 32)) ?y1) (bvmul (_ bv25 32) x1)) (_ bv45 32)))))) (or (and (and (or (exists ((?y4 (_ BitVec 32))) (not (= (bvadd (bvadd (bvmul (_ bv16 32) ?y4) (bvmul (bvneg (_ bv64 32)) ?y1)) (bvmul (_ bv54 32) x1)) (_ bv63 32)))) (exists ((?y4 (_ BitVec 32))) (= (bvadd (bvadd (bvmul (bvneg (_ bv46 32)) ?y4) (bvmul (bvneg (_ bv80 32)) ?y1)) (bvmul (bvneg (_ bv53 32)) x1)) (_ bv50 32)))) (and (exists ((?y4 (_ BitVec 32))) (bvsgt (bvadd (bvmul (_ bv76 32) ?y4) (bvmul (bvneg (_ bv56 32)) ?y1)) (_ bv51 32))) (and (forall ((?y3 (_ BitVec 32))) (= (bvadd (bvadd (bvmul (bvneg (_ bv78 32)) ?y3) (bvmul (bvneg (_ bv78 32)) ?y1)) (bvmul (_ bv6 32) x1)) (_ bv39 32))) (not (= (bvadd (bvmul (bvneg (_ bv69 32)) ?y1) (bvmul (_ bv59 32) x1)) (_ bv0 32)))))) (forall ((?y3 (_ BitVec 32))) (or (or (forall ((?y4 (_ BitVec 32))) (bvsle (bvadd (bvadd (bvmul (_ bv17 32) ?y3) (bvmul (_ bv92 32) ?y1)) (bvmul (_ bv37 32) x1)) (_ bv0 32))) (forall ((?y4 (_ BitVec 32))) (bvslt (bvadd (bvadd (bvadd (bvmul (_ bv65 32) ?y4) (bvmul (_ bv73 32) ?y3)) (bvmul (bvneg (_ bv32 32)) ?y1)) (bvmul (bvneg (_ bv47 32)) x1)) (bvneg (_ bv74 32))))) (exists ((?y4 (_ BitVec 32))) (not (= (bvadd (bvmul (_ bv96 32) ?y4) (bvmul (bvneg (_ bv72 32)) x1)) (bvneg (_ bv3 32)))))))) (and (forall ((?y3 (_ BitVec 32))) (and (and (= (bvadd (bvmul (_ bv51 32) ?y3) (bvmul (bvneg (_ bv55 32)) ?y1)) (_ bv0 32)) (not (= (bvadd (bvmul (_ bv44 32) ?y3) (bvmul (_ bv31 32) ?y1)) (_ bv75 32)))) (or (= (bvadd (bvadd (bvmul (bvneg (_ bv76 32)) ?y3) (bvmul (bvneg (_ bv93 32)) ?y1)) (bvmul (_ bv43 32) x1)) (bvneg (_ bv55 32))) (not (= (bvadd (bvadd (bvmul (bvneg (_ bv99 32)) ?y3) (bvmul (_ bv7 32) ?y1)) (bvmul (bvneg (_ bv11 32)) x1)) (_ bv33 32)))))) (and (or (or (bvsge (bvmul (bvneg (_ bv73 32)) ?y1) (_ bv34 32)) (bvsgt (bvadd (bvmul (bvneg (_ bv60 32)) ?y1) (bvmul (_ bv3 32) x1)) (_ bv9 32))) (or (bvsgt (bvadd (bvmul (bvneg (_ bv12 32)) ?y1) (bvmul (bvneg (_ bv58 32)) x1)) (bvneg (_ bv87 32))) (bvsgt (bvadd (bvmul (bvneg (_ bv86 32)) ?y1) (bvmul (bvneg (_ bv37 32)) x1)) (_ bv0 32)))) (or (or (forall ((?y3 (_ BitVec 32))) (not (= (bvadd (bvmul (bvneg (_ bv45 32)) ?y3) (bvmul (bvneg (_ bv17 32)) x1)) (bvneg (_ bv67 32))))) (forall ((?y3 (_ BitVec 32))) (= (bvadd (bvmul (bvneg (_ bv19 32)) ?y1) (bvmul (_ bv20 32) x1)) (_ bv27 32)))) (forall ((?y3 (_ BitVec 32))) (bvsgt (bvadd (bvadd (bvmul (_ bv30 32) ?y3) (bvmul (_ bv17 32) ?y1)) (bvmul (bvneg (_ bv51 32)) x1)) (_ bv0 32)))))))))))
(check-sat)
(exit)
