(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(declare-fun y2 () (_ BitVec 32))
(declare-fun y3 () (_ BitVec 32))
(declare-fun y4 () (_ BitVec 32))
(declare-fun x1 () (_ BitVec 32))
(declare-fun y1 () (_ BitVec 32))
(assert (or (and (and (and (exists ((?y2 (_ BitVec 32))) (or (forall ((?y3 (_ BitVec 32))) (forall ((?y4 (_ BitVec 32))) (or (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv53 32)) ?y4) (bvmul (_ bv77 32) ?y3)) (bvmul (_ bv51 32) ?y2)) (_ bv79 32)) (not (= (bvmul (bvneg (_ bv56 32)) ?y4) (_ bv0 32)))))) (or (exists ((?y3 (_ BitVec 32))) (not (= (bvadd (bvmul (bvneg (_ bv94 32)) ?y2) (bvmul (_ bv90 32) x1)) (bvneg (_ bv54 32))))) (and (bvsle (bvadd (bvmul (bvneg (_ bv28 32)) ?y2) (bvmul (_ bv4 32) x1)) (_ bv62 32)) (exists ((?y3 (_ BitVec 32))) (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv83 32)) ?y3) (bvmul (bvneg (_ bv2 32)) ?y2)) (bvmul (_ bv78 32) x1)) (_ bv34 32))))))) (forall ((?y1 (_ BitVec 32))) (forall ((?y2 (_ BitVec 32))) (and (forall ((?y4 (_ BitVec 32))) (or (= (bvadd (bvmul (bvneg (_ bv27 32)) ?y1) (bvmul (bvneg (_ bv64 32)) x1)) (_ bv12 32)) (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv91 32)) ?y4) (bvmul (bvneg (_ bv61 32)) ?y1)) (bvmul (_ bv20 32) x1)) (_ bv25 32)))) (or (forall ((?y4 (_ BitVec 32))) (bvsgt (bvadd (bvadd (bvadd (bvmul (_ bv22 32) ?y4) (bvmul (bvneg (_ bv35 32)) ?y2)) (bvmul (bvneg (_ bv77 32)) ?y1)) (bvmul (bvneg (_ bv78 32)) x1)) (bvneg (_ bv49 32)))) (and (= (bvadd (bvmul (bvneg (_ bv55 32)) ?y1) (bvmul (bvneg (_ bv71 32)) x1)) (_ bv51 32)) (bvsle (bvmul (bvneg (_ bv2 32)) ?y1) (_ bv0 32)))))))) (or (and (forall ((?y1 (_ BitVec 32))) (exists ((?y2 (_ BitVec 32))) (forall ((?y3 (_ BitVec 32))) (and (bvsge (bvadd (bvmul (bvneg (_ bv42 32)) ?y2) (bvmul (bvneg (_ bv88 32)) ?y1)) (_ bv0 32)) (not (= (bvadd (bvmul (_ bv94 32) ?y3) (bvmul (bvneg (_ bv41 32)) ?y2)) (_ bv20 32))))))) (exists ((?y1 (_ BitVec 32))) (forall ((?y2 (_ BitVec 32))) (exists ((?y3 (_ BitVec 32))) (forall ((?y4 (_ BitVec 32))) (or (bvsle (bvadd (bvadd (bvmul (_ bv84 32) ?y4) (bvmul (_ bv79 32) ?y3)) (bvmul (_ bv42 32) ?y2)) (_ bv5 32)) (= (bvadd (bvadd (bvmul (bvneg (_ bv58 32)) ?y3) (bvmul (bvneg (_ bv13 32)) ?y2)) (bvmul (_ bv93 32) x1)) (bvneg (_ bv1 32))))))))) (or (and (or (= (bvmul (_ bv21 32) x1) (bvneg (_ bv18 32))) (bvsge (bvmul (_ bv76 32) x1) (_ bv0 32))) (or (bvsge (bvmul (bvneg (_ bv79 32)) x1) (_ bv61 32)) (bvsge (bvmul (bvneg (_ bv32 32)) x1) (bvneg (_ bv26 32))))) (and (and (or (bvsge (bvmul (bvneg (_ bv44 32)) x1) (_ bv58 32)) (not (= (bvmul (bvneg (_ bv68 32)) x1) (bvneg (_ bv93 32))))) (forall ((?y3 (_ BitVec 32))) (bvsge (bvmul (bvneg (_ bv14 32)) x1) (_ bv91 32)))) (forall ((?y2 (_ BitVec 32))) (and (and (bvsgt (bvmul (bvneg (_ bv65 32)) x1) (_ bv74 32)) (bvsge (bvadd (bvmul (_ bv27 32) ?y2) (bvmul (bvneg (_ bv84 32)) x1)) (bvneg (_ bv68 32)))) (and (bvsge (bvadd (bvmul (_ bv11 32) ?y2) (bvmul (bvneg (_ bv77 32)) x1)) (_ bv0 32)) (bvslt (bvadd (bvmul (bvneg (_ bv67 32)) ?y2) (bvmul (bvneg (_ bv42 32)) x1)) (_ bv88 32))))))))) (forall ((?y1 (_ BitVec 32))) (exists ((?y2 (_ BitVec 32))) (exists ((?y3 (_ BitVec 32))) (forall ((?y4 (_ BitVec 32))) (let ((?v_0 (bvmul (_ bv66 32) ?y4))) (and (or (bvsge (bvadd (bvadd (bvadd (bvmul (_ bv48 32) ?y4) (bvmul (bvneg (_ bv47 32)) ?y3)) (bvmul (_ bv1 32) ?y1)) (bvmul (_ bv38 32) x1)) (_ bv61 32)) (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv19 32)) ?y4) (bvmul (bvneg (_ bv80 32)) ?y3)) (bvmul (bvneg (_ bv66 32)) ?y2)) (_ bv25 32))) (or (or (and (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv4 32)) ?y4) (bvmul (bvneg (_ bv22 32)) ?y2)) (bvmul (bvneg (_ bv18 32)) ?y1)) (bvneg (_ bv28 32))) (not (= (bvadd (bvadd (bvadd (bvmul (_ bv1 32) ?y3) (bvmul (_ bv20 32) ?y2)) (bvmul (bvneg (_ bv42 32)) ?y1)) (bvmul (_ bv74 32) x1)) (bvneg (_ bv63 32))))) (and (= (bvadd (bvadd (bvadd (bvmul (_ bv13 32) ?y3) (bvmul (bvneg (_ bv7 32)) ?y2)) (bvmul (_ bv52 32) ?y1)) (bvmul (_ bv94 32) x1)) (_ bv0 32)) (bvslt (bvadd (bvadd (bvadd (bvadd (bvmul (_ bv87 32) ?y4) (bvmul (bvneg (_ bv36 32)) ?y3)) (bvmul (_ bv55 32) ?y2)) (bvmul (bvneg (_ bv99 32)) ?y1)) (bvmul (bvneg (_ bv56 32)) x1)) (bvneg (_ bv98 32))))) (or (or (not (= (bvadd (bvadd (bvadd (bvadd (bvmul (_ bv73 32) ?y4) (bvmul (bvneg (_ bv15 32)) ?y3)) (bvmul (_ bv52 32) ?y2)) (bvmul (_ bv12 32) ?y1)) (bvmul (_ bv69 32) x1)) (_ bv72 32))) (bvsle (bvadd (bvadd ?v_0 (bvmul (bvneg (_ bv89 32)) ?y1)) (bvmul (bvneg (_ bv49 32)) x1)) (_ bv47 32))) (and (bvsge (bvadd (bvadd (bvmul (_ bv82 32) ?y3) (bvmul (_ bv69 32) ?y2)) (bvmul (_ bv67 32) ?y1)) (_ bv10 32)) (= (bvadd (bvadd (bvadd ?v_0 (bvmul (_ bv4 32) ?y3)) (bvmul (_ bv21 32) ?y2)) (bvmul (bvneg (_ bv35 32)) ?y1)) (_ bv77 32)))))))))))) (exists ((?y1 (_ BitVec 32))) (forall ((?y2 (_ BitVec 32))) (and (forall ((?y3 (_ BitVec 32))) (forall ((?y4 (_ BitVec 32))) (let ((?v_1 (bvmul (bvneg (_ bv41 32)) ?y2))) (or (and (and (not (= (bvadd (bvadd (bvadd (bvmul (_ bv33 32) ?y3) (bvmul (_ bv7 32) ?y2)) (bvmul (_ bv84 32) ?y1)) (bvmul (bvneg (_ bv79 32)) x1)) (_ bv0 32))) (and (bvslt (bvadd (bvadd (bvadd (bvmul (_ bv57 32) ?y4) ?v_1) (bvmul (bvneg (_ bv82 32)) ?y1)) (bvmul (bvneg (_ bv5 32)) x1)) (_ bv40 32)) (bvsge (bvadd (bvadd (bvadd (bvmul (_ bv18 32) ?y3) (bvmul (bvneg (_ bv64 32)) ?y2)) (bvmul (bvneg (_ bv87 32)) ?y1)) (bvmul (bvneg (_ bv37 32)) x1)) (_ bv16 32)))) (and (or (not (= (bvadd (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv19 32)) ?y4) (bvmul (bvneg (_ bv74 32)) ?y3)) (bvmul (_ bv40 32) ?y2)) (bvmul (bvneg (_ bv73 32)) ?y1)) (bvmul (bvneg (_ bv81 32)) x1)) (bvneg (_ bv6 32)))) (bvslt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv86 32)) ?y4) (bvmul (bvneg (_ bv83 32)) ?y2)) (bvmul (_ bv46 32) ?y1)) (bvmul (bvneg (_ bv74 32)) x1)) (_ bv94 32))) (or (bvsgt (bvadd (bvmul (bvneg (_ bv69 32)) ?y2) (bvmul (bvneg (_ bv45 32)) ?y1)) (_ bv0 32)) (bvsge (bvadd (bvadd (bvmul (_ bv16 32) ?y4) (bvmul (bvneg (_ bv18 32)) ?y3)) (bvmul (bvneg (_ bv92 32)) ?y2)) (bvneg (_ bv32 32)))))) (and (and (or (not (= (bvadd (bvadd (bvadd (bvmul (_ bv11 32) ?y4) (bvmul (_ bv75 32) ?y3)) (bvmul (_ bv6 32) ?y1)) (bvmul (bvneg (_ bv63 32)) x1)) (_ bv57 32))) (not (= (bvadd (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv90 32)) ?y4) (bvmul (_ bv48 32) ?y3)) (bvmul (bvneg (_ bv94 32)) ?y2)) (bvmul (bvneg (_ bv48 32)) ?y1)) (bvmul (_ bv96 32) x1)) (bvneg (_ bv45 32))))) (or (bvsge (bvadd (bvadd (bvadd (bvmul (_ bv36 32) ?y4) (bvmul (_ bv67 32) ?y3)) (bvmul (_ bv11 32) ?y2)) (bvmul (bvneg (_ bv84 32)) x1)) (bvneg (_ bv8 32))) (bvsge (bvadd (bvadd (bvmul (_ bv75 32) ?y4) (bvmul (bvneg (_ bv65 32)) ?y2)) (bvmul (bvneg (_ bv77 32)) x1)) (_ bv34 32)))) (or (or (bvsgt (bvadd (bvmul (_ bv70 32) ?y1) (bvmul (bvneg (_ bv85 32)) x1)) (_ bv0 32)) (bvsle (bvadd (bvmul (_ bv3 32) ?y2) (bvmul (bvneg (_ bv78 32)) ?y1)) (bvneg (_ bv7 32)))) (and (= (bvadd (bvadd (bvmul (_ bv44 32) ?y4) ?v_1) (bvmul (_ bv48 32) x1)) (_ bv0 32)) (bvslt (bvadd (bvadd (bvadd (bvadd (bvmul (_ bv27 32) ?y4) (bvmul (bvneg (_ bv24 32)) ?y3)) (bvmul (_ bv89 32) ?y2)) (bvmul (bvneg (_ bv93 32)) ?y1)) (bvmul (_ bv65 32) x1)) (bvneg (_ bv17 32)))))))))) (forall ((?y4 (_ BitVec 32))) (let ((?v_2 (bvmul (_ bv11 32) x1))) (and (and (or (and (bvslt (bvmul (_ bv99 32) ?y4) (bvneg (_ bv32 32))) (bvsle (bvadd (bvadd (bvmul (_ bv47 32) ?y4) (bvmul (bvneg (_ bv90 32)) ?y1)) (bvmul (_ bv78 32) x1)) (bvneg (_ bv33 32)))) (= (bvadd (bvmul (bvneg (_ bv19 32)) ?y2) (bvmul (bvneg (_ bv97 32)) ?y1)) (_ bv5 32))) (and (and (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv54 32)) ?y2) (bvmul (bvneg (_ bv87 32)) ?y1)) (bvmul (bvneg (_ bv32 32)) x1)) (_ bv51 32)) (bvsgt (bvadd (bvadd (bvadd (bvmul (_ bv46 32) ?y4) (bvmul (bvneg (_ bv11 32)) ?y2)) (bvmul (bvneg (_ bv68 32)) ?y1)) (bvmul (_ bv77 32) x1)) (_ bv77 32))) (and (bvslt (bvadd (bvadd (bvmul (_ bv1 32) ?y4) (bvmul (_ bv53 32) ?y2)) (bvmul (bvneg (_ bv60 32)) x1)) (bvneg (_ bv86 32))) (bvslt (bvadd (bvmul (bvneg (_ bv12 32)) ?y2) (bvmul (_ bv38 32) x1)) (_ bv79 32))))) (or (or (bvsge (bvadd (bvmul (bvneg (_ bv46 32)) ?y2) ?v_2) (_ bv37 32)) (= (bvmul (bvneg (_ bv2 32)) ?y1) (_ bv50 32))) (or (not (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv95 32)) ?y4) (bvmul (bvneg (_ bv96 32)) ?y2)) (bvmul (bvneg (_ bv74 32)) ?y1)) (bvmul (_ bv59 32) x1)) (bvneg (_ bv24 32)))) (bvslt (bvadd (bvmul (bvneg (_ bv70 32)) ?y1) ?v_2) (_ bv0 32))))))))))))
(check-sat)
(exit)
