(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(declare-fun y2 () (_ BitVec 32))
(declare-fun y3 () (_ BitVec 32))
(declare-fun y4 () (_ BitVec 32))
(declare-fun x1 () (_ BitVec 32))
(declare-fun y1 () (_ BitVec 32))
(assert (or (forall ((?y2 (_ BitVec 32))) (exists ((?y3 (_ BitVec 32))) (forall ((?y4 (_ BitVec 32))) (let ((?v_4 (bvmul (_ bv10 32) ?y2)) (?v_3 (bvmul (bvneg (_ bv71 32)) x1)) (?v_2 (bvmul (bvneg (_ bv68 32)) x1)) (?v_0 (bvmul (bvneg (_ bv18 32)) ?y3)) (?v_1 (bvmul (bvneg (_ bv42 32)) x1))) (or (and (and (or (bvsge (bvadd (bvadd (bvadd (bvmul (_ bv18 32) ?y4) (bvmul (_ bv83 32) ?y3)) (bvmul (_ bv95 32) ?y2)) ?v_3) (bvneg (_ bv47 32))) (= (bvadd (bvadd (bvadd (bvmul (_ bv22 32) ?y4) (bvmul (_ bv75 32) ?y3)) (bvmul (_ bv63 32) ?y2)) ?v_2) (_ bv0 32))) (or (bvsge (bvadd (bvmul (bvneg (_ bv51 32)) ?y4) (bvmul (bvneg (_ bv97 32)) ?y3)) (bvneg (_ bv44 32))) (= (bvadd (bvadd (bvmul (bvneg (_ bv70 32)) ?y4) (bvmul (bvneg (_ bv94 32)) ?y3)) (bvmul (bvneg (_ bv93 32)) ?y2)) (_ bv0 32)))) (and (or (or (not (= (bvadd (bvadd (bvmul (bvneg (_ bv88 32)) ?y4) (bvmul (_ bv45 32) ?y2)) (bvmul (bvneg (_ bv78 32)) x1)) (bvneg (_ bv85 32)))) (not (= (bvadd (bvmul (_ bv77 32) ?y4) (bvmul (bvneg (_ bv18 32)) x1)) (_ bv0 32)))) (and (not (= (bvadd (bvadd (bvmul (_ bv65 32) ?y4) (bvmul (_ bv82 32) ?y2)) (bvmul (_ bv19 32) x1)) (_ bv5 32))) (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv20 32)) ?y4) ?v_0) (bvmul (bvneg (_ bv60 32)) ?y2)) (bvmul (_ bv61 32) x1)) (_ bv0 32)))) (and (or (= (bvadd (bvadd (bvmul (_ bv36 32) ?y4) (bvmul (bvneg (_ bv76 32)) ?y3)) (bvmul (bvneg (_ bv40 32)) ?y2)) (bvneg (_ bv42 32))) (bvsle (bvadd (bvadd (bvmul (_ bv70 32) ?y4) (bvmul (bvneg (_ bv63 32)) ?y3)) (bvmul (_ bv81 32) ?y2)) (_ bv0 32))) (bvsge (bvadd (bvadd ?v_0 (bvmul (bvneg (_ bv63 32)) ?y2)) (bvmul (_ bv66 32) x1)) (bvneg (_ bv56 32)))))) (or (or (and (or (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv72 32)) ?y4) (bvmul (bvneg (_ bv9 32)) ?y3)) ?v_1) (bvneg (_ bv43 32))) (bvslt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv15 32)) ?y4) (bvmul (bvneg (_ bv5 32)) ?y3)) (bvmul (bvneg (_ bv43 32)) ?y2)) ?v_1) (bvneg (_ bv44 32)))) (bvsge (bvadd (bvadd (bvadd (bvmul (_ bv92 32) ?y4) (bvmul (bvneg (_ bv7 32)) ?y3)) (bvmul (bvneg (_ bv26 32)) ?y2)) ?v_2) (bvneg (_ bv74 32)))) (and (bvslt (bvadd (bvadd (bvadd (bvmul (_ bv85 32) ?y4) (bvmul (_ bv16 32) ?y3)) (bvmul (_ bv61 32) ?y2)) (bvmul (bvneg (_ bv65 32)) x1)) (bvneg (_ bv86 32))) (bvsge (bvadd (bvmul (bvneg (_ bv28 32)) ?y2) (bvmul (_ bv33 32) x1)) (bvneg (_ bv44 32))))) (or (and (or (bvslt (bvadd (bvmul (bvneg (_ bv17 32)) ?y4) (bvmul (bvneg (_ bv65 32)) ?y2)) (bvneg (_ bv86 32))) (bvsge (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv41 32)) ?y4) (bvmul (_ bv93 32) ?y3)) ?v_4) (bvmul (bvneg (_ bv80 32)) x1)) (_ bv40 32))) (and (bvsle (bvadd (bvadd (bvadd (bvmul (_ bv88 32) ?y4) (bvmul (_ bv46 32) ?y3)) (bvmul (bvneg (_ bv21 32)) ?y2)) ?v_3) (bvneg (_ bv45 32))) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv91 32)) ?y4) (bvmul (_ bv84 32) ?y3)) (bvmul (bvneg (_ bv57 32)) ?y2)) (_ bv0 32)))) (or (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv76 32)) ?y4) (bvmul (bvneg (_ bv1 32)) ?y3)) ?v_4) (_ bv59 32)) (or (bvsge (bvmul (_ bv65 32) ?y3) (_ bv0 32)) (bvsgt (bvadd (bvadd (bvadd (bvmul (_ bv59 32) ?y4) (bvmul (_ bv66 32) ?y3)) (bvmul (bvneg (_ bv35 32)) ?y2)) (bvmul (bvneg (_ bv79 32)) x1)) (bvneg (_ bv1 32)))))))))))) (forall ((?y1 (_ BitVec 32))) (exists ((?y3 (_ BitVec 32))) (and (or (exists ((?y4 (_ BitVec 32))) (and (or (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv3 32)) ?y3) (bvmul (bvneg (_ bv55 32)) ?y1)) (bvmul (_ bv49 32) x1)) (bvneg (_ bv31 32))) (or (bvsge (bvadd (bvadd (bvmul (_ bv22 32) ?y4) (bvmul (_ bv22 32) ?y1)) (bvmul (bvneg (_ bv12 32)) x1)) (_ bv0 32)) (bvsge (bvadd (bvadd (bvmul (_ bv35 32) ?y4) (bvmul (_ bv36 32) ?y3)) (bvmul (_ bv52 32) ?y1)) (_ bv0 32)))) (bvsle (bvadd (bvadd (bvadd (bvmul (_ bv61 32) ?y4) (bvmul (bvneg (_ bv70 32)) ?y3)) (bvmul (_ bv68 32) ?y1)) (bvmul (_ bv57 32) x1)) (_ bv0 32)))) (exists ((?y4 (_ BitVec 32))) (or (and (and (= (bvadd (bvadd (bvmul (bvneg (_ bv83 32)) ?y3) (bvmul (_ bv5 32) ?y1)) (bvmul (bvneg (_ bv60 32)) x1)) (_ bv69 32)) (bvsge (bvadd (bvmul (_ bv35 32) ?y3) (bvmul (_ bv50 32) ?y1)) (_ bv0 32))) (and (bvsge (bvadd (bvmul (_ bv55 32) ?y4) (bvmul (bvneg (_ bv38 32)) ?y1)) (_ bv0 32)) (not (= (bvadd (bvmul (_ bv38 32) ?y1) (bvmul (bvneg (_ bv45 32)) x1)) (_ bv0 32))))) (and (not (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv60 32)) ?y4) (bvmul (bvneg (_ bv47 32)) ?y3)) (bvmul (_ bv60 32) ?y1)) (bvmul (bvneg (_ bv21 32)) x1)) (bvneg (_ bv27 32)))) (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv68 32)) ?y4) (bvmul (bvneg (_ bv1 32)) ?y3)) (bvmul (bvneg (_ bv61 32)) x1)) (bvneg (_ bv86 32))))))) (exists ((?y4 (_ BitVec 32))) (let ((?v_5 (bvmul (_ bv99 32) x1))) (or (and (or (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv50 32)) ?y3) (bvmul (_ bv96 32) ?y1)) ?v_5) (_ bv67 32)) (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv39 32)) ?y4) (bvmul (bvneg (_ bv73 32)) ?y3)) (bvmul (_ bv53 32) ?y1)) (bvneg (_ bv74 32)))) (and (not (= (bvadd (bvadd (bvmul (bvneg (_ bv28 32)) ?y4) (bvmul (bvneg (_ bv39 32)) ?y1)) (bvmul (bvneg (_ bv48 32)) x1)) (bvneg (_ bv60 32)))) (bvslt (bvadd (bvmul (bvneg (_ bv44 32)) ?y3) (bvmul (_ bv90 32) ?y1)) (_ bv0 32)))) (or (and (or (bvsle (bvadd (bvadd (bvmul (_ bv85 32) ?y3) (bvmul (_ bv14 32) ?y1)) (bvmul (bvneg (_ bv24 32)) x1)) (_ bv0 32)) (not (= (bvadd (bvmul (bvneg (_ bv53 32)) ?y4) (bvmul (_ bv89 32) x1)) (_ bv0 32)))) (bvsge (bvadd (bvmul (_ bv80 32) ?y4) (bvmul (_ bv80 32) x1)) (_ bv67 32))) (and (and (bvsgt (bvadd (bvmul (bvneg (_ bv56 32)) ?y4) ?v_5) (_ bv32 32)) (not (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv8 32)) ?y4) (bvmul (bvneg (_ bv93 32)) ?y3)) (bvmul (_ bv4 32) ?y1)) (bvmul (_ bv92 32) x1)) (_ bv0 32)))) (or (= (bvadd (bvmul (_ bv60 32) ?y3) (bvmul (bvneg (_ bv44 32)) ?y1)) (bvneg (_ bv18 32))) (bvsge (bvadd (bvmul (_ bv11 32) ?y3) (bvmul (bvneg (_ bv11 32)) ?y1)) (_ bv1 32)))))))))))))
(check-sat)
(exit)
