(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(declare-fun y3 () (_ BitVec 32))
(declare-fun y4 () (_ BitVec 32))
(declare-fun x1 () (_ BitVec 32))
(assert (forall ((?y3 (_ BitVec 32))) (or (exists ((?y4 (_ BitVec 32))) (let ((?v_17 (bvmul (_ bv5 32) ?y3)) (?v_3 (bvmul (_ bv9 32) ?y3)) (?v_1 (bvmul (_ bv77 32) ?y4)) (?v_9 (bvmul (_ bv88 32) ?y3)) (?v_2 (bvmul (_ bv53 32) x1)) (?v_13 (bvmul (_ bv66 32) ?y4)) (?v_10 (bvmul (_ bv54 32) ?y4)) (?v_16 (bvmul (_ bv71 32) ?y4)) (?v_0 (bvmul (bvneg (_ bv68 32)) ?y3)) (?v_4 (bvmul (bvneg (_ bv49 32)) ?y4)) (?v_7 (bvmul (bvneg (_ bv56 32)) ?y3)) (?v_6 (bvmul (bvneg (_ bv28 32)) x1)) (?v_11 (bvmul (bvneg (_ bv73 32)) ?y3)) (?v_14 (bvmul (bvneg (_ bv94 32)) ?y3)) (?v_5 (bvmul (bvneg (_ bv14 32)) ?y3)) (?v_8 (bvmul (bvneg (_ bv89 32)) ?y4)) (?v_12 (bvmul (bvneg (_ bv69 32)) x1)) (?v_15 (bvmul (bvneg (_ bv79 32)) x1))) (or (or (and (or (and (bvsge (bvadd ?v_17 (bvmul (_ bv1 32) x1)) (_ bv34 32)) (or (bvsge (bvadd (bvadd (bvmul (_ bv99 32) ?y4) ?v_0) (bvmul (_ bv49 32) x1)) (_ bv91 32)) (not (= (bvadd (bvadd ?v_4 (bvmul (_ bv12 32) ?y3)) (bvmul (bvneg (_ bv75 32)) x1)) (bvneg (_ bv4 32)))))) (and (or (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv17 32)) ?y4) (bvmul (_ bv4 32) ?y3)) (bvmul (_ bv7 32) x1)) (_ bv91 32)) (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv26 32)) ?y4) ?v_3) (bvmul (_ bv87 32) x1)) (bvneg (_ bv88 32)))) (and (= (bvadd (bvmul (_ bv26 32) ?y4) (bvmul (_ bv64 32) ?y3)) (_ bv93 32)) (bvsgt (bvmul (bvneg (_ bv80 32)) ?y3) (bvneg (_ bv1 32)))))) (and (and (bvsgt (bvadd ?v_1 (bvmul (bvneg (_ bv96 32)) x1)) (bvneg (_ bv96 32))) (not (= (bvadd (bvadd (bvmul (bvneg (_ bv75 32)) ?y4) ?v_9) (bvmul (bvneg (_ bv16 32)) x1)) (_ bv63 32)))) (and (not (= (bvadd (bvmul (bvneg (_ bv50 32)) ?y4) (bvmul (_ bv4 32) x1)) (_ bv3 32))) (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv67 32)) ?y4) ?v_7) (bvmul (bvneg (_ bv22 32)) x1)) (_ bv0 32))))) (and (and (and (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv72 32)) ?y4) (bvmul (bvneg (_ bv37 32)) ?y3)) ?v_6) (_ bv56 32)) (not (= (bvadd (bvmul (_ bv63 32) ?y3) ?v_2) (_ bv84 32)))) (or (bvsgt (bvmul (bvneg (_ bv84 32)) ?y4) (_ bv0 32)) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv57 32)) ?y4) ?v_0) (bvmul (_ bv3 32) x1)) (bvneg (_ bv34 32))))) (or (or (and (not (= (bvadd (bvmul (_ bv39 32) ?y4) (bvmul (_ bv78 32) ?y3)) (_ bv0 32))) (not (= (bvadd (bvmul (bvneg (_ bv92 32)) ?y4) (bvmul (_ bv54 32) ?y3)) (bvneg (_ bv97 32))))) (and (and (bvsgt (bvadd ?v_11 (bvmul (_ bv35 32) x1)) (_ bv0 32)) (not (= (bvmul (bvneg (_ bv99 32)) x1) (_ bv18 32)))) (and (not (= ?v_14 (_ bv51 32))) (bvsgt (bvadd (bvmul (_ bv32 32) ?y4) (bvmul (bvneg (_ bv18 32)) ?y3)) (_ bv39 32))))) (and (and (and (bvsge (bvadd (bvmul (_ bv62 32) ?y4) (bvmul (_ bv89 32) x1)) (_ bv46 32)) (bvsgt (bvadd (bvmul (_ bv5 32) ?y4) (bvmul (bvneg (_ bv48 32)) ?y3)) (_ bv0 32))) (not (= (bvadd (bvadd ?v_1 (bvmul (bvneg (_ bv27 32)) ?y3)) (bvmul (_ bv46 32) x1)) (_ bv83 32)))) (or (or (bvsgt (bvadd (bvadd ?v_13 ?v_5) (bvmul (bvneg (_ bv10 32)) x1)) (_ bv0 32)) (not (= (bvadd (bvmul (bvneg (_ bv16 32)) ?y4) (bvmul (_ bv15 32) x1)) (_ bv36 32)))) (and (bvsgt ?v_2 (bvneg (_ bv69 32))) (bvsgt (bvadd (bvmul (bvneg (_ bv34 32)) ?y4) (bvmul (_ bv12 32) x1)) (_ bv0 32)))))))) (or (or (or (or (and (and (bvsgt (bvadd (bvadd (bvmul (_ bv13 32) ?y4) (bvmul (_ bv29 32) ?y3)) (bvmul (_ bv48 32) x1)) (_ bv36 32)) (bvslt (bvmul (_ bv25 32) ?y3) (bvneg (_ bv11 32)))) (or (not (= (bvadd (bvadd ?v_8 ?v_3) (bvmul (_ bv97 32) x1)) (_ bv57 32))) (= (bvadd (bvmul (_ bv85 32) ?y3) (bvmul (bvneg (_ bv89 32)) x1)) (_ bv0 32)))) (and (bvsle (bvadd (bvadd ?v_4 ?v_5) (bvmul (_ bv40 32) x1)) (_ bv0 32)) (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv2 32)) ?y4) (bvmul (bvneg (_ bv25 32)) ?y3)) (bvmul (_ bv99 32) x1)) (_ bv85 32)))) (or (bvsge (bvmul (_ bv52 32) ?y3) (bvneg (_ bv32 32))) (and (bvsgt (bvadd (bvmul (bvneg (_ bv91 32)) ?y4) (bvmul (bvneg (_ bv19 32)) ?y3)) (_ bv38 32)) (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv21 32)) ?y4) (bvmul (bvneg (_ bv53 32)) ?y3)) (bvmul (bvneg (_ bv76 32)) x1)) (_ bv64 32))))) (and (or (and (bvslt ?v_12 (_ bv88 32)) (and (not (= (bvadd (bvmul (bvneg (_ bv99 32)) ?y3) (bvmul (bvneg (_ bv74 32)) x1)) (bvneg (_ bv51 32)))) (bvslt (bvadd (bvadd (bvmul (_ bv51 32) ?y4) (bvmul (bvneg (_ bv97 32)) ?y3)) (bvmul (bvneg (_ bv63 32)) x1)) (_ bv0 32)))) (and (and (bvsle (bvmul (_ bv67 32) ?y3) (bvneg (_ bv88 32))) (= (bvadd (bvadd (bvmul (bvneg (_ bv63 32)) ?y4) (bvmul (bvneg (_ bv34 32)) ?y3)) (bvmul (_ bv41 32) x1)) (_ bv89 32))) (and (= (bvadd (bvadd (bvmul (bvneg (_ bv28 32)) ?y4) ?v_3) (bvmul (bvneg (_ bv51 32)) x1)) (_ bv35 32)) (bvsle (bvadd (bvadd ?v_10 (bvmul (bvneg (_ bv65 32)) ?y3)) ?v_6) (_ bv59 32))))) (or (or (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv62 32)) ?y4) ?v_7) (bvmul (_ bv56 32) x1)) (_ bv10 32)) (and (bvsgt (bvmul (bvneg (_ bv83 32)) ?y4) (_ bv0 32)) (bvsge (bvadd (bvadd ?v_8 ?v_9) (bvmul (bvneg (_ bv93 32)) x1)) (_ bv40 32)))) (or (or (bvsgt (bvadd (bvadd ?v_16 (bvmul (_ bv69 32) ?y3)) ?v_15) (bvneg (_ bv60 32))) (bvsgt (bvadd (bvadd ?v_10 (bvmul (_ bv6 32) ?y3)) (bvmul (_ bv72 32) x1)) (_ bv51 32))) (and (bvsle (bvadd (bvmul (_ bv20 32) ?y4) (bvmul (_ bv31 32) x1)) (_ bv2 32)) (= (bvadd (bvadd (bvmul (bvneg (_ bv29 32)) ?y4) (bvmul (bvneg (_ bv90 32)) ?y3)) (bvmul (bvneg (_ bv19 32)) x1)) (_ bv0 32))))))) (or (or (and (= (bvadd (bvadd (bvmul (bvneg (_ bv61 32)) ?y4) (bvmul (_ bv48 32) ?y3)) (bvmul (bvneg (_ bv54 32)) x1)) (_ bv26 32)) (and (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv14 32)) ?y4) (bvmul (_ bv7 32) ?y3)) (bvmul (_ bv85 32) x1)) (_ bv29 32)) (bvslt (bvadd (bvmul (bvneg (_ bv50 32)) ?y3) (bvmul (bvneg (_ bv65 32)) x1)) (_ bv22 32)))) (or (and (or (= (bvadd (bvadd (bvmul (_ bv96 32) ?y4) (bvmul (bvneg (_ bv15 32)) ?y3)) (bvmul (bvneg (_ bv57 32)) x1)) (bvneg (_ bv10 32))) (bvsge (bvmul (bvneg (_ bv52 32)) ?y3) (_ bv55 32))) (or (= (bvadd (bvadd (bvmul (bvneg (_ bv25 32)) ?y4) ?v_11) ?v_12) (bvneg (_ bv85 32))) (= (bvadd (bvmul (bvneg (_ bv44 32)) ?y4) (bvmul (_ bv66 32) ?y3)) (bvneg (_ bv100 32))))) (or (and (bvsgt (bvmul (bvneg (_ bv38 32)) x1) (_ bv72 32)) (bvsge (bvadd (bvadd ?v_13 ?v_14) ?v_15) (bvneg (_ bv86 32)))) (or (bvsgt (bvadd (bvadd ?v_16 ?v_17) (bvmul (_ bv11 32) x1)) (bvneg (_ bv48 32))) (bvsgt (bvadd (bvadd (bvmul (_ bv24 32) ?y4) (bvmul (bvneg (_ bv88 32)) ?y3)) (bvmul (_ bv83 32) x1)) (bvneg (_ bv21 32))))))) (and (= (bvmul (bvneg (_ bv21 32)) x1) (_ bv24 32)) (or (bvslt (bvadd (bvmul (_ bv75 32) ?y4) (bvmul (_ bv16 32) ?y3)) (_ bv0 32)) (bvsge (bvmul (_ bv58 32) x1) (bvneg (_ bv23 32)))))))))) (forall ((?y4 (_ BitVec 32))) (let ((?v_18 (bvmul (_ bv97 32) ?y3)) (?v_19 (bvmul (bvneg (_ bv82 32)) ?y3)) (?v_20 (bvmul (bvneg (_ bv33 32)) x1))) (or (or (or (bvsle (bvadd (bvmul (_ bv11 32) ?y4) (bvmul (_ bv65 32) ?y3)) (bvneg (_ bv31 32))) (or (not (= (bvadd (bvadd (bvmul (bvneg (_ bv82 32)) ?y4) (bvmul (_ bv28 32) ?y3)) (bvmul (_ bv95 32) x1)) (bvneg (_ bv82 32)))) (bvslt (bvadd (bvadd (bvmul (_ bv81 32) ?y4) (bvmul (_ bv75 32) ?y3)) (bvmul (bvneg (_ bv61 32)) x1)) (_ bv73 32)))) (or (or (and (not (= (bvadd (bvadd (bvmul (_ bv40 32) ?y4) ?v_18) (bvmul (_ bv73 32) x1)) (_ bv90 32))) (= (bvadd (bvadd (bvmul (_ bv88 32) ?y4) (bvmul (bvneg (_ bv98 32)) ?y3)) (bvmul (bvneg (_ bv93 32)) x1)) (_ bv0 32))) (or (bvsle (bvadd (bvmul (_ bv77 32) ?y4) (bvmul (_ bv25 32) ?y3)) (_ bv38 32)) (= (bvadd (bvadd (bvmul (bvneg (_ bv27 32)) ?y4) (bvmul (_ bv16 32) ?y3)) (bvmul (bvneg (_ bv54 32)) x1)) (bvneg (_ bv31 32))))) (and (or (not (= (bvmul (bvneg (_ bv83 32)) ?y3) (bvneg (_ bv12 32)))) (bvsle (bvadd (bvmul (_ bv55 32) ?y3) (bvmul (bvneg (_ bv80 32)) x1)) (bvneg (_ bv52 32)))) (or (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv31 32)) ?y4) ?v_18) (bvmul (bvneg (_ bv58 32)) x1)) (_ bv25 32)) (bvsge (bvadd (bvadd (bvmul (_ bv24 32) ?y4) ?v_19) (bvmul (bvneg (_ bv11 32)) x1)) (bvneg (_ bv8 32))))))) (or (and (and (and (or (and (bvsle (bvadd (bvmul (_ bv74 32) ?y4) (bvmul (bvneg (_ bv92 32)) x1)) (bvneg (_ bv25 32))) (bvsgt (bvadd (bvmul (_ bv76 32) ?y4) (bvmul (_ bv98 32) x1)) (_ bv0 32))) (or (bvsge (bvadd (bvmul (bvneg (_ bv8 32)) ?y3) (bvmul (_ bv67 32) x1)) (_ bv94 32)) (= (bvadd (bvmul (_ bv43 32) ?y4) (bvmul (bvneg (_ bv22 32)) ?y3)) (_ bv0 32)))) (or (bvsle (bvadd (bvmul (_ bv39 32) ?y4) (bvmul (_ bv61 32) x1)) (_ bv0 32)) (bvsge (bvadd (bvadd (bvmul (_ bv66 32) ?y4) (bvmul (_ bv71 32) ?y3)) (bvmul (_ bv19 32) x1)) (_ bv91 32)))) (or (= (bvadd (bvmul (bvneg (_ bv60 32)) ?y4) (bvmul (bvneg (_ bv45 32)) ?y3)) (_ bv0 32)) (and (or (bvsle (bvadd (bvadd (bvmul (_ bv1 32) ?y4) (bvmul (_ bv86 32) ?y3)) (bvmul (_ bv70 32) x1)) (_ bv74 32)) (= (bvadd (bvmul (bvneg (_ bv77 32)) ?y3) (bvmul (_ bv2 32) x1)) (_ bv0 32))) (or (bvsle (bvadd (bvadd (bvmul (_ bv62 32) ?y4) (bvmul (bvneg (_ bv94 32)) ?y3)) (bvmul (_ bv4 32) x1)) (bvneg (_ bv70 32))) (bvsle (bvmul (bvneg (_ bv41 32)) x1) (_ bv83 32)))))) (or (and (and (or (not (= (bvadd ?v_19 ?v_20) (bvneg (_ bv3 32)))) (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv4 32)) ?y4) (bvmul (bvneg (_ bv42 32)) ?y3)) (bvmul (_ bv65 32) x1)) (_ bv70 32))) (bvslt (bvmul (_ bv100 32) ?y3) (_ bv85 32))) (or (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv3 32)) ?y4) (bvmul (_ bv93 32) ?y3)) (bvmul (_ bv31 32) x1)) (_ bv0 32)) (bvsle (bvadd (bvmul (bvneg (_ bv49 32)) ?y3) (bvmul (bvneg (_ bv26 32)) x1)) (_ bv75 32)))) (or (or (or (not (= (bvadd (bvadd (bvmul (_ bv87 32) ?y4) (bvmul (_ bv32 32) ?y3)) (bvmul (bvneg (_ bv52 32)) x1)) (bvneg (_ bv45 32)))) (bvslt (bvadd (bvadd (bvmul (_ bv33 32) ?y4) (bvmul (_ bv62 32) ?y3)) (bvmul (bvneg (_ bv89 32)) x1)) (_ bv49 32))) (and (bvsge (bvadd (bvmul (_ bv58 32) ?y4) (bvmul (_ bv8 32) ?y3)) (_ bv28 32)) (bvsle (bvadd (bvmul (_ bv28 32) ?y4) ?v_20) (_ bv80 32)))) (and (= (bvadd (bvmul (bvneg (_ bv30 32)) ?y4) (bvmul (_ bv37 32) ?y3)) (bvneg (_ bv78 32))) (bvsge (bvadd (bvmul (bvneg (_ bv71 32)) ?y4) (bvmul (bvneg (_ bv20 32)) ?y3)) (_ bv82 32)))))) (or (or (or (= (bvmul (_ bv74 32) x1) (_ bv29 32)) (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv37 32)) ?y4) (bvmul (bvneg (_ bv92 32)) ?y3)) (bvmul (_ bv18 32) x1)) (_ bv0 32))) (and (bvsle (bvadd (bvadd (bvmul (_ bv67 32) ?y4) (bvmul (bvneg (_ bv29 32)) ?y3)) (bvmul (bvneg (_ bv100 32)) x1)) (bvneg (_ bv25 32))) (not (= (bvadd (bvadd (bvmul (bvneg (_ bv83 32)) ?y4) (bvmul (_ bv50 32) ?y3)) (bvmul (_ bv25 32) x1)) (_ bv0 32))))) (and (= (bvadd (bvadd (bvmul (_ bv35 32) ?y4) (bvmul (bvneg (_ bv39 32)) ?y3)) (bvmul (bvneg (_ bv60 32)) x1)) (_ bv63 32)) (or (bvsge (bvadd (bvmul (_ bv25 32) ?y4) (bvmul (_ bv52 32) x1)) (_ bv46 32)) (bvsgt (bvadd (bvmul (_ bv80 32) ?y4) (bvmul (_ bv94 32) ?y3)) (_ bv63 32))))))))))))
(check-sat)
(exit)
