(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(declare-fun y1 () (_ BitVec 32))
(declare-fun y3 () (_ BitVec 32))
(declare-fun y4 () (_ BitVec 32))
(declare-fun x1 () (_ BitVec 32))
(assert (forall ((?y1 (_ BitVec 32))) (let ((?v_0 (bvmul (bvneg (_ bv77 32)) ?y1))) (or (forall ((?y3 (_ BitVec 32))) (exists ((?y4 (_ BitVec 32))) (let ((?v_6 (bvmul (_ bv45 32) x1)) (?v_5 (bvmul (_ bv33 32) ?y1)) (?v_12 (bvmul (_ bv17 32) ?y3)) (?v_11 (bvmul (_ bv10 32) x1)) (?v_19 (bvmul (_ bv25 32) ?y4)) (?v_9 (bvmul (_ bv64 32) x1)) (?v_3 (bvmul (_ bv86 32) ?y4)) (?v_7 (bvmul (_ bv15 32) ?y3)) (?v_14 (bvmul (_ bv69 32) ?y4)) (?v_15 (bvmul (_ bv28 32) x1)) (?v_18 (bvmul (_ bv86 32) ?y3)) (?v_21 (bvmul (_ bv11 32) ?y1)) (?v_1 (bvmul (bvneg (_ bv47 32)) ?y4)) (?v_4 (bvmul (bvneg (_ bv10 32)) ?y3)) (?v_13 (bvmul (bvneg (_ bv22 32)) ?y4)) (?v_10 (bvmul (bvneg (_ bv38 32)) ?y1)) (?v_17 (bvmul (bvneg (_ bv92 32)) ?y1)) (?v_2 (bvmul (bvneg (_ bv39 32)) ?y4)) (?v_16 (bvmul (bvneg (_ bv26 32)) ?y4)) (?v_8 (bvmul (bvneg (_ bv24 32)) ?y1)) (?v_20 (bvmul (bvneg (_ bv39 32)) ?y3))) (or (or (or (or (or (or (bvsge (bvadd (bvmul (bvneg (_ bv26 32)) ?y3) ?v_6) (_ bv49 32)) (or (bvsge (bvadd (bvadd (bvmul (_ bv82 32) ?y4) (bvmul (_ bv22 32) ?y3)) (bvmul (_ bv22 32) x1)) (_ bv0 32)) (bvsgt (bvadd (bvadd (bvadd ?v_1 ?v_4) ?v_5) (bvmul (_ bv29 32) x1)) (_ bv5 32)))) (bvslt (bvadd (bvadd (bvadd ?v_13 ?v_12) ?v_10) ?v_11) (_ bv61 32))) (and (or (or (= (bvadd (bvadd ?v_19 (bvmul (_ bv100 32) ?y3)) (bvmul (bvneg (_ bv48 32)) x1)) (_ bv30 32)) (not (= (bvmul (_ bv91 32) ?y1) (bvneg (_ bv31 32))))) (and (= (bvmul (_ bv43 32) ?y1) (bvneg (_ bv60 32))) (not (= (bvadd (bvmul (bvneg (_ bv23 32)) ?y4) (bvmul (bvneg (_ bv25 32)) ?y1)) (_ bv68 32))))) (or (= (bvadd (bvadd (bvadd ?v_1 (bvmul (bvneg (_ bv78 32)) ?y3)) ?v_17) (bvmul (_ bv30 32) x1)) (bvneg (_ bv94 32))) (not (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv96 32)) ?y4) (bvmul (_ bv13 32) ?y3)) (bvmul (bvneg (_ bv99 32)) ?y1)) ?v_9) (_ bv78 32)))))) (and (and (= (bvmul (_ bv51 32) ?y4) (bvneg (_ bv60 32))) (not (= (bvadd (bvadd (bvmul (bvneg (_ bv92 32)) ?y4) (bvmul (_ bv11 32) ?y3)) (bvmul (_ bv84 32) x1)) (_ bv0 32)))) (and (and (and (bvsle (bvadd (bvmul (bvneg (_ bv100 32)) ?y4) (bvmul (_ bv61 32) x1)) (bvneg (_ bv81 32))) (not (= (bvadd (bvadd (bvadd (bvmul (_ bv9 32) ?y4) (bvmul (_ bv76 32) ?y3)) (bvmul (_ bv74 32) ?y1)) (bvmul (bvneg (_ bv88 32)) x1)) (_ bv50 32)))) (or (bvslt (bvadd (bvadd (bvadd (bvmul (_ bv99 32) ?y4) (bvmul (_ bv90 32) ?y3)) (bvmul (bvneg (_ bv37 32)) ?y1)) (bvmul (bvneg (_ bv34 32)) x1)) (bvneg (_ bv26 32))) (bvsge (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv49 32)) ?y4) (bvmul (_ bv20 32) ?y3)) (bvmul (bvneg (_ bv60 32)) ?y1)) (bvmul (bvneg (_ bv94 32)) x1)) (bvneg (_ bv35 32))))) (and (not (= (bvadd (bvadd (bvmul (bvneg (_ bv15 32)) ?y4) (bvmul (_ bv43 32) ?y3)) (bvmul (bvneg (_ bv35 32)) x1)) (_ bv33 32))) (bvsge (bvmul (_ bv46 32) ?y1) (bvneg (_ bv68 32))))))) (or (or (and (and (bvsle (bvadd (bvadd ?v_2 (bvmul (bvneg (_ bv88 32)) ?y3)) (bvmul (bvneg (_ bv6 32)) x1)) (_ bv80 32)) (not (= (bvadd (bvadd (bvadd ?v_3 (bvmul (_ bv99 32) ?y3)) (bvmul (_ bv100 32) ?y1)) (bvmul (bvneg (_ bv19 32)) x1)) (bvneg (_ bv51 32))))) (bvslt (bvadd ?v_2 (bvmul (bvneg (_ bv38 32)) x1)) (bvneg (_ bv47 32)))) (and (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv95 32)) ?y4) (bvmul (bvneg (_ bv54 32)) ?y3)) (bvmul (bvneg (_ bv95 32)) ?y1)) (bvneg (_ bv17 32))) (not (= (bvadd (bvadd (bvmul (bvneg (_ bv36 32)) ?y4) (bvmul (bvneg (_ bv52 32)) ?y3)) (bvmul (_ bv53 32) ?y1)) (_ bv0 32))))) (and (or (or (= (bvadd (bvadd (bvmul (_ bv100 32) ?y4) (bvmul (bvneg (_ bv83 32)) ?y1)) (bvmul (bvneg (_ bv82 32)) x1)) (bvneg (_ bv94 32))) (bvsge (bvadd (bvadd ?v_3 (bvmul (_ bv80 32) ?y3)) (bvmul (_ bv8 32) ?y1)) (_ bv7 32))) (or (bvsle (bvadd ?v_16 (bvmul (_ bv79 32) ?y3)) (_ bv98 32)) (= (bvadd (bvmul (bvneg (_ bv52 32)) ?y4) (bvmul (bvneg (_ bv30 32)) ?y1)) (_ bv0 32)))) (and (and (bvsge (bvadd (bvadd (bvadd (bvmul (_ bv85 32) ?y4) ?v_7) (bvmul (bvneg (_ bv19 32)) ?y1)) (bvmul (_ bv32 32) x1)) (bvneg (_ bv17 32))) (not (= (bvadd (bvadd (bvadd (bvmul (_ bv79 32) ?y4) ?v_4) ?v_8) (bvmul (bvneg (_ bv56 32)) x1)) (_ bv42 32)))) (and (not (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv90 32)) ?y4) (bvmul (_ bv1 32) ?y3)) (bvmul (_ bv10 32) ?y1)) (bvmul (_ bv36 32) x1)) (bvneg (_ bv36 32)))) (bvsle (bvmul (bvneg (_ bv57 32)) ?y1) (bvneg (_ bv55 32)))))))) (and (and (or (or (or (bvslt (bvadd (bvadd (bvadd ?v_14 (bvmul (bvneg (_ bv21 32)) ?y3)) (bvmul (bvneg (_ bv64 32)) ?y1)) (bvmul (_ bv63 32) x1)) (_ bv0 32)) (bvsge (bvadd (bvadd (bvadd (bvmul (_ bv35 32) ?y4) (bvmul (bvneg (_ bv14 32)) ?y3)) ?v_5) (bvmul (bvneg (_ bv10 32)) x1)) (bvneg (_ bv17 32)))) (or (or (bvsle (bvadd (bvadd (bvadd (bvmul (_ bv12 32) ?y4) (bvmul (_ bv62 32) ?y3)) (bvmul (_ bv94 32) ?y1)) ?v_6) (_ bv0 32)) (bvsle (bvadd (bvmul (bvneg (_ bv45 32)) ?y4) (bvmul (_ bv93 32) ?y3)) (_ bv0 32))) (bvslt (bvadd (bvadd (bvmul (_ bv6 32) ?y4) (bvmul (bvneg (_ bv93 32)) ?y3)) (bvmul (bvneg (_ bv53 32)) x1)) (_ bv0 32)))) (and (and (or (not (= (bvadd (bvadd (bvadd (bvmul (_ bv81 32) ?y4) (bvmul (_ bv48 32) ?y3)) (bvmul (_ bv6 32) ?y1)) ?v_15) (_ bv0 32))) (bvslt (bvadd (bvadd ?v_7 (bvmul (bvneg (_ bv85 32)) ?y1)) (bvmul (bvneg (_ bv30 32)) x1)) (bvneg (_ bv59 32)))) (or (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv42 32)) ?y4) (bvmul (bvneg (_ bv67 32)) ?y1)) (bvmul (_ bv5 32) x1)) (_ bv49 32)) (bvsge (bvadd (bvadd (bvmul (_ bv66 32) ?y4) ?v_8) ?v_9) (_ bv0 32)))) (and (or (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv54 32)) ?y4) (bvmul (bvneg (_ bv33 32)) ?y3)) ?v_10) ?v_11) (_ bv36 32)) (bvsge (bvadd (bvadd ?v_18 (bvmul (_ bv72 32) ?y1)) (bvmul (bvneg (_ bv77 32)) x1)) (_ bv10 32))) (or (bvsle (bvadd (bvadd (bvadd (bvmul (_ bv1 32) ?y4) (bvmul (_ bv49 32) ?y3)) (bvmul (_ bv32 32) ?y1)) (bvmul (bvneg (_ bv78 32)) x1)) (_ bv30 32)) (= (bvadd (bvadd (bvmul (bvneg (_ bv84 32)) ?y4) ?v_12) (bvmul (_ bv21 32) ?y1)) (bvneg (_ bv57 32))))))) (and (or (or (bvsle ?v_13 (bvneg (_ bv55 32))) (= (bvmul (bvneg (_ bv38 32)) ?y4) (_ bv0 32))) (and (= (bvadd (bvadd (bvmul (_ bv84 32) ?y4) (bvmul (_ bv2 32) ?y3)) (bvmul (bvneg (_ bv27 32)) ?y1)) (bvneg (_ bv73 32))) (not (= (bvadd (bvadd (bvmul (_ bv49 32) ?y4) (bvmul (bvneg (_ bv28 32)) ?y3)) (bvmul (bvneg (_ bv17 32)) x1)) (bvneg (_ bv24 32)))))) (or (or (or (bvslt (bvmul (bvneg (_ bv49 32)) ?y1) (bvneg (_ bv23 32))) (= (bvadd (bvmul (bvneg (_ bv30 32)) ?y4) ?v_20) (bvneg (_ bv39 32)))) (or (bvslt (bvadd (bvadd (bvadd ?v_14 (bvmul (bvneg (_ bv16 32)) ?y3)) (bvmul (_ bv5 32) ?y1)) (bvmul (_ bv62 32) x1)) (bvneg (_ bv83 32))) (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv58 32)) ?y4) (bvmul (_ bv51 32) ?y3)) (bvmul (_ bv98 32) ?y1)) ?v_15) (bvneg (_ bv36 32))))) (bvsgt (bvadd (bvadd (bvmul (_ bv44 32) ?y4) (bvmul (_ bv75 32) ?y3)) (bvmul (bvneg (_ bv14 32)) ?y1)) (_ bv5 32))))) (and (and (or (and (bvsge (bvadd ?v_7 (bvmul (_ bv12 32) x1)) (bvneg (_ bv59 32))) (= (bvadd (bvadd (bvadd (bvmul (_ bv91 32) ?y4) (bvmul (_ bv28 32) ?y3)) ?v_21) (bvmul (_ bv40 32) x1)) (bvneg (_ bv97 32)))) (or (and (bvsle (bvadd (bvadd (bvmul (_ bv68 32) ?y3) (bvmul (_ bv97 32) ?y1)) (bvmul (bvneg (_ bv61 32)) x1)) (_ bv0 32)) (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv9 32)) ?y4) (bvmul (_ bv59 32) ?y1)) (bvmul (_ bv100 32) x1)) (bvneg (_ bv76 32)))) (or (not (= (bvadd (bvmul (bvneg (_ bv12 32)) ?y3) (bvmul (bvneg (_ bv99 32)) x1)) (_ bv83 32))) (bvsgt (bvmul (bvneg (_ bv58 32)) ?y3) (bvneg (_ bv4 32)))))) (or (or (and (bvsge (bvadd (bvmul (_ bv2 32) ?y4) (bvmul (_ bv52 32) ?y1)) (_ bv0 32)) (bvslt (bvadd (bvadd ?v_16 (bvmul (_ bv3 32) ?y1)) (bvmul (_ bv21 32) x1)) (bvneg (_ bv26 32)))) (or (= (bvadd (bvmul (bvneg (_ bv100 32)) ?y1) (bvmul (bvneg (_ bv46 32)) x1)) (bvneg (_ bv36 32))) (bvsgt (bvadd (bvadd (bvmul (_ bv90 32) ?y4) (bvmul (_ bv5 32) ?y3)) (bvmul (_ bv23 32) ?y1)) (_ bv65 32)))) (or (or (bvsgt (bvadd ?v_3 (bvmul (_ bv44 32) ?y1)) (bvneg (_ bv40 32))) (bvsgt (bvadd (bvadd (bvmul (_ bv30 32) ?y4) (bvmul (_ bv7 32) ?y1)) (bvmul (_ bv38 32) x1)) (bvneg (_ bv70 32)))) (or (= (bvadd (bvadd (bvmul (_ bv96 32) ?y4) (bvmul (bvneg (_ bv18 32)) ?y3)) (bvmul (bvneg (_ bv31 32)) x1)) (bvneg (_ bv3 32))) (bvslt (bvadd (bvmul (_ bv50 32) ?y3) (bvmul (_ bv82 32) ?y1)) (_ bv4 32)))))) (or (and (and (bvsle (bvadd (bvadd (bvmul (_ bv16 32) ?y4) (bvmul (bvneg (_ bv32 32)) ?y3)) ?v_17) (_ bv95 32)) (bvslt (bvadd ?v_18 (bvmul (_ bv29 32) ?y1)) (_ bv0 32))) (and (bvsgt (bvadd (bvmul (_ bv36 32) ?y3) (bvmul (_ bv18 32) ?y1)) (_ bv27 32)) (= (bvadd (bvadd (bvadd ?v_19 ?v_20) ?v_21) (bvmul (bvneg (_ bv84 32)) x1)) (_ bv0 32)))) (bvsge (bvadd (bvmul (_ bv89 32) ?y4) (bvmul (_ bv93 32) x1)) (_ bv82 32))))))))) (or (or (and (or (or (and (and (bvsge (bvadd (bvmul (_ bv63 32) ?y1) (bvmul (_ bv98 32) x1)) (bvneg (_ bv8 32))) (bvsgt (bvadd (bvmul (_ bv48 32) ?y1) (bvmul (bvneg (_ bv34 32)) x1)) (_ bv32 32))) (and (= (bvadd (bvmul (_ bv24 32) ?y1) (bvmul (_ bv5 32) x1)) (bvneg (_ bv78 32))) (bvsge (bvmul (_ bv88 32) ?y1) (_ bv0 32)))) (bvslt (bvmul (_ bv12 32) x1) (_ bv94 32))) (exists ((?y4 (_ BitVec 32))) (or (or (bvslt (bvadd (bvmul (_ bv98 32) ?y1) (bvmul (_ bv8 32) x1)) (_ bv76 32)) (bvslt (bvadd (bvmul (_ bv83 32) ?y1) (bvmul (bvneg (_ bv86 32)) x1)) (bvneg (_ bv2 32)))) (and (and (bvsgt (bvadd (bvmul (_ bv5 32) ?y4) (bvmul (bvneg (_ bv100 32)) ?y1)) (_ bv24 32)) (bvsle (bvadd (bvmul (bvneg (_ bv63 32)) ?y4) (bvmul (_ bv47 32) ?y1)) (_ bv86 32))) (or (= (bvadd (bvadd (bvmul (bvneg (_ bv31 32)) ?y4) (bvmul (_ bv4 32) ?y1)) (bvmul (bvneg (_ bv38 32)) x1)) (_ bv0 32)) (bvsge (bvadd (bvmul (bvneg (_ bv98 32)) ?y4) (bvmul (bvneg (_ bv51 32)) x1)) (bvneg (_ bv44 32)))))))) (and (and (or (and (bvslt (bvadd (bvmul (bvneg (_ bv7 32)) ?y1) (bvmul (_ bv17 32) x1)) (bvneg (_ bv44 32))) (bvsge (bvadd (bvmul (bvneg (_ bv51 32)) ?y1) (bvmul (_ bv84 32) x1)) (bvneg (_ bv35 32)))) (and (bvsle (bvadd (bvmul (bvneg (_ bv12 32)) ?y1) (bvmul (_ bv93 32) x1)) (_ bv24 32)) (= (bvadd ?v_0 (bvmul (_ bv7 32) x1)) (bvneg (_ bv75 32))))) (and (bvsle (bvadd ?v_0 (bvmul (_ bv40 32) x1)) (_ bv32 32)) (bvslt (bvmul (bvneg (_ bv91 32)) ?y1) (bvneg (_ bv44 32))))) (or (or (or (bvsgt (bvmul (_ bv79 32) x1) (bvneg (_ bv88 32))) (bvsge (bvadd (bvmul (_ bv65 32) ?y1) (bvmul (bvneg (_ bv90 32)) x1)) (_ bv0 32))) (and (bvsle (bvadd (bvmul (bvneg (_ bv37 32)) ?y1) (bvmul (bvneg (_ bv54 32)) x1)) (_ bv0 32)) (bvslt (bvmul (_ bv54 32) ?y1) (bvneg (_ bv65 32))))) (and (= (bvadd (bvmul (_ bv6 32) ?y1) (bvmul (bvneg (_ bv83 32)) x1)) (bvneg (_ bv79 32))) (= (bvadd (bvmul (bvneg (_ bv85 32)) ?y1) (bvmul (_ bv74 32) x1)) (_ bv0 32)))))) (exists ((?y4 (_ BitVec 32))) (let ((?v_22 (bvmul (_ bv21 32) ?y1)) (?v_23 (bvmul (_ bv15 32) ?y1))) (and (and (and (or (= (bvadd (bvmul (bvneg (_ bv48 32)) ?y1) (bvmul (_ bv11 32) x1)) (_ bv12 32)) (not (= (bvadd (bvadd (bvmul (bvneg (_ bv22 32)) ?y4) (bvmul (_ bv91 32) ?y1)) (bvmul (bvneg (_ bv24 32)) x1)) (_ bv0 32)))) (and (bvsge (bvadd (bvadd (bvmul (_ bv42 32) ?y4) (bvmul (_ bv25 32) ?y1)) (bvmul (_ bv23 32) x1)) (bvneg (_ bv62 32))) (not (= (bvadd (bvmul (bvneg (_ bv38 32)) ?y4) (bvmul (_ bv36 32) x1)) (_ bv17 32))))) (and (or (not (= (bvadd (bvadd (bvmul (bvneg (_ bv28 32)) ?y4) (bvmul (_ bv14 32) ?y1)) (bvmul (bvneg (_ bv36 32)) x1)) (_ bv0 32))) (bvslt (bvadd (bvmul (bvneg (_ bv83 32)) ?y4) (bvmul (_ bv35 32) x1)) (bvneg (_ bv59 32)))) (or (bvsgt (bvmul (_ bv100 32) x1) (bvneg (_ bv22 32))) (bvslt (bvadd (bvmul (bvneg (_ bv15 32)) ?y4) (bvmul (_ bv41 32) ?y1)) (_ bv7 32))))) (or (and (bvsgt (bvadd (bvadd (bvmul (_ bv67 32) ?y4) ?v_22) (bvmul (_ bv62 32) x1)) (bvneg (_ bv39 32))) (not (= (bvmul (bvneg (_ bv29 32)) x1) (_ bv54 32)))) (or (not (= (bvadd (bvadd (bvmul (bvneg (_ bv73 32)) ?y4) ?v_23) (bvmul (_ bv2 32) x1)) (_ bv45 32))) (or (bvsge (bvadd (bvadd (bvmul (_ bv83 32) ?y4) ?v_22) (bvmul (bvneg (_ bv71 32)) x1)) (_ bv0 32)) (bvslt (bvadd ?v_23 (bvmul (bvneg (_ bv47 32)) x1)) (_ bv25 32))))))))) (or (and (and (or (exists ((?y4 (_ BitVec 32))) (or (and (not (= (bvadd (bvadd (bvmul (_ bv87 32) ?y4) (bvmul (_ bv48 32) ?y1)) (bvmul (_ bv86 32) x1)) (_ bv63 32))) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv52 32)) ?y4) (bvmul (_ bv32 32) ?y1)) (bvmul (bvneg (_ bv13 32)) x1)) (bvneg (_ bv64 32)))) (and (bvsge (bvadd (bvmul (bvneg (_ bv8 32)) ?y1) (bvmul (_ bv98 32) x1)) (_ bv16 32)) (not (= (bvadd (bvadd (bvmul (bvneg (_ bv18 32)) ?y4) (bvmul (_ bv62 32) ?y1)) (bvmul (bvneg (_ bv36 32)) x1)) (_ bv54 32)))))) (exists ((?y4 (_ BitVec 32))) (= (bvadd (bvadd (bvmul (bvneg (_ bv46 32)) ?y4) (bvmul (bvneg (_ bv80 32)) ?y1)) (bvmul (bvneg (_ bv53 32)) x1)) (_ bv50 32)))) (and (exists ((?y4 (_ BitVec 32))) (and (bvsle (bvmul (bvneg (_ bv56 32)) ?y4) (_ bv51 32)) (bvslt (bvmul (bvneg (_ bv96 32)) x1) (_ bv76 32)))) (and (forall ((?y3 (_ BitVec 32))) (and (not (= (bvadd (bvadd (bvmul (bvneg (_ bv78 32)) ?y3) (bvmul (bvneg (_ bv86 32)) ?y1)) (bvmul (bvneg (_ bv11 32)) x1)) (_ bv39 32))) (not (= (bvadd (bvadd (bvmul (_ bv6 32) ?y3) (bvmul (_ bv92 32) ?y1)) (bvmul (_ bv73 32) x1)) (bvneg (_ bv78 32)))))) (or (= (bvadd (bvmul (_ bv59 32) ?y1) (bvmul (_ bv23 32) x1)) (_ bv0 32)) (forall ((?y4 (_ BitVec 32))) (bvsgt (bvmul (bvneg (_ bv22 32)) x1) (bvneg (_ bv69 32)))))))) (forall ((?y3 (_ BitVec 32))) (or (or (forall ((?y4 (_ BitVec 32))) (and (and (bvsle (bvadd (bvadd (bvadd (bvmul (_ bv37 32) ?y4) (bvmul (_ bv7 32) ?y3)) (bvmul (_ bv14 32) ?y1)) (bvmul (_ bv63 32) x1)) (_ bv0 32)) (not (= (bvadd (bvadd (bvmul (_ bv56 32) ?y3) (bvmul (_ bv58 32) ?y1)) (bvmul (bvneg (_ bv16 32)) x1)) (_ bv17 32)))) (and (bvsge (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv60 32)) ?y4) (bvmul (_ bv93 32) ?y3)) (bvmul (bvneg (_ bv31 32)) ?y1)) (bvmul (_ bv91 32) x1)) (_ bv0 32)) (bvsgt (bvadd (bvadd (bvmul (_ bv80 32) ?y4) (bvmul (bvneg (_ bv77 32)) ?y3)) (bvmul (_ bv37 32) x1)) (_ bv92 32))))) (forall ((?y4 (_ BitVec 32))) (or (or (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv47 32)) ?y4) (bvmul (bvneg (_ bv19 32)) ?y3)) (bvmul (bvneg (_ bv56 32)) ?y1)) (bvneg (_ bv74 32))) (bvslt (bvadd (bvadd (bvmul (_ bv17 32) ?y4) (bvmul (_ bv41 32) ?y3)) (bvmul (bvneg (_ bv13 32)) ?y1)) (_ bv73 32))) (and (bvsgt (bvadd (bvadd (bvmul (_ bv65 32) ?y4) (bvmul (_ bv90 32) ?y1)) (bvmul (bvneg (_ bv62 32)) x1)) (_ bv65 32)) (bvslt (bvadd (bvadd (bvadd (bvmul (_ bv76 32) ?y4) (bvmul (bvneg (_ bv79 32)) ?y3)) (bvmul (_ bv51 32) ?y1)) (bvmul (_ bv39 32) x1)) (bvneg (_ bv32 32))))))) (exists ((?y4 (_ BitVec 32))) (and (= (bvadd (bvadd (bvmul (bvneg (_ bv72 32)) ?y3) (bvmul (bvneg (_ bv74 32)) ?y1)) (bvmul (_ bv38 32) x1)) (bvneg (_ bv3 32))) (or (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv18 32)) ?y3) (bvmul (bvneg (_ bv93 32)) ?y1)) (bvmul (bvneg (_ bv16 32)) x1)) (_ bv96 32)) (= (bvadd (bvmul (_ bv88 32) ?y4) (bvmul (bvneg (_ bv2 32)) ?y3)) (_ bv0 32)))))))) (and (forall ((?y3 (_ BitVec 32))) (let ((?v_24 (bvmul (bvneg (_ bv64 32)) ?y3))) (and (and (or (or (= (bvadd (bvmul (bvneg (_ bv52 32)) ?y1) (bvmul (bvneg (_ bv20 32)) x1)) (_ bv0 32)) (bvsle (bvadd ?v_24 (bvmul (_ bv34 32) x1)) (bvneg (_ bv55 32)))) (and (not (= (bvadd (bvadd (bvmul (bvneg (_ bv61 32)) ?y3) (bvmul (bvneg (_ bv100 32)) ?y1)) (bvmul (bvneg (_ bv33 32)) x1)) (_ bv51 32))) (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv42 32)) ?y3) (bvmul (_ bv57 32) ?y1)) (bvmul (bvneg (_ bv49 32)) x1)) (_ bv0 32)))) (and (and (not (= (bvadd (bvadd (bvmul (bvneg (_ bv6 32)) ?y3) (bvmul (bvneg (_ bv69 32)) ?y1)) (bvmul (bvneg (_ bv81 32)) x1)) (_ bv75 32))) (bvsge (bvadd (bvmul (bvneg (_ bv18 32)) ?y1) (bvmul (bvneg (_ bv46 32)) x1)) (_ bv31 32))) (and (bvsle (bvadd (bvadd (bvmul (_ bv100 32) ?y3) (bvmul (bvneg (_ bv1 32)) ?y1)) (bvmul (_ bv69 32) x1)) (_ bv44 32)) (bvslt (bvadd (bvmul (bvneg (_ bv62 32)) ?y3) (bvmul (_ bv45 32) ?y1)) (_ bv0 32))))) (or (or (or (= (bvadd (bvmul (_ bv35 32) ?y1) (bvmul (_ bv49 32) x1)) (bvneg (_ bv55 32))) (not (= (bvadd (bvadd (bvmul (bvneg (_ bv51 32)) ?y3) (bvmul (bvneg (_ bv60 32)) ?y1)) (bvmul (bvneg (_ bv18 32)) x1)) (bvneg (_ bv93 32))))) (or (bvsle (bvadd (bvadd (bvmul (_ bv1 32) ?y3) (bvmul (_ bv93 32) ?y1)) (bvmul (bvneg (_ bv82 32)) x1)) (bvneg (_ bv76 32))) (bvsge (bvadd (bvadd (bvmul (_ bv49 32) ?y3) (bvmul (_ bv33 32) ?y1)) (bvmul (_ bv7 32) x1)) (_ bv43 32)))) (or (and (not (= (bvadd (bvmul (_ bv34 32) ?y3) (bvmul (_ bv32 32) ?y1)) (_ bv33 32))) (bvslt ?v_24 (_ bv7 32))) (and (bvsgt (bvmul (_ bv89 32) x1) (bvneg (_ bv99 32))) (bvslt (bvadd (bvadd (bvmul (_ bv41 32) ?y3) (bvmul (_ bv38 32) ?y1)) (bvmul (bvneg (_ bv74 32)) x1)) (bvneg (_ bv11 32))))))))) (or (or (forall ((?y3 (_ BitVec 32))) (and (forall ((?y4 (_ BitVec 32))) (not (= (bvmul (bvneg (_ bv44 32)) x1) (bvneg (_ bv67 32))))) (not (= (bvadd (bvadd (bvmul (bvneg (_ bv17 32)) ?y3) (bvmul (_ bv82 32) ?y1)) (bvmul (_ bv71 32) x1)) (bvneg (_ bv45 32)))))) (forall ((?y3 (_ BitVec 32))) (forall ((?y4 (_ BitVec 32))) (not (= (bvadd (bvadd (bvmul (bvneg (_ bv19 32)) ?y3) (bvmul (_ bv20 32) ?y1)) (bvmul (bvneg (_ bv50 32)) x1)) (_ bv27 32)))))) (forall ((?y3 (_ BitVec 32))) (and (bvsle (bvmul (_ bv17 32) ?y3) (_ bv0 32)) (= (bvadd (bvmul (bvneg (_ bv51 32)) ?y3) (bvmul (_ bv72 32) ?y1)) (_ bv30 32))))))))))))
(check-sat)
(exit)
