(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(declare-fun y1 () (_ BitVec 32))
(declare-fun y2 () (_ BitVec 32))
(declare-fun y3 () (_ BitVec 32))
(declare-fun y4 () (_ BitVec 32))
(declare-fun x1 () (_ BitVec 32))
(assert (exists ((?y1 (_ BitVec 32))) (exists ((?y2 (_ BitVec 32))) (and (or (forall ((?y3 (_ BitVec 32))) (let ((?v_9 (bvmul (_ bv1 32) ?y1)) (?v_8 (bvmul (_ bv73 32) ?y3)) (?v_10 (bvmul (_ bv13 32) x1)) (?v_6 (bvmul (bvneg (_ bv95 32)) ?y3)) (?v_0 (bvmul (bvneg (_ bv11 32)) ?y3)) (?v_2 (bvmul (bvneg (_ bv92 32)) ?y1)) (?v_1 (bvmul (bvneg (_ bv53 32)) ?y1)) (?v_3 (bvmul (bvneg (_ bv74 32)) ?y3)) (?v_7 (bvmul (bvneg (_ bv73 32)) ?y2)) (?v_4 (bvmul (bvneg (_ bv9 32)) ?y1)) (?v_5 (bvmul (bvneg (_ bv80 32)) ?y1))) (and (or (and (forall ((?y4 (_ BitVec 32))) (and (or (and (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv77 32)) ?y4) (bvmul (bvneg (_ bv34 32)) ?y2)) (bvmul (_ bv31 32) x1)) (_ bv64 32)) (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv92 32)) ?y2) (bvmul (bvneg (_ bv95 32)) ?y1)) (bvmul (bvneg (_ bv67 32)) x1)) (bvneg (_ bv14 32)))) (or (not (= (bvadd (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv48 32)) ?y4) (bvmul (bvneg (_ bv62 32)) ?y3)) (bvmul (bvneg (_ bv74 32)) ?y2)) (bvmul (bvneg (_ bv100 32)) ?y1)) (bvmul (bvneg (_ bv66 32)) x1)) (bvneg (_ bv54 32)))) (bvsge (bvadd (bvadd (bvadd (bvmul (_ bv4 32) ?y4) (bvmul (_ bv44 32) ?y3)) (bvmul (bvneg (_ bv99 32)) ?y1)) (bvmul (_ bv87 32) x1)) (_ bv46 32)))) (and (and (bvsle (bvadd (bvadd (bvadd (bvmul (_ bv39 32) ?y3) (bvmul (_ bv11 32) ?y2)) (bvmul (_ bv42 32) ?y1)) (bvmul (_ bv62 32) x1)) (_ bv32 32)) (bvsge (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv79 32)) ?y4) (bvmul (_ bv98 32) ?y3)) (bvmul (_ bv42 32) ?y2)) (bvmul (_ bv67 32) ?y1)) (bvneg (_ bv29 32)))) (and (not (= (bvadd (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv70 32)) ?y4) (bvmul (bvneg (_ bv25 32)) ?y3)) (bvmul (bvneg (_ bv45 32)) ?y2)) (bvmul (_ bv56 32) ?y1)) (bvmul (bvneg (_ bv85 32)) x1)) (bvneg (_ bv39 32)))) (= (bvadd (bvadd (bvmul (bvneg (_ bv4 32)) ?y2) (bvmul (_ bv8 32) ?y1)) (bvmul (_ bv45 32) x1)) (_ bv0 32)))))) (and (or (or (= (bvadd (bvadd (bvadd (bvmul (_ bv9 32) ?y3) (bvmul (bvneg (_ bv43 32)) ?y2)) (bvmul (bvneg (_ bv51 32)) ?y1)) (bvmul (bvneg (_ bv38 32)) x1)) (bvneg (_ bv30 32))) (bvsge (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv53 32)) ?y3) (bvmul (bvneg (_ bv67 32)) ?y2)) (bvmul (_ bv74 32) ?y1)) (bvmul (_ bv64 32) x1)) (_ bv0 32))) (or (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv46 32)) ?y3) (bvmul (bvneg (_ bv57 32)) ?y2)) (bvmul (_ bv87 32) ?y1)) (bvmul (_ bv90 32) x1)) (_ bv0 32)) (bvsgt (bvadd (bvmul (_ bv68 32) ?y3) (bvmul (_ bv39 32) x1)) (bvneg (_ bv4 32))))) (and (and (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv19 32)) ?y3) (bvmul (bvneg (_ bv75 32)) ?y2)) (bvmul (_ bv67 32) x1)) (_ bv84 32)) (= (bvadd (bvadd (bvmul (_ bv50 32) ?y3) (bvmul (_ bv77 32) ?y1)) (bvmul (_ bv36 32) x1)) (_ bv81 32))) (and (bvslt (bvadd (bvadd (bvadd ?v_6 (bvmul (bvneg (_ bv97 32)) ?y2)) (bvmul (_ bv91 32) ?y1)) (bvmul (bvneg (_ bv12 32)) x1)) (bvneg (_ bv44 32))) (bvsgt (bvadd ?v_0 (bvmul (bvneg (_ bv5 32)) x1)) (_ bv29 32)))))) (or (and (and (or (bvsle (bvadd (bvadd (bvadd ?v_0 (bvmul (_ bv29 32) ?y2)) ?v_2) (bvmul (bvneg (_ bv42 32)) x1)) (_ bv0 32)) (bvsle (bvadd (bvmul (_ bv80 32) ?y1) (bvmul (_ bv89 32) x1)) (_ bv0 32))) (and (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv34 32)) ?y3) (bvmul (bvneg (_ bv1 32)) ?y2)) (bvmul (_ bv76 32) ?y1)) (bvmul (bvneg (_ bv50 32)) x1)) (_ bv0 32)) (bvsgt (bvmul (bvneg (_ bv87 32)) ?y3) (_ bv17 32)))) (or (or (bvslt (bvadd (bvmul (_ bv52 32) ?y3) (bvmul (bvneg (_ bv62 32)) ?y1)) (_ bv25 32)) (= (bvadd (bvmul (bvneg (_ bv54 32)) ?y2) ?v_9) (bvneg (_ bv66 32)))) (or (bvsge (bvadd (bvadd (bvadd (bvmul (_ bv100 32) ?y3) (bvmul (_ bv45 32) ?y2)) (bvmul (bvneg (_ bv100 32)) ?y1)) (bvmul (bvneg (_ bv39 32)) x1)) (bvneg (_ bv74 32))) (bvsgt (bvmul (bvneg (_ bv61 32)) ?y1) (bvneg (_ bv46 32)))))) (or (and (not (= (bvadd (bvadd (bvmul (_ bv7 32) ?y3) (bvmul (bvneg (_ bv89 32)) ?y2)) ?v_1) (_ bv36 32))) (bvsge (bvadd (bvadd (bvadd ?v_3 (bvmul (bvneg (_ bv99 32)) ?y2)) (bvmul (bvneg (_ bv65 32)) ?y1)) (bvmul (_ bv77 32) x1)) (bvneg (_ bv2 32)))) (and (bvsgt (bvadd ?v_1 (bvmul (bvneg (_ bv72 32)) x1)) (_ bv42 32)) (bvslt (bvadd (bvadd (bvadd (bvmul (_ bv16 32) ?y3) (bvmul (bvneg (_ bv17 32)) ?y2)) (bvmul (bvneg (_ bv12 32)) ?y1)) (bvmul (_ bv80 32) x1)) (_ bv0 32)))))) (or (and (or (and (and (bvsge (bvadd (bvadd (bvadd (bvmul (_ bv62 32) ?y3) ?v_7) ?v_4) (bvmul (bvneg (_ bv83 32)) x1)) (_ bv0 32)) (bvslt (bvmul (_ bv41 32) ?y2) (bvneg (_ bv41 32)))) (bvslt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv1 32)) ?y3) (bvmul (bvneg (_ bv98 32)) ?y2)) (bvmul (bvneg (_ bv98 32)) ?y1)) (bvmul (_ bv87 32) x1)) (_ bv0 32))) (or (or (bvsge (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv79 32)) ?y3) (bvmul (_ bv61 32) ?y2)) ?v_2) (bvmul (_ bv40 32) x1)) (bvneg (_ bv14 32))) (not (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv20 32)) ?y3) (bvmul (bvneg (_ bv31 32)) ?y2)) (bvmul (_ bv19 32) ?y1)) (bvmul (_ bv74 32) x1)) (_ bv17 32)))) (bvsge (bvadd ?v_3 (bvmul (_ bv84 32) x1)) (_ bv10 32)))) (or (or (or (= (bvadd (bvadd (bvmul (bvneg (_ bv41 32)) ?y2) (bvmul (_ bv64 32) ?y1)) (bvmul (_ bv12 32) x1)) (bvneg (_ bv24 32))) (not (= (bvadd (bvadd (bvadd ?v_8 (bvmul (bvneg (_ bv64 32)) ?y2)) (bvmul (bvneg (_ bv20 32)) ?y1)) (bvmul (bvneg (_ bv57 32)) x1)) (bvneg (_ bv88 32))))) (or (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv91 32)) ?y3) ?v_4) (bvmul (bvneg (_ bv22 32)) x1)) (_ bv95 32)) (not (= (bvadd (bvmul (_ bv72 32) ?y3) (bvmul (_ bv44 32) ?y1)) (_ bv0 32))))) (and (or (bvsgt (bvadd (bvadd (bvmul (_ bv27 32) ?y3) (bvmul (_ bv49 32) ?y2)) ?v_5) (bvneg (_ bv79 32))) (not (= (bvadd (bvmul (bvneg (_ bv4 32)) ?y1) (bvmul (bvneg (_ bv1 32)) x1)) (bvneg (_ bv37 32))))) (and (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv29 32)) ?y3) (bvmul (bvneg (_ bv49 32)) ?y2)) (bvmul (bvneg (_ bv85 32)) ?y1)) (bvmul (bvneg (_ bv58 32)) x1)) (bvneg (_ bv15 32))) (= (bvadd (bvmul (_ bv39 32) ?y3) (bvmul (_ bv40 32) ?y2)) (bvneg (_ bv63 32))))))) (or (and (or (and (not (= (bvadd (bvadd (bvmul (bvneg (_ bv35 32)) ?y3) (bvmul (_ bv34 32) ?y2)) (bvmul (_ bv42 32) x1)) (_ bv0 32))) (bvsgt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv83 32)) ?y3) (bvmul (bvneg (_ bv36 32)) ?y2)) ?v_5) (bvmul (_ bv38 32) x1)) (bvneg (_ bv40 32)))) (and (bvsgt (bvadd ?v_6 (bvmul (_ bv16 32) x1)) (bvneg (_ bv55 32))) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv59 32)) ?y3) ?v_7) (bvmul (bvneg (_ bv76 32)) ?y1)) (_ bv0 32)))) (or (and (bvsgt (bvadd (bvmul (_ bv15 32) ?y2) ?v_10) (_ bv80 32)) (bvsge (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv31 32)) ?y3) (bvmul (_ bv26 32) ?y2)) (bvmul (_ bv59 32) ?y1)) (bvmul (_ bv37 32) x1)) (_ bv0 32))) (or (bvsle (bvadd (bvadd (bvmul (_ bv55 32) ?y2) (bvmul (bvneg (_ bv89 32)) ?y1)) (bvmul (bvneg (_ bv53 32)) x1)) (_ bv0 32)) (bvsgt (bvadd ?v_8 (bvmul (_ bv10 32) ?y1)) (_ bv59 32))))) (or (and (or (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv32 32)) ?y3) (bvmul (bvneg (_ bv21 32)) ?y2)) (bvmul (_ bv13 32) ?y1)) (bvneg (_ bv80 32))) (not (= (bvadd (bvmul (bvneg (_ bv44 32)) ?y3) (bvmul (bvneg (_ bv3 32)) ?y2)) (bvneg (_ bv4 32))))) (or (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv30 32)) ?y3) (bvmul (bvneg (_ bv56 32)) ?y2)) (bvmul (_ bv34 32) ?y1)) (bvneg (_ bv34 32))) (bvsge (bvadd (bvmul (bvneg (_ bv12 32)) ?y2) (bvmul (_ bv100 32) ?y1)) (_ bv46 32)))) (or (bvsge (bvadd (bvadd (bvadd (bvmul (_ bv21 32) ?y3) (bvmul (bvneg (_ bv100 32)) ?y2)) ?v_9) (bvmul (_ bv86 32) x1)) (_ bv19 32)) (and (bvsge (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv15 32)) ?y3) (bvmul (bvneg (_ bv33 32)) ?y2)) (bvmul (bvneg (_ bv24 32)) ?y1)) (bvmul (bvneg (_ bv73 32)) x1)) (bvneg (_ bv77 32))) (= (bvadd (bvadd (bvmul (bvneg (_ bv80 32)) ?y3) (bvmul (_ bv28 32) ?y2)) ?v_10) (_ bv30 32)))))))))) (and (and (and (exists ((?y4 (_ BitVec 32))) (and (or (not (= (bvadd (bvadd (bvmul (bvneg (_ bv19 32)) ?y2) (bvmul (_ bv94 32) ?y1)) (bvmul (_ bv97 32) x1)) (bvneg (_ bv93 32)))) (and (bvsle (bvadd (bvadd (bvmul (_ bv61 32) ?y4) (bvmul (bvneg (_ bv29 32)) ?y2)) (bvmul (_ bv40 32) ?y1)) (_ bv75 32)) (not (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv31 32)) ?y4) (bvmul (bvneg (_ bv61 32)) ?y2)) (bvmul (bvneg (_ bv15 32)) ?y1)) (bvmul (bvneg (_ bv71 32)) x1)) (_ bv0 32))))) (and (or (bvsle (bvadd (bvadd (bvmul (_ bv38 32) ?y4) (bvmul (bvneg (_ bv50 32)) ?y2)) (bvmul (_ bv46 32) ?y1)) (_ bv0 32)) (bvslt (bvadd (bvadd (bvmul (_ bv71 32) ?y4) (bvmul (bvneg (_ bv39 32)) ?y2)) (bvmul (_ bv9 32) ?y1)) (bvneg (_ bv38 32)))) (or (bvslt (bvadd (bvadd (bvmul (_ bv40 32) ?y4) (bvmul (_ bv86 32) ?y1)) (bvmul (bvneg (_ bv16 32)) x1)) (_ bv1 32)) (= (bvadd (bvadd (bvadd (bvmul (_ bv67 32) ?y4) (bvmul (bvneg (_ bv92 32)) ?y2)) (bvmul (bvneg (_ bv80 32)) ?y1)) (bvmul (_ bv5 32) x1)) (_ bv15 32)))))) (and (and (= (bvadd (bvadd (bvmul (_ bv31 32) ?y2) (bvmul (bvneg (_ bv39 32)) ?y1)) (bvmul (bvneg (_ bv31 32)) x1)) (bvneg (_ bv33 32))) (bvslt (bvadd (bvmul (bvneg (_ bv3 32)) ?y2) (bvmul (_ bv38 32) ?y1)) (_ bv61 32))) (or (or (bvsgt (bvadd (bvmul (bvneg (_ bv89 32)) ?y2) (bvmul (bvneg (_ bv72 32)) x1)) (_ bv0 32)) (= (bvadd (bvadd (bvmul (bvneg (_ bv49 32)) ?y2) (bvmul (_ bv68 32) ?y1)) (bvmul (_ bv22 32) x1)) (bvneg (_ bv91 32)))) (or (= (bvadd (bvmul (bvneg (_ bv57 32)) ?y1) (bvmul (bvneg (_ bv86 32)) x1)) (_ bv0 32)) (bvslt (bvmul (_ bv72 32) ?y2) (_ bv0 32)))))) (exists ((?y4 (_ BitVec 32))) (and (or (or (not (= (bvadd (bvmul (_ bv64 32) ?y1) (bvmul (bvneg (_ bv39 32)) x1)) (_ bv3 32))) (= (bvadd (bvmul (_ bv85 32) ?y2) (bvmul (bvneg (_ bv57 32)) x1)) (_ bv0 32))) (and (or (bvsge (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv88 32)) ?y4) (bvmul (bvneg (_ bv78 32)) ?y2)) (bvmul (bvneg (_ bv96 32)) ?y1)) (bvmul (bvneg (_ bv63 32)) x1)) (bvneg (_ bv95 32))) (bvsge (bvadd (bvadd (bvmul (_ bv46 32) ?y4) (bvmul (_ bv16 32) ?y2)) (bvmul (_ bv53 32) x1)) (_ bv0 32))) (bvsle (bvadd (bvadd (bvmul (_ bv39 32) ?y4) (bvmul (_ bv99 32) ?y1)) (bvmul (bvneg (_ bv42 32)) x1)) (bvneg (_ bv82 32))))) (and (or (bvsgt (bvadd (bvadd (bvmul (_ bv76 32) ?y2) (bvmul (_ bv85 32) ?y1)) (bvmul (_ bv3 32) x1)) (bvneg (_ bv21 32))) (= (bvadd (bvadd (bvadd (bvmul (_ bv89 32) ?y4) (bvmul (_ bv20 32) ?y2)) (bvmul (bvneg (_ bv26 32)) ?y1)) (bvmul (_ bv17 32) x1)) (_ bv0 32))) (and (bvslt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv67 32)) ?y4) (bvmul (_ bv96 32) ?y2)) (bvmul (bvneg (_ bv14 32)) ?y1)) (bvmul (bvneg (_ bv37 32)) x1)) (_ bv0 32)) (bvsle (bvadd (bvmul (_ bv99 32) ?y2) (bvmul (_ bv47 32) x1)) (_ bv86 32))))))) (exists ((?y4 (_ BitVec 32))) (let ((?v_14 (bvmul (_ bv87 32) x1)) (?v_12 (bvmul (_ bv99 32) ?y2)) (?v_13 (bvmul (_ bv66 32) x1)) (?v_11 (bvmul (bvneg (_ bv72 32)) ?y1))) (and (and (and (or (and (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv84 32)) ?y4) (bvmul (bvneg (_ bv30 32)) ?y2)) (bvmul (_ bv43 32) ?y1)) (bvmul (bvneg (_ bv97 32)) x1)) (_ bv0 32)) (bvsge (bvadd (bvadd (bvadd (bvmul (_ bv22 32) ?y4) (bvmul (bvneg (_ bv21 32)) ?y2)) (bvmul (_ bv70 32) ?y1)) (bvmul (bvneg (_ bv20 32)) x1)) (_ bv0 32))) (bvsle (bvadd (bvadd (bvmul (_ bv35 32) ?y4) (bvmul (_ bv97 32) ?y2)) (bvmul (bvneg (_ bv40 32)) x1)) (_ bv32 32))) (or (and (not (= (bvadd (bvmul (_ bv53 32) ?y4) (bvmul (bvneg (_ bv26 32)) x1)) (_ bv23 32))) (bvsle (bvadd (bvmul (bvneg (_ bv67 32)) ?y4) (bvmul (_ bv37 32) x1)) (_ bv0 32))) (not (= (bvadd (bvadd (bvadd (bvmul (_ bv8 32) ?y4) (bvmul (bvneg (_ bv47 32)) ?y2)) (bvmul (bvneg (_ bv6 32)) ?y1)) (bvmul (_ bv47 32) x1)) (bvneg (_ bv21 32)))))) (or (and (or (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv55 32)) ?y4) (bvmul (bvneg (_ bv40 32)) ?y1)) (bvmul (_ bv42 32) x1)) (bvneg (_ bv69 32))) (bvslt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv59 32)) ?y4) (bvmul (_ bv54 32) ?y2)) (bvmul (_ bv4 32) ?y1)) (bvmul (bvneg (_ bv32 32)) x1)) (_ bv94 32))) (and (bvsgt (bvadd (bvadd (bvadd (bvmul (_ bv42 32) ?y4) ?v_12) (bvmul (_ bv34 32) ?y1)) ?v_14) (_ bv50 32)) (not (= (bvadd (bvadd (bvadd (bvmul (_ bv23 32) ?y4) (bvmul (bvneg (_ bv55 32)) ?y2)) (bvmul (bvneg (_ bv1 32)) ?y1)) (bvmul (bvneg (_ bv52 32)) x1)) (_ bv0 32))))) (or (or (bvsge (bvadd (bvadd (bvadd (bvmul (_ bv94 32) ?y4) (bvmul (_ bv29 32) ?y2)) (bvmul (bvneg (_ bv75 32)) ?y1)) (bvmul (bvneg (_ bv33 32)) x1)) (_ bv0 32)) (bvsge (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv7 32)) ?y4) (bvmul (_ bv33 32) ?y2)) ?v_11) ?v_13) (bvneg (_ bv53 32)))) (or (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv80 32)) ?y4) (bvmul (bvneg (_ bv42 32)) ?y2)) (bvmul (bvneg (_ bv21 32)) ?y1)) (bvmul (bvneg (_ bv85 32)) x1)) (_ bv0 32)) (not (= (bvadd (bvadd (bvmul (bvneg (_ bv58 32)) ?y4) (bvmul (bvneg (_ bv12 32)) ?y2)) (bvmul (_ bv44 32) ?y1)) (_ bv0 32))))))) (or (and (or (and (bvslt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv10 32)) ?y4) (bvmul (_ bv70 32) ?y2)) (bvmul (_ bv32 32) ?y1)) (bvmul (_ bv93 32) x1)) (bvneg (_ bv35 32))) (not (= (bvadd (bvadd (bvmul (bvneg (_ bv22 32)) ?y2) (bvmul (bvneg (_ bv5 32)) ?y1)) (bvmul (bvneg (_ bv22 32)) x1)) (bvneg (_ bv100 32))))) (and (bvsge (bvadd (bvadd (bvmul (_ bv78 32) ?y4) (bvmul (_ bv28 32) ?y2)) (bvmul (bvneg (_ bv100 32)) x1)) (_ bv0 32)) (not (= (bvadd (bvadd (bvmul (_ bv29 32) ?y4) ?v_11) (bvmul (bvneg (_ bv76 32)) x1)) (_ bv0 32))))) (and (or (= (bvadd (bvmul (bvneg (_ bv9 32)) ?y4) (bvmul (_ bv78 32) x1)) (bvneg (_ bv63 32))) (not (= (bvadd (bvadd (bvmul (bvneg (_ bv4 32)) ?y4) ?v_12) (bvmul (bvneg (_ bv6 32)) x1)) (bvneg (_ bv22 32))))) (or (bvslt (bvadd (bvmul (_ bv75 32) ?y4) (bvmul (_ bv39 32) ?y2)) (_ bv37 32)) (bvsgt (bvadd (bvadd (bvmul (_ bv37 32) ?y4) (bvmul (_ bv63 32) ?y1)) ?v_13) (_ bv89 32))))) (and (or (bvslt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv31 32)) ?y4) (bvmul (_ bv63 32) ?y2)) (bvmul (bvneg (_ bv30 32)) ?y1)) (bvmul (bvneg (_ bv13 32)) x1)) (_ bv46 32)) (bvsge (bvadd (bvmul (_ bv71 32) ?y4) (bvmul (bvneg (_ bv81 32)) x1)) (_ bv88 32))) (and (not (= (bvadd (bvadd (bvmul (_ bv86 32) ?y4) (bvmul (_ bv14 32) ?y2)) (bvmul (_ bv35 32) ?y1)) (_ bv0 32))) (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv33 32)) ?y4) (bvmul (_ bv77 32) ?y2)) (bvmul (bvneg (_ bv82 32)) ?y1)) ?v_14) (_ bv2 32)))))))))) (exists ((?y3 (_ BitVec 32))) (exists ((?y4 (_ BitVec 32))) (let ((?v_16 (bvmul (bvneg (_ bv63 32)) x1)) (?v_15 (bvmul (bvneg (_ bv35 32)) ?y3))) (or (and (or (not (= (bvadd (bvmul (bvneg (_ bv61 32)) ?y4) (bvmul (bvneg (_ bv62 32)) ?y2)) (_ bv51 32))) (or (and (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv15 32)) ?y4) (bvmul (bvneg (_ bv36 32)) ?y3)) (bvmul (bvneg (_ bv36 32)) ?y2)) (bvmul (_ bv72 32) x1)) (bvneg (_ bv7 32))) (bvslt (bvadd (bvadd (bvadd (bvadd (bvmul (_ bv18 32) ?y4) (bvmul (bvneg (_ bv4 32)) ?y3)) (bvmul (_ bv13 32) ?y2)) (bvmul (_ bv25 32) ?y1)) ?v_16) (bvneg (_ bv56 32)))) (and (= (bvadd (bvadd (bvmul (bvneg (_ bv51 32)) ?y4) (bvmul (_ bv52 32) ?y2)) (bvmul (_ bv27 32) ?y1)) (bvneg (_ bv13 32))) (= (bvadd (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv100 32)) ?y4) (bvmul (bvneg (_ bv6 32)) ?y3)) (bvmul (_ bv12 32) ?y2)) (bvmul (bvneg (_ bv60 32)) ?y1)) (bvmul (bvneg (_ bv18 32)) x1)) (bvneg (_ bv73 32)))))) (or (or (and (not (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv46 32)) ?y4) (bvmul (bvneg (_ bv39 32)) ?y3)) (bvmul (bvneg (_ bv21 32)) ?y1)) (bvmul (bvneg (_ bv68 32)) x1)) (bvneg (_ bv66 32)))) (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv18 32)) ?y4) (bvmul (bvneg (_ bv56 32)) ?y3)) (bvmul (_ bv27 32) x1)) (bvneg (_ bv71 32)))) (or (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv81 32)) ?y3) (bvmul (_ bv83 32) ?y2)) (bvmul (bvneg (_ bv28 32)) ?y1)) (bvmul (_ bv50 32) x1)) (_ bv8 32)) (not (= (bvadd (bvmul (_ bv41 32) ?y4) (bvmul (_ bv55 32) ?y1)) (bvneg (_ bv12 32)))))) (and (and (not (= (bvadd (bvmul (bvneg (_ bv85 32)) ?y4) (bvmul (bvneg (_ bv7 32)) ?y1)) (bvneg (_ bv66 32)))) (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv26 32)) ?y4) (bvmul (_ bv53 32) ?y3)) (bvmul (bvneg (_ bv73 32)) ?y1)) (bvneg (_ bv77 32)))) (or (bvsle (bvadd (bvadd (bvmul (_ bv86 32) ?y4) (bvmul (bvneg (_ bv66 32)) ?y3)) (bvmul (_ bv99 32) ?y1)) (_ bv65 32)) (bvsge (bvadd (bvadd (bvadd (bvmul (_ bv26 32) ?y4) (bvmul (bvneg (_ bv78 32)) ?y2)) (bvmul (bvneg (_ bv18 32)) ?y1)) (bvmul (bvneg (_ bv61 32)) x1)) (bvneg (_ bv14 32))))))) (or (and (and (and (= (bvadd (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv25 32)) ?y4) (bvmul (bvneg (_ bv33 32)) ?y3)) (bvmul (bvneg (_ bv70 32)) ?y2)) (bvmul (_ bv100 32) ?y1)) (bvmul (_ bv35 32) x1)) (bvneg (_ bv85 32))) (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv17 32)) ?y4) (bvmul (_ bv39 32) ?y3)) (bvmul (_ bv84 32) x1)) (_ bv0 32))) (and (bvslt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv68 32)) ?y3) (bvmul (_ bv98 32) ?y2)) (bvmul (bvneg (_ bv6 32)) ?y1)) (bvmul (bvneg (_ bv30 32)) x1)) (_ bv0 32)) (= (bvadd (bvadd (bvadd (bvadd (bvmul (_ bv70 32) ?y4) (bvmul (bvneg (_ bv80 32)) ?y3)) (bvmul (_ bv16 32) ?y2)) (bvmul (_ bv81 32) ?y1)) (bvmul (_ bv20 32) x1)) (_ bv0 32)))) (and (and (not (= (bvadd (bvadd (bvadd (bvadd (bvmul (_ bv76 32) ?y4) (bvmul (bvneg (_ bv1 32)) ?y3)) (bvmul (bvneg (_ bv98 32)) ?y2)) (bvmul (bvneg (_ bv98 32)) ?y1)) (bvmul (bvneg (_ bv19 32)) x1)) (_ bv33 32))) (not (= (bvadd (bvadd (bvmul (_ bv56 32) ?y4) (bvmul (bvneg (_ bv68 32)) ?y2)) (bvmul (_ bv15 32) ?y1)) (bvneg (_ bv81 32))))) (not (= (bvadd (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv95 32)) ?y4) (bvmul (_ bv10 32) ?y3)) (bvmul (_ bv84 32) ?y2)) (bvmul (_ bv9 32) ?y1)) (bvmul (_ bv37 32) x1)) (_ bv74 32))))) (and (and (or (= (bvadd (bvadd (bvmul (bvneg (_ bv16 32)) ?y4) (bvmul (bvneg (_ bv40 32)) ?y3)) (bvmul (_ bv77 32) x1)) (_ bv11 32)) (bvsge (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv48 32)) ?y3) (bvmul (bvneg (_ bv58 32)) ?y2)) (bvmul (_ bv70 32) ?y1)) (bvmul (_ bv51 32) x1)) (bvneg (_ bv95 32)))) (or (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv19 32)) ?y4) (bvmul (bvneg (_ bv15 32)) ?y2)) (bvmul (bvneg (_ bv81 32)) ?y1)) (bvmul (_ bv12 32) x1)) (_ bv80 32)) (bvslt (bvadd (bvadd ?v_15 (bvmul (bvneg (_ bv20 32)) ?y1)) (bvmul (bvneg (_ bv62 32)) x1)) (bvneg (_ bv98 32))))) (and (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv8 32)) ?y4) (bvmul (_ bv57 32) ?y3)) (bvmul (bvneg (_ bv91 32)) x1)) (_ bv5 32)) (or (not (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv6 32)) ?y4) ?v_15) (bvmul (bvneg (_ bv48 32)) ?y1)) (bvmul (bvneg (_ bv47 32)) x1)) (_ bv21 32))) (bvsge (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv20 32)) ?y4) (bvmul (bvneg (_ bv49 32)) ?y2)) (bvmul (_ bv10 32) ?y1)) ?v_16) (bvneg (_ bv53 32)))))))))))))))
(check-sat)
(exit)
