(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(declare-fun y3 () (_ BitVec 32))
(declare-fun x1 () (_ BitVec 32))
(declare-fun y2 () (_ BitVec 32))
(declare-fun y4 () (_ BitVec 32))
(assert (and (forall ((?y3 (_ BitVec 32))) (let ((?v_8 (bvmul (_ bv74 32) x1)) (?v_1 (bvmul (_ bv7 32) x1)) (?v_2 (bvmul (_ bv32 32) x1)) (?v_0 (bvmul (bvneg (_ bv29 32)) x1)) (?v_7 (bvmul (bvneg (_ bv68 32)) ?y3)) (?v_4 (bvmul (bvneg (_ bv28 32)) x1)) (?v_3 (bvmul (bvneg (_ bv66 32)) x1)) (?v_6 (bvmul (bvneg (_ bv90 32)) ?y3)) (?v_5 (bvmul (bvneg (_ bv27 32)) ?y3)) (?v_9 (bvmul (bvneg (_ bv97 32)) ?y3)) (?v_10 (bvmul (bvneg (_ bv42 32)) ?y3))) (or (and (or (and (and (or (bvsge (bvadd (bvmul (bvneg (_ bv33 32)) ?y3) (bvmul (bvneg (_ bv16 32)) x1)) (_ bv94 32)) (and (bvsle (bvadd (bvmul (_ bv24 32) ?y3) ?v_0) (_ bv0 32)) (bvsgt (bvmul (bvneg (_ bv93 32)) ?y3) (_ bv56 32)))) (or (or (bvsgt (bvmul (bvneg (_ bv88 32)) ?y3) (bvneg (_ bv64 32))) (bvsle (bvmul (bvneg (_ bv6 32)) ?y3) (_ bv0 32))) (or (bvsgt (bvadd (bvmul (_ bv49 32) ?y3) (bvmul (_ bv63 32) x1)) (bvneg (_ bv73 32))) (bvsle (bvadd (bvmul (bvneg (_ bv41 32)) ?y3) ?v_8) (_ bv0 32))))) (or (= (bvadd (bvmul (_ bv94 32) ?y3) (bvmul (_ bv58 32) x1)) (_ bv87 32)) (= (bvmul (_ bv100 32) x1) (_ bv75 32)))) (and (or (and (or (bvslt (bvadd (bvmul (_ bv84 32) ?y3) (bvmul (_ bv46 32) x1)) (_ bv49 32)) (bvsge (bvmul (_ bv93 32) x1) (_ bv0 32))) (or (not (= ?v_1 (_ bv8 32))) (bvsle (bvadd (bvmul (_ bv1 32) ?y3) (bvmul (_ bv72 32) x1)) (bvneg (_ bv36 32))))) (or (or (bvsle (bvmul (bvneg (_ bv12 32)) ?y3) (bvneg (_ bv12 32))) (bvsgt (bvmul (_ bv29 32) ?y3) (bvneg (_ bv19 32)))) (or (bvsle (bvmul (bvneg (_ bv20 32)) ?y3) (_ bv93 32)) (bvsgt (bvadd (bvmul (_ bv45 32) ?y3) (bvmul (_ bv67 32) x1)) (bvneg (_ bv76 32)))))) (and (and (or (not (= (bvadd ?v_7 (bvmul (_ bv24 32) x1)) (_ bv68 32))) (= (bvmul (_ bv59 32) ?y3) (bvneg (_ bv78 32)))) (= (bvmul (_ bv73 32) x1) (_ bv0 32))) (and (or (bvsle (bvadd (bvmul (_ bv78 32) ?y3) (bvmul (_ bv55 32) x1)) (_ bv0 32)) (not (= ?v_0 (bvneg (_ bv58 32))))) (or (not (= (bvmul (_ bv86 32) x1) (_ bv2 32))) (bvslt (bvmul (bvneg (_ bv55 32)) x1) (_ bv55 32))))))) (or (or (or (or (or (bvsge ?v_2 (bvneg (_ bv14 32))) (bvsge (bvadd (bvmul (_ bv91 32) ?y3) ?v_4) (bvneg (_ bv44 32)))) (and (bvsge (bvadd (bvmul (bvneg (_ bv18 32)) ?y3) ?v_3) (_ bv0 32)) (bvsle (bvmul (_ bv39 32) ?y3) (_ bv0 32)))) (or (and (bvsle (bvadd (bvmul (_ bv75 32) ?y3) (bvmul (_ bv43 32) x1)) (_ bv0 32)) (bvsgt (bvmul (_ bv92 32) ?y3) (bvneg (_ bv64 32)))) (or (bvslt (bvadd (bvmul (_ bv19 32) ?y3) (bvmul (bvneg (_ bv30 32)) x1)) (bvneg (_ bv23 32))) (= (bvadd (bvmul (bvneg (_ bv49 32)) ?y3) ?v_1) (bvneg (_ bv36 32)))))) (and (and (and (bvslt (bvmul (_ bv99 32) x1) (bvneg (_ bv2 32))) (bvsle (bvadd (bvmul (_ bv93 32) ?y3) (bvmul (_ bv50 32) x1)) (_ bv0 32))) (and (bvslt (bvadd (bvmul (_ bv97 32) ?y3) (bvmul (_ bv75 32) x1)) (_ bv73 32)) (bvsge (bvmul (bvneg (_ bv52 32)) x1) (_ bv0 32)))) (or (bvsgt ?v_2 (_ bv77 32)) (or (not (= (bvadd (bvmul (_ bv14 32) ?y3) (bvmul (bvneg (_ bv56 32)) x1)) (_ bv0 32))) (bvsle (bvadd (bvmul (bvneg (_ bv39 32)) ?y3) (bvmul (_ bv31 32) x1)) (_ bv0 32)))))) (or (not (= ?v_3 (bvneg (_ bv36 32)))) (not (= (bvadd ?v_6 (bvmul (_ bv36 32) x1)) (bvneg (_ bv48 32))))))) (and (or (and (and (bvsle (bvmul (bvneg (_ bv14 32)) x1) (_ bv14 32)) (not (= (bvadd (bvmul (_ bv18 32) ?y3) (bvmul (_ bv45 32) x1)) (_ bv93 32)))) (or (bvsge ?v_5 (bvneg (_ bv35 32))) (bvsgt (bvmul (bvneg (_ bv5 32)) ?y3) (_ bv0 32)))) (and (and (or (bvsle (bvmul (_ bv12 32) ?y3) (_ bv83 32)) (= (bvmul (_ bv52 32) x1) (_ bv0 32))) (or (not (= (bvadd (bvmul (_ bv69 32) ?y3) (bvmul (_ bv98 32) x1)) (_ bv99 32))) (bvsge (bvadd (bvmul (_ bv55 32) ?y3) ?v_4) (bvneg (_ bv35 32))))) (or (and (bvslt ?v_9 (_ bv0 32)) (not (= (bvadd ?v_5 (bvmul (_ bv87 32) x1)) (bvneg (_ bv81 32))))) (or (= (bvmul (bvneg (_ bv44 32)) x1) (bvneg (_ bv1 32))) (bvsle ?v_6 (_ bv5 32)))))) (or (or (bvslt (bvadd ?v_7 (bvmul (bvneg (_ bv6 32)) x1)) (_ bv73 32)) (and (not (= ?v_8 (bvneg (_ bv9 32)))) (bvsgt (bvmul (_ bv80 32) ?y3) (bvneg (_ bv69 32))))) (or (and (and (bvslt (bvmul (_ bv34 32) x1) (_ bv0 32)) (not (= (bvadd (bvmul (bvneg (_ bv57 32)) ?y3) (bvmul (_ bv61 32) x1)) (bvneg (_ bv30 32))))) (or (or (bvslt (bvadd (bvmul (_ bv32 32) ?y3) (bvmul (bvneg (_ bv31 32)) x1)) (bvneg (_ bv80 32))) (not (= (bvmul (bvneg (_ bv48 32)) ?y3) (bvneg (_ bv88 32))))) (or (bvsgt (bvadd (bvmul (_ bv65 32) ?y3) (bvmul (_ bv84 32) x1)) (_ bv95 32)) (not (= (bvmul (bvneg (_ bv35 32)) x1) (_ bv0 32)))))) (or (or (bvslt (bvadd ?v_10 (bvmul (_ bv35 32) x1)) (_ bv0 32)) (bvsgt (bvadd ?v_9 (bvmul (_ bv30 32) x1)) (_ bv0 32))) (and (bvsgt (bvadd ?v_10 (bvmul (bvneg (_ bv84 32)) x1)) (_ bv0 32)) (= (bvmul (bvneg (_ bv89 32)) ?y3) (_ bv0 32)))))))))) (and (exists ((?y2 (_ BitVec 32))) (forall ((?y3 (_ BitVec 32))) (exists ((?y4 (_ BitVec 32))) (let ((?v_11 (bvmul (_ bv30 32) x1)) (?v_15 (bvmul (_ bv55 32) ?y4)) (?v_14 (bvmul (_ bv33 32) x1)) (?v_16 (bvmul (bvneg (_ bv65 32)) x1)) (?v_12 (bvmul (bvneg (_ bv86 32)) ?y2)) (?v_13 (bvmul (bvneg (_ bv34 32)) ?y4))) (or (and (and (and (or (= (bvadd (bvadd (bvmul (_ bv36 32) ?y3) (bvmul (_ bv28 32) ?y2)) (bvmul (_ bv69 32) x1)) (bvneg (_ bv31 32))) (and (bvsge (bvadd (bvadd (bvmul (_ bv7 32) ?y3) (bvmul (bvneg (_ bv42 32)) ?y2)) (bvmul (bvneg (_ bv49 32)) x1)) (bvneg (_ bv95 32))) (not (= (bvadd (bvadd (bvmul (bvneg (_ bv32 32)) ?y4) (bvmul (bvneg (_ bv48 32)) ?y2)) (bvmul (_ bv80 32) x1)) (_ bv5 32))))) (or (and (bvsgt (bvadd (bvadd (bvmul (_ bv73 32) ?y4) (bvmul (_ bv51 32) ?y3)) (bvmul (_ bv73 32) ?y2)) (bvneg (_ bv55 32))) (= (bvadd (bvmul (bvneg (_ bv100 32)) ?y4) (bvmul (bvneg (_ bv53 32)) ?y2)) (bvneg (_ bv24 32)))) (or (bvsgt (bvadd (bvmul (_ bv95 32) ?y4) (bvmul (_ bv16 32) ?y3)) (_ bv68 32)) (bvsge (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv2 32)) ?y4) (bvmul (_ bv42 32) ?y3)) (bvmul (_ bv99 32) ?y2)) (bvmul (_ bv50 32) x1)) (_ bv0 32))))) (or (and (not (= (bvadd (bvmul (bvneg (_ bv9 32)) ?y2) (bvmul (_ bv92 32) x1)) (bvneg (_ bv96 32)))) (not (= (bvadd (bvmul (bvneg (_ bv84 32)) ?y3) (bvmul (bvneg (_ bv6 32)) x1)) (bvneg (_ bv96 32))))) (and (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv99 32)) ?y4) (bvmul (bvneg (_ bv68 32)) ?y3)) (bvmul (bvneg (_ bv51 32)) ?y2)) ?v_16) (bvneg (_ bv70 32))) (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv40 32)) ?y3) (bvmul (_ bv96 32) ?y2)) ?v_11) (_ bv0 32))))) (and (or (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv58 32)) ?y4) (bvmul (bvneg (_ bv75 32)) ?y3)) ?v_12) (_ bv31 32)) (= (bvadd (bvadd (bvmul (bvneg (_ bv59 32)) ?y3) (bvmul (_ bv58 32) ?y2)) ?v_11) (_ bv6 32))) (and (and (and (bvsge (bvadd (bvadd (bvmul (_ bv85 32) ?y4) (bvmul (bvneg (_ bv97 32)) ?y3)) ?v_12) (_ bv67 32)) (bvsge (bvadd (bvadd (bvadd ?v_13 (bvmul (_ bv49 32) ?y3)) (bvmul (_ bv67 32) ?y2)) (bvmul (bvneg (_ bv53 32)) x1)) (_ bv0 32))) (and (not (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv36 32)) ?y4) (bvmul (_ bv90 32) ?y3)) (bvmul (_ bv50 32) ?y2)) (bvmul (bvneg (_ bv25 32)) x1)) (_ bv0 32))) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv21 32)) ?y3) (bvmul (bvneg (_ bv88 32)) ?y2)) (bvmul (_ bv54 32) x1)) (_ bv0 32)))) (or (bvsge (bvadd (bvmul (bvneg (_ bv30 32)) ?y4) (bvmul (_ bv37 32) ?y2)) (bvneg (_ bv26 32))) (or (bvslt (bvadd (bvmul (bvneg (_ bv42 32)) ?y3) (bvmul (bvneg (_ bv35 32)) ?y2)) (_ bv97 32)) (bvsgt ?v_15 (_ bv5 32))))))) (and (or (and (= (bvadd (bvadd (bvadd (bvmul (_ bv32 32) ?y4) (bvmul (_ bv25 32) ?y3)) (bvmul (_ bv21 32) ?y2)) ?v_14) (bvneg (_ bv21 32))) (bvsle (bvadd (bvadd (bvadd (bvmul (_ bv40 32) ?y4) (bvmul (bvneg (_ bv13 32)) ?y3)) (bvmul (bvneg (_ bv3 32)) ?y2)) (bvmul (bvneg (_ bv84 32)) x1)) (bvneg (_ bv54 32)))) (and (bvsge (bvadd (bvadd (bvadd (bvmul (_ bv66 32) ?y4) (bvmul (_ bv14 32) ?y3)) (bvmul (bvneg (_ bv24 32)) ?y2)) (bvmul (_ bv88 32) x1)) (bvneg (_ bv23 32))) (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv56 32)) ?y4) (bvmul (bvneg (_ bv26 32)) ?y2)) (bvmul (bvneg (_ bv33 32)) x1)) (_ bv44 32)))) (and (and (and (not (= (bvadd (bvadd (bvadd ?v_13 (bvmul (bvneg (_ bv19 32)) ?y3)) (bvmul (bvneg (_ bv15 32)) ?y2)) (bvmul (bvneg (_ bv99 32)) x1)) (_ bv81 32))) (= (bvadd (bvadd (bvmul (bvneg (_ bv69 32)) ?y4) (bvmul (bvneg (_ bv22 32)) ?y2)) (bvmul (_ bv19 32) x1)) (_ bv0 32))) (and (not (= (bvadd (bvadd (bvadd (bvmul (_ bv51 32) ?y4) (bvmul (bvneg (_ bv83 32)) ?y3)) (bvmul (_ bv94 32) ?y2)) (bvmul (_ bv75 32) x1)) (_ bv63 32))) (bvsle (bvadd (bvmul (_ bv54 32) ?y4) (bvmul (bvneg (_ bv83 32)) ?y2)) (bvneg (_ bv76 32))))) (and (and (bvslt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv64 32)) ?y4) (bvmul (_ bv68 32) ?y3)) (bvmul (_ bv51 32) ?y2)) ?v_14) (_ bv0 32)) (bvsle (bvadd (bvadd ?v_15 (bvmul (bvneg (_ bv8 32)) ?y3)) (bvmul (bvneg (_ bv59 32)) ?y2)) (_ bv2 32))) (or (bvsge (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv59 32)) ?y4) (bvmul (_ bv33 32) ?y3)) (bvmul (bvneg (_ bv20 32)) ?y2)) (bvmul (_ bv11 32) x1)) (bvneg (_ bv20 32))) (bvsge (bvadd (bvadd (bvadd ?v_15 (bvmul (bvneg (_ bv11 32)) ?y3)) (bvmul (_ bv49 32) ?y2)) ?v_16) (_ bv28 32))))))))))) (exists ((?y2 (_ BitVec 32))) (let ((?v_17 (bvmul (_ bv74 32) x1))) (or (or (or (and (or (exists ((?y4 (_ BitVec 32))) (or (bvsgt (bvadd (bvmul (bvneg (_ bv75 32)) ?y4) (bvmul (bvneg (_ bv79 32)) x1)) (_ bv0 32)) (bvsgt (bvadd (bvmul (bvneg (_ bv34 32)) ?y4) (bvmul (bvneg (_ bv75 32)) x1)) (_ bv66 32)))) (or (and (bvslt (bvmul (bvneg (_ bv8 32)) ?y2) (_ bv0 32)) (exists ((?y3 (_ BitVec 32))) (= (bvadd (bvadd (bvmul (bvneg (_ bv44 32)) ?y3) (bvmul (bvneg (_ bv17 32)) ?y2)) (bvmul (_ bv34 32) x1)) (_ bv0 32)))) (bvslt (bvadd (bvmul (bvneg (_ bv38 32)) ?y2) ?v_17) (_ bv46 32)))) (and (and (or (= (bvmul (bvneg (_ bv67 32)) x1) (_ bv0 32)) (bvsge (bvadd (bvmul (_ bv15 32) ?y2) ?v_17) (bvneg (_ bv59 32)))) (and (bvsgt (bvadd (bvmul (_ bv42 32) ?y2) (bvmul (bvneg (_ bv58 32)) x1)) (_ bv3 32)) (= (bvmul (bvneg (_ bv2 32)) ?y2) (bvneg (_ bv97 32))))) (or (= (bvadd (bvmul (_ bv97 32) ?y2) (bvmul (bvneg (_ bv2 32)) x1)) (bvneg (_ bv90 32))) (bvsge (bvadd (bvmul (bvneg (_ bv23 32)) ?y2) (bvmul (bvneg (_ bv66 32)) x1)) (bvneg (_ bv8 32)))))) (exists ((?y3 (_ BitVec 32))) (forall ((?y4 (_ BitVec 32))) (bvsgt (bvadd (bvmul (bvneg (_ bv49 32)) ?y3) (bvmul (bvneg (_ bv26 32)) ?y2)) (_ bv0 32))))) (exists ((?y3 (_ BitVec 32))) (let ((?v_18 (bvmul (_ bv53 32) ?y2))) (or (or (and (= (bvadd (bvmul (_ bv34 32) ?y2) (bvmul (bvneg (_ bv5 32)) x1)) (_ bv69 32)) (and (= (bvadd (bvmul (_ bv98 32) ?y3) ?v_18) (_ bv0 32)) (= ?v_18 (_ bv0 32)))) (or (and (= (bvadd (bvadd (bvmul (bvneg (_ bv26 32)) ?y3) (bvmul (bvneg (_ bv25 32)) ?y2)) (bvmul (bvneg (_ bv21 32)) x1)) (_ bv71 32)) (= (bvadd (bvadd (bvmul (_ bv80 32) ?y3) (bvmul (bvneg (_ bv44 32)) ?y2)) (bvmul (_ bv93 32) x1)) (_ bv0 32))) (and (not (= (bvadd (bvmul (_ bv40 32) ?y3) (bvmul (bvneg (_ bv10 32)) ?y2)) (_ bv0 32))) (not (= (bvadd (bvadd (bvmul (_ bv19 32) ?y3) (bvmul (_ bv85 32) ?y2)) (bvmul (bvneg (_ bv69 32)) x1)) (_ bv96 32)))))) (and (exists ((?y4 (_ BitVec 32))) (or (or (bvslt (bvadd (bvadd (bvadd (bvmul (_ bv92 32) ?y4) (bvmul (_ bv64 32) ?y3)) (bvmul (_ bv94 32) ?y2)) (bvmul (bvneg (_ bv6 32)) x1)) (bvneg (_ bv8 32))) (bvslt (bvadd (bvadd (bvadd (bvmul (_ bv59 32) ?y4) (bvmul (_ bv2 32) ?y3)) (bvmul (_ bv11 32) ?y2)) (bvmul (_ bv83 32) x1)) (bvneg (_ bv68 32)))) (or (bvslt (bvadd (bvadd (bvadd (bvmul (_ bv19 32) ?y4) (bvmul (_ bv94 32) ?y3)) (bvmul (bvneg (_ bv60 32)) ?y2)) (bvmul (_ bv49 32) x1)) (bvneg (_ bv8 32))) (= (bvadd (bvadd (bvmul (bvneg (_ bv48 32)) ?y4) (bvmul (_ bv97 32) ?y3)) (bvmul (bvneg (_ bv42 32)) x1)) (bvneg (_ bv60 32)))))) (forall ((?y4 (_ BitVec 32))) (or (or (bvsgt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv52 32)) ?y4) (bvmul (_ bv63 32) ?y3)) (bvmul (_ bv100 32) ?y2)) (bvmul (_ bv41 32) x1)) (_ bv89 32)) (bvsle (bvadd (bvadd (bvadd (bvmul (_ bv82 32) ?y4) (bvmul (bvneg (_ bv31 32)) ?y3)) (bvmul (_ bv3 32) ?y2)) (bvmul (_ bv79 32) x1)) (_ bv0 32))) (= (bvadd (bvadd (bvmul (_ bv90 32) ?y4) (bvmul (_ bv52 32) ?y3)) (bvmul (bvneg (_ bv60 32)) x1)) (_ bv86 32))))))))) (and (forall ((?y3 (_ BitVec 32))) (exists ((?y4 (_ BitVec 32))) (and (or (or (and (bvslt (bvadd (bvadd (bvadd (bvmul (_ bv20 32) ?y4) (bvmul (_ bv86 32) ?y3)) (bvmul (bvneg (_ bv20 32)) ?y2)) (bvmul (_ bv75 32) x1)) (_ bv28 32)) (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv96 32)) ?y4) (bvmul (_ bv5 32) ?y3)) (bvmul (bvneg (_ bv34 32)) ?y2)) (_ bv25 32))) (or (bvsge (bvmul (bvneg (_ bv12 32)) ?y4) (_ bv88 32)) (bvsgt (bvadd (bvmul (_ bv89 32) ?y3) (bvmul (bvneg (_ bv18 32)) x1)) (_ bv26 32)))) (or (or (bvslt (bvmul (bvneg (_ bv49 32)) x1) (bvneg (_ bv35 32))) (not (= (bvadd (bvmul (bvneg (_ bv23 32)) ?y2) (bvmul (_ bv61 32) x1)) (bvneg (_ bv40 32))))) (or (= (bvadd (bvadd (bvmul (bvneg (_ bv14 32)) ?y3) (bvmul (_ bv36 32) ?y2)) (bvmul (bvneg (_ bv94 32)) x1)) (bvneg (_ bv45 32))) (not (= (bvadd (bvmul (bvneg (_ bv51 32)) ?y2) (bvmul (bvneg (_ bv23 32)) x1)) (_ bv68 32)))))) (bvsle (bvadd (bvadd (bvmul (_ bv43 32) ?y3) (bvmul (_ bv70 32) ?y2)) (bvmul (_ bv17 32) x1)) (_ bv0 32))))) (forall ((?y3 (_ BitVec 32))) (or (or (and (and (bvsge (bvadd (bvmul (bvneg (_ bv36 32)) ?y3) (bvmul (_ bv26 32) ?y2)) (bvneg (_ bv53 32))) (not (= (bvmul (_ bv93 32) ?y2) (_ bv42 32)))) (or (bvsgt (bvadd (bvmul (_ bv4 32) ?y2) (bvmul (_ bv80 32) x1)) (bvneg (_ bv48 32))) (not (= (bvadd (bvmul (bvneg (_ bv69 32)) ?y3) (bvmul (_ bv76 32) ?y2)) (_ bv30 32))))) (or (or (bvsle (bvmul (_ bv48 32) x1) (bvneg (_ bv16 32))) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv8 32)) ?y3) (bvmul (_ bv39 32) ?y2)) (bvmul (_ bv96 32) x1)) (bvneg (_ bv13 32)))) (or (bvsge (bvmul (_ bv56 32) x1) (_ bv67 32)) (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv21 32)) ?y3) (bvmul (bvneg (_ bv40 32)) ?y2)) (bvmul (_ bv85 32) x1)) (_ bv0 32))))) (and (and (and (bvsle (bvadd (bvmul (bvneg (_ bv1 32)) ?y3) (bvmul (bvneg (_ bv57 32)) ?y2)) (bvneg (_ bv4 32))) (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv95 32)) ?y3) (bvmul (_ bv62 32) ?y2)) (bvmul (bvneg (_ bv18 32)) x1)) (_ bv21 32))) (and (bvslt (bvadd (bvadd (bvmul (_ bv63 32) ?y3) (bvmul (_ bv13 32) ?y2)) (bvmul (bvneg (_ bv5 32)) x1)) (_ bv0 32)) (= (bvadd (bvadd (bvmul (_ bv90 32) ?y3) (bvmul (bvneg (_ bv63 32)) ?y2)) (bvmul (bvneg (_ bv30 32)) x1)) (_ bv0 32)))) (and (not (= (bvadd (bvadd (bvmul (bvneg (_ bv48 32)) ?y3) (bvmul (_ bv56 32) ?y2)) (bvmul (bvneg (_ bv22 32)) x1)) (_ bv0 32))) (= (bvadd (bvadd (bvmul (_ bv86 32) ?y3) (bvmul (_ bv34 32) ?y2)) (bvmul (bvneg (_ bv57 32)) x1)) (_ bv81 32)))))))))))))
(check-sat)
(exit)
