(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(declare-fun y2 () (_ BitVec 32))
(declare-fun y3 () (_ BitVec 32))
(declare-fun y4 () (_ BitVec 32))
(declare-fun x1 () (_ BitVec 32))
(declare-fun y1 () (_ BitVec 32))
(assert (or (forall ((?y2 (_ BitVec 32))) (exists ((?y3 (_ BitVec 32))) (forall ((?y4 (_ BitVec 32))) (let ((?v_0 (bvmul (_ bv63 32) ?y4)) (?v_2 (bvmul (_ bv11 32) ?y2)) (?v_6 (bvmul (_ bv61 32) ?y3)) (?v_10 (bvmul (_ bv100 32) ?y3)) (?v_20 (bvmul (_ bv82 32) ?y3)) (?v_23 (bvmul (_ bv19 32) x1)) (?v_14 (bvmul (_ bv61 32) ?y2)) (?v_8 (bvmul (_ bv66 32) ?y3)) (?v_15 (bvmul (_ bv33 32) ?y3)) (?v_22 (bvmul (bvneg (_ bv71 32)) ?y4)) (?v_13 (bvmul (bvneg (_ bv68 32)) ?y4)) (?v_4 (bvmul (bvneg (_ bv67 32)) ?y2)) (?v_3 (bvmul (bvneg (_ bv88 32)) ?y2)) (?v_1 (bvmul (bvneg (_ bv96 32)) ?y3)) (?v_9 (bvmul (bvneg (_ bv42 32)) ?y4)) (?v_5 (bvmul (bvneg (_ bv18 32)) ?y4)) (?v_25 (bvmul (bvneg (_ bv20 32)) ?y4)) (?v_19 (bvmul (bvneg (_ bv1 32)) ?y3)) (?v_11 (bvmul (bvneg (_ bv37 32)) x1)) (?v_7 (bvmul (bvneg (_ bv60 32)) ?y4)) (?v_17 (bvmul (bvneg (_ bv70 32)) x1)) (?v_12 (bvmul (bvneg (_ bv43 32)) ?y4)) (?v_16 (bvmul (bvneg (_ bv51 32)) x1)) (?v_24 (bvmul (bvneg (_ bv19 32)) ?y3)) (?v_18 (bvmul (bvneg (_ bv2 32)) ?y2)) (?v_21 (bvmul (bvneg (_ bv47 32)) ?y2))) (or (and (and (or (and (or (bvsge (bvadd (bvadd (bvadd ?v_22 (bvmul (bvneg (_ bv57 32)) ?y3)) (bvmul (bvneg (_ bv71 32)) ?y2)) (bvmul (_ bv92 32) x1)) (bvneg (_ bv47 32))) (bvsle (bvmul (bvneg (_ bv51 32)) ?y2) (_ bv83 32))) (and (bvsgt (bvadd (bvadd (bvadd ?v_0 (bvmul (_ bv93 32) ?y3)) (bvmul (bvneg (_ bv26 32)) ?y2)) (bvmul (_ bv97 32) x1)) (_ bv18 32)) (= (bvadd (bvadd (bvmul (_ bv73 32) ?y4) (bvmul (_ bv86 32) ?y3)) (bvmul (bvneg (_ bv44 32)) ?y2)) (_ bv95 32)))) (and (or (= (bvadd ?v_13 ?v_4) (_ bv0 32)) (not (= (bvadd (bvadd (bvmul (_ bv62 32) ?y4) ?v_2) (bvmul (bvneg (_ bv82 32)) x1)) (_ bv75 32)))) (bvsge (bvadd ?v_0 (bvmul (_ bv29 32) ?y2)) (_ bv22 32)))) (or (and (or (bvsge (bvadd (bvmul (_ bv72 32) ?y3) (bvmul (bvneg (_ bv69 32)) ?y2)) (bvneg (_ bv44 32))) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv11 32)) ?y4) (bvmul (_ bv75 32) ?y3)) (bvmul (bvneg (_ bv12 32)) x1)) (bvneg (_ bv97 32)))) (and (not (= (bvadd (bvadd (bvmul (bvneg (_ bv90 32)) ?y4) ?v_6) ?v_3) (bvneg (_ bv51 32)))) (= (bvadd (bvadd (bvadd (bvmul (_ bv65 32) ?y4) ?v_1) (bvmul (_ bv64 32) ?y2)) (bvmul (bvneg (_ bv61 32)) x1)) (_ bv0 32)))) (and (not (= (bvadd (bvadd (bvmul (bvneg (_ bv94 32)) ?y4) (bvmul (bvneg (_ bv37 32)) ?y2)) (bvmul (_ bv12 32) x1)) (_ bv0 32))) (bvsgt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv93 32)) ?y4) ?v_1) (bvmul (_ bv95 32) ?y2)) (bvmul (_ bv11 32) x1)) (bvneg (_ bv70 32)))))) (and (or (or (or (and (not (= (bvadd (bvadd (bvmul (bvneg (_ bv78 32)) ?y4) (bvmul (bvneg (_ bv32 32)) ?y3)) (bvmul (_ bv55 32) x1)) (bvneg (_ bv85 32)))) (not (= (bvadd (bvadd ?v_9 ?v_2) (bvmul (bvneg (_ bv66 32)) x1)) (_ bv0 32)))) (bvsle (bvadd (bvadd (bvmul (_ bv45 32) ?y4) (bvmul (bvneg (_ bv59 32)) ?y3)) (bvmul (_ bv66 32) x1)) (bvneg (_ bv88 32)))) (or (or (not (= (bvadd (bvadd ?v_5 (bvmul (_ bv8 32) ?y3)) (bvmul (bvneg (_ bv94 32)) ?y2)) (_ bv0 32))) (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv51 32)) ?y4) (bvmul (bvneg (_ bv13 32)) ?y2)) (bvmul (bvneg (_ bv100 32)) x1)) (_ bv0 32))) (and (not (= (bvadd (bvadd (bvadd ?v_25 (bvmul (bvneg (_ bv22 32)) ?y3)) ?v_3) (bvmul (_ bv46 32) x1)) (_ bv77 32))) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv12 32)) ?y4) (bvmul (_ bv17 32) ?y2)) (bvmul (_ bv15 32) x1)) (_ bv0 32))))) (and (and (= (bvadd (bvadd (bvmul (_ bv19 32) ?y3) ?v_4) (bvmul (bvneg (_ bv60 32)) x1)) (_ bv5 32)) (bvsle (bvadd (bvadd (bvadd (bvmul (_ bv82 32) ?y4) ?v_19) (bvmul (_ bv25 32) ?y2)) (bvmul (_ bv44 32) x1)) (_ bv65 32))) (or (bvsgt (bvadd (bvadd (bvadd ?v_5 ?v_6) (bvmul (_ bv8 32) ?y2)) ?v_11) (_ bv0 32)) (bvsge (bvadd (bvadd (bvadd ?v_7 ?v_10) (bvmul (_ bv7 32) ?y2)) ?v_17) (bvneg (_ bv20 32)))))) (and (or (or (not (= (bvadd (bvadd (bvmul (bvneg (_ bv76 32)) ?y4) (bvmul (bvneg (_ bv7 32)) ?y2)) (bvmul (_ bv51 32) x1)) (bvneg (_ bv42 32)))) (and (= (bvadd (bvadd (bvmul (bvneg (_ bv9 32)) ?y4) ?v_20) (bvmul (bvneg (_ bv84 32)) ?y2)) (_ bv36 32)) (bvsgt (bvadd (bvadd ?v_7 (bvmul (_ bv87 32) ?y3)) ?v_23) (bvneg (_ bv40 32))))) (and (or (bvsle (bvadd (bvmul (_ bv79 32) ?y3) (bvmul (bvneg (_ bv55 32)) ?y2)) (_ bv0 32)) (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv45 32)) ?y4) (bvmul (_ bv53 32) ?y3)) ?v_14) (bvmul (_ bv27 32) x1)) (bvneg (_ bv63 32)))) (and (bvslt (bvadd (bvadd (bvmul (_ bv80 32) ?y4) (bvmul (bvneg (_ bv9 32)) ?y3)) (bvmul (_ bv83 32) x1)) (_ bv70 32)) (bvsle (bvadd ?v_12 ?v_8) (_ bv81 32))))) (or (bvslt (bvadd (bvadd ?v_5 ?v_8) (bvmul (bvneg (_ bv43 32)) x1)) (bvneg (_ bv56 32))) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv63 32)) ?y4) (bvmul (_ bv14 32) ?y3)) (bvmul (bvneg (_ bv33 32)) x1)) (_ bv0 32)))))) (or (or (and (or (or (or (bvsgt (bvadd (bvadd (bvadd ?v_9 ?v_10) (bvmul (bvneg (_ bv61 32)) ?y2)) (bvmul (_ bv30 32) x1)) (bvneg (_ bv43 32))) (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv34 32)) ?y4) (bvmul (bvneg (_ bv37 32)) ?y3)) (bvmul (_ bv31 32) ?y2)) (bvmul (_ bv16 32) x1)) (bvneg (_ bv9 32)))) (and (= (bvadd (bvadd (bvmul (bvneg (_ bv22 32)) ?y4) (bvmul (_ bv58 32) ?y3)) (bvmul (_ bv32 32) ?y2)) (bvneg (_ bv72 32))) (bvsge (bvadd (bvadd (bvadd (bvmul (_ bv13 32) ?y4) (bvmul (_ bv69 32) ?y3)) (bvmul (_ bv44 32) ?y2)) ?v_11) (_ bv0 32)))) (and (and (bvslt (bvadd (bvadd (bvadd ?v_9 (bvmul (_ bv41 32) ?y3)) (bvmul (_ bv84 32) ?y2)) (bvmul (bvneg (_ bv83 32)) x1)) (bvneg (_ bv44 32))) (bvslt (bvadd (bvmul (bvneg (_ bv37 32)) ?y4) (bvmul (_ bv50 32) ?y2)) (bvneg (_ bv5 32)))) (bvsgt (bvadd (bvadd ?v_12 (bvmul (_ bv6 32) ?y2)) (bvmul (_ bv39 32) x1)) (bvneg (_ bv15 32))))) (and (and (bvsge (bvadd ?v_13 (bvmul (_ bv14 32) ?y2)) (bvneg (_ bv74 32))) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv36 32)) ?y4) ?v_6) (bvmul (_ bv35 32) x1)) (bvneg (_ bv7 32)))) (and (bvsle (bvadd (bvadd (bvadd (bvmul (_ bv1 32) ?y4) ?v_15) (bvmul (bvneg (_ bv59 32)) ?y2)) ?v_16) (_ bv92 32)) (bvslt (bvadd (bvadd (bvadd (bvmul (_ bv5 32) ?y4) (bvmul (bvneg (_ bv76 32)) ?y3)) (bvmul (bvneg (_ bv52 32)) ?y2)) (bvmul (bvneg (_ bv19 32)) x1)) (bvneg (_ bv26 32)))))) (and (bvslt (bvadd (bvadd (bvadd (bvmul (_ bv85 32) ?y4) (bvmul (_ bv16 32) ?y3)) ?v_14) (bvmul (bvneg (_ bv65 32)) x1)) (bvneg (_ bv86 32))) (and (bvslt (bvadd (bvadd ?v_15 (bvmul (_ bv71 32) ?y2)) (bvmul (_ bv70 32) x1)) (bvneg (_ bv44 32))) (bvsge (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv28 32)) ?y4) ?v_24) ?v_18) (bvmul (_ bv78 32) x1)) (_ bv0 32))))) (or (and (or (and (or (bvslt (bvadd (bvmul (bvneg (_ bv81 32)) ?y3) ?v_16) (bvneg (_ bv86 32))) (bvsge (bvadd (bvmul (_ bv56 32) ?y3) ?v_17) (_ bv0 32))) (or (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv73 32)) ?y4) ?v_18) (bvmul (bvneg (_ bv10 32)) x1)) (bvneg (_ bv17 32))) (bvsge (bvadd (bvadd (bvmul (_ bv79 32) ?y4) (bvmul (bvneg (_ bv6 32)) ?y3)) (bvmul (_ bv98 32) x1)) (bvneg (_ bv65 32))))) (or (or (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv80 32)) ?y4) (bvmul (bvneg (_ bv98 32)) ?y2)) (bvmul (_ bv17 32) x1)) (_ bv40 32)) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv83 32)) ?y4) (bvmul (_ bv48 32) ?y3)) ?v_21) (_ bv93 32))) (and (bvsge ?v_19 (bvneg (_ bv41 32))) (bvsge (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv30 32)) ?y4) ?v_20) ?v_21) (bvmul (bvneg (_ bv75 32)) x1)) (_ bv10 32))))) (and (or (bvsle (bvadd ?v_22 ?v_23) (bvneg (_ bv45 32))) (or (bvslt (bvadd (bvadd (bvmul (_ bv42 32) ?y4) (bvmul (_ bv50 32) ?y3)) (bvmul (bvneg (_ bv84 32)) x1)) (_ bv88 32)) (= (bvadd (bvadd (bvadd (bvmul (_ bv23 32) ?y4) (bvmul (_ bv22 32) ?y3)) (bvmul (bvneg (_ bv33 32)) ?y2)) ?v_17) (bvneg (_ bv21 32))))) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv91 32)) ?y4) (bvmul (_ bv84 32) ?y3)) (bvmul (bvneg (_ bv57 32)) ?y2)) (_ bv0 32)))) (or (and (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv1 32)) ?y4) (bvmul (_ bv75 32) ?y2)) (bvmul (bvneg (_ bv79 32)) x1)) (_ bv59 32)) (bvsgt (bvadd (bvmul (_ bv10 32) ?y4) ?v_24) (bvneg (_ bv76 32)))) (or (and (or (bvsge (bvadd (bvmul (_ bv31 32) ?y3) (bvmul (bvneg (_ bv62 32)) x1)) (_ bv0 32)) (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv15 32)) ?y4) (bvmul (_ bv70 32) ?y2)) (bvmul (_ bv62 32) x1)) (_ bv65 32))) (or (= (bvadd (bvmul (_ bv68 32) ?y3) (bvmul (bvneg (_ bv6 32)) x1)) (_ bv0 32)) (not (= (bvadd (bvmul (_ bv38 32) ?y4) (bvmul (bvneg (_ bv40 32)) ?y2)) (_ bv0 32))))) (or (and (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv79 32)) ?y4) (bvmul (_ bv2 32) ?y2)) (bvmul (_ bv18 32) x1)) (bvneg (_ bv1 32))) (= (bvadd (bvadd (bvmul (_ bv60 32) ?y4) (bvmul (bvneg (_ bv75 32)) ?y3)) ?v_18) (_ bv66 32))) (or (not (= (bvadd (bvadd (bvadd ?v_25 (bvmul (bvneg (_ bv93 32)) ?y3)) (bvmul (bvneg (_ bv11 32)) ?y2)) (bvmul (_ bv58 32) x1)) (_ bv59 32))) (bvslt (bvadd (bvmul (bvneg (_ bv95 32)) ?y4) (bvmul (bvneg (_ bv21 32)) ?y3)) (bvneg (_ bv35 32)))))))))))))) (forall ((?y1 (_ BitVec 32))) (exists ((?y3 (_ BitVec 32))) (and (or (exists ((?y4 (_ BitVec 32))) (let ((?v_26 (bvmul (_ bv40 32) ?y1))) (and (or (or (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv3 32)) ?y4) (bvmul (_ bv49 32) ?y3)) (bvmul (_ bv86 32) x1)) (bvneg (_ bv31 32))) (not (= (bvadd (bvmul (bvneg (_ bv55 32)) ?y4) (bvmul (bvneg (_ bv5 32)) ?y3)) (_ bv0 32)))) (or (or (and (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv12 32)) ?y4) (bvmul (_ bv42 32) ?y1)) (bvmul (bvneg (_ bv93 32)) x1)) (_ bv0 32)) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv88 32)) ?y3) (bvmul (bvneg (_ bv11 32)) ?y1)) (bvmul (bvneg (_ bv75 32)) x1)) (_ bv0 32))) (or (bvslt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv59 32)) ?y4) (bvmul (_ bv84 32) ?y3)) ?v_26) (bvmul (_ bv94 32) x1)) (_ bv22 32)) (bvslt (bvadd (bvmul (_ bv94 32) ?y4) (bvmul (_ bv83 32) ?y3)) (_ bv22 32)))) (or (bvslt (bvadd (bvadd (bvmul (_ bv36 32) ?y4) (bvmul (_ bv32 32) ?y1)) (bvmul (_ bv72 32) x1)) (_ bv0 32)) (bvsle (bvadd (bvadd (bvmul (_ bv52 32) ?y4) (bvmul (bvneg (_ bv52 32)) ?y3)) (bvmul (_ bv74 32) ?y1)) (_ bv35 32))))) (or (and (bvsle (bvadd (bvadd (bvmul (_ bv57 32) ?y4) (bvmul (_ bv12 32) ?y3)) (bvmul (bvneg (_ bv58 32)) ?y1)) (_ bv0 32)) (not (= (bvadd (bvadd (bvmul (_ bv58 32) ?y4) (bvmul (bvneg (_ bv91 32)) ?y1)) (bvmul (_ bv40 32) x1)) (bvneg (_ bv70 32))))) (or (bvslt (bvadd (bvmul (_ bv43 32) ?y4) ?v_26) (_ bv61 32)) (bvsgt (bvadd (bvmul (bvneg (_ bv9 32)) ?y1) (bvmul (_ bv8 32) x1)) (_ bv68 32))))))) (exists ((?y4 (_ BitVec 32))) (let ((?v_27 (bvmul (_ bv30 32) ?y3)) (?v_30 (bvmul (_ bv6 32) ?y3)) (?v_29 (bvmul (bvneg (_ bv79 32)) ?y1)) (?v_28 (bvmul (bvneg (_ bv31 32)) ?y4))) (or (and (and (and (not (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv83 32)) ?y4) (bvmul (bvneg (_ bv60 32)) ?y3)) (bvmul (bvneg (_ bv1 32)) ?y1)) (bvmul (bvneg (_ bv32 32)) x1)) (_ bv69 32))) (and (bvsle (bvadd (bvmul (bvneg (_ bv39 32)) ?y3) ?v_29) (_ bv0 32)) (bvsgt (bvadd (bvadd (bvadd (bvmul (_ bv11 32) ?y4) (bvmul (bvneg (_ bv46 32)) ?y3)) (bvmul (bvneg (_ bv50 32)) ?y1)) (bvmul (_ bv94 32) x1)) (_ bv5 32)))) (or (bvslt (bvadd (bvadd (bvmul (_ bv35 32) ?y4) (bvmul (bvneg (_ bv49 32)) ?y1)) (bvmul (bvneg (_ bv11 32)) x1)) (_ bv0 32)) (or (not (= (bvadd (bvadd (bvadd ?v_28 (bvmul (_ bv22 32) ?y3)) (bvmul (_ bv48 32) ?y1)) (bvmul (_ bv47 32) x1)) (_ bv0 32))) (not (= (bvmul (_ bv91 32) x1) (_ bv50 32)))))) (and (or (and (bvsge (bvadd ?v_27 (bvmul (bvneg (_ bv26 32)) ?y1)) (_ bv0 32)) (bvsle (bvadd (bvadd (bvadd (bvmul (_ bv34 32) ?y4) (bvmul (bvneg (_ bv41 32)) ?y3)) (bvmul (bvneg (_ bv58 32)) ?y1)) (bvmul (_ bv3 32) x1)) (_ bv0 32))) (or (bvslt (bvadd (bvmul (bvneg (_ bv81 32)) ?y4) (bvmul (_ bv39 32) ?y1)) (_ bv55 32)) (bvslt (bvadd (bvadd (bvadd (bvmul (_ bv21 32) ?y4) (bvmul (bvneg (_ bv69 32)) ?y3)) (bvmul (_ bv53 32) ?y1)) (bvmul (_ bv84 32) x1)) (bvneg (_ bv38 32))))) (and (= (bvadd (bvadd (bvmul (bvneg (_ bv45 32)) ?y3) (bvmul (_ bv82 32) ?y1)) (bvmul (bvneg (_ bv94 32)) x1)) (_ bv0 32)) (bvslt (bvadd (bvadd (bvadd (bvmul (_ bv38 32) ?y4) ?v_27) (bvmul (_ bv26 32) ?y1)) (bvmul (bvneg (_ bv70 32)) x1)) (_ bv0 32))))) (and (and (and (not (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv21 32)) ?y4) (bvmul (bvneg (_ bv8 32)) ?y3)) (bvmul (_ bv61 32) ?y1)) (bvmul (_ bv33 32) x1)) (bvneg (_ bv27 32)))) (bvsge (bvadd (bvadd ?v_28 (bvmul (_ bv55 32) ?y3)) (bvmul (bvneg (_ bv54 32)) x1)) (bvneg (_ bv47 32)))) (and (bvsgt (bvadd (bvadd (bvmul (_ bv47 32) ?y4) (bvmul (_ bv92 32) ?y1)) (bvmul (_ bv25 32) x1)) (bvneg (_ bv60 32))) (bvsgt (bvadd ?v_30 ?v_29) (_ bv60 32)))) (or (or (bvsge (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv61 32)) ?y4) ?v_30) (bvmul (_ bv46 32) ?y1)) (bvmul (bvneg (_ bv10 32)) x1)) (bvneg (_ bv86 32))) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv69 32)) ?y4) (bvmul (_ bv89 32) ?y1)) (bvmul (_ bv18 32) x1)) (bvneg (_ bv1 32)))) (or (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv66 32)) ?y3) (bvmul (bvneg (_ bv51 32)) ?y1)) (bvmul (_ bv24 32) x1)) (bvneg (_ bv68 32))) (bvslt (bvadd (bvadd (bvadd (bvmul (_ bv85 32) ?y4) (bvmul (_ bv51 32) ?y3)) (bvmul (bvneg (_ bv91 32)) ?y1)) (bvmul (_ bv81 32) x1)) (_ bv0 32))))))))) (exists ((?y4 (_ BitVec 32))) (let ((?v_32 (bvmul (_ bv54 32) ?y1)) (?v_33 (bvmul (_ bv12 32) ?y4)) (?v_36 (bvmul (bvneg (_ bv79 32)) ?y1)) (?v_35 (bvmul (bvneg (_ bv73 32)) ?y4)) (?v_31 (bvmul (bvneg (_ bv68 32)) x1)) (?v_34 (bvmul (bvneg (_ bv8 32)) ?y1))) (or (and (or (or (bvslt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv50 32)) ?y4) (bvmul (_ bv99 32) ?y3)) (bvmul (bvneg (_ bv87 32)) ?y1)) (bvmul (bvneg (_ bv59 32)) x1)) (_ bv67 32)) (bvsge (bvadd (bvadd (bvmul (_ bv96 32) ?y4) (bvmul (bvneg (_ bv82 32)) ?y1)) (bvmul (bvneg (_ bv39 32)) x1)) (_ bv0 32))) (and (bvsge (bvadd ?v_35 (bvmul (bvneg (_ bv89 32)) x1)) (bvneg (_ bv74 32))) (= (bvadd (bvadd (bvmul (_ bv53 32) ?y4) (bvmul (bvneg (_ bv57 32)) ?y3)) ?v_32) (bvneg (_ bv39 32))))) (and (and (or (not (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv48 32)) ?y4) (bvmul (bvneg (_ bv69 32)) ?y3)) (bvmul (_ bv30 32) ?y1)) (bvmul (_ bv27 32) x1)) (bvneg (_ bv60 32)))) (= (bvadd (bvmul (_ bv61 32) ?y3) (bvmul (bvneg (_ bv44 32)) x1)) (_ bv0 32))) (and (bvsle (bvadd (bvadd (bvmul (_ bv98 32) ?y4) (bvmul (_ bv20 32) ?y3)) ?v_31) (bvneg (_ bv28 32))) (bvsgt (bvadd (bvmul (bvneg (_ bv13 32)) ?y4) (bvmul (_ bv64 32) ?y1)) (bvneg (_ bv39 32))))) (and (and (bvslt (bvadd ?v_36 ?v_31) (_ bv0 32)) (bvsge (bvadd (bvmul (bvneg (_ bv88 32)) ?y1) (bvmul (_ bv15 32) x1)) (bvneg (_ bv44 32)))) (and (bvsgt (bvadd (bvadd (bvmul (_ bv60 32) ?y3) ?v_34) (bvmul (bvneg (_ bv2 32)) x1)) (_ bv0 32)) (bvsgt (bvadd (bvmul (_ bv13 32) ?y4) (bvmul (_ bv89 32) ?y3)) (_ bv90 32)))))) (or (and (or (and (and (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv24 32)) ?y4) (bvmul (_ bv50 32) ?y3)) (bvmul (bvneg (_ bv20 32)) ?y1)) (bvmul (_ bv81 32) x1)) (_ bv0 32)) (bvslt (bvmul (bvneg (_ bv75 32)) ?y3) (_ bv85 32))) (or (not (= (bvadd (bvadd ?v_33 (bvmul (bvneg (_ bv41 32)) ?y1)) (bvmul (bvneg (_ bv90 32)) x1)) (_ bv0 32))) (bvsgt (bvadd (bvadd (bvmul (_ bv38 32) ?y4) (bvmul (bvneg (_ bv94 32)) ?y3)) ?v_32) (_ bv14 32)))) (or (or (not (= (bvadd (bvadd (bvadd (bvmul (_ bv89 32) ?y4) (bvmul (bvneg (_ bv48 32)) ?y3)) (bvmul (bvneg (_ bv45 32)) ?y1)) (bvmul (_ bv43 32) x1)) (_ bv0 32))) (bvsle (bvadd (bvadd (bvadd ?v_33 (bvmul (bvneg (_ bv18 32)) ?y3)) (bvmul (bvneg (_ bv5 32)) ?y1)) (bvmul (_ bv1 32) x1)) (_ bv0 32))) (or (bvslt (bvadd (bvadd (bvmul (_ bv82 32) ?y4) (bvmul (_ bv5 32) ?y3)) ?v_34) (bvneg (_ bv53 32))) (bvsle (bvadd (bvadd (bvadd ?v_35 (bvmul (_ bv72 32) ?y3)) ?v_36) (bvmul (_ bv84 32) x1)) (_ bv0 32))))) (bvsge (bvadd (bvmul (_ bv80 32) ?y4) (bvmul (_ bv80 32) x1)) (_ bv67 32))) (and (and (bvsgt (bvadd (bvmul (bvneg (_ bv56 32)) ?y4) (bvmul (_ bv99 32) x1)) (_ bv32 32)) (or (and (not (= (bvadd (bvadd (bvadd (bvmul (_ bv92 32) ?y4) (bvmul (_ bv32 32) ?y3)) (bvmul (bvneg (_ bv70 32)) ?y1)) (bvmul (bvneg (_ bv16 32)) x1)) (_ bv0 32))) (bvsle (bvadd (bvadd (bvadd (bvmul (_ bv70 32) ?y4) (bvmul (_ bv6 32) ?y3)) (bvmul (bvneg (_ bv83 32)) ?y1)) (bvmul (bvneg (_ bv65 32)) x1)) (bvneg (_ bv93 32)))) (or (bvslt (bvadd (bvadd (bvadd (bvmul (_ bv43 32) ?y4) (bvmul (bvneg (_ bv83 32)) ?y3)) (bvmul (bvneg (_ bv50 32)) ?y1)) (bvmul (bvneg (_ bv19 32)) x1)) (bvneg (_ bv8 32))) (bvslt (bvadd (bvadd (bvadd (bvmul (_ bv7 32) ?y4) (bvmul (bvneg (_ bv34 32)) ?y3)) (bvmul (_ bv75 32) ?y1)) (bvmul (bvneg (_ bv83 32)) x1)) (_ bv4 32))))) (or (or (or (= (bvadd (bvmul (_ bv92 32) ?y3) (bvmul (_ bv62 32) x1)) (bvneg (_ bv18 32))) (= (bvadd (bvadd (bvmul (_ bv47 32) ?y3) (bvmul (_ bv94 32) ?y1)) (bvmul (bvneg (_ bv52 32)) x1)) (_ bv60 32))) (= (bvadd (bvadd (bvmul (bvneg (_ bv44 32)) ?y4) (bvmul (_ bv82 32) ?y3)) (bvmul (bvneg (_ bv37 32)) x1)) (_ bv0 32))) (or (and (bvsge (bvadd (bvmul (_ bv99 32) ?y1) (bvmul (bvneg (_ bv21 32)) x1)) (_ bv1 32)) (bvsgt (bvadd (bvadd (bvmul (_ bv4 32) ?y4) (bvmul (_ bv75 32) ?y3)) (bvmul (bvneg (_ bv65 32)) ?y1)) (_ bv11 32))) (or (bvsle (bvadd (bvadd (bvadd (bvmul (_ bv97 32) ?y4) (bvmul (_ bv22 32) ?y3)) (bvmul (_ bv6 32) ?y1)) (bvmul (bvneg (_ bv72 32)) x1)) (_ bv0 32)) (bvsge (bvadd (bvadd (bvadd (bvmul (_ bv83 32) ?y4) (bvmul (_ bv96 32) ?y3)) (bvmul (_ bv81 32) ?y1)) (bvmul (_ bv76 32) x1)) (bvneg (_ bv11 32))))))))))))))))
(check-sat)
(exit)
