(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(declare-fun y1 () (_ BitVec 32))
(declare-fun y2 () (_ BitVec 32))
(declare-fun y3 () (_ BitVec 32))
(declare-fun y5 () (_ BitVec 32))
(declare-fun y6 () (_ BitVec 32))
(declare-fun x1 () (_ BitVec 32))
(declare-fun y4 () (_ BitVec 32))
(assert (or (exists ((?y1 (_ BitVec 32))) (forall ((?y2 (_ BitVec 32))) (forall ((?y3 (_ BitVec 32))) (let ((?v_0 (bvmul (_ bv10 32) x1))) (or (forall ((?y5 (_ BitVec 32))) (and (exists ((?y6 (_ BitVec 32))) (let ((?v_1 (bvmul (bvneg (_ bv36 32)) ?y2))) (or (or (or (bvslt (bvadd (bvadd (bvadd (bvadd (bvadd (bvmul (_ bv12 32) ?y6) (bvmul (_ bv24 32) ?y5)) (bvmul (bvneg (_ bv9 32)) ?y3)) ?v_1) (bvmul (bvneg (_ bv26 32)) ?y1)) (bvmul (bvneg (_ bv25 32)) x1)) (_ bv4 32)) (bvsge (bvadd (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv11 32)) ?y5) (bvmul (_ bv94 32) ?y3)) (bvmul (bvneg (_ bv58 32)) ?y2)) (bvmul (_ bv94 32) ?y1)) (bvmul (bvneg (_ bv60 32)) x1)) (_ bv0 32))) (or (bvsge (bvadd (bvadd (bvadd (bvadd (bvadd (bvmul (_ bv22 32) ?y6) (bvmul (_ bv46 32) ?y5)) (bvmul (bvneg (_ bv48 32)) ?y3)) (bvmul (bvneg (_ bv1 32)) ?y2)) (bvmul (_ bv28 32) ?y1)) (bvmul (_ bv67 32) x1)) (_ bv0 32)) (bvsle (bvadd (bvadd (bvadd (bvadd (bvadd (bvmul (_ bv6 32) ?y6) (bvmul (bvneg (_ bv29 32)) ?y5)) (bvmul (_ bv5 32) ?y3)) (bvmul (bvneg (_ bv54 32)) ?y2)) (bvmul (bvneg (_ bv65 32)) ?y1)) (bvmul (_ bv15 32) x1)) (_ bv0 32)))) (and (and (bvsle (bvadd (bvadd (bvadd (bvadd (bvmul (_ bv93 32) ?y6) (bvmul (bvneg (_ bv8 32)) ?y3)) ?v_1) (bvmul (_ bv4 32) ?y1)) (bvmul (_ bv31 32) x1)) (_ bv69 32)) (bvsge (bvadd (bvadd (bvadd (bvadd (bvmul (_ bv41 32) ?y5) (bvmul (_ bv14 32) ?y3)) (bvmul (bvneg (_ bv21 32)) ?y2)) (bvmul (_ bv11 32) ?y1)) (bvmul (bvneg (_ bv14 32)) x1)) (_ bv64 32))) (and (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv98 32)) ?y6) (bvmul (_ bv13 32) ?y5)) (bvmul (_ bv68 32) ?y2)) (bvmul (_ bv90 32) ?y1)) (bvneg (_ bv30 32))) (bvsle (bvadd (bvadd (bvadd (bvmul (_ bv27 32) ?y5) (bvmul (bvneg (_ bv60 32)) ?y3)) (bvmul (_ bv43 32) ?y2)) (bvmul (bvneg (_ bv41 32)) ?y1)) (_ bv6 32))))))) (forall ((?y6 (_ BitVec 32))) (or (bvsle (bvadd (bvadd (bvadd (bvmul (_ bv17 32) ?y5) (bvmul (_ bv47 32) ?y3)) (bvmul (_ bv15 32) ?y2)) (bvmul (bvneg (_ bv62 32)) ?y1)) (_ bv0 32)) (or (or (not (= (bvadd (bvadd (bvadd (bvmul (_ bv62 32) ?y6) (bvmul (bvneg (_ bv83 32)) ?y5)) (bvmul (_ bv37 32) ?y1)) (bvmul (_ bv80 32) x1)) (_ bv0 32))) (not (= (bvadd (bvadd (bvmul (_ bv79 32) ?y6) (bvmul (bvneg (_ bv95 32)) ?y5)) (bvmul (bvneg (_ bv77 32)) x1)) (_ bv0 32)))) (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv35 32)) ?y6) (bvmul (bvneg (_ bv1 32)) ?y5)) (bvmul (bvneg (_ bv62 32)) ?y3)) (bvneg (_ bv29 32)))))))) (or (or (exists ((?y5 (_ BitVec 32))) (and (or (and (= (bvmul (bvneg (_ bv39 32)) ?y1) (bvneg (_ bv36 32))) (bvsle (bvadd (bvadd (bvmul (_ bv16 32) ?y5) (bvmul (_ bv83 32) ?y1)) (bvmul (_ bv30 32) x1)) (_ bv0 32))) (forall ((?y6 (_ BitVec 32))) (bvsle (bvadd (bvadd (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv68 32)) ?y6) (bvmul (bvneg (_ bv60 32)) ?y5)) (bvmul (_ bv17 32) ?y3)) (bvmul (bvneg (_ bv66 32)) ?y2)) (bvmul (bvneg (_ bv90 32)) ?y1)) (bvmul (_ bv9 32) x1)) (_ bv0 32)))) (exists ((?y6 (_ BitVec 32))) (let ((?v_2 (bvmul (_ bv73 32) x1))) (or (bvsle (bvadd (bvadd (bvadd (bvadd (bvadd (bvmul (_ bv83 32) ?y6) (bvmul (_ bv73 32) ?y5)) (bvmul (bvneg (_ bv72 32)) ?y3)) (bvmul (bvneg (_ bv35 32)) ?y2)) (bvmul (_ bv46 32) ?y1)) ?v_2) (_ bv6 32)) (= (bvadd (bvadd (bvadd (bvmul (_ bv59 32) ?y6) (bvmul (bvneg (_ bv55 32)) ?y5)) (bvmul (_ bv3 32) ?y1)) ?v_2) (_ bv42 32))))))) (or (and (exists ((?y5 (_ BitVec 32))) (or (bvsgt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv56 32)) ?y5) (bvmul (_ bv35 32) ?y2)) (bvmul (bvneg (_ bv57 32)) ?y1)) (bvmul (bvneg (_ bv23 32)) x1)) (bvneg (_ bv28 32))) (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv76 32)) ?y5) (bvmul (_ bv40 32) ?y2)) (bvmul (_ bv60 32) ?y1)) (bvmul (bvneg (_ bv54 32)) x1)) (_ bv0 32)))) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv13 32)) ?y3) (bvmul (_ bv79 32) ?y1)) (bvmul (bvneg (_ bv95 32)) x1)) (_ bv0 32))) (or (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv85 32)) ?y3) (bvmul (_ bv56 32) ?y2)) (bvmul (bvneg (_ bv9 32)) ?y1)) (bvmul (_ bv13 32) x1)) (_ bv6 32)) (not (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv82 32)) ?y3) (bvmul (bvneg (_ bv32 32)) ?y2)) (bvmul (_ bv62 32) ?y1)) ?v_0) (_ bv0 32)))))) (and (and (or (or (bvslt (bvadd (bvadd (bvmul (_ bv74 32) ?y3) (bvmul (_ bv18 32) ?y2)) (bvmul (bvneg (_ bv63 32)) x1)) (_ bv0 32)) (exists ((?y5 (_ BitVec 32))) (bvsge (bvadd (bvadd (bvadd (bvadd (bvmul (_ bv58 32) ?y5) (bvmul (bvneg (_ bv70 32)) ?y3)) (bvmul (_ bv42 32) ?y2)) (bvmul (bvneg (_ bv87 32)) ?y1)) (bvmul (bvneg (_ bv75 32)) x1)) (_ bv46 32)))) (forall ((?y4 (_ BitVec 32))) (forall ((?y5 (_ BitVec 32))) (and (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv4 32)) ?y4) (bvmul (bvneg (_ bv1 32)) ?y3)) (bvmul (bvneg (_ bv14 32)) ?y2)) (bvmul (bvneg (_ bv94 32)) ?y1)) (_ bv0 32)) (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv5 32)) ?y5) (bvmul (bvneg (_ bv90 32)) ?y4)) (bvmul (_ bv12 32) ?y2)) (bvmul (_ bv83 32) ?y1)) (_ bv29 32)))))) (and (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv55 32)) ?y3) (bvmul (_ bv16 32) ?y2)) ?v_0) (_ bv49 32)) (bvslt (bvadd (bvadd (bvadd (bvmul (_ bv27 32) ?y3) (bvmul (_ bv45 32) ?y2)) (bvmul (bvneg (_ bv35 32)) ?y1)) (bvmul (_ bv97 32) x1)) (bvneg (_ bv71 32))))) (forall ((?y4 (_ BitVec 32))) (or (and (bvsgt (bvadd (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv91 32)) ?y4) (bvmul (bvneg (_ bv38 32)) ?y3)) (bvmul (_ bv29 32) ?y2)) (bvmul (bvneg (_ bv98 32)) ?y1)) (bvmul (_ bv75 32) x1)) (_ bv48 32)) (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv79 32)) ?y4) (bvmul (_ bv34 32) ?y2)) (bvmul (_ bv75 32) ?y1)) (bvmul (_ bv95 32) x1)) (bvneg (_ bv67 32)))) (forall ((?y6 (_ BitVec 32))) (or (bvsge (bvadd (bvadd (bvadd (bvadd (bvadd (bvmul (_ bv25 32) ?y6) (bvmul (_ bv63 32) ?y4)) (bvmul (_ bv5 32) ?y3)) (bvmul (bvneg (_ bv44 32)) ?y2)) (bvmul (_ bv98 32) ?y1)) (bvmul (bvneg (_ bv4 32)) x1)) (bvneg (_ bv11 32))) (bvsge (bvadd (bvadd (bvadd (bvadd (bvmul (_ bv74 32) ?y6) (bvmul (bvneg (_ bv22 32)) ?y4)) (bvmul (bvneg (_ bv87 32)) ?y3)) (bvmul (_ bv9 32) ?y2)) (bvmul (bvneg (_ bv72 32)) x1)) (bvneg (_ bv11 32)))))))))))))) (or (and (or (or (and (exists ((?y2 (_ BitVec 32))) (exists ((?y3 (_ BitVec 32))) (forall ((?y4 (_ BitVec 32))) (forall ((?y5 (_ BitVec 32))) (exists ((?y6 (_ BitVec 32))) (bvsle (bvadd (bvadd (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv96 32)) ?y6) (bvmul (bvneg (_ bv46 32)) ?y5)) (bvmul (_ bv1 32) ?y4)) (bvmul (bvneg (_ bv75 32)) ?y3)) (bvmul (_ bv81 32) ?y2)) (bvmul (_ bv67 32) x1)) (_ bv0 32))))))) (or (exists ((?y2 (_ BitVec 32))) (and (forall ((?y4 (_ BitVec 32))) (not (= (bvadd (bvmul (bvneg (_ bv56 32)) ?y4) (bvmul (bvneg (_ bv80 32)) x1)) (_ bv42 32)))) (or (exists ((?y3 (_ BitVec 32))) (= (bvadd (bvmul (bvneg (_ bv85 32)) ?y3) (bvmul (_ bv82 32) ?y2)) (_ bv48 32))) (exists ((?y3 (_ BitVec 32))) (bvslt (bvadd (bvmul (_ bv72 32) ?y2) (bvmul (bvneg (_ bv88 32)) x1)) (_ bv34 32)))))) (or (forall ((?y2 (_ BitVec 32))) (and (and (bvslt (bvadd (bvmul (_ bv4 32) ?y2) (bvmul (_ bv79 32) x1)) (_ bv34 32)) (bvsge (bvmul (_ bv47 32) ?y2) (bvneg (_ bv74 32)))) (exists ((?y3 (_ BitVec 32))) (bvsle (bvadd (bvadd (bvmul (_ bv28 32) ?y3) (bvmul (bvneg (_ bv41 32)) ?y2)) (bvmul (bvneg (_ bv84 32)) x1)) (_ bv0 32))))) (or (exists ((?y2 (_ BitVec 32))) (bvslt (bvadd (bvmul (_ bv18 32) ?y2) (bvmul (_ bv28 32) x1)) (_ bv16 32))) (forall ((?y2 (_ BitVec 32))) (or (bvsge (bvadd (bvmul (_ bv98 32) ?y2) (bvmul (_ bv88 32) x1)) (_ bv0 32)) (bvsge (bvmul (bvneg (_ bv91 32)) ?y2) (_ bv0 32)))))))) (and (forall ((?y2 (_ BitVec 32))) (or (forall ((?y3 (_ BitVec 32))) (and (bvslt (bvadd (bvmul (_ bv84 32) ?y3) (bvmul (_ bv33 32) ?y2)) (_ bv0 32)) (= (bvadd (bvmul (_ bv60 32) ?y3) (bvmul (_ bv75 32) ?y2)) (_ bv0 32)))) (and (and (and (bvsle (bvadd (bvmul (_ bv59 32) ?y2) (bvmul (_ bv12 32) x1)) (bvneg (_ bv72 32))) (bvsle (bvmul (_ bv26 32) x1) (_ bv0 32))) (and (bvsgt (bvadd (bvmul (_ bv52 32) ?y2) (bvmul (_ bv8 32) x1)) (_ bv14 32)) (bvsge (bvadd (bvmul (bvneg (_ bv95 32)) ?y2) (bvmul (_ bv4 32) x1)) (_ bv76 32)))) (and (or (bvslt (bvadd (bvmul (_ bv76 32) ?y2) (bvmul (bvneg (_ bv97 32)) x1)) (_ bv97 32)) (not (= (bvadd (bvmul (_ bv55 32) ?y2) (bvmul (_ bv100 32) x1)) (_ bv0 32)))) (exists ((?y3 (_ BitVec 32))) (bvsge (bvadd (bvadd (bvmul (_ bv59 32) ?y3) (bvmul (bvneg (_ bv58 32)) ?y2)) (bvmul (_ bv43 32) x1)) (bvneg (_ bv35 32)))))))) (or (exists ((?y2 (_ BitVec 32))) (forall ((?y3 (_ BitVec 32))) (bvsgt (bvadd (bvmul (_ bv35 32) ?y3) (bvmul (bvneg (_ bv75 32)) x1)) (bvneg (_ bv46 32))))) (forall ((?y2 (_ BitVec 32))) (or (exists ((?y3 (_ BitVec 32))) (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv22 32)) ?y3) (bvmul (bvneg (_ bv22 32)) ?y2)) (bvmul (_ bv96 32) x1)) (_ bv0 32))) (exists ((?y3 (_ BitVec 32))) (and (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv29 32)) ?y3) (bvmul (_ bv36 32) ?y2)) (bvmul (bvneg (_ bv86 32)) x1)) (_ bv0 32)) (not (= (bvadd (bvmul (_ bv91 32) ?y2) (bvmul (_ bv77 32) x1)) (_ bv0 32)))))))))) (forall ((?y2 (_ BitVec 32))) (and (exists ((?y3 (_ BitVec 32))) (exists ((?y4 (_ BitVec 32))) (and (or (and (bvsle (bvadd (bvadd (bvmul (_ bv21 32) ?y3) (bvmul (_ bv30 32) ?y2)) (bvmul (bvneg (_ bv80 32)) x1)) (_ bv45 32)) (= (bvadd (bvadd (bvadd (bvmul (_ bv71 32) ?y4) (bvmul (bvneg (_ bv83 32)) ?y3)) (bvmul (_ bv19 32) ?y2)) (bvmul (_ bv28 32) x1)) (_ bv42 32))) (and (not (= (bvadd (bvadd (bvmul (_ bv11 32) ?y4) (bvmul (bvneg (_ bv99 32)) ?y3)) (bvmul (bvneg (_ bv77 32)) x1)) (_ bv0 32))) (bvsgt (bvadd (bvmul (_ bv65 32) ?y2) (bvmul (bvneg (_ bv61 32)) x1)) (bvneg (_ bv64 32))))) (exists ((?y5 (_ BitVec 32))) (and (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv95 32)) ?y5) (bvmul (_ bv51 32) ?y4)) (bvmul (_ bv73 32) ?y3)) (bvmul (bvneg (_ bv11 32)) x1)) (_ bv57 32)) (not (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv39 32)) ?y5) (bvmul (bvneg (_ bv19 32)) ?y4)) (bvmul (_ bv50 32) ?y3)) (bvmul (_ bv75 32) x1)) (_ bv0 32)))))))) (forall ((?y5 (_ BitVec 32))) (or (bvsle (bvmul (_ bv60 32) x1) (bvneg (_ bv7 32))) (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv57 32)) ?y5) (bvmul (_ bv42 32) ?y2)) (bvmul (_ bv26 32) x1)) (_ bv0 32))))))) (exists ((?y2 (_ BitVec 32))) (exists ((?y3 (_ BitVec 32))) (forall ((?y4 (_ BitVec 32))) (forall ((?y5 (_ BitVec 32))) (or (and (or (not (= (bvadd (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv38 32)) ?y5) (bvmul (_ bv69 32) ?y4)) (bvmul (_ bv99 32) ?y3)) (bvmul (_ bv72 32) ?y2)) (bvmul (_ bv3 32) x1)) (_ bv45 32))) (not (= (bvadd (bvadd (bvadd (bvadd (bvmul (_ bv29 32) ?y5) (bvmul (_ bv97 32) ?y4)) (bvmul (bvneg (_ bv37 32)) ?y3)) (bvmul (_ bv98 32) ?y2)) (bvmul (bvneg (_ bv14 32)) x1)) (_ bv96 32)))) (and (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv18 32)) ?y5) (bvmul (bvneg (_ bv70 32)) ?y4)) (bvmul (_ bv60 32) ?y3)) (bvmul (bvneg (_ bv61 32)) ?y2)) (_ bv68 32)) (bvsgt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv95 32)) ?y5) (bvmul (bvneg (_ bv42 32)) ?y4)) (bvmul (bvneg (_ bv4 32)) ?y3)) (bvmul (_ bv67 32) ?y2)) (bvneg (_ bv51 32))))) (or (or (not (= (bvadd (bvadd (bvadd (bvmul (_ bv47 32) ?y5) (bvmul (_ bv75 32) ?y4)) (bvmul (bvneg (_ bv8 32)) ?y3)) (bvmul (bvneg (_ bv18 32)) ?y2)) (_ bv42 32))) (not (= (bvadd (bvadd (bvadd (bvadd (bvmul (_ bv39 32) ?y5) (bvmul (_ bv57 32) ?y4)) (bvmul (_ bv54 32) ?y3)) (bvmul (bvneg (_ bv88 32)) ?y2)) (bvmul (bvneg (_ bv5 32)) x1)) (_ bv9 32)))) (and (= (bvadd (bvadd (bvadd (bvadd (bvmul (_ bv53 32) ?y5) (bvmul (_ bv95 32) ?y4)) (bvmul (bvneg (_ bv14 32)) ?y3)) (bvmul (bvneg (_ bv40 32)) ?y2)) (bvmul (_ bv22 32) x1)) (_ bv20 32)) (bvsge (bvadd (bvmul (bvneg (_ bv14 32)) ?y5) (bvmul (_ bv45 32) ?y2)) (bvneg (_ bv2 32))))))))))) (and (exists ((?y1 (_ BitVec 32))) (exists ((?y2 (_ BitVec 32))) (or (and (or (exists ((?y4 (_ BitVec 32))) (forall ((?y5 (_ BitVec 32))) (bvsge (bvadd (bvadd (bvadd (bvadd (bvmul (_ bv47 32) ?y5) (bvmul (bvneg (_ bv30 32)) ?y4)) (bvmul (_ bv27 32) ?y2)) (bvmul (_ bv48 32) ?y1)) (bvmul (bvneg (_ bv94 32)) x1)) (_ bv70 32)))) (forall ((?y4 (_ BitVec 32))) (and (and (not (= (bvadd (bvadd (bvmul (_ bv29 32) ?y4) (bvmul (_ bv43 32) ?y2)) (bvmul (bvneg (_ bv30 32)) ?y1)) (_ bv0 32))) (= (bvadd (bvadd (bvmul (bvneg (_ bv25 32)) ?y2) (bvmul (_ bv3 32) ?y1)) (bvmul (bvneg (_ bv87 32)) x1)) (_ bv39 32))) (exists ((?y5 (_ BitVec 32))) (bvslt (bvadd (bvadd (bvmul (_ bv58 32) ?y4) (bvmul (_ bv40 32) ?y2)) (bvmul (bvneg (_ bv15 32)) x1)) (bvneg (_ bv2 32))))))) (or (and (forall ((?y3 (_ BitVec 32))) (and (bvsle (bvadd (bvadd (bvmul (_ bv19 32) ?y2) (bvmul (_ bv32 32) ?y1)) (bvmul (bvneg (_ bv48 32)) x1)) (_ bv0 32)) (exists ((?y4 (_ BitVec 32))) (= (bvadd (bvadd (bvmul (bvneg (_ bv69 32)) ?y2) (bvmul (_ bv48 32) ?y1)) (bvmul (bvneg (_ bv19 32)) x1)) (bvneg (_ bv58 32)))))) (forall ((?y3 (_ BitVec 32))) (forall ((?y5 (_ BitVec 32))) (not (= (bvmul (bvneg (_ bv83 32)) ?y1) (_ bv35 32)))))) (or (or (exists ((?y3 (_ BitVec 32))) (and (not (= (bvadd (bvadd (bvmul (bvneg (_ bv45 32)) ?y3) (bvmul (_ bv47 32) ?y2)) (bvmul (_ bv54 32) ?y1)) (bvneg (_ bv21 32)))) (= (bvadd (bvadd (bvadd (bvmul (_ bv31 32) ?y3) (bvmul (bvneg (_ bv61 32)) ?y2)) (bvmul (bvneg (_ bv51 32)) ?y1)) (bvmul (_ bv19 32) x1)) (_ bv0 32)))) (or (or (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv28 32)) ?y2) (bvmul (bvneg (_ bv4 32)) ?y1)) (bvmul (_ bv72 32) x1)) (_ bv0 32)) (bvsle (bvadd (bvmul (bvneg (_ bv53 32)) ?y2) (bvmul (_ bv69 32) ?y1)) (bvneg (_ bv13 32)))) (and (bvsle (bvadd (bvadd (bvmul (_ bv15 32) ?y2) (bvmul (_ bv38 32) ?y1)) (bvmul (bvneg (_ bv58 32)) x1)) (_ bv38 32)) (not (= (bvadd (bvadd (bvmul (_ bv82 32) ?y2) (bvmul (bvneg (_ bv97 32)) ?y1)) (bvmul (bvneg (_ bv76 32)) x1)) (_ bv96 32)))))) (or (forall ((?y4 (_ BitVec 32))) (= (bvadd (bvadd (bvmul (bvneg (_ bv60 32)) ?y4) (bvmul (_ bv92 32) ?y1)) (bvmul (bvneg (_ bv79 32)) x1)) (bvneg (_ bv9 32)))) (forall ((?y4 (_ BitVec 32))) (not (= (bvadd (bvmul (_ bv51 32) ?y2) (bvmul (bvneg (_ bv6 32)) ?y1)) (bvneg (_ bv88 32))))))))) (forall ((?y4 (_ BitVec 32))) (and (forall ((?y6 (_ BitVec 32))) (or (not (= (bvadd (bvadd (bvadd (bvmul (_ bv94 32) ?y6) (bvmul (bvneg (_ bv60 32)) ?y4)) (bvmul (_ bv59 32) ?y2)) (bvmul (_ bv18 32) x1)) (bvneg (_ bv39 32)))) (bvsle (bvadd (bvadd (bvadd (bvmul (_ bv81 32) ?y4) (bvmul (_ bv41 32) ?y2)) (bvmul (bvneg (_ bv67 32)) ?y1)) (bvmul (_ bv90 32) x1)) (_ bv17 32)))) (or (and (bvslt (bvadd (bvmul (_ bv90 32) ?y4) (bvmul (bvneg (_ bv2 32)) x1)) (_ bv1 32)) (and (bvslt (bvadd (bvadd (bvmul (_ bv95 32) ?y4) (bvmul (bvneg (_ bv35 32)) ?y2)) (bvmul (_ bv18 32) x1)) (_ bv46 32)) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv69 32)) ?y2) (bvmul (bvneg (_ bv3 32)) ?y1)) (bvmul (bvneg (_ bv10 32)) x1)) (bvneg (_ bv87 32))))) (forall ((?y6 (_ BitVec 32))) (= (bvadd (bvadd (bvadd (bvadd (bvmul (_ bv80 32) ?y6) (bvmul (_ bv68 32) ?y4)) (bvmul (_ bv86 32) ?y2)) (bvmul (bvneg (_ bv19 32)) ?y1)) (bvmul (bvneg (_ bv20 32)) x1)) (bvneg (_ bv97 32)))))))))) (exists ((?y1 (_ BitVec 32))) (or (exists ((?y2 (_ BitVec 32))) (exists ((?y4 (_ BitVec 32))) (exists ((?y5 (_ BitVec 32))) (exists ((?y6 (_ BitVec 32))) (let ((?v_3 (bvmul (bvneg (_ bv100 32)) ?y5))) (or (or (= (bvadd (bvadd (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv23 32)) ?y6) ?v_3) (bvmul (_ bv80 32) ?y4)) (bvmul (bvneg (_ bv32 32)) ?y2)) (bvmul (_ bv90 32) ?y1)) (bvmul (bvneg (_ bv69 32)) x1)) (_ bv12 32)) (bvsle (bvadd (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv33 32)) ?y6) ?v_3) (bvmul (bvneg (_ bv71 32)) ?y4)) (bvmul (bvneg (_ bv33 32)) ?y2)) (bvmul (_ bv49 32) ?y1)) (_ bv0 32))) (bvslt (bvadd (bvadd (bvadd (bvadd (bvmul (_ bv63 32) ?y6) (bvmul (bvneg (_ bv84 32)) ?y5)) (bvmul (_ bv21 32) ?y4)) (bvmul (_ bv98 32) ?y1)) (bvmul (_ bv52 32) x1)) (_ bv34 32)))))))) (exists ((?y2 (_ BitVec 32))) (and (forall ((?y3 (_ BitVec 32))) (exists ((?y5 (_ BitVec 32))) (and (and (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv23 32)) ?y5) (bvmul (bvneg (_ bv75 32)) ?y3)) (bvmul (bvneg (_ bv24 32)) x1)) (bvneg (_ bv80 32))) (bvsle (bvadd (bvadd (bvadd (bvadd (bvmul (_ bv15 32) ?y5) (bvmul (_ bv49 32) ?y3)) (bvmul (bvneg (_ bv45 32)) ?y2)) (bvmul (bvneg (_ bv49 32)) ?y1)) (bvmul (_ bv44 32) x1)) (_ bv0 32))) (or (bvslt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv11 32)) ?y5) (bvmul (_ bv75 32) ?y3)) (bvmul (_ bv86 32) ?y1)) (bvmul (bvneg (_ bv12 32)) x1)) (_ bv43 32)) (bvsle (bvadd (bvadd (bvmul (_ bv85 32) ?y3) (bvmul (_ bv90 32) ?y1)) (bvmul (_ bv34 32) x1)) (_ bv60 32)))))) (forall ((?y3 (_ BitVec 32))) (or (and (exists ((?y4 (_ BitVec 32))) (and (bvsle (bvadd (bvmul (_ bv21 32) ?y3) (bvmul (bvneg (_ bv62 32)) ?y1)) (_ bv71 32)) (bvsgt (bvadd (bvadd (bvadd (bvadd (bvmul (_ bv26 32) ?y4) (bvmul (_ bv66 32) ?y3)) (bvmul (bvneg (_ bv4 32)) ?y2)) (bvmul (bvneg (_ bv78 32)) ?y1)) (bvmul (_ bv14 32) x1)) (bvneg (_ bv75 32))))) (forall ((?y4 (_ BitVec 32))) (or (= (bvadd (bvadd (bvmul (_ bv88 32) ?y3) (bvmul (_ bv56 32) ?y2)) (bvmul (_ bv21 32) x1)) (_ bv0 32)) (= (bvadd (bvadd (bvmul (bvneg (_ bv50 32)) ?y4) (bvmul (bvneg (_ bv23 32)) ?y3)) (bvmul (_ bv83 32) x1)) (_ bv17 32))))) (exists ((?y4 (_ BitVec 32))) (exists ((?y5 (_ BitVec 32))) (bvsgt (bvadd (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv21 32)) ?y5) (bvmul (_ bv47 32) ?y4)) (bvmul (_ bv48 32) ?y3)) (bvmul (_ bv75 32) ?y1)) (bvmul (bvneg (_ bv26 32)) x1)) (bvneg (_ bv22 32)))))))))))))))
(check-sat)
(exit)
