(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(declare-fun y3 () (_ BitVec 32))
(declare-fun y5 () (_ BitVec 32))
(declare-fun y6 () (_ BitVec 32))
(declare-fun x1 () (_ BitVec 32))
(declare-fun y2 () (_ BitVec 32))
(declare-fun y4 () (_ BitVec 32))
(assert (and (forall ((?y3 (_ BitVec 32))) (forall ((?y5 (_ BitVec 32))) (and (exists ((?y6 (_ BitVec 32))) (and (or (or (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv64 32)) ?y6) (bvmul (bvneg (_ bv73 32)) ?y3)) (bvmul (bvneg (_ bv33 32)) x1)) (_ bv94 32)) (not (= (bvadd (bvadd (bvmul (_ bv75 32) ?y6) (bvmul (_ bv94 32) ?y5)) (bvmul (_ bv58 32) x1)) (_ bv87 32)))) (and (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv12 32)) ?y6) (bvmul (_ bv8 32) ?y5)) (bvmul (_ bv93 32) ?y3)) (_ bv49 32)) (= (bvadd (bvmul (_ bv2 32) ?y3) (bvmul (bvneg (_ bv78 32)) x1)) (_ bv68 32)))) (or (bvsge (bvadd (bvmul (bvneg (_ bv2 32)) ?y6) (bvmul (_ bv77 32) ?y3)) (bvneg (_ bv14 32))) (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv5 32)) ?y6) (bvmul (_ bv42 32) ?y5)) (bvmul (bvneg (_ bv36 32)) ?y3)) (bvmul (bvneg (_ bv48 32)) x1)) (bvneg (_ bv63 32)))))) (forall ((?y6 (_ BitVec 32))) (let ((?v_0 (bvmul (bvneg (_ bv42 32)) ?y5))) (or (and (and (or (bvsgt (bvadd (bvadd (bvmul (_ bv93 32) ?y6) (bvmul (_ bv18 32) ?y3)) (bvmul (bvneg (_ bv14 32)) x1)) (_ bv14 32)) (bvslt (bvadd (bvmul (bvneg (_ bv27 32)) ?y5) (bvmul (bvneg (_ bv5 32)) ?y3)) (bvneg (_ bv35 32)))) (and (bvsge (bvadd (bvmul (_ bv50 32) ?y6) (bvmul (_ bv10 32) ?y5)) (bvneg (_ bv35 32))) (not (= (bvadd (bvadd (bvmul (_ bv1 32) ?y6) (bvmul (_ bv74 32) ?y5)) (bvmul (_ bv74 32) ?y3)) (_ bv0 32))))) (and (bvsle (bvadd (bvadd (bvmul (_ bv99 32) ?y6) (bvmul (bvneg (_ bv35 32)) ?y3)) (bvmul (_ bv12 32) x1)) (_ bv83 32)) (or (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv81 32)) ?y6) (bvmul (bvneg (_ bv97 32)) ?y5)) (bvmul (bvneg (_ bv27 32)) ?y3)) (_ bv0 32)) (not (= (bvadd (bvadd (bvmul (_ bv5 32) ?y6) (bvmul (bvneg (_ bv90 32)) ?y3)) (bvmul (bvneg (_ bv44 32)) x1)) (bvneg (_ bv1 32))))))) (or (or (and (bvsge (bvadd (bvmul (bvneg (_ bv39 32)) ?y6) (bvmul (bvneg (_ bv42 32)) ?y3)) (_ bv88 32)) (bvsge (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv28 32)) ?y6) (bvmul (bvneg (_ bv61 32)) ?y5)) (bvmul (bvneg (_ bv3 32)) ?y3)) (bvmul (_ bv64 32) x1)) (_ bv0 32))) (bvslt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv9 32)) ?y6) (bvmul (bvneg (_ bv17 32)) ?y5)) (bvmul (bvneg (_ bv69 32)) ?y3)) (bvmul (bvneg (_ bv68 32)) x1)) (_ bv73 32))) (or (and (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv30 32)) ?y6) (bvmul (bvneg (_ bv57 32)) ?y3)) (bvmul (_ bv34 32) x1)) (_ bv0 32)) (bvslt (bvadd (bvadd (bvmul (_ bv95 32) ?y6) (bvmul (bvneg (_ bv88 32)) ?y5)) (bvmul (_ bv32 32) x1)) (bvneg (_ bv80 32)))) (or (bvsge (bvadd (bvadd ?v_0 (bvmul (bvneg (_ bv97 32)) ?y3)) (bvmul (_ bv35 32) x1)) (_ bv0 32)) (bvsle (bvadd (bvadd ?v_0 (bvmul (bvneg (_ bv89 32)) ?y3)) (bvmul (bvneg (_ bv84 32)) x1)) (_ bv0 32))))))))))) (and (exists ((?y2 (_ BitVec 32))) (forall ((?y3 (_ BitVec 32))) (exists ((?y4 (_ BitVec 32))) (forall ((?y5 (_ BitVec 32))) (and (and (or (not (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv55 32)) ?y5) (bvmul (bvneg (_ bv95 32)) ?y4)) (bvmul (_ bv68 32) ?y3)) (bvmul (bvneg (_ bv24 32)) x1)) (bvneg (_ bv31 32)))) (= (bvadd (bvadd (bvmul (bvneg (_ bv70 32)) ?y5) (bvmul (bvneg (_ bv96 32)) ?y4)) (bvmul (bvneg (_ bv99 32)) x1)) (bvneg (_ bv96 32)))) (and (and (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv58 32)) ?y5) (bvmul (bvneg (_ bv75 32)) ?y4)) (bvmul (bvneg (_ bv86 32)) ?y3)) (_ bv31 32)) (not (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv59 32)) ?y4) (bvmul (_ bv58 32) ?y3)) (bvmul (_ bv30 32) ?y2)) (bvmul (bvneg (_ bv85 32)) x1)) (_ bv6 32)))) (and (bvslt (bvadd (bvmul (_ bv85 32) ?y2) (bvmul (bvneg (_ bv36 32)) x1)) (_ bv67 32)) (bvsge (bvadd (bvadd (bvmul (_ bv97 32) ?y5) (bvmul (bvneg (_ bv30 32)) ?y4)) (bvmul (_ bv5 32) ?y3)) (bvneg (_ bv26 32)))))) (and (and (or (not (= (bvadd (bvadd (bvadd (bvmul (_ bv32 32) ?y5) (bvmul (_ bv25 32) ?y4)) (bvmul (_ bv21 32) ?y3)) (bvmul (_ bv33 32) ?y2)) (bvneg (_ bv21 32)))) (bvsgt (bvadd (bvadd (bvadd (bvadd (bvmul (_ bv40 32) ?y5) (bvmul (bvneg (_ bv13 32)) ?y4)) (bvmul (bvneg (_ bv3 32)) ?y3)) (bvmul (bvneg (_ bv84 32)) ?y2)) (bvmul (bvneg (_ bv72 32)) x1)) (bvneg (_ bv54 32)))) (and (and (bvsge (bvadd (bvmul (_ bv14 32) ?y5) (bvmul (_ bv88 32) ?y4)) (bvneg (_ bv23 32))) (= (bvadd (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv24 32)) ?y5) (bvmul (_ bv19 32) ?y4)) (bvmul (_ bv24 32) ?y3)) (bvmul (_ bv77 32) ?y2)) (bvmul (bvneg (_ bv30 32)) x1)) (_ bv66 32))) (forall ((?y6 (_ BitVec 32))) (bvsgt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv56 32)) ?y6) (bvmul (bvneg (_ bv26 32)) ?y4)) (bvmul (bvneg (_ bv33 32)) ?y3)) (bvmul (_ bv65 32) ?y2)) (_ bv44 32))))) (exists ((?y6 (_ BitVec 32))) (and (not (= (bvadd (bvadd (bvadd (bvadd (bvmul (_ bv63 32) ?y6) (bvmul (bvneg (_ bv76 32)) ?y4)) (bvmul (bvneg (_ bv34 32)) ?y3)) (bvmul (_ bv51 32) ?y2)) (bvmul (bvneg (_ bv69 32)) x1)) (_ bv81 32))) (bvslt (bvadd (bvadd (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv20 32)) ?y6) (bvmul (_ bv2 32) ?y5)) (bvmul (_ bv28 32) ?y4)) (bvmul (bvneg (_ bv64 32)) ?y3)) (bvmul (bvneg (_ bv59 32)) ?y2)) (bvmul (_ bv55 32) x1)) (_ bv0 32)))))))))) (exists ((?y2 (_ BitVec 32))) (let ((?v_1 (bvmul (_ bv74 32) x1))) (or (or (or (and (or (exists ((?y4 (_ BitVec 32))) (or (bvsgt (bvadd (bvmul (bvneg (_ bv75 32)) ?y4) (bvmul (bvneg (_ bv79 32)) x1)) (_ bv0 32)) (bvsgt (bvadd (bvmul (bvneg (_ bv34 32)) ?y4) (bvmul (bvneg (_ bv75 32)) x1)) (_ bv66 32)))) (or (and (bvslt (bvmul (bvneg (_ bv8 32)) ?y2) (_ bv0 32)) (exists ((?y3 (_ BitVec 32))) (= (bvadd (bvadd (bvmul (bvneg (_ bv44 32)) ?y3) (bvmul (bvneg (_ bv17 32)) ?y2)) (bvmul (_ bv34 32) x1)) (_ bv0 32)))) (bvslt (bvadd (bvmul (bvneg (_ bv38 32)) ?y2) ?v_1) (_ bv46 32)))) (and (and (or (= (bvmul (bvneg (_ bv67 32)) x1) (_ bv0 32)) (bvsge (bvadd (bvmul (_ bv15 32) ?y2) ?v_1) (bvneg (_ bv59 32)))) (and (bvsgt (bvadd (bvmul (_ bv42 32) ?y2) (bvmul (bvneg (_ bv58 32)) x1)) (_ bv3 32)) (= (bvmul (bvneg (_ bv2 32)) ?y2) (bvneg (_ bv97 32))))) (forall ((?y5 (_ BitVec 32))) (= (bvadd (bvadd (bvmul (bvneg (_ bv8 32)) ?y5) (bvmul (_ bv97 32) ?y2)) (bvmul (bvneg (_ bv23 32)) x1)) (bvneg (_ bv90 32)))))) (exists ((?y3 (_ BitVec 32))) (forall ((?y4 (_ BitVec 32))) (bvsgt (bvadd (bvmul (bvneg (_ bv49 32)) ?y3) (bvmul (bvneg (_ bv26 32)) ?y2)) (_ bv0 32))))) (exists ((?y3 (_ BitVec 32))) (or (forall ((?y5 (_ BitVec 32))) (and (forall ((?y6 (_ BitVec 32))) (not (= (bvadd (bvmul (_ bv34 32) ?y2) (bvmul (_ bv98 32) x1)) (_ bv69 32)))) (not (= (bvadd (bvmul (_ bv96 32) ?y2) (bvmul (bvneg (_ bv26 32)) x1)) (_ bv71 32))))) (and (exists ((?y4 (_ BitVec 32))) (or (forall ((?y5 (_ BitVec 32))) (bvslt (bvadd (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv68 32)) ?y5) (bvmul (_ bv92 32) ?y4)) (bvmul (_ bv59 32) ?y3)) (bvmul (_ bv64 32) ?y2)) (bvmul (_ bv2 32) x1)) (bvneg (_ bv8 32)))) (or (bvslt (bvadd (bvadd (bvadd (bvmul (_ bv19 32) ?y4) (bvmul (_ bv94 32) ?y3)) (bvmul (bvneg (_ bv60 32)) ?y2)) (bvmul (_ bv49 32) x1)) (bvneg (_ bv8 32))) (= (bvadd (bvadd (bvmul (bvneg (_ bv48 32)) ?y4) (bvmul (_ bv97 32) ?y3)) (bvmul (bvneg (_ bv42 32)) x1)) (bvneg (_ bv60 32)))))) (forall ((?y4 (_ BitVec 32))) (forall ((?y5 (_ BitVec 32))) (or (bvsgt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv52 32)) ?y4) (bvmul (_ bv82 32) ?y3)) (bvmul (_ bv63 32) ?y2)) (bvmul (bvneg (_ bv31 32)) x1)) (_ bv89 32)) (not (= (bvadd (bvadd (bvadd (bvmul (_ bv90 32) ?y5) (bvmul (_ bv52 32) ?y4)) (bvmul (bvneg (_ bv60 32)) ?y2)) (bvmul (bvneg (_ bv18 32)) x1)) (_ bv86 32)))))))))) (and (forall ((?y3 (_ BitVec 32))) (exists ((?y4 (_ BitVec 32))) (exists ((?y5 (_ BitVec 32))) (forall ((?y6 (_ BitVec 32))) (and (bvsge (bvadd (bvadd (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv35 32)) ?y6) (bvmul (_ bv88 32) ?y5)) (bvmul (bvneg (_ bv45 32)) ?y4)) (bvmul (_ bv25 32) ?y3)) (bvmul (bvneg (_ bv40 32)) ?y2)) (bvmul (_ bv26 32) x1)) (_ bv28 32)) (bvsgt (bvadd (bvadd (bvmul (_ bv40 32) ?y6) (bvmul (_ bv43 32) ?y3)) (bvmul (_ bv70 32) x1)) (_ bv0 32))))))) (forall ((?y3 (_ BitVec 32))) (forall ((?y5 (_ BitVec 32))) (or (exists ((?y6 (_ BitVec 32))) (and (bvsge (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv48 32)) ?y6) (bvmul (_ bv42 32) ?y5)) (bvmul (_ bv30 32) ?y3)) (bvmul (bvneg (_ bv36 32)) ?y2)) (bvneg (_ bv53 32))) (bvsle (bvadd (bvmul (_ bv67 32) ?y6) (bvmul (bvneg (_ bv13 32)) ?y5)) (bvneg (_ bv16 32))))) (exists ((?y6 (_ BitVec 32))) (or (bvsle (bvadd (bvadd (bvmul (_ bv21 32) ?y5) (bvmul (bvneg (_ bv1 32)) ?y2)) (bvmul (_ bv63 32) x1)) (bvneg (_ bv4 32))) (= (bvadd (bvadd (bvadd (bvadd (bvmul (_ bv81 32) ?y6) (bvmul (bvneg (_ bv48 32)) ?y5)) (bvmul (_ bv86 32) ?y3)) (bvmul (_ bv56 32) ?y2)) (bvmul (_ bv34 32) x1)) (_ bv0 32))))))))))))))
(check-sat)
(exit)
