(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(declare-fun y3 () (_ BitVec 32))
(declare-fun y4 () (_ BitVec 32))
(declare-fun y6 () (_ BitVec 32))
(declare-fun x1 () (_ BitVec 32))
(declare-fun y5 () (_ BitVec 32))
(assert (forall ((?y3 (_ BitVec 32))) (or (exists ((?y4 (_ BitVec 32))) (let ((?v_0 (bvmul (_ bv59 32) ?y4))) (or (or (exists ((?y6 (_ BitVec 32))) (let ((?v_1 (bvmul (_ bv26 32) ?y4)) (?v_2 (bvmul (_ bv64 32) x1))) (or (and (and (or (bvsge (bvadd (bvadd (bvmul (_ bv5 32) ?y6) (bvmul (bvneg (_ bv16 32)) ?y3)) (bvmul (_ bv82 32) x1)) (_ bv34 32)) (bvsgt (bvadd (bvadd (bvadd (bvmul (_ bv1 32) ?y6) (bvmul (_ bv46 32) ?y4)) (bvmul (bvneg (_ bv99 32)) ?y3)) (bvmul (bvneg (_ bv59 32)) x1)) (_ bv0 32))) (bvsge (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv4 32)) ?y6) (bvmul (_ bv99 32) ?y4)) (bvmul (bvneg (_ bv49 32)) ?y3)) (bvmul (bvneg (_ bv68 32)) x1)) (_ bv91 32))) (and (or (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv17 32)) ?y6) (bvmul (_ bv4 32) ?y4)) (bvmul (_ bv7 32) ?y3)) (_ bv91 32)) (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv26 32)) ?y6) (bvmul (_ bv9 32) ?y4)) (bvmul (_ bv87 32) ?y3)) (bvmul (_ bv97 32) x1)) (bvneg (_ bv88 32)))) (= (bvadd (bvadd (bvmul (bvneg (_ bv1 32)) ?y6) ?v_1) ?v_2) (_ bv93 32)))) (and (and (or (and (bvsle (bvadd (bvadd (bvadd (bvmul (_ bv59 32) ?y6) (bvmul (_ bv12 32) ?y4)) (bvmul (bvneg (_ bv44 32)) ?y3)) (bvmul (bvneg (_ bv4 32)) x1)) (bvneg (_ bv96 32))) (not (= (bvadd (bvadd (bvmul (bvneg (_ bv44 32)) ?y6) (bvmul (_ bv13 32) ?y4)) (bvmul (bvneg (_ bv57 32)) ?y3)) (_ bv0 32)))) (or (bvsgt (bvadd (bvadd ?v_1 (bvmul (bvneg (_ bv69 32)) ?y3)) ?v_2) (_ bv77 32)) (= (bvmul (bvneg (_ bv100 32)) ?y3) (bvneg (_ bv96 32))))) (and (and (= (bvmul (bvneg (_ bv85 32)) ?y6) (_ bv63 32)) (bvslt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv55 32)) ?y6) (bvmul (_ bv44 32) ?y4)) (bvmul (_ bv20 32) ?y3)) (bvmul (bvneg (_ bv49 32)) x1)) (_ bv88 32))) (or (= (bvadd (bvadd (bvadd (bvmul (_ bv56 32) ?y6) (bvmul (_ bv25 32) ?y4)) (bvmul (bvneg (_ bv11 32)) ?y3)) (bvmul (_ bv48 32) x1)) (bvneg (_ bv75 32))) (bvsgt (bvmul (bvneg (_ bv89 32)) ?y3) (bvneg (_ bv16 32)))))) (and (and (not (= (bvadd (bvadd (bvmul (_ bv90 32) ?y4) (bvmul (_ bv71 32) ?y3)) (bvmul (bvneg (_ bv34 32)) x1)) (_ bv3 32))) (bvsge (bvadd (bvadd (bvmul (_ bv4 32) ?y6) (bvmul (_ bv96 32) ?y4)) (bvmul (bvneg (_ bv62 32)) x1)) (bvneg (_ bv50 32)))) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv67 32)) ?y6) (bvmul (bvneg (_ bv56 32)) ?y4)) (bvmul (bvneg (_ bv22 32)) ?y3)) (_ bv0 32))))))) (and (and (and (and (or (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv1 32)) ?y4) (bvmul (_ bv60 32) ?y3)) (bvmul (bvneg (_ bv11 32)) x1)) (_ bv56 32)) (bvsle (bvadd (bvadd (bvmul (_ bv23 32) ?y4) (bvmul (_ bv75 32) ?y3)) (bvmul (_ bv26 32) x1)) (bvneg (_ bv37 32)))) (or (not (= (bvadd (bvadd ?v_0 (bvmul (_ bv39 32) ?y3)) (bvmul (bvneg (_ bv13 32)) x1)) (bvneg (_ bv72 32)))) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv69 32)) ?y4) (bvmul (bvneg (_ bv58 32)) ?y3)) (bvmul (bvneg (_ bv100 32)) x1)) (bvneg (_ bv28 32))))) (or (and (not (= (bvadd (bvmul (bvneg (_ bv32 32)) ?y4) (bvmul (_ bv31 32) x1)) (_ bv84 32))) (bvsgt (bvadd (bvadd (bvmul (_ bv69 32) ?y4) (bvmul (bvneg (_ bv80 32)) ?y3)) (bvmul (bvneg (_ bv68 32)) x1)) (_ bv63 32))) (or (bvsgt (bvadd ?v_0 (bvmul (_ bv3 32) x1)) (_ bv0 32)) (bvsle (bvadd (bvmul (_ bv80 32) ?y4) (bvmul (_ bv53 32) ?y3)) (_ bv53 32))))) (or (and (bvsle (bvmul (_ bv89 32) x1) (_ bv0 32)) (and (not (= (bvadd (bvadd (bvmul (bvneg (_ bv42 32)) ?y4) (bvmul (bvneg (_ bv95 32)) ?y3)) (bvmul (bvneg (_ bv33 32)) x1)) (bvneg (_ bv84 32)))) (bvsgt (bvadd (bvadd (bvmul (_ bv45 32) ?y4) (bvmul (_ bv2 32) ?y3)) (bvmul (_ bv70 32) x1)) (_ bv0 32)))) (or (and (bvsle (bvadd (bvadd (bvmul (_ bv58 32) ?y4) (bvmul (bvneg (_ bv100 32)) ?y3)) (bvmul (bvneg (_ bv50 32)) x1)) (bvneg (_ bv34 32))) (bvsge (bvmul (bvneg (_ bv89 32)) x1) (bvneg (_ bv68 32)))) (and (not (= (bvadd (bvmul (bvneg (_ bv72 32)) ?y4) (bvmul (bvneg (_ bv42 32)) ?y3)) (bvneg (_ bv57 32)))) (bvsgt (bvmul (_ bv49 32) ?y3) (_ bv3 32)))))) (forall ((?y5 (_ BitVec 32))) (or (and (and (and (exists ((?y6 (_ BitVec 32))) (= (bvadd (bvadd (bvadd (bvmul (_ bv78 32) ?y6) (bvmul (bvneg (_ bv36 32)) ?y4)) (bvmul (_ bv68 32) ?y3)) (bvmul (_ bv46 32) x1)) (_ bv0 32))) (exists ((?y6 (_ BitVec 32))) (not (= (bvadd (bvmul (bvneg (_ bv77 32)) ?y4) (bvmul (bvneg (_ bv70 32)) ?y3)) (_ bv39 32))))) (or (not (= (bvadd (bvadd (bvadd (bvmul (_ bv54 32) ?y5) (bvmul (_ bv47 32) ?y4)) (bvmul (_ bv33 32) ?y3)) (bvmul (bvneg (_ bv78 32)) x1)) (bvneg (_ bv97 32)))) (bvsge (bvadd (bvadd (bvmul (_ bv63 32) ?y4) (bvmul (_ bv82 32) ?y3)) (bvmul (bvneg (_ bv55 32)) x1)) (bvneg (_ bv92 32))))) (or (or (and (bvsgt (bvadd (bvmul (bvneg (_ bv73 32)) ?y5) (bvmul (bvneg (_ bv46 32)) x1)) (_ bv0 32)) (bvsgt (bvadd (bvadd (bvmul (_ bv35 32) ?y5) (bvmul (_ bv30 32) ?y3)) (bvmul (_ bv8 32) x1)) (_ bv0 32))) (exists ((?y6 (_ BitVec 32))) (not (= (bvadd (bvmul (bvneg (_ bv99 32)) ?y4) (bvmul (_ bv52 32) ?y3)) (_ bv18 32))))) (exists ((?y6 (_ BitVec 32))) (= (bvadd (bvadd (bvadd (bvmul (_ bv39 32) ?y6) (bvmul (_ bv32 32) ?y4)) (bvmul (bvneg (_ bv94 32)) ?y3)) (bvmul (bvneg (_ bv18 32)) x1)) (_ bv51 32))))) (or (and (bvsge (bvadd (bvmul (_ bv62 32) ?y4) (bvmul (_ bv5 32) ?y3)) (_ bv46 32)) (or (not (= (bvadd (bvadd (bvmul (bvneg (_ bv27 32)) ?y5) (bvmul (bvneg (_ bv55 32)) ?y4)) (bvmul (bvneg (_ bv25 32)) ?y3)) (_ bv83 32))) (bvsgt (bvadd (bvadd (bvmul (_ bv46 32) ?y5) (bvmul (bvneg (_ bv2 32)) ?y3)) (bvmul (_ bv55 32) x1)) (_ bv77 32)))) (or (or (bvsle (bvadd (bvadd (bvadd (bvmul (_ bv66 32) ?y5) (bvmul (bvneg (_ bv14 32)) ?y4)) (bvmul (bvneg (_ bv10 32)) ?y3)) (bvmul (_ bv46 32) x1)) (_ bv0 32)) (= (bvadd (bvadd (bvmul (bvneg (_ bv16 32)) ?y5) (bvmul (_ bv15 32) ?y3)) (bvmul (_ bv62 32) x1)) (_ bv36 32))) (and (bvsle (bvmul (_ bv53 32) ?y3) (bvneg (_ bv69 32))) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv34 32)) ?y5) (bvmul (_ bv12 32) ?y3)) (bvmul (_ bv96 32) x1)) (_ bv0 32))))))))) (forall ((?y5 (_ BitVec 32))) (forall ((?y6 (_ BitVec 32))) (let ((?v_6 (bvmul (_ bv40 32) ?y6)) (?v_11 (bvmul (_ bv20 32) ?y4)) (?v_10 (bvmul (_ bv20 32) ?y5)) (?v_3 (bvmul (_ bv99 32) ?y6)) (?v_5 (bvmul (_ bv67 32) ?y3)) (?v_9 (bvmul (_ bv9 32) ?y3)) (?v_7 (bvmul (bvneg (_ bv89 32)) ?y4)) (?v_8 (bvmul (bvneg (_ bv79 32)) ?y4)) (?v_4 (bvmul (bvneg (_ bv45 32)) ?y5))) (or (or (and (or (and (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv11 32)) ?y6) (bvmul (_ bv13 32) ?y5)) (bvmul (_ bv29 32) ?y3)) (bvmul (_ bv25 32) x1)) (_ bv36 32)) (and (not (= (bvadd (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv89 32)) ?y6) (bvmul (_ bv9 32) ?y5)) (bvmul (_ bv97 32) ?y4)) (bvmul (bvneg (_ bv82 32)) ?y3)) (bvmul (_ bv1 32) x1)) (_ bv57 32))) (= (bvadd (bvadd (bvmul (_ bv85 32) ?y5) ?v_7) (bvmul (_ bv27 32) x1)) (_ bv0 32)))) (and (and (bvsgt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv14 32)) ?y6) (bvmul (bvneg (_ bv26 32)) ?y5)) (bvmul (_ bv72 32) ?y3)) (bvmul (bvneg (_ bv47 32)) x1)) (_ bv0 32)) (bvsle (bvadd (bvadd (bvadd ?v_6 ?v_11) (bvmul (_ bv51 32) ?y3)) (bvmul (bvneg (_ bv61 32)) x1)) (bvneg (_ bv49 32)))) (and (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv25 32)) ?y6) ?v_10) (bvmul (bvneg (_ bv50 32)) ?y3)) (_ bv85 32)) (bvslt (bvadd (bvadd (bvadd ?v_3 (bvmul (bvneg (_ bv33 32)) ?y5)) (bvmul (_ bv87 32) ?y4)) (bvmul (bvneg (_ bv2 32)) x1)) (bvneg (_ bv2 32)))))) (or (or (bvslt (bvadd (bvadd (bvadd (bvmul (_ bv52 32) ?y6) (bvmul (bvneg (_ bv37 32)) ?y5)) (bvmul (_ bv21 32) ?y4)) ?v_5) (bvneg (_ bv32 32))) (and (bvsgt (bvadd (bvadd (bvadd (bvadd (bvmul (_ bv42 32) ?y6) (bvmul (_ bv45 32) ?y5)) (bvmul (bvneg (_ bv16 32)) ?y4)) (bvmul (bvneg (_ bv2 32)) ?y3)) (bvmul (_ bv15 32) x1)) (_ bv0 32)) (bvsgt (bvadd (bvadd (bvadd ?v_3 (bvmul (_ bv31 32) ?y5)) (bvmul (bvneg (_ bv41 32)) ?y4)) (bvmul (_ bv20 32) ?y3)) (_ bv0 32)))) (or (or (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv19 32)) ?y6) (bvmul (bvneg (_ bv99 32)) ?y5)) (bvmul (bvneg (_ bv3 32)) ?y4)) (bvmul (_ bv61 32) x1)) (_ bv38 32)) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv97 32)) ?y5) ?v_8) (bvmul (_ bv82 32) ?y3)) (bvneg (_ bv91 32)))) (and (bvslt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv53 32)) ?y6) ?v_4) (bvmul (bvneg (_ bv88 32)) ?y4)) (bvmul (_ bv87 32) ?y3)) (_ bv64 32)) (not (= (bvadd (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv76 32)) ?y6) ?v_4) (bvmul (_ bv88 32) ?y4)) (bvmul (bvneg (_ bv55 32)) ?y3)) (bvmul (bvneg (_ bv17 32)) x1)) (bvneg (_ bv21 32)))))))) (or (or (bvsge (bvmul (bvneg (_ bv51 32)) ?y6) (_ bv88 32)) (and (bvsgt (bvadd (bvadd (bvadd (bvmul (_ bv89 32) ?y6) (bvmul (bvneg (_ bv63 32)) ?y4)) ?v_5) (bvmul (bvneg (_ bv34 32)) x1)) (bvneg (_ bv88 32))) (not (= (bvadd (bvadd (bvadd (bvadd (bvmul (_ bv59 32) ?y6) (bvmul (bvneg (_ bv28 32)) ?y5)) (bvmul (_ bv54 32) ?y4)) ?v_9) (bvmul (bvneg (_ bv65 32)) x1)) (_ bv35 32))))) (and (and (bvslt (bvadd (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv62 32)) ?y6) (bvmul (bvneg (_ bv56 32)) ?y5)) (bvmul (_ bv56 32) ?y4)) (bvmul (_ bv63 32) ?y3)) (bvmul (_ bv55 32) x1)) (_ bv10 32)) (bvsle (bvadd (bvadd (bvadd ?v_6 (bvmul (bvneg (_ bv83 32)) ?y5)) ?v_7) (bvmul (_ bv88 32) x1)) (_ bv0 32))) (and (or (bvsgt (bvadd (bvadd (bvadd (bvadd (bvmul (_ bv71 32) ?y6) (bvmul (_ bv69 32) ?y5)) ?v_8) ?v_9) (bvmul (bvneg (_ bv58 32)) x1)) (bvneg (_ bv60 32))) (bvsgt (bvadd (bvadd (bvadd (bvmul (_ bv54 32) ?y6) (bvmul (_ bv6 32) ?y5)) (bvmul (_ bv72 32) ?y4)) (bvmul (bvneg (_ bv10 32)) x1)) (_ bv51 32))) (bvsgt (bvadd (bvadd ?v_10 (bvmul (bvneg (_ bv29 32)) ?y4)) (bvmul (bvneg (_ bv90 32)) x1)) (_ bv2 32)))))) (or (and (not (= (bvadd (bvadd (bvadd (bvadd (bvmul (_ bv29 32) ?y6) (bvmul (bvneg (_ bv61 32)) ?y5)) (bvmul (_ bv22 32) ?y4)) (bvmul (_ bv48 32) ?y3)) (bvmul (bvneg (_ bv14 32)) x1)) (_ bv26 32))) (or (= (bvadd (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv85 32)) ?y6) (bvmul (_ bv55 32) ?y5)) (bvmul (bvneg (_ bv100 32)) ?y4)) (bvmul (_ bv96 32) ?y3)) (bvmul (bvneg (_ bv25 32)) x1)) (bvneg (_ bv10 32))) (bvsgt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv48 32)) ?y6) (bvmul (bvneg (_ bv86 32)) ?y5)) (bvmul (bvneg (_ bv21 32)) ?y4)) (bvmul (_ bv71 32) x1)) (_ bv72 32)))) (and (and (not (= (bvadd (bvmul (bvneg (_ bv24 32)) ?y4) (bvmul (bvneg (_ bv54 32)) ?y3)) (_ bv24 32))) (and (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv85 32)) ?y5) (bvmul (_ bv40 32) ?y4)) (bvmul (bvneg (_ bv81 32)) ?y3)) (_ bv0 32)) (= (bvadd (bvmul (bvneg (_ bv39 32)) ?y6) (bvmul (bvneg (_ bv7 32)) ?y3)) (bvneg (_ bv21 32))))) (or (and (bvsge (bvadd (bvadd (bvadd (bvadd (bvmul (_ bv16 32) ?y6) (bvmul (bvneg (_ bv73 32)) ?y5)) (bvmul (bvneg (_ bv35 32)) ?y4)) (bvmul (bvneg (_ bv83 32)) ?y3)) (bvmul (bvneg (_ bv3 32)) x1)) (_ bv0 32)) (= (bvadd (bvadd (bvmul (bvneg (_ bv71 32)) ?y5) ?v_11) (bvmul (_ bv16 32) ?y3)) (_ bv75 32))) (and (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv89 32)) ?y5) (bvmul (_ bv82 32) ?y4)) (bvmul (bvneg (_ bv53 32)) x1)) (bvneg (_ bv23 32))) (not (= (bvadd (bvadd (bvmul (_ bv58 32) ?y6) (bvmul (bvneg (_ bv79 32)) ?y5)) (bvmul (_ bv68 32) ?y3)) (_ bv0 32)))))))))))))) (forall ((?y4 (_ BitVec 32))) (let ((?v_17 (bvmul (_ bv5 32) ?y3)) (?v_14 (bvmul (_ bv50 32) ?y3)) (?v_12 (bvmul (_ bv51 32) ?y4)) (?v_15 (bvmul (_ bv56 32) ?y4)) (?v_23 (bvmul (_ bv45 32) ?y3)) (?v_22 (bvmul (_ bv10 32) ?y3)) (?v_19 (bvmul (bvneg (_ bv89 32)) x1)) (?v_20 (bvmul (bvneg (_ bv53 32)) x1)) (?v_13 (bvmul (bvneg (_ bv96 32)) x1)) (?v_18 (bvmul (bvneg (_ bv75 32)) x1)) (?v_16 (bvmul (bvneg (_ bv19 32)) x1)) (?v_21 (bvmul (bvneg (_ bv98 32)) ?y4))) (or (or (or (or (bvsgt (bvadd (bvmul (_ bv65 32) ?y4) ?v_14) (bvneg (_ bv31 32))) (not (= (bvadd (bvmul (bvneg (_ bv13 32)) ?y3) ?v_13) (_ bv11 32)))) (or (and (and (not (= ?v_20 (bvneg (_ bv82 32)))) (bvslt (bvadd (bvadd ?v_12 (bvmul (bvneg (_ bv59 32)) ?y3)) (bvmul (bvneg (_ bv70 32)) x1)) (_ bv28 32))) (and (bvsgt (bvadd (bvadd ?v_12 (bvmul (_ bv20 32) ?y3)) (bvmul (_ bv98 32) x1)) (bvneg (_ bv82 32))) (bvsgt (bvadd (bvmul (bvneg (_ bv41 32)) ?y3) (bvmul (_ bv14 32) x1)) (_ bv95 32)))) (or (or (bvslt (bvadd (bvmul (bvneg (_ bv32 32)) ?y3) (bvmul (bvneg (_ bv91 32)) x1)) (_ bv73 32)) (= (bvadd (bvadd ?v_15 ?v_17) (bvmul (bvneg (_ bv13 32)) x1)) (_ bv75 32))) (and (= (bvadd (bvadd (bvmul (_ bv18 32) ?y4) (bvmul (bvneg (_ bv70 32)) ?y3)) (bvmul (_ bv43 32) x1)) (_ bv81 32)) (not (= (bvadd (bvadd (bvmul (_ bv19 32) ?y4) (bvmul (bvneg (_ bv35 32)) ?y3)) ?v_18) (bvneg (_ bv61 32)))))))) (or (or (and (or (and (not (= (bvadd (bvadd (bvmul (bvneg (_ bv75 32)) ?y4) ?v_23) ?v_13) (_ bv90 32))) (bvsge (bvadd (bvmul (bvneg (_ bv36 32)) ?y4) ?v_19) (_ bv97 32))) (bvsge (bvadd (bvadd (bvmul (_ bv73 32) ?y4) ?v_14) ?v_16) (_ bv40 32))) (or (not (= (bvadd ?v_21 (bvmul (_ bv88 32) x1)) (_ bv0 32))) (bvslt (bvadd (bvmul (bvneg (_ bv93 32)) ?y4) (bvmul (_ bv39 32) x1)) (_ bv88 32)))) (or (or (or (bvsle (bvadd ?v_15 (bvmul (bvneg (_ bv5 32)) x1)) (_ bv38 32)) (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv26 32)) ?y4) (bvmul (_ bv42 32) ?y3)) (bvmul (_ bv8 32) x1)) (_ bv25 32))) (and (bvsle (bvadd (bvadd (bvmul (_ bv82 32) ?y4) (bvmul (bvneg (_ bv27 32)) ?y3)) (bvmul (_ bv29 32) x1)) (_ bv77 32)) (bvslt (bvadd (bvadd (bvmul (_ bv27 32) ?y4) ?v_22) (bvmul (bvneg (_ bv6 32)) x1)) (_ bv0 32)))) (and (and (= (bvadd (bvmul (bvneg (_ bv33 32)) ?y3) ?v_16) (bvneg (_ bv31 32))) (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv21 32)) ?y4) (bvmul (bvneg (_ bv17 32)) ?y3)) (bvmul (bvneg (_ bv52 32)) x1)) (_ bv16 32))) (and (not (= (bvadd (bvadd (bvmul (_ bv100 32) ?y4) ?v_17) (bvmul (_ bv33 32) x1)) (bvneg (_ bv27 32)))) (bvsgt (bvadd (bvmul (_ bv87 32) ?y3) (bvmul (bvneg (_ bv36 32)) x1)) (bvneg (_ bv54 32))))))) (and (or (and (or (not (= (bvadd (bvmul (bvneg (_ bv66 32)) ?y3) ?v_18) (bvneg (_ bv12 32)))) (bvsge (bvadd (bvmul (bvneg (_ bv78 32)) ?y3) ?v_19) (bvneg (_ bv83 32)))) (or (= (bvadd (bvadd (bvmul (_ bv53 32) ?y4) (bvmul (_ bv92 32) ?y3)) ?v_20) (_ bv0 32)) (bvslt (bvadd (bvadd (bvmul (_ bv99 32) ?y4) (bvmul (_ bv6 32) ?y3)) (bvmul (_ bv34 32) x1)) (_ bv0 32)))) (and (and (bvsle (bvadd (bvadd ?v_21 (bvmul (_ bv90 32) ?y3)) (bvmul (bvneg (_ bv85 32)) x1)) (bvneg (_ bv52 32))) (bvslt (bvmul (_ bv96 32) ?y4) (_ bv55 32))) (and (bvslt (bvadd (bvmul (_ bv12 32) ?y3) (bvmul (_ bv52 32) x1)) (_ bv0 32)) (bvsge (bvadd (bvmul (bvneg (_ bv52 32)) ?y4) (bvmul (bvneg (_ bv100 32)) x1)) (bvneg (_ bv80 32)))))) (or (and (bvslt (bvadd (bvadd (bvmul (_ bv97 32) ?y4) (bvmul (bvneg (_ bv71 32)) ?y3)) (bvmul (_ bv57 32) x1)) (_ bv25 32)) (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv58 32)) ?y4) (bvmul (bvneg (_ bv55 32)) ?y3)) (bvmul (_ bv30 32) x1)) (bvneg (_ bv31 32)))) (or (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv82 32)) ?y4) (bvmul (_ bv96 32) ?y3)) (bvmul (_ bv46 32) x1)) (bvneg (_ bv8 32))) (= (bvadd (bvmul (bvneg (_ bv11 32)) ?y4) (bvmul (bvneg (_ bv12 32)) x1)) (_ bv24 32))))))) (or (and (and (exists ((?y5 (_ BitVec 32))) (or (or (or (bvsgt (bvadd (bvadd (bvmul (_ bv74 32) ?y5) (bvmul (bvneg (_ bv92 32)) ?y3)) (bvmul (_ bv44 32) x1)) (bvneg (_ bv25 32))) (bvsle (bvadd (bvadd (bvmul (_ bv76 32) ?y5) (bvmul (_ bv98 32) ?y3)) (bvmul (bvneg (_ bv72 32)) x1)) (_ bv0 32))) (bvsge (bvadd (bvmul (_ bv43 32) ?y3) (bvmul (bvneg (_ bv8 32)) x1)) (_ bv94 32))) (and (or (forall ((?y6 (_ BitVec 32))) (bvsgt (bvadd (bvadd (bvmul (_ bv9 32) ?y5) (bvmul (_ bv52 32) ?y4)) (bvmul (_ bv34 32) ?y3)) (_ bv0 32))) (forall ((?y6 (_ BitVec 32))) (bvsgt (bvadd (bvadd (bvmul (_ bv61 32) ?y6) (bvmul (bvneg (_ bv15 32)) ?y5)) (bvmul (bvneg (_ bv54 32)) ?y4)) (_ bv39 32)))) (forall ((?y6 (_ BitVec 32))) (and (bvslt (bvadd (bvadd (bvmul (_ bv71 32) ?y6) (bvmul (_ bv30 32) ?y4)) (bvmul (_ bv86 32) x1)) (_ bv91 32)) (bvsgt (bvadd (bvadd (bvadd (bvadd (bvmul (_ bv19 32) ?y6) (bvmul (bvneg (_ bv32 32)) ?y5)) (bvmul (bvneg (_ bv97 32)) ?y4)) (bvmul (_ bv38 32) ?y3)) (bvmul (_ bv26 32) x1)) (_ bv66 32))))))) (or (and (not (= (bvadd (bvadd (bvmul (bvneg (_ bv45 32)) ?y4) ?v_22) (bvmul (_ bv5 32) x1)) (_ bv0 32))) (= (bvmul (bvneg (_ bv95 32)) x1) (bvneg (_ bv60 32)))) (and (forall ((?y5 (_ BitVec 32))) (exists ((?y6 (_ BitVec 32))) (or (bvsle (bvadd (bvadd (bvadd (bvadd (bvmul (_ bv1 32) ?y6) (bvmul (_ bv86 32) ?y5)) (bvmul (_ bv70 32) ?y4)) ?v_23) (bvmul (bvneg (_ bv57 32)) x1)) (_ bv74 32)) (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv77 32)) ?y5) (bvmul (_ bv2 32) ?y4)) (bvmul (bvneg (_ bv98 32)) ?y3)) (bvmul (_ bv65 32) x1)) (_ bv0 32))))) (or (exists ((?y5 (_ BitVec 32))) (bvsgt (bvadd (bvadd (bvadd (bvmul (_ bv62 32) ?y5) (bvmul (bvneg (_ bv94 32)) ?y4)) (bvmul (_ bv4 32) ?y3)) (bvmul (bvneg (_ bv36 32)) x1)) (bvneg (_ bv70 32)))) (and (bvsgt (bvmul (_ bv48 32) ?y3) (_ bv83 32)) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv41 32)) ?y4) ?v_23) (bvmul (_ bv95 32) x1)) (_ bv0 32))))))) (forall ((?y5 (_ BitVec 32))) (exists ((?y6 (_ BitVec 32))) (let ((?v_24 (bvmul (_ bv33 32) ?y4)) (?v_25 (bvmul (bvneg (_ bv73 32)) ?y5))) (or (and (or (= (bvadd (bvadd (bvadd (bvmul (_ bv70 32) ?y6) (bvmul (bvneg (_ bv4 32)) ?y4)) (bvmul (bvneg (_ bv82 32)) ?y3)) (bvmul (bvneg (_ bv42 32)) x1)) (bvneg (_ bv3 32))) (bvslt (bvadd (bvadd (bvmul (_ bv100 32) ?y5) (bvmul (bvneg (_ bv16 32)) ?y3)) (bvmul (_ bv1 32) x1)) (_ bv85 32))) (or (bvsge (bvadd (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv3 32)) ?y6) (bvmul (_ bv93 32) ?y5)) (bvmul (_ bv31 32) ?y4)) (bvmul (bvneg (_ bv17 32)) ?y3)) ?v_20) (_ bv0 32)) (and (bvsgt (bvadd (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv49 32)) ?y6) (bvmul (bvneg (_ bv13 32)) ?y5)) ?v_24) (bvmul (_ bv29 32) ?y3)) (bvmul (bvneg (_ bv84 32)) x1)) (_ bv75 32)) (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv26 32)) ?y6) (bvmul (bvneg (_ bv55 32)) ?y5)) (bvmul (bvneg (_ bv63 32)) ?y3)) (_ bv0 32))))) (or (and (= (bvadd (bvadd (bvadd (bvadd (bvmul (_ bv49 32) ?y6) (bvmul (_ bv87 32) ?y5)) ?v_24) (bvmul (_ bv32 32) ?y3)) (bvmul (_ bv62 32) x1)) (bvneg (_ bv45 32))) (bvslt (bvadd (bvadd (bvadd (bvmul (_ bv80 32) ?y6) (bvmul (_ bv58 32) ?y5)) (bvmul (_ bv28 32) ?y4)) (bvmul (_ bv8 32) ?y3)) (_ bv28 32))) (or (and (not (= (bvadd (bvadd (bvadd (bvadd (bvmul (_ bv37 32) ?y6) ?v_25) (bvmul (bvneg (_ bv24 32)) ?y4)) (bvmul (bvneg (_ bv32 32)) ?y3)) (bvmul (_ bv17 32) x1)) (bvneg (_ bv78 32)))) (not (= (bvadd (bvmul (_ bv94 32) ?y5) (bvmul (_ bv14 32) ?y4)) (bvneg (_ bv30 32))))) (or (bvslt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv20 32)) ?y6) ?v_25) (bvmul (bvneg (_ bv1 32)) ?y4)) (bvmul (bvneg (_ bv69 32)) x1)) (_ bv82 32)) (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv9 32)) ?y5) (bvmul (_ bv43 32) ?y4)) (bvmul (bvneg (_ bv34 32)) ?y3)) (bvneg (_ bv71 32))))))))))) (forall ((?y6 (_ BitVec 32))) (or (and (and (not (= (bvadd (bvmul (_ bv74 32) ?y3) (bvmul (_ bv28 32) x1)) (_ bv29 32))) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv37 32)) ?y6) (bvmul (bvneg (_ bv92 32)) ?y4)) (bvmul (_ bv18 32) ?y3)) (_ bv0 32))) (or (or (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv29 32)) ?y6) (bvmul (_ bv22 32) ?y4)) (bvmul (_ bv76 32) ?y3)) (bvneg (_ bv25 32))) (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv100 32)) ?y6) (bvmul (bvneg (_ bv54 32)) ?y3)) (bvmul (bvneg (_ bv13 32)) x1)) (_ bv67 32))) (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv83 32)) ?y6) (bvmul (_ bv50 32) ?y4)) (bvmul (_ bv25 32) ?y3)) (bvmul (_ bv53 32) x1)) (_ bv0 32)))) (and (or (= (bvadd (bvadd (bvmul (bvneg (_ bv39 32)) ?y6) (bvmul (bvneg (_ bv35 32)) ?y3)) (bvmul (bvneg (_ bv7 32)) x1)) (_ bv63 32)) (not (= (bvadd (bvmul (bvneg (_ bv60 32)) ?y6) (bvmul (bvneg (_ bv2 32)) x1)) (_ bv35 32)))) (and (bvslt (bvadd (bvadd (bvmul (_ bv25 32) ?y6) (bvmul (_ bv52 32) ?y3)) (bvmul (bvneg (_ bv60 32)) x1)) (_ bv46 32)) (bvsle (bvadd (bvadd (bvmul (_ bv80 32) ?y6) (bvmul (_ bv94 32) ?y4)) (bvmul (bvneg (_ bv71 32)) x1)) (_ bv63 32)))))))))))))
(check-sat)
(exit)
