(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(declare-fun y3 () (_ BitVec 32))
(declare-fun y5 () (_ BitVec 32))
(declare-fun y6 () (_ BitVec 32))
(declare-fun x1 () (_ BitVec 32))
(declare-fun y2 () (_ BitVec 32))
(declare-fun y4 () (_ BitVec 32))
(assert (and (forall ((?y3 (_ BitVec 32))) (forall ((?y5 (_ BitVec 32))) (and (exists ((?y6 (_ BitVec 32))) (let ((?v_0 (bvmul (_ bv2 32) ?y3)) (?v_1 (bvmul (_ bv78 32) ?y5)) (?v_2 (bvmul (bvneg (_ bv36 32)) ?y6))) (and (or (or (and (and (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv33 32)) ?y6) (bvmul (bvneg (_ bv16 32)) ?y5)) (bvmul (_ bv75 32) ?y3)) (_ bv94 32)) (bvsgt (bvadd (bvadd (bvadd (bvmul (_ bv56 32) ?y6) (bvmul (_ bv24 32) ?y5)) (bvmul (bvneg (_ bv93 32)) ?y3)) (bvmul (bvneg (_ bv29 32)) x1)) (_ bv0 32))) (or (bvsle (bvadd (bvmul (bvneg (_ bv88 32)) ?y5) (bvmul (bvneg (_ bv6 32)) ?y3)) (bvneg (_ bv64 32))) (bvsle (bvadd (bvadd (bvmul (_ bv49 32) ?y5) (bvmul (bvneg (_ bv41 32)) ?y3)) (bvmul (_ bv63 32) x1)) (bvneg (_ bv73 32))))) (and (and (not (= (bvadd (bvadd (bvmul (_ bv58 32) ?y6) (bvmul (_ bv50 32) ?y5)) (bvmul (bvneg (_ bv93 32)) x1)) (_ bv87 32))) (bvsge (bvadd (bvadd (bvmul (_ bv100 32) ?y5) (bvmul (_ bv49 32) ?y3)) (bvmul (bvneg (_ bv10 32)) x1)) (_ bv94 32))) (or (not (= (bvadd (bvadd (bvadd (bvmul (_ bv100 32) ?y6) (bvmul (_ bv63 32) ?y5)) ?v_0) (bvmul (bvneg (_ bv83 32)) x1)) (_ bv75 32))) (= (bvadd (bvadd (bvmul (_ bv91 32) ?y5) ?v_0) (bvmul (bvneg (_ bv17 32)) x1)) (_ bv0 32))))) (and (and (or (bvsge (bvadd (bvmul (_ bv84 32) ?y5) (bvmul (_ bv46 32) x1)) (_ bv49 32)) (= (bvadd (bvadd ?v_2 (bvmul (_ bv1 32) ?y3)) (bvmul (_ bv7 32) x1)) (_ bv8 32))) (or (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv19 32)) ?y6) (bvmul (bvneg (_ bv12 32)) ?y5)) (bvmul (_ bv29 32) ?y3)) (bvneg (_ bv12 32))) (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv76 32)) ?y6) (bvmul (bvneg (_ bv20 32)) ?y5)) (bvmul (_ bv45 32) ?y3)) (_ bv93 32)))) (or (and (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv78 32)) ?y6) (bvmul (bvneg (_ bv68 32)) ?y5)) (bvmul (_ bv59 32) ?y3)) (bvmul (_ bv24 32) x1)) (_ bv68 32)) (= (bvmul (_ bv73 32) ?y5) (_ bv0 32))) (or (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv58 32)) ?y6) ?v_1) (bvmul (_ bv55 32) x1)) (_ bv0 32)) (= (bvadd (bvmul (_ bv55 32) ?y6) (bvmul (_ bv86 32) x1)) (_ bv2 32)))))) (or (or (and (bvsge (bvmul (bvneg (_ bv44 32)) ?y5) (bvneg (_ bv14 32))) (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv23 32)) ?y6) (bvmul (bvneg (_ bv64 32)) ?y5)) (bvmul (bvneg (_ bv36 32)) ?y3)) (bvmul (_ bv75 32) x1)) (_ bv0 32))) (and (bvslt (bvmul (_ bv73 32) ?y6) (bvneg (_ bv2 32))) (bvsgt (bvmul (bvneg (_ bv43 32)) ?y5) (_ bv77 32)))) (and (or (= (bvadd (bvadd (bvmul (bvneg (_ bv48 32)) ?y6) (bvmul (_ bv82 32) ?y5)) (bvmul (_ bv18 32) x1)) (bvneg (_ bv63 32))) (= (bvadd ?v_1 (bvmul (_ bv42 32) ?y3)) (_ bv42 32))) (bvsge (bvadd ?v_2 (bvmul (bvneg (_ bv48 32)) ?y3)) (bvneg (_ bv5 32)))))))) (forall ((?y6 (_ BitVec 32))) (let ((?v_6 (bvmul (_ bv18 32) x1)) (?v_4 (bvmul (_ bv12 32) ?y5)) (?v_8 (bvmul (_ bv2 32) ?y5)) (?v_10 (bvmul (_ bv93 32) x1)) (?v_7 (bvmul (bvneg (_ bv36 32)) ?y5)) (?v_3 (bvmul (bvneg (_ bv28 32)) ?y6)) (?v_5 (bvmul (bvneg (_ bv66 32)) x1)) (?v_12 (bvmul (bvneg (_ bv74 32)) ?y5)) (?v_11 (bvmul (bvneg (_ bv35 32)) ?y5)) (?v_9 (bvmul (bvneg (_ bv53 32)) x1))) (or (and (and (or (and (or (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv14 32)) ?y6) ?v_7) (bvmul (bvneg (_ bv63 32)) x1)) (_ bv14 32)) (bvsle (bvadd (bvadd (bvadd ?v_3 ?v_4) (bvmul (bvneg (_ bv91 32)) ?y3)) (bvmul (bvneg (_ bv69 32)) x1)) (_ bv0 32))) (or (= (bvadd (bvadd (bvmul (_ bv45 32) ?y6) (bvmul (bvneg (_ bv67 32)) ?y5)) (bvmul (bvneg (_ bv54 32)) ?y3)) (_ bv93 32)) (= (bvadd (bvadd (bvadd ?v_3 (bvmul (bvneg (_ bv42 32)) ?y5)) (bvmul (_ bv96 32) ?y3)) (bvmul (_ bv19 32) x1)) (_ bv18 32)))) (or (or (bvslt (bvadd (bvmul (bvneg (_ bv87 32)) ?y3) (bvmul (_ bv95 32) x1)) (bvneg (_ bv35 32))) (= (bvadd (bvmul (bvneg (_ bv99 32)) ?y6) (bvmul (_ bv58 32) x1)) (bvneg (_ bv27 32)))) (or (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv71 32)) ?y5) (bvmul (_ bv77 32) ?y3)) ?v_6) (_ bv0 32)) (bvslt (bvadd (bvadd (bvadd (bvmul (_ bv70 32) ?y6) (bvmul (_ bv50 32) ?y5)) (bvmul (bvneg (_ bv46 32)) ?y3)) (bvmul (bvneg (_ bv68 32)) x1)) (bvneg (_ bv5 32)))))) (and (and (or (bvsge (bvmul (_ bv74 32) ?y3) (bvneg (_ bv35 32))) (bvslt (bvadd (bvmul (bvneg (_ bv83 32)) ?y6) (bvmul (_ bv86 32) ?y3)) (_ bv10 32))) (= (bvmul (_ bv2 32) ?y3) (_ bv50 32))) (and (or (not (= (bvadd (bvadd (bvmul (bvneg (_ bv75 32)) ?y5) (bvmul (_ bv23 32) ?y3)) (bvmul (bvneg (_ bv81 32)) x1)) (_ bv0 32))) (bvsgt (bvadd (bvadd (bvadd (bvmul (_ bv27 32) ?y6) (bvmul (_ bv32 32) ?y5)) (bvmul (bvneg (_ bv77 32)) ?y3)) (bvmul (bvneg (_ bv21 32)) x1)) (_ bv74 32))) (or (bvslt (bvadd (bvadd (bvadd (bvmul (_ bv36 32) ?y6) (bvmul (bvneg (_ bv32 32)) ?y5)) (bvmul (bvneg (_ bv48 32)) ?y3)) ?v_5) (_ bv1 32)) (bvsgt (bvadd (bvmul (_ bv55 32) ?y6) ?v_8) (_ bv74 32)))))) (and (or (bvsgt ?v_4 (_ bv83 32)) (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv35 32)) ?y6) (bvmul (_ bv69 32) ?y5)) (bvmul (_ bv55 32) ?y3)) (bvmul (_ bv98 32) x1)) (_ bv99 32))) (or (or (or (bvsge (bvadd (bvmul (bvneg (_ bv94 32)) ?y5) (bvmul (bvneg (_ bv5 32)) x1)) (_ bv0 32)) (bvsgt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv87 32)) ?y6) (bvmul (_ bv11 32) ?y5)) (bvmul (_ bv92 32) ?y3)) (bvmul (bvneg (_ bv39 32)) x1)) (bvneg (_ bv97 32)))) (or (= (bvadd (bvadd (bvmul (_ bv87 32) ?y6) (bvmul (bvneg (_ bv90 32)) ?y3)) (bvmul (_ bv34 32) x1)) (bvneg (_ bv81 32))) (= (bvadd (bvmul (_ bv74 32) ?y6) (bvmul (bvneg (_ bv98 32)) ?y3)) (bvneg (_ bv27 32))))) (or (= (bvadd (bvmul (bvneg (_ bv44 32)) ?y5) ?v_10) (bvneg (_ bv1 32))) (bvsle (bvadd (bvmul (bvneg (_ bv90 32)) ?y6) (bvmul (_ bv32 32) x1)) (_ bv5 32)))))) (or (or (and (and (or (bvsge (bvadd (bvmul (_ bv87 32) ?y5) (bvmul (_ bv11 32) ?y3)) (_ bv88 32)) (not (= (bvadd (bvadd (bvadd (bvmul (_ bv2 32) ?y6) ?v_12) (bvmul (_ bv73 32) ?y3)) (bvmul (_ bv42 32) x1)) (_ bv0 32)))) (or (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv39 32)) ?y6) ?v_11) (bvmul (_ bv91 32) ?y3)) ?v_5) (bvneg (_ bv39 32))) (bvsle (bvadd (bvadd (bvadd (bvmul (_ bv17 32) ?y6) (bvmul (bvneg (_ bv26 32)) ?y5)) (bvmul (_ bv20 32) ?y3)) ?v_6) (bvneg (_ bv42 32))))) (and (and (bvsge (bvadd (bvadd (bvmul (_ bv64 32) ?y6) (bvmul (bvneg (_ bv14 32)) ?y5)) (bvmul (bvneg (_ bv33 32)) ?y3)) (_ bv0 32)) (not (= (bvadd (bvmul (_ bv66 32) ?y3) ?v_9) (bvneg (_ bv61 32))))) (and (bvsgt (bvadd (bvmul (bvneg (_ bv43 32)) ?y6) ?v_7) (bvneg (_ bv28 32))) (= (bvadd (bvadd (bvadd (bvmul (_ bv53 32) ?y6) ?v_8) (bvmul (bvneg (_ bv24 32)) ?y3)) (bvmul (bvneg (_ bv16 32)) x1)) (bvneg (_ bv3 32)))))) (or (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv17 32)) ?y6) (bvmul (bvneg (_ bv68 32)) ?y5)) (bvmul (bvneg (_ bv6 32)) x1)) (_ bv73 32)) (or (not (= (bvadd (bvmul (_ bv74 32) ?y5) (bvmul (_ bv72 32) x1)) (bvneg (_ bv9 32)))) (bvsgt (bvadd (bvadd (bvmul (_ bv80 32) ?y6) (bvmul (_ bv25 32) ?y3)) ?v_9) (bvneg (_ bv69 32)))))) (or (and (and (and (bvsge (bvadd (bvadd (bvmul (_ bv34 32) ?y6) (bvmul (_ bv56 32) ?y5)) (bvmul (bvneg (_ bv77 32)) x1)) (_ bv0 32)) (bvsge (bvadd (bvadd (bvadd (bvmul (_ bv60 32) ?y6) (bvmul (bvneg (_ bv56 32)) ?y5)) (bvmul (_ bv68 32) ?y3)) ?v_10) (_ bv0 32))) (and (= (bvadd (bvadd (bvmul (_ bv61 32) ?y6) (bvmul (bvneg (_ bv16 32)) ?y5)) (bvmul (bvneg (_ bv38 32)) ?y3)) (bvneg (_ bv30 32))) (bvsle (bvadd (bvadd (bvadd (bvmul (_ bv28 32) ?y6) (bvmul (bvneg (_ bv59 32)) ?y5)) (bvmul (_ bv72 32) ?y3)) (bvmul (bvneg (_ bv44 32)) x1)) (bvneg (_ bv57 32))))) (or (and (bvslt (bvadd (bvadd (bvadd (bvmul (_ bv32 32) ?y6) (bvmul (bvneg (_ bv31 32)) ?y5)) (bvmul (bvneg (_ bv49 32)) ?y3)) (bvmul (_ bv39 32) x1)) (bvneg (_ bv80 32))) (not (= (bvadd (bvmul (bvneg (_ bv48 32)) ?y6) (bvmul (bvneg (_ bv50 32)) x1)) (bvneg (_ bv88 32))))) (or (bvsgt (bvadd (bvadd (bvmul (_ bv65 32) ?y6) (bvmul (_ bv84 32) ?y5)) (bvmul (bvneg (_ bv12 32)) ?y3)) (_ bv95 32)) (not (= (bvadd (bvadd ?v_11 (bvmul (bvneg (_ bv18 32)) ?y3)) (bvmul (bvneg (_ bv8 32)) x1)) (_ bv0 32)))))) (or (or (and (bvsge (bvadd (bvadd (bvmul (_ bv35 32) ?y6) (bvmul (_ bv93 32) ?y5)) (bvmul (bvneg (_ bv56 32)) ?y3)) (_ bv0 32)) (= (bvadd (bvadd (bvmul (bvneg (_ bv25 32)) ?y6) (bvmul (bvneg (_ bv86 32)) ?y5)) (bvmul (bvneg (_ bv9 32)) ?y3)) (bvneg (_ bv42 32)))) (or (bvsle (bvadd (bvmul (_ bv30 32) ?y6) (bvmul (_ bv62 32) x1)) (_ bv0 32)) (not (= (bvadd (bvadd (bvmul (_ bv11 32) ?y6) ?v_12) (bvmul (_ bv29 32) x1)) (bvneg (_ bv97 32)))))) (or (and (bvsle (bvadd (bvmul (bvneg (_ bv84 32)) ?y6) (bvmul (_ bv47 32) ?y3)) (_ bv0 32)) (= (bvadd (bvmul (bvneg (_ bv12 32)) ?y6) (bvmul (_ bv61 32) ?y3)) (bvneg (_ bv42 32)))) (or (not (= (bvadd (bvadd (bvmul (bvneg (_ bv95 32)) ?y5) (bvmul (bvneg (_ bv81 32)) ?y3)) (bvmul (bvneg (_ bv27 32)) x1)) (_ bv0 32))) (bvsge (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv7 32)) ?y6) (bvmul (bvneg (_ bv96 32)) ?y5)) (bvmul (_ bv3 32) ?y3)) (bvmul (_ bv63 32) x1)) (bvneg (_ bv89 32)))))))))))))) (and (exists ((?y2 (_ BitVec 32))) (forall ((?y3 (_ BitVec 32))) (exists ((?y4 (_ BitVec 32))) (forall ((?y5 (_ BitVec 32))) (let ((?v_14 (bvmul (_ bv68 32) ?y5)) (?v_16 (bvmul (_ bv44 32) ?y3)) (?v_15 (bvmul (bvneg (_ bv16 32)) x1)) (?v_13 (bvmul (bvneg (_ bv58 32)) x1))) (and (and (or (and (= (bvadd (bvadd (bvmul (bvneg (_ bv95 32)) ?y5) (bvmul (_ bv5 32) ?y3)) (bvmul (_ bv36 32) ?y2)) (bvneg (_ bv31 32))) (bvsle (bvadd (bvadd (bvadd ?v_14 (bvmul (bvneg (_ bv24 32)) ?y4)) (bvmul (_ bv73 32) ?y2)) (bvmul (_ bv95 32) x1)) (bvneg (_ bv55 32)))) (and (and (= (bvadd (bvadd (bvmul (bvneg (_ bv9 32)) ?y3) (bvmul (_ bv92 32) ?y2)) (bvmul (bvneg (_ bv56 32)) x1)) (bvneg (_ bv96 32))) (= (bvadd (bvmul (bvneg (_ bv84 32)) ?y4) (bvmul (bvneg (_ bv6 32)) ?y2)) (bvneg (_ bv96 32)))) (or (not (= (bvadd (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv99 32)) ?y5) (bvmul (bvneg (_ bv68 32)) ?y4)) (bvmul (bvneg (_ bv51 32)) ?y3)) (bvmul (bvneg (_ bv65 32)) ?y2)) ?v_13) (bvneg (_ bv70 32)))) (bvsge (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv40 32)) ?y4) (bvmul (_ bv96 32) ?y3)) (bvmul (_ bv30 32) ?y2)) (bvmul (_ bv88 32) x1)) (_ bv0 32))))) (and (and (and (or (bvsge (bvmul (_ bv89 32) ?y3) (_ bv31 32)) (bvsgt (bvadd (bvadd (bvmul (_ bv22 32) ?y3) (bvmul (bvneg (_ bv27 32)) ?y2)) ?v_13) (bvneg (_ bv75 32)))) (and (bvsle (bvmul (_ bv82 32) ?y2) (bvneg (_ bv58 32))) (bvsge (bvadd (bvadd (bvadd (bvadd ?v_14 (bvmul (_ bv87 32) ?y4)) (bvmul (bvneg (_ bv18 32)) ?y3)) (bvmul (_ bv79 32) ?y2)) ?v_15) (bvneg (_ bv86 32))))) (and (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv59 32)) ?y5) (bvmul (_ bv30 32) ?y4)) (bvmul (bvneg (_ bv16 32)) ?y3)) ?v_15) (_ bv6 32)) (bvsle (bvadd (bvadd (bvadd (bvmul (_ bv58 32) ?y5) (bvmul (bvneg (_ bv85 32)) ?y4)) (bvmul (bvneg (_ bv58 32)) ?y3)) (bvmul (bvneg (_ bv47 32)) ?y2)) (_ bv0 32)))) (and (and (bvsge (bvadd (bvadd (bvadd (bvmul (_ bv85 32) ?y4) (bvmul (bvneg (_ bv34 32)) ?y3)) (bvmul (bvneg (_ bv97 32)) ?y2)) (bvmul (_ bv49 32) x1)) (_ bv67 32)) (or (= (bvadd (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv36 32)) ?y5) (bvmul (_ bv90 32) ?y4)) (bvmul (_ bv50 32) ?y3)) (bvmul (bvneg (_ bv25 32)) ?y2)) (bvmul (bvneg (_ bv55 32)) x1)) (_ bv0 32)) (bvsgt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv21 32)) ?y4) (bvmul (bvneg (_ bv88 32)) ?y3)) (bvmul (_ bv54 32) ?y2)) (bvmul (bvneg (_ bv5 32)) x1)) (_ bv0 32)))) (or (or (bvsge (bvadd (bvmul (_ bv83 32) ?y3) (bvmul (bvneg (_ bv31 32)) ?y2)) (bvneg (_ bv26 32))) (not (= (bvadd (bvadd (bvadd (bvadd (bvmul (_ bv37 32) ?y5) (bvmul (bvneg (_ bv77 32)) ?y4)) (bvmul (bvneg (_ bv77 32)) ?y3)) (bvmul (_ bv7 32) ?y2)) (bvmul (bvneg (_ bv20 32)) x1)) (bvneg (_ bv30 32))))) (or (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv42 32)) ?y4) (bvmul (bvneg (_ bv35 32)) ?y3)) (bvmul (bvneg (_ bv24 32)) x1)) (_ bv97 32)) (bvsle (bvadd (bvmul (_ bv55 32) ?y5) (bvmul (_ bv17 32) x1)) (_ bv5 32))))))) (and (and (or (and (= (bvadd (bvadd (bvadd (bvadd (bvmul (_ bv25 32) ?y5) (bvmul (_ bv33 32) ?y4)) (bvmul (_ bv82 32) ?y3)) (bvmul (bvneg (_ bv94 32)) ?y2)) (bvmul (bvneg (_ bv47 32)) x1)) (bvneg (_ bv21 32))) (bvsgt (bvadd (bvadd (bvmul (_ bv21 32) ?y5) (bvmul (_ bv14 32) ?y2)) (bvmul (bvneg (_ bv71 32)) x1)) (_ bv32 32))) (bvsgt (bvadd (bvadd (bvadd (bvadd (bvmul (_ bv40 32) ?y5) (bvmul (bvneg (_ bv13 32)) ?y4)) (bvmul (bvneg (_ bv3 32)) ?y3)) (bvmul (bvneg (_ bv84 32)) ?y2)) (bvmul (bvneg (_ bv72 32)) x1)) (bvneg (_ bv54 32)))) (and (and (and (forall ((?y6 (_ BitVec 32))) (bvsge (bvadd (bvadd (bvadd (bvmul (_ bv88 32) ?y6) (bvmul (_ bv67 32) ?y4)) (bvmul (_ bv3 32) ?y2)) (bvmul (_ bv41 32) x1)) (bvneg (_ bv23 32)))) (or (not (= (bvadd (bvmul (_ bv5 32) ?y4) (bvmul (_ bv10 32) ?y3)) (_ bv14 32))) (bvsge (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv34 32)) ?y4) (bvmul (_ bv94 32) ?y3)) (bvmul (bvneg (_ bv82 32)) ?y2)) (bvmul (bvneg (_ bv91 32)) x1)) (_ bv0 32)))) (and (and (= (bvadd (bvadd (bvadd (bvmul (_ bv77 32) ?y5) (bvmul (bvneg (_ bv29 32)) ?y4)) (bvmul (bvneg (_ bv60 32)) ?y3)) (bvmul (_ bv76 32) ?y2)) (_ bv66 32)) (bvsge (bvadd (bvadd (bvadd (bvmul (_ bv83 32) ?y4) (bvmul (bvneg (_ bv5 32)) ?y3)) (bvmul (_ bv56 32) ?y2)) (bvmul (_ bv69 32) x1)) (_ bv19 32))) (or (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv30 32)) ?y5) (bvmul (_ bv14 32) ?y4)) ?v_16) (bvmul (bvneg (_ bv19 32)) x1)) (bvneg (_ bv24 32))) (bvsle (bvadd (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv77 32)) ?y5) (bvmul (bvneg (_ bv20 32)) ?y4)) ?v_16) (bvmul (bvneg (_ bv21 32)) ?y2)) (bvmul (_ bv55 32) x1)) (_ bv24 32))))) (forall ((?y6 (_ BitVec 32))) (and (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv33 32)) ?y5) (bvmul (_ bv52 32) ?y2)) (bvmul (bvneg (_ bv7 32)) x1)) (_ bv44 32)) (bvsge (bvadd (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv26 32)) ?y6) (bvmul (_ bv65 32) ?y5)) (bvmul (bvneg (_ bv67 32)) ?y4)) (bvmul (_ bv68 32) ?y3)) (bvmul (bvneg (_ bv71 32)) x1)) (bvneg (_ bv56 32))))))) (exists ((?y6 (_ BitVec 32))) (and (or (and (not (= (bvadd (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv34 32)) ?y6) (bvmul (bvneg (_ bv19 32)) ?y5)) (bvmul (bvneg (_ bv15 32)) ?y4)) (bvmul (bvneg (_ bv99 32)) ?y3)) (bvmul (_ bv62 32) ?y2)) (_ bv81 32))) (= (bvadd (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv69 32)) ?y6) (bvmul (bvneg (_ bv22 32)) ?y4)) (bvmul (_ bv19 32) ?y3)) (bvmul (bvneg (_ bv95 32)) ?y2)) (bvmul (_ bv54 32) x1)) (_ bv0 32))) (and (not (= (bvadd (bvadd (bvadd (bvadd (bvmul (_ bv51 32) ?y6) (bvmul (bvneg (_ bv83 32)) ?y5)) (bvmul (_ bv94 32) ?y4)) (bvmul (_ bv75 32) ?y3)) (bvmul (bvneg (_ bv64 32)) x1)) (_ bv63 32))) (bvsle (bvadd (bvadd (bvmul (_ bv54 32) ?y6) (bvmul (bvneg (_ bv83 32)) ?y4)) (bvmul (bvneg (_ bv21 32)) x1)) (bvneg (_ bv76 32))))) (and (bvsge (bvadd (bvadd (bvadd (bvadd (bvadd (bvmul (_ bv2 32) ?y6) (bvmul (bvneg (_ bv64 32)) ?y5)) (bvmul (_ bv55 32) ?y4)) (bvmul (_ bv68 32) ?y3)) (bvmul (bvneg (_ bv8 32)) ?y2)) (bvmul (_ bv51 32) x1)) (_ bv0 32)) (or (bvsge (bvadd (bvadd (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv59 32)) ?y6) (bvmul (_ bv33 32) ?y5)) (bvmul (bvneg (_ bv20 32)) ?y4)) (bvmul (_ bv11 32) ?y3)) (bvmul (bvneg (_ bv23 32)) ?y2)) (bvmul (_ bv17 32) x1)) (bvneg (_ bv20 32))) (bvsge (bvadd (bvadd (bvadd (bvadd (bvmul (_ bv55 32) ?y6) (bvmul (bvneg (_ bv11 32)) ?y5)) (bvmul (_ bv49 32) ?y4)) (bvmul (bvneg (_ bv65 32)) ?y3)) (bvmul (_ bv26 32) ?y2)) (_ bv28 32))))))))))))) (exists ((?y2 (_ BitVec 32))) (or (or (or (and (or (exists ((?y4 (_ BitVec 32))) (or (or (exists ((?y5 (_ BitVec 32))) (bvsgt (bvadd (bvmul (bvneg (_ bv42 32)) ?y2) (bvmul (bvneg (_ bv73 32)) x1)) (_ bv0 32))) (or (not (= (bvadd (bvmul (_ bv22 32) ?y4) (bvmul (_ bv49 32) x1)) (bvneg (_ bv75 32)))) (= (bvadd (bvmul (bvneg (_ bv61 32)) ?y4) (bvmul (bvneg (_ bv37 32)) ?y2)) (bvneg (_ bv79 32))))) (bvsgt (bvadd (bvmul (bvneg (_ bv34 32)) ?y4) (bvmul (bvneg (_ bv75 32)) x1)) (_ bv66 32)))) (or (and (exists ((?y4 (_ BitVec 32))) (or (bvslt (bvadd (bvmul (_ bv78 32) ?y2) (bvmul (bvneg (_ bv39 32)) x1)) (_ bv0 32)) (bvsge (bvadd (bvadd (bvmul (_ bv8 32) ?y4) (bvmul (_ bv43 32) ?y2)) (bvmul (bvneg (_ bv22 32)) x1)) (bvneg (_ bv8 32))))) (exists ((?y3 (_ BitVec 32))) (and (not (= (bvadd (bvadd (bvmul (bvneg (_ bv17 32)) ?y3) (bvmul (_ bv88 32) ?y2)) (bvmul (_ bv49 32) x1)) (_ bv0 32))) (bvsge (bvadd (bvadd (bvmul (_ bv34 32) ?y3) (bvmul (_ bv23 32) ?y2)) (bvmul (bvneg (_ bv46 32)) x1)) (bvneg (_ bv44 32)))))) (forall ((?y5 (_ BitVec 32))) (or (bvslt (bvadd (bvmul (_ bv74 32) ?y5) (bvmul (bvneg (_ bv93 32)) ?y2)) (_ bv46 32)) (bvsge (bvadd (bvmul (bvneg (_ bv8 32)) ?y5) (bvmul (_ bv66 32) x1)) (bvneg (_ bv38 32))))))) (and (and (or (or (forall ((?y4 (_ BitVec 32))) (= (bvadd (bvmul (bvneg (_ bv67 32)) ?y4) (bvmul (_ bv23 32) ?y2)) (_ bv0 32))) (and (bvslt (bvmul (bvneg (_ bv12 32)) ?y2) (_ bv0 32)) (bvslt (bvmul (_ bv64 32) x1) (_ bv70 32)))) (and (bvslt (bvadd (bvmul (_ bv74 32) ?y2) (bvmul (_ bv67 32) x1)) (bvneg (_ bv59 32))) (= (bvmul (bvneg (_ bv31 32)) ?y2) (_ bv15 32)))) (and (exists ((?y5 (_ BitVec 32))) (bvsle (bvadd (bvadd (bvmul (_ bv42 32) ?y5) (bvmul (bvneg (_ bv58 32)) ?y2)) (bvmul (bvneg (_ bv99 32)) x1)) (_ bv3 32))) (or (forall ((?y4 (_ BitVec 32))) (= (bvmul (bvneg (_ bv49 32)) x1) (bvneg (_ bv97 32)))) (exists ((?y4 (_ BitVec 32))) (bvsge (bvmul (_ bv81 32) ?y4) (bvneg (_ bv2 32))))))) (forall ((?y5 (_ BitVec 32))) (and (or (= (bvadd (bvmul (bvneg (_ bv2 32)) ?y5) (bvmul (_ bv71 32) ?y2)) (bvneg (_ bv90 32))) (bvslt (bvmul (_ bv32 32) x1) (_ bv97 32))) (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv23 32)) ?y5) (bvmul (bvneg (_ bv66 32)) ?y2)) (bvmul (bvneg (_ bv18 32)) x1)) (bvneg (_ bv8 32))))))) (exists ((?y3 (_ BitVec 32))) (forall ((?y4 (_ BitVec 32))) (and (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv49 32)) ?y4) (bvmul (bvneg (_ bv1 32)) ?y2)) (bvmul (bvneg (_ bv58 32)) x1)) (_ bv0 32)) (or (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv40 32)) ?y3) (bvmul (bvneg (_ bv61 32)) ?y2)) (bvmul (bvneg (_ bv91 32)) x1)) (_ bv0 32)) (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv23 32)) ?y3) (bvmul (_ bv44 32) ?y2)) (bvmul (_ bv81 32) x1)) (bvneg (_ bv26 32)))))))) (exists ((?y3 (_ BitVec 32))) (or (forall ((?y5 (_ BitVec 32))) (and (forall ((?y6 (_ BitVec 32))) (let ((?v_17 (bvmul (_ bv53 32) ?y5))) (and (and (not (= (bvadd (bvadd (bvadd (bvmul (_ bv34 32) ?y6) (bvmul (_ bv73 32) ?y5)) (bvmul (bvneg (_ bv46 32)) ?y3)) (bvmul (bvneg (_ bv65 32)) ?y2)) (_ bv69 32))) (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv5 32)) ?y6) (bvmul (bvneg (_ bv91 32)) ?y3)) (bvmul (_ bv75 32) ?y2)) (_ bv0 32))) (and (= (bvadd (bvadd (bvadd (bvmul (_ bv98 32) ?y6) ?v_17) (bvmul (bvneg (_ bv49 32)) ?y2)) (bvmul (_ bv11 32) x1)) (_ bv0 32)) (= (bvadd (bvadd ?v_17 (bvmul (bvneg (_ bv85 32)) ?y2)) (bvmul (bvneg (_ bv78 32)) x1)) (_ bv0 32)))))) (or (and (not (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv26 32)) ?y5) (bvmul (bvneg (_ bv25 32)) ?y3)) (bvmul (bvneg (_ bv21 32)) ?y2)) (bvmul (bvneg (_ bv77 32)) x1)) (_ bv71 32))) (not (= (bvadd (bvadd (bvadd (bvmul (_ bv80 32) ?y5) (bvmul (bvneg (_ bv44 32)) ?y3)) (bvmul (_ bv93 32) ?y2)) (bvmul (bvneg (_ bv90 32)) x1)) (_ bv0 32)))) (or (= (bvadd (bvadd (bvmul (_ bv40 32) ?y5) (bvmul (bvneg (_ bv10 32)) ?y3)) (bvmul (bvneg (_ bv98 32)) x1)) (_ bv0 32)) (= (bvadd (bvadd (bvmul (_ bv19 32) ?y5) (bvmul (_ bv85 32) ?y3)) (bvmul (bvneg (_ bv69 32)) ?y2)) (_ bv96 32)))))) (and (exists ((?y4 (_ BitVec 32))) (or (forall ((?y5 (_ BitVec 32))) (forall ((?y6 (_ BitVec 32))) (bvsge (bvadd (bvadd (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv68 32)) ?y6) (bvmul (_ bv92 32) ?y5)) (bvmul (_ bv59 32) ?y4)) (bvmul (_ bv64 32) ?y3)) (bvmul (_ bv2 32) ?y2)) (bvmul (_ bv94 32) x1)) (bvneg (_ bv8 32))))) (or (forall ((?y6 (_ BitVec 32))) (bvsge (bvadd (bvadd (bvadd (bvadd (bvmul (_ bv19 32) ?y6) (bvmul (_ bv94 32) ?y4)) (bvmul (bvneg (_ bv60 32)) ?y3)) (bvmul (_ bv49 32) ?y2)) (bvmul (_ bv67 32) x1)) (bvneg (_ bv8 32)))) (or (not (= (bvadd (bvadd (bvmul (_ bv97 32) ?y4) (bvmul (bvneg (_ bv42 32)) ?y3)) (bvmul (bvneg (_ bv70 32)) x1)) (bvneg (_ bv60 32)))) (not (= (bvadd (bvadd (bvmul (_ bv78 32) ?y3) (bvmul (_ bv36 32) ?y2)) (bvmul (_ bv52 32) x1)) (bvneg (_ bv48 32)))))))) (forall ((?y4 (_ BitVec 32))) (forall ((?y5 (_ BitVec 32))) (or (and (bvsle (bvadd (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv52 32)) ?y5) (bvmul (_ bv63 32) ?y4)) (bvmul (_ bv100 32) ?y3)) (bvmul (_ bv41 32) ?y2)) (bvmul (_ bv6 32) x1)) (_ bv89 32)) (bvsgt (bvadd (bvadd (bvadd (bvmul (_ bv82 32) ?y5) (bvmul (bvneg (_ bv31 32)) ?y4)) (bvmul (_ bv3 32) ?y3)) (bvmul (_ bv79 32) ?y2)) (_ bv0 32))) (and (forall ((?y6 (_ BitVec 32))) (not (= (bvadd (bvadd (bvadd (bvadd (bvmul (_ bv52 32) ?y6) (bvmul (bvneg (_ bv60 32)) ?y5)) (bvmul (bvneg (_ bv8 32)) ?y3)) (bvmul (bvneg (_ bv56 32)) ?y2)) (bvmul (_ bv87 32) x1)) (_ bv86 32)))) (forall ((?y6 (_ BitVec 32))) (= (bvadd (bvadd (bvmul (bvneg (_ bv18 32)) ?y5) (bvmul (bvneg (_ bv15 32)) ?y4)) (bvmul (_ bv19 32) x1)) (_ bv90 32))))))))))) (and (forall ((?y3 (_ BitVec 32))) (exists ((?y4 (_ BitVec 32))) (exists ((?y5 (_ BitVec 32))) (forall ((?y6 (_ BitVec 32))) (let ((?v_18 (bvmul (_ bv48 32) ?y4))) (and (or (bvslt (bvadd (bvadd (bvadd (bvadd (bvadd (bvmul (_ bv88 32) ?y6) (bvmul (_ bv25 32) ?y5)) (bvmul (_ bv26 32) ?y4)) (bvmul (_ bv20 32) ?y3)) (bvmul (bvneg (_ bv12 32)) ?y2)) (bvmul (bvneg (_ bv96 32)) x1)) (_ bv28 32)) (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv45 32)) ?y6) (bvmul (bvneg (_ bv40 32)) ?y5)) (bvmul (_ bv68 32) ?y4)) (bvneg (_ bv35 32)))) (and (or (bvsgt (bvadd (bvadd (bvadd (bvadd (bvmul (_ bv43 32) ?y6) (bvmul (_ bv17 32) ?y5)) (bvmul (_ bv5 32) ?y4)) (bvmul (_ bv95 32) ?y3)) (bvmul (_ bv63 32) x1)) (_ bv0 32)) (bvslt (bvadd (bvadd (bvadd (bvadd (bvmul (_ bv70 32) ?y6) (bvmul (_ bv69 32) ?y5)) ?v_18) (bvmul (bvneg (_ bv38 32)) ?y2)) (bvmul (_ bv62 32) x1)) (_ bv0 32))) (and (bvslt (bvadd (bvadd ?v_18 (bvmul (bvneg (_ bv40 32)) ?y3)) (bvmul (bvneg (_ bv69 32)) x1)) (_ bv40 32)) (bvsgt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv19 32)) ?y5) (bvmul (_ bv17 32) ?y3)) (bvmul (_ bv61 32) ?y2)) (bvmul (_ bv97 32) x1)) (_ bv0 32)))))))))) (forall ((?y3 (_ BitVec 32))) (forall ((?y5 (_ BitVec 32))) (or (exists ((?y6 (_ BitVec 32))) (and (and (bvslt (bvadd (bvadd (bvadd (bvmul (_ bv42 32) ?y6) (bvmul (bvneg (_ bv36 32)) ?y5)) (bvmul (_ bv26 32) ?y2)) (bvmul (_ bv93 32) x1)) (bvneg (_ bv53 32))) (bvsle (bvadd (bvadd (bvadd (bvmul (_ bv30 32) ?y6) (bvmul (bvneg (_ bv69 32)) ?y3)) (bvmul (_ bv4 32) ?y2)) (bvmul (_ bv76 32) x1)) (bvneg (_ bv48 32)))) (and (and (bvsle (bvadd (bvadd (bvmul (_ bv48 32) ?y3) (bvmul (_ bv16 32) ?y2)) (bvmul (_ bv19 32) x1)) (bvneg (_ bv16 32))) (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv8 32)) ?y6) (bvmul (_ bv39 32) ?y5)) (bvmul (_ bv96 32) ?y3)) (bvmul (bvneg (_ bv47 32)) x1)) (bvneg (_ bv13 32)))) (or (bvsge (bvadd (bvadd (bvmul (_ bv56 32) ?y3) (bvmul (bvneg (_ bv74 32)) ?y2)) (bvmul (bvneg (_ bv56 32)) x1)) (_ bv67 32)) (bvslt (bvadd (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv21 32)) ?y6) (bvmul (bvneg (_ bv40 32)) ?y5)) (bvmul (_ bv85 32) ?y3)) (bvmul (_ bv38 32) ?y2)) (bvmul (_ bv51 32) x1)) (_ bv0 32)))))) (exists ((?y6 (_ BitVec 32))) (or (and (or (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv1 32)) ?y6) (bvmul (bvneg (_ bv57 32)) ?y5)) (bvmul (bvneg (_ bv61 32)) ?y2)) (bvneg (_ bv4 32))) (bvsgt (bvadd (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv95 32)) ?y6) (bvmul (_ bv62 32) ?y5)) (bvmul (bvneg (_ bv18 32)) ?y3)) (bvmul (_ bv3 32) ?y2)) (bvmul (_ bv77 32) x1)) (_ bv21 32))) (bvsge (bvadd (bvadd (bvadd (bvmul (_ bv63 32) ?y5) (bvmul (_ bv90 32) ?y3)) (bvmul (_ bv13 32) ?y2)) (bvmul (bvneg (_ bv63 32)) x1)) (_ bv0 32))) (or (or (= (bvadd (bvadd (bvadd (bvmul (_ bv56 32) ?y6) (bvmul (bvneg (_ bv60 32)) ?y5)) (bvmul (bvneg (_ bv38 32)) ?y2)) (bvmul (bvneg (_ bv45 32)) x1)) (_ bv0 32)) (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv22 32)) ?y6) (bvmul (_ bv12 32) ?y2)) (bvmul (_ bv1 32) x1)) (bvneg (_ bv48 32)))) (and (not (= (bvadd (bvadd (bvadd (bvadd (bvmul (_ bv34 32) ?y6) (bvmul (_ bv50 32) ?y5)) (bvmul (_ bv57 32) ?y3)) (bvmul (bvneg (_ bv23 32)) ?y2)) (bvmul (bvneg (_ bv23 32)) x1)) (_ bv81 32))) (bvsle (bvadd (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv57 32)) ?y6) (bvmul (_ bv5 32) ?y5)) (bvmul (bvneg (_ bv57 32)) ?y3)) (bvmul (bvneg (_ bv91 32)) ?y2)) (bvmul (bvneg (_ bv1 32)) x1)) (_ bv86 32)))))))))))))))
(check-sat)
(exit)
