(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(declare-fun x1 () (_ BitVec 32))
(declare-fun x2 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(assert (exists ((?x1 (_ BitVec 32))) (forall ((?x2 (_ BitVec 32))) (exists ((?x3 (_ BitVec 32))) (let ((?v_2 (bvmul (_ bv14 32) ?x1)) (?v_0 (bvmul (_ bv88 32) ?x1)) (?v_4 (bvmul (_ bv23 32) ?x1)) (?v_3 (bvmul (_ bv14 32) ?x2)) (?v_1 (bvmul (bvneg (_ bv23 32)) ?x1)) (?v_5 (bvmul (bvneg (_ bv80 32)) ?x2)) (?v_8 (bvmul (bvneg (_ bv71 32)) ?x3)) (?v_7 (bvmul (bvneg (_ bv79 32)) ?x1)) (?v_6 (bvmul (bvneg (_ bv3 32)) ?x3))) (and (and (and (and (and (or (bvsge (bvadd ?v_2 (bvmul (bvneg (_ bv86 32)) ?x2)) (_ bv19 32)) (bvsge (bvadd (bvadd ?v_1 (bvmul (bvneg (_ bv57 32)) ?x2)) (bvmul (bvneg (_ bv60 32)) ?x3)) (bvneg (_ bv80 32)))) (or (bvslt (bvadd (bvadd (bvmul (_ bv50 32) ?x1) (bvmul (_ bv32 32) ?x2)) (bvmul (_ bv46 32) ?x3)) (bvneg (_ bv50 32))) (bvslt (bvmul (bvneg (_ bv80 32)) ?x1) (bvneg (_ bv86 32))))) (and (and (not (= (bvadd (bvmul (bvneg (_ bv98 32)) ?x1) (bvmul (bvneg (_ bv52 32)) ?x3)) (_ bv69 32))) (not (= (bvadd (bvmul (bvneg (_ bv94 32)) ?x1) (bvmul (bvneg (_ bv1 32)) ?x3)) (_ bv63 32)))) (or (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv74 32)) ?x1) (bvmul (bvneg (_ bv30 32)) ?x2)) (bvmul (_ bv8 32) ?x3)) (_ bv0 32)) (not (= (bvadd (bvmul (_ bv99 32) ?x1) (bvmul (bvneg (_ bv97 32)) ?x2)) (_ bv15 32)))))) (or (and (and (bvsle (bvadd (bvadd (bvmul (_ bv72 32) ?x1) (bvmul (bvneg (_ bv35 32)) ?x2)) (bvmul (_ bv95 32) ?x3)) (bvneg (_ bv4 32))) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv6 32)) ?x1) ?v_5) (bvmul (_ bv34 32) ?x3)) (_ bv50 32))) (and (bvslt (bvadd (bvmul (bvneg (_ bv73 32)) ?x1) (bvmul (bvneg (_ bv22 32)) ?x2)) (bvneg (_ bv2 32))) (= (bvadd ?v_0 (bvmul (bvneg (_ bv82 32)) ?x3)) (_ bv0 32)))) (= (bvadd (bvadd (bvmul (bvneg (_ bv92 32)) ?x1) (bvmul (bvneg (_ bv65 32)) ?x2)) (bvmul (_ bv20 32) ?x3)) (bvneg (_ bv4 32))))) (or (or (= (bvadd ?v_0 (bvmul (_ bv40 32) ?x3)) (_ bv0 32)) (or (= (bvadd (bvadd (bvmul (bvneg (_ bv66 32)) ?x1) (bvmul (_ bv75 32) ?x2)) ?v_8) (_ bv30 32)) (not (= (bvadd (bvmul (_ bv76 32) ?x1) (bvmul (bvneg (_ bv40 32)) ?x3)) (_ bv8 32))))) (or (or (or (not (= (bvadd (bvadd (bvmul (bvneg (_ bv26 32)) ?x1) (bvmul (_ bv61 32) ?x2)) (bvmul (_ bv2 32) ?x3)) (bvneg (_ bv90 32)))) (bvslt (bvadd (bvmul (bvneg (_ bv75 32)) ?x1) (bvmul (_ bv48 32) ?x2)) (bvneg (_ bv86 32)))) (bvsle (bvadd (bvmul (_ bv31 32) ?x2) (bvmul (_ bv72 32) ?x3)) (_ bv0 32))) (or (not (= (bvadd (bvmul (_ bv44 32) ?x2) (bvmul (bvneg (_ bv50 32)) ?x3)) (_ bv0 32))) (or (bvsge (bvmul (bvneg (_ bv51 32)) ?x1) (bvneg (_ bv47 32))) (= (bvadd (bvadd (bvmul (bvneg (_ bv63 32)) ?x1) (bvmul (_ bv96 32) ?x2)) (bvmul (bvneg (_ bv32 32)) ?x3)) (_ bv0 32))))))) (or (or (and (or (and (bvsle (bvadd ?v_1 (bvmul (bvneg (_ bv20 32)) ?x2)) (bvneg (_ bv91 32))) (= (bvadd (bvadd (bvmul (bvneg (_ bv70 32)) ?x1) (bvmul (bvneg (_ bv98 32)) ?x2)) (bvmul (_ bv33 32) ?x3)) (_ bv0 32))) (or (not (= (bvadd (bvmul (bvneg (_ bv25 32)) ?x1) (bvmul (bvneg (_ bv18 32)) ?x3)) (bvneg (_ bv54 32)))) (bvsle (bvadd (bvadd ?v_4 (bvmul (bvneg (_ bv82 32)) ?x2)) (bvmul (bvneg (_ bv24 32)) ?x3)) (_ bv32 32)))) (or (and (bvslt (bvadd (bvadd (bvmul (_ bv67 32) ?x1) (bvmul (_ bv4 32) ?x2)) (bvmul (bvneg (_ bv25 32)) ?x3)) (_ bv82 32)) (bvsle (bvadd (bvmul (bvneg (_ bv2 32)) ?x1) (bvmul (_ bv65 32) ?x3)) (bvneg (_ bv31 32)))) (or (not (= (bvmul (bvneg (_ bv62 32)) ?x1) (_ bv33 32))) (not (= (bvadd (bvadd (bvmul (_ bv24 32) ?x1) (bvmul (_ bv30 32) ?x2)) (bvmul (bvneg (_ bv78 32)) ?x3)) (_ bv75 32)))))) (and (or (= (bvadd ?v_7 (bvmul (bvneg (_ bv17 32)) ?x2)) (bvneg (_ bv33 32))) (not (= (bvadd (bvmul (bvneg (_ bv41 32)) ?x1) (bvmul (bvneg (_ bv61 32)) ?x3)) (_ bv53 32)))) (and (and (bvsgt (bvadd ?v_3 (bvmul (bvneg (_ bv76 32)) ?x3)) (_ bv0 32)) (bvsge (bvadd ?v_2 (bvmul (bvneg (_ bv96 32)) ?x3)) (_ bv79 32))) (or (bvslt (bvadd (bvmul (_ bv11 32) ?x1) ?v_3) (_ bv40 32)) (bvslt (bvadd (bvadd ?v_4 (bvmul (bvneg (_ bv10 32)) ?x2)) (bvmul (_ bv59 32) ?x3)) (bvneg (_ bv5 32))))))) (or (and (or (and (bvsgt (bvmul (bvneg (_ bv98 32)) ?x3) (bvneg (_ bv78 32))) (bvslt (bvadd (bvadd (bvmul (_ bv27 32) ?x1) ?v_5) (bvmul (bvneg (_ bv16 32)) ?x3)) (bvneg (_ bv68 32)))) (and (bvslt (bvadd (bvmul (_ bv5 32) ?x1) (bvmul (bvneg (_ bv70 32)) ?x2)) (_ bv97 32)) (bvsge (bvadd (bvadd (bvmul (_ bv61 32) ?x1) (bvmul (bvneg (_ bv74 32)) ?x2)) ?v_6) (bvneg (_ bv92 32))))) (or (or (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv11 32)) ?x1) (bvmul (bvneg (_ bv78 32)) ?x2)) (bvmul (_ bv70 32) ?x3)) (bvneg (_ bv21 32))) (= (bvadd (bvmul (_ bv85 32) ?x1) (bvmul (bvneg (_ bv79 32)) ?x2)) (bvneg (_ bv25 32)))) (and (bvslt (bvadd (bvadd (bvmul (_ bv37 32) ?x1) (bvmul (bvneg (_ bv31 32)) ?x2)) ?v_6) (_ bv79 32)) (bvsgt (bvmul (_ bv7 32) ?x3) (bvneg (_ bv87 32)))))) (and (and (= (bvadd (bvmul (_ bv51 32) ?x1) (bvmul (_ bv48 32) ?x3)) (_ bv3 32)) (bvslt (bvadd (bvmul (bvneg (_ bv69 32)) ?x1) (bvmul (bvneg (_ bv27 32)) ?x2)) (_ bv4 32))) (and (bvsgt (bvadd ?v_7 (bvmul (bvneg (_ bv87 32)) ?x2)) (_ bv92 32)) (bvsle (bvadd (bvadd (bvmul (_ bv38 32) ?x1) (bvmul (_ bv23 32) ?x2)) ?v_8) (_ bv0 32))))))))))))
(check-sat)
(exit)
