(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(declare-fun x1 () (_ BitVec 32))
(declare-fun x2 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(assert (exists ((?x1 (_ BitVec 32))) (forall ((?x2 (_ BitVec 32))) (exists ((?x3 (_ BitVec 32))) (let ((?v_19 (bvmul (_ bv90 32) ?x2)) (?v_24 (bvmul (_ bv47 32) ?x1)) (?v_18 (bvmul (_ bv59 32) ?x3)) (?v_16 (bvmul (_ bv27 32) ?x1)) (?v_8 (bvmul (_ bv29 32) ?x1)) (?v_2 (bvmul (_ bv75 32) ?x2)) (?v_4 (bvmul (_ bv34 32) ?x1)) (?v_13 (bvmul (_ bv95 32) ?x2)) (?v_17 (bvmul (_ bv1 32) ?x3)) (?v_15 (bvmul (_ bv48 32) ?x2)) (?v_6 (bvmul (_ bv42 32) ?x2)) (?v_10 (bvmul (_ bv60 32) ?x3)) (?v_23 (bvmul (_ bv26 32) ?x3)) (?v_1 (bvmul (bvneg (_ bv9 32)) ?x3)) (?v_22 (bvmul (bvneg (_ bv11 32)) ?x2)) (?v_0 (bvmul (bvneg (_ bv21 32)) ?x2)) (?v_14 (bvmul (bvneg (_ bv14 32)) ?x3)) (?v_21 (bvadd (bvmul (bvneg (_ bv33 32)) ?x1) (bvmul (bvneg (_ bv100 32)) ?x2))) (?v_5 (bvmul (bvneg (_ bv57 32)) ?x1)) (?v_11 (bvmul (bvneg (_ bv95 32)) ?x1)) (?v_3 (bvmul (bvneg (_ bv76 32)) ?x3)) (?v_20 (bvmul (bvneg (_ bv32 32)) ?x2)) (?v_9 (bvmul (bvneg (_ bv70 32)) ?x2)) (?v_7 (bvmul (bvneg (_ bv38 32)) ?x1)) (?v_12 (bvmul (bvneg (_ bv4 32)) ?x3))) (or (and (or (or (and (and (bvslt (bvadd (bvadd (bvmul (_ bv12 32) ?x1) (bvmul (_ bv24 32) ?x2)) ?v_1) (_ bv4 32)) (bvsge (bvadd ?v_22 (bvmul (_ bv94 32) ?x3)) (_ bv0 32))) (or (bvsge (bvadd (bvadd (bvmul (_ bv22 32) ?x1) (bvmul (_ bv46 32) ?x2)) (bvmul (bvneg (_ bv48 32)) ?x3)) (_ bv0 32)) (bvsle (bvadd (bvadd (bvmul (_ bv6 32) ?x1) (bvmul (bvneg (_ bv29 32)) ?x2)) (bvmul (_ bv5 32) ?x3)) (_ bv0 32)))) (and (and (bvsle (bvadd (bvmul (_ bv93 32) ?x1) (bvmul (bvneg (_ bv8 32)) ?x3)) (_ bv69 32)) (or (bvslt (bvadd (bvadd (bvmul (_ bv41 32) ?x1) ?v_0) ?v_14) (_ bv64 32)) (= (bvadd (bvadd (bvmul (_ bv14 32) ?x1) (bvmul (_ bv11 32) ?x2)) (bvmul (_ bv34 32) ?x3)) (_ bv0 32)))) (or (or (not (= (bvadd (bvmul (_ bv13 32) ?x1) (bvmul (_ bv68 32) ?x2)) (bvneg (_ bv30 32)))) (bvsge ?v_19 (bvneg (_ bv98 32)))) (bvsle (bvadd (bvmul (_ bv27 32) ?x2) (bvmul (bvneg (_ bv60 32)) ?x3)) (_ bv6 32))))) (or (and (or (and (bvsgt ?v_21 (_ bv0 32)) (not (= (bvadd (bvmul (bvneg (_ bv19 32)) ?x1) ?v_0) (_ bv15 32)))) (and (= (bvadd ?v_5 (bvmul (bvneg (_ bv43 32)) ?x3)) (_ bv17 32)) (bvsgt (bvadd (bvmul (_ bv15 32) ?x1) (bvmul (_ bv79 32) ?x2)) (_ bv0 32)))) (= (bvadd ?v_24 (bvmul (bvneg (_ bv62 32)) ?x2)) (_ bv0 32))) (and (or (not (= (bvadd (bvmul (_ bv62 32) ?x1) (bvmul (bvneg (_ bv83 32)) ?x2)) (_ bv0 32))) (= (bvadd ?v_11 (bvmul (bvneg (_ bv77 32)) ?x3)) (_ bv0 32))) (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv35 32)) ?x1) (bvmul (bvneg (_ bv1 32)) ?x2)) (bvmul (bvneg (_ bv62 32)) ?x3)) (bvneg (_ bv29 32)))))) (or (and (or (not (= (bvmul (bvneg (_ bv68 32)) ?x3) (bvneg (_ bv36 32)))) (bvsgt (bvadd (bvadd (bvmul (_ bv42 32) ?x1) (bvmul (_ bv83 32) ?x2)) ?v_18) (_ bv6 32))) (or (or (bvsgt (bvadd (bvmul (bvneg (_ bv56 32)) ?x2) ?v_3) (bvneg (_ bv28 32))) (bvsle (bvadd (bvmul (bvneg (_ bv13 32)) ?x1) (bvmul (_ bv79 32) ?x3)) (_ bv0 32))) (or (= (bvadd (bvadd (bvmul (bvneg (_ bv85 32)) ?x1) (bvmul (_ bv56 32) ?x2)) ?v_1) (_ bv6 32)) (not (= (bvadd (bvadd (bvmul (bvneg (_ bv82 32)) ?x1) ?v_20) (bvmul (_ bv62 32) ?x3)) (_ bv0 32)))))) (and (or (and (and (bvslt (bvadd (bvmul (_ bv74 32) ?x1) (bvmul (_ bv18 32) ?x2)) (_ bv0 32)) (bvslt (bvadd (bvadd (bvmul (_ bv58 32) ?x1) ?v_9) (bvmul (_ bv42 32) ?x3)) (_ bv46 32))) (or (= (bvadd (bvmul (bvneg (_ bv4 32)) ?x2) (bvmul (bvneg (_ bv1 32)) ?x3)) (_ bv0 32)) (bvsle (bvadd (bvmul (bvneg (_ bv5 32)) ?x1) (bvmul (bvneg (_ bv90 32)) ?x2)) (_ bv29 32)))) (and (bvsge (bvadd (bvmul (bvneg (_ bv55 32)) ?x1) (bvmul (_ bv16 32) ?x2)) (_ bv49 32)) (bvslt (bvadd (bvadd ?v_16 (bvmul (_ bv45 32) ?x2)) (bvmul (bvneg (_ bv35 32)) ?x3)) (bvneg (_ bv71 32))))) (and (or (or (bvsgt (bvadd (bvadd ?v_7 (bvmul (bvneg (_ bv98 32)) ?x2)) (bvmul (bvneg (_ bv78 32)) ?x3)) (_ bv48 32)) (bvsle (bvadd ?v_8 ?v_2) (bvneg (_ bv91 32)))) (or (bvsle ?v_2 (bvneg (_ bv67 32))) (bvsle (bvadd ?v_4 ?v_13) (bvneg (_ bv79 32))))) (or (or (bvslt (bvadd (bvadd (bvmul (_ bv63 32) ?x1) (bvmul (bvneg (_ bv44 32)) ?x2)) ?v_12) (bvneg (_ bv11 32))) (bvslt (bvadd (bvadd (bvmul (_ bv5 32) ?x1) (bvmul (_ bv98 32) ?x2)) ?v_3) (_ bv25 32))) (and (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv22 32)) ?x1) (bvmul (_ bv9 32) ?x2)) (bvmul (bvneg (_ bv72 32)) ?x3)) (bvneg (_ bv11 32))) (bvsle (bvmul (bvneg (_ bv87 32)) ?x1) (_ bv74 32)))))))) (or (and (or (or (and (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv96 32)) ?x1) (bvmul (bvneg (_ bv46 32)) ?x2)) ?v_17) (_ bv0 32)) (= (bvadd (bvadd ?v_4 ?v_15) (bvmul (_ bv16 32) ?x3)) (_ bv42 32))) (and (bvsge (bvadd (bvmul (bvneg (_ bv72 32)) ?x1) (bvmul (_ bv97 32) ?x3)) (_ bv0 32)) (bvsgt (bvmul (_ bv35 32) ?x2) (bvneg (_ bv46 32))))) (or (and (bvsle (bvadd ?v_6 (bvmul (bvneg (_ bv64 32)) ?x3)) (_ bv45 32)) (bvsle (bvadd (bvmul (bvneg (_ bv95 32)) ?x2) (bvmul (bvneg (_ bv39 32)) ?x3)) (_ bv57 32))) (and (bvsgt ?v_10 (bvneg (_ bv7 32))) (bvsge (bvadd (bvadd ?v_5 ?v_6) ?v_23) (_ bv0 32))))) (and (and (or (= (bvadd (bvadd ?v_7 (bvmul (_ bv69 32) ?x2)) (bvmul (_ bv99 32) ?x3)) (_ bv45 32)) (= (bvadd (bvadd ?v_8 (bvmul (_ bv97 32) ?x2)) (bvmul (bvneg (_ bv37 32)) ?x3)) (_ bv96 32))) (and (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv18 32)) ?x1) ?v_9) ?v_10) (_ bv68 32)) (bvsle (bvadd (bvadd ?v_11 (bvmul (bvneg (_ bv42 32)) ?x2)) ?v_12) (bvneg (_ bv51 32))))) (or (not (= (bvadd (bvadd (bvmul (_ bv9 32) ?x1) (bvmul (_ bv47 32) ?x2)) (bvmul (_ bv39 32) ?x3)) (_ bv42 32))) (or (not (= (bvadd (bvadd (bvmul (_ bv53 32) ?x1) ?v_13) ?v_14) (_ bv20 32))) (bvslt (bvmul (bvneg (_ bv14 32)) ?x1) (bvneg (_ bv2 32))))))) (and (and (and (and (or (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv30 32)) ?x1) ?v_15) (bvmul (bvneg (_ bv70 32)) ?x3)) (_ bv70 32)) (bvsle (bvadd (bvadd ?v_16 (bvmul (bvneg (_ bv94 32)) ?x2)) ?v_17) (_ bv47 32))) (and (= (bvadd (bvmul (_ bv39 32) ?x1) (bvmul (_ bv29 32) ?x2)) (_ bv0 32)) (bvsge (bvadd (bvmul (_ bv58 32) ?x2) (bvmul (_ bv40 32) ?x3)) (bvneg (_ bv2 32))))) (or (bvsle (bvadd (bvmul (_ bv35 32) ?x1) (bvmul (bvneg (_ bv58 32)) ?x2)) (_ bv0 32)) (= (bvadd (bvmul (bvneg (_ bv9 32)) ?x1) (bvmul (bvneg (_ bv88 32)) ?x3)) (bvneg (_ bv21 32))))) (or (and (= (bvadd (bvadd (bvmul (_ bv94 32) ?x1) (bvmul (bvneg (_ bv60 32)) ?x2)) ?v_18) (bvneg (_ bv39 32))) (bvsgt (bvadd (bvmul (_ bv81 32) ?x2) (bvmul (_ bv41 32) ?x3)) (_ bv17 32))) (and (bvsge (bvadd (bvadd (bvmul (_ bv46 32) ?x1) ?v_19) (bvmul (bvneg (_ bv87 32)) ?x3)) (_ bv1 32)) (or (= (bvadd (bvadd (bvmul (_ bv68 32) ?x1) (bvmul (bvneg (_ bv19 32)) ?x2)) (bvmul (bvneg (_ bv67 32)) ?x3)) (bvneg (_ bv97 32))) (= (bvadd (bvmul (_ bv86 32) ?x1) (bvmul (bvneg (_ bv20 32)) ?x2)) (_ bv80 32)))))) (and (or (and (or (not (= (bvadd (bvadd (bvmul (bvneg (_ bv100 32)) ?x1) ?v_20) (bvmul (bvneg (_ bv69 32)) ?x3)) (_ bv12 32))) (bvsge (bvadd (bvadd (bvmul (_ bv80 32) ?x1) ?v_19) (bvmul (_ bv76 32) ?x3)) (bvneg (_ bv23 32)))) (bvsle (bvadd ?v_21 (bvmul (bvneg (_ bv71 32)) ?x3)) (_ bv0 32))) (and (or (bvslt (bvmul (bvneg (_ bv40 32)) ?x2) (_ bv34 32)) (bvsgt (bvadd (bvmul (_ bv52 32) ?x1) (bvmul (bvneg (_ bv67 32)) ?x2)) (bvneg (_ bv84 32)))) (or (not (= (bvadd (bvadd (bvmul (_ bv98 32) ?x1) (bvmul (bvneg (_ bv75 32)) ?x2)) (bvmul (_ bv25 32) ?x3)) (_ bv63 32))) (bvsgt (bvadd (bvadd (bvmul (_ bv97 32) ?x1) (bvmul (_ bv53 32) ?x2)) (bvmul (bvneg (_ bv5 32)) ?x3)) (_ bv21 32))))) (and (and (bvslt (bvadd (bvmul (bvneg (_ bv23 32)) ?x2) (bvmul (_ bv15 32) ?x3)) (bvneg (_ bv80 32))) (bvslt (bvadd (bvmul (_ bv60 32) ?x1) ?v_22) (_ bv43 32))) (or (or (bvsle (bvadd (bvmul (bvneg (_ bv75 32)) ?x1) ?v_23) (_ bv71 32)) (= (bvadd (bvmul (_ bv17 32) ?x1) (bvmul (bvneg (_ bv50 32)) ?x3)) (_ bv0 32))) (and (bvsle (bvadd ?v_24 (bvmul (bvneg (_ bv26 32)) ?x3)) (bvneg (_ bv22 32))) (not (= (bvadd (bvadd (bvmul (_ bv48 32) ?x1) ?v_2) (bvmul (_ bv52 32) ?x3)) (bvneg (_ bv21 32))))))))))))))))
(check-sat)
(exit)
