(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(declare-fun x1 () (_ BitVec 32))
(declare-fun x2 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(assert (exists ((?x1 (_ BitVec 32))) (forall ((?x2 (_ BitVec 32))) (exists ((?x3 (_ BitVec 32))) (let ((?v_4 (bvmul (_ bv14 32) ?x1)) (?v_0 (bvmul (_ bv20 32) ?x2)) (?v_5 (bvmul (_ bv23 32) ?x1)) (?v_9 (bvmul (_ bv71 32) ?x2)) (?v_2 (bvmul (bvneg (_ bv33 32)) ?x3)) (?v_1 (bvmul (bvneg (_ bv24 32)) ?x2)) (?v_3 (bvmul (bvneg (_ bv30 32)) ?x2)) (?v_6 (bvmul (bvneg (_ bv98 32)) ?x1)) (?v_7 (bvmul (bvneg (_ bv60 32)) ?x3)) (?v_8 (bvmul (bvneg (_ bv74 32)) ?x2)) (?v_11 (bvmul (bvneg (_ bv65 32)) ?x2)) (?v_10 (bvmul (bvneg (_ bv42 32)) ?x3))) (and (and (and (and (or (bvslt (bvadd ?v_4 (bvmul (bvneg (_ bv86 32)) ?x2)) (_ bv19 32)) (or (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv57 32)) ?x1) ?v_0) (bvmul (bvneg (_ bv5 32)) ?x3)) (bvneg (_ bv80 32))) (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv60 32)) ?x1) (bvmul (_ bv53 32) ?x2)) ?v_2) (bvneg (_ bv23 32))))) (or (or (bvslt (bvadd (bvmul (_ bv32 32) ?x1) ?v_0) (bvneg (_ bv50 32))) (= (bvadd (bvadd (bvmul (_ bv46 32) ?x1) (bvmul (bvneg (_ bv64 32)) ?x2)) (bvmul (bvneg (_ bv4 32)) ?x3)) (_ bv50 32))) (and (bvslt (bvadd (bvmul (_ bv5 32) ?x2) (bvmul (bvneg (_ bv44 32)) ?x3)) (bvneg (_ bv86 32))) (bvsge (bvmul (_ bv28 32) ?x2) (bvneg (_ bv80 32)))))) (and (and (and (not (= (bvmul (bvneg (_ bv89 32)) ?x3) (_ bv69 32))) (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv52 32)) ?x1) ?v_1) (bvmul (_ bv64 32) ?x3)) (bvneg (_ bv98 32)))) (= (bvadd (bvmul (bvneg (_ bv94 32)) ?x1) (bvmul (bvneg (_ bv1 32)) ?x3)) (_ bv63 32))) (or (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv74 32)) ?x1) ?v_3) (bvmul (_ bv8 32) ?x3)) (_ bv0 32)) (not (= (bvadd (bvadd (bvmul (bvneg (_ bv97 32)) ?x1) ?v_1) (bvmul (_ bv36 32) ?x3)) (_ bv15 32)))))) (and (= (bvadd (bvmul (bvneg (_ bv65 32)) ?x1) (bvmul (_ bv65 32) ?x3)) (bvneg (_ bv4 32))) (bvsge (bvadd (bvmul (_ bv20 32) ?x1) (bvmul (bvneg (_ bv42 32)) ?x2)) (bvneg (_ bv92 32))))) (or (or (or (and (or (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv20 32)) ?x1) (bvmul (_ bv38 32) ?x2)) (bvmul (bvneg (_ bv61 32)) ?x3)) (bvneg (_ bv91 32))) (bvsge ?v_2 (bvneg (_ bv23 32)))) (or (= ?v_6 (_ bv0 32)) (bvsle (bvadd (bvmul (_ bv33 32) ?x1) (bvmul (_ bv35 32) ?x2)) (bvneg (_ bv70 32))))) (or (and (not (= (bvadd (bvmul (_ bv77 32) ?x2) (bvmul (_ bv98 32) ?x3)) (bvneg (_ bv54 32)))) (= (bvadd (bvadd (bvmul (bvneg (_ bv18 32)) ?x1) ?v_3) (bvmul (_ bv82 32) ?x3)) (bvneg (_ bv25 32)))) (bvsgt (bvadd (bvadd ?v_5 (bvmul (bvneg (_ bv82 32)) ?x2)) (bvmul (bvneg (_ bv24 32)) ?x3)) (_ bv32 32)))) (and (or (or (= (bvadd (bvadd (bvmul (bvneg (_ bv17 32)) ?x1) (bvmul (bvneg (_ bv17 32)) ?x2)) (bvmul (_ bv4 32) ?x3)) (bvneg (_ bv33 32))) (bvsgt (bvadd (bvmul (bvneg (_ bv1 32)) ?x2) (bvmul (_ bv53 32) ?x3)) (bvneg (_ bv79 32)))) (or (not (= (bvadd (bvmul (_ bv78 32) ?x2) (bvmul (_ bv25 32) ?x3)) (_ bv53 32))) (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv61 32)) ?x1) (bvmul (bvneg (_ bv13 32)) ?x2)) (bvmul (_ bv71 32) ?x3)) (bvneg (_ bv41 32))))) (and (and (and (bvsgt (bvadd (bvadd ?v_4 (bvmul (_ bv58 32) ?x2)) (bvmul (_ bv32 32) ?x3)) (_ bv0 32)) (bvslt (bvadd (bvmul (bvneg (_ bv76 32)) ?x1) (bvmul (_ bv32 32) ?x2)) (_ bv0 32))) (and (bvsge (bvmul (bvneg (_ bv93 32)) ?x2) (_ bv79 32)) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv96 32)) ?x1) (bvmul (_ bv73 32) ?x2)) (bvmul (bvneg (_ bv53 32)) ?x3)) (_ bv14 32)))) (or (and (bvslt (bvadd ?v_4 (bvmul (_ bv76 32) ?x3)) (_ bv40 32)) (bvsle (bvmul (_ bv75 32) ?x3) (_ bv11 32))) (bvsge (bvadd (bvadd ?v_5 (bvmul (bvneg (_ bv10 32)) ?x2)) (bvmul (_ bv59 32) ?x3)) (bvneg (_ bv5 32))))))) (or (and (or (and (or (bvsgt (bvmul (_ bv3 32) ?x3) (bvneg (_ bv78 32))) (bvsgt (bvadd ?v_6 (bvmul (_ bv6 32) ?x2)) (_ bv0 32))) (or (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv80 32)) ?x1) (bvmul (_ bv57 32) ?x2)) ?v_7) (bvneg (_ bv68 32))) (bvsgt (bvmul (bvneg (_ bv16 32)) ?x1) (_ bv27 32)))) (and (or (bvslt (bvadd (bvmul (bvneg (_ bv70 32)) ?x1) (bvmul (_ bv74 32) ?x3)) (_ bv97 32)) (bvsle (bvmul (bvneg (_ bv57 32)) ?x3) (_ bv5 32))) (bvslt (bvadd (bvadd (bvmul (_ bv61 32) ?x1) ?v_8) (bvmul (bvneg (_ bv3 32)) ?x3)) (bvneg (_ bv92 32))))) (or (or (or (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv78 32)) ?x1) ?v_9) (bvmul (_ bv29 32) ?x3)) (bvneg (_ bv21 32))) (bvslt (bvadd (bvadd (bvmul (_ bv70 32) ?x1) (bvmul (_ bv59 32) ?x2)) (bvmul (bvneg (_ bv9 32)) ?x3)) (bvneg (_ bv11 32)))) (not (= (bvadd (bvmul (_ bv85 32) ?x1) (bvmul (bvneg (_ bv79 32)) ?x2)) (bvneg (_ bv25 32))))) (and (and (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv31 32)) ?x1) ?v_11) ?v_7) (_ bv79 32)) (bvslt (bvadd (bvmul (bvneg (_ bv3 32)) ?x1) ?v_1) (_ bv37 32))) (or (bvsgt (bvadd ?v_8 (bvmul (_ bv70 32) ?x3)) (bvneg (_ bv87 32))) (bvsgt (bvadd (bvmul (_ bv7 32) ?x1) (bvmul (bvneg (_ bv2 32)) ?x2)) (_ bv0 32)))))) (and (and (and (= (bvadd (bvmul (bvneg (_ bv85 32)) ?x2) ?v_10) (_ bv3 32)) (= (bvadd (bvmul (_ bv48 32) ?x1) (bvmul (_ bv56 32) ?x3)) (_ bv51 32))) (and (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv27 32)) ?x1) ?v_9) ?v_10) (_ bv4 32)) (= (bvadd (bvmul (_ bv92 32) ?x2) (bvmul (_ bv61 32) ?x3)) (bvneg (_ bv69 32))))) (and (and (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv87 32)) ?x1) (bvmul (bvneg (_ bv40 32)) ?x2)) (bvmul (bvneg (_ bv10 32)) ?x3)) (_ bv92 32)) (bvsgt (bvadd (bvmul (bvneg (_ bv90 32)) ?x2) (bvmul (bvneg (_ bv18 32)) ?x3)) (bvneg (_ bv79 32)))) (or (bvsle (bvadd ?v_5 ?v_11) (_ bv0 32)) (bvsgt (bvadd (bvmul (bvneg (_ bv71 32)) ?x1) (bvmul (_ bv15 32) ?x3)) (_ bv38 32)))))))))))))
(check-sat)
(exit)
