(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(declare-fun x1 () (_ BitVec 32))
(declare-fun x2 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(assert (exists ((?x1 (_ BitVec 32))) (forall ((?x2 (_ BitVec 32))) (exists ((?x3 (_ BitVec 32))) (let ((?v_2 (bvmul (_ bv94 32) ?x3)) (?v_5 (bvmul (_ bv48 32) ?x1)) (?v_1 (bvmul (_ bv51 32) ?x3)) (?v_7 (bvmul (_ bv20 32) ?x3)) (?v_4 (bvmul (bvneg (_ bv85 32)) ?x2)) (?v_3 (bvmul (bvneg (_ bv6 32)) ?x2)) (?v_0 (bvmul (bvneg (_ bv47 32)) ?x1)) (?v_6 (bvmul (bvneg (_ bv33 32)) ?x1))) (or (and (or (or (and (bvsge (bvadd (bvadd (bvmul (_ bv77 32) ?x1) ?v_4) (bvmul (bvneg (_ bv72 32)) ?x3)) (bvneg (_ bv77 32))) (= (bvadd (bvadd (bvmul (_ bv67 32) ?x1) (bvmul (bvneg (_ bv16 32)) ?x2)) (bvmul (bvneg (_ bv95 32)) ?x3)) (bvneg (_ bv34 32)))) (or (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv13 32)) ?x1) (bvmul (bvneg (_ bv44 32)) ?x2)) ?v_2) (bvneg (_ bv80 32))) (= (bvadd (bvmul (_ bv59 32) ?x2) (bvmul (_ bv37 32) ?x3)) (bvneg (_ bv64 32))))) (not (= (bvadd ?v_5 (bvmul (_ bv70 32) ?x3)) (_ bv69 32)))) (or (or (or (or (and (= (bvadd (bvmul (_ bv32 32) ?x1) (bvmul (bvneg (_ bv10 32)) ?x2)) (_ bv0 32)) (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv6 32)) ?x1) ?v_3) (bvmul (bvneg (_ bv25 32)) ?x3)) (_ bv0 32))) (or (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv16 32)) ?x1) (bvmul (bvneg (_ bv94 32)) ?x2)) (bvmul (bvneg (_ bv68 32)) ?x3)) (_ bv61 32)) (bvsgt (bvmul (bvneg (_ bv24 32)) ?x1) (_ bv0 32)))) (and (and (bvsgt (bvadd (bvadd ?v_0 (bvmul (bvneg (_ bv43 32)) ?x2)) (bvmul (_ bv66 32) ?x3)) (_ bv0 32)) (bvslt (bvadd (bvadd (bvmul (_ bv30 32) ?x1) (bvmul (_ bv66 32) ?x2)) (bvmul (bvneg (_ bv29 32)) ?x3)) (_ bv4 32))) (bvsge (bvmul (_ bv39 32) ?x3) (_ bv0 32)))) (and (= (bvadd (bvmul (_ bv67 32) ?x2) (bvmul (_ bv13 32) ?x3)) (bvneg (_ bv1 32))) (and (or (not (= (bvadd (bvadd (bvmul (bvneg (_ bv14 32)) ?x1) (bvmul (bvneg (_ bv62 32)) ?x2)) (bvmul (bvneg (_ bv58 32)) ?x3)) (bvneg (_ bv48 32)))) (bvslt (bvmul (_ bv22 32) ?x1) (_ bv0 32))) (and (bvsgt (bvadd (bvadd (bvmul (_ bv99 32) ?x1) (bvmul (_ bv17 32) ?x2)) ?v_1) (bvneg (_ bv36 32))) (bvsle (bvadd (bvmul (_ bv73 32) ?x1) (bvmul (bvneg (_ bv10 32)) ?x3)) (_ bv89 32)))))) (and (and (and (not (= (bvadd (bvmul (_ bv54 32) ?x1) (bvmul (_ bv47 32) ?x3)) (_ bv83 32))) (bvslt (bvmul (_ bv21 32) ?x3) (_ bv46 32))) (and (not (= (bvadd (bvadd ?v_0 (bvmul (_ bv7 32) ?x2)) ?v_1) (_ bv14 32))) (not (= (bvadd (bvadd (bvmul (_ bv20 32) ?x1) (bvmul (_ bv50 32) ?x2)) ?v_2) (bvneg (_ bv67 32)))))) (and (and (not (= (bvadd (bvadd ?v_6 (bvmul (_ bv39 32) ?x2)) (bvmul (_ bv91 32) ?x3)) (_ bv0 32))) (bvsle (bvadd (bvmul (bvneg (_ bv48 32)) ?x1) (bvmul (_ bv47 32) ?x2)) (bvneg (_ bv60 32)))) (or (bvsge (bvadd (bvmul (bvneg (_ bv89 32)) ?x2) (bvmul (bvneg (_ bv64 32)) ?x3)) (bvneg (_ bv98 32))) (= (bvadd (bvadd (bvmul (_ bv95 32) ?x1) ?v_3) ?v_7) (_ bv12 32))))))) (or (and (or (and (bvsgt (bvadd (bvadd (bvmul (_ bv3 32) ?x1) (bvmul (_ bv51 32) ?x2)) (bvmul (_ bv24 32) ?x3)) (_ bv51 32)) (bvsge (bvadd (bvmul (bvneg (_ bv78 32)) ?x1) (bvmul (bvneg (_ bv37 32)) ?x2)) (_ bv34 32))) (and (bvslt (bvadd (bvmul (_ bv69 32) ?x1) (bvmul (bvneg (_ bv66 32)) ?x3)) (bvneg (_ bv95 32))) (bvsgt (bvadd (bvmul (bvneg (_ bv67 32)) ?x2) (bvmul (_ bv57 32) ?x3)) (bvneg (_ bv54 32))))) (and (or (not (= (bvmul (bvneg (_ bv37 32)) ?x1) (_ bv24 32))) (bvslt (bvadd (bvadd (bvmul (_ bv63 32) ?x1) (bvmul (bvneg (_ bv40 32)) ?x2)) (bvmul (_ bv12 32) ?x3)) (bvneg (_ bv17 32)))) (or (not (= (bvadd (bvmul (_ bv1 32) ?x1) (bvmul (_ bv20 32) ?x2)) (_ bv27 32))) (not (= (bvadd (bvmul (bvneg (_ bv62 32)) ?x1) (bvmul (bvneg (_ bv82 32)) ?x2)) (_ bv75 32)))))) (or (and (= (bvadd (bvmul (bvneg (_ bv28 32)) ?x1) (bvmul (_ bv30 32) ?x3)) (bvneg (_ bv39 32))) (= (bvadd (bvmul (_ bv22 32) ?x2) (bvmul (_ bv71 32) ?x3)) (bvneg (_ bv96 32)))) (and (or (and (and (bvsgt (bvadd (bvadd (bvmul (_ bv55 32) ?x1) (bvmul (_ bv80 32) ?x2)) (bvmul (_ bv29 32) ?x3)) (_ bv0 32)) (not (= (bvmul (bvneg (_ bv61 32)) ?x3) (bvneg (_ bv9 32))))) (and (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv32 32)) ?x1) (bvmul (bvneg (_ bv27 32)) ?x2)) (bvmul (_ bv82 32) ?x3)) (bvneg (_ bv11 32))) (= (bvmul (_ bv22 32) ?x3) (bvneg (_ bv49 32))))) (or (and (bvsgt (bvadd (bvmul (_ bv80 32) ?x1) ?v_4) (_ bv0 32)) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv46 32)) ?x1) (bvmul (bvneg (_ bv74 32)) ?x2)) (bvmul (bvneg (_ bv19 32)) ?x3)) (_ bv83 32))) (or (bvslt (bvadd (bvadd (bvmul (_ bv33 32) ?x1) (bvmul (_ bv35 32) ?x2)) (bvmul (bvneg (_ bv90 32)) ?x3)) (bvneg (_ bv23 32))) (bvslt (bvadd (bvmul (_ bv24 32) ?x2) (bvmul (bvneg (_ bv60 32)) ?x3)) (_ bv0 32))))) (or (or (= (bvadd (bvadd ?v_5 (bvmul (bvneg (_ bv28 32)) ?x2)) (bvmul (bvneg (_ bv20 32)) ?x3)) (_ bv90 32)) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv53 32)) ?x1) (bvmul (_ bv30 32) ?x2)) (bvmul (_ bv36 32) ?x3)) (_ bv0 32))) (or (bvslt (bvadd (bvadd ?v_6 (bvmul (_ bv40 32) ?x2)) (bvmul (bvneg (_ bv79 32)) ?x3)) (bvneg (_ bv29 32))) (= (bvadd (bvmul (_ bv17 32) ?x1) ?v_7) (bvneg (_ bv84 32))))))))))))))
(check-sat)
(exit)
