(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(declare-fun x1 () (_ BitVec 32))
(declare-fun x2 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(assert (exists ((?x1 (_ BitVec 32))) (forall ((?x2 (_ BitVec 32))) (exists ((?x3 (_ BitVec 32))) (let ((?v_2 (bvmul (_ bv5 32) ?x3)) (?v_5 (bvmul (_ bv60 32) ?x1)) (?v_0 (bvmul (bvneg (_ bv68 32)) ?x2)) (?v_6 (bvmul (bvneg (_ bv11 32)) ?x3)) (?v_1 (bvmul (bvneg (_ bv91 32)) ?x3)) (?v_3 (bvmul (bvneg (_ bv1 32)) ?x2)) (?v_4 (bvmul (bvneg (_ bv8 32)) ?x3))) (or (or (and (or (or (bvsge (bvadd (bvadd (bvmul (_ bv18 32) ?x1) (bvmul (_ bv83 32) ?x2)) (bvmul (_ bv95 32) ?x3)) (bvneg (_ bv47 32))) (or (not (= (bvadd (bvadd (bvmul (_ bv75 32) ?x1) ?v_0) (bvmul (_ bv62 32) ?x3)) (_ bv0 32))) (bvsge (bvadd (bvmul (_ bv63 32) ?x1) (bvmul (_ bv29 32) ?x3)) (_ bv22 32)))) (and (or (bvslt (bvadd (bvmul (bvneg (_ bv97 32)) ?x1) ?v_6) (bvneg (_ bv44 32))) (= (bvadd (bvmul (bvneg (_ bv90 32)) ?x2) (bvmul (_ bv65 32) ?x3)) (bvneg (_ bv51 32)))) (= (bvadd (bvadd (bvmul (bvneg (_ bv70 32)) ?x1) (bvmul (bvneg (_ bv94 32)) ?x2)) (bvmul (bvneg (_ bv93 32)) ?x3)) (_ bv0 32)))) (or (or (or (not (= (bvadd (bvmul (bvneg (_ bv88 32)) ?x1) (bvmul (_ bv45 32) ?x3)) (bvneg (_ bv85 32)))) (not (= (bvmul (_ bv77 32) ?x1) (_ bv0 32)))) (= (bvadd (bvmul (_ bv65 32) ?x2) (bvmul (bvneg (_ bv20 32)) ?x3)) (_ bv5 32))) (and (or (= (bvadd (bvadd (bvmul (_ bv36 32) ?x1) (bvmul (bvneg (_ bv76 32)) ?x2)) (bvmul (bvneg (_ bv40 32)) ?x3)) (bvneg (_ bv42 32))) (bvsle (bvadd (bvadd (bvmul (_ bv70 32) ?x1) (bvmul (bvneg (_ bv63 32)) ?x2)) (bvmul (_ bv81 32) ?x3)) (_ bv0 32))) (and (bvslt (bvadd (bvmul (bvneg (_ bv18 32)) ?x1) (bvmul (_ bv66 32) ?x2)) (bvneg (_ bv56 32))) (bvsle (bvadd (bvmul (bvneg (_ bv63 32)) ?x1) (bvmul (_ bv14 32) ?x2)) (_ bv0 32)))))) (or (and (and (and (bvsgt (bvadd (bvmul (bvneg (_ bv72 32)) ?x1) (bvmul (bvneg (_ bv9 32)) ?x2)) (bvneg (_ bv43 32))) (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv15 32)) ?x1) (bvmul (bvneg (_ bv5 32)) ?x2)) (bvmul (bvneg (_ bv43 32)) ?x3)) (bvneg (_ bv44 32)))) (or (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv7 32)) ?x1) ?v_0) (bvmul (bvneg (_ bv36 32)) ?x3)) (bvneg (_ bv74 32))) (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv26 32)) ?x1) (bvmul (_ bv1 32) ?x2)) ?v_2) (_ bv92 32)))) (or (or (bvsge (bvadd (bvmul (_ bv16 32) ?x1) (bvmul (bvneg (_ bv65 32)) ?x2)) (bvneg (_ bv86 32))) (bvslt (bvadd (bvmul (_ bv61 32) ?x1) (bvmul (_ bv49 32) ?x2)) (_ bv85 32))) (and (bvslt (bvadd (bvmul (_ bv33 32) ?x2) (bvmul (_ bv71 32) ?x3)) (bvneg (_ bv44 32))) (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv28 32)) ?x1) (bvmul (bvneg (_ bv19 32)) ?x2)) (bvmul (bvneg (_ bv2 32)) ?x3)) (_ bv0 32))))) (and (or (bvsge (bvadd (bvadd (bvmul (_ bv40 32) ?x1) (bvmul (bvneg (_ bv17 32)) ?x2)) (bvmul (bvneg (_ bv41 32)) ?x3)) (bvneg (_ bv86 32))) (bvsgt (bvadd (bvmul (_ bv88 32) ?x2) ?v_1) (bvneg (_ bv45 32)))) (or (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv76 32)) ?x1) ?v_3) (bvmul (_ bv10 32) ?x3)) (_ bv59 32)) (bvslt (bvadd (bvmul (bvneg (_ bv1 32)) ?x1) (bvmul (_ bv59 32) ?x3)) (_ bv0 32)))))) (or (and (and (or (bvsle (bvadd (bvmul (bvneg (_ bv3 32)) ?x2) (bvmul (bvneg (_ bv55 32)) ?x3)) (bvneg (_ bv31 32))) (bvslt (bvadd (bvmul (_ bv22 32) ?x2) (bvmul (_ bv35 32) ?x3)) (_ bv0 32))) (or (or (bvsle (bvadd (bvadd (bvmul (_ bv57 32) ?x1) (bvmul (_ bv12 32) ?x2)) (bvmul (bvneg (_ bv58 32)) ?x3)) (_ bv0 32)) (not (= (bvadd (bvmul (_ bv58 32) ?x1) ?v_1) (bvneg (_ bv70 32))))) (or (bvslt (bvadd (bvmul (_ bv43 32) ?x1) (bvmul (_ bv40 32) ?x3)) (_ bv61 32)) (bvsgt (bvmul (bvneg (_ bv9 32)) ?x3) (_ bv68 32))))) (or (or (and (= (bvadd (bvmul (bvneg (_ bv83 32)) ?x2) ?v_2) (_ bv69 32)) (bvsge (bvadd (bvmul (_ bv35 32) ?x2) (bvmul (_ bv50 32) ?x3)) (_ bv0 32))) (and (bvsge (bvadd (bvmul (_ bv55 32) ?x1) (bvmul (bvneg (_ bv38 32)) ?x3)) (_ bv0 32)) (not (= (bvmul (_ bv38 32) ?x3) (_ bv0 32))))) (and (or (= (bvadd (bvadd (bvmul (bvneg (_ bv47 32)) ?x1) (bvmul (bvneg (_ bv21 32)) ?x2)) (bvmul (bvneg (_ bv31 32)) ?x3)) (bvneg (_ bv27 32))) (bvsle (bvadd ?v_5 (bvmul (_ bv47 32) ?x2)) (bvneg (_ bv60 32)))) (bvsge (bvadd (bvmul (bvneg (_ bv68 32)) ?x1) ?v_3) (bvneg (_ bv86 32)))))) (or (and (or (or (or (bvsge (bvadd (bvadd (bvmul (_ bv99 32) ?x1) (bvmul (bvneg (_ bv59 32)) ?x2)) (bvmul (_ bv21 32) ?x3)) (_ bv67 32)) (bvsge (bvadd (bvmul (bvneg (_ bv87 32)) ?x1) (bvmul (_ bv93 32) ?x2)) (bvneg (_ bv50 32)))) (and (bvslt (bvadd (bvmul (bvneg (_ bv39 32)) ?x2) (bvmul (bvneg (_ bv54 32)) ?x3)) (_ bv0 32)) (not (= (bvadd (bvadd (bvmul (bvneg (_ bv82 32)) ?x1) (bvmul (bvneg (_ bv78 32)) ?x2)) (bvmul (bvneg (_ bv65 32)) ?x3)) (_ bv96 32))))) (or (or (bvslt (bvmul (bvneg (_ bv89 32)) ?x2) (bvneg (_ bv74 32))) (= (bvadd (bvmul (_ bv37 32) ?x2) (bvmul (bvneg (_ bv14 32)) ?x3)) (bvneg (_ bv73 32)))) (and (not (= (bvmul (bvneg (_ bv57 32)) ?x1) (bvneg (_ bv39 32)))) (= (bvadd (bvadd (bvmul (_ bv54 32) ?x1) (bvmul (_ bv57 32) ?x2)) (bvmul (bvneg (_ bv37 32)) ?x3)) (_ bv53 32))))) (and (or (= (bvmul (bvneg (_ bv48 32)) ?x2) (bvneg (_ bv60 32))) (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv39 32)) ?x1) (bvmul (_ bv98 32) ?x2)) (bvmul (bvneg (_ bv13 32)) ?x3)) (bvneg (_ bv28 32)))) (and (or (bvslt (bvmul (bvneg (_ bv79 32)) ?x3) (_ bv0 32)) (bvsge (bvmul (bvneg (_ bv88 32)) ?x3) (bvneg (_ bv44 32)))) (or (bvsgt (bvadd (bvmul (_ bv60 32) ?x2) ?v_4) (_ bv0 32)) (bvsgt (bvadd (bvmul (_ bv13 32) ?x1) (bvmul (_ bv89 32) ?x2)) (_ bv90 32)))))) (or (or (or (bvsle (bvadd (bvmul (_ bv85 32) ?x2) (bvmul (_ bv14 32) ?x3)) (_ bv0 32)) (not (= (bvmul (bvneg (_ bv53 32)) ?x1) (_ bv0 32)))) (and (bvslt (bvmul (_ bv80 32) ?x2) (_ bv67 32)) (bvsgt (bvmul (bvneg (_ bv15 32)) ?x2) (_ bv80 32)))) (and (bvsle (bvadd (bvmul (bvneg (_ bv56 32)) ?x2) ?v_4) (_ bv32 32)) (and (and (not (= ?v_5 (bvneg (_ bv18 32)))) (= (bvadd (bvmul (bvneg (_ bv44 32)) ?x1) (bvmul (_ bv82 32) ?x2)) (_ bv0 32))) (bvsge (bvadd (bvmul (_ bv11 32) ?x2) ?v_6) (_ bv1 32)))))))))))))
(check-sat)
(exit)
