(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(declare-fun x1 () (_ BitVec 32))
(declare-fun x2 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(assert (exists ((?x1 (_ BitVec 32))) (forall ((?x2 (_ BitVec 32))) (exists ((?x3 (_ BitVec 32))) (let ((?v_14 (bvmul (_ bv5 32) ?x3)) (?v_35 (bvmul (_ bv17 32) ?x2)) (?v_10 (bvmul (_ bv68 32) ?x3)) (?v_8 (bvmul (_ bv25 32) ?x3)) (?v_1 (bvmul (_ bv99 32) ?x2)) (?v_16 (bvmul (_ bv86 32) ?x1)) (?v_29 (bvmul (_ bv34 32) ?x2)) (?v_38 (bvmul (_ bv7 32) ?x2)) (?v_11 (bvmul (_ bv85 32) ?x1)) (?v_6 (bvmul (_ bv69 32) ?x2)) (?v_25 (bvmul (_ bv35 32) ?x3)) (?v_4 (bvmul (_ bv49 32) ?x1)) (?v_42 (bvmul (_ bv30 32) ?x1)) (?v_7 (bvmul (_ bv2 32) ?x2)) (?v_19 (bvmul (_ bv65 32) ?x1)) (?v_30 (bvmul (_ bv86 32) ?x2)) (?v_9 (bvmul (_ bv96 32) ?x2)) (?v_15 (bvmul (_ bv98 32) ?x2)) (?v_36 (bvmul (_ bv88 32) ?x3)) (?v_27 (bvmul (_ bv74 32) ?x1)) (?v_22 (bvmul (bvneg (_ bv22 32)) ?x1)) (?v_3 (bvmul (bvneg (_ bv38 32)) ?x3)) (?v_39 (bvmul (bvneg (_ bv60 32)) ?x1)) (?v_17 (bvmul (bvneg (_ bv31 32)) ?x2)) (?v_34 (bvmul (bvneg (_ bv96 32)) ?x3)) (?v_0 (bvmul (bvneg (_ bv49 32)) ?x3)) (?v_18 (bvmul (bvneg (_ bv35 32)) ?x1)) (?v_26 (bvmul (bvneg (_ bv15 32)) ?x1)) (?v_2 (bvmul (bvneg (_ bv39 32)) ?x1)) (?v_13 (bvmul (bvneg (_ bv88 32)) ?x2)) (?v_12 (bvmul (bvneg (_ bv20 32)) ?x3)) (?v_5 (bvmul (bvneg (_ bv36 32)) ?x1)) (?v_23 (bvmul (bvneg (_ bv24 32)) ?x3)) (?v_20 (bvmul (bvneg (_ bv90 32)) ?x2)) (?v_31 (bvmul (bvneg (_ bv57 32)) ?x3)) (?v_28 (bvmul (bvneg (_ bv28 32)) ?x2)) (?v_37 (bvmul (bvneg (_ bv76 32)) ?x1)) (?v_41 (bvmul (bvneg (_ bv86 32)) ?x3)) (?v_21 (bvmul (bvneg (_ bv51 32)) ?x3)) (?v_40 (bvmul (bvneg (_ bv12 32)) ?x2)) (?v_24 (bvmul (bvneg (_ bv83 32)) ?x1)) (?v_32 (bvmul (bvneg (_ bv57 32)) ?x2)) (?v_33 (bvmul (bvneg (_ bv92 32)) ?x3))) (or (or (and (or (or (and (bvsge ?v_14 (_ bv49 32)) (bvsge (bvadd (bvadd ?v_22 ?v_35) ?v_3) (_ bv61 32))) (and (not (= (bvadd (bvadd ?v_39 ?v_17) ?v_10) (_ bv30 32))) (= (bvadd (bvadd (bvmul (_ bv78 32) ?x1) (bvmul (bvneg (_ bv47 32)) ?x2)) ?v_34) (bvneg (_ bv94 32))))) (and (or (or (= (bvmul (_ bv38 32) ?x3) (bvneg (_ bv60 32))) (= (bvadd (bvmul (bvneg (_ bv42 32)) ?x2) ?v_0) (_ bv51 32))) (or (not (= (bvadd (bvadd (bvmul (_ bv11 32) ?x1) (bvmul (_ bv84 32) ?x2)) ?v_8) (_ bv0 32))) (bvslt (bvadd (bvmul (bvneg (_ bv23 32)) ?x2) (bvmul (bvneg (_ bv61 32)) ?x3)) (bvneg (_ bv92 32))))) (and (and (bvsle (bvadd (bvadd (bvmul (_ bv50 32) ?x1) (bvmul (bvneg (_ bv100 32)) ?x2)) (bvmul (_ bv9 32) ?x3)) (bvneg (_ bv81 32))) (bvslt (bvadd (bvadd ?v_18 ?v_1) ?v_0) (bvneg (_ bv26 32)))) (and (= (bvadd ?v_26 (bvmul (_ bv43 32) ?x2)) (_ bv33 32)) (bvslt (bvmul (_ bv46 32) ?x3) (bvneg (_ bv68 32))))))) (or (or (or (or (bvsgt (bvadd ?v_2 ?v_13) (_ bv80 32)) (= (bvadd (bvadd ?v_16 ?v_1) (bvmul (_ bv100 32) ?x3)) (bvneg (_ bv51 32)))) (bvsge ?v_2 (bvneg (_ bv47 32)))) (and (or (bvslt (bvadd (bvmul (bvneg (_ bv54 32)) ?x1) ?v_12) (bvneg (_ bv17 32))) (bvslt (bvadd (bvmul (bvneg (_ bv95 32)) ?x1) ?v_29) (bvneg (_ bv95 32)))) (= (bvadd (bvadd ?v_5 (bvmul (bvneg (_ bv52 32)) ?x2)) (bvmul (_ bv53 32) ?x3)) (_ bv0 32)))) (and (not (= (bvadd (bvmul (_ bv98 32) ?x1) ?v_38) (bvneg (_ bv94 32)))) (and (and (bvslt (bvadd (bvadd ?v_11 (bvmul (_ bv15 32) ?x2)) (bvmul (bvneg (_ bv19 32)) ?x3)) (bvneg (_ bv17 32))) (= (bvadd (bvadd (bvmul (_ bv79 32) ?x1) (bvmul (bvneg (_ bv10 32)) ?x2)) ?v_23) (_ bv42 32))) (not (= (bvadd (bvmul (bvneg (_ bv55 32)) ?x1) ?v_20) (bvneg (_ bv36 32)))))))) (or (and (and (and (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv17 32)) ?x1) ?v_6) ?v_25) (_ bv0 32)) (bvsgt (bvmul (_ bv6 32) ?x3) (_ bv0 32))) (and (= (bvadd ?v_4 (bvmul (bvneg (_ bv59 32)) ?x2)) (_ bv0 32)) (not (= (bvadd (bvadd ?v_42 (bvmul (_ bv10 32) ?x2)) ?v_31) (_ bv36 32))))) (and (or (bvsle (bvadd (bvmul (bvneg (_ bv22 32)) ?x2) ?v_3) (bvneg (_ bv55 32))) (or (not (= (bvadd (bvadd (bvmul (_ bv84 32) ?x1) ?v_7) (bvmul (bvneg (_ bv27 32)) ?x3)) (bvneg (_ bv73 32)))) (= (bvadd ?v_4 ?v_28) (bvneg (_ bv24 32))))) (or (or (bvslt (bvadd ?v_2 (bvmul (bvneg (_ bv30 32)) ?x3)) (bvneg (_ bv23 32))) (bvslt (bvadd (bvadd ?v_5 ?v_6) (bvmul (bvneg (_ bv58 32)) ?x3)) (bvneg (_ bv83 32)))) (or (bvsgt (bvadd (bvmul (_ bv75 32) ?x1) (bvmul (bvneg (_ bv99 32)) ?x3)) (_ bv5 32)) (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv14 32)) ?x1) (bvmul (bvneg (_ bv41 32)) ?x2)) (bvmul (_ bv47 32) ?x3)) (_ bv44 32)))))) (and (or (or (bvsge (bvadd (bvmul (bvneg (_ bv97 32)) ?x1) (bvmul (_ bv91 32) ?x3)) (bvneg (_ bv59 32))) (or (bvsle (bvadd ?v_37 (bvmul (bvneg (_ bv9 32)) ?x3)) (_ bv0 32)) (not (= (bvmul (bvneg (_ bv4 32)) ?x1) (_ bv83 32))))) (and (and (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv26 32)) ?x1) ?v_7) (bvmul (bvneg (_ bv26 32)) ?x3)) (_ bv0 32)) (= (bvadd ?v_19 (bvmul (_ bv90 32) ?x3)) (bvneg (_ bv36 32)))) (and (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv70 32)) ?x1) ?v_30) (bvmul (_ bv30 32) ?x3)) (bvneg (_ bv40 32))) (= (bvadd (bvmul (_ bv4 32) ?x1) ?v_9) (bvneg (_ bv3 32)))))) (and (or (bvsle (bvmul (_ bv16 32) ?x2) (_ bv95 32)) (bvsgt ?v_8 (_ bv27 32))) (or (or (bvslt (bvadd (bvadd (bvmul (_ bv93 32) ?x1) ?v_9) ?v_10) (_ bv82 32)) (not (= (bvadd (bvmul (_ bv36 32) ?x1) (bvmul (bvneg (_ bv14 32)) ?x3)) (_ bv0 32)))) (bvsle (bvmul (bvneg (_ bv88 32)) ?x3) (_ bv89 32))))))) (and (and (and (or (or (and (and (bvslt (bvadd (bvadd (bvmul (_ bv63 32) ?x1) ?v_15) ?v_8) (bvneg (_ bv8 32))) (bvsle (bvadd (bvadd (bvmul (_ bv48 32) ?x1) (bvmul (bvneg (_ bv34 32)) ?x2)) (bvmul (bvneg (_ bv23 32)) ?x3)) (_ bv32 32))) (= (bvadd (bvmul (_ bv24 32) ?x2) ?v_36) (bvneg (_ bv78 32)))) (and (and (bvsge (bvadd (bvadd (bvmul (_ bv8 32) ?x1) (bvmul (_ bv71 32) ?x2)) (bvmul (_ bv15 32) ?x3)) (_ bv94 32)) (not (= (bvadd ?v_11 ?v_12) (_ bv12 32)))) (and (bvsgt (bvmul (_ bv45 32) ?x1) (_ bv0 32)) (bvsge (bvadd ?v_13 ?v_14) (_ bv67 32))))) (and (and (bvslt (bvadd ?v_15 (bvmul (_ bv8 32) ?x3)) (_ bv76 32)) (bvslt (bvadd (bvmul (_ bv83 32) ?x2) ?v_41) (bvneg (_ bv2 32)))) (and (bvsle (bvadd (bvadd ?v_16 (bvmul (_ bv5 32) ?x2)) (bvmul (bvneg (_ bv63 32)) ?x3)) (_ bv24 32)) (not (= (bvadd (bvadd (bvmul (bvneg (_ bv44 32)) ?x1) ?v_17) (bvmul (bvneg (_ bv98 32)) ?x3)) (_ bv0 32)))))) (and (or (and (bvslt (bvadd (bvadd ?v_18 (bvmul (bvneg (_ bv7 32)) ?x2)) ?v_21) (bvneg (_ bv44 32))) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv75 32)) ?x1) ?v_40) (bvmul (bvneg (_ bv77 32)) ?x3)) (_ bv24 32))) (or (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv77 32)) ?x1) (bvmul (_ bv40 32) ?x2)) (bvmul (_ bv29 32) ?x3)) (_ bv32 32)) (bvsge (bvadd (bvmul (bvneg (_ bv91 32)) ?x1) (bvmul (_ bv78 32) ?x3)) (bvneg (_ bv44 32))))) (and (or (or (bvsle (bvmul (_ bv79 32) ?x2) (bvneg (_ bv88 32))) (bvslt (bvadd (bvadd ?v_19 ?v_20) (bvmul (_ bv10 32) ?x3)) (_ bv0 32))) (and (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv37 32)) ?x1) (bvmul (bvneg (_ bv54 32)) ?x2)) ?v_21) (_ bv0 32)) (bvsge (bvadd (bvmul (_ bv54 32) ?x1) (bvmul (_ bv65 32) ?x3)) (bvneg (_ bv65 32))))) (or (or (= (bvadd ?v_24 (bvmul (bvneg (_ bv66 32)) ?x3)) (bvneg (_ bv79 32))) (not (= (bvadd (bvmul (_ bv60 32) ?x1) (bvmul (_ bv33 32) ?x3)) (_ bv6 32)))) (or (= (bvadd ?v_27 (bvmul (bvneg (_ bv91 32)) ?x3)) (_ bv0 32)) (bvsle (bvadd (bvadd (bvmul (_ bv81 32) ?x1) (bvmul (bvneg (_ bv13 32)) ?x2)) (bvmul (bvneg (_ bv33 32)) ?x3)) (bvneg (_ bv85 32)))))))) (or (or (and (or (= (bvadd (bvmul (bvneg (_ bv48 32)) ?x2) (bvmul (_ bv11 32) ?x3)) (_ bv12 32)) (not (= (bvadd (bvadd ?v_22 (bvmul (_ bv91 32) ?x2)) ?v_23) (_ bv0 32)))) (or (bvsge (bvadd (bvadd (bvmul (_ bv42 32) ?x1) (bvmul (_ bv25 32) ?x2)) (bvmul (_ bv23 32) ?x3)) (bvneg (_ bv62 32))) (not (= (bvadd (bvmul (bvneg (_ bv38 32)) ?x1) (bvmul (_ bv36 32) ?x3)) (_ bv17 32))))) (or (or (not (= (bvadd (bvadd (bvmul (bvneg (_ bv28 32)) ?x1) (bvmul (_ bv14 32) ?x2)) (bvmul (bvneg (_ bv36 32)) ?x3)) (_ bv0 32))) (bvslt (bvadd ?v_24 ?v_25) (bvneg (_ bv59 32)))) (or (and (bvsle (bvadd ?v_32 (bvmul (_ bv16 32) ?x3)) (bvneg (_ bv22 32))) (bvsgt (bvmul (_ bv100 32) ?x1) (_ bv0 32))) (bvslt (bvadd ?v_26 (bvmul (_ bv41 32) ?x2)) (_ bv7 32))))) (and (and (or (and (bvsgt (bvadd (bvmul (_ bv82 32) ?x1) (bvmul (bvneg (_ bv24 32)) ?x2)) (bvneg (_ bv39 32))) (not (= (bvadd (bvadd (bvmul (bvneg (_ bv12 32)) ?x1) (bvmul (bvneg (_ bv75 32)) ?x2)) ?v_33) (_ bv21 32)))) (bvsge (bvadd ?v_27 (bvmul (bvneg (_ bv77 32)) ?x2)) (_ bv67 32))) (not (= (bvmul (bvneg (_ bv29 32)) ?x3) (_ bv54 32)))) (and (and (or (not (= (bvmul (bvneg (_ bv34 32)) ?x3) (_ bv45 32))) (not (= (bvadd (bvadd (bvmul (_ bv73 32) ?x1) (bvmul (_ bv76 32) ?x2)) (bvmul (bvneg (_ bv73 32)) ?x3)) (_ bv15 32)))) (or (bvsle (bvadd (bvadd (bvmul (_ bv90 32) ?x1) ?v_28) (bvmul (bvneg (_ bv71 32)) ?x3)) (bvneg (_ bv73 32))) (bvsle (bvmul (_ bv100 32) ?x2) (_ bv2 32)))) (and (and (bvslt (bvadd (bvadd (bvmul (_ bv21 32) ?x1) ?v_29) (bvmul (_ bv32 32) ?x3)) (_ bv0 32)) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv71 32)) ?x1) ?v_30) (bvmul (bvneg (_ bv12 32)) ?x3)) (_ bv83 32))) (and (bvsge (bvadd (bvadd (bvmul (_ bv15 32) ?x1) (bvmul (_ bv44 32) ?x2)) ?v_31) (_ bv25 32)) (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv47 32)) ?x1) ?v_32) ?v_33) (_ bv0 32)))))))) (and (or (and (and (not (= (bvadd (bvadd (bvmul (_ bv16 32) ?x1) (bvmul (bvneg (_ bv64 32)) ?x2)) (bvmul (_ bv54 32) ?x3)) (_ bv63 32))) (= (bvadd (bvadd (bvmul (bvneg (_ bv46 32)) ?x1) (bvmul (bvneg (_ bv80 32)) ?x2)) (bvmul (bvneg (_ bv53 32)) ?x3)) (_ bv50 32))) (or (and (bvsle (bvmul (bvneg (_ bv56 32)) ?x1) (_ bv51 32)) (bvslt ?v_34 (_ bv76 32))) (not (= (bvadd (bvmul (bvneg (_ bv78 32)) ?x2) (bvmul (bvneg (_ bv69 32)) ?x3)) (_ bv39 32))))) (or (or (bvsgt (bvadd ?v_35 (bvmul (_ bv92 32) ?x3)) (_ bv0 32)) (bvsge (bvadd (bvadd ?v_19 (bvmul (_ bv73 32) ?x2)) (bvmul (bvneg (_ bv32 32)) ?x3)) (bvneg (_ bv74 32)))) (and (not (= (bvadd (bvmul (bvneg (_ bv72 32)) ?x2) (bvmul (bvneg (_ bv74 32)) ?x3)) (bvneg (_ bv3 32)))) (bvsgt ?v_36 (_ bv96 32))))) (or (or (or (= (bvadd (bvmul (_ bv51 32) ?x1) (bvmul (bvneg (_ bv55 32)) ?x2)) (_ bv0 32)) (not (= (bvadd (bvmul (_ bv44 32) ?x1) (bvmul (_ bv31 32) ?x2)) (_ bv75 32)))) (or (= (bvadd (bvadd ?v_37 (bvmul (bvneg (_ bv93 32)) ?x2)) (bvmul (_ bv43 32) ?x3)) (bvneg (_ bv55 32))) (not (= (bvadd (bvadd (bvmul (bvneg (_ bv99 32)) ?x1) ?v_38) (bvmul (bvneg (_ bv11 32)) ?x3)) (_ bv33 32))))) (and (or (or (bvslt (bvadd (bvmul (bvneg (_ bv73 32)) ?x1) (bvmul (bvneg (_ bv45 32)) ?x3)) (_ bv34 32)) (bvsle (bvadd (bvadd ?v_39 (bvmul (_ bv3 32) ?x2)) (bvmul (_ bv26 32) ?x3)) (_ bv9 32))) (bvsgt (bvadd ?v_40 ?v_41) (bvneg (_ bv87 32)))) (and (= (bvadd (bvmul (_ bv27 32) ?x1) (bvmul (bvneg (_ bv45 32)) ?x2)) (bvneg (_ bv67 32))) (bvsgt (bvadd (bvadd ?v_42 ?v_35) ?v_21) (_ bv0 32)))))))))))))
(check-sat)
(exit)
