(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(declare-fun x1 () (_ BitVec 32))
(declare-fun x2 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(assert (exists ((?x1 (_ BitVec 32))) (forall ((?x2 (_ BitVec 32))) (exists ((?x3 (_ BitVec 32))) (let ((?v_0 (bvmul (_ bv73 32) ?x2)) (?v_14 (bvmul (_ bv42 32) ?x1)) (?v_13 (bvmul (_ bv5 32) ?x3)) (?v_11 (bvmul (_ bv25 32) ?x1)) (?v_10 (bvmul (_ bv82 32) ?x3)) (?v_3 (bvmul (_ bv66 32) ?x1)) (?v_2 (bvmul (_ bv55 32) ?x3)) (?v_5 (bvmul (bvneg (_ bv23 32)) ?x3)) (?v_17 (bvmul (bvneg (_ bv48 32)) ?x2)) (?v_7 (bvmul (bvneg (_ bv5 32)) ?x3)) (?v_15 (bvmul (bvneg (_ bv69 32)) ?x3)) (?v_1 (bvmul (bvneg (_ bv84 32)) ?x2)) (?v_9 (bvmul (bvneg (_ bv68 32)) ?x2)) (?v_12 (bvmul (bvneg (_ bv40 32)) ?x2)) (?v_6 (bvmul (bvneg (_ bv26 32)) ?x1)) (?v_16 (bvmul (bvneg (_ bv13 32)) ?x1)) (?v_4 (bvmul (bvneg (_ bv59 32)) ?x2)) (?v_8 (bvmul (bvneg (_ bv8 32)) ?x1))) (and (or (and (or (and (bvslt (bvadd (bvmul (bvneg (_ bv64 32)) ?x1) (bvmul (bvneg (_ bv73 32)) ?x3)) (_ bv94 32)) (= (bvadd (bvmul (_ bv75 32) ?x1) (bvmul (_ bv94 32) ?x2)) (_ bv87 32))) (and (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv12 32)) ?x1) (bvmul (_ bv8 32) ?x2)) (bvmul (_ bv93 32) ?x3)) (_ bv49 32)) (not (= (bvmul (_ bv2 32) ?x3) (_ bv68 32))))) (or (or (bvsge ?v_5 (bvneg (_ bv14 32))) (bvslt (bvadd (bvmul (_ bv77 32) ?x1) ?v_0) (bvneg (_ bv2 32)))) (or (= (bvadd ?v_14 ?v_17) (bvneg (_ bv63 32))) (bvslt (bvadd (bvmul (bvneg (_ bv36 32)) ?x1) (bvmul (bvneg (_ bv48 32)) ?x3)) (bvneg (_ bv5 32)))))) (and (or (and (and (bvsle (bvadd (bvmul (_ bv93 32) ?x1) (bvmul (_ bv18 32) ?x3)) (_ bv14 32)) (bvsge (bvadd (bvmul (bvneg (_ bv27 32)) ?x2) ?v_7) (bvneg (_ bv35 32)))) (or (bvslt (bvadd (bvmul (_ bv50 32) ?x1) (bvmul (_ bv10 32) ?x2)) (bvneg (_ bv35 32))) (= (bvadd (bvadd (bvmul (_ bv1 32) ?x1) (bvmul (_ bv74 32) ?x2)) (bvmul (_ bv74 32) ?x3)) (_ bv0 32)))) (or (bvsgt (bvadd (bvmul (_ bv99 32) ?x1) (bvmul (bvneg (_ bv35 32)) ?x3)) (_ bv83 32)) (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv1 32)) ?x1) (bvmul (bvneg (_ bv81 32)) ?x2)) ?v_13) (_ bv0 32)))) (and (bvsge (bvadd (bvmul (bvneg (_ bv39 32)) ?x2) (bvmul (bvneg (_ bv28 32)) ?x3)) (_ bv88 32)) (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv9 32)) ?x1) (bvmul (bvneg (_ bv17 32)) ?x2)) ?v_15) (_ bv73 32))))) (and (and (or (or (or (or (not (= (bvadd (bvmul (_ bv36 32) ?x2) (bvmul (_ bv28 32) ?x3)) (bvneg (_ bv31 32)))) (bvsge (bvadd (bvmul (_ bv5 32) ?x1) (bvmul (bvneg (_ bv32 32)) ?x3)) (bvneg (_ bv95 32)))) (or (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv24 32)) ?x1) ?v_0) (bvmul (bvneg (_ bv100 32)) ?x3)) (bvneg (_ bv55 32))) (bvsgt (bvadd (bvmul (_ bv95 32) ?x2) (bvmul (bvneg (_ bv2 32)) ?x3)) (_ bv68 32)))) (or (or (= (bvmul (bvneg (_ bv9 32)) ?x3) (bvneg (_ bv96 32))) (= ?v_1 (bvneg (_ bv96 32)))) (or (not (= (bvadd (bvadd (bvmul (bvneg (_ bv99 32)) ?x1) ?v_9) (bvmul (bvneg (_ bv51 32)) ?x3)) (bvneg (_ bv70 32)))) (bvsge (bvadd ?v_12 (bvmul (_ bv96 32) ?x3)) (_ bv0 32))))) (or (bvslt (bvadd (bvmul (_ bv6 32) ?x1) (bvmul (bvneg (_ bv58 32)) ?x2)) (_ bv31 32)) (bvsge (bvadd ?v_6 (bvmul (_ bv97 32) ?x3)) (_ bv67 32)))) (and (and (and (and (= (bvadd (bvadd ?v_11 (bvmul (_ bv33 32) ?x2)) ?v_10) (bvneg (_ bv21 32))) (bvsgt (bvmul (_ bv21 32) ?x1) (_ bv32 32))) (and (bvsle (bvadd ?v_16 ?v_1) (bvneg (_ bv54 32))) (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv3 32)) ?x1) (bvmul (bvneg (_ bv72 32)) ?x2)) (bvmul (bvneg (_ bv82 32)) ?x3)) (_ bv40 32)))) (or (bvslt (bvadd (bvadd ?v_3 (bvmul (_ bv14 32) ?x2)) (bvmul (bvneg (_ bv24 32)) ?x3)) (bvneg (_ bv23 32))) (bvsle (bvadd (bvmul (bvneg (_ bv56 32)) ?x1) (bvmul (bvneg (_ bv26 32)) ?x3)) (_ bv44 32)))) (and (and (or (= (bvadd (bvadd (bvmul (bvneg (_ bv34 32)) ?x1) (bvmul (bvneg (_ bv19 32)) ?x2)) (bvmul (bvneg (_ bv15 32)) ?x3)) (_ bv81 32)) (not (= (bvadd (bvmul (bvneg (_ bv69 32)) ?x1) (bvmul (bvneg (_ bv22 32)) ?x3)) (_ bv0 32)))) (or (= (bvadd (bvadd (bvmul (_ bv51 32) ?x1) (bvmul (bvneg (_ bv83 32)) ?x2)) (bvmul (_ bv94 32) ?x3)) (_ bv63 32)) (bvsgt (bvadd (bvmul (_ bv54 32) ?x1) (bvmul (bvneg (_ bv83 32)) ?x3)) (bvneg (_ bv76 32))))) (or (bvslt (bvadd (bvadd (bvmul (_ bv2 32) ?x1) (bvmul (bvneg (_ bv64 32)) ?x2)) ?v_2) (_ bv0 32)) (bvsge (bvadd (bvadd (bvmul (_ bv28 32) ?x1) ?v_4) ?v_2) (bvneg (_ bv20 32))))))) (and (or (and (or (and (bvsle (bvadd (bvadd ?v_3 (bvmul (bvneg (_ bv75 32)) ?x2)) (bvmul (bvneg (_ bv34 32)) ?x3)) (_ bv0 32)) (bvsge (bvadd (bvmul (_ bv46 32) ?x1) (bvmul (bvneg (_ bv38 32)) ?x3)) (_ bv0 32))) (or (not (= (bvadd (bvadd (bvmul (_ bv3 32) ?x1) ?v_4) (bvmul (bvneg (_ bv97 32)) ?x3)) (_ bv0 32))) (= (bvadd (bvadd ?v_8 (bvmul (_ bv97 32) ?x2)) ?v_5) (bvneg (_ bv90 32))))) (or (bvsgt (bvadd (bvmul (bvneg (_ bv49 32)) ?x1) (bvmul (bvneg (_ bv1 32)) ?x3)) (_ bv0 32)) (bvslt ?v_6 (_ bv0 32)))) (or (and (or (= (bvadd (bvmul (_ bv34 32) ?x2) ?v_7) (_ bv69 32)) (not (= (bvmul (_ bv98 32) ?x2) (_ bv0 32)))) (or (not (= (bvadd (bvmul (bvneg (_ bv26 32)) ?x2) (bvmul (_ bv80 32) ?x3)) (_ bv71 32))) (= (bvadd (bvadd (bvmul (_ bv96 32) ?x1) (bvmul (_ bv40 32) ?x2)) (bvmul (_ bv19 32) ?x3)) (_ bv0 32)))) (and (bvsge (bvadd (bvadd ?v_8 ?v_9) (bvmul (bvneg (_ bv60 32)) ?x3)) (bvneg (_ bv8 32))) (and (bvsgt (bvadd (bvmul (bvneg (_ bv52 32)) ?x2) ?v_10) (_ bv89 32)) (not (= (bvadd (bvmul (_ bv90 32) ?x1) (bvmul (_ bv52 32) ?x2)) (_ bv86 32))))))) (or (or (and (or (bvslt (bvadd (bvadd ?v_11 (bvmul (_ bv20 32) ?x2)) (bvmul (bvneg (_ bv96 32)) ?x3)) (_ bv28 32)) (bvsge (bvadd (bvmul (_ bv26 32) ?x1) (bvmul (bvneg (_ bv12 32)) ?x2)) (_ bv88 32))) (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv45 32)) ?x1) ?v_12) (bvmul (_ bv68 32) ?x3)) (bvneg (_ bv35 32)))) (or (bvsle (bvadd (bvadd (bvmul (_ bv43 32) ?x1) (bvmul (_ bv17 32) ?x2)) ?v_13) (_ bv0 32)) (bvsge (bvadd (bvadd (bvmul (_ bv70 32) ?x1) (bvmul (_ bv69 32) ?x2)) (bvmul (_ bv48 32) ?x3)) (_ bv0 32)))) (and (or (and (bvslt (bvadd ?v_14 (bvmul (bvneg (_ bv36 32)) ?x2)) (bvneg (_ bv53 32))) (bvsle (bvadd (bvmul (_ bv30 32) ?x1) ?v_15) (bvneg (_ bv48 32)))) (and (bvsgt (bvadd ?v_16 (bvmul (bvneg (_ bv8 32)) ?x3)) (bvneg (_ bv16 32))) (bvslt (bvmul (bvneg (_ bv21 32)) ?x3) (_ bv67 32)))) (or (bvsle (bvmul (_ bv21 32) ?x2) (bvneg (_ bv4 32))) (= (bvadd (bvadd (bvmul (_ bv81 32) ?x1) ?v_17) (bvmul (_ bv86 32) ?x3)) (_ bv0 32)))))))))))))
(check-sat)
(exit)
