(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(declare-fun x1 () (_ BitVec 32))
(declare-fun x2 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(assert (exists ((?x1 (_ BitVec 32))) (forall ((?x2 (_ BitVec 32))) (exists ((?x3 (_ BitVec 32))) (let ((?v_5 (bvmul (_ bv94 32) ?x1)) (?v_1 (bvmul (_ bv66 32) ?x1)) (?v_13 (bvmul (_ bv13 32) ?x3)) (?v_7 (bvmul (_ bv64 32) ?x3)) (?v_9 (bvmul (_ bv44 32) ?x3)) (?v_20 (bvmul (_ bv17 32) ?x1)) (?v_4 (bvmul (_ bv51 32) ?x1)) (?v_11 (bvmul (_ bv80 32) ?x2)) (?v_15 (bvmul (_ bv55 32) ?x2)) (?v_21 (bvmul (_ bv20 32) ?x3)) (?v_17 (bvmul (_ bv24 32) ?x1)) (?v_12 (bvmul (_ bv29 32) ?x3)) (?v_16 (bvmul (_ bv30 32) ?x3)) (?v_14 (bvmul (bvneg (_ bv85 32)) ?x1)) (?v_2 (bvmul (bvneg (_ bv52 32)) ?x2)) (?v_6 (bvmul (bvneg (_ bv95 32)) ?x3)) (?v_3 (bvmul (bvneg (_ bv10 32)) ?x1)) (?v_0 (bvmul (bvneg (_ bv68 32)) ?x3)) (?v_8 (bvmul (bvneg (_ bv93 32)) ?x3)) (?v_10 (bvmul (bvneg (_ bv49 32)) ?x3)) (?v_19 (bvmul (bvneg (_ bv27 32)) ?x2)) (?v_18 (bvmul (bvneg (_ bv28 32)) ?x1))) (or (and (or (or (and (and (bvsge (bvadd (bvadd ?v_14 ?v_2) (bvmul (_ bv65 32) ?x3)) (bvneg (_ bv77 32))) (bvsle (bvadd (bvmul (bvneg (_ bv72 32)) ?x1) (bvmul (_ bv52 32) ?x3)) (_ bv77 32))) (not (= (bvadd (bvadd (bvmul (_ bv67 32) ?x1) (bvmul (bvneg (_ bv16 32)) ?x2)) ?v_6) (bvneg (_ bv34 32))))) (or (or (bvsge (bvmul (bvneg (_ bv44 32)) ?x1) (bvneg (_ bv80 32))) (bvsle (bvadd (bvadd ?v_5 (bvmul (_ bv64 32) ?x2)) (bvmul (_ bv95 32) ?x3)) (bvneg (_ bv13 32)))) (not (= (bvadd (bvmul (_ bv59 32) ?x2) (bvmul (_ bv37 32) ?x3)) (bvneg (_ bv64 32)))))) (= (bvadd (bvmul (_ bv48 32) ?x1) (bvmul (_ bv70 32) ?x3)) (_ bv69 32))) (or (or (or (or (and (and (= (bvadd (bvadd ?v_3 (bvmul (_ bv32 32) ?x2)) (bvmul (_ bv7 32) ?x3)) (_ bv0 32)) (bvsle (bvmul (bvneg (_ bv31 32)) ?x2) (_ bv32 32))) (and (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv6 32)) ?x1) (bvmul (_ bv96 32) ?x2)) (bvmul (_ bv90 32) ?x3)) (_ bv0 32)) (not (= (bvadd (bvmul (bvneg (_ bv25 32)) ?x1) (bvmul (bvneg (_ bv30 32)) ?x3)) (bvneg (_ bv6 32)))))) (or (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv16 32)) ?x1) (bvmul (bvneg (_ bv94 32)) ?x2)) ?v_0) (_ bv61 32)) (or (bvsgt (bvmul (bvneg (_ bv98 32)) ?x3) (_ bv0 32)) (bvsgt (bvadd (bvmul (bvneg (_ bv9 32)) ?x2) (bvmul (bvneg (_ bv12 32)) ?x3)) (bvneg (_ bv24 32)))))) (and (and (and (bvsgt (bvadd (bvmul (bvneg (_ bv43 32)) ?x1) (bvmul (bvneg (_ bv14 32)) ?x3)) (_ bv0 32)) (bvsge (bvadd ?v_1 ?v_0) (bvneg (_ bv47 32)))) (and (bvslt (bvadd (bvadd ?v_1 (bvmul (_ bv20 32) ?x2)) (bvmul (_ bv10 32) ?x3)) (_ bv4 32)) (not (= (bvadd (bvadd (bvmul (bvneg (_ bv29 32)) ?x1) (bvmul (_ bv26 32) ?x2)) (bvmul (bvneg (_ bv100 32)) ?x3)) (_ bv30 32))))) (bvslt (bvmul (_ bv39 32) ?x3) (_ bv0 32)))) (and (not (= (bvadd (bvmul (_ bv67 32) ?x2) ?v_13) (bvneg (_ bv1 32)))) (and (or (and (not (= (bvadd (bvmul (bvneg (_ bv62 32)) ?x1) ?v_7) (bvneg (_ bv48 32)))) (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv58 32)) ?x1) (bvmul (bvneg (_ bv11 32)) ?x2)) ?v_9) (bvneg (_ bv14 32)))) (or (bvslt (bvadd ?v_2 (bvmul (_ bv4 32) ?x3)) (_ bv0 32)) (bvsge (bvmul (bvneg (_ bv83 32)) ?x3) (_ bv22 32)))) (and (and (bvsgt (bvadd ?v_20 (bvmul (bvneg (_ bv91 32)) ?x3)) (bvneg (_ bv36 32))) (not (= (bvadd (bvadd ?v_4 (bvmul (bvneg (_ bv47 32)) ?x2)) (bvmul (_ bv28 32) ?x3)) (_ bv99 32)))) (and (bvsle (bvadd (bvmul (_ bv16 32) ?x2) (bvmul (bvneg (_ bv76 32)) ?x3)) (_ bv89 32)) (bvsge (bvadd (bvadd ?v_3 (bvmul (_ bv77 32) ?x2)) (bvmul (bvneg (_ bv66 32)) ?x3)) (_ bv73 32))))))) (and (and (and (= (bvadd (bvmul (_ bv54 32) ?x1) (bvmul (_ bv47 32) ?x3)) (_ bv83 32)) (or (bvslt (bvmul (_ bv74 32) ?x2) (_ bv46 32)) (not (= (bvmul (_ bv21 32) ?x1) (_ bv0 32))))) (and (and (not (= (bvadd (bvadd (bvmul (_ bv7 32) ?x1) (bvmul (_ bv44 32) ?x2)) (bvmul (_ bv50 32) ?x3)) (_ bv14 32))) (bvsge (bvadd (bvadd ?v_4 (bvmul (bvneg (_ bv25 32)) ?x2)) (bvmul (bvneg (_ bv44 32)) ?x3)) (bvneg (_ bv47 32)))) (or (not (= (bvmul (_ bv50 32) ?x1) (bvneg (_ bv67 32)))) (bvsgt ?v_5 (_ bv20 32))))) (and (and (and (not (= (bvadd (bvadd (bvmul (_ bv39 32) ?x1) (bvmul (_ bv78 32) ?x2)) ?v_6) (_ bv0 32))) (= (bvadd (bvadd (bvmul (_ bv91 32) ?x1) ?v_11) ?v_7) (bvneg (_ bv33 32)))) (and (bvsle (bvadd (bvadd (bvmul (_ bv47 32) ?x1) (bvmul (_ bv73 32) ?x2)) ?v_8) (bvneg (_ bv60 32))) (= (bvadd ?v_15 (bvmul (bvneg (_ bv59 32)) ?x3)) (bvneg (_ bv48 32))))) (or (and (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv89 32)) ?x1) (bvmul (_ bv6 32) ?x2)) (bvmul (bvneg (_ bv20 32)) ?x3)) (bvneg (_ bv98 32))) (bvsge (bvadd (bvmul (bvneg (_ bv64 32)) ?x1) (bvmul (_ bv99 32) ?x2)) (_ bv0 32))) (not (= (bvadd (bvadd (bvmul (_ bv95 32) ?x1) (bvmul (bvneg (_ bv6 32)) ?x2)) ?v_21) (_ bv12 32)))))))) (or (and (or (and (or (bvsgt ?v_4 (_ bv51 32)) (not (= (bvadd (bvadd ?v_17 (bvmul (_ bv86 32) ?x2)) ?v_10) (_ bv3 32)))) (and (bvsge (bvadd (bvmul (bvneg (_ bv37 32)) ?x1) (bvmul (_ bv16 32) ?x3)) (_ bv34 32)) (not (= (bvadd (bvmul (_ bv69 32) ?x2) ?v_8) (bvneg (_ bv78 32)))))) (and (and (bvslt (bvadd (bvmul (_ bv51 32) ?x2) ?v_12) (bvneg (_ bv95 32))) (not (= (bvadd (bvmul (bvneg (_ bv66 32)) ?x1) (bvmul (_ bv87 32) ?x2)) (_ bv69 32)))) (and (bvsgt (bvadd (bvmul (bvneg (_ bv67 32)) ?x1) ?v_9) (bvneg (_ bv54 32))) (bvsgt (bvadd (bvmul (_ bv57 32) ?x1) (bvmul (bvneg (_ bv2 32)) ?x3)) (_ bv0 32))))) (and (or (and (not (= (bvadd (bvmul (_ bv53 32) ?x2) (bvmul (bvneg (_ bv5 32)) ?x3)) (_ bv24 32))) (bvsle (bvadd (bvmul (bvneg (_ bv7 32)) ?x2) ?v_6) (bvneg (_ bv37 32)))) (bvsge (bvadd (bvadd (bvmul (_ bv63 32) ?x1) (bvmul (bvneg (_ bv40 32)) ?x2)) (bvmul (_ bv12 32) ?x3)) (bvneg (_ bv17 32)))) (or (or (not (= (bvadd (bvadd (bvmul (_ bv20 32) ?x1) ?v_19) (bvmul (_ bv32 32) ?x3)) (_ bv27 32))) (bvslt (bvadd (bvmul (_ bv49 32) ?x2) (bvmul (bvneg (_ bv80 32)) ?x3)) (_ bv1 32))) (and (not (= (bvadd (bvmul (bvneg (_ bv82 32)) ?x1) (bvmul (bvneg (_ bv63 32)) ?x2)) (_ bv75 32))) (bvsge (bvadd (bvmul (_ bv34 32) ?x2) ?v_10) (bvneg (_ bv62 32))))))) (or (and (not (= (bvadd ?v_18 ?v_16) (bvneg (_ bv39 32)))) (not (= (bvadd (bvmul (_ bv22 32) ?x2) (bvmul (_ bv71 32) ?x3)) (bvneg (_ bv96 32))))) (and (or (and (and (bvsle (bvadd (bvadd (bvmul (_ bv55 32) ?x1) ?v_11) ?v_12) (_ bv0 32)) (or (not (= (bvadd (bvmul (bvneg (_ bv99 32)) ?x2) ?v_13) (bvneg (_ bv9 32)))) (= (bvadd (bvmul (bvneg (_ bv61 32)) ?x1) (bvmul (_ bv66 32) ?x3)) (_ bv0 32)))) (and (or (bvsge (bvadd (bvmul (bvneg (_ bv27 32)) ?x1) (bvmul (bvneg (_ bv46 32)) ?x2)) (bvneg (_ bv11 32))) (bvsge (bvadd (bvadd (bvmul (_ bv82 32) ?x1) (bvmul (bvneg (_ bv13 32)) ?x2)) (bvmul (bvneg (_ bv32 32)) ?x3)) (bvneg (_ bv32 32)))) (bvslt (bvadd (bvmul (_ bv22 32) ?x1) (bvmul (_ bv18 32) ?x3)) (_ bv0 32)))) (or (and (and (bvsgt (bvadd ?v_14 (bvmul (bvneg (_ bv86 32)) ?x3)) (_ bv0 32)) (bvsle (bvadd (bvmul (_ bv17 32) ?x2) (bvmul (_ bv73 32) ?x3)) (_ bv80 32))) (and (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv74 32)) ?x1) ?v_15) (bvmul (_ bv92 32) ?x3)) (_ bv83 32)) (bvsle (bvadd (bvmul (bvneg (_ bv19 32)) ?x1) (bvmul (_ bv59 32) ?x3)) (bvneg (_ bv46 32))))) (or (and (bvslt (bvadd (bvmul (_ bv35 32) ?x1) ?v_16) (bvneg (_ bv23 32))) (not (= (bvadd (bvmul (bvneg (_ bv90 32)) ?x1) (bvmul (bvneg (_ bv65 32)) ?x3)) (_ bv33 32)))) (or (bvslt (bvadd (bvadd ?v_17 (bvmul (_ bv62 32) ?x2)) (bvmul (_ bv5 32) ?x3)) (_ bv0 32)) (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv60 32)) ?x1) (bvmul (bvneg (_ bv21 32)) ?x2)) (bvmul (_ bv54 32) ?x3)) (_ bv0 32)))))) (or (or (or (= (bvadd ?v_18 (bvmul (bvneg (_ bv34 32)) ?x3)) (_ bv90 32)) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv20 32)) ?x1) ?v_19) (bvmul (_ bv57 32) ?x3)) (_ bv48 32))) (and (bvsle (bvadd (bvadd (bvmul (_ bv30 32) ?x1) (bvmul (bvneg (_ bv32 32)) ?x2)) (bvmul (bvneg (_ bv70 32)) ?x3)) (_ bv0 32)) (bvslt (bvadd (bvmul (_ bv36 32) ?x1) (bvmul (bvneg (_ bv22 32)) ?x2)) (bvneg (_ bv53 32))))) (or (or (bvslt (bvadd (bvmul (_ bv40 32) ?x1) (bvmul (_ bv11 32) ?x2)) (bvneg (_ bv29 32))) (= (bvmul (bvneg (_ bv79 32)) ?x1) (bvneg (_ bv33 32)))) (not (= (bvadd ?v_20 ?v_21) (bvneg (_ bv84 32)))))))))))))))
(check-sat)
(exit)
