(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(declare-fun x1 () (_ BitVec 32))
(declare-fun x2 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(assert (exists ((?x1 (_ BitVec 32))) (forall ((?x2 (_ BitVec 32))) (exists ((?x3 (_ BitVec 32))) (let ((?v_11 (bvmul (_ bv5 32) ?x1)) (?v_1 (bvmul (_ bv88 32) ?x2)) (?v_25 (bvmul (_ bv90 32) ?x2)) (?v_38 (bvmul (_ bv18 32) ?x3)) (?v_8 (bvmul (_ bv51 32) ?x1)) (?v_18 (bvmul (_ bv39 32) ?x3)) (?v_34 (bvmul (_ bv83 32) ?x1)) (?v_35 (bvmul (_ bv85 32) ?x1)) (?v_5 (bvmul (_ bv71 32) ?x1)) (?v_23 (bvmul (_ bv6 32) ?x2)) (?v_6 (bvmul (_ bv20 32) ?x1)) (?v_17 (bvmul (_ bv88 32) ?x3)) (?v_32 (bvmul (_ bv66 32) ?x1)) (?v_29 (bvmul (_ bv83 32) ?x3)) (?v_27 (bvmul (_ bv12 32) ?x2)) (?v_40 (bvmul (_ bv50 32) ?x2)) (?v_39 (bvmul (_ bv67 32) ?x1)) (?v_16 (bvmul (_ bv81 32) ?x3)) (?v_37 (bvmul (_ bv28 32) ?x1)) (?v_41 (bvmul (_ bv25 32) ?x3)) (?v_14 (bvmul (_ bv67 32) ?x2)) (?v_30 (bvmul (_ bv96 32) ?x1)) (?v_0 (bvmul (bvneg (_ bv16 32)) ?x3)) (?v_13 (bvmul (bvneg (_ bv75 32)) ?x1)) (?v_3 (bvmul (bvneg (_ bv47 32)) ?x2)) (?v_15 (bvmul (bvneg (_ bv57 32)) ?x3)) (?v_19 (bvmul (bvneg (_ bv21 32)) ?x3)) (?v_2 (bvmul (bvneg (_ bv51 32)) ?x1)) (?v_21 (bvmul (bvneg (_ bv83 32)) ?x1)) (?v_4 (bvmul (bvneg (_ bv79 32)) ?x3)) (?v_22 (bvmul (bvneg (_ bv53 32)) ?x3)) (?v_33 (bvmul (bvneg (_ bv45 32)) ?x1)) (?v_28 (bvmul (bvneg (_ bv100 32)) ?x3)) (?v_10 (bvmul (bvneg (_ bv94 32)) ?x2)) (?v_20 (bvmul (bvneg (_ bv54 32)) ?x1)) (?v_9 (bvmul (bvneg (_ bv32 32)) ?x1)) (?v_31 (bvmul (bvneg (_ bv85 32)) ?x2)) (?v_12 (bvmul (bvneg (_ bv35 32)) ?x1)) (?v_36 (bvmul (bvneg (_ bv3 32)) ?x2)) (?v_44 (bvmul (bvneg (_ bv71 32)) ?x1)) (?v_7 (bvmul (bvneg (_ bv13 32)) ?x1)) (?v_46 (bvmul (bvneg (_ bv45 32)) ?x3)) (?v_26 (bvmul (bvneg (_ bv85 32)) ?x3)) (?v_45 (bvmul (bvneg (_ bv43 32)) ?x3)) (?v_24 (bvmul (bvneg (_ bv98 32)) ?x1)) (?v_42 (bvmul (bvneg (_ bv71 32)) ?x3)) (?v_43 (bvmul (bvneg (_ bv49 32)) ?x1))) (or (or (or (and (and (or (and (bvslt (bvadd ?v_11 ?v_0) (_ bv34 32)) (bvsle (bvadd (bvadd (bvmul (_ bv1 32) ?x1) (bvmul (_ bv46 32) ?x2)) (bvmul (bvneg (_ bv99 32)) ?x3)) (_ bv0 32))) (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv4 32)) ?x1) (bvmul (_ bv99 32) ?x2)) (bvmul (bvneg (_ bv49 32)) ?x3)) (_ bv91 32))) (and (or (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv17 32)) ?x1) (bvmul (_ bv4 32) ?x2)) (bvmul (_ bv7 32) ?x3)) (_ bv91 32)) (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv26 32)) ?x1) (bvmul (_ bv9 32) ?x2)) (bvmul (_ bv87 32) ?x3)) (bvneg (_ bv88 32)))) (or (= (bvadd (bvmul (_ bv26 32) ?x1) (bvmul (_ bv64 32) ?x2)) (_ bv93 32)) (bvsgt (bvmul (bvneg (_ bv80 32)) ?x2) (bvneg (_ bv1 32)))))) (and (or (and (bvsle (bvadd (bvmul (_ bv59 32) ?x2) (bvmul (bvneg (_ bv44 32)) ?x3)) (bvneg (_ bv96 32))) (bvsgt (bvmul (bvneg (_ bv96 32)) ?x1) (_ bv77 32))) (not (= (bvadd (bvadd ?v_13 ?v_1) ?v_0) (_ bv63 32)))) (and (and (= (bvadd ?v_25 (bvmul (_ bv71 32) ?x3)) (_ bv3 32)) (bvslt (bvadd (bvmul (_ bv4 32) ?x1) (bvmul (_ bv96 32) ?x2)) (bvneg (_ bv50 32)))) (or (bvsle (bvadd (bvmul (bvneg (_ bv56 32)) ?x1) ?v_38) (_ bv0 32)) (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv22 32)) ?x1) ?v_3) (bvmul (bvneg (_ bv60 32)) ?x3)) (bvneg (_ bv67 32))))))) (and (and (bvsgt (bvadd (bvmul (_ bv84 32) ?x1) (bvmul (bvneg (_ bv72 32)) ?x2)) (_ bv56 32)) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv34 32)) ?x1) (bvmul (bvneg (_ bv84 32)) ?x2)) ?v_15) (_ bv0 32))) (and (or (= (bvadd (bvadd (bvmul (bvneg (_ bv97 32)) ?x1) (bvmul (_ bv39 32) ?x2)) (bvmul (bvneg (_ bv92 32)) ?x3)) (_ bv0 32)) (bvsgt (bvadd (bvadd ?v_8 (bvmul (_ bv18 32) ?x2)) ?v_18) (_ bv0 32))) (and (bvsge (bvadd ?v_34 (bvmul (_ bv77 32) ?x3)) (_ bv46 32)) (bvsgt (bvadd (bvmul (bvneg (_ bv69 32)) ?x1) (bvmul (_ bv36 32) ?x2)) (_ bv0 32)))))) (or (or (or (or (bvsgt (bvadd (bvmul (_ bv57 32) ?x1) (bvmul (bvneg (_ bv11 32)) ?x2)) (_ bv36 32)) (bvsgt (bvadd (bvadd ?v_35 (bvmul (bvneg (_ bv49 32)) ?x2)) (bvmul (bvneg (_ bv2 32)) ?x3)) (_ bv0 32))) (and (bvsge (bvmul (_ bv52 32) ?x2) (bvneg (_ bv32 32))) (bvsle (bvadd (bvadd (bvmul (_ bv64 32) ?x1) (bvmul (bvneg (_ bv91 32)) ?x2)) ?v_19) (_ bv38 32)))) (and (or (bvsge ?v_2 (_ bv88 32)) (bvsle (bvadd (bvadd (bvmul (_ bv35 32) ?x1) (bvmul (_ bv89 32) ?x2)) (bvmul (_ bv59 32) ?x3)) (bvneg (_ bv88 32)))) (and (or (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv62 32)) ?x1) (bvmul (bvneg (_ bv56 32)) ?x2)) (bvmul (_ bv56 32) ?x3)) (_ bv10 32)) (and (bvsgt ?v_21 (_ bv0 32)) (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv89 32)) ?x1) ?v_1) (bvmul (bvneg (_ bv93 32)) ?x3)) (_ bv40 32)))) (or (and (bvsgt (bvadd (bvadd ?v_5 (bvmul (_ bv69 32) ?x2)) ?v_4) (bvneg (_ bv60 32))) (bvsgt (bvadd (bvadd (bvmul (_ bv54 32) ?x1) ?v_23) (bvmul (_ bv72 32) ?x3)) (_ bv51 32))) (or (bvsle (bvadd ?v_6 (bvmul (_ bv31 32) ?x3)) (_ bv2 32)) (= (bvadd (bvadd (bvmul (bvneg (_ bv29 32)) ?x1) (bvmul (bvneg (_ bv90 32)) ?x2)) (bvmul (bvneg (_ bv19 32)) ?x3)) (_ bv0 32))))))) (and (and (and (or (and (= (bvadd ?v_2 (bvmul (_ bv54 32) ?x2)) (_ bv26 32)) (bvsgt (bvadd (bvmul (_ bv7 32) ?x1) (bvmul (_ bv32 32) ?x2)) (_ bv48 32))) (or (bvsle (bvadd (bvmul (bvneg (_ bv82 32)) ?x2) ?v_22) (bvneg (_ bv61 32))) (not (= (bvadd (bvadd ?v_33 ?v_3) ?v_17) (bvneg (_ bv54 32)))))) (or (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv14 32)) ?x1) (bvmul (_ bv7 32) ?x2)) (bvmul (_ bv85 32) ?x3)) (_ bv29 32)) (bvslt (bvadd (bvmul (bvneg (_ bv50 32)) ?x2) (bvmul (bvneg (_ bv65 32)) ?x3)) (_ bv22 32)))) (or (= (bvadd (bvadd (bvmul (bvneg (_ bv85 32)) ?x1) (bvmul (_ bv55 32) ?x2)) ?v_28) (bvneg (_ bv10 32))) (and (or (bvsgt (bvmul (bvneg (_ bv38 32)) ?x3) (_ bv72 32)) (bvsge (bvadd (bvadd ?v_32 ?v_10) ?v_4) (bvneg (_ bv86 32)))) (or (bvsgt (bvadd (bvadd ?v_5 (bvmul (_ bv5 32) ?x2)) (bvmul (_ bv11 32) ?x3)) (bvneg (_ bv48 32))) (bvsgt (bvadd (bvadd (bvmul (_ bv24 32) ?x1) (bvmul (bvneg (_ bv88 32)) ?x2)) ?v_29) (bvneg (_ bv21 32))))))) (or (and (and (or (not (= (bvadd (bvadd ?v_20 (bvmul (_ bv84 32) ?x2)) (bvmul (_ bv46 32) ?x3)) (_ bv24 32))) (bvsgt (bvadd (bvadd ?v_9 ?v_27) (bvmul (bvneg (_ bv41 32)) ?x3)) (_ bv0 32))) (bvsge (bvadd (bvmul (bvneg (_ bv24 32)) ?x1) (bvmul (_ bv29 32) ?x3)) (_ bv0 32))) (or (bvsge (bvadd ?v_31 (bvmul (_ bv40 32) ?x3)) (_ bv0 32)) (= (bvmul (bvneg (_ bv39 32)) ?x1) (bvneg (_ bv21 32))))) (or (or (or (bvslt (bvadd (bvmul (bvneg (_ bv73 32)) ?x1) (bvmul (bvneg (_ bv83 32)) ?x2)) (_ bv0 32)) (bvsge (bvadd (bvadd ?v_12 ?v_36) (bvmul (bvneg (_ bv88 32)) ?x3)) (_ bv16 32))) (and (not (= (bvadd ?v_44 (bvmul (_ bv16 32) ?x2)) (_ bv75 32))) (= ?v_6 (_ bv0 32)))) (and (bvslt (bvadd (bvmul (bvneg (_ bv89 32)) ?x2) (bvmul (_ bv82 32) ?x3)) (bvneg (_ bv23 32))) (not (= (bvadd (bvmul (_ bv58 32) ?x1) (bvmul (bvneg (_ bv79 32)) ?x2)) (_ bv0 32))))))))) (and (or (or (or (bvsgt (bvadd (bvmul (_ bv65 32) ?x1) ?v_40) (bvneg (_ bv31 32))) (or (= (bvadd ?v_7 (bvmul (_ bv68 32) ?x3)) (_ bv11 32)) (or (and (bvsgt (bvadd (bvadd ?v_7 (bvmul (_ bv35 32) ?x2)) ?v_46) (_ bv0 32)) (= (bvadd (bvadd ?v_39 (bvmul (bvneg (_ bv52 32)) ?x2)) (bvmul (_ bv78 32) ?x3)) (_ bv0 32))) (= (bvadd (bvmul (bvneg (_ bv28 32)) ?x2) ?v_16) (bvneg (_ bv96 32)))))) (or (and (= (bvadd ?v_37 (bvmul (_ bv51 32) ?x3)) (bvneg (_ bv82 32))) (and (bvsgt (bvadd (bvadd ?v_8 (bvmul (_ bv20 32) ?x2)) (bvmul (_ bv98 32) ?x3)) (bvneg (_ bv82 32))) (bvsgt (bvadd (bvmul (bvneg (_ bv41 32)) ?x2) (bvmul (_ bv14 32) ?x3)) (_ bv95 32)))) (or (and (or (bvsge (bvadd (bvadd ?v_9 ?v_10) (bvmul (bvneg (_ bv73 32)) ?x3)) (_ bv73 32)) (= (bvadd (bvmul (bvneg (_ bv91 32)) ?x1) (bvmul (bvneg (_ bv22 32)) ?x3)) (_ bv0 32))) (or (not (= (bvadd (bvadd ?v_11 (bvmul (bvneg (_ bv35 32)) ?x2)) ?v_41) (_ bv75 32))) (= (bvadd ?v_7 ?v_26) (_ bv56 32)))) (or (and (not (= (bvadd (bvadd (bvmul (bvneg (_ bv70 32)) ?x1) (bvmul (bvneg (_ bv68 32)) ?x2)) (bvmul (_ bv97 32) ?x3)) (_ bv81 32))) (not (= (bvadd (bvadd (bvmul (_ bv43 32) ?x1) (bvmul (bvneg (_ bv99 32)) ?x2)) (bvmul (_ bv27 32) ?x3)) (_ bv18 32)))) (or (= (bvadd (bvadd ?v_12 ?v_14) ?v_45) (bvneg (_ bv61 32))) (bvsge (bvadd (bvadd ?v_13 (bvmul (bvneg (_ bv40 32)) ?x2)) (bvmul (_ bv66 32) ?x3)) (_ bv19 32))))))) (or (or (or (and (and (not (= (bvadd (bvadd ?v_13 (bvmul (_ bv45 32) ?x2)) (bvmul (bvneg (_ bv96 32)) ?x3)) (_ bv90 32))) (bvsge (bvadd (bvmul (bvneg (_ bv36 32)) ?x1) (bvmul (bvneg (_ bv89 32)) ?x3)) (_ bv97 32))) (or (bvslt (bvadd (bvadd (bvmul (_ bv50 32) ?x1) ?v_14) ?v_15) (_ bv40 32)) (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv19 32)) ?x1) (bvmul (bvneg (_ bv59 32)) ?x2)) ?v_16) (_ bv73 32)))) (and (not (= (bvadd ?v_24 ?v_17) (_ bv0 32))) (bvslt (bvadd (bvmul (bvneg (_ bv93 32)) ?x1) ?v_18) (_ bv88 32)))) (or (bvsle (bvadd (bvmul (_ bv77 32) ?x1) (bvmul (_ bv25 32) ?x2)) (_ bv38 32)) (and (not (= (bvadd (bvmul (_ bv16 32) ?x1) ?v_19) (bvneg (_ bv31 32)))) (= (bvadd ?v_20 (bvmul (_ bv100 32) ?x2)) (bvneg (_ bv27 32)))))) (and (or (and (= ?v_21 (bvneg (_ bv12 32))) (and (= (bvadd (bvadd (bvmul (_ bv53 32) ?x1) (bvmul (_ bv92 32) ?x2)) ?v_22) (_ bv0 32)) (bvslt (bvadd (bvadd (bvmul (_ bv99 32) ?x1) ?v_23) (bvmul (_ bv34 32) ?x3)) (_ bv0 32)))) (and (and (bvsle (bvadd (bvadd ?v_24 ?v_25) ?v_26) (bvneg (_ bv52 32))) (bvslt ?v_30 (_ bv55 32))) (and (bvslt (bvadd ?v_27 (bvmul (_ bv52 32) ?x3)) (_ bv0 32)) (bvsge (bvadd (bvmul (bvneg (_ bv52 32)) ?x1) ?v_28) (bvneg (_ bv80 32)))))) (or (or (bvslt (bvadd (bvadd (bvmul (_ bv97 32) ?x1) (bvmul (bvneg (_ bv71 32)) ?x2)) (bvmul (_ bv57 32) ?x3)) (_ bv25 32)) (and (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv55 32)) ?x1) (bvmul (bvneg (_ bv98 32)) ?x2)) ?v_29) (bvneg (_ bv31 32))) (bvsle (bvadd (bvmul (_ bv30 32) ?x1) (bvmul (_ bv50 32) ?x3)) (bvneg (_ bv58 32))))) (or (or (bvsge (bvadd (bvadd ?v_30 (bvmul (bvneg (_ bv2 32)) ?x2)) (bvmul (_ bv24 32) ?x3)) (bvneg (_ bv8 32))) (bvsle (bvmul (_ bv46 32) ?x1) (bvneg (_ bv82 32)))) (and (not (= (bvadd (bvmul (bvneg (_ bv10 32)) ?x2) (bvmul (_ bv92 32) ?x3)) (_ bv24 32))) (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv12 32)) ?x1) ?v_31) ?v_15) (bvneg (_ bv11 32))))))))) (or (and (or (and (bvsle (bvmul (_ bv94 32) ?x1) (bvneg (_ bv25 32))) (or (bvsle (bvadd (bvmul (_ bv39 32) ?x1) (bvmul (_ bv61 32) ?x3)) (_ bv0 32)) (bvsge (bvadd (bvadd ?v_32 (bvmul (_ bv71 32) ?x2)) (bvmul (_ bv19 32) ?x3)) (_ bv91 32)))) (and (or (not (= (bvadd (bvadd ?v_33 (bvmul (_ bv10 32) ?x2)) (bvmul (_ bv5 32) ?x3)) (_ bv0 32))) (= (bvmul (bvneg (_ bv95 32)) ?x3) (bvneg (_ bv60 32)))) (and (bvsgt (bvmul (_ bv1 32) ?x2) (_ bv74 32)) (bvsgt (bvadd ?v_34 (bvmul (_ bv62 32) ?x2)) (bvneg (_ bv70 32)))))) (and (and (not (= (bvadd ?v_35 (bvmul (_ bv70 32) ?x2)) (bvneg (_ bv3 32)))) (bvslt (bvadd (bvmul (_ bv75 32) ?x1) ?v_36) (_ bv0 32))) (and (not (= (bvadd (bvadd ?v_37 (bvmul (_ bv49 32) ?x2)) (bvmul (_ bv80 32) ?x3)) (bvneg (_ bv45 32)))) (not (= (bvadd (bvadd (bvmul (_ bv82 32) ?x1) (bvmul (bvneg (_ bv30 32)) ?x2)) ?v_42) (bvneg (_ bv78 32))))))) (and (and (and (= (bvmul (_ bv74 32) ?x3) (_ bv29 32)) (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv37 32)) ?x1) (bvmul (bvneg (_ bv92 32)) ?x2)) ?v_38) (_ bv0 32))) (or (bvsle (bvadd (bvadd ?v_39 (bvmul (bvneg (_ bv29 32)) ?x2)) ?v_28) (bvneg (_ bv25 32))) (not (= (bvadd (bvadd ?v_21 ?v_40) ?v_41) (_ bv0 32))))) (or (or (and (= (bvadd (bvmul (bvneg (_ bv7 32)) ?x2) (bvmul (_ bv4 32) ?x3)) (_ bv63 32)) (bvsle (bvadd ?v_12 (bvmul (_ bv30 32) ?x2)) (bvneg (_ bv39 32)))) (and (and (= (bvadd (bvmul (bvneg (_ bv2 32)) ?x1) ?v_42) (_ bv35 32)) (bvslt (bvadd (bvadd ?v_43 (bvmul (_ bv72 32) ?x2)) (bvmul (bvneg (_ bv91 32)) ?x3)) (_ bv0 32))) (and (bvsgt (bvadd ?v_2 (bvmul (bvneg (_ bv4 32)) ?x3)) (bvneg (_ bv60 32))) (= (bvadd ?v_43 (bvmul (bvneg (_ bv46 32)) ?x2)) (_ bv0 32))))) (and (and (and (bvsge (bvadd (bvmul (bvneg (_ bv60 32)) ?x1) (bvmul (bvneg (_ bv5 32)) ?x2)) (_ bv46 32)) (= (bvmul (_ bv41 32) ?x1) (_ bv0 32))) (bvslt (bvadd (bvadd (bvmul (_ bv52 32) ?x1) (bvmul (_ bv44 32) ?x2)) (bvmul (bvneg (_ bv15 32)) ?x3)) (_ bv25 32))) (or (or (bvsgt (bvadd ?v_44 ?v_45) (_ bv63 32)) (bvsge ?v_46 (_ bv94 32))) (and (bvsle (bvadd (bvmul (bvneg (_ bv87 32)) ?x2) (bvmul (_ bv73 32) ?x3)) (_ bv80 32)) (bvsgt (bvmul (_ bv42 32) ?x3) (_ bv0 32)))))))))))))))
(check-sat)
(exit)
