(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(declare-fun x1 () (_ BitVec 32))
(declare-fun x2 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(assert (exists ((?x1 (_ BitVec 32))) (forall ((?x2 (_ BitVec 32))) (exists ((?x3 (_ BitVec 32))) (let ((?v_34 (bvmul (_ bv75 32) ?x3)) (?v_79 (bvmul (_ bv56 32) ?x1)) (?v_13 (bvmul (_ bv1 32) ?x3)) (?v_27 (bvmul (_ bv29 32) ?x3)) (?v_66 (bvmul (_ bv59 32) ?x3)) (?v_12 (bvmul (_ bv78 32) ?x2)) (?v_1 (bvmul (_ bv55 32) ?x1)) (?v_36 (bvmul (_ bv75 32) ?x2)) (?v_29 (bvmul (_ bv19 32) ?x2)) (?v_23 (bvmul (_ bv14 32) ?x2)) (?v_56 (bvmul (_ bv50 32) ?x3)) (?v_78 (bvmul (_ bv96 32) ?x3)) (?v_40 (bvmul (_ bv70 32) ?x3)) (?v_4 (bvmul (_ bv2 32) ?x3)) (?v_6 (bvmul (_ bv32 32) ?x2)) (?v_10 (bvmul (_ bv36 32) ?x1)) (?v_71 (bvmul (_ bv69 32) ?x1)) (?v_11 (bvmul (_ bv98 32) ?x2)) (?v_43 (bvmul (_ bv17 32) ?x3)) (?v_26 (bvmul (_ bv90 32) ?x3)) (?v_14 (bvmul (_ bv80 32) ?x1)) (?v_17 (bvmul (_ bv28 32) ?x3)) (?v_16 (bvmul (_ bv30 32) ?x2)) (?v_70 (bvmul (_ bv11 32) ?x3)) (?v_73 (bvmul (_ bv69 32) ?x2)) (?v_53 (bvmul (_ bv28 32) ?x1)) (?v_20 (bvmul (_ bv5 32) ?x1)) (?v_39 (bvmul (_ bv51 32) ?x1)) (?v_58 (bvmul (_ bv73 32) ?x1)) (?v_46 (bvmul (_ bv8 32) ?x3)) (?v_75 (bvmul (_ bv16 32) ?x2)) (?v_50 (bvmul (_ bv42 32) ?x2)) (?v_83 (bvmul (_ bv13 32) ?x2)) (?v_24 (bvmul (_ bv66 32) ?x1)) (?v_21 (bvmul (_ bv85 32) ?x2)) (?v_48 (bvmul (_ bv74 32) ?x1)) (?v_25 (bvmul (_ bv3 32) ?x1)) (?v_42 (bvmul (_ bv33 32) ?x1)) (?v_69 (bvmul (_ bv68 32) ?x1)) (?v_62 (bvmul (_ bv11 32) ?x2)) (?v_76 (bvmul (_ bv15 32) ?x3)) (?v_72 (bvmul (_ bv93 32) ?x1)) (?v_85 (bvmul (_ bv5 32) ?x2)) (?v_77 (bvmul (_ bv48 32) ?x1)) (?v_38 (bvmul (bvneg (_ bv93 32)) ?x3)) (?v_2 (bvmul (bvneg (_ bv41 32)) ?x3)) (?v_0 (bvmul (bvneg (_ bv36 32)) ?x1)) (?v_32 (bvmul (bvneg (_ bv19 32)) ?x1)) (?v_28 (bvmul (bvneg (_ bv12 32)) ?x2)) (?v_18 (bvmul (bvneg (_ bv58 32)) ?x1)) (?v_47 (bvmul (bvneg (_ bv44 32)) ?x1)) (?v_68 (bvmul (bvneg (_ bv18 32)) ?x2)) (?v_33 (bvmul (bvneg (_ bv42 32)) ?x2)) (?v_3 (bvmul (bvneg (_ bv27 32)) ?x1)) (?v_59 (bvmul (bvneg (_ bv5 32)) ?x1)) (?v_19 (bvmul (bvneg (_ bv75 32)) ?x2)) (?v_7 (bvmul (bvneg (_ bv48 32)) ?x3)) (?v_60 (bvmul (bvneg (_ bv91 32)) ?x3)) (?v_9 (bvmul (bvneg (_ bv97 32)) ?x1)) (?v_5 (bvmul (bvneg (_ bv87 32)) ?x3)) (?v_8 (bvmul (bvneg (_ bv42 32)) ?x1)) (?v_55 (bvmul (bvneg (_ bv61 32)) ?x1)) (?v_15 (bvmul (bvneg (_ bv68 32)) ?x1)) (?v_84 (bvmul (bvneg (_ bv57 32)) ?x1)) (?v_51 (bvmul (bvneg (_ bv2 32)) ?x1)) (?v_30 (bvmul (bvneg (_ bv56 32)) ?x1)) (?v_82 (bvmul (bvneg (_ bv1 32)) ?x2)) (?v_22 (bvmul (bvneg (_ bv33 32)) ?x2)) (?v_67 (bvmul (bvneg (_ bv60 32)) ?x2)) (?v_44 (bvmul (bvneg (_ bv65 32)) ?x2)) (?v_54 (bvmul (bvneg (_ bv40 32)) ?x1)) (?v_41 (bvmul (bvneg (_ bv69 32)) ?x2)) (?v_35 (bvmul (bvneg (_ bv34 32)) ?x3)) (?v_74 (bvmul (bvneg (_ bv79 32)) ?x3)) (?v_63 (bvmul (bvneg (_ bv25 32)) ?x2)) (?v_65 (bvmul (bvneg (_ bv98 32)) ?x2)) (?v_64 (bvmul (bvneg (_ bv90 32)) ?x2)) (?v_31 (bvmul (bvneg (_ bv26 32)) ?x3)) (?v_37 (bvmul (bvneg (_ bv66 32)) ?x2)) (?v_81 (bvmul (bvneg (_ bv21 32)) ?x1)) (?v_52 (bvmul (bvneg (_ bv56 32)) ?x2)) (?v_45 (bvmul (bvneg (_ bv8 32)) ?x1)) (?v_49 (bvmul (bvneg (_ bv59 32)) ?x1)) (?v_57 (bvmul (bvneg (_ bv23 32)) ?x1)) (?v_61 (bvmul (bvneg (_ bv74 32)) ?x3)) (?v_80 (bvmul (bvneg (_ bv5 32)) ?x3))) (and (or (and (or (and (and (or (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv33 32)) ?x1) (bvmul (bvneg (_ bv16 32)) ?x2)) ?v_34) (_ bv94 32)) (bvsle (bvadd (bvadd ?v_79 (bvmul (_ bv24 32) ?x2)) ?v_38) (_ bv0 32))) (or (bvsgt (bvadd (bvmul (bvneg (_ bv88 32)) ?x2) (bvmul (bvneg (_ bv6 32)) ?x3)) (bvneg (_ bv64 32))) (bvsgt (bvadd (bvmul (_ bv49 32) ?x2) ?v_2) (bvneg (_ bv73 32))))) (= (bvadd (bvmul (_ bv75 32) ?x1) (bvmul (_ bv94 32) ?x2)) (_ bv87 32))) (and (or (and (bvslt (bvmul (_ bv84 32) ?x2) (_ bv49 32)) (not (= (bvadd ?v_0 ?v_13) (_ bv8 32)))) (or (bvsle (bvadd (bvadd ?v_32 ?v_28) ?v_27) (bvneg (_ bv12 32))) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv76 32)) ?x1) (bvmul (bvneg (_ bv20 32)) ?x2)) (bvmul (_ bv45 32) ?x3)) (_ bv93 32)))) (and (and (not (= (bvadd (bvadd (bvmul (bvneg (_ bv78 32)) ?x1) (bvmul (bvneg (_ bv68 32)) ?x2)) ?v_66) (_ bv68 32))) (not (= (bvmul (_ bv73 32) ?x2) (_ bv0 32)))) (and (bvsle (bvadd ?v_18 ?v_12) (_ bv0 32)) (not (= ?v_1 (_ bv2 32))))))) (or (or (or (or (bvsge (bvadd ?v_47 (bvmul (_ bv91 32) ?x3)) (bvneg (_ bv14 32))) (bvsge (bvadd ?v_68 (bvmul (_ bv39 32) ?x3)) (_ bv0 32))) (or (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv64 32)) ?x1) ?v_36) (bvmul (_ bv92 32) ?x3)) (_ bv0 32)) (bvslt (bvadd (bvadd ?v_0 ?v_29) (bvmul (bvneg (_ bv49 32)) ?x3)) (bvneg (_ bv23 32))))) (and (and (bvslt (bvmul (_ bv93 32) ?x3) (bvneg (_ bv2 32))) (bvslt (bvmul (_ bv97 32) ?x2) (_ bv73 32))) (or (bvsgt (bvmul (bvneg (_ bv43 32)) ?x1) (_ bv77 32)) (not (= (bvadd ?v_23 (bvmul (bvneg (_ bv39 32)) ?x3)) (_ bv0 32)))))) (or (bvsge ?v_56 (bvneg (_ bv5 32))) (not (= (bvadd (bvmul (bvneg (_ bv48 32)) ?x1) (bvmul (bvneg (_ bv90 32)) ?x3)) (bvneg (_ bv36 32))))))) (and (or (and (and (and (bvsgt (bvadd (bvmul (bvneg (_ bv14 32)) ?x2) (bvmul (bvneg (_ bv28 32)) ?x3)) (_ bv14 32)) (and (not (= (bvadd (bvadd (bvmul (_ bv45 32) ?x1) (bvmul (bvneg (_ bv67 32)) ?x2)) (bvmul (bvneg (_ bv54 32)) ?x3)) (_ bv93 32))) (not (= (bvadd (bvadd (bvmul (bvneg (_ bv28 32)) ?x1) ?v_33) ?v_78) (_ bv18 32))))) (and (bvslt (bvadd ?v_3 (bvmul (bvneg (_ bv99 32)) ?x3)) (bvneg (_ bv35 32))) (bvsle (bvadd ?v_59 ?v_40) (_ bv0 32)))) (or (or (bvsge (bvadd (bvmul (_ bv10 32) ?x1) (bvmul (bvneg (_ bv83 32)) ?x3)) (bvneg (_ bv35 32))) (not (= ?v_4 (_ bv50 32)))) (and (and (= (bvadd ?v_19 (bvmul (_ bv23 32) ?x3)) (_ bv0 32)) (bvsle (bvadd (bvadd (bvmul (_ bv27 32) ?x1) ?v_6) (bvmul (bvneg (_ bv77 32)) ?x3)) (_ bv74 32))) (and (bvsge (bvadd (bvadd ?v_10 (bvmul (bvneg (_ bv32 32)) ?x2)) ?v_7) (_ bv1 32)) (bvsle (bvadd ?v_1 (bvmul (_ bv2 32) ?x2)) (_ bv74 32)))))) (or (and (and (bvsgt (bvadd (bvmul (_ bv12 32) ?x1) ?v_2) (_ bv83 32)) (not (= (bvadd (bvmul (_ bv52 32) ?x2) ?v_60) (_ bv0 32)))) (and (= (bvadd ?v_71 ?v_11) (_ bv99 32)) (bvslt (bvadd ?v_1 (bvmul (bvneg (_ bv28 32)) ?x2)) (bvneg (_ bv35 32))))) (and (or (bvsge (bvadd ?v_9 ?v_5) (_ bv0 32)) (= (bvadd (bvadd ?v_3 (bvmul (_ bv87 32) ?x2)) (bvmul (_ bv74 32) ?x3)) (bvneg (_ bv81 32)))) (or (not (= (bvmul (bvneg (_ bv44 32)) ?x2) (bvneg (_ bv1 32)))) (bvsgt (bvmul (bvneg (_ bv90 32)) ?x1) (_ bv5 32)))))) (and (and (or (or (bvsge ?v_4 (_ bv88 32)) (bvsle (bvadd (bvadd ?v_8 (bvmul (bvneg (_ bv39 32)) ?x2)) ?v_43) (bvneg (_ bv39 32)))) (and (bvsge (bvadd ?v_55 (bvmul (_ bv64 32) ?x2)) (_ bv0 32)) (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv3 32)) ?x1) (bvmul (bvneg (_ bv43 32)) ?x2)) (bvmul (_ bv53 32) ?x3)) (bvneg (_ bv28 32))))) (or (or (bvsge (bvadd (bvadd ?v_15 (bvmul (bvneg (_ bv6 32)) ?x2)) ?v_5) (_ bv73 32)) (bvslt ?v_26 (bvneg (_ bv17 32)))) (and (= (bvmul (_ bv74 32) ?x2) (bvneg (_ bv9 32))) (bvsle (bvadd ?v_14 (bvmul (_ bv25 32) ?x3)) (bvneg (_ bv69 32)))))) (or (or (and (bvsge (bvadd (bvmul (_ bv34 32) ?x2) (bvmul (_ bv60 32) ?x3)) (_ bv0 32)) (= (bvadd (bvadd ?v_84 (bvmul (_ bv61 32) ?x2)) ?v_17) (bvneg (_ bv30 32)))) (and (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv88 32)) ?x1) ?v_6) ?v_7) (bvneg (_ bv80 32))) (bvsgt (bvmul (_ bv65 32) ?x2) (_ bv95 32)))) (and (or (bvsge (bvadd (bvadd ?v_8 (bvmul (_ bv35 32) ?x2)) (bvmul (bvneg (_ bv25 32)) ?x3)) (_ bv0 32)) (bvsle (bvadd (bvadd ?v_9 ?v_16) ?v_70) (_ bv0 32))) (and (bvsle (bvadd (bvadd ?v_8 (bvmul (bvneg (_ bv84 32)) ?x2)) (bvmul (bvneg (_ bv12 32)) ?x3)) (_ bv0 32)) (not (= (bvadd (bvmul (bvneg (_ bv89 32)) ?x1) (bvmul (bvneg (_ bv7 32)) ?x3)) (_ bv0 32))))))))) (and (and (or (or (or (or (or (= (bvadd ?v_10 ?v_73) (bvneg (_ bv31 32))) (= (bvadd ?v_53 (bvmul (bvneg (_ bv3 32)) ?x2)) (_ bv0 32))) (bvsge (bvadd ?v_20 (bvmul (bvneg (_ bv32 32)) ?x3)) (bvneg (_ bv95 32)))) (or (and (and (bvsgt (bvadd ?v_39 (bvmul (bvneg (_ bv51 32)) ?x3)) (bvneg (_ bv55 32))) (bvsge (bvadd ?v_58 ?v_11) (_ bv73 32))) (and (= (bvmul (bvneg (_ bv29 32)) ?x3) (bvneg (_ bv24 32))) (not (= (bvadd (bvadd (bvmul (bvneg (_ bv53 32)) ?x1) ?v_12) ?v_46) (bvneg (_ bv100 32)))))) (or (bvsle (bvadd (bvmul (_ bv95 32) ?x1) ?v_75) (_ bv68 32)) (bvslt (bvadd (bvadd ?v_51 ?v_50) (bvmul (_ bv99 32) ?x3)) (_ bv0 32))))) (or (or (and (and (= (bvadd (bvmul (_ bv92 32) ?x1) ?v_13) (bvneg (_ bv96 32))) (bvsle (bvadd ?v_14 (bvmul (bvneg (_ bv57 32)) ?x2)) (_ bv0 32))) (or (not (= (bvadd (bvadd ?v_30 ?v_82) (bvmul (_ bv5 32) ?x3)) (_ bv0 32))) (bvsle (bvadd ?v_83 (bvmul (_ bv33 32) ?x3)) (bvneg (_ bv9 32))))) (and (and (= (bvadd (bvadd (bvmul (bvneg (_ bv6 32)) ?x1) ?v_22) (bvmul (bvneg (_ bv58 32)) ?x3)) (bvneg (_ bv96 32))) (bvsle (bvadd (bvmul (bvneg (_ bv94 32)) ?x2) (bvmul (_ bv27 32) ?x3)) (bvneg (_ bv84 32)))) (or (bvsle ?v_67 (_ bv0 32)) (bvsge (bvadd (bvmul (_ bv86 32) ?x1) (bvmul (_ bv8 32) ?x2)) (_ bv0 32))))) (or (and (= (bvadd (bvadd ?v_15 ?v_44) (bvmul (_ bv43 32) ?x3)) (bvneg (_ bv70 32))) (not (= (bvadd (bvadd (bvmul (bvneg (_ bv51 32)) ?x1) (bvmul (bvneg (_ bv58 32)) ?x2)) (bvmul (_ bv65 32) ?x3)) (bvneg (_ bv99 32))))) (and (bvslt (bvadd (bvadd ?v_54 ?v_16) ?v_17) (_ bv0 32)) (and (bvsge (bvmul (_ bv88 32) ?x1) (_ bv0 32)) (bvsle (bvadd (bvadd ?v_24 ?v_41) (bvmul (_ bv22 32) ?x3)) (_ bv96 32))))))) (or (and (bvsge (bvadd (bvadd ?v_18 ?v_19) (bvmul (bvneg (_ bv86 32)) ?x3)) (_ bv31 32)) (not (= (bvadd (bvmul (bvneg (_ bv59 32)) ?x2) (bvmul (_ bv58 32) ?x3)) (_ bv6 32)))) (and (and (bvsge (bvadd ?v_21 ?v_35) (_ bv67 32)) (not (= (bvmul (bvneg (_ bv36 32)) ?x2) (_ bv0 32)))) (or (bvslt (bvadd (bvmul (bvneg (_ bv30 32)) ?x1) (bvmul (_ bv37 32) ?x3)) (bvneg (_ bv26 32))) (bvslt (bvadd ?v_20 (bvmul (_ bv55 32) ?x3)) (_ bv97 32)))))) (and (and (and (and (or (or (= (bvadd (bvmul (bvneg (_ bv94 32)) ?x1) (bvmul (bvneg (_ bv71 32)) ?x3)) (bvneg (_ bv21 32))) (= (bvadd ?v_48 (bvmul (_ bv83 32) ?x3)) (_ bv33 32))) (or (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv47 32)) ?x1) ?v_21) ?v_74) (_ bv25 32)) (bvslt (bvadd (bvmul (_ bv1 32) ?x1) ?v_22) (_ bv82 32)))) (or (bvsle (bvadd ?v_23 (bvmul (bvneg (_ bv68 32)) ?x3)) (_ bv32 32)) (not (= (bvmul (bvneg (_ bv71 32)) ?x2) (_ bv21 32))))) (and (and (or (bvsle (bvadd ?v_25 ?v_63) (bvneg (_ bv54 32))) (= (bvadd (bvadd ?v_42 ?v_65) (bvmul (_ bv41 32) ?x3)) (bvneg (_ bv84 32)))) (or (not (= (bvadd (bvadd ?v_24 (bvmul (_ bv40 32) ?x2)) (bvmul (bvneg (_ bv46 32)) ?x3)) (bvneg (_ bv13 32)))) (bvsle (bvadd ?v_25 ?v_64) (_ bv0 32)))) (and (and (bvsge (bvadd (bvmul (_ bv93 32) ?x2) ?v_26) (_ bv40 32)) (= (bvadd (bvadd (bvmul (bvneg (_ bv80 32)) ?x1) (bvmul (_ bv9 32) ?x2)) ?v_27) (bvneg (_ bv72 32)))) (or (bvsle (bvadd (bvmul (bvneg (_ bv65 32)) ?x1) ?v_31) (bvneg (_ bv3 32))) (not (= ?v_28 (bvneg (_ bv82 32)))))))) (or (and (bvsge (bvadd (bvmul (_ bv14 32) ?x1) (bvmul (_ bv88 32) ?x2)) (bvneg (_ bv23 32))) (= (bvadd (bvadd (bvmul (bvneg (_ bv24 32)) ?x1) ?v_29) (bvmul (_ bv24 32) ?x3)) (_ bv66 32))) (bvsle (bvadd ?v_30 ?v_31) (_ bv44 32)))) (and (and (or (or (not (= (bvadd ?v_32 (bvmul (bvneg (_ bv99 32)) ?x2)) (_ bv81 32))) (= (bvadd (bvmul (bvneg (_ bv15 32)) ?x1) (bvmul (_ bv62 32) ?x2)) (bvneg (_ bv34 32)))) (and (and (not (= (bvadd (bvadd (bvmul (_ bv19 32) ?x1) ?v_33) ?v_34) (_ bv0 32))) (not (= (bvadd (bvmul (_ bv54 32) ?x1) ?v_35) (_ bv0 32)))) (or (= (bvadd (bvmul (bvneg (_ bv95 32)) ?x1) ?v_37) (bvneg (_ bv69 32))) (bvsgt (bvadd (bvmul (_ bv35 32) ?x1) ?v_5) (bvneg (_ bv22 32)))))) (or (and (not (= (bvadd (bvadd (bvmul (bvneg (_ bv83 32)) ?x1) ?v_36) (bvmul (bvneg (_ bv64 32)) ?x3)) (_ bv63 32))) (bvsgt (bvadd (bvmul (_ bv94 32) ?x1) (bvmul (bvneg (_ bv62 32)) ?x3)) (_ bv51 32))) (or (or (bvsgt (bvmul (bvneg (_ bv15 32)) ?x2) (bvneg (_ bv76 32))) (bvsge (bvadd ?v_81 ?v_37) (_ bv0 32))) (and (= (bvadd (bvmul (bvneg (_ bv61 32)) ?x2) ?v_38) (_ bv54 32)) (bvslt ?v_13 (bvneg (_ bv83 32))))))) (or (and (or (bvslt (bvadd (bvadd ?v_69 (bvmul (_ bv33 32) ?x2)) (bvmul (_ bv78 32) ?x3)) (_ bv0 32)) (= (bvadd (bvadd ?v_39 ?v_52) ?v_40) (bvneg (_ bv64 32)))) (or (bvsle ?v_45 (_ bv2 32)) (bvsge (bvadd ?v_49 ?v_41) (_ bv55 32)))) (and (and (bvsge (bvadd (bvadd ?v_42 ?v_62) ?v_43) (bvneg (_ bv20 32))) (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv20 32)) ?x1) (bvmul (bvneg (_ bv23 32)) ?x2)) (bvmul (_ bv67 32) ?x3)) (bvneg (_ bv59 32)))) (or (bvsge (bvadd (bvmul (bvneg (_ bv11 32)) ?x1) ?v_44) (_ bv28 32)) (bvsge (bvadd (bvmul (_ bv49 32) ?x1) (bvmul (_ bv26 32) ?x2)) (_ bv55 32)))))))) (and (or (and (or (and (or (or (bvsle (bvmul (bvneg (_ bv42 32)) ?x3) (_ bv0 32)) (= (bvadd (bvadd (bvmul (bvneg (_ bv79 32)) ?x1) (bvmul (_ bv22 32) ?x2)) (bvmul (bvneg (_ bv61 32)) ?x3)) (bvneg (_ bv75 32)))) (or (bvsle (bvmul (bvneg (_ bv26 32)) ?x2) (_ bv66 32)) (bvsgt (bvadd (bvmul (bvneg (_ bv75 32)) ?x1) ?v_16) (bvneg (_ bv34 32))))) (or (and (bvsge (bvadd ?v_45 ?v_46) (_ bv0 32)) (= (bvadd (bvadd ?v_47 (bvmul (bvneg (_ bv17 32)) ?x2)) (bvmul (_ bv34 32) ?x3)) (_ bv0 32))) (and (bvslt (bvadd ?v_48 (bvmul (bvneg (_ bv93 32)) ?x2)) (_ bv46 32)) (bvsge (bvadd ?v_45 (bvmul (_ bv66 32) ?x3)) (bvneg (_ bv38 32)))))) (or (or (= (bvadd ?v_49 ?v_76) (_ bv0 32)) (bvsgt (bvadd (bvadd ?v_9 ?v_50) (bvmul (bvneg (_ bv2 32)) ?x3)) (_ bv3 32))) (and (and (= (bvadd ?v_51 (bvmul (_ bv71 32) ?x2)) (bvneg (_ bv90 32))) (bvslt (bvmul (_ bv32 32) ?x3) (_ bv97 32))) (bvslt (bvadd (bvadd ?v_57 ?v_37) (bvmul (bvneg (_ bv18 32)) ?x3)) (bvneg (_ bv8 32)))))) (or (and (and (bvsgt (bvadd (bvadd ?v_18 ?v_52) (bvmul (bvneg (_ bv84 32)) ?x3)) (_ bv0 32)) (bvsgt (bvmul (_ bv96 32) ?x1) (_ bv0 32))) (or (bvsle (bvadd (bvmul (_ bv71 32) ?x1) (bvmul (_ bv67 32) ?x2)) (bvneg (_ bv49 32))) (bvsle ?v_53 (bvneg (_ bv1 32))))) (or (or (bvslt (bvadd (bvadd ?v_54 (bvmul (bvneg (_ bv91 32)) ?x2)) (bvmul (bvneg (_ bv88 32)) ?x3)) (_ bv0 32)) (bvsgt (bvadd (bvadd ?v_55 (bvmul (bvneg (_ bv4 32)) ?x2)) ?v_56) (_ bv0 32))) (or (bvslt (bvadd (bvadd ?v_57 (bvmul (_ bv81 32) ?x2)) (bvmul (bvneg (_ bv100 32)) ?x3)) (bvneg (_ bv26 32))) (bvslt (bvadd (bvadd (bvmul (_ bv44 32) ?x1) (bvmul (_ bv70 32) ?x2)) ?v_61) (_ bv0 32)))))) (or (and (or (or (or (= (bvadd (bvadd ?v_58 ?v_44) (bvmul (bvneg (_ bv63 32)) ?x3)) (_ bv69 32)) (bvslt (bvadd (bvmul (bvneg (_ bv46 32)) ?x1) (bvmul (bvneg (_ bv96 32)) ?x3)) (_ bv34 32))) (bvsgt (bvadd ?v_59 ?v_60) (_ bv0 32))) (or (or (not (= (bvadd (bvadd (bvmul (_ bv53 32) ?x1) (bvmul (bvneg (_ bv49 32)) ?x2)) ?v_61) (_ bv0 32))) (not (= (bvadd ?v_62 (bvmul (_ bv71 32) ?x3)) (_ bv98 32)))) (= (bvmul (_ bv53 32) ?x2) (_ bv0 32)))) (or (and (= (bvadd (bvadd (bvmul (bvneg (_ bv26 32)) ?x1) ?v_63) (bvmul (bvneg (_ bv21 32)) ?x3)) (_ bv71 32)) (and (not (= (bvadd (bvadd ?v_47 ?v_64) (bvmul (_ bv44 32) ?x3)) (_ bv0 32))) (bvsgt (bvadd (bvadd ?v_72 (bvmul (_ bv60 32) ?x2)) (bvmul (_ bv10 32) ?x3)) (_ bv80 32)))) (or (or (= (bvadd (bvmul (bvneg (_ bv10 32)) ?x1) ?v_65) (_ bv0 32)) (bvslt (bvmul (_ bv68 32) ?x3) (_ bv40 32))) (and (= (bvadd (bvmul (_ bv85 32) ?x1) (bvmul (bvneg (_ bv4 32)) ?x3)) (_ bv96 32)) (bvsge (bvadd (bvmul (bvneg (_ bv69 32)) ?x1) ?v_80) (_ bv19 32)))))) (and (or (bvslt (bvadd (bvadd ?v_15 (bvmul (_ bv92 32) ?x2)) ?v_66) (bvneg (_ bv8 32))) (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv60 32)) ?x1) ?v_29) ?v_7) (bvneg (_ bv8 32)))) (and (or (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv52 32)) ?x1) (bvmul (_ bv63 32) ?x2)) (bvmul (_ bv100 32) ?x3)) (_ bv89 32)) (bvsgt (bvadd (bvadd (bvmul (_ bv82 32) ?x1) (bvmul (bvneg (_ bv31 32)) ?x2)) (bvmul (_ bv3 32) ?x3)) (_ bv0 32))) (and (= (bvadd (bvmul (_ bv52 32) ?x1) ?v_67) (_ bv86 32)) (not (= (bvadd ?v_68 (bvmul (bvneg (_ bv15 32)) ?x3)) (_ bv90 32)))))))) (or (or (and (or (and (bvsge (bvadd (bvadd (bvmul (_ bv20 32) ?x1) (bvmul (_ bv86 32) ?x2)) (bvmul (bvneg (_ bv20 32)) ?x3)) (_ bv28 32)) (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv96 32)) ?x1) ?v_85) ?v_35) (_ bv25 32))) (bvsle (bvmul (_ bv89 32) ?x2) (_ bv26 32))) (and (= (bvmul (bvneg (_ bv23 32)) ?x3) (bvneg (_ bv40 32))) (= ?v_69 (bvneg (_ bv45 32))))) (or (or (bvsgt (bvadd (bvadd (bvmul (_ bv17 32) ?x1) (bvmul (_ bv95 32) ?x2)) (bvmul (_ bv63 32) ?x3)) (_ bv0 32)) (bvsge (bvadd ?v_20 ?v_70) (_ bv43 32))) (or (bvslt (bvadd ?v_71 (bvmul (_ bv62 32) ?x3)) (_ bv0 32)) (bvsge (bvadd (bvadd ?v_77 (bvmul (bvneg (_ bv38 32)) ?x2)) (bvmul (_ bv6 32) ?x3)) (_ bv70 32))))) (and (or (and (or (or (bvslt (bvadd (bvadd (bvmul (_ bv26 32) ?x1) (bvmul (bvneg (_ bv92 32)) ?x2)) (bvmul (_ bv82 32) ?x3)) (bvneg (_ bv53 32))) (bvsle (bvmul (_ bv7 32) ?x3) (bvneg (_ bv36 32)))) (and (= (bvadd ?v_72 ?v_73) (_ bv42 32)) (not (= ?v_74 (_ bv0 32))))) (or (bvsgt (bvadd (bvmul (_ bv4 32) ?x2) (bvmul (_ bv80 32) ?x3)) (bvneg (_ bv48 32))) (or (= (bvadd (bvadd (bvmul (_ bv76 32) ?x1) (bvmul (_ bv66 32) ?x2)) (bvmul (_ bv79 32) ?x3)) (_ bv30 32)) (bvsle (bvadd (bvmul (bvneg (_ bv2 32)) ?x2) (bvmul (bvneg (_ bv1 32)) ?x3)) (bvneg (_ bv69 32)))))) (and (or (or (bvsgt (bvadd ?v_75 ?v_76) (bvneg (_ bv16 32))) (bvsle (bvadd (bvadd ?v_77 ?v_29) (bvmul (_ bv87 32) ?x3)) (_ bv0 32))) (bvsle (bvadd (bvadd ?v_45 (bvmul (_ bv39 32) ?x2)) ?v_78) (bvneg (_ bv13 32)))) (or (or (bvslt (bvadd (bvmul (bvneg (_ bv74 32)) ?x2) ?v_56) (_ bv67 32)) (bvsge (bvadd (bvadd ?v_79 ?v_52) ?v_80) (_ bv0 32))) (bvslt (bvadd (bvadd ?v_81 (bvmul (bvneg (_ bv40 32)) ?x2)) (bvmul (_ bv85 32) ?x3)) (_ bv0 32))))) (or (and (bvsgt (bvadd (bvadd (bvmul (_ bv21 32) ?x1) ?v_82) (bvmul (bvneg (_ bv95 32)) ?x3)) (bvneg (_ bv4 32))) (and (bvslt (bvadd (bvadd (bvmul (_ bv63 32) ?x1) ?v_83) ?v_80) (_ bv0 32)) (= (bvadd (bvadd (bvmul (_ bv90 32) ?x1) (bvmul (bvneg (_ bv63 32)) ?x2)) (bvmul (bvneg (_ bv30 32)) ?x3)) (_ bv0 32)))) (or (and (= (bvadd ?v_79 ?v_67) (_ bv0 32)) (bvsgt (bvmul (bvneg (_ bv22 32)) ?x1) (bvneg (_ bv48 32)))) (and (not (= (bvadd (bvadd (bvmul (_ bv34 32) ?x1) (bvmul (_ bv50 32) ?x2)) (bvmul (_ bv57 32) ?x3)) (_ bv81 32))) (bvsle (bvadd (bvadd ?v_84 ?v_85) (bvmul (bvneg (_ bv57 32)) ?x3)) (_ bv86 32)))))))))))))))
(check-sat)
(exit)
