(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(declare-fun x1 () (_ BitVec 32))
(declare-fun x2 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(assert (exists ((?x1 (_ BitVec 32))) (forall ((?x2 (_ BitVec 32))) (exists ((?x3 (_ BitVec 32))) (let ((?v_2 (bvmul (_ bv80 32) ?x3)) (?v_16 (bvmul (_ bv60 32) ?x2)) (?v_21 (bvmul (_ bv44 32) ?x1)) (?v_8 (bvmul (_ bv45 32) ?x1)) (?v_10 (bvmul (_ bv38 32) ?x1)) (?v_22 (bvmul (_ bv92 32) ?x2)) (?v_20 (bvmul (_ bv74 32) ?x3)) (?v_15 (bvmul (_ bv10 32) ?x3)) (?v_23 (bvmul (_ bv40 32) ?x1)) (?v_5 (bvmul (_ bv69 32) ?x1)) (?v_30 (bvmul (_ bv78 32) ?x2)) (?v_14 (bvmul (_ bv73 32) ?x2)) (?v_11 (bvmul (_ bv14 32) ?x2)) (?v_27 (bvmul (_ bv51 32) ?x1)) (?v_29 (bvmul (_ bv30 32) ?x1)) (?v_6 (bvmul (bvneg (_ bv1 32)) ?x1)) (?v_12 (bvmul (bvneg (_ bv79 32)) ?x2)) (?v_19 (bvmul (bvneg (_ bv80 32)) ?x2)) (?v_0 (bvmul (bvneg (_ bv57 32)) ?x2)) (?v_1 (bvmul (bvneg (_ bv59 32)) ?x3)) (?v_24 (bvmul (bvneg (_ bv60 32)) ?x1)) (?v_18 (bvmul (bvneg (_ bv22 32)) ?x1)) (?v_4 (bvmul (bvneg (_ bv28 32)) ?x2)) (?v_3 (bvmul (bvneg (_ bv49 32)) ?x1)) (?v_7 (bvmul (bvneg (_ bv71 32)) ?x3)) (?v_25 (bvmul (bvneg (_ bv74 32)) ?x2)) (?v_9 (bvmul (bvneg (_ bv86 32)) ?x3)) (?v_13 (bvmul (bvneg (_ bv99 32)) ?x1)) (?v_28 (bvmul (bvneg (_ bv72 32)) ?x2)) (?v_17 (bvmul (bvneg (_ bv70 32)) ?x1)) (?v_26 (bvmul (bvneg (_ bv10 32)) ?x3))) (and (and (and (and (and (or (or (bvslt (bvadd (bvmul (bvneg (_ bv67 32)) ?x2) ?v_2) (bvneg (_ bv92 32))) (bvsge (bvadd (bvmul (_ bv61 32) ?x1) ?v_16) (bvneg (_ bv86 32)))) (and (not (= (bvadd (bvadd ?v_6 (bvmul (bvneg (_ bv10 32)) ?x2)) (bvmul (_ bv48 32) ?x3)) (bvneg (_ bv94 32)))) (= (bvmul (_ bv41 32) ?x1) (bvneg (_ bv54 32))))) (and (and (not (= (bvmul (_ bv22 32) ?x3) (_ bv26 32))) (bvsgt (bvadd (bvmul (bvneg (_ bv29 32)) ?x2) (bvmul (bvneg (_ bv61 32)) ?x3)) (bvneg (_ bv43 32)))) (and (not (= (bvadd (bvadd (bvmul (_ bv28 32) ?x1) ?v_12) (bvmul (bvneg (_ bv57 32)) ?x3)) (_ bv53 32))) (bvsle (bvadd (bvmul (bvneg (_ bv17 32)) ?x2) (bvmul (_ bv90 32) ?x3)) (_ bv0 32))))) (or (and (or (bvsge (bvmul (bvneg (_ bv75 32)) ?x3) (_ bv85 32)) (bvsle (bvadd (bvmul (bvneg (_ bv80 32)) ?x1) ?v_19) (bvneg (_ bv18 32)))) (and (bvsgt (bvadd (bvmul (bvneg (_ bv44 32)) ?x2) (bvmul (bvneg (_ bv92 32)) ?x3)) (bvneg (_ bv13 32))) (= (bvadd (bvmul (bvneg (_ bv98 32)) ?x2) (bvmul (bvneg (_ bv42 32)) ?x3)) (bvneg (_ bv90 32))))) (and (or (bvsgt (bvadd (bvadd ?v_21 ?v_0) (bvmul (bvneg (_ bv3 32)) ?x3)) (_ bv20 32)) (not (= (bvadd ?v_8 (bvmul (_ bv88 32) ?x3)) (_ bv0 32)))) (and (= (bvadd (bvmul (bvneg (_ bv17 32)) ?x1) (bvmul (_ bv59 32) ?x3)) (_ bv69 32)) (bvsgt (bvadd (bvadd ?v_10 (bvmul (_ bv29 32) ?x2)) ?v_1) (_ bv38 32)))))) (or (and (or (and (= (bvmul (bvneg (_ bv11 32)) ?x3) (_ bv9 32)) (bvsge (bvadd (bvadd ?v_24 (bvmul (_ bv22 32) ?x2)) (bvmul (_ bv42 32) ?x3)) (_ bv0 32))) (and (= (bvadd (bvadd (bvmul (bvneg (_ bv87 32)) ?x1) (bvmul (_ bv34 32) ?x2)) (bvmul (bvneg (_ bv17 32)) ?x3)) (bvneg (_ bv78 32))) (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv18 32)) ?x1) ?v_22) (bvmul (bvneg (_ bv90 32)) ?x3)) (_ bv61 32)))) (or (and (= (bvmul (_ bv11 32) ?x1) (bvneg (_ bv9 32))) (bvsgt (bvadd ?v_18 (bvmul (_ bv67 32) ?x3)) (_ bv62 32))) (not (= (bvadd (bvmul (_ bv83 32) ?x1) ?v_4) (bvneg (_ bv45 32)))))) (or (or (= (bvadd (bvadd (bvmul (bvneg (_ bv58 32)) ?x1) ?v_0) (bvmul (bvneg (_ bv45 32)) ?x3)) (_ bv93 32)) (bvslt (bvadd (bvmul (_ bv29 32) ?x1) ?v_1) (_ bv91 32))) (or (not (= (bvadd (bvadd (bvmul (_ bv34 32) ?x1) (bvmul (bvneg (_ bv88 32)) ?x2)) ?v_2) (bvneg (_ bv13 32)))) (bvslt (bvadd ?v_3 (bvmul (_ bv15 32) ?x3)) (bvneg (_ bv53 32))))))) (or (or (or (and (or (bvsge (bvadd (bvadd ?v_3 (bvmul (bvneg (_ bv12 32)) ?x2)) ?v_7) (bvneg (_ bv68 32))) (bvslt (bvadd (bvmul (bvneg (_ bv12 32)) ?x1) ?v_20) (bvneg (_ bv17 32)))) (and (bvslt (bvadd (bvmul (_ bv81 32) ?x2) (bvmul (_ bv17 32) ?x3)) (_ bv13 32)) (= (bvadd (bvadd (bvmul (_ bv4 32) ?x1) (bvmul (_ bv72 32) ?x2)) (bvmul (bvneg (_ bv64 32)) ?x3)) (_ bv75 32)))) (and (or (bvsgt (bvmul (_ bv100 32) ?x1) (_ bv47 32)) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv20 32)) ?x1) (bvmul (bvneg (_ bv51 32)) ?x2)) (bvmul (bvneg (_ bv32 32)) ?x3)) (_ bv0 32))) (or (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv63 32)) ?x1) ?v_4) (bvmul (bvneg (_ bv36 32)) ?x3)) (_ bv0 32)) (= (bvadd (bvadd (bvmul (_ bv75 32) ?x1) (bvmul (_ bv90 32) ?x2)) ?v_15) (_ bv3 32))))) (or (or (bvslt (bvadd (bvmul (bvneg (_ bv44 32)) ?x1) (bvmul (bvneg (_ bv30 32)) ?x3)) (bvneg (_ bv59 32))) (bvsgt (bvadd (bvmul (bvneg (_ bv93 32)) ?x1) (bvmul (_ bv64 32) ?x2)) (_ bv0 32))) (or (bvslt ?v_25 (_ bv0 32)) (and (bvslt (bvadd ?v_23 (bvmul (_ bv87 32) ?x2)) (_ bv100 32)) (bvsgt (bvadd (bvmul (_ bv74 32) ?x1) ?v_9) (_ bv47 32)))))) (and (and (and (not (= (bvmul (bvneg (_ bv75 32)) ?x1) (bvneg (_ bv33 32)))) (bvsgt (bvadd ?v_5 ?v_30) (bvneg (_ bv69 32)))) (or (bvsgt (bvadd (bvadd ?v_5 (bvmul (_ bv52 32) ?x2)) (bvmul (_ bv87 32) ?x3)) (_ bv0 32)) (and (not (= (bvmul (_ bv82 32) ?x2) (_ bv0 32))) (= (bvadd ?v_5 (bvmul (bvneg (_ bv35 32)) ?x3)) (bvneg (_ bv24 32)))))) (and (or (and (bvsle (bvadd (bvmul (bvneg (_ bv46 32)) ?x1) (bvmul (_ bv56 32) ?x2)) (_ bv12 32)) (= (bvadd (bvadd ?v_6 (bvmul (_ bv89 32) ?x2)) (bvmul (_ bv28 32) ?x3)) (_ bv69 32))) (or (bvsge (bvadd (bvmul (bvneg (_ bv48 32)) ?x2) ?v_7) (_ bv31 32)) (bvsge (bvadd ?v_8 ?v_9) (_ bv0 32)))) (and (or (bvslt (bvmul (_ bv78 32) ?x3) (bvneg (_ bv62 32))) (bvsgt (bvadd ?v_13 (bvmul (bvneg (_ bv18 32)) ?x2)) (_ bv62 32))) (and (bvsge (bvadd (bvmul (_ bv68 32) ?x2) (bvmul (_ bv65 32) ?x3)) (_ bv100 32)) (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv34 32)) ?x1) ?v_28) (bvmul (bvneg (_ bv88 32)) ?x3)) (_ bv31 32)))))))) (and (and (and (or (or (or (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv29 32)) ?x1) (bvmul (bvneg (_ bv52 32)) ?x2)) (bvmul (_ bv64 32) ?x3)) (bvneg (_ bv8 32))) (not (= (bvadd (bvadd ?v_8 (bvmul (_ bv50 32) ?x2)) (bvmul (bvneg (_ bv72 32)) ?x3)) (bvneg (_ bv22 32))))) (and (bvsge (bvadd (bvmul (_ bv31 32) ?x1) (bvmul (bvneg (_ bv83 32)) ?x3)) (_ bv0 32)) (= (bvadd (bvmul (bvneg (_ bv66 32)) ?x1) (bvmul (bvneg (_ bv1 32)) ?x3)) (bvneg (_ bv36 32))))) (or (or (not (= (bvmul (_ bv29 32) ?x3) (_ bv0 32))) (bvsgt (bvadd (bvadd ?v_17 ?v_14) (bvmul (bvneg (_ bv20 32)) ?x3)) (bvneg (_ bv85 32)))) (= (bvmul (bvneg (_ bv48 32)) ?x1) (_ bv0 32)))) (and (or (or (bvsgt (bvadd (bvmul (_ bv89 32) ?x1) (bvmul (_ bv62 32) ?x2)) (_ bv68 32)) (bvsge (bvadd (bvmul (bvneg (_ bv47 32)) ?x1) (bvmul (_ bv62 32) ?x3)) (_ bv0 32))) (not (= (bvadd (bvadd ?v_10 ?v_11) (bvmul (bvneg (_ bv39 32)) ?x3)) (bvneg (_ bv45 32))))) (and (and (not (= ?v_11 (_ bv0 32))) (bvsgt (bvadd (bvmul (bvneg (_ bv73 32)) ?x1) ?v_12) (bvneg (_ bv4 32)))) (and (bvsle (bvmul (bvneg (_ bv26 32)) ?x2) (_ bv0 32)) (bvslt (bvadd (bvadd ?v_13 ?v_14) ?v_15) (bvneg (_ bv23 32))))))) (or (and (or (and (= (bvadd (bvmul (bvneg (_ bv61 32)) ?x1) ?v_16) (bvneg (_ bv99 32))) (= (bvadd (bvadd (bvmul (bvneg (_ bv74 32)) ?x1) (bvmul (_ bv20 32) ?x2)) (bvmul (bvneg (_ bv9 32)) ?x3)) (_ bv90 32))) (and (not (= (bvadd (bvadd (bvmul (_ bv90 32) ?x1) (bvmul (bvneg (_ bv84 32)) ?x2)) (bvmul (_ bv73 32) ?x3)) (_ bv0 32))) (bvsgt ?v_27 (bvneg (_ bv31 32))))) (and (bvsge (bvadd (bvadd ?v_17 (bvmul (bvneg (_ bv39 32)) ?x2)) (bvmul (bvneg (_ bv60 32)) ?x3)) (bvneg (_ bv2 32))) (= (bvadd ?v_18 (bvmul (_ bv49 32) ?x3)) (_ bv53 32)))) (and (and (bvsgt (bvadd (bvmul (_ bv70 32) ?x2) (bvmul (_ bv100 32) ?x3)) (_ bv54 32)) (bvsgt (bvadd (bvmul (_ bv99 32) ?x1) (bvmul (_ bv70 32) ?x3)) (bvneg (_ bv69 32)))) (or (bvsgt (bvadd (bvmul (bvneg (_ bv40 32)) ?x1) (bvmul (_ bv19 32) ?x2)) (_ bv0 32)) (and (bvsge (bvmul (bvneg (_ bv95 32)) ?x1) (_ bv0 32)) (bvsgt (bvadd (bvmul (bvneg (_ bv15 32)) ?x1) (bvmul (_ bv14 32) ?x3)) (_ bv29 32))))))) (or (or (and (and (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv56 32)) ?x1) (bvmul (bvneg (_ bv68 32)) ?x2)) (bvmul (bvneg (_ bv79 32)) ?x3)) (_ bv74 32)) (bvslt (bvadd ?v_19 ?v_20) (_ bv85 32))) (or (bvslt (bvadd (bvadd (bvmul (_ bv87 32) ?x1) (bvmul (bvneg (_ bv66 32)) ?x2)) (bvmul (_ bv32 32) ?x3)) (_ bv0 32)) (= (bvadd ?v_21 (bvmul (_ bv35 32) ?x3)) (_ bv65 32)))) (and (bvsle (bvadd (bvmul (bvneg (_ bv73 32)) ?x2) ?v_26) (_ bv0 32)) (or (bvsgt (bvadd (bvmul (_ bv12 32) ?x2) (bvmul (_ bv23 32) ?x3)) (_ bv69 32)) (= (bvadd ?v_22 (bvmul (_ bv11 32) ?x3)) (_ bv98 32))))) (or (and (and (or (bvslt (bvadd (bvadd ?v_23 (bvmul (_ bv32 32) ?x2)) (bvmul (bvneg (_ bv15 32)) ?x3)) (_ bv19 32)) (bvslt (bvadd (bvadd ?v_24 ?v_25) ?v_26) (_ bv58 32))) (and (bvsge (bvadd (bvmul (_ bv97 32) ?x2) (bvmul (_ bv98 32) ?x3)) (_ bv0 32)) (= (bvadd (bvadd ?v_29 (bvmul (_ bv66 32) ?x2)) (bvmul (bvneg (_ bv50 32)) ?x3)) (_ bv36 32)))) (or (or (= (bvmul (bvneg (_ bv57 32)) ?x1) (bvneg (_ bv9 32))) (bvslt (bvmul (_ bv12 32) ?x1) (bvneg (_ bv11 32)))) (or (bvsge (bvadd (bvmul (_ bv54 32) ?x2) (bvmul (_ bv97 32) ?x3)) (_ bv0 32)) (not (= (bvmul (bvneg (_ bv52 32)) ?x3) (_ bv95 32)))))) (and (or (bvsle (bvadd (bvmul (bvneg (_ bv11 32)) ?x2) (bvmul (_ bv5 32) ?x3)) (bvneg (_ bv82 32))) (and (= (bvadd (bvmul (bvneg (_ bv92 32)) ?x1) (bvmul (_ bv24 32) ?x2)) (_ bv63 32)) (bvslt (bvadd ?v_27 ?v_28) (_ bv7 32)))) (and (and (bvsle ?v_29 (_ bv84 32)) (bvslt (bvadd (bvmul (_ bv3 32) ?x1) (bvmul (bvneg (_ bv76 32)) ?x3)) (bvneg (_ bv35 32)))) (and (= (bvadd (bvadd (bvmul (_ bv76 32) ?x1) ?v_30) (bvmul (_ bv2 32) ?x3)) (_ bv57 32)) (bvslt (bvmul (_ bv37 32) ?x3) (_ bv67 32))))))))))))))
(check-sat)
(exit)
