(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(declare-fun x1 () (_ BitVec 32))
(declare-fun x2 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(assert (exists ((?x1 (_ BitVec 32))) (forall ((?x2 (_ BitVec 32))) (exists ((?x3 (_ BitVec 32))) (let ((?v_89 (bvmul (_ bv46 32) ?x3)) (?v_7 (bvmul (_ bv96 32) ?x1)) (?v_65 (bvmul (_ bv5 32) ?x2)) (?v_2 (bvmul (_ bv66 32) ?x1)) (?v_0 (bvmul (_ bv40 32) ?x1)) (?v_63 (bvmul (_ bv30 32) ?x3)) (?v_34 (bvmul (_ bv17 32) ?x1)) (?v_121 (bvmul (_ bv76 32) ?x2)) (?v_13 (bvmul (_ bv64 32) ?x2)) (?v_17 (bvmul (_ bv13 32) ?x3)) (?v_1 (bvmul (_ bv6 32) ?x1)) (?v_18 (bvmul (_ bv89 32) ?x1)) (?v_46 (bvmul (_ bv40 32) ?x2)) (?v_8 (bvmul (_ bv24 32) ?x2)) (?v_41 (bvmul (_ bv37 32) ?x3)) (?v_37 (bvmul (_ bv72 32) ?x3)) (?v_27 (bvmul (_ bv24 32) ?x1)) (?v_4 (bvmul (_ bv41 32) ?x3)) (?v_120 (bvmul (_ bv57 32) ?x1)) (?v_26 (bvmul (_ bv44 32) ?x2)) (?v_33 (bvmul (_ bv33 32) ?x1)) (?v_15 (bvmul (_ bv87 32) ?x2)) (?v_110 (bvmul (_ bv44 32) ?x1)) (?v_14 (bvmul (_ bv96 32) ?x3)) (?v_21 (bvmul (_ bv4 32) ?x1)) (?v_96 (bvmul (_ bv47 32) ?x3)) (?v_49 (bvmul (_ bv97 32) ?x3)) (?v_3 (bvmul (_ bv67 32) ?x2)) (?v_20 (bvmul (_ bv44 32) ?x3)) (?v_108 (bvmul (_ bv61 32) ?x2)) (?v_52 (bvmul (_ bv69 32) ?x3)) (?v_119 (bvmul (_ bv47 32) ?x2)) (?v_6 (bvmul (_ bv56 32) ?x2)) (?v_126 (bvmul (_ bv36 32) ?x2)) (?v_47 (bvmul (_ bv52 32) ?x1)) (?v_64 (bvmul (_ bv67 32) ?x1)) (?v_78 (bvmul (_ bv43 32) ?x2)) (?v_54 (bvmul (_ bv38 32) ?x3)) (?v_30 (bvmul (_ bv92 32) ?x2)) (?v_11 (bvmul (_ bv3 32) ?x3)) (?v_74 (bvmul (_ bv81 32) ?x2)) (?v_40 (bvmul (_ bv13 32) ?x2)) (?v_112 (bvmul (_ bv99 32) ?x1)) (?v_77 (bvmul (_ bv22 32) ?x1)) (?v_80 (bvmul (_ bv29 32) ?x1)) (?v_44 (bvmul (_ bv2 32) ?x1)) (?v_53 (bvmul (_ bv94 32) ?x1)) (?v_82 (bvmul (_ bv16 32) ?x2)) (?v_86 (bvmul (_ bv39 32) ?x1)) (?v_103 (bvmul (_ bv30 32) ?x2)) (?v_43 (bvmul (_ bv5 32) ?x3)) (?v_57 (bvmul (_ bv19 32) ?x1)) (?v_105 (bvmul (_ bv82 32) ?x3)) (?v_61 (bvmul (_ bv16 32) ?x1)) (?v_32 (bvmul (_ bv38 32) ?x2)) (?v_94 (bvmul (_ bv76 32) ?x3)) (?v_55 (bvmul (_ bv65 32) ?x1)) (?v_97 (bvmul (_ bv48 32) ?x1)) (?v_51 (bvmul (_ bv70 32) ?x3)) (?v_81 (bvmul (_ bv1 32) ?x2)) (?v_124 (bvmul (_ bv46 32) ?x2)) (?v_73 (bvmul (_ bv32 32) ?x1)) (?v_127 (bvmul (_ bv56 32) ?x3)) (?v_102 (bvmul (_ bv25 32) ?x2)) (?v_75 (bvmul (_ bv19 32) ?x3)) (?v_128 (bvmul (_ bv61 32) ?x3)) (?v_113 (bvmul (_ bv50 32) ?x2)) (?v_91 (bvmul (_ bv45 32) ?x3)) (?v_111 (bvmul (_ bv88 32) ?x1)) (?v_109 (bvmul (_ bv65 32) ?x3)) (?v_104 (bvmul (_ bv14 32) ?x3)) (?v_118 (bvmul (_ bv54 32) ?x3)) (?v_106 (bvmul (bvneg (_ bv58 32)) ?x3)) (?v_19 (bvmul (bvneg (_ bv11 32)) ?x2)) (?v_48 (bvmul (bvneg (_ bv78 32)) ?x3)) (?v_24 (bvmul (bvneg (_ bv28 32)) ?x2)) (?v_25 (bvmul (bvneg (_ bv5 32)) ?x3)) (?v_28 (bvmul (bvneg (_ bv33 32)) ?x1)) (?v_35 (bvmul (bvneg (_ bv38 32)) ?x3)) (?v_66 (bvmul (bvneg (_ bv5 32)) ?x1)) (?v_84 (bvmul (bvneg (_ bv45 32)) ?x1)) (?v_5 (bvmul (bvneg (_ bv72 32)) ?x3)) (?v_50 (bvmul (bvneg (_ bv10 32)) ?x2)) (?v_10 (bvmul (bvneg (_ bv56 32)) ?x2)) (?v_31 (bvmul (bvneg (_ bv56 32)) ?x3)) (?v_36 (bvmul (bvneg (_ bv97 32)) ?x3)) (?v_70 (bvmul (bvneg (_ bv32 32)) ?x1)) (?v_98 (bvmul (bvneg (_ bv6 32)) ?x2)) (?v_79 (bvmul (bvneg (_ bv67 32)) ?x3)) (?v_92 (bvmul (bvneg (_ bv55 32)) ?x3)) (?v_23 (bvmul (bvneg (_ bv91 32)) ?x3)) (?v_29 (bvmul (bvneg (_ bv76 32)) ?x3)) (?v_69 (bvmul (bvneg (_ bv92 32)) ?x1)) (?v_85 (bvmul (bvneg (_ bv26 32)) ?x3)) (?v_39 (bvmul (bvneg (_ bv20 32)) ?x3)) (?v_9 (bvmul (bvneg (_ bv68 32)) ?x1)) (?v_38 (bvmul (bvneg (_ bv24 32)) ?x2)) (?v_12 (bvmul (bvneg (_ bv100 32)) ?x1)) (?v_62 (bvmul (bvneg (_ bv42 32)) ?x3)) (?v_123 (bvmul (bvneg (_ bv1 32)) ?x2)) (?v_131 (bvmul (bvneg (_ bv28 32)) ?x3)) (?v_16 (bvmul (bvneg (_ bv4 32)) ?x2)) (?v_22 (bvmul (bvneg (_ bv71 32)) ?x1)) (?v_42 (bvmul (bvneg (_ bv47 32)) ?x3)) (?v_83 (bvmul (bvneg (_ bv82 32)) ?x3)) (?v_56 (bvmul (bvneg (_ bv20 32)) ?x1)) (?v_59 (bvmul (bvneg (_ bv46 32)) ?x3)) (?v_45 (bvmul (bvneg (_ bv98 32)) ?x2)) (?v_58 (bvmul (bvneg (_ bv58 32)) ?x1)) (?v_60 (bvmul (bvneg (_ bv99 32)) ?x3)) (?v_115 (bvmul (bvneg (_ bv17 32)) ?x2)) (?v_114 (bvmul (bvneg (_ bv58 32)) ?x2)) (?v_100 (bvmul (bvneg (_ bv76 32)) ?x1)) (?v_125 (bvmul (bvneg (_ bv83 32)) ?x1)) (?v_107 (bvmul (bvneg (_ bv50 32)) ?x1)) (?v_95 (bvmul (bvneg (_ bv57 32)) ?x3)) (?v_130 (bvmul (bvneg (_ bv9 32)) ?x1)) (?v_67 (bvmul (bvneg (_ bv7 32)) ?x1)) (?v_122 (bvmul (bvneg (_ bv22 32)) ?x1)) (?v_72 (bvmul (bvneg (_ bv17 32)) ?x3)) (?v_101 (bvmul (bvneg (_ bv86 32)) ?x1)) (?v_93 (bvmul (bvneg (_ bv63 32)) ?x2)) (?v_68 (bvmul (bvneg (_ bv95 32)) ?x1)) (?v_99 (bvmul (bvneg (_ bv96 32)) ?x3)) (?v_71 (bvmul (bvneg (_ bv15 32)) ?x2)) (?v_90 (bvmul (bvneg (_ bv49 32)) ?x1)) (?v_76 (bvmul (bvneg (_ bv97 32)) ?x2)) (?v_88 (bvmul (bvneg (_ bv46 32)) ?x1)) (?v_129 (bvmul (bvneg (_ bv49 32)) ?x2)) (?v_87 (bvmul (bvneg (_ bv30 32)) ?x3)) (?v_116 (bvmul (bvneg (_ bv60 32)) ?x1)) (?v_117 (bvmul (bvneg (_ bv21 32)) ?x2))) (or (and (or (or (and (and (and (and (bvsge (bvmul (bvneg (_ bv70 32)) ?x2) (bvneg (_ bv77 32))) (bvsle (bvadd (bvmul (_ bv95 32) ?x2) ?v_89) (bvneg (_ bv52 32)))) (and (= (bvadd (bvadd ?v_7 ?v_65) ?v_106) (bvneg (_ bv85 32))) (= (bvadd ?v_19 ?v_48) (_ bv65 32)))) (or (or (bvsle (bvadd (bvmul (bvneg (_ bv98 32)) ?x1) (bvmul (_ bv66 32) ?x2)) (_ bv77 32)) (bvslt (bvadd (bvadd ?v_2 ?v_24) ?v_25) (_ bv0 32))) (and (bvsgt (bvadd ?v_28 (bvmul (bvneg (_ bv14 32)) ?x2)) (bvneg (_ bv72 32))) (bvslt (bvadd (bvadd ?v_0 (bvmul (_ bv75 32) ?x2)) ?v_35) (_ bv52 32))))) (or (and (not (= (bvadd ?v_66 (bvmul (_ bv55 32) ?x2)) (bvneg (_ bv34 32)))) (not (= (bvadd ?v_0 ?v_63) (bvneg (_ bv16 32))))) (and (bvslt ?v_84 (_ bv67 32)) (bvsge (bvadd (bvadd ?v_34 ?v_121) (bvmul (bvneg (_ bv22 32)) ?x3)) (bvneg (_ bv95 32)))))) (or (or (or (and (bvsge (bvadd ?v_13 ?v_17) (bvneg (_ bv80 32))) (= (bvadd ?v_1 (bvmul (_ bv14 32) ?x2)) (_ bv0 32))) (and (bvslt (bvadd (bvmul (bvneg (_ bv20 32)) ?x2) ?v_5) (bvneg (_ bv44 32))) (= (bvadd (bvadd ?v_18 ?v_46) (bvmul (_ bv1 32) ?x3)) (_ bv0 32)))) (and (bvsgt (bvadd (bvmul (_ bv64 32) ?x1) (bvmul (bvneg (_ bv76 32)) ?x2)) (bvneg (_ bv13 32))) (bvslt (bvadd (bvadd (bvmul (_ bv95 32) ?x1) ?v_8) ?v_41) (_ bv94 32)))) (and (or (not (= (bvadd (bvadd (bvmul (_ bv1 32) ?x1) ?v_50) (bvmul (bvneg (_ bv65 32)) ?x3)) (bvneg (_ bv64 32)))) (not (= (bvadd (bvadd ?v_1 (bvmul (_ bv79 32) ?x2)) ?v_37) (_ bv59 32)))) (or (bvsle (bvadd (bvadd ?v_27 ?v_10) ?v_4) (_ bv0 32)) (bvslt (bvadd (bvadd ?v_120 ?v_26) (bvmul (_ bv84 32) ?x3)) (_ bv37 32)))))) (and (and (= (bvadd (bvmul (bvneg (_ bv44 32)) ?x1) ?v_31) (_ bv69 32)) (bvsge (bvadd (bvadd ?v_33 ?v_15) ?v_36) (_ bv0 32))) (and (= (bvadd (bvadd ?v_70 ?v_98) ?v_79) (_ bv48 32)) (bvslt (bvadd (bvmul (bvneg (_ bv67 32)) ?x2) ?v_92) (_ bv70 32))))) (or (or (or (or (and (or (and (= (bvadd ?v_2 ?v_23) (_ bv0 32)) (bvsle (bvadd (bvadd ?v_110 (bvmul (_ bv6 32) ?x2)) ?v_14) (_ bv32 32))) (or (bvsle (bvadd ?v_21 ?v_29) (bvneg (_ bv10 32))) (bvsge (bvadd (bvmul (bvneg (_ bv66 32)) ?x2) ?v_96) (_ bv7 32)))) (and (or (or (bvsgt (bvadd (bvmul (bvneg (_ bv65 32)) ?x1) ?v_49) (_ bv0 32)) (not (= (bvadd (bvadd ?v_69 ?v_3) (bvmul (_ bv99 32) ?x3)) (_ bv96 32)))) (bvsle (bvadd (bvadd (bvmul (_ bv90 32) ?x1) ?v_3) ?v_20) (bvneg (_ bv6 32)))) (or (and (not (= (bvadd ?v_108 ?v_52) (bvneg (_ bv6 32)))) (= (bvadd (bvadd (bvmul (bvneg (_ bv67 32)) ?x1) ?v_119) ?v_4) (_ bv0 32))) (and (bvsle (bvadd (bvmul (bvneg (_ bv17 32)) ?x1) ?v_5) (bvneg (_ bv25 32))) (bvsgt (bvadd (bvadd ?v_1 ?v_6) ?v_85) (bvneg (_ bv30 32))))))) (or (and (bvsge (bvadd (bvmul (bvneg (_ bv94 32)) ?x1) ?v_39) (_ bv61 32)) (bvsle (bvadd (bvadd ?v_9 ?v_126) (bvmul (_ bv24 32) ?x3)) (bvneg (_ bv16 32)))) (or (and (or (bvsgt (bvadd ?v_47 ?v_38) (_ bv0 32)) (= (bvadd (bvadd ?v_12 (bvmul (bvneg (_ bv54 32)) ?x2)) (bvmul (_ bv18 32) ?x3)) (_ bv0 32))) (or (bvslt (bvadd ?v_6 (bvmul (bvneg (_ bv16 32)) ?x3)) (_ bv0 32)) (bvsge (bvadd (bvmul (bvneg (_ bv96 32)) ?x1) (bvmul (bvneg (_ bv86 32)) ?x3)) (bvneg (_ bv98 32))))) (or (and (bvsgt (bvadd (bvadd ?v_7 ?v_8) ?v_62) (bvneg (_ bv24 32))) (bvsgt (bvadd (bvadd ?v_64 ?v_78) (bvmul (bvneg (_ bv33 32)) ?x3)) (bvneg (_ bv9 32)))) (not (= (bvadd (bvmul (bvneg (_ bv12 32)) ?x1) ?v_123) (_ bv0 32))))))) (and (and (and (and (bvsle ?v_131 (_ bv0 32)) (and (bvsle (bvadd (bvadd (bvmul (_ bv37 32) ?x1) ?v_16) ?v_54) (bvneg (_ bv43 32))) (bvsge (bvadd (bvadd (bvmul (_ bv70 32) ?x1) ?v_30) ?v_11) (bvneg (_ bv14 32))))) (and (bvslt (bvadd ?v_74 (bvmul (_ bv50 32) ?x3)) (bvneg (_ bv47 32))) (bvsle (bvadd ?v_9 (bvmul (_ bv69 32) ?x2)) (_ bv66 32)))) (and (or (or (bvslt (bvadd (bvadd ?v_22 (bvmul (bvneg (_ bv19 32)) ?x2)) (bvmul (_ bv93 32) ?x3)) (_ bv4 32)) (= (bvadd (bvadd (bvmul (_ bv85 32) ?x1) ?v_40) (bvmul (bvneg (_ bv31 32)) ?x3)) (_ bv20 32))) (and (not (= (bvadd (bvmul (_ bv97 32) ?x1) (bvmul (_ bv62 32) ?x2)) (_ bv66 32))) (bvsge (bvadd (bvadd ?v_112 ?v_10) ?v_11) (_ bv10 32)))) (and (or (not (= (bvadd (bvadd (bvmul (bvneg (_ bv78 32)) ?x1) (bvmul (bvneg (_ bv94 32)) ?x2)) (bvmul (bvneg (_ bv10 32)) ?x3)) (_ bv30 32))) (bvsle (bvadd (bvadd ?v_12 ?v_13) ?v_14) (_ bv26 32))) (or (bvsge (bvadd ?v_77 ?v_15) (bvneg (_ bv29 32))) (bvsle (bvadd (bvadd ?v_80 (bvmul (bvneg (_ bv73 32)) ?x2)) ?v_42) (bvneg (_ bv100 32))))))) (and (or (bvslt (bvadd ?v_6 ?v_83) (_ bv0 32)) (= (bvadd (bvadd ?v_2 ?v_16) (bvmul (bvneg (_ bv12 32)) ?x3)) (_ bv0 32))) (and (bvsgt (bvadd (bvadd ?v_56 (bvmul (bvneg (_ bv44 32)) ?x2)) ?v_59) (_ bv0 32)) (bvsgt (bvadd ?v_44 (bvmul (bvneg (_ bv52 32)) ?x3)) (_ bv39 32)))))) (and (not (= (bvadd ?v_3 ?v_17) (bvneg (_ bv1 32)))) (and (or (and (or (or (not (= (bvadd (bvmul (_ bv41 32) ?x1) ?v_45) (bvneg (_ bv48 32)))) (bvslt (bvadd (bvadd ?v_53 ?v_82) (bvmul (bvneg (_ bv43 32)) ?x3)) (_ bv0 32))) (and (bvsge (bvadd ?v_18 (bvmul (_ bv99 32) ?x2)) (bvneg (_ bv62 32))) (bvslt (bvadd (bvadd ?v_86 ?v_103) ?v_43) (_ bv64 32)))) (bvslt (bvadd (bvadd ?v_58 ?v_19) ?v_20) (bvneg (_ bv14 32)))) (or (and (bvsge (bvadd (bvmul (bvneg (_ bv52 32)) ?x1) (bvmul (_ bv94 32) ?x2)) (_ bv0 32)) (not (= (bvadd (bvadd ?v_21 (bvmul (_ bv57 32) ?x2)) ?v_60) (_ bv0 32)))) (or (and (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv91 32)) ?x1) ?v_115) (bvmul (_ bv71 32) ?x3)) (_ bv22 32)) (bvsgt (bvadd (bvadd ?v_22 (bvmul (_ bv35 32) ?x2)) ?v_23) (_ bv0 32))) (or (= (bvadd ?v_24 ?v_25) (_ bv0 32)) (bvsge ?v_26 (bvneg (_ bv83 32))))))) (and (and (or (or (bvsgt (bvadd (bvadd ?v_27 (bvmul (_ bv4 32) ?x2)) (bvmul (_ bv86 32) ?x3)) (bvneg (_ bv36 32))) (= (bvadd ?v_28 (bvmul (bvneg (_ bv13 32)) ?x2)) (_ bv0 32))) (or (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv80 32)) ?x1) (bvmul (bvneg (_ bv8 32)) ?x2)) ?v_29) (_ bv17 32)) (bvsle (bvadd (bvadd ?v_57 (bvmul (bvneg (_ bv43 32)) ?x2)) (bvmul (bvneg (_ bv69 32)) ?x3)) (bvneg (_ bv91 32))))) (and (= (bvadd (bvadd (bvmul (bvneg (_ bv47 32)) ?x1) ?v_114) ?v_105) (_ bv99 32)) (= (bvadd (bvadd (bvmul (_ bv28 32) ?x1) ?v_30) (bvmul (bvneg (_ bv92 32)) ?x3)) (_ bv51 32)))) (and (or (bvsgt (bvadd (bvadd ?v_61 ?v_32) (bvmul (bvneg (_ bv45 32)) ?x3)) (_ bv89 32)) (bvsge (bvadd (bvadd ?v_100 (bvmul (bvneg (_ bv2 32)) ?x2)) ?v_31) (_ bv0 32))) (or (or (bvsge (bvadd (bvadd ?v_125 ?v_32) (bvmul (_ bv64 32) ?x3)) (_ bv73 32)) (bvsle (bvadd ?v_107 (bvmul (bvneg (_ bv61 32)) ?x3)) (_ bv77 32))) (or (= (bvadd (bvadd ?v_33 (bvmul (bvneg (_ bv29 32)) ?x2)) (bvmul (_ bv43 32) ?x3)) (bvneg (_ bv10 32))) (not (= (bvadd (bvmul (bvneg (_ bv62 32)) ?x1) (bvmul (_ bv35 32) ?x3)) (bvneg (_ bv66 32))))))))))) (and (and (and (and (and (= (bvadd (bvmul (_ bv3 32) ?x2) ?v_95) (_ bv83 32)) (bvsgt (bvadd ?v_34 ?v_94) (_ bv0 32))) (or (bvsgt (bvadd (bvmul (_ bv63 32) ?x1) ?v_35) (_ bv54 32)) (= (bvadd (bvadd ?v_22 (bvmul (_ bv2 32) ?x2)) ?v_36) (_ bv47 32)))) (or (and (and (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv82 32)) ?x1) (bvmul (bvneg (_ bv52 32)) ?x2)) (bvmul (_ bv95 32) ?x3)) (_ bv46 32)) (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv66 32)) ?x1) (bvmul (_ bv82 32) ?x2)) (bvmul (_ bv59 32) ?x3)) (_ bv74 32))) (and (bvsge (bvadd (bvmul (_ bv21 32) ?x2) (bvmul (_ bv15 32) ?x3)) (_ bv0 32)) (not (= ?v_130 (_ bv0 32))))) (and (or (not (= (bvmul (_ bv82 32) ?x1) (_ bv0 32))) (not (= (bvadd (bvadd ?v_1 ?v_3) (bvmul (_ bv17 32) ?x3)) (_ bv0 32)))) (and (= (bvadd (bvadd (bvmul (_ bv42 32) ?x1) (bvmul (_ bv73 32) ?x2)) ?v_37) (_ bv21 32)) (bvsge (bvadd ?v_55 ?v_38) (_ bv0 32)))))) (and (and (or (or (not (= (bvadd (bvadd ?v_97 (bvmul (bvneg (_ bv16 32)) ?x2)) (bvmul (bvneg (_ bv68 32)) ?x3)) (_ bv14 32))) (bvsgt (bvadd (bvadd ?v_67 (bvmul (bvneg (_ bv31 32)) ?x2)) ?v_39) (_ bv44 32))) (and (bvslt (bvadd (bvadd ?v_12 ?v_40) ?v_41) (_ bv7 32)) (bvsgt (bvadd (bvmul (_ bv8 32) ?x1) ?v_42) (_ bv50 32)))) (or (and (bvsge (bvadd (bvadd (bvmul (_ bv79 32) ?x1) (bvmul (_ bv52 32) ?x2)) ?v_43) (bvneg (_ bv47 32))) (bvsgt (bvadd (bvadd ?v_44 ?v_45) ?v_11) (bvneg (_ bv25 32)))) (and (= (bvmul (bvneg (_ bv59 32)) ?x1) (_ bv51 32)) (bvslt (bvadd ?v_122 ?v_72) (bvneg (_ bv44 32)))))) (or (or (or (not (= (bvadd ?v_101 ?v_46) (bvneg (_ bv67 32)))) (bvsge (bvadd ?v_47 ?v_48) (_ bv0 32))) (bvsle ?v_51 (_ bv50 32))) (or (bvsle ?v_93 (_ bv20 32)) (bvsge (bvadd ?v_38 ?v_49) (_ bv94 32)))))) (and (and (and (and (= (bvadd (bvmul (_ bv78 32) ?x1) (bvmul (_ bv42 32) ?x2)) (_ bv0 32)) (bvsgt (bvadd ?v_68 ?v_99) (_ bv39 32))) (and (not (= (bvadd (bvmul (_ bv80 32) ?x1) (bvmul (bvneg (_ bv32 32)) ?x3)) (bvneg (_ bv33 32)))) (and (bvsge (bvadd (bvmul (bvneg (_ bv47 32)) ?x2) ?v_11) (_ bv91 32)) (bvslt (bvadd (bvadd (bvmul (_ bv14 32) ?x1) ?v_50) ?v_51) (_ bv64 32))))) (and (and (and (bvsle (bvadd (bvmul (bvneg (_ bv35 32)) ?x2) (bvmul (bvneg (_ bv6 32)) ?x3)) (bvneg (_ bv60 32))) (bvslt (bvadd (bvadd ?v_18 (bvmul (_ bv26 32) ?x2)) (bvmul (bvneg (_ bv37 32)) ?x3)) (_ bv73 32))) (or (not (= (bvadd (bvadd ?v_22 (bvmul (_ bv72 32) ?x2)) ?v_52) (_ bv47 32))) (= (bvmul (_ bv27 32) ?x2) (bvneg (_ bv93 32))))) (or (or (= (bvadd (bvadd ?v_53 ?v_81) ?v_54) (bvneg (_ bv48 32))) (bvslt (bvadd (bvmul (_ bv81 32) ?x1) ?v_6) (_ bv55 32))) (and (bvsge (bvadd (bvmul (bvneg (_ bv46 32)) ?x2) (bvmul (_ bv42 32) ?x3)) (_ bv0 32)) (bvslt (bvadd (bvadd ?v_55 (bvmul (_ bv70 32) ?x2)) (bvmul (_ bv81 32) ?x3)) (bvneg (_ bv59 32))))))) (or (and (and (bvslt (bvadd (bvadd ?v_1 (bvmul (bvneg (_ bv38 32)) ?x2)) ?v_5) (bvneg (_ bv98 32))) (bvsge ?v_56 (bvneg (_ bv89 32)))) (or (or (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv36 32)) ?x1) ?v_124) (bvmul (bvneg (_ bv90 32)) ?x3)) (_ bv0 32)) (= (bvadd (bvadd ?v_73 (bvmul (bvneg (_ bv85 32)) ?x2)) ?v_127) (_ bv99 32))) (bvsle (bvmul (bvneg (_ bv40 32)) ?x2) (bvneg (_ bv64 32))))) (or (and (not (= (bvadd ?v_57 (bvmul (_ bv6 32) ?x3)) (_ bv12 32))) (bvsgt (bvadd ?v_58 (bvmul (_ bv31 32) ?x2)) (bvneg (_ bv6 32)))) (or (bvsle (bvadd (bvadd ?v_27 (bvmul (_ bv89 32) ?x2)) ?v_59) (_ bv95 32)) (bvsle (bvadd ?v_8 (bvmul (_ bv79 32) ?x3)) (_ bv20 32))))))))) (or (and (and (and (or (not (= (bvadd (bvadd (bvmul (bvneg (_ bv6 32)) ?x1) (bvmul (_ bv93 32) ?x2)) (bvmul (_ bv57 32) ?x3)) (_ bv3 32))) (bvsle (bvadd ?v_71 (bvmul (bvneg (_ bv50 32)) ?x3)) (_ bv86 32))) (bvsle (bvadd (bvadd ?v_90 (bvmul (bvneg (_ bv96 32)) ?x2)) (bvmul (bvneg (_ bv36 32)) ?x3)) (_ bv24 32))) (and (or (bvslt (bvadd (bvmul (bvneg (_ bv33 32)) ?x2) ?v_60) (_ bv34 32)) (not (= (bvadd (bvadd ?v_61 (bvmul (_ bv29 32) ?x2)) ?v_49) (bvneg (_ bv37 32))))) (or (or (not (= (bvadd (bvadd ?v_21 ?v_76) ?v_43) (bvneg (_ bv78 32)))) (not (= (bvadd (bvadd (bvmul (_ bv91 32) ?x1) (bvmul (bvneg (_ bv61 32)) ?x2)) ?v_62) (_ bv69 32)))) (or (= (bvadd (bvadd ?v_88 ?v_8) ?v_63) (_ bv0 32)) (not (= (bvadd ?v_64 ?v_65) (bvneg (_ bv93 32)))))))) (and (or (and (and (= (bvadd (bvmul (_ bv53 32) ?x1) ?v_15) (_ bv24 32)) (bvsle (bvadd (bvadd ?v_66 ?v_102) (bvmul (_ bv22 32) ?x3)) (_ bv0 32))) (and (bvsgt ?v_67 (bvneg (_ bv37 32))) (bvsle (bvadd (bvadd ?v_68 ?v_3) ?v_4) (_ bv0 32)))) (or (or (bvsge (bvadd ?v_69 ?v_75) (bvneg (_ bv17 32))) (not (= (bvadd (bvmul (_ bv69 32) ?x1) ?v_129) (bvneg (_ bv40 32))))) (bvsgt (bvmul (_ bv12 32) ?x1) (_ bv63 32)))) (or (or (and (and (not (= (bvadd (bvadd ?v_70 ?v_71) ?v_87) (_ bv27 32))) (bvsgt (bvadd ?v_16 ?v_72) (bvneg (_ bv27 32)))) (bvsgt (bvadd (bvadd ?v_73 ?v_40) ?v_41) (_ bv20 32))) (or (bvslt (bvadd (bvmul (bvneg (_ bv93 32)) ?x1) (bvmul (bvneg (_ bv32 32)) ?x2)) (_ bv1 32)) (bvslt (bvadd (bvmul (_ bv93 32) ?x1) ?v_128) (_ bv49 32)))) (and (or (= (bvadd (bvadd (bvmul (bvneg (_ bv63 32)) ?x1) (bvmul (_ bv37 32) ?x2)) (bvmul (_ bv48 32) ?x3)) (_ bv75 32)) (or (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv85 32)) ?x1) ?v_74) ?v_75) (bvneg (_ bv82 32))) (= (bvadd (bvmul (_ bv15 32) ?x1) (bvmul (bvneg (_ bv36 32)) ?x2)) (_ bv0 32)))) (and (or (bvsge (bvmul (_ bv84 32) ?x1) (bvneg (_ bv62 32))) (bvsge (bvadd ?v_113 (bvmul (bvneg (_ bv15 32)) ?x3)) (_ bv34 32))) (and (= (bvadd (bvmul (_ bv38 32) ?x1) (bvmul (bvneg (_ bv74 32)) ?x3)) (_ bv0 32)) (bvsle ?v_91 (bvneg (_ bv49 32))))))))) (or (and (or (= ?v_76 (bvneg (_ bv39 32))) (not (= (bvadd (bvadd (bvmul (_ bv30 32) ?x1) (bvmul (_ bv22 32) ?x2)) (bvmul (bvneg (_ bv87 32)) ?x3)) (bvneg (_ bv28 32))))) (and (= (bvadd (bvadd ?v_77 (bvmul (_ bv23 32) ?x2)) ?v_39) (bvneg (_ bv96 32))) (or (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv26 32)) ?x1) ?v_30) ?v_51) (_ bv0 32)) (bvsle (bvadd (bvadd ?v_111 ?v_78) ?v_79) (_ bv71 32))))) (and (or (and (and (or (or (bvsle (bvadd (bvmul (_ bv96 32) ?x2) ?v_109) (_ bv0 32)) (not (= (bvadd (bvadd ?v_56 ?v_6) (bvmul (bvneg (_ bv71 32)) ?x3)) (_ bv80 32)))) (bvsge (bvadd ?v_80 (bvmul (bvneg (_ bv53 32)) ?x2)) (_ bv55 32))) (or (and (or (not (= ?v_81 (bvneg (_ bv9 32)))) (bvsgt ?v_67 (bvneg (_ bv99 32)))) (or (= (bvadd (bvmul (bvneg (_ bv27 32)) ?x1) ?v_82) (_ bv0 32)) (bvsge (bvadd (bvmul (_ bv72 32) ?x1) ?v_83) (_ bv13 32)))) (and (or (= (bvadd (bvadd ?v_84 (bvmul (bvneg (_ bv62 32)) ?x2)) ?v_85) (_ bv0 32)) (= (bvadd (bvmul (bvneg (_ bv3 32)) ?x1) ?v_17) (_ bv0 32))) (and (bvsle (bvadd (bvadd ?v_86 (bvmul (_ bv45 32) ?x2)) (bvmul (_ bv87 32) ?x3)) (bvneg (_ bv61 32))) (not (= (bvadd ?v_55 ?v_87) (_ bv66 32))))))) (and (or (and (bvslt (bvadd (bvadd ?v_88 (bvmul (_ bv80 32) ?x2)) ?v_104) (bvneg (_ bv11 32))) (= ?v_89 (bvneg (_ bv27 32)))) (and (or (bvsge ?v_89 (bvneg (_ bv32 32))) (bvsle (bvadd ?v_90 (bvmul (_ bv28 32) ?x3)) (bvneg (_ bv13 32)))) (bvslt (bvadd (bvadd ?v_70 ?v_19) ?v_91) (_ bv82 32)))) (or (or (or (= (bvadd (bvadd ?v_57 (bvmul (_ bv12 32) ?x2)) ?v_92) (bvneg (_ bv49 32))) (= (bvadd (bvadd (bvmul (bvneg (_ bv8 32)) ?x1) ?v_93) ?v_94) (_ bv0 32))) (or (bvslt (bvadd ?v_116 ?v_95) (_ bv0 32)) (= (bvadd (bvmul (bvneg (_ bv37 32)) ?x1) ?v_96) (_ bv0 32)))) (or (or (bvslt ?v_97 (_ bv0 32)) (= (bvadd ?v_67 ?v_98) (_ bv0 32))) (or (bvsge (bvadd (bvmul (bvneg (_ bv30 32)) ?x1) ?v_99) (_ bv22 32)) (bvsgt (bvadd ?v_100 (bvmul (_ bv90 32) ?x2)) (_ bv18 32))))))) (or (and (and (and (bvsle (bvadd ?v_65 (bvmul (_ bv29 32) ?x3)) (_ bv0 32)) (bvsgt (bvadd (bvadd ?v_101 ?v_102) (bvmul (bvneg (_ bv54 32)) ?x3)) (bvneg (_ bv85 32)))) (or (= (bvadd ?v_103 ?v_104) (_ bv17 32)) (bvsle (bvadd (bvmul (_ bv73 32) ?x1) ?v_105) (_ bv0 32)))) (and (or (bvsgt (bvadd (bvmul (_ bv55 32) ?x1) ?v_106) (_ bv83 32)) (and (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv48 32)) ?x1) (bvmul (bvneg (_ bv45 32)) ?x2)) (bvmul (_ bv63 32) ?x3)) (bvneg (_ bv74 32))) (= (bvadd (bvadd (bvmul (_ bv36 32) ?x1) ?v_40) ?v_118) (_ bv92 32)))) (and (bvsgt (bvadd ?v_117 (bvmul (bvneg (_ bv93 32)) ?x3)) (bvneg (_ bv46 32))) (or (bvsle (bvadd ?v_107 (bvmul (bvneg (_ bv40 32)) ?x3)) (bvneg (_ bv19 32))) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv73 32)) ?x1) (bvmul (bvneg (_ bv23 32)) ?x2)) ?v_62) (_ bv59 32)))))) (or (and (and (bvsge (bvadd ?v_108 ?v_109) (bvneg (_ bv23 32))) (and (bvsle (bvadd ?v_110 ?v_39) (_ bv35 32)) (bvsgt (bvadd (bvmul (bvneg (_ bv81 32)) ?x1) (bvmul (bvneg (_ bv5 32)) ?x2)) (_ bv30 32)))) (or (or (not (= (bvadd ?v_111 (bvmul (bvneg (_ bv77 32)) ?x2)) (_ bv33 32))) (bvsgt (bvadd ?v_6 ?v_60) (_ bv0 32))) (and (not (= (bvadd (bvadd ?v_112 (bvmul (bvneg (_ bv26 32)) ?x2)) (bvmul (bvneg (_ bv94 32)) ?x3)) (bvneg (_ bv90 32)))) (bvslt (bvadd (bvadd (bvmul (_ bv11 32) ?x1) ?v_113) (bvmul (bvneg (_ bv51 32)) ?x3)) (bvneg (_ bv65 32)))))) (or (or (bvsge (bvadd (bvmul (_ bv62 32) ?x1) ?v_114) (_ bv0 32)) (= (bvadd (bvadd (bvmul (_ bv5 32) ?x1) ?v_115) (bvmul (bvneg (_ bv62 32)) ?x3)) (_ bv24 32))) (bvslt (bvadd (bvadd ?v_116 ?v_117) ?v_118) (_ bv0 32)))))) (or (or (or (or (not (= ?v_119 (_ bv90 32))) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv34 32)) ?x1) (bvmul (_ bv77 32) ?x2)) (bvmul (bvneg (_ bv88 32)) ?x3)) (bvneg (_ bv28 32)))) (or (or (bvsle (bvadd (bvmul (_ bv77 32) ?x1) ?v_71) (_ bv48 32)) (= (bvadd (bvmul (bvneg (_ bv42 32)) ?x1) ?v_45) (bvneg (_ bv27 32)))) (bvsge (bvadd (bvadd ?v_120 (bvmul (_ bv8 32) ?x2)) ?v_99) (bvneg (_ bv20 32))))) (and (and (bvsgt (bvadd (bvadd ?v_70 ?v_121) (bvmul (bvneg (_ bv29 32)) ?x3)) (_ bv0 32)) (not (= (bvadd (bvadd (bvmul (bvneg (_ bv70 32)) ?x1) (bvmul (bvneg (_ bv78 32)) ?x2)) ?v_29) (_ bv30 32)))) (and (bvsge (bvadd (bvadd ?v_122 ?v_123) (bvmul (_ bv85 32) ?x3)) (bvneg (_ bv53 32))) (not (= (bvadd ?v_124 ?v_39) (_ bv36 32)))))) (or (or (or (or (bvslt (bvadd (bvadd ?v_125 (bvmul (_ bv18 32) ?x2)) (bvmul (_ bv60 32) ?x3)) (bvneg (_ bv29 32))) (not (= (bvmul (_ bv53 32) ?x3) (_ bv11 32)))) (bvsge (bvadd ?v_126 ?v_127) (_ bv40 32))) (or (not (= (bvmul (bvneg (_ bv12 32)) ?x2) (bvneg (_ bv33 32)))) (bvsle (bvadd ?v_117 ?v_128) (bvneg (_ bv79 32))))) (or (and (not (= ?v_129 (bvneg (_ bv84 32)))) (= (bvadd (bvadd ?v_130 (bvmul (bvneg (_ bv92 32)) ?x2)) ?v_131) (_ bv0 32))) (or (bvsle (bvadd (bvmul (bvneg (_ bv35 32)) ?x1) (bvmul (_ bv54 32) ?x2)) (_ bv17 32)) (bvsle (bvadd ?v_7 (bvmul (_ bv12 32) ?x3)) (_ bv20 32)))))))))))))))
(check-sat)
(exit)
