(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(declare-fun x1 () (_ BitVec 32))
(declare-fun x2 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(declare-fun x4 () (_ BitVec 32))
(assert (forall ((?x1 (_ BitVec 32))) (exists ((?x2 (_ BitVec 32))) (forall ((?x3 (_ BitVec 32))) (exists ((?x4 (_ BitVec 32))) (let ((?v_1 (bvmul (_ bv32 32) ?x1)) (?v_3 (bvmul (_ bv86 32) ?x1)) (?v_0 (bvmul (bvneg (_ bv74 32)) ?x3)) (?v_5 (bvmul (bvneg (_ bv79 32)) ?x4)) (?v_4 (bvmul (bvneg (_ bv40 32)) ?x2)) (?v_2 (bvmul (bvneg (_ bv100 32)) ?x4)) (?v_6 (bvmul (bvneg (_ bv35 32)) ?x2))) (and (and (or (and (and (bvslt (bvadd (bvadd (bvadd ?v_1 (bvmul (bvneg (_ bv54 32)) ?x2)) (bvmul (bvneg (_ bv39 32)) ?x3)) (bvmul (bvneg (_ bv14 32)) ?x4)) (_ bv64 32)) (= (bvadd (bvmul (_ bv84 32) ?x1) (bvmul (bvneg (_ bv44 32)) ?x3)) (bvneg (_ bv30 32)))) (and (bvsle (bvadd (bvmul (_ bv25 32) ?x1) ?v_0) (_ bv0 32)) (= (bvadd (bvadd (bvmul (_ bv42 32) ?x1) (bvmul (bvneg (_ bv2 32)) ?x2)) (bvmul (_ bv7 32) ?x4)) (_ bv36 32)))) (or (or (or (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv41 32)) ?x2) (bvmul (bvneg (_ bv1 32)) ?x3)) (bvmul (_ bv62 32) ?x4)) (_ bv0 32)) (bvslt (bvadd (bvadd (bvadd (bvmul (_ bv10 32) ?x1) (bvmul (_ bv17 32) ?x2)) ?v_0) ?v_5) (bvneg (_ bv14 32)))) (or (not (= (bvadd (bvmul (_ bv95 32) ?x1) (bvmul (bvneg (_ bv88 32)) ?x2)) (bvneg (_ bv24 32)))) (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv15 32)) ?x1) (bvmul (bvneg (_ bv37 32)) ?x2)) (bvmul (bvneg (_ bv63 32)) ?x3)) (bvmul (_ bv27 32) ?x4)) (bvneg (_ bv79 32))))) (or (and (= (bvadd (bvadd (bvmul (bvneg (_ bv55 32)) ?x1) ?v_4) (bvmul (bvneg (_ bv35 32)) ?x4)) (_ bv0 32)) (bvsle (bvmul (_ bv59 32) ?x3) (_ bv80 32))) (or (bvsge (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv34 32)) ?x1) (bvmul (bvneg (_ bv4 32)) ?x2)) (bvmul (_ bv46 32) ?x3)) (bvmul (bvneg (_ bv32 32)) ?x4)) (bvneg (_ bv80 32))) (bvsge (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv77 32)) ?x1) (bvmul (_ bv21 32) ?x2)) (bvmul (_ bv30 32) ?x3)) ?v_2) (_ bv19 32)))))) (or (and (and (= (bvadd (bvmul (_ bv75 32) ?x2) (bvmul (_ bv1 32) ?x3)) (bvneg (_ bv93 32))) (= (bvadd (bvmul (_ bv61 32) ?x2) (bvmul (_ bv31 32) ?x4)) (bvneg (_ bv33 32)))) (and (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv82 32)) ?x1) (bvmul (_ bv39 32) ?x3)) (bvmul (bvneg (_ bv88 32)) ?x4)) (bvneg (_ bv95 32))) (or (bvsgt (bvadd (bvmul (_ bv89 32) ?x3) (bvmul (_ bv76 32) ?x4)) (bvneg (_ bv21 32))) (bvslt (bvadd (bvadd ?v_3 (bvmul (bvneg (_ bv67 32)) ?x2)) (bvmul (_ bv96 32) ?x4)) (_ bv0 32))))) (or (and (or (bvsgt (bvadd (bvadd ?v_1 (bvmul (_ bv35 32) ?x3)) (bvmul (bvneg (_ bv84 32)) ?x4)) (_ bv0 32)) (= (bvadd (bvadd (bvmul (bvneg (_ bv21 32)) ?x1) (bvmul (_ bv8 32) ?x3)) (bvmul (_ bv53 32) ?x4)) (_ bv23 32))) (and (bvsgt (bvadd (bvadd (bvmul (_ bv50 32) ?x1) (bvmul (_ bv94 32) ?x2)) (bvmul (bvneg (_ bv55 32)) ?x4)) (bvneg (_ bv69 32))) (bvslt (bvadd (bvmul (bvneg (_ bv53 32)) ?x2) (bvmul (_ bv94 32) ?x4)) (_ bv0 32)))) (or (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv63 32)) ?x1) (bvmul (_ bv37 32) ?x3)) ?v_2) (bvneg (_ bv35 32))) (bvsge (bvadd (bvadd (bvmul (_ bv88 32) ?x2) (bvmul (_ bv2 32) ?x3)) (bvmul (bvneg (_ bv31 32)) ?x4)) (_ bv46 32)))))) (and (and (and (or (= (bvadd (bvmul (bvneg (_ bv53 32)) ?x3) (bvmul (_ bv58 32) ?x4)) (_ bv51 32)) (bvsgt (bvadd (bvmul (bvneg (_ bv62 32)) ?x1) (bvmul (bvneg (_ bv95 32)) ?x3)) (bvneg (_ bv61 32)))) (or (bvsgt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv56 32)) ?x1) (bvmul (bvneg (_ bv15 32)) ?x2)) (bvmul (_ bv18 32) ?x3)) (bvmul (bvneg (_ bv36 32)) ?x4)) (bvneg (_ bv7 32))) (not (= (bvadd (bvadd (bvmul (bvneg (_ bv73 32)) ?x1) (bvmul (bvneg (_ bv51 32)) ?x2)) (bvmul (bvneg (_ bv100 32)) ?x3)) (bvneg (_ bv13 32)))))) (or (and (and (not (= (bvadd (bvadd (bvmul (bvneg (_ bv46 32)) ?x1) (bvmul (bvneg (_ bv39 32)) ?x2)) (bvmul (bvneg (_ bv21 32)) ?x4)) (bvneg (_ bv66 32)))) (bvsge (bvadd (bvmul (bvneg (_ bv18 32)) ?x1) (bvmul (bvneg (_ bv56 32)) ?x2)) (bvneg (_ bv71 32)))) (and (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv81 32)) ?x2) (bvmul (_ bv83 32) ?x3)) (bvmul (bvneg (_ bv28 32)) ?x4)) (_ bv8 32)) (not (= (bvadd (bvmul (_ bv41 32) ?x1) (bvmul (_ bv55 32) ?x4)) (bvneg (_ bv12 32)))))) (and (and (not (= (bvadd (bvmul (bvneg (_ bv85 32)) ?x1) (bvmul (bvneg (_ bv7 32)) ?x4)) (bvneg (_ bv66 32)))) (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv26 32)) ?x1) (bvmul (_ bv53 32) ?x2)) (bvmul (bvneg (_ bv73 32)) ?x4)) (bvneg (_ bv77 32)))) (and (bvsle (bvadd (bvadd ?v_3 (bvmul (bvneg (_ bv66 32)) ?x2)) (bvmul (_ bv99 32) ?x4)) (_ bv65 32)) (bvsge (bvadd (bvadd (bvmul (_ bv26 32) ?x1) (bvmul (bvneg (_ bv78 32)) ?x3)) (bvmul (bvneg (_ bv18 32)) ?x4)) (bvneg (_ bv14 32))))))) (and (and (= (bvmul (bvneg (_ bv25 32)) ?x4) (bvneg (_ bv85 32))) (and (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv81 32)) ?x1) (bvmul (_ bv76 32) ?x2)) (bvmul (_ bv56 32) ?x3)) (bvmul (bvneg (_ bv1 32)) ?x4)) (_ bv33 32)) (not (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv95 32)) ?x1) (bvmul (_ bv10 32) ?x2)) (bvmul (_ bv84 32) ?x3)) (bvmul (_ bv9 32) ?x4)) (_ bv74 32))))) (and (or (and (= (bvadd (bvmul (bvneg (_ bv16 32)) ?x1) ?v_4) (_ bv11 32)) (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv48 32)) ?x2) (bvmul (bvneg (_ bv58 32)) ?x3)) (bvmul (_ bv70 32) ?x4)) (bvneg (_ bv95 32)))) (and (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv19 32)) ?x1) (bvmul (bvneg (_ bv15 32)) ?x3)) (bvmul (bvneg (_ bv81 32)) ?x4)) (_ bv80 32)) (bvslt (bvadd ?v_6 (bvmul (bvneg (_ bv20 32)) ?x4)) (bvneg (_ bv98 32))))) (or (and (bvsle (bvadd (bvadd (bvmul (_ bv57 32) ?x1) (bvmul (bvneg (_ bv85 32)) ?x3)) (bvmul (_ bv97 32) ?x4)) (_ bv5 32)) (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv91 32)) ?x2) (bvmul (_ bv99 32) ?x3)) ?v_5) (bvneg (_ bv8 32)))) (or (not (= (bvadd (bvadd (bvmul (bvneg (_ bv6 32)) ?x1) ?v_6) (bvmul (bvneg (_ bv48 32)) ?x4)) (_ bv21 32))) (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv20 32)) ?x1) (bvmul (bvneg (_ bv49 32)) ?x3)) (bvmul (_ bv10 32) ?x4)) (bvneg (_ bv53 32)))))))))))))))
(check-sat)
(exit)
