(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(declare-fun x1 () (_ BitVec 32))
(declare-fun x2 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(declare-fun x4 () (_ BitVec 32))
(assert (forall ((?x1 (_ BitVec 32))) (exists ((?x2 (_ BitVec 32))) (forall ((?x3 (_ BitVec 32))) (exists ((?x4 (_ BitVec 32))) (let ((?v_7 (bvmul (_ bv46 32) ?x3)) (?v_20 (bvmul (_ bv84 32) ?x1)) (?v_22 (bvmul (_ bv61 32) ?x4)) (?v_2 (bvmul (_ bv73 32) ?x3)) (?v_19 (bvmul (_ bv15 32) ?x4)) (?v_12 (bvmul (_ bv55 32) ?x4)) (?v_29 (bvmul (_ bv38 32) ?x4)) (?v_15 (bvmul (_ bv99 32) ?x2)) (?v_8 (bvmul (_ bv47 32) ?x4)) (?v_24 (bvmul (_ bv97 32) ?x2)) (?v_13 (bvmul (_ bv53 32) ?x2)) (?v_16 (bvmul (_ bv13 32) ?x3)) (?v_1 (bvmul (bvneg (_ bv29 32)) ?x2)) (?v_3 (bvmul (bvneg (_ bv44 32)) ?x3)) (?v_0 (bvmul (bvneg (_ bv74 32)) ?x1)) (?v_5 (bvmul (bvneg (_ bv89 32)) ?x4)) (?v_14 (bvmul (bvneg (_ bv73 32)) ?x4)) (?v_18 (bvmul (bvneg (_ bv98 32)) ?x3)) (?v_26 (bvmul (bvneg (_ bv79 32)) ?x2)) (?v_21 (bvmul (bvneg (_ bv20 32)) ?x3)) (?v_4 (bvmul (bvneg (_ bv91 32)) ?x2)) (?v_10 (bvmul (bvneg (_ bv49 32)) ?x4)) (?v_11 (bvmul (bvneg (_ bv21 32)) ?x4)) (?v_9 (bvmul (bvneg (_ bv100 32)) ?x2)) (?v_6 (bvmul (bvneg (_ bv39 32)) ?x4)) (?v_28 (bvmul (bvneg (_ bv47 32)) ?x2)) (?v_17 (bvmul (bvneg (_ bv25 32)) ?x4)) (?v_23 (bvmul (bvneg (_ bv15 32)) ?x1)) (?v_25 (bvmul (bvneg (_ bv85 32)) ?x1)) (?v_27 (bvmul (bvneg (_ bv2 32)) ?x4))) (and (and (or (and (and (and (bvslt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv54 32)) ?x1) (bvmul (bvneg (_ bv14 32)) ?x2)) ?v_7) (bvmul (bvneg (_ bv77 32)) ?x4)) (_ bv64 32)) (bvsgt (bvadd (bvmul (bvneg (_ bv39 32)) ?x1) ?v_1) (_ bv32 32))) (not (= (bvadd ?v_20 ?v_3) (bvneg (_ bv30 32))))) (and (and (bvsle (bvadd (bvmul (_ bv17 32) ?x3) (bvmul (bvneg (_ bv11 32)) ?x4)) (_ bv0 32)) (bvslt (bvadd (bvadd (bvadd ?v_0 (bvmul (bvneg (_ bv66 32)) ?x2)) (bvmul (bvneg (_ bv46 32)) ?x3)) (bvmul (_ bv52 32) ?x4)) (_ bv25 32))) (or (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv2 32)) ?x1) (bvmul (_ bv7 32) ?x2)) (bvmul (bvneg (_ bv74 32)) ?x3)) ?v_5) (_ bv36 32)) (bvsle (bvmul (_ bv16 32) ?x3) (_ bv42 32))))) (or (or (or (and (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv41 32)) ?x1) (bvmul (_ bv62 32) ?x2)) ?v_14) (_ bv0 32)) (bvslt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv1 32)) ?x1) (bvmul (bvneg (_ bv98 32)) ?x2)) ?v_18) (bvmul (_ bv87 32) ?x4)) (_ bv0 32))) (or (bvslt (bvadd (bvadd (bvadd (bvmul (_ bv17 32) ?x1) ?v_26) ?v_21) ?v_22) (bvneg (_ bv14 32))) (bvsge (bvadd ?v_0 (bvmul (_ bv84 32) ?x4)) (_ bv10 32)))) (or (and (not (= (bvadd (bvadd (bvmul (bvneg (_ bv88 32)) ?x1) ?v_2) (bvmul (bvneg (_ bv41 32)) ?x4)) (bvneg (_ bv24 32)))) (bvsle (bvadd ?v_4 (bvmul (_ bv72 32) ?x3)) (_ bv95 32))) (and (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv37 32)) ?x1) (bvmul (_ bv27 32) ?x2)) (bvmul (_ bv49 32) ?x4)) (bvneg (_ bv79 32))) (not (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv63 32)) ?x1) ?v_1) (bvmul (_ bv39 32) ?x3)) ?v_10) (bvneg (_ bv15 32))))))) (or (and (not (= (bvadd (bvadd (bvmul (bvneg (_ bv55 32)) ?x1) (bvmul (bvneg (_ bv40 32)) ?x2)) (bvmul (bvneg (_ bv35 32)) ?x4)) (_ bv0 32))) (and (bvsle (bvadd (bvmul (bvneg (_ bv31 32)) ?x3) ?v_19) (_ bv80 32)) (bvsgt (bvadd (bvadd (bvmul (_ bv59 32) ?x1) ?v_2) ?v_12) (_ bv0 32)))) (or (and (bvsge (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv4 32)) ?x1) (bvmul (bvneg (_ bv32 32)) ?x2)) ?v_3) ?v_11) (bvneg (_ bv80 32))) (bvsle (bvadd (bvadd (bvmul (_ bv46 32) ?x1) (bvmul (bvneg (_ bv30 32)) ?x2)) (bvmul (bvneg (_ bv56 32)) ?x4)) (bvneg (_ bv34 32)))) (or (bvsge (bvadd (bvadd (bvadd (bvmul (_ bv21 32) ?x1) ?v_9) (bvmul (_ bv1 32) ?x3)) (bvmul (_ bv86 32) ?x4)) (_ bv19 32)) (bvslt (bvadd (bvadd (bvadd (bvmul (_ bv30 32) ?x1) (bvmul (bvneg (_ bv15 32)) ?x2)) (bvmul (bvneg (_ bv80 32)) ?x3)) (bvmul (bvneg (_ bv33 32)) ?x4)) (bvneg (_ bv77 32)))))))) (or (and (and (or (= (bvadd (bvmul (_ bv75 32) ?x1) (bvmul (bvneg (_ bv19 32)) ?x4)) (bvneg (_ bv93 32))) (bvsle (bvadd (bvadd (bvadd (bvmul (_ bv1 32) ?x1) (bvmul (bvneg (_ bv38 32)) ?x2)) (bvmul (_ bv15 32) ?x3)) ?v_29) (_ bv0 32))) (or (= (bvadd (bvadd (bvadd (bvmul (_ bv61 32) ?x1) (bvmul (_ bv31 32) ?x2)) (bvmul (bvneg (_ bv3 32)) ?x3)) ?v_6) (bvneg (_ bv33 32))) (bvsle (bvadd ?v_4 ?v_5) (_ bv0 32)))) (and (and (and (not (= (bvadd (bvmul (_ bv64 32) ?x3) ?v_6) (_ bv3 32))) (= (bvadd (bvmul (_ bv85 32) ?x2) (bvmul (bvneg (_ bv57 32)) ?x4)) (_ bv0 32))) (or (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv88 32)) ?x2) ?v_7) (bvmul (bvneg (_ bv78 32)) ?x4)) (bvneg (_ bv95 32))) (bvsle (bvadd (bvadd (bvmul (_ bv39 32) ?x1) (bvmul (_ bv99 32) ?x3)) (bvmul (bvneg (_ bv42 32)) ?x4)) (bvneg (_ bv82 32))))) (or (and (bvsgt (bvadd (bvadd (bvmul (_ bv76 32) ?x2) (bvmul (_ bv85 32) ?x3)) (bvmul (_ bv3 32) ?x4)) (bvneg (_ bv21 32))) (= (bvadd (bvadd (bvadd (bvmul (_ bv89 32) ?x1) (bvmul (_ bv20 32) ?x2)) (bvmul (bvneg (_ bv26 32)) ?x3)) (bvmul (_ bv17 32) ?x4)) (_ bv0 32))) (and (bvslt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv67 32)) ?x1) (bvmul (_ bv96 32) ?x2)) (bvmul (bvneg (_ bv14 32)) ?x3)) (bvmul (bvneg (_ bv37 32)) ?x4)) (_ bv0 32)) (bvsle (bvadd ?v_15 ?v_8) (_ bv86 32)))))) (or (and (or (and (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv84 32)) ?x2) (bvmul (_ bv22 32) ?x3)) (bvmul (bvneg (_ bv30 32)) ?x4)) (_ bv0 32)) (bvsle (bvadd (bvadd (bvmul (_ bv35 32) ?x1) ?v_24) (bvmul (bvneg (_ bv40 32)) ?x4)) (_ bv32 32))) (or (= (bvadd ?v_13 (bvmul (bvneg (_ bv67 32)) ?x3)) (_ bv23 32)) (not (= (bvadd (bvadd (bvadd (bvmul (_ bv8 32) ?x1) ?v_28) (bvmul (bvneg (_ bv6 32)) ?x3)) ?v_8) (bvneg (_ bv21 32)))))) (and (bvsle (bvadd (bvadd (bvmul (_ bv50 32) ?x1) (bvmul (_ bv94 32) ?x2)) (bvmul (bvneg (_ bv55 32)) ?x4)) (bvneg (_ bv69 32))) (bvsge (bvadd (bvmul (bvneg (_ bv53 32)) ?x2) (bvmul (_ bv94 32) ?x4)) (_ bv0 32)))) (or (and (bvslt (bvadd ?v_9 (bvmul (bvneg (_ bv10 32)) ?x4)) (bvneg (_ bv35 32))) (= (bvadd (bvadd (bvadd (bvmul (_ bv37 32) ?x1) (bvmul (bvneg (_ bv22 32)) ?x2)) (bvmul (_ bv89 32) ?x3)) (bvmul (bvneg (_ bv9 32)) ?x4)) (bvneg (_ bv63 32)))) (bvslt (bvadd (bvadd (bvmul (_ bv88 32) ?x2) (bvmul (_ bv2 32) ?x3)) (bvmul (bvneg (_ bv31 32)) ?x4)) (_ bv46 32)))))) (and (and (and (or (or (= (bvadd (bvadd (bvmul (_ bv58 32) ?x2) (bvmul (bvneg (_ bv76 32)) ?x3)) ?v_17) (_ bv51 32)) (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv53 32)) ?x1) (bvmul (_ bv67 32) ?x2)) (bvmul (_ bv84 32) ?x3)) ?v_10) (_ bv0 32))) (bvsle (bvadd (bvmul (bvneg (_ bv62 32)) ?x1) (bvmul (bvneg (_ bv95 32)) ?x3)) (bvneg (_ bv61 32)))) (or (and (bvsgt (bvadd (bvadd ?v_23 (bvmul (bvneg (_ bv36 32)) ?x2)) (bvmul (bvneg (_ bv36 32)) ?x3)) (bvneg (_ bv7 32))) (bvsge (bvadd (bvadd (bvadd (bvmul (_ bv18 32) ?x1) (bvmul (bvneg (_ bv4 32)) ?x2)) ?v_16) (bvmul (_ bv25 32) ?x4)) (bvneg (_ bv56 32)))) (and (not (= (bvadd (bvadd (bvmul (bvneg (_ bv51 32)) ?x1) (bvmul (_ bv52 32) ?x3)) (bvmul (_ bv27 32) ?x4)) (bvneg (_ bv13 32)))) (not (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv100 32)) ?x1) (bvmul (bvneg (_ bv6 32)) ?x2)) (bvmul (_ bv12 32) ?x3)) (bvmul (bvneg (_ bv60 32)) ?x4)) (bvneg (_ bv73 32))))))) (or (and (and (= (bvadd (bvadd (bvmul (bvneg (_ bv46 32)) ?x1) (bvmul (bvneg (_ bv39 32)) ?x2)) ?v_11) (bvneg (_ bv66 32))) (bvslt (bvadd (bvmul (bvneg (_ bv18 32)) ?x1) (bvmul (bvneg (_ bv56 32)) ?x2)) (bvneg (_ bv71 32)))) (and (or (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv81 32)) ?x1) (bvmul (bvneg (_ bv28 32)) ?x2)) (bvmul (bvneg (_ bv11 32)) ?x3)) (_ bv8 32)) (bvslt (bvadd (bvadd (bvmul (_ bv83 32) ?x1) (bvmul (_ bv50 32) ?x2)) (bvmul (_ bv7 32) ?x3)) (_ bv0 32))) (= (bvadd (bvmul (_ bv41 32) ?x1) ?v_12) (bvneg (_ bv12 32))))) (and (and (= (bvadd ?v_25 (bvmul (bvneg (_ bv7 32)) ?x4)) (bvneg (_ bv66 32))) (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv26 32)) ?x1) ?v_13) ?v_14) (bvneg (_ bv77 32)))) (and (and (bvsle (bvadd (bvmul (bvneg (_ bv66 32)) ?x1) ?v_15) (_ bv65 32)) (bvsle (bvmul (_ bv41 32) ?x4) (_ bv86 32))) (and (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv18 32)) ?x2) ?v_16) (bvmul (bvneg (_ bv96 32)) ?x4)) (bvneg (_ bv14 32))) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv78 32)) ?x1) (bvmul (bvneg (_ bv61 32)) ?x2)) (bvmul (_ bv63 32) ?x4)) (_ bv26 32))))))) (and (and (not (= ?v_17 (bvneg (_ bv85 32)))) (and (or (= (bvadd (bvadd (bvadd (bvmul (_ bv76 32) ?x1) (bvmul (bvneg (_ bv1 32)) ?x2)) ?v_18) (bvmul (bvneg (_ bv98 32)) ?x4)) (_ bv33 32)) (= (bvadd (bvadd (bvmul (_ bv56 32) ?x1) (bvmul (bvneg (_ bv68 32)) ?x3)) ?v_19) (bvneg (_ bv81 32)))) (or (not (= (bvadd (bvadd (bvmul (_ bv10 32) ?x1) (bvmul (_ bv9 32) ?x2)) (bvmul (_ bv10 32) ?x3)) (_ bv74 32))) (bvsge (bvadd (bvadd ?v_20 (bvmul (_ bv37 32) ?x2)) (bvmul (_ bv9 32) ?x3)) (bvneg (_ bv95 32)))))) (and (or (and (or (= (bvadd (bvmul (bvneg (_ bv40 32)) ?x1) ?v_21) (_ bv11 32)) (bvsle (bvadd (bvmul (_ bv77 32) ?x2) ?v_22) (bvneg (_ bv16 32)))) (or (bvsge (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv48 32)) ?x1) (bvmul (_ bv70 32) ?x2)) (bvmul (bvneg (_ bv17 32)) ?x3)) (bvmul (_ bv31 32) ?x4)) (bvneg (_ bv95 32))) (bvslt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv58 32)) ?x1) (bvmul (_ bv51 32) ?x2)) (bvmul (bvneg (_ bv27 32)) ?x3)) (bvmul (bvneg (_ bv6 32)) ?x4)) (_ bv0 32)))) (and (or (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv81 32)) ?x2) (bvmul (_ bv59 32) ?x3)) (bvmul (bvneg (_ bv24 32)) ?x4)) (_ bv80 32)) (= (bvadd (bvadd (bvadd ?v_23 (bvmul (_ bv12 32) ?x2)) (bvmul (bvneg (_ bv85 32)) ?x3)) ?v_27) (bvneg (_ bv19 32)))) (bvsge (bvadd (bvmul (bvneg (_ bv35 32)) ?x2) (bvmul (bvneg (_ bv20 32)) ?x4)) (bvneg (_ bv98 32))))) (or (and (and (bvsle (bvadd ?v_24 (bvmul (bvneg (_ bv32 32)) ?x4)) (_ bv5 32)) (bvsgt (bvadd (bvadd ?v_25 (bvmul (_ bv11 32) ?x2)) (bvmul (_ bv6 32) ?x3)) (_ bv57 32))) (and (bvslt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv91 32)) ?x1) ?v_26) (bvmul (_ bv90 32) ?x3)) ?v_27) (bvneg (_ bv8 32))) (bvsgt (bvadd (bvadd (bvadd (bvmul (_ bv99 32) ?x1) (bvmul (_ bv14 32) ?x2)) (bvmul (bvneg (_ bv35 32)) ?x3)) (bvmul (bvneg (_ bv74 32)) ?x4)) (_ bv0 32)))) (or (and (not (= (bvadd (bvadd (bvmul (bvneg (_ bv35 32)) ?x1) (bvmul (bvneg (_ bv48 32)) ?x2)) (bvmul (_ bv91 32) ?x3)) (_ bv21 32))) (bvsgt (bvadd ?v_28 ?v_29) (bvneg (_ bv6 32)))) (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv20 32)) ?x1) (bvmul (bvneg (_ bv49 32)) ?x3)) (bvmul (_ bv10 32) ?x4)) (bvneg (_ bv53 32)))))))))))))))
(check-sat)
(exit)
