(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(declare-fun x1 () (_ BitVec 32))
(declare-fun x2 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(declare-fun x4 () (_ BitVec 32))
(assert (forall ((?x1 (_ BitVec 32))) (exists ((?x2 (_ BitVec 32))) (forall ((?x3 (_ BitVec 32))) (exists ((?x4 (_ BitVec 32))) (let ((?v_27 (bvmul (_ bv67 32) ?x3)) (?v_42 (bvmul (_ bv50 32) ?x4)) (?v_25 (bvmul (_ bv15 32) ?x3)) (?v_56 (bvmul (_ bv41 32) ?x1)) (?v_58 (bvmul (_ bv90 32) ?x1)) (?v_60 (bvmul (_ bv32 32) ?x4)) (?v_22 (bvmul (_ bv95 32) ?x2)) (?v_33 (bvmul (_ bv51 32) ?x4)) (?v_7 (bvmul (_ bv79 32) ?x1)) (?v_9 (bvmul (_ bv76 32) ?x3)) (?v_17 (bvmul (_ bv67 32) ?x4)) (?v_11 (bvmul (_ bv16 32) ?x3)) (?v_54 (bvmul (_ bv59 32) ?x1)) (?v_13 (bvmul (_ bv10 32) ?x2)) (?v_81 (bvmul (_ bv56 32) ?x3)) (?v_55 (bvmul (_ bv18 32) ?x2)) (?v_34 (bvmul (_ bv42 32) ?x1)) (?v_85 (bvmul (_ bv63 32) ?x4)) (?v_30 (bvmul (_ bv16 32) ?x1)) (?v_29 (bvmul (_ bv34 32) ?x3)) (?v_44 (bvmul (_ bv54 32) ?x3)) (?v_37 (bvmul (_ bv98 32) ?x2)) (?v_23 (bvmul (_ bv96 32) ?x3)) (?v_19 (bvmul (_ bv75 32) ?x1)) (?v_45 (bvmul (_ bv95 32) ?x1)) (?v_79 (bvmul (_ bv75 32) ?x4)) (?v_52 (bvmul (_ bv97 32) ?x3)) (?v_69 (bvmul (_ bv49 32) ?x2)) (?v_48 (bvmul (_ bv1 32) ?x1)) (?v_47 (bvmul (_ bv48 32) ?x1)) (?v_35 (bvmul (_ bv84 32) ?x2)) (?v_36 (bvmul (_ bv97 32) ?x1)) (?v_76 (bvmul (_ bv14 32) ?x2)) (?v_41 (bvmul (_ bv60 32) ?x1)) (?v_80 (bvmul (_ bv26 32) ?x1)) (?v_40 (bvmul (_ bv76 32) ?x4)) (?v_74 (bvmul (_ bv39 32) ?x4)) (?v_73 (bvmul (_ bv67 32) ?x2)) (?v_66 (bvmul (_ bv20 32) ?x2)) (?v_87 (bvmul (_ bv81 32) ?x3)) (?v_2 (bvmul (bvneg (_ bv25 32)) ?x3)) (?v_8 (bvmul (bvneg (_ bv9 32)) ?x1)) (?v_1 (bvmul (bvneg (_ bv60 32)) ?x3)) (?v_6 (bvmul (bvneg (_ bv1 32)) ?x2)) (?v_16 (bvmul (bvneg (_ bv59 32)) ?x3)) (?v_5 (bvmul (bvneg (_ bv35 32)) ?x3)) (?v_43 (bvmul (bvneg (_ bv8 32)) ?x3)) (?v_18 (bvmul (bvneg (_ bv36 32)) ?x4)) (?v_4 (bvmul (bvneg (_ bv30 32)) ?x4)) (?v_0 (bvmul (bvneg (_ bv37 32)) ?x2)) (?v_3 (bvmul (bvneg (_ bv47 32)) ?x3)) (?v_68 (bvmul (bvneg (_ bv100 32)) ?x1)) (?v_78 (bvmul (bvneg (_ bv49 32)) ?x4)) (?v_83 (bvmul (bvneg (_ bv93 32)) ?x2)) (?v_21 (bvmul (bvneg (_ bv98 32)) ?x2)) (?v_64 (bvmul (bvneg (_ bv20 32)) ?x3)) (?v_84 (bvmul (bvneg (_ bv17 32)) ?x4)) (?v_12 (bvmul (bvneg (_ bv90 32)) ?x2)) (?v_14 (bvmul (bvneg (_ bv35 32)) ?x1)) (?v_24 (bvmul (bvneg (_ bv62 32)) ?x3)) (?v_51 (bvmul (bvneg (_ bv60 32)) ?x2)) (?v_59 (bvmul (bvneg (_ bv35 32)) ?x4)) (?v_86 (bvmul (bvneg (_ bv55 32)) ?x2)) (?v_28 (bvmul (bvneg (_ bv56 32)) ?x2)) (?v_32 (bvmul (bvneg (_ bv95 32)) ?x2)) (?v_62 (bvmul (bvneg (_ bv32 32)) ?x1)) (?v_10 (bvmul (bvneg (_ bv94 32)) ?x2)) (?v_39 (bvmul (bvneg (_ bv70 32)) ?x1)) (?v_70 (bvmul (bvneg (_ bv87 32)) ?x2)) (?v_26 (bvmul (bvneg (_ bv75 32)) ?x2)) (?v_20 (bvmul (bvneg (_ bv4 32)) ?x1)) (?v_15 (bvmul (bvneg (_ bv14 32)) ?x2)) (?v_75 (bvmul (bvneg (_ bv5 32)) ?x1)) (?v_50 (bvmul (bvneg (_ bv45 32)) ?x4)) (?v_38 (bvmul (bvneg (_ bv56 32)) ?x3)) (?v_82 (bvmul (bvneg (_ bv23 32)) ?x2)) (?v_31 (bvmul (bvneg (_ bv74 32)) ?x4)) (?v_57 (bvmul (bvneg (_ bv32 32)) ?x4)) (?v_65 (bvmul (bvneg (_ bv22 32)) ?x2)) (?v_49 (bvmul (bvneg (_ bv64 32)) ?x3)) (?v_88 (bvmul (bvneg (_ bv40 32)) ?x4)) (?v_46 (bvmul (bvneg (_ bv14 32)) ?x1)) (?v_67 (bvmul (bvneg (_ bv95 32)) ?x4)) (?v_53 (bvmul (bvneg (_ bv59 32)) ?x4)) (?v_63 (bvmul (bvneg (_ bv25 32)) ?x2)) (?v_61 (bvmul (bvneg (_ bv81 32)) ?x3)) (?v_77 (bvmul (bvneg (_ bv11 32)) ?x3)) (?v_71 (bvmul (bvneg (_ bv67 32)) ?x1)) (?v_72 (bvmul (bvneg (_ bv24 32)) ?x2))) (or (and (or (or (and (and (and (bvslt (bvadd (bvadd (bvadd (bvmul (_ bv24 32) ?x1) (bvmul (bvneg (_ bv36 32)) ?x2)) ?v_2) (bvmul (bvneg (_ bv80 32)) ?x4)) (_ bv4 32)) (= (bvadd (bvadd (bvadd ?v_8 (bvmul (bvneg (_ bv26 32)) ?x2)) (bvmul (bvneg (_ bv38 32)) ?x3)) (bvmul (bvneg (_ bv92 32)) ?x4)) (_ bv12 32))) (or (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv11 32)) ?x1) (bvmul (bvneg (_ bv58 32)) ?x2)) ?v_1) (_ bv0 32)) (bvsle (bvadd (bvadd (bvmul (_ bv94 32) ?x1) (bvmul (_ bv94 32) ?x2)) (bvmul (bvneg (_ bv37 32)) ?x4)) (_ bv0 32)))) (or (and (bvsge (bvadd (bvadd (bvadd (bvmul (_ bv46 32) ?x1) ?v_6) ?v_27) (bvmul (_ bv57 32) ?x4)) (_ bv0 32)) (bvsge (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv48 32)) ?x1) (bvmul (_ bv28 32) ?x2)) ?v_16) ?v_42) (_ bv22 32))) (or (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv29 32)) ?x1) (bvmul (bvneg (_ bv54 32)) ?x2)) ?v_25) (_ bv0 32)) (= (bvadd (bvadd (bvadd (bvmul (_ bv5 32) ?x1) (bvmul (bvneg (_ bv65 32)) ?x2)) ?v_5) (bvmul (bvneg (_ bv91 32)) ?x4)) (_ bv6 32))))) (and (and (bvsgt (bvadd (bvadd (bvmul (_ bv93 32) ?x1) ?v_43) ?v_18) (_ bv69 32)) (or (bvsge (bvadd (bvadd ?v_56 (bvmul (bvneg (_ bv21 32)) ?x2)) (bvmul (bvneg (_ bv14 32)) ?x3)) (_ bv64 32)) (and (= (bvadd (bvadd (bvmul (_ bv11 32) ?x1) (bvmul (_ bv5 32) ?x2)) ?v_4) (_ bv0 32)) (bvsle (bvadd (bvadd (bvmul (_ bv34 32) ?x1) ?v_0) (bvmul (bvneg (_ bv80 32)) ?x3)) (_ bv14 32))))) (or (or (and (not (= (bvadd (bvadd (bvmul (_ bv68 32) ?x1) (bvmul (bvneg (_ bv63 32)) ?x2)) (bvmul (_ bv49 32) ?x3)) (bvneg (_ bv30 32)))) (bvsge (bvadd (bvadd (bvmul (_ bv80 32) ?x2) (bvmul (bvneg (_ bv52 32)) ?x3)) (bvmul (bvneg (_ bv24 32)) ?x4)) (_ bv13 32))) (and (bvsge (bvadd (bvadd (bvadd ?v_58 ?v_0) ?v_3) (bvmul (bvneg (_ bv8 32)) ?x4)) (bvneg (_ bv98 32))) (= (bvadd (bvadd (bvmul (bvneg (_ bv77 32)) ?x2) (bvmul (bvneg (_ bv23 32)) ?x3)) (bvmul (bvneg (_ bv4 32)) ?x4)) (_ bv0 32)))) (bvsgt (bvadd (bvadd (bvmul (_ bv27 32) ?x2) ?v_1) (bvmul (_ bv43 32) ?x4)) (_ bv6 32))))) (or (and (or (and (and (bvsgt (bvadd (bvadd ?v_68 (bvmul (bvneg (_ bv9 32)) ?x2)) (bvmul (bvneg (_ bv84 32)) ?x4)) (_ bv0 32)) (not (= (bvadd (bvadd (bvmul (bvneg (_ bv57 32)) ?x2) (bvmul (_ bv71 32) ?x3)) ?v_60) (bvneg (_ bv33 32))))) (and (not (= (bvadd (bvadd (bvmul (bvneg (_ bv21 32)) ?x1) (bvmul (_ bv58 32) ?x3)) (bvmul (bvneg (_ bv54 32)) ?x4)) (_ bv15 32))) (bvsle (bvadd (bvadd ?v_22 ?v_2) ?v_78) (bvneg (_ bv19 32))))) (and (or (= (bvadd ?v_3 ?v_33) (_ bv17 32)) (not (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv43 32)) ?x1) ?v_83) (bvmul (_ bv10 32) ?x3)) (bvmul (_ bv20 32) ?x4)) (bvneg (_ bv57 32))))) (and (bvsgt (bvadd (bvadd ?v_7 ?v_9) (bvmul (_ bv30 32) ?x4)) (_ bv0 32)) (not (= (bvadd (bvmul (_ bv37 32) ?x3) ?v_4) (_ bv15 32)))))) (and (= (bvadd (bvmul (bvneg (_ bv62 32)) ?x1) ?v_5) (_ bv0 32)) (bvsle (bvadd (bvadd ?v_21 (bvmul (_ bv69 32) ?x3)) (bvmul (bvneg (_ bv75 32)) ?x4)) (_ bv47 32)))) (and (or (or (not (= (bvadd (bvadd (bvmul (bvneg (_ bv83 32)) ?x1) (bvmul (_ bv80 32) ?x3)) (bvmul (_ bv46 32) ?x4)) (_ bv0 32))) (bvsgt (bvadd (bvmul (_ bv37 32) ?x2) (bvmul (bvneg (_ bv12 32)) ?x4)) (_ bv62 32))) (or (or (= (bvadd (bvadd (bvmul (_ bv76 32) ?x2) ?v_64) ?v_84) (_ bv0 32)) (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv77 32)) ?x1) ?v_12) ?v_17) (bvneg (_ bv95 32)))) (and (bvsge (bvadd (bvmul (bvneg (_ bv6 32)) ?x2) (bvmul (_ bv94 32) ?x3)) (_ bv79 32)) (= (bvmul (bvneg (_ bv31 32)) ?x3) (_ bv0 32))))) (bvslt (bvadd (bvadd ?v_14 ?v_6) ?v_24) (bvneg (_ bv29 32)))))) (or (and (or (and (not (= ?v_11 (bvneg (_ bv36 32)))) (bvsgt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv68 32)) ?x1) ?v_51) (bvmul (_ bv17 32) ?x3)) (bvmul (bvneg (_ bv66 32)) ?x4)) (_ bv0 32))) (or (bvsgt (bvadd (bvadd (bvadd (bvmul (_ bv83 32) ?x1) (bvmul (_ bv73 32) ?x2)) (bvmul (bvneg (_ bv72 32)) ?x3)) ?v_59) (_ bv6 32)) (not (= (bvadd ?v_54 ?v_86) (_ bv42 32))))) (or (or (bvsle (bvadd ?v_28 (bvmul (bvneg (_ bv76 32)) ?x3)) (bvneg (_ bv28 32))) (or (bvsle (bvadd (bvadd ?v_32 (bvmul (_ bv64 32) ?x3)) (bvmul (_ bv11 32) ?x4)) (_ bv0 32)) (bvsgt (bvadd (bvadd ?v_7 (bvmul (_ bv9 32) ?x3)) (bvmul (_ bv24 32) ?x4)) (bvneg (_ bv13 32))))) (or (and (= (bvadd (bvadd (bvadd (bvmul (_ bv56 32) ?x1) (bvmul (_ bv13 32) ?x2)) (bvmul (_ bv27 32) ?x3)) (bvmul (bvneg (_ bv41 32)) ?x4)) (_ bv6 32)) (bvsgt (bvadd ?v_8 (bvmul (_ bv15 32) ?x2)) (bvneg (_ bv85 32)))) (or (not (= (bvadd (bvadd (bvadd ?v_62 ?v_13) (bvmul (bvneg (_ bv79 32)) ?x3)) (bvmul (bvneg (_ bv61 32)) ?x4)) (_ bv0 32))) (bvsgt (bvadd (bvadd (bvadd (bvmul (_ bv62 32) ?x1) ?v_10) ?v_81) (bvmul (_ bv41 32) ?x4)) (bvneg (_ bv82 32))))))) (and (or (and (and (bvsge (bvadd (bvadd (bvmul (_ bv74 32) ?x1) ?v_55) (bvmul (bvneg (_ bv63 32)) ?x4)) (_ bv0 32)) (and (bvslt (bvadd (bvadd ?v_39 ?v_70) ?v_9) (_ bv46 32)) (bvsge (bvadd (bvadd ?v_34 ?v_26) ?v_85) (_ bv58 32)))) (or (and (= (bvadd ?v_20 ?v_15) (_ bv0 32)) (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv1 32)) ?x1) ?v_10) ?v_11) (bvmul (_ bv89 32) ?x4)) (_ bv0 32))) (bvsgt (bvadd (bvadd ?v_75 ?v_12) (bvmul (_ bv12 32) ?x4)) (_ bv29 32)))) (and (or (bvsge (bvadd (bvadd ?v_30 ?v_13) ?v_29) (_ bv49 32)) (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv92 32)) ?x2) ?v_44) ?v_50) (bvneg (_ bv55 32)))) (and (bvslt (bvadd (bvadd (bvadd (bvmul (_ bv45 32) ?x1) (bvmul (_ bv97 32) ?x2)) (bvmul (bvneg (_ bv63 32)) ?x3)) (bvmul (bvneg (_ bv57 32)) ?x4)) (bvneg (_ bv71 32))) (bvsle (bvadd (bvadd (bvadd ?v_14 ?v_15) ?v_16) (bvmul (_ bv16 32) ?x4)) (_ bv27 32))))) (and (or (or (or (bvsgt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv98 32)) ?x1) ?v_37) ?v_23) ?v_17) (_ bv48 32)) (bvslt (bvadd (bvmul (bvneg (_ bv78 32)) ?x1) (bvmul (_ bv82 32) ?x2)) (bvneg (_ bv38 32)))) (or (bvsle (bvadd (bvadd (bvadd ?v_19 (bvmul (_ bv44 32) ?x2)) ?v_38) ?v_18) (bvneg (_ bv91 32))) (bvsle (bvadd ?v_82 (bvmul (_ bv6 32) ?x3)) (_ bv29 32)))) (or (and (bvsle (bvadd ?v_19 (bvmul (_ bv77 32) ?x2)) (bvneg (_ bv67 32))) (= (bvmul (_ bv31 32) ?x2) (_ bv0 32))) (and (bvsle (bvadd (bvadd ?v_45 (bvmul (bvneg (_ bv90 32)) ?x3)) ?v_79) (bvneg (_ bv79 32))) (bvsge (bvadd (bvmul (_ bv59 32) ?x2) ?v_52) (_ bv34 32))))) (or (or (or (bvslt (bvadd (bvmul (bvneg (_ bv44 32)) ?x1) (bvmul (bvneg (_ bv46 32)) ?x4)) (bvneg (_ bv11 32))) (not (= (bvadd (bvadd ?v_20 ?v_21) (bvmul (bvneg (_ bv29 32)) ?x4)) (_ bv63 32)))) (or (bvslt (bvadd (bvmul (_ bv98 32) ?x1) (bvmul (_ bv82 32) ?x3)) (_ bv25 32)) (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv76 32)) ?x1) ?v_22) (bvmul (_ bv73 32) ?x3)) (bvmul (bvneg (_ bv42 32)) ?x4)) (_ bv5 32)))) (and (and (bvslt (bvadd (bvmul (_ bv9 32) ?x1) ?v_23) (bvneg (_ bv11 32))) (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv72 32)) ?x1) (bvmul (_ bv53 32) ?x2)) ?v_24) (bvmul (bvneg (_ bv79 32)) ?x4)) (bvneg (_ bv22 32)))) (and (bvsle (bvadd (bvadd ?v_69 ?v_25) (bvmul (_ bv65 32) ?x4)) (_ bv74 32)) (bvsgt (bvadd (bvmul (_ bv39 32) ?x2) (bvmul (bvneg (_ bv95 32)) ?x3)) (bvneg (_ bv87 32)))))))))) (or (and (or (or (and (and (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv46 32)) ?x1) ?v_26) ?v_27) ?v_31) (_ bv0 32)) (= (bvadd (bvadd (bvadd ?v_48 (bvmul (_ bv81 32) ?x2)) (bvmul (_ bv7 32) ?x3)) ?v_57) (bvneg (_ bv96 32)))) (or (= (bvadd (bvadd ?v_47 ?v_28) ?v_29) (_ bv42 32)) (bvslt (bvadd ?v_30 ?v_31) (_ bv34 32)))) (and (or (bvsge (bvadd (bvadd ?v_35 (bvmul (_ bv60 32) ?x3)) (bvmul (_ bv33 32) ?x4)) (_ bv0 32)) (bvsle (bvadd (bvadd ?v_36 ?v_76) ?v_5) (bvneg (_ bv72 32)))) (or (bvsgt (bvadd (bvmul (_ bv35 32) ?x1) (bvmul (bvneg (_ bv75 32)) ?x3)) (bvneg (_ bv46 32))) (bvsle (bvadd ?v_65 (bvmul (bvneg (_ bv22 32)) ?x4)) (_ bv0 32))))) (or (and (bvsgt (bvadd (bvmul (_ bv42 32) ?x2) ?v_49) (_ bv45 32)) (bvsgt (bvadd (bvadd ?v_32 (bvmul (bvneg (_ bv39 32)) ?x3)) ?v_33) (_ bv57 32))) (and (and (bvsgt (bvadd (bvmul (_ bv74 32) ?x2) (bvmul (bvneg (_ bv1 32)) ?x3)) (bvneg (_ bv7 32))) (bvsge (bvadd (bvadd ?v_41 ?v_26) (bvmul (bvneg (_ bv33 32)) ?x4)) (_ bv0 32))) (and (bvsge (bvadd ?v_34 ?v_35) (_ bv0 32)) (= (bvadd (bvadd (bvadd ?v_80 (bvmul (bvneg (_ bv16 32)) ?x2)) (bvmul (bvneg (_ bv58 32)) ?x3)) (bvmul (bvneg (_ bv97 32)) ?x4)) (bvneg (_ bv57 32))))))) (and (and (or (and (= (bvadd (bvadd (bvmul (_ bv69 32) ?x1) (bvmul (_ bv72 32) ?x2)) (bvmul (_ bv14 32) ?x4)) (_ bv45 32)) (bvsge (bvadd (bvadd (bvadd (bvmul (_ bv99 32) ?x1) (bvmul (_ bv3 32) ?x2)) (bvmul (bvneg (_ bv44 32)) ?x3)) ?v_40) (bvneg (_ bv38 32)))) (or (= (bvadd (bvadd (bvadd ?v_36 ?v_37) ?v_38) ?v_88) (_ bv96 32)) (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv37 32)) ?x1) ?v_15) (bvmul (bvneg (_ bv84 32)) ?x3)) (_ bv29 32)))) (and (and (bvsgt (bvadd (bvadd (bvadd ?v_39 (bvmul (bvneg (_ bv61 32)) ?x2)) (bvmul (bvneg (_ bv41 32)) ?x3)) ?v_40) (_ bv68 32)) (bvsle (bvadd ?v_41 ?v_74) (bvneg (_ bv18 32)))) (or (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv42 32)) ?x1) ?v_73) (bvmul (_ bv68 32) ?x3)) ?v_42) (bvneg (_ bv51 32))) (bvslt (bvadd ?v_20 (bvmul (_ bv74 32) ?x4)) (bvneg (_ bv95 32)))))) (or (or (not (= (bvadd (bvadd (bvadd (bvmul (_ bv47 32) ?x1) (bvmul (_ bv75 32) ?x2)) ?v_43) (bvmul (bvneg (_ bv18 32)) ?x4)) (_ bv42 32))) (not (= (bvadd (bvadd (bvadd (bvmul (_ bv39 32) ?x1) (bvmul (_ bv57 32) ?x2)) ?v_44) (bvmul (bvneg (_ bv88 32)) ?x4)) (_ bv9 32)))) (or (or (not (= (bvadd (bvadd ?v_45 (bvmul (bvneg (_ bv40 32)) ?x2)) (bvmul (_ bv25 32) ?x4)) (_ bv20 32))) (bvsgt (bvadd (bvadd ?v_46 (bvmul (_ bv22 32) ?x2)) (bvmul (_ bv1 32) ?x4)) (_ bv53 32))) (bvsge (bvadd ?v_46 (bvmul (_ bv45 32) ?x4)) (bvneg (_ bv2 32))))))) (and (and (and (and (or (or (bvsge (bvadd (bvadd (bvadd ?v_47 (bvmul (_ bv52 32) ?x2)) (bvmul (_ bv85 32) ?x3)) (bvmul (_ bv73 32) ?x4)) (_ bv70 32)) (not (= (bvadd (bvadd ?v_39 (bvmul (_ bv48 32) ?x3)) ?v_67) (bvneg (_ bv30 32))))) (or (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv94 32)) ?x1) (bvmul (bvneg (_ bv8 32)) ?x2)) (bvmul (_ bv40 32) ?x3)) ?v_53) (_ bv47 32)) (bvsgt (bvadd (bvadd ?v_48 ?v_49) (bvmul (_ bv42 32) ?x4)) (_ bv27 32)))) (and (or (= (bvadd (bvadd (bvmul (_ bv29 32) ?x1) (bvmul (_ bv43 32) ?x2)) (bvmul (bvneg (_ bv30 32)) ?x3)) (_ bv0 32)) (not (= (bvadd (bvadd ?v_63 (bvmul (_ bv3 32) ?x3)) (bvmul (bvneg (_ bv87 32)) ?x4)) (_ bv39 32)))) (or (bvsge (bvadd (bvadd (bvmul (_ bv58 32) ?x1) ?v_61) (bvmul (_ bv27 32) ?x4)) (bvneg (_ bv2 32))) (bvslt (bvadd (bvadd (bvadd (bvmul (_ bv40 32) ?x1) (bvmul (bvneg (_ bv15 32)) ?x2)) (bvmul (bvneg (_ bv36 32)) ?x3)) (bvmul (_ bv69 32) ?x4)) (_ bv0 32))))) (or (and (bvsle (bvadd (bvmul (bvneg (_ bv58 32)) ?x1) (bvmul (_ bv19 32) ?x4)) (_ bv0 32)) (not (= (bvmul (bvneg (_ bv83 32)) ?x4) (_ bv35 32)))) (or (= (bvadd (bvmul (_ bv38 32) ?x3) ?v_50) (bvneg (_ bv21 32))) (= (bvadd (bvmul (bvneg (_ bv88 32)) ?x1) ?v_51) (bvneg (_ bv9 32)))))) (or (and (or (= (bvadd (bvadd (bvmul (bvneg (_ bv60 32)) ?x1) ?v_52) ?v_53) (bvneg (_ bv39 32))) (bvslt (bvadd (bvadd (bvadd ?v_54 ?v_55) (bvmul (_ bv47 32) ?x3)) (bvmul (bvneg (_ bv68 32)) ?x4)) (_ bv94 32))) (and (bvsgt (bvadd (bvadd (bvadd (bvmul (_ bv81 32) ?x1) (bvmul (bvneg (_ bv67 32)) ?x2)) ?v_77) (bvmul (_ bv23 32) ?x4)) (_ bv17 32)) (not (= (bvadd (bvadd (bvadd ?v_56 (bvmul (_ bv90 32) ?x2)) (bvmul (bvneg (_ bv67 32)) ?x3)) ?v_57) (_ bv0 32))))) (and (and (bvsge (bvadd ?v_58 (bvmul (bvneg (_ bv2 32)) ?x4)) (_ bv1 32)) (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv87 32)) ?x1) ?v_22) ?v_59) (_ bv46 32))) (or (and (= (bvadd (bvadd (bvmul (bvneg (_ bv19 32)) ?x1) (bvmul (bvneg (_ bv86 32)) ?x3)) ?v_60) (bvneg (_ bv97 32))) (bvsle (bvadd (bvadd (bvadd ?v_71 ?v_66) ?v_61) (bvmul (_ bv13 32) ?x4)) (_ bv68 32))) (not (= (bvadd (bvmul (_ bv86 32) ?x1) (bvmul (bvneg (_ bv20 32)) ?x2)) (_ bv80 32))))))) (and (or (and (or (or (not (= (bvadd (bvadd ?v_62 ?v_63) ?v_64) (_ bv12 32))) (= (bvadd (bvadd (bvmul (bvneg (_ bv69 32)) ?x1) ?v_65) (bvmul (bvneg (_ bv99 32)) ?x3)) (bvneg (_ bv100 32)))) (or (bvsge (bvadd (bvadd (bvadd ?v_58 ?v_66) (bvmul (bvneg (_ bv98 32)) ?x3)) ?v_67) (bvneg (_ bv23 32))) (= (bvadd (bvmul (_ bv76 32) ?x1) (bvmul (bvneg (_ bv12 32)) ?x3)) (_ bv80 32)))) (and (bvsle (bvadd (bvadd ?v_68 (bvmul (bvneg (_ bv33 32)) ?x2)) (bvmul (bvneg (_ bv94 32)) ?x4)) (_ bv0 32)) (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv71 32)) ?x1) ?v_69) (bvmul (bvneg (_ bv40 32)) ?x3)) (bvmul (bvneg (_ bv25 32)) ?x4)) (bvneg (_ bv33 32))))) (and (or (and (bvslt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv40 32)) ?x1) ?v_72) (bvmul (_ bv35 32) ?x3)) (bvmul (_ bv21 32) ?x4)) (_ bv34 32)) (bvslt (bvadd ?v_70 ?v_3) (_ bv0 32))) (and (bvsgt (bvadd (bvadd (bvadd ?v_71 ?v_72) (bvmul (_ bv11 32) ?x3)) (bvmul (_ bv61 32) ?x4)) (bvneg (_ bv84 32))) (bvsge ?v_51 (_ bv52 32)))) (or (and (not (= (bvadd (bvadd (bvmul (bvneg (_ bv75 32)) ?x1) ?v_73) ?v_5) (_ bv63 32))) (bvsle (bvadd (bvmul (_ bv25 32) ?x1) (bvmul (_ bv41 32) ?x2)) (_ bv98 32))) (and (bvsgt (bvadd (bvadd (bvadd (bvmul (_ bv53 32) ?x1) (bvmul (_ bv45 32) ?x2)) (bvmul (_ bv44 32) ?x3)) ?v_74) (_ bv21 32)) (bvslt (bvadd (bvadd (bvadd ?v_75 ?v_76) ?v_77) (bvmul (_ bv90 32) ?x4)) (_ bv97 32)))))) (and (and (or (bvslt (bvadd (bvmul (bvneg (_ bv23 32)) ?x1) ?v_26) (bvneg (_ bv80 32))) (bvsle (bvadd (bvadd (bvadd (bvmul (_ bv15 32) ?x1) ?v_69) (bvmul (bvneg (_ bv45 32)) ?x3)) ?v_78) (_ bv0 32))) (bvsge (bvadd (bvadd ?v_41 (bvmul (bvneg (_ bv11 32)) ?x2)) ?v_79) (_ bv43 32))) (or (or (and (bvsle (bvadd (bvmul (_ bv21 32) ?x2) (bvmul (bvneg (_ bv62 32)) ?x4)) (_ bv71 32)) (bvsgt (bvadd (bvadd (bvadd ?v_80 (bvmul (_ bv66 32) ?x2)) (bvmul (bvneg (_ bv4 32)) ?x3)) (bvmul (bvneg (_ bv78 32)) ?x4)) (bvneg (_ bv75 32)))) (and (= (bvadd (bvmul (_ bv88 32) ?x2) ?v_81) (_ bv0 32)) (= (bvadd (bvmul (bvneg (_ bv50 32)) ?x1) ?v_82) (_ bv17 32)))) (and (or (bvsle (bvadd (bvadd ?v_83 ?v_87) ?v_84) (bvneg (_ bv22 32))) (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv26 32)) ?x1) (bvmul (_ bv4 32) ?x2)) (bvmul (_ bv28 32) ?x3)) ?v_85) (_ bv47 32))) (or (not (= (bvadd (bvadd ?v_19 ?v_86) ?v_87) (bvneg (_ bv21 32)))) (bvsgt (bvadd (bvadd (bvmul (_ bv52 32) ?x1) (bvmul (_ bv87 32) ?x2)) ?v_88) (_ bv48 32))))))))))))))))
(check-sat)
(exit)
