(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(declare-fun x1 () (_ BitVec 32))
(declare-fun x2 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(declare-fun x4 () (_ BitVec 32))
(assert (forall ((?x1 (_ BitVec 32))) (exists ((?x2 (_ BitVec 32))) (forall ((?x3 (_ BitVec 32))) (exists ((?x4 (_ BitVec 32))) (let ((?v_7 (bvmul (_ bv14 32) ?x3)) (?v_41 (bvmul (_ bv25 32) ?x4)) (?v_0 (bvmul (_ bv20 32) ?x1)) (?v_60 (bvmul (_ bv38 32) ?x4)) (?v_42 (bvmul (_ bv53 32) ?x1)) (?v_52 (bvmul (_ bv7 32) ?x4)) (?v_11 (bvmul (_ bv11 32) ?x2)) (?v_31 (bvmul (_ bv21 32) ?x3)) (?v_37 (bvmul (_ bv63 32) ?x3)) (?v_8 (bvmul (_ bv79 32) ?x4)) (?v_43 (bvmul (_ bv78 32) ?x2)) (?v_13 (bvmul (_ bv80 32) ?x4)) (?v_9 (bvmul (_ bv97 32) ?x3)) (?v_78 (bvmul (_ bv19 32) ?x2)) (?v_66 (bvmul (_ bv92 32) ?x2)) (?v_6 (bvmul (_ bv39 32) ?x4)) (?v_40 (bvmul (_ bv62 32) ?x2)) (?v_17 (bvmul (_ bv61 32) ?x3)) (?v_29 (bvmul (_ bv94 32) ?x1)) (?v_74 (bvmul (_ bv61 32) ?x1)) (?v_36 (bvmul (_ bv30 32) ?x1)) (?v_50 (bvmul (_ bv67 32) ?x2)) (?v_80 (bvmul (_ bv62 32) ?x3)) (?v_24 (bvmul (_ bv98 32) ?x1)) (?v_55 (bvmul (_ bv39 32) ?x3)) (?v_30 (bvmul (_ bv32 32) ?x2)) (?v_49 (bvmul (_ bv14 32) ?x1)) (?v_18 (bvmul (_ bv96 32) ?x3)) (?v_46 (bvmul (_ bv93 32) ?x2)) (?v_44 (bvmul (_ bv98 32) ?x4)) (?v_39 (bvmul (_ bv4 32) ?x1)) (?v_57 (bvmul (_ bv50 32) ?x4)) (?v_79 (bvmul (_ bv100 32) ?x2)) (?v_38 (bvmul (_ bv99 32) ?x2)) (?v_67 (bvmul (_ bv9 32) ?x4)) (?v_70 (bvmul (_ bv25 32) ?x3)) (?v_56 (bvmul (_ bv71 32) ?x1)) (?v_58 (bvmul (_ bv59 32) ?x1)) (?v_82 (bvmul (_ bv17 32) ?x4)) (?v_64 (bvmul (_ bv24 32) ?x4)) (?v_20 (bvmul (bvneg (_ bv33 32)) ?x1)) (?v_53 (bvmul (bvneg (_ bv92 32)) ?x2)) (?v_68 (bvmul (bvneg (_ bv43 32)) ?x3)) (?v_28 (bvmul (bvneg (_ bv68 32)) ?x4)) (?v_1 (bvmul (bvneg (_ bv51 32)) ?x2)) (?v_27 (bvmul (bvneg (_ bv67 32)) ?x2)) (?v_2 (bvmul (bvneg (_ bv24 32)) ?x1)) (?v_54 (bvmul (bvneg (_ bv74 32)) ?x1)) (?v_32 (bvmul (bvneg (_ bv30 32)) ?x2)) (?v_3 (bvmul (bvneg (_ bv47 32)) ?x2)) (?v_19 (bvmul (bvneg (_ bv75 32)) ?x2)) (?v_81 (bvmul (bvneg (_ bv33 32)) ?x4)) (?v_4 (bvmul (bvneg (_ bv38 32)) ?x4)) (?v_23 (bvmul (bvneg (_ bv80 32)) ?x3)) (?v_21 (bvmul (bvneg (_ bv68 32)) ?x2)) (?v_5 (bvmul (bvneg (_ bv2 32)) ?x4)) (?v_61 (bvmul (bvneg (_ bv65 32)) ?x1)) (?v_69 (bvmul (bvneg (_ bv42 32)) ?x1)) (?v_12 (bvmul (bvneg (_ bv76 32)) ?x2)) (?v_51 (bvmul (bvneg (_ bv74 32)) ?x3)) (?v_65 (bvmul (bvneg (_ bv2 32)) ?x1)) (?v_14 (bvmul (bvneg (_ bv29 32)) ?x2)) (?v_33 (bvmul (bvneg (_ bv37 32)) ?x3)) (?v_77 (bvmul (bvneg (_ bv100 32)) ?x3)) (?v_10 (bvmul (bvneg (_ bv65 32)) ?x2)) (?v_48 (bvmul (bvneg (_ bv76 32)) ?x1)) (?v_16 (bvmul (bvneg (_ bv64 32)) ?x3)) (?v_15 (bvmul (bvneg (_ bv47 32)) ?x4)) (?v_22 (bvmul (bvneg (_ bv18 32)) ?x4)) (?v_83 (bvmul (bvneg (_ bv94 32)) ?x4)) (?v_75 (bvmul (bvneg (_ bv40 32)) ?x1)) (?v_45 (bvmul (bvneg (_ bv42 32)) ?x2)) (?v_26 (bvmul (bvneg (_ bv51 32)) ?x4)) (?v_34 (bvmul (bvneg (_ bv53 32)) ?x3)) (?v_25 (bvmul (bvneg (_ bv45 32)) ?x4)) (?v_72 (bvmul (bvneg (_ bv4 32)) ?x3)) (?v_62 (bvmul (bvneg (_ bv25 32)) ?x4)) (?v_47 (bvmul (bvneg (_ bv65 32)) ?x3)) (?v_73 (bvmul (bvneg (_ bv27 32)) ?x1)) (?v_35 (bvmul (bvneg (_ bv98 32)) ?x4)) (?v_71 (bvmul (bvneg (_ bv20 32)) ?x4)) (?v_76 (bvmul (bvneg (_ bv10 32)) ?x1)) (?v_59 (bvmul (bvneg (_ bv85 32)) ?x2)) (?v_63 (bvmul (bvneg (_ bv60 32)) ?x1))) (and (and (and (and (and (or (and (bvslt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv86 32)) ?x1) (bvmul (bvneg (_ bv87 32)) ?x2)) (bvmul (bvneg (_ bv20 32)) ?x3)) (bvmul (bvneg (_ bv82 32)) ?x4)) (_ bv19 32)) (not (= (bvadd (bvadd (bvmul (_ bv10 32) ?x2) ?v_7) ?v_41) (_ bv14 32)))) (or (and (bvsge (bvadd ?v_0 ?v_60) (bvneg (_ bv80 32))) (not (= (bvadd (bvmul (bvneg (_ bv5 32)) ?x1) (bvmul (bvneg (_ bv7 32)) ?x4)) (bvneg (_ bv57 32))))) (and (bvslt (bvadd (bvadd ?v_42 (bvmul (bvneg (_ bv11 32)) ?x2)) ?v_52) (bvneg (_ bv23 32))) (not (= (bvadd (bvadd (bvadd ?v_20 ?v_53) ?v_68) ?v_28) (bvneg (_ bv60 32))))))) (or (or (or (bvslt (bvadd (bvadd ?v_0 ?v_1) (bvmul (_ bv96 32) ?x4)) (bvneg (_ bv50 32))) (bvsle (bvadd ?v_11 (bvmul (bvneg (_ bv9 32)) ?x4)) (_ bv32 32))) (or (= (bvadd (bvmul (bvneg (_ bv64 32)) ?x1) (bvmul (_ bv99 32) ?x4)) (_ bv50 32)) (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv4 32)) ?x1) (bvmul (_ bv54 32) ?x3)) (bvmul (_ bv86 32) ?x4)) (_ bv46 32)))) (and (or (bvslt (bvadd (bvadd (bvmul (_ bv5 32) ?x1) (bvmul (_ bv75 32) ?x2)) (bvmul (_ bv37 32) ?x3)) (bvneg (_ bv86 32))) (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv44 32)) ?x1) (bvmul (bvneg (_ bv12 32)) ?x3)) (bvmul (_ bv2 32) ?x4)) (_ bv0 32))) (or (bvsge (bvadd (bvadd (bvmul (_ bv28 32) ?x1) ?v_1) (bvmul (bvneg (_ bv84 32)) ?x3)) (bvneg (_ bv80 32))) (bvsgt (bvadd ?v_31 (bvmul (_ bv23 32) ?x4)) (_ bv0 32)))))) (and (and (and (and (not (= (bvadd (bvmul (bvneg (_ bv97 32)) ?x2) ?v_37) (_ bv69 32))) (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv89 32)) ?x1) ?v_27) (bvmul (_ bv48 32) ?x4)) (_ bv0 32))) (and (bvsge (bvadd (bvadd ?v_2 (bvmul (_ bv22 32) ?x2)) (bvmul (_ bv41 32) ?x3)) (bvneg (_ bv98 32))) (= (bvadd (bvmul (_ bv64 32) ?x1) (bvmul (bvneg (_ bv28 32)) ?x3)) (bvneg (_ bv52 32))))) (not (= (bvadd (bvadd (bvmul (bvneg (_ bv94 32)) ?x1) (bvmul (bvneg (_ bv1 32)) ?x3)) (bvmul (bvneg (_ bv53 32)) ?x4)) (_ bv63 32)))) (or (bvsgt (bvadd (bvadd (bvadd ?v_54 ?v_32) (bvmul (_ bv8 32) ?x3)) ?v_8) (_ bv0 32)) (and (and (not (= (bvadd (bvadd ?v_2 (bvmul (bvneg (_ bv55 32)) ?x3)) (bvmul (_ bv4 32) ?x4)) (_ bv15 32))) (bvsle (bvadd (bvadd (bvmul (_ bv36 32) ?x1) ?v_43) (bvmul (bvneg (_ bv5 32)) ?x4)) (bvneg (_ bv97 32)))) (and (not (= (bvadd (bvadd ?v_3 (bvmul (bvneg (_ bv77 32)) ?x3)) ?v_13) (_ bv99 32))) (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv17 32)) ?x2) ?v_9) (bvmul (bvneg (_ bv74 32)) ?x4)) (_ bv0 32))))))) (or (and (and (and (or (bvsle (bvadd (bvadd (bvadd (bvmul (_ bv50 32) ?x1) ?v_19) (bvmul (bvneg (_ bv76 32)) ?x3)) (bvmul (_ bv67 32) ?x4)) (bvneg (_ bv4 32))) (bvsge (bvadd (bvadd (bvmul (_ bv89 32) ?x1) (bvmul (_ bv30 32) ?x3)) ?v_81) (bvneg (_ bv35 32)))) (and (not (= (bvadd (bvadd (bvmul (_ bv19 32) ?x1) (bvmul (_ bv5 32) ?x3)) ?v_4) (_ bv72 32))) (bvsle (bvadd (bvmul (bvneg (_ bv37 32)) ?x1) ?v_23) (_ bv95 32)))) (and (and (bvsle (bvadd (bvadd (bvmul (_ bv9 32) ?x1) (bvmul (bvneg (_ bv77 32)) ?x2)) (bvmul (bvneg (_ bv8 32)) ?x3)) (_ bv50 32)) (bvsge (bvadd ?v_21 (bvmul (bvneg (_ bv29 32)) ?x3)) (bvneg (_ bv80 32)))) (or (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv14 32)) ?x1) ?v_78) (bvmul (_ bv77 32) ?x4)) (bvneg (_ bv6 32))) (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv80 32)) ?x1) (bvmul (_ bv23 32) ?x2)) (bvmul (bvneg (_ bv15 32)) ?x4)) (_ bv34 32))))) (and (and (and (bvslt (bvadd (bvmul (_ bv28 32) ?x3) ?v_5) (bvneg (_ bv2 32))) (bvsle (bvadd (bvmul (bvneg (_ bv15 32)) ?x2) (bvmul (_ bv33 32) ?x3)) (bvneg (_ bv22 32)))) (and (bvsle (bvadd (bvadd (bvmul (_ bv82 32) ?x2) (bvmul (bvneg (_ bv27 32)) ?x3)) (bvmul (_ bv13 32) ?x4)) (bvneg (_ bv73 32))) (= (bvadd (bvmul (_ bv47 32) ?x2) (bvmul (bvneg (_ bv86 32)) ?x4)) (_ bv0 32)))) (or (or (= (bvadd (bvmul (bvneg (_ bv8 32)) ?x1) ?v_66) (_ bv0 32)) (bvslt (bvmul (bvneg (_ bv48 32)) ?x4) (_ bv0 32))) (and (bvsge (bvadd (bvadd (bvmul (_ bv7 32) ?x1) (bvmul (bvneg (_ bv32 32)) ?x3)) ?v_6) (_ bv88 32)) (bvsle (bvadd (bvadd ?v_3 (bvmul (bvneg (_ bv16 32)) ?x3)) (bvmul (bvneg (_ bv75 32)) ?x4)) (bvneg (_ bv82 32))))))) (and (not (= (bvadd (bvadd ?v_61 (bvmul (_ bv65 32) ?x3)) (bvmul (bvneg (_ bv22 32)) ?x4)) (bvneg (_ bv4 32)))) (or (bvsge (bvadd (bvadd (bvadd ?v_69 ?v_40) (bvmul (_ bv75 32) ?x3)) (bvmul (bvneg (_ bv91 32)) ?x4)) (bvneg (_ bv92 32))) (= (bvadd ?v_12 ?v_51) (_ bv20 32)))))) (or (or (or (or (= (bvadd (bvadd (bvmul (bvneg (_ bv91 32)) ?x2) (bvmul (_ bv22 32) ?x3)) (bvmul (_ bv11 32) ?x4)) (_ bv0 32)) (bvsgt (bvadd (bvadd (bvmul (_ bv46 32) ?x2) (bvmul (_ bv26 32) ?x3)) (bvmul (bvneg (_ bv40 32)) ?x4)) (_ bv0 32))) (bvslt (bvadd (bvadd (bvadd (bvmul (_ bv40 32) ?x1) (bvmul (_ bv95 32) ?x2)) ?v_17) ?v_4) (_ bv88 32))) (or (or (and (= (bvadd ?v_65 (bvmul (bvneg (_ bv17 32)) ?x3)) (_ bv30 32)) (= (bvadd (bvadd (bvadd (bvmul (_ bv95 32) ?x1) ?v_14) ?v_33) ?v_5) (_ bv75 32))) (or (= (bvadd (bvadd (bvadd ?v_29 (bvmul (_ bv16 32) ?x2)) ?v_77) ?v_6) (bvneg (_ bv66 32))) (bvslt (bvadd (bvadd (bvmul (_ bv69 32) ?x1) (bvmul (bvneg (_ bv28 32)) ?x2)) ?v_7) (bvneg (_ bv71 32))))) (not (= (bvadd (bvadd (bvmul (_ bv76 32) ?x1) (bvmul (bvneg (_ bv40 32)) ?x3)) ?v_8) (_ bv8 32))))) (or (or (or (or (= (bvadd (bvadd ?v_74 (bvmul (_ bv84 32) ?x2)) (bvmul (_ bv17 32) ?x3)) (bvneg (_ bv90 32))) (bvslt (bvadd (bvadd (bvadd (bvmul (_ bv2 32) ?x1) (bvmul (bvneg (_ bv37 32)) ?x2)) (bvmul (_ bv99 32) ?x3)) ?v_5) (bvneg (_ bv26 32)))) (and (or (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv99 32)) ?x1) ?v_10) (bvmul (bvneg (_ bv71 32)) ?x3)) (bvneg (_ bv86 32))) (not (= (bvadd (bvadd (bvmul (bvneg (_ bv59 32)) ?x1) (bvmul (bvneg (_ bv16 32)) ?x2)) ?v_9) (_ bv48 32)))) (or (bvsgt (bvadd ?v_36 (bvmul (bvneg (_ bv62 32)) ?x4)) (bvneg (_ bv75 32))) (bvslt (bvadd (bvadd ?v_48 (bvmul (bvneg (_ bv98 32)) ?x2)) (bvmul (bvneg (_ bv83 32)) ?x4)) (_ bv0 32))))) (or (bvsgt (bvadd (bvadd (bvadd (bvmul (_ bv31 32) ?x1) ?v_10) ?v_16) ?v_15) (_ bv0 32)) (or (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv96 32)) ?x2) (bvmul (bvneg (_ bv99 32)) ?x3)) ?v_22) (_ bv0 32)) (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv46 32)) ?x1) ?v_11) (bvmul (_ bv83 32) ?x3)) (bvmul (bvneg (_ bv8 32)) ?x4)) (_ bv72 32))))) (or (or (or (not (= (bvadd (bvadd (bvmul (_ bv47 32) ?x1) ?v_12) (bvmul (_ bv91 32) ?x4)) (_ bv0 32))) (bvsgt (bvadd ?v_50 (bvmul (_ bv40 32) ?x4)) (_ bv44 32))) (or (not (= (bvadd (bvadd (bvadd (bvmul (_ bv41 32) ?x1) (bvmul (bvneg (_ bv5 32)) ?x2)) ?v_80) ?v_13) (_ bv0 32))) (bvsge (bvadd (bvadd (bvadd ?v_24 ?v_14) (bvmul (bvneg (_ bv41 32)) ?x3)) ?v_83) (bvneg (_ bv50 32))))) (or (or (and (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv77 32)) ?x1) ?v_55) (bvmul (bvneg (_ bv10 32)) ?x4)) (bvneg (_ bv47 32))) (= (bvadd (bvadd (bvmul (_ bv99 32) ?x1) ?v_30) ?v_15) (_ bv0 32))) (or (not (= (bvadd (bvadd (bvadd ?v_49 (bvmul (bvneg (_ bv55 32)) ?x2)) (bvmul (bvneg (_ bv75 32)) ?x3)) (bvmul (_ bv18 32) ?x4)) (bvneg (_ bv51 32)))) (bvsgt (bvadd (bvadd (bvadd (bvmul (_ bv91 32) ?x1) (bvmul (bvneg (_ bv89 32)) ?x2)) ?v_16) (bvmul (_ bv15 32) ?x4)) (_ bv0 32)))) (or (and (= (bvadd ?v_75 (bvmul (bvneg (_ bv7 32)) ?x3)) (_ bv0 32)) (bvsgt (bvadd (bvmul (_ bv83 32) ?x2) ?v_18) (_ bv96 32))) (and (not (= (bvadd (bvadd ?v_45 (bvmul (bvneg (_ bv68 32)) ?x3)) (bvmul (bvneg (_ bv23 32)) ?x4)) (bvneg (_ bv63 32)))) (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv39 32)) ?x1) ?v_17) ?v_26) (bvneg (_ bv32 32)))))))))) (or (or (and (or (and (or (and (bvsle (bvadd (bvadd (bvmul (_ bv38 32) ?x1) ?v_46) ?v_18) (bvneg (_ bv91 32))) (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv61 32)) ?x1) (bvmul (_ bv40 32) ?x3)) (bvmul (_ bv30 32) ?x4)) (bvneg (_ bv20 32)))) (and (bvsge (bvadd (bvadd ?v_19 ?v_34) ?v_25) (bvneg (_ bv23 32))) (= (bvadd (bvadd (bvadd ?v_20 ?v_21) (bvmul (bvneg (_ bv79 32)) ?x3)) (bvmul (bvneg (_ bv24 32)) ?x4)) (_ bv0 32)))) (or (not (= (bvadd (bvmul (bvneg (_ bv98 32)) ?x1) (bvmul (_ bv29 32) ?x4)) (_ bv0 32))) (or (bvsle (bvadd (bvadd (bvmul (_ bv35 32) ?x1) (bvmul (bvneg (_ bv9 32)) ?x3)) ?v_44) (bvneg (_ bv70 32))) (not (= (bvadd ?v_14 ?v_22) (_ bv33 32)))))) (or (and (or (not (= (bvadd (bvadd (bvadd (bvmul (_ bv77 32) ?x1) (bvmul (bvneg (_ bv82 32)) ?x2)) ?v_23) (bvmul (_ bv73 32) ?x4)) (bvneg (_ bv54 32)))) (bvsgt (bvadd ?v_24 ?v_25) (_ bv0 32))) (or (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv30 32)) ?x1) (bvmul (bvneg (_ bv100 32)) ?x2)) (bvmul (bvneg (_ bv35 32)) ?x3)) ?v_26) (bvneg (_ bv25 32))) (bvsgt (bvadd (bvmul (_ bv82 32) ?x1) (bvmul (bvneg (_ bv73 32)) ?x2)) (bvneg (_ bv18 32))))) (and (bvsgt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv82 32)) ?x1) ?v_27) ?v_72) ?v_28) (_ bv32 32)) (bvsgt (bvadd (bvadd (bvadd ?v_2 (bvmul (bvneg (_ bv25 32)) ?x2)) (bvmul (_ bv95 32) ?x3)) ?v_62) (_ bv23 32))))) (or (and (or (bvsge (bvadd (bvadd (bvadd ?v_39 (bvmul (_ bv59 32) ?x2)) (bvmul (bvneg (_ bv92 32)) ?x3)) (bvmul (_ bv43 32) ?x4)) (_ bv82 32)) (or (bvsge (bvadd (bvadd (bvadd ?v_29 ?v_30) ?v_47) ?v_57) (_ bv67 32)) (= (bvadd (bvadd ?v_73 ?v_79) ?v_31) (bvneg (_ bv25 32))))) (or (bvsgt (bvmul (bvneg (_ bv33 32)) ?x3) (bvneg (_ bv31 32))) (bvslt (bvadd (bvadd (bvmul (_ bv65 32) ?x1) ?v_32) ?v_35) (bvneg (_ bv2 32))))) (or (or (and (not (= (bvadd (bvadd ?v_38 ?v_33) (bvmul (_ bv69 32) ?x4)) (_ bv33 32))) (bvsgt (bvadd (bvadd (bvmul (_ bv97 32) ?x2) ?v_34) (bvmul (bvneg (_ bv54 32)) ?x4)) (_ bv0 32))) (or (bvsge (bvadd (bvadd (bvmul (_ bv84 32) ?x1) (bvmul (bvneg (_ bv52 32)) ?x2)) ?v_35) (bvneg (_ bv62 32))) (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv43 32)) ?x1) ?v_21) (bvmul (bvneg (_ bv34 32)) ?x3)) ?v_71) (_ bv0 32)))) (or (= (bvadd (bvadd ?v_36 ?v_37) ?v_67) (_ bv75 32)) (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv78 32)) ?x1) (bvmul (_ bv57 32) ?x2)) (bvmul (bvneg (_ bv67 32)) ?x3)) (bvmul (bvneg (_ bv97 32)) ?x4)) (_ bv24 32)))))) (and (or (or (and (= (bvadd (bvadd (bvmul (bvneg (_ bv17 32)) ?x1) ?v_38) (bvmul (bvneg (_ bv48 32)) ?x3)) (bvneg (_ bv33 32))) (bvslt (bvadd (bvadd (bvadd ?v_39 (bvmul (_ bv45 32) ?x2)) (bvmul (bvneg (_ bv13 32)) ?x3)) (bvmul (_ bv90 32) ?x4)) (bvneg (_ bv17 32)))) (and (bvsgt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv1 32)) ?x1) ?v_40) (bvmul (bvneg (_ bv85 32)) ?x3)) ?v_41) (bvneg (_ bv79 32))) (bvsle (bvadd (bvadd (bvadd ?v_42 (bvmul (_ bv56 32) ?x2)) (bvmul (_ bv78 32) ?x3)) (bvmul (_ bv51 32) ?x4)) (_ bv0 32)))) (or (= (bvadd (bvadd ?v_43 ?v_70) ?v_44) (_ bv53 32)) (and (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv13 32)) ?x1) (bvmul (bvneg (_ bv78 32)) ?x2)) (bvmul (_ bv24 32) ?x3)) (bvneg (_ bv41 32))) (bvsgt (bvadd ?v_56 ?v_45) (bvneg (_ bv61 32)))))) (and (and (and (and (bvsgt (bvadd (bvadd (bvmul (_ bv58 32) ?x1) ?v_46) ?v_47) (_ bv0 32)) (bvsle (bvadd (bvmul (_ bv32 32) ?x1) (bvmul (bvneg (_ bv99 32)) ?x4)) (_ bv14 32))) (bvsge (bvadd (bvadd ?v_48 ?v_30) (bvmul (_ bv60 32) ?x4)) (_ bv0 32))) (and (bvslt (bvadd (bvmul (bvneg (_ bv93 32)) ?x2) (bvmul (bvneg (_ bv57 32)) ?x4)) (_ bv79 32)) (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv96 32)) ?x1) (bvmul (_ bv73 32) ?x2)) ?v_34) (_ bv14 32)))) (or (and (bvsge (bvadd (bvadd ?v_49 (bvmul (_ bv76 32) ?x3)) (bvmul (bvneg (_ bv50 32)) ?x4)) (_ bv40 32)) (bvslt (bvadd (bvadd (bvmul (_ bv75 32) ?x1) ?v_50) (bvmul (bvneg (_ bv69 32)) ?x4)) (_ bv0 32))) (or (bvsge (bvadd ?v_76 ?v_51) (bvneg (_ bv5 32))) (bvsgt (bvadd (bvadd ?v_58 (bvmul (_ bv2 32) ?x2)) (bvmul (_ bv23 32) ?x3)) (_ bv23 32))))))) (or (and (or (and (or (or (bvsgt (bvadd (bvadd (bvmul (_ bv63 32) ?x2) ?v_9) (bvmul (bvneg (_ bv60 32)) ?x4)) (bvneg (_ bv78 32))) (= (bvadd (bvadd (bvmul (_ bv3 32) ?x1) ?v_59) ?v_82) (_ bv0 32))) (and (bvsgt (bvadd (bvmul (_ bv6 32) ?x1) (bvmul (_ bv72 32) ?x3)) (_ bv0 32)) (bvsge (bvadd (bvmul (_ bv55 32) ?x3) ?v_52) (bvneg (_ bv98 32))))) (or (or (bvslt (bvadd (bvadd (bvadd (bvmul (_ bv57 32) ?x1) ?v_53) (bvmul (_ bv11 32) ?x3)) (bvmul (_ bv68 32) ?x4)) (bvneg (_ bv68 32))) (bvslt (bvadd ?v_63 (bvmul (bvneg (_ bv2 32)) ?x2)) (bvneg (_ bv80 32)))) (and (bvsgt (bvadd (bvmul (_ bv13 32) ?x2) (bvmul (bvneg (_ bv44 32)) ?x3)) (_ bv27 32)) (bvsle (bvadd (bvmul (bvneg (_ bv49 32)) ?x3) (bvmul (_ bv71 32) ?x4)) (bvneg (_ bv16 32)))))) (and (or (or (bvslt (bvadd (bvadd (bvmul (_ bv40 32) ?x2) (bvmul (_ bv68 32) ?x3)) (bvmul (bvneg (_ bv35 32)) ?x4)) (_ bv97 32)) (bvsle (bvadd (bvadd (bvmul (_ bv74 32) ?x1) ?v_33) ?v_64) (bvneg (_ bv70 32)))) (bvsgt (bvadd (bvmul (bvneg (_ bv57 32)) ?x3) (bvmul (_ bv76 32) ?x4)) (_ bv5 32))) (and (bvslt (bvadd (bvadd (bvadd ?v_54 (bvmul (_ bv44 32) ?x2)) ?v_55) (bvmul (_ bv20 32) ?x4)) (bvneg (_ bv92 32))) (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv3 32)) ?x1) (bvmul (bvneg (_ bv99 32)) ?x2)) ?v_15) (_ bv61 32))))) (or (or (or (and (bvsgt (bvadd (bvadd ?v_56 (bvmul (_ bv30 32) ?x2)) ?v_57) (bvneg (_ bv21 32))) (bvsgt (bvadd (bvadd (bvadd (bvmul (_ bv29 32) ?x1) (bvmul (_ bv96 32) ?x2)) (bvmul (_ bv35 32) ?x3)) (bvmul (bvneg (_ bv65 32)) ?x4)) (bvneg (_ bv78 32)))) (and (bvslt (bvadd (bvadd (bvadd ?v_58 (bvmul (_ bv76 32) ?x2)) (bvmul (_ bv9 32) ?x3)) (bvmul (_ bv26 32) ?x4)) (bvneg (_ bv11 32))) (bvsge (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv9 32)) ?x1) ?v_59) (bvmul (bvneg (_ bv66 32)) ?x3)) ?v_60) (_ bv70 32)))) (= (bvadd (bvmul (_ bv85 32) ?x1) (bvmul (bvneg (_ bv79 32)) ?x2)) (bvneg (_ bv25 32)))) (and (and (and (bvslt (bvadd (bvadd (bvadd ?v_61 ?v_21) (bvmul (_ bv3 32) ?x3)) ?v_62) (_ bv79 32)) (= (bvadd (bvadd (bvadd ?v_63 (bvmul (_ bv54 32) ?x2)) (bvmul (_ bv87 32) ?x3)) (bvmul (bvneg (_ bv17 32)) ?x4)) (bvneg (_ bv31 32)))) (and (bvslt (bvadd (bvadd ?v_2 (bvmul (_ bv87 32) ?x2)) (bvmul (bvneg (_ bv89 32)) ?x4)) (_ bv37 32)) (not (= (bvadd (bvmul (bvneg (_ bv18 32)) ?x3) ?v_64) (bvneg (_ bv3 32)))))) (or (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv74 32)) ?x2) (bvmul (_ bv70 32) ?x3)) (bvmul (_ bv34 32) ?x4)) (bvneg (_ bv87 32))) (or (bvsgt (bvadd (bvadd (bvadd ?v_65 ?v_66) (bvmul (bvneg (_ bv91 32)) ?x3)) ?v_67) (_ bv0 32)) (bvsge ?v_68 (_ bv7 32))))))) (and (and (and (and (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv85 32)) ?x1) (bvmul (bvneg (_ bv20 32)) ?x2)) (bvmul (_ bv12 32) ?x3)) (bvmul (bvneg (_ bv34 32)) ?x4)) (_ bv3 32)) (bvsge (bvadd (bvadd ?v_69 ?v_70) ?v_71) (_ bv0 32))) (or (= (bvadd (bvmul (_ bv43 32) ?x2) (bvmul (_ bv69 32) ?x3)) (_ bv51 32)) (bvsle (bvadd (bvadd (bvadd (bvmul (_ bv56 32) ?x1) (bvmul (bvneg (_ bv1 32)) ?x2)) ?v_72) (bvmul (bvneg (_ bv29 32)) ?x4)) (_ bv48 32)))) (and (bvsge (bvadd (bvadd ?v_73 (bvmul (_ bv71 32) ?x2)) (bvmul (bvneg (_ bv42 32)) ?x3)) (_ bv4 32)) (and (= (bvadd (bvadd (bvmul (_ bv92 32) ?x1) (bvmul (_ bv74 32) ?x3)) (bvmul (_ bv55 32) ?x4)) (bvneg (_ bv69 32))) (not (= (bvadd (bvadd ?v_74 (bvmul (bvneg (_ bv26 32)) ?x2)) ?v_26) (_ bv0 32)))))) (and (and (and (bvsgt (bvadd (bvadd ?v_75 ?v_43) (bvmul (_ bv89 32) ?x3)) (_ bv92 32)) (bvsle (bvadd (bvadd ?v_76 ?v_77) (bvmul (_ bv88 32) ?x4)) (bvneg (_ bv87 32)))) (and (bvsgt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv90 32)) ?x1) ?v_78) (bvmul (_ bv64 32) ?x3)) (bvmul (_ bv64 32) ?x4)) (bvneg (_ bv79 32))) (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv18 32)) ?x1) ?v_79) ?v_80) ?v_81) (_ bv0 32)))) (or (bvsgt (bvadd (bvadd (bvmul (_ bv23 32) ?x1) ?v_10) ?v_82) (_ bv0 32)) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv71 32)) ?x1) (bvmul (_ bv15 32) ?x3)) ?v_83) (_ bv38 32))))))))))))))
(check-sat)
(exit)
