(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(declare-fun x1 () (_ BitVec 32))
(declare-fun x2 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(declare-fun x4 () (_ BitVec 32))
(assert (forall ((?x1 (_ BitVec 32))) (exists ((?x2 (_ BitVec 32))) (forall ((?x3 (_ BitVec 32))) (exists ((?x4 (_ BitVec 32))) (let ((?v_20 (bvmul (_ bv77 32) ?x1)) (?v_14 (bvmul (_ bv34 32) ?x3)) (?v_86 (bvmul (_ bv51 32) ?x1)) (?v_0 (bvmul (_ bv37 32) ?x4)) (?v_49 (bvmul (_ bv30 32) ?x2)) (?v_9 (bvmul (_ bv90 32) ?x1)) (?v_2 (bvmul (_ bv27 32) ?x2)) (?v_93 (bvmul (_ bv78 32) ?x3)) (?v_27 (bvmul (_ bv91 32) ?x4)) (?v_17 (bvmul (_ bv11 32) ?x4)) (?v_3 (bvmul (_ bv9 32) ?x3)) (?v_23 (bvmul (_ bv65 32) ?x4)) (?v_45 (bvmul (_ bv29 32) ?x2)) (?v_55 (bvmul (_ bv64 32) ?x3)) (?v_71 (bvmul (_ bv71 32) ?x1)) (?v_4 (bvmul (_ bv7 32) ?x3)) (?v_69 (bvmul (_ bv60 32) ?x4)) (?v_5 (bvmul (_ bv76 32) ?x3)) (?v_21 (bvmul (_ bv10 32) ?x4)) (?v_6 (bvmul (_ bv11 32) ?x2)) (?v_24 (bvmul (_ bv42 32) ?x1)) (?v_33 (bvmul (_ bv4 32) ?x3)) (?v_12 (bvmul (_ bv23 32) ?x2)) (?v_87 (bvmul (_ bv21 32) ?x2)) (?v_25 (bvmul (_ bv96 32) ?x4)) (?v_16 (bvmul (_ bv12 32) ?x1)) (?v_44 (bvmul (_ bv79 32) ?x1)) (?v_35 (bvmul (_ bv48 32) ?x3)) (?v_15 (bvmul (_ bv28 32) ?x4)) (?v_32 (bvmul (_ bv63 32) ?x3)) (?v_18 (bvmul (_ bv38 32) ?x4)) (?v_22 (bvmul (_ bv74 32) ?x1)) (?v_75 (bvmul (_ bv23 32) ?x4)) (?v_41 (bvmul (_ bv33 32) ?x4)) (?v_28 (bvmul (_ bv32 32) ?x3)) (?v_29 (bvmul (_ bv24 32) ?x2)) (?v_36 (bvmul (_ bv7 32) ?x4)) (?v_81 (bvmul (_ bv2 32) ?x3)) (?v_89 (bvmul (_ bv62 32) ?x4)) (?v_40 (bvmul (_ bv84 32) ?x1)) (?v_68 (bvmul (_ bv70 32) ?x2)) (?v_56 (bvmul (_ bv75 32) ?x1)) (?v_58 (bvmul (_ bv1 32) ?x3)) (?v_72 (bvmul (_ bv48 32) ?x1)) (?v_85 (bvmul (_ bv34 32) ?x2)) (?v_94 (bvmul (_ bv66 32) ?x2)) (?v_92 (bvmul (_ bv59 32) ?x1)) (?v_31 (bvmul (bvneg (_ bv12 32)) ?x2)) (?v_83 (bvmul (bvneg (_ bv28 32)) ?x1)) (?v_50 (bvmul (bvneg (_ bv83 32)) ?x1)) (?v_1 (bvmul (bvneg (_ bv2 32)) ?x2)) (?v_57 (bvmul (bvneg (_ bv63 32)) ?x2)) (?v_59 (bvmul (bvneg (_ bv34 32)) ?x3)) (?v_46 (bvmul (bvneg (_ bv70 32)) ?x3)) (?v_10 (bvmul (bvneg (_ bv27 32)) ?x4)) (?v_13 (bvmul (bvneg (_ bv28 32)) ?x2)) (?v_52 (bvmul (bvneg (_ bv69 32)) ?x1)) (?v_34 (bvmul (bvneg (_ bv35 32)) ?x1)) (?v_70 (bvmul (bvneg (_ bv78 32)) ?x2)) (?v_65 (bvmul (bvneg (_ bv77 32)) ?x1)) (?v_11 (bvmul (bvneg (_ bv55 32)) ?x2)) (?v_19 (bvmul (bvneg (_ bv42 32)) ?x1)) (?v_42 (bvmul (bvneg (_ bv53 32)) ?x3)) (?v_7 (bvmul (bvneg (_ bv77 32)) ?x4)) (?v_88 (bvmul (bvneg (_ bv24 32)) ?x3)) (?v_30 (bvmul (bvneg (_ bv26 32)) ?x1)) (?v_62 (bvmul (bvneg (_ bv79 32)) ?x2)) (?v_8 (bvmul (bvneg (_ bv32 32)) ?x3)) (?v_78 (bvmul (bvneg (_ bv68 32)) ?x1)) (?v_61 (bvmul (bvneg (_ bv29 32)) ?x2)) (?v_43 (bvmul (bvneg (_ bv38 32)) ?x3)) (?v_39 (bvmul (bvneg (_ bv28 32)) ?x3)) (?v_26 (bvmul (bvneg (_ bv91 32)) ?x1)) (?v_47 (bvmul (bvneg (_ bv50 32)) ?x4)) (?v_51 (bvmul (bvneg (_ bv31 32)) ?x4)) (?v_53 (bvmul (bvneg (_ bv18 32)) ?x1)) (?v_79 (bvmul (bvneg (_ bv2 32)) ?x4)) (?v_37 (bvmul (bvneg (_ bv44 32)) ?x3)) (?v_38 (bvmul (bvneg (_ bv46 32)) ?x1)) (?v_54 (bvmul (bvneg (_ bv60 32)) ?x4)) (?v_82 (bvmul (bvneg (_ bv28 32)) ?x4)) (?v_48 (bvmul (bvneg (_ bv61 32)) ?x2)) (?v_76 (bvmul (bvneg (_ bv84 32)) ?x4)) (?v_90 (bvmul (bvneg (_ bv10 32)) ?x2)) (?v_60 (bvmul (bvneg (_ bv100 32)) ?x3)) (?v_67 (bvmul (bvneg (_ bv77 32)) ?x2)) (?v_73 (bvmul (bvneg (_ bv42 32)) ?x2)) (?v_64 (bvmul (bvneg (_ bv2 32)) ?x3)) (?v_77 (bvmul (bvneg (_ bv82 32)) ?x2)) (?v_63 (bvmul (bvneg (_ bv66 32)) ?x2)) (?v_66 (bvmul (bvneg (_ bv26 32)) ?x4)) (?v_74 (bvmul (bvneg (_ bv94 32)) ?x3)) (?v_80 (bvmul (bvneg (_ bv60 32)) ?x2)) (?v_91 (bvmul (bvneg (_ bv32 32)) ?x4)) (?v_84 (bvmul (bvneg (_ bv20 32)) ?x3))) (or (and (and (and (and (or (or (bvslt (bvadd ?v_20 ?v_14) (_ bv79 32)) (bvslt (bvadd ?v_86 ?v_31) (bvneg (_ bv53 32)))) (and (not (= (bvadd (bvmul (bvneg (_ bv25 32)) ?x3) ?v_0) (_ bv0 32))) (bvslt (bvadd (bvmul (_ bv90 32) ?x2) ?v_0) (bvneg (_ bv56 32))))) (or (or (= (bvadd (bvadd (bvmul (bvneg (_ bv94 32)) ?x1) ?v_49) (bvmul (_ bv50 32) ?x4)) (bvneg (_ bv54 32))) (bvsge (bvadd (bvadd ?v_9 ?v_2) (bvmul (bvneg (_ bv42 32)) ?x3)) (_ bv0 32))) (or (bvsgt (bvadd (bvadd ?v_83 (bvmul (_ bv4 32) ?x2)) (bvmul (_ bv21 32) ?x4)) (_ bv62 32)) (bvsge (bvadd (bvadd ?v_50 ?v_1) ?v_93) (_ bv34 32))))) (or (or (or (and (not (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv64 32)) ?x1) ?v_57) (bvmul (_ bv3 32) ?x3)) (bvmul (_ bv39 32) ?x4)) (_ bv12 32))) (= (bvadd (bvadd (bvmul (bvneg (_ bv1 32)) ?x1) ?v_59) ?v_27) (_ bv0 32))) (and (bvslt (bvadd ?v_46 ?v_17) (_ bv0 32)) (bvsgt (bvadd (bvmul (_ bv39 32) ?x1) (bvmul (bvneg (_ bv94 32)) ?x2)) (bvneg (_ bv27 32))))) (and (or (bvsge (bvadd (bvadd (bvmul (_ bv20 32) ?x1) (bvmul (_ bv39 32) ?x3)) ?v_10) (_ bv25 32)) (bvslt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv51 32)) ?x1) (bvmul (_ bv98 32) ?x2)) ?v_3) (bvmul (bvneg (_ bv89 32)) ?x4)) (_ bv0 32))) (and (= (bvadd (bvadd (bvmul (_ bv58 32) ?x1) ?v_13) (bvmul (_ bv93 32) ?x3)) (bvneg (_ bv91 32))) (= (bvadd (bvadd ?v_52 (bvmul (_ bv43 32) ?x2)) (bvmul (_ bv53 32) ?x3)) (bvneg (_ bv61 32)))))) (or (or (bvsgt (bvadd ?v_34 ?v_70) (bvneg (_ bv49 32))) (bvslt (bvadd (bvadd ?v_65 (bvmul (bvneg (_ bv81 32)) ?x3)) ?v_23) (_ bv22 32))) (and (= (bvadd ?v_11 (bvmul (bvneg (_ bv71 32)) ?x3)) (_ bv51 32)) (bvsle ?v_1 (_ bv0 32)))))) (or (and (or (and (bvsge (bvadd (bvadd ?v_19 (bvmul (bvneg (_ bv45 32)) ?x3)) (bvmul (_ bv98 32) ?x4)) (_ bv0 32)) (and (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv58 32)) ?x1) ?v_45) ?v_55) (_ bv0 32)) (bvsle (bvadd (bvadd (bvadd ?v_71 (bvmul (bvneg (_ bv41 32)) ?x2)) ?v_4) (bvmul (_ bv79 32) ?x4)) (bvneg (_ bv88 32))))) (or (or (= (bvadd ?v_42 ?v_69) (_ bv20 32)) (bvsge (bvadd (bvmul (bvneg (_ bv43 32)) ?x2) (bvmul (_ bv61 32) ?x4)) (bvneg (_ bv41 32)))) (and (bvsge (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv53 32)) ?x1) ?v_2) ?v_5) (bvmul (bvneg (_ bv63 32)) ?x4)) (_ bv94 32)) (= (bvadd (bvadd (bvmul (bvneg (_ bv43 32)) ?x1) (bvmul (bvneg (_ bv23 32)) ?x2)) ?v_21) (_ bv0 32))))) (and (or (or (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv72 32)) ?x2) ?v_3) (bvmul (bvneg (_ bv82 32)) ?x4)) (_ bv5 32)) (bvsge (bvadd (bvadd (bvmul (_ bv1 32) ?x1) ?v_6) (bvmul (_ bv63 32) ?x4)) (_ bv79 32))) (= (bvadd (bvadd ?v_24 ?v_33) (bvmul (_ bv51 32) ?x4)) (_ bv84 32))) (and (or (= ?v_12 (bvneg (_ bv1 32))) (bvsle ?v_7 (bvneg (_ bv58 32)))) (and (bvsgt (bvadd (bvmul (_ bv93 32) ?x1) ?v_88) (_ bv0 32)) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv65 32)) ?x2) ?v_4) (bvmul (_ bv18 32) ?x4)) (bvneg (_ bv13 32))))))) (or (and (not (= (bvadd ?v_87 ?v_5) (bvneg (_ bv18 32)))) (bvslt (bvadd (bvadd (bvadd ?v_30 ?v_62) ?v_8) ?v_25) (_ bv61 32))) (and (bvsge (bvadd (bvadd (bvmul (_ bv91 32) ?x1) (bvmul (bvneg (_ bv93 32)) ?x2)) (bvmul (bvneg (_ bv44 32)) ?x4)) (_ bv58 32)) (or (bvsgt (bvadd (bvadd ?v_78 (bvmul (_ bv27 32) ?x3)) (bvmul (bvneg (_ bv65 32)) ?x4)) (_ bv74 32)) (bvsge (bvadd (bvadd (bvadd (bvmul (_ bv88 32) ?x1) ?v_6) (bvmul (bvneg (_ bv67 32)) ?x3)) ?v_7) (_ bv0 32))))))) (or (and (or (and (or (bvslt (bvadd (bvmul (bvneg (_ bv8 32)) ?x1) (bvmul (_ bv15 32) ?x3)) (_ bv61 32)) (bvsge (bvadd (bvadd ?v_16 ?v_61) (bvmul (_ bv71 32) ?x3)) (_ bv1 32))) (or (bvslt (bvadd (bvadd (bvmul (_ bv68 32) ?x1) (bvmul (_ bv64 32) ?x2)) (bvmul (bvneg (_ bv14 32)) ?x3)) (bvneg (_ bv47 32))) (= (bvadd (bvadd (bvmul (_ bv7 32) ?x2) ?v_8) (bvmul (_ bv2 32) ?x4)) (bvneg (_ bv42 32))))) (and (and (or (not (= (bvadd (bvadd (bvadd ?v_44 (bvmul (_ bv45 32) ?x2)) (bvmul (bvneg (_ bv82 32)) ?x3)) (bvmul (_ bv49 32) ?x4)) (_ bv48 32))) (bvsge (bvadd (bvadd (bvmul (_ bv1 32) ?x2) ?v_43) (bvmul (bvneg (_ bv59 32)) ?x4)) (bvneg (_ bv80 32)))) (or (bvsle (bvadd (bvmul (bvneg (_ bv47 32)) ?x1) (bvmul (_ bv14 32) ?x2)) (_ bv38 32)) (bvsge (bvadd ?v_35 (bvmul (bvneg (_ bv11 32)) ?x4)) (_ bv46 32)))) (and (and (bvslt (bvadd (bvmul (_ bv41 32) ?x1) ?v_15) (_ bv0 32)) (bvsgt (bvadd (bvadd (bvadd ?v_9 (bvmul (_ bv50 32) ?x2)) ?v_39) ?v_10) (_ bv0 32))) (bvsgt (bvadd (bvadd (bvadd ?v_26 ?v_11) ?v_32) ?v_18) (_ bv35 32))))) (and (or (and (bvslt (bvadd (bvmul (bvneg (_ bv78 32)) ?x1) (bvmul (_ bv11 32) ?x3)) (_ bv25 32)) (not (= (bvmul (_ bv66 32) ?x1) (_ bv0 32)))) (or (bvslt (bvadd (bvadd (bvadd ?v_22 ?v_12) (bvmul (_ bv83 32) ?x3)) ?v_47) (bvneg (_ bv80 32))) (bvsle (bvadd (bvadd (bvadd (bvmul (_ bv65 32) ?x1) ?v_13) (bvmul (bvneg (_ bv97 32)) ?x3)) ?v_51) (_ bv0 32)))) (and (bvsle (bvadd (bvmul (_ bv49 32) ?x3) ?v_75) (bvneg (_ bv19 32))) (and (= (bvadd ?v_14 ?v_15) (bvneg (_ bv66 32))) (bvsgt (bvadd (bvmul (_ bv74 32) ?x2) (bvmul (bvneg (_ bv1 32)) ?x3)) (bvneg (_ bv73 32))))))) (and (and (or (and (and (bvsle (bvadd (bvadd ?v_53 (bvmul (_ bv45 32) ?x3)) ?v_41) (bvneg (_ bv28 32))) (bvsgt (bvadd (bvadd ?v_16 (bvmul (bvneg (_ bv30 32)) ?x2)) ?v_17) (_ bv0 32))) (and (= ?v_18 (bvneg (_ bv4 32))) (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv40 32)) ?x1) (bvmul (_ bv78 32) ?x2)) (bvmul (_ bv96 32) ?x3)) ?v_79) (bvneg (_ bv22 32))))) (or (or (not (= (bvadd (bvadd (bvadd ?v_19 (bvmul (_ bv37 32) ?x2)) (bvmul (_ bv65 32) ?x3)) (bvmul (_ bv9 32) ?x4)) (bvneg (_ bv63 32)))) (bvsge (bvadd (bvadd ?v_20 (bvmul (bvneg (_ bv16 32)) ?x3)) ?v_21) (_ bv1 32))) (or (bvslt (bvadd (bvadd ?v_22 (bvmul (_ bv95 32) ?x3)) ?v_23) (_ bv0 32)) (bvsle (bvadd (bvadd (bvadd ?v_24 (bvmul (bvneg (_ bv18 32)) ?x2)) ?v_28) (bvmul (_ bv58 32) ?x4)) (_ bv20 32))))) (and (and (and (= (bvadd (bvadd (bvmul (_ bv52 32) ?x1) (bvmul (_ bv35 32) ?x2)) ?v_25) (_ bv0 32)) (bvsge (bvadd (bvadd ?v_26 ?v_29) (bvmul (_ bv5 32) ?x3)) (_ bv13 32))) (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv7 32)) ?x1) (bvmul (_ bv94 32) ?x2)) ?v_37) (bvmul (_ bv3 32) ?x4)) (_ bv0 32))) (or (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv36 32)) ?x1) (bvmul (bvneg (_ bv99 32)) ?x2)) (bvmul (_ bv68 32) ?x4)) (bvneg (_ bv98 32))) (= (bvadd (bvadd (bvmul (_ bv55 32) ?x1) (bvmul (bvneg (_ bv56 32)) ?x2)) (bvmul (bvneg (_ bv29 32)) ?x4)) (_ bv87 32))))) (or (or (and (or (not (= (bvadd (bvadd (bvadd ?v_16 (bvmul (_ bv63 32) ?x2)) (bvmul (bvneg (_ bv57 32)) ?x3)) ?v_27) (_ bv72 32))) (not (= (bvadd (bvadd ?v_38 (bvmul (_ bv80 32) ?x2)) ?v_28) (bvneg (_ bv15 32))))) (or (bvslt (bvadd (bvadd (bvadd (bvmul (_ bv69 32) ?x1) ?v_29) (bvmul (_ bv77 32) ?x3)) (bvmul (_ bv85 32) ?x4)) (_ bv73 32)) (bvsge (bvadd (bvadd (bvadd (bvmul (_ bv28 32) ?x1) (bvmul (_ bv87 32) ?x2)) (bvmul (_ bv82 32) ?x3)) ?v_54) (_ bv52 32)))) (and (and (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv89 32)) ?x1) (bvmul (bvneg (_ bv35 32)) ?x2)) (bvmul (bvneg (_ bv42 32)) ?x4)) (_ bv47 32)) (= (bvadd (bvadd ?v_30 ?v_31) ?v_82) (_ bv0 32))) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv49 32)) ?x2) ?v_32) (bvmul (bvneg (_ bv39 32)) ?x4)) (_ bv66 32)))) (or (or (and (bvsge (bvadd (bvadd (bvmul (_ bv67 32) ?x1) ?v_48) (bvmul (bvneg (_ bv30 32)) ?x3)) (_ bv10 32)) (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv15 32)) ?x2) ?v_33) ?v_76) (_ bv82 32))) (and (bvsgt (bvadd ?v_90 ?v_60) (_ bv0 32)) (bvsgt (bvadd (bvadd (bvmul (_ bv81 32) ?x1) (bvmul (bvneg (_ bv84 32)) ?x3)) ?v_36) (_ bv69 32)))) (and (or (= (bvadd ?v_34 ?v_15) (_ bv77 32)) (bvsge (bvadd (bvmul (_ bv68 32) ?x3) (bvmul (_ bv5 32) ?x4)) (_ bv4 32))) (and (not (= (bvadd (bvadd (bvmul (bvneg (_ bv4 32)) ?x2) ?v_81) ?v_89) (_ bv66 32))) (not (= (bvadd (bvadd (bvadd ?v_22 (bvmul (bvneg (_ bv92 32)) ?x2)) ?v_35) ?v_36) (_ bv21 32)))))))))) (and (or (or (or (and (or (not (= (bvadd (bvadd (bvadd ?v_40 ?v_67) ?v_37) (bvmul (_ bv67 32) ?x4)) (_ bv0 32))) (and (bvsgt (bvadd (bvadd (bvadd ?v_38 (bvmul (_ bv86 32) ?x2)) (bvmul (_ bv58 32) ?x3)) (bvmul (bvneg (_ bv8 32)) ?x4)) (_ bv33 32)) (bvsgt (bvadd (bvadd (bvadd (bvmul (_ bv8 32) ?x1) ?v_73) ?v_39) (bvmul (bvneg (_ bv22 32)) ?x4)) (bvneg (_ bv36 32))))) (and (and (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv71 32)) ?x1) (bvmul (bvneg (_ bv88 32)) ?x2)) ?v_64) (_ bv0 32)) (bvsle (bvadd (bvadd (bvadd ?v_40 (bvmul (_ bv13 32) ?x2)) (bvmul (bvneg (_ bv18 32)) ?x3)) (bvmul (_ bv84 32) ?x4)) (bvneg (_ bv79 32)))) (and (bvsge (bvadd ?v_9 ?v_41) (_ bv7 32)) (bvsle (bvadd (bvmul (_ bv34 32) ?x1) (bvmul (_ bv95 32) ?x4)) (bvneg (_ bv100 32)))))) (or (and (bvsge (bvadd ?v_77 (bvmul (bvneg (_ bv30 32)) ?x4)) (_ bv40 32)) (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv41 32)) ?x1) (bvmul (bvneg (_ bv5 32)) ?x2)) ?v_42) (bvmul (bvneg (_ bv10 32)) ?x4)) (_ bv57 32))) (and (or (bvsge (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv87 32)) ?x1) ?v_68) ?v_43) (bvmul (bvneg (_ bv100 32)) ?x4)) (_ bv16 32)) (bvsgt (bvadd (bvadd ?v_44 (bvmul (_ bv44 32) ?x2)) (bvmul (bvneg (_ bv36 32)) ?x4)) (_ bv18 32))) (and (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv37 32)) ?x1) (bvmul (bvneg (_ bv3 32)) ?x2)) (bvmul (bvneg (_ bv37 32)) ?x3)) (_ bv0 32)) (bvsle (bvadd ?v_45 (bvmul (bvneg (_ bv40 32)) ?x3)) (bvneg (_ bv64 32))))))) (and (or (and (and (not (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv73 32)) ?x1) (bvmul (_ bv26 32) ?x2)) ?v_46) ?v_47) (bvneg (_ bv6 32)))) (bvsge (bvadd (bvadd (bvmul (_ bv26 32) ?x1) ?v_48) (bvmul (bvneg (_ bv79 32)) ?x3)) (bvneg (_ bv74 32)))) (or (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv81 32)) ?x1) (bvmul (bvneg (_ bv47 32)) ?x2)) (bvmul (_ bv41 32) ?x3)) (bvmul (bvneg (_ bv45 32)) ?x4)) (bvneg (_ bv19 32))) (bvslt (bvadd ?v_56 (bvmul (bvneg (_ bv10 32)) ?x3)) (_ bv40 32)))) (or (and (bvslt (bvadd (bvadd (bvadd (bvmul (_ bv46 32) ?x1) ?v_63) ?v_58) (bvmul (bvneg (_ bv7 32)) ?x4)) (_ bv94 32)) (bvsgt (bvadd (bvadd ?v_9 ?v_49) ?v_17) (_ bv0 32))) (bvslt (bvadd (bvadd (bvadd ?v_50 (bvmul (bvneg (_ bv74 32)) ?x2)) (bvmul (_ bv42 32) ?x3)) ?v_51) (bvneg (_ bv86 32))))) (or (or (bvsle (bvmul (bvneg (_ bv45 32)) ?x2) (_ bv0 32)) (bvsle (bvadd (bvadd ?v_52 (bvmul (bvneg (_ bv86 32)) ?x3)) (bvmul (bvneg (_ bv92 32)) ?x4)) (_ bv0 32))) (or (bvslt (bvadd ?v_53 ?v_54) (bvneg (_ bv32 32))) (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv92 32)) ?x1) ?v_55) (bvmul (bvneg (_ bv6 32)) ?x4)) (_ bv16 32)))))) (or (and (and (or (= (bvadd (bvadd ?v_56 (bvmul (_ bv6 32) ?x2)) (bvmul (_ bv70 32) ?x3)) (_ bv57 32)) (not (= (bvadd (bvadd ?v_57 ?v_58) ?v_0) (_ bv11 32)))) (or (= (bvadd (bvadd (bvadd ?v_72 (bvmul (bvneg (_ bv48 32)) ?x2)) ?v_59) ?v_66) (bvneg (_ bv45 32))) (or (not (= (bvadd (bvadd (bvmul (_ bv96 32) ?x1) (bvmul (_ bv9 32) ?x2)) (bvmul (_ bv89 32) ?x3)) (bvneg (_ bv90 32)))) (= (bvadd (bvadd (bvadd ?v_19 (bvmul (_ bv19 32) ?x2)) ?v_60) (bvmul (_ bv14 32) ?x4)) (bvneg (_ bv94 32)))))) (or (and (or (bvsge ?v_61 (bvneg (_ bv8 32))) (bvslt (bvadd (bvmul (bvneg (_ bv21 32)) ?x1) (bvmul (bvneg (_ bv90 32)) ?x2)) (_ bv67 32))) (and (bvsgt (bvmul (bvneg (_ bv84 32)) ?x1) (_ bv36 32)) (= (bvadd (bvadd (bvadd (bvmul (_ bv15 32) ?x1) ?v_62) (bvmul (bvneg (_ bv68 32)) ?x3)) ?v_0) (_ bv11 32)))) (and (or (bvsge (bvadd (bvmul (_ bv60 32) ?x2) (bvmul (bvneg (_ bv12 32)) ?x4)) (_ bv34 32)) (bvslt (bvadd ?v_63 ?v_64) (_ bv0 32))) (or (not (= (bvadd (bvadd ?v_65 (bvmul (bvneg (_ bv12 32)) ?x3)) ?v_66) (_ bv75 32))) (bvsge (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv76 32)) ?x1) ?v_67) (bvmul (_ bv38 32) ?x3)) (bvmul (_ bv35 32) ?x4)) (bvneg (_ bv65 32))))))) (and (and (or (bvsle (bvadd (bvadd ?v_68 (bvmul (bvneg (_ bv93 32)) ?x3)) ?v_69) (_ bv0 32)) (= (bvadd (bvadd (bvmul (bvneg (_ bv85 32)) ?x2) (bvmul (bvneg (_ bv51 32)) ?x3)) (bvmul (bvneg (_ bv13 32)) ?x4)) (_ bv0 32))) (or (bvsgt (bvadd ?v_70 (bvmul (bvneg (_ bv72 32)) ?x4)) (bvneg (_ bv7 32))) (bvsle (bvadd (bvadd (bvmul (_ bv3 32) ?x1) (bvmul (bvneg (_ bv48 32)) ?x3)) ?v_25) (_ bv0 32)))) (and (and (and (= (bvadd ?v_74 (bvmul (bvneg (_ bv99 32)) ?x4)) (_ bv0 32)) (= (bvadd (bvadd ?v_71 ?v_60) ?v_10) (_ bv0 32))) (and (bvsle (bvadd (bvadd (bvadd ?v_72 (bvmul (bvneg (_ bv91 32)) ?x2)) (bvmul (bvneg (_ bv49 32)) ?x3)) (bvmul (bvneg (_ bv61 32)) ?x4)) (_ bv44 32)) (bvsge (bvadd (bvadd (bvadd (bvmul (_ bv22 32) ?x1) (bvmul (_ bv97 32) ?x2)) (bvmul (bvneg (_ bv91 32)) ?x3)) (bvmul (_ bv74 32) ?x4)) (bvneg (_ bv41 32))))) (and (and (bvslt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv93 32)) ?x1) ?v_80) (bvmul (_ bv10 32) ?x3)) ?v_54) (bvneg (_ bv17 32))) (bvsgt (bvadd (bvadd (bvadd (bvmul (_ bv97 32) ?x1) ?v_73) ?v_74) ?v_75) (bvneg (_ bv24 32)))) (= (bvadd (bvadd (bvadd (bvmul (_ bv89 32) ?x1) (bvmul (_ bv65 32) ?x2)) (bvmul (_ bv84 32) ?x3)) ?v_76) (_ bv27 32))))))) (and (and (or (and (bvsge (bvmul (_ bv99 32) ?x1) (bvneg (_ bv32 32))) (bvsgt (bvadd (bvadd (bvmul (_ bv47 32) ?x1) (bvmul (bvneg (_ bv90 32)) ?x3)) (bvmul (_ bv78 32) ?x4)) (bvneg (_ bv33 32)))) (or (= (bvadd (bvadd (bvmul (bvneg (_ bv19 32)) ?x1) ?v_46) (bvmul (_ bv69 32) ?x4)) (_ bv5 32)) (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv97 32)) ?x1) ?v_77) ?v_18) (_ bv0 32)))) (and (and (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv54 32)) ?x2) (bvmul (bvneg (_ bv87 32)) ?x3)) ?v_91) (_ bv51 32)) (or (bvsgt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv11 32)) ?x1) (bvmul (_ bv77 32) ?x2)) (bvmul (_ bv59 32) ?x3)) (bvmul (bvneg (_ bv23 32)) ?x4)) (_ bv77 32)) (bvsge (bvadd (bvadd ?v_78 (bvmul (bvneg (_ bv73 32)) ?x2)) ?v_79) (_ bv46 32)))) (or (or (bvslt (bvadd (bvadd (bvadd (bvmul (_ bv53 32) ?x1) ?v_80) ?v_81) (bvmul (bvneg (_ bv35 32)) ?x4)) (bvneg (_ bv86 32))) (bvsge (bvadd (bvadd ?v_57 (bvmul (bvneg (_ bv52 32)) ?x3)) ?v_82) (_ bv1 32))) (and (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv12 32)) ?x1) (bvmul (_ bv38 32) ?x2)) ?v_84) (_ bv79 32)) (bvsge ?v_85 (_ bv0 32)))))) (and (or (or (or (or (bvsge (bvadd (bvadd (bvadd ?v_83 (bvmul (_ bv95 32) ?x2)) ?v_84) (bvmul (bvneg (_ bv37 32)) ?x4)) (_ bv37 32)) (bvsle (bvadd (bvadd ?v_85 (bvmul (bvneg (_ bv23 32)) ?x3)) ?v_23) (_ bv11 32))) (and (= (bvadd (bvadd (bvadd ?v_86 ?v_87) (bvmul (bvneg (_ bv88 32)) ?x3)) (bvmul (_ bv8 32) ?x4)) (bvneg (_ bv46 32))) (not (= (bvadd (bvadd (bvadd (bvmul (_ bv57 32) ?x1) ?v_94) (bvmul (bvneg (_ bv98 32)) ?x3)) (bvmul (_ bv13 32) ?x4)) (bvneg (_ bv54 32)))))) (or (or (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv55 32)) ?x1) (bvmul (bvneg (_ bv71 32)) ?x2)) ?v_88) (_ bv0 32)) (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv33 32)) ?x1) (bvmul (bvneg (_ bv55 32)) ?x3)) ?v_89) (_ bv39 32))) (or (bvslt (bvadd (bvadd ?v_34 (bvmul (_ bv47 32) ?x3)) (bvmul (bvneg (_ bv68 32)) ?x4)) (_ bv0 32)) (bvsgt (bvadd (bvadd (bvadd (bvmul (_ bv44 32) ?x1) (bvmul (bvneg (_ bv20 32)) ?x2)) (bvmul (_ bv98 32) ?x3)) (bvmul (bvneg (_ bv41 32)) ?x4)) (bvneg (_ bv96 32)))))) (or (and (and (= (bvadd (bvadd ?v_86 (bvmul (bvneg (_ bv83 32)) ?x2)) ?v_17) (_ bv50 32)) (bvsgt (bvadd ?v_90 (bvmul (_ bv80 32) ?x3)) (_ bv0 32))) (and (bvsgt (bvadd (bvadd ?v_92 ?v_42) (bvmul (_ bv94 32) ?x4)) (_ bv0 32)) (bvsle (bvadd (bvadd (bvadd ?v_53 (bvmul (bvneg (_ bv14 32)) ?x2)) (bvmul (_ bv61 32) ?x3)) ?v_91) (bvneg (_ bv73 32))))) (bvslt (bvadd (bvmul (bvneg (_ bv2 32)) ?x1) (bvmul (bvneg (_ bv74 32)) ?x4)) (_ bv0 32)))) (and (or (or (= (bvadd (bvadd (bvadd ?v_92 (bvmul (_ bv12 32) ?x2)) (bvmul (bvneg (_ bv15 32)) ?x3)) (bvmul (bvneg (_ bv21 32)) ?x4)) (bvneg (_ bv24 32))) (or (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv16 32)) ?x1) (bvmul (_ bv68 32) ?x2)) (bvmul (_ bv22 32) ?x3)) (bvneg (_ bv96 32))) (bvsge (bvadd (bvmul (bvneg (_ bv49 32)) ?x1) ?v_93) (_ bv55 32)))) (and (bvslt (bvadd (bvadd (bvadd (bvmul (_ bv31 32) ?x1) ?v_94) (bvmul (bvneg (_ bv59 32)) ?x3)) (bvmul (bvneg (_ bv24 32)) ?x4)) (bvneg (_ bv95 32))) (bvslt (bvadd (bvadd (bvmul (_ bv83 32) ?x1) (bvmul (_ bv90 32) ?x3)) (bvmul (_ bv4 32) ?x4)) (bvneg (_ bv74 32))))) (and (or (bvsge (bvadd (bvadd (bvadd (bvmul (_ bv11 32) ?x1) (bvmul (_ bv76 32) ?x2)) ?v_64) (bvmul (_ bv75 32) ?x4)) (_ bv0 32)) (not (= (bvadd (bvadd (bvmul (bvneg (_ bv32 32)) ?x1) (bvmul (_ bv91 32) ?x2)) (bvmul (_ bv91 32) ?x3)) (_ bv0 32)))) (and (not (= (bvadd (bvmul (_ bv29 32) ?x1) (bvmul (bvneg (_ bv11 32)) ?x3)) (_ bv0 32))) (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv82 32)) ?x1) (bvmul (_ bv50 32) ?x3)) (bvmul (_ bv66 32) ?x4)) (bvneg (_ bv70 32))))))))))))))))
(check-sat)
(exit)
