(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(declare-fun x1 () (_ BitVec 32))
(declare-fun x2 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(declare-fun x4 () (_ BitVec 32))
(assert (forall ((?x1 (_ BitVec 32))) (exists ((?x2 (_ BitVec 32))) (forall ((?x3 (_ BitVec 32))) (exists ((?x4 (_ BitVec 32))) (let ((?v_74 (bvmul (_ bv98 32) ?x1)) (?v_21 (bvmul (_ bv64 32) ?x2)) (?v_31 (bvmul (_ bv11 32) ?x3)) (?v_5 (bvmul (_ bv52 32) ?x3)) (?v_6 (bvmul (_ bv49 32) ?x4)) (?v_1 (bvmul (_ bv40 32) ?x1)) (?v_3 (bvmul (_ bv80 32) ?x3)) (?v_14 (bvmul (_ bv8 32) ?x4)) (?v_4 (bvmul (_ bv4 32) ?x2)) (?v_80 (bvmul (_ bv59 32) ?x4)) (?v_8 (bvmul (_ bv14 32) ?x3)) (?v_7 (bvmul (_ bv1 32) ?x2)) (?v_15 (bvmul (_ bv2 32) ?x1)) (?v_64 (bvmul (_ bv76 32) ?x1)) (?v_43 (bvmul (_ bv59 32) ?x2)) (?v_11 (bvmul (_ bv35 32) ?x2)) (?v_57 (bvmul (_ bv18 32) ?x2)) (?v_72 (bvmul (_ bv26 32) ?x3)) (?v_18 (bvmul (_ bv46 32) ?x1)) (?v_22 (bvmul (_ bv30 32) ?x3)) (?v_85 (bvmul (_ bv48 32) ?x3)) (?v_45 (bvmul (_ bv89 32) ?x3)) (?v_37 (bvmul (_ bv49 32) ?x1)) (?v_25 (bvmul (_ bv27 32) ?x1)) (?v_35 (bvmul (_ bv9 32) ?x2)) (?v_71 (bvmul (_ bv98 32) ?x2)) (?v_76 (bvmul (_ bv4 32) ?x1)) (?v_19 (bvmul (_ bv35 32) ?x4)) (?v_44 (bvmul (_ bv6 32) ?x4)) (?v_23 (bvmul (_ bv4 32) ?x3)) (?v_33 (bvmul (_ bv51 32) ?x3)) (?v_67 (bvmul (_ bv29 32) ?x1)) (?v_50 (bvmul (_ bv86 32) ?x2)) (?v_51 (bvmul (_ bv15 32) ?x4)) (?v_49 (bvmul (_ bv90 32) ?x1)) (?v_39 (bvmul (_ bv43 32) ?x4)) (?v_54 (bvmul (_ bv100 32) ?x2)) (?v_62 (bvmul (_ bv40 32) ?x2)) (?v_63 (bvmul (_ bv5 32) ?x4)) (?v_70 (bvmul (_ bv29 32) ?x2)) (?v_58 (bvmul (_ bv20 32) ?x4)) (?v_89 (bvmul (_ bv37 32) ?x3)) (?v_60 (bvmul (_ bv13 32) ?x1)) (?v_83 (bvmul (_ bv61 32) ?x3)) (?v_82 (bvmul (_ bv9 32) ?x4)) (?v_95 (bvmul (_ bv38 32) ?x4)) (?v_90 (bvmul (_ bv54 32) ?x4)) (?v_9 (bvmul (bvneg (_ bv40 32)) ?x3)) (?v_46 (bvmul (bvneg (_ bv20 32)) ?x1)) (?v_0 (bvmul (bvneg (_ bv80 32)) ?x1)) (?v_61 (bvmul (bvneg (_ bv39 32)) ?x4)) (?v_56 (bvmul (bvneg (_ bv2 32)) ?x1)) (?v_29 (bvmul (bvneg (_ bv86 32)) ?x2)) (?v_2 (bvmul (bvneg (_ bv63 32)) ?x2)) (?v_42 (bvmul (bvneg (_ bv48 32)) ?x1)) (?v_94 (bvmul (bvneg (_ bv41 32)) ?x2)) (?v_26 (bvmul (bvneg (_ bv16 32)) ?x4)) (?v_17 (bvmul (bvneg (_ bv13 32)) ?x2)) (?v_20 (bvmul (bvneg (_ bv11 32)) ?x3)) (?v_32 (bvmul (bvneg (_ bv27 32)) ?x1)) (?v_78 (bvmul (bvneg (_ bv96 32)) ?x4)) (?v_65 (bvmul (bvneg (_ bv99 32)) ?x1)) (?v_10 (bvmul (bvneg (_ bv22 32)) ?x1)) (?v_59 (bvmul (bvneg (_ bv30 32)) ?x3)) (?v_38 (bvmul (bvneg (_ bv29 32)) ?x2)) (?v_73 (bvmul (bvneg (_ bv25 32)) ?x4)) (?v_30 (bvmul (bvneg (_ bv77 32)) ?x1)) (?v_13 (bvmul (bvneg (_ bv71 32)) ?x1)) (?v_12 (bvmul (bvneg (_ bv46 32)) ?x2)) (?v_84 (bvmul (bvneg (_ bv64 32)) ?x2)) (?v_66 (bvmul (bvneg (_ bv100 32)) ?x2)) (?v_41 (bvmul (bvneg (_ bv15 32)) ?x1)) (?v_28 (bvmul (bvneg (_ bv47 32)) ?x2)) (?v_24 (bvmul (bvneg (_ bv14 32)) ?x1)) (?v_16 (bvmul (bvneg (_ bv77 32)) ?x3)) (?v_40 (bvmul (bvneg (_ bv61 32)) ?x1)) (?v_68 (bvmul (bvneg (_ bv51 32)) ?x2)) (?v_69 (bvmul (bvneg (_ bv16 32)) ?x3)) (?v_55 (bvmul (bvneg (_ bv68 32)) ?x4)) (?v_52 (bvmul (bvneg (_ bv65 32)) ?x4)) (?v_27 (bvmul (bvneg (_ bv46 32)) ?x3)) (?v_34 (bvmul (bvneg (_ bv28 32)) ?x1)) (?v_47 (bvmul (bvneg (_ bv97 32)) ?x2)) (?v_93 (bvmul (bvneg (_ bv78 32)) ?x1)) (?v_36 (bvmul (bvneg (_ bv67 32)) ?x3)) (?v_48 (bvmul (bvneg (_ bv34 32)) ?x3)) (?v_77 (bvmul (bvneg (_ bv39 32)) ?x3)) (?v_53 (bvmul (bvneg (_ bv4 32)) ?x1)) (?v_86 (bvmul (bvneg (_ bv17 32)) ?x2)) (?v_75 (bvmul (bvneg (_ bv94 32)) ?x4)) (?v_87 (bvmul (bvneg (_ bv83 32)) ?x3)) (?v_79 (bvmul (bvneg (_ bv72 32)) ?x2)) (?v_81 (bvmul (bvneg (_ bv82 32)) ?x1)) (?v_88 (bvmul (bvneg (_ bv19 32)) ?x2)) (?v_92 (bvmul (bvneg (_ bv41 32)) ?x3)) (?v_91 (bvmul (bvneg (_ bv55 32)) ?x2))) (and (and (or (or (or (or (or (and (bvsge (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv5 32)) ?x1) (bvmul (_ bv94 32) ?x2)) (bvmul (bvneg (_ bv9 32)) ?x3)) (bvmul (_ bv16 32) ?x4)) (bvneg (_ bv62 32))) (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv76 32)) ?x1) (bvmul (_ bv37 32) ?x2)) (bvmul (bvneg (_ bv20 32)) ?x3)) (_ bv39 32))) (and (bvsge (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv69 32)) ?x1) (bvmul (bvneg (_ bv79 32)) ?x2)) ?v_9) (bvmul (bvneg (_ bv12 32)) ?x4)) (bvneg (_ bv83 32))) (bvslt (bvadd (bvadd ?v_74 (bvmul (_ bv43 32) ?x2)) (bvmul (bvneg (_ bv53 32)) ?x3)) (bvneg (_ bv95 32))))) (and (or (= (bvadd (bvadd ?v_46 ?v_21) ?v_31) (_ bv0 32)) (not (= (bvadd (bvadd ?v_0 (bvmul (bvneg (_ bv32 32)) ?x2)) ?v_5) (bvneg (_ bv93 32))))) (and (bvslt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv74 32)) ?x1) (bvmul (_ bv49 32) ?x2)) (bvmul (bvneg (_ bv80 32)) ?x3)) ?v_61) (_ bv0 32)) (bvsle (bvadd (bvadd (bvadd ?v_56 (bvmul (_ bv75 32) ?x2)) (bvmul (_ bv54 32) ?x3)) ?v_6) (_ bv62 32))))) (and (and (and (= (bvadd (bvadd (bvadd ?v_1 ?v_29) (bvmul (bvneg (_ bv17 32)) ?x3)) (bvmul (bvneg (_ bv78 32)) ?x4)) (bvneg (_ bv94 32))) (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv37 32)) ?x1) ?v_2) ?v_3) (bvmul (bvneg (_ bv95 32)) ?x4)) (bvneg (_ bv19 32)))) (or (bvsgt (bvadd (bvadd (bvadd ?v_42 ?v_94) (bvmul (bvneg (_ bv25 32)) ?x3)) ?v_14) (_ bv0 32)) (bvsle (bvadd ?v_0 (bvmul (bvneg (_ bv95 32)) ?x2)) (bvneg (_ bv67 32))))) (or (and (bvsle (bvadd (bvadd ?v_1 ?v_4) (bvmul (bvneg (_ bv67 32)) ?x4)) (_ bv44 32)) (bvsle (bvadd (bvadd (bvmul (_ bv96 32) ?x1) (bvmul (_ bv36 32) ?x3)) (bvmul (_ bv75 32) ?x4)) (_ bv83 32))) (or (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv32 32)) ?x1) ?v_2) (bvmul (bvneg (_ bv31 32)) ?x3)) ?v_80) (_ bv0 32)) (bvsge (bvmul (_ bv92 32) ?x2) (bvneg (_ bv59 32))))))) (and (or (or (bvsge (bvadd (bvmul (bvneg (_ bv76 32)) ?x2) (bvmul (bvneg (_ bv64 32)) ?x4)) (bvneg (_ bv80 32))) (bvslt (bvadd (bvadd (bvmul (_ bv33 32) ?x1) ?v_8) ?v_26) (bvneg (_ bv71 32)))) (bvslt (bvadd (bvadd (bvadd (bvmul (_ bv77 32) ?x1) ?v_17) ?v_3) (bvmul (_ bv93 32) ?x4)) (_ bv0 32))) (or (and (bvsgt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv41 32)) ?x1) ?v_7) (bvmul (bvneg (_ bv92 32)) ?x3)) (bvmul (_ bv85 32) ?x4)) (_ bv53 32)) (not (= (bvadd (bvadd ?v_15 (bvmul (_ bv56 32) ?x3)) (bvmul (bvneg (_ bv58 32)) ?x4)) (_ bv0 32)))) (and (not (= (bvadd (bvadd (bvmul (_ bv64 32) ?x1) (bvmul (_ bv78 32) ?x2)) (bvmul (bvneg (_ bv12 32)) ?x3)) (_ bv0 32))) (bvsge (bvadd (bvadd ?v_64 ?v_43) ?v_20) (_ bv0 32)))))) (or (or (or (and (or (not (= (bvadd (bvadd ?v_32 ?v_11) ?v_78) (_ bv93 32))) (bvslt (bvadd (bvadd (bvmul (_ bv59 32) ?x1) ?v_4) ?v_5) (_ bv0 32))) (and (bvsle (bvadd (bvadd (bvadd ?v_65 (bvmul (bvneg (_ bv77 32)) ?x2)) (bvmul (bvneg (_ bv78 32)) ?x3)) (bvmul (_ bv55 32) ?x4)) (_ bv56 32)) (bvsgt (bvadd (bvadd ?v_10 (bvmul (_ bv19 32) ?x2)) (bvmul (_ bv58 32) ?x3)) (_ bv0 32)))) (or (or (bvsle (bvadd (bvadd (bvmul (_ bv17 32) ?x2) (bvmul (_ bv68 32) ?x3)) ?v_6) (_ bv26 32)) (bvsgt (bvadd (bvadd (bvadd (bvmul (_ bv94 32) ?x1) ?v_57) ?v_72) (bvmul (_ bv78 32) ?x4)) (_ bv33 32))) (or (bvsge (bvadd (bvadd (bvmul (_ bv72 32) ?x1) (bvmul (_ bv36 32) ?x2)) (bvmul (bvneg (_ bv1 32)) ?x4)) (_ bv28 32)) (bvsle (bvadd (bvmul (bvneg (_ bv69 32)) ?x2) ?v_59) (_ bv20 32))))) (and (or (or (bvsgt (bvadd (bvmul (_ bv73 32) ?x1) ?v_38) (_ bv0 32)) (not (= (bvadd (bvadd (bvadd (bvmul (_ bv5 32) ?x1) ?v_7) ?v_8) ?v_73) (bvneg (_ bv57 32))))) (and (bvsge (bvadd (bvadd ?v_30 (bvmul (_ bv20 32) ?x2)) ?v_9) (_ bv76 32)) (bvslt (bvadd (bvadd (bvadd ?v_13 (bvmul (bvneg (_ bv24 32)) ?x2)) (bvmul (_ bv27 32) ?x3)) (bvmul (bvneg (_ bv10 32)) ?x4)) (bvneg (_ bv86 32))))) (and (and (not (= (bvadd ?v_12 (bvmul (_ bv81 32) ?x3)) (bvneg (_ bv90 32)))) (bvsgt (bvmul (_ bv95 32) ?x4) (_ bv0 32))) (and (bvslt ?v_10 (bvneg (_ bv41 32))) (bvslt (bvadd (bvadd (bvadd ?v_18 (bvmul (bvneg (_ bv83 32)) ?x2)) ?v_22) (bvmul (bvneg (_ bv89 32)) ?x4)) (_ bv91 32)))))) (and (or (and (and (not (= (bvadd (bvmul (_ bv32 32) ?x1) ?v_84) (_ bv3 32))) (bvsge (bvadd (bvadd ?v_66 ?v_85) (bvmul (bvneg (_ bv59 32)) ?x4)) (_ bv64 32))) (and (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv35 32)) ?x1) ?v_11) ?v_45) ?v_6) (bvneg (_ bv67 32))) (bvslt (bvadd (bvadd (bvadd (bvmul (_ bv7 32) ?x1) ?v_12) (bvmul (bvneg (_ bv6 32)) ?x3)) (bvmul (_ bv60 32) ?x4)) (_ bv0 32)))) (or (or (bvsgt (bvadd (bvadd ?v_13 (bvmul (bvneg (_ bv84 32)) ?x2)) ?v_14) (_ bv0 32)) (not (= (bvadd (bvadd ?v_41 (bvmul (bvneg (_ bv68 32)) ?x2)) (bvmul (bvneg (_ bv18 32)) ?x3)) (bvneg (_ bv54 32))))) (or (not (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv63 32)) ?x1) ?v_28) (bvmul (_ bv34 32) ?x3)) (bvmul (_ bv72 32) ?x4)) (_ bv84 32))) (bvslt (bvadd (bvmul (_ bv19 32) ?x1) (bvmul (bvneg (_ bv72 32)) ?x3)) (bvneg (_ bv29 32)))))) (or (and (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv46 32)) ?x1) ?v_4) (bvmul (_ bv41 32) ?x4)) (_ bv7 32)) (bvslt (bvadd ?v_24 ?v_16) (_ bv58 32))) (and (not (= (bvadd (bvadd (bvadd ?v_40 (bvmul (_ bv33 32) ?x2)) (bvmul (_ bv97 32) ?x3)) (bvmul (_ bv4 32) ?x4)) (_ bv0 32))) (bvslt (bvadd (bvadd (bvadd ?v_37 ?v_68) (bvmul (_ bv77 32) ?x3)) (bvmul (bvneg (_ bv17 32)) ?x4)) (bvneg (_ bv41 32)))))))) (or (or (or (or (bvsge (bvadd (bvadd (bvadd ?v_15 (bvmul (bvneg (_ bv89 32)) ?x2)) (bvmul (_ bv1 32) ?x3)) (bvmul (bvneg (_ bv44 32)) ?x4)) (_ bv4 32)) (bvsge (bvadd (bvadd (bvadd ?v_25 (bvmul (_ bv90 32) ?x2)) ?v_69) ?v_55) (bvneg (_ bv92 32)))) (and (or (or (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv31 32)) ?x2) (bvmul (bvneg (_ bv22 32)) ?x3)) (bvmul (bvneg (_ bv37 32)) ?x4)) (_ bv0 32)) (bvsge (bvadd ?v_35 (bvmul (_ bv20 32) ?x3)) (_ bv43 32))) (or (bvsge (bvadd ?v_16 ?v_52) (_ bv16 32)) (bvsge (bvadd ?v_71 ?v_27) (bvneg (_ bv86 32))))) (or (or (= (bvadd (bvadd (bvadd (bvmul (_ bv68 32) ?x1) (bvmul (_ bv85 32) ?x2)) (bvmul (_ bv84 32) ?x3)) (bvmul (_ bv28 32) ?x4)) (_ bv0 32)) (bvsgt (bvadd (bvadd (bvadd ?v_76 (bvmul (bvneg (_ bv22 32)) ?x2)) (bvmul (bvneg (_ bv62 32)) ?x3)) ?v_19) (_ bv0 32))) (and (= (bvadd (bvmul (_ bv51 32) ?x2) (bvmul (_ bv38 32) ?x3)) (_ bv0 32)) (bvsge (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv43 32)) ?x1) ?v_17) (bvmul (_ bv47 32) ?x3)) ?v_44) (_ bv4 32)))))) (or (or (or (bvsle (bvadd ?v_18 ?v_23) (_ bv57 32)) (or (bvsge (bvadd (bvadd (bvmul (_ bv1 32) ?x1) ?v_33) ?v_19) (bvneg (_ bv59 32))) (bvsle (bvadd (bvadd (bvadd (bvmul (_ bv81 32) ?x1) (bvmul (bvneg (_ bv65 32)) ?x2)) ?v_8) (bvmul (_ bv100 32) ?x4)) (_ bv38 32)))) (and (and (bvsle (bvmul (_ bv97 32) ?x2) (bvneg (_ bv94 32))) (not (= (bvadd (bvmul (bvneg (_ bv44 32)) ?x3) (bvmul (_ bv68 32) ?x4)) (_ bv54 32)))) (and (bvsgt (bvadd (bvadd (bvadd ?v_34 ?v_47) ?v_20) (bvmul (_ bv18 32) ?x4)) (_ bv0 32)) (bvsgt (bvadd (bvadd ?v_67 ?v_21) ?v_22) (_ bv0 32))))) (or (and (not (= (bvadd (bvadd (bvadd (bvmul (_ bv10 32) ?x1) ?v_50) (bvmul (_ bv57 32) ?x3)) (bvmul (bvneg (_ bv84 32)) ?x4)) (_ bv0 32))) (bvsgt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv54 32)) ?x1) (bvmul (bvneg (_ bv59 32)) ?x2)) ?v_23) (bvmul (bvneg (_ bv19 32)) ?x4)) (bvneg (_ bv79 32)))) (and (bvsgt (bvadd ?v_93 (bvmul (_ bv52 32) ?x4)) (_ bv29 32)) (bvsgt (bvmul (_ bv65 32) ?x2) (bvneg (_ bv70 32))))))) (or (and (and (or (bvslt (bvmul (_ bv7 32) ?x3) (bvneg (_ bv2 32))) (bvsge (bvmul (bvneg (_ bv73 32)) ?x4) (_ bv19 32))) (= (bvadd (bvadd (bvadd (bvmul (_ bv63 32) ?x1) ?v_12) (bvmul (_ bv33 32) ?x3)) ?v_51) (bvneg (_ bv76 32)))) (and (and (and (bvslt (bvadd (bvadd (bvadd ?v_24 (bvmul (bvneg (_ bv93 32)) ?x2)) (bvmul (bvneg (_ bv99 32)) ?x3)) (bvmul (_ bv2 32) ?x4)) (_ bv0 32)) (bvsge (bvadd (bvmul (_ bv18 32) ?x1) (bvmul (_ bv9 32) ?x3)) (bvneg (_ bv74 32)))) (or (bvsle (bvadd (bvadd ?v_25 (bvmul (bvneg (_ bv65 32)) ?x3)) ?v_26) (_ bv2 32)) (bvsgt (bvadd ?v_49 ?v_27) (_ bv0 32)))) (and (or (bvsge (bvadd (bvadd ?v_28 ?v_36) ?v_39) (_ bv22 32)) (bvslt (bvadd (bvmul (bvneg (_ bv34 32)) ?x2) (bvmul (bvneg (_ bv45 32)) ?x3)) (_ bv67 32))) (and (= (bvadd (bvadd (bvmul (bvneg (_ bv86 32)) ?x1) (bvmul (bvneg (_ bv87 32)) ?x2)) (bvmul (bvneg (_ bv73 32)) ?x3)) (_ bv65 32)) (= (bvadd (bvadd (bvadd (bvmul (_ bv48 32) ?x1) ?v_29) (bvmul (_ bv95 32) ?x3)) (bvmul (bvneg (_ bv11 32)) ?x4)) (_ bv0 32)))))) (or (or (= (bvadd (bvadd (bvadd ?v_30 ?v_54) ?v_31) ?v_19) (bvneg (_ bv12 32))) (not (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv17 32)) ?x1) (bvmul (_ bv72 32) ?x2)) (bvmul (_ bv64 32) ?x3)) (bvmul (bvneg (_ bv27 32)) ?x4)) (bvneg (_ bv100 32))))) (= (bvadd (bvadd (bvmul (bvneg (_ bv19 32)) ?x1) (bvmul (bvneg (_ bv28 32)) ?x3)) (bvmul (bvneg (_ bv7 32)) ?x4)) (_ bv0 32)))))) (or (and (and (and (and (and (or (bvsle (bvadd (bvadd (bvadd ?v_32 ?v_62) ?v_33) ?v_63) (bvneg (_ bv91 32))) (bvsle (bvadd (bvadd (bvadd ?v_34 ?v_70) (bvmul (bvneg (_ bv82 32)) ?x3)) (bvmul (_ bv79 32) ?x4)) (_ bv23 32))) (or (bvslt (bvadd (bvadd ?v_35 ?v_36) (bvmul (bvneg (_ bv6 32)) ?x4)) (bvneg (_ bv77 32))) (bvsle (bvadd (bvadd (bvadd ?v_37 (bvmul (bvneg (_ bv16 32)) ?x2)) (bvmul (_ bv23 32) ?x3)) (bvmul (bvneg (_ bv55 32)) ?x4)) (bvneg (_ bv76 32))))) (or (and (not (= (bvadd (bvadd (bvadd ?v_32 (bvmul (bvneg (_ bv4 32)) ?x2)) ?v_48) ?v_26) (bvneg (_ bv3 32)))) (not (= (bvadd (bvmul (_ bv67 32) ?x2) (bvmul (bvneg (_ bv63 32)) ?x4)) (bvneg (_ bv60 32))))) (or (bvslt (bvadd (bvmul (bvneg (_ bv92 32)) ?x1) (bvmul (_ bv71 32) ?x3)) (_ bv85 32)) (bvsge (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv72 32)) ?x1) ?v_38) (bvmul (bvneg (_ bv8 32)) ?x3)) ?v_39) (bvneg (_ bv32 32)))))) (and (and (and (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv40 32)) ?x1) (bvmul (_ bv21 32) ?x2)) (bvmul (_ bv10 32) ?x3)) (_ bv98 32)) (= (bvadd (bvadd (bvadd ?v_40 (bvmul (bvneg (_ bv21 32)) ?x2)) (bvmul (bvneg (_ bv3 32)) ?x3)) (bvmul (_ bv44 32) ?x4)) (_ bv0 32))) (and (bvslt (bvadd (bvadd (bvadd ?v_41 (bvmul (_ bv80 32) ?x2)) (bvmul (bvneg (_ bv49 32)) ?x3)) (bvmul (_ bv39 32) ?x4)) (_ bv0 32)) (= (bvadd (bvadd (bvmul (bvneg (_ bv23 32)) ?x1) (bvmul (_ bv100 32) ?x3)) (bvmul (_ bv73 32) ?x4)) (bvneg (_ bv100 32))))) (and (= (bvadd (bvadd (bvadd ?v_42 ?v_43) ?v_77) ?v_44) (_ bv0 32)) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv49 32)) ?x2) ?v_45) ?v_58) (_ bv0 32))))) (and (or (and (or (= (bvadd (bvadd (bvadd ?v_53 (bvmul (_ bv45 32) ?x2)) ?v_89) (bvmul (bvneg (_ bv54 32)) ?x4)) (bvneg (_ bv58 32))) (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv94 32)) ?x1) (bvmul (_ bv16 32) ?x2)) (bvmul (bvneg (_ bv42 32)) ?x3)) (bvmul (bvneg (_ bv36 32)) ?x4)) (_ bv0 32))) (or (not (= (bvadd (bvadd (bvadd ?v_46 (bvmul (bvneg (_ bv90 32)) ?x2)) (bvmul (bvneg (_ bv54 32)) ?x3)) (bvmul (_ bv61 32) ?x4)) (_ bv96 32))) (bvsle (bvadd (bvadd (bvadd ?v_60 (bvmul (bvneg (_ bv71 32)) ?x2)) ?v_16) (bvmul (bvneg (_ bv52 32)) ?x4)) (bvneg (_ bv97 32))))) (and (and (= (bvadd (bvadd (bvadd (bvmul (_ bv20 32) ?x1) ?v_47) ?v_83) (bvmul (bvneg (_ bv92 32)) ?x4)) (bvneg (_ bv19 32))) (bvslt (bvadd (bvmul (bvneg (_ bv24 32)) ?x1) (bvmul (bvneg (_ bv2 32)) ?x4)) (_ bv0 32))) (or (= (bvmul (bvneg (_ bv14 32)) ?x4) (bvneg (_ bv4 32))) (not (= (bvadd (bvmul (_ bv83 32) ?x2) ?v_48) (_ bv6 32)))))) (or (or (= (bvadd (bvadd (bvmul (bvneg (_ bv92 32)) ?x2) (bvmul (_ bv32 32) ?x3)) (bvmul (_ bv92 32) ?x4)) (bvneg (_ bv15 32))) (bvsgt (bvadd (bvadd ?v_7 (bvmul (_ bv73 32) ?x3)) (bvmul (_ bv32 32) ?x4)) (bvneg (_ bv94 32)))) (or (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv31 32)) ?x1) (bvmul (bvneg (_ bv15 32)) ?x2)) (bvmul (_ bv50 32) ?x3)) (_ bv62 32)) (or (bvsgt (bvadd (bvadd ?v_49 ?v_50) ?v_51) (bvneg (_ bv27 32))) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv7 32)) ?x1) (bvmul (_ bv95 32) ?x2)) ?v_82) (_ bv95 32))))))) (or (and (and (and (or (not (= (bvadd (bvadd (bvmul (bvneg (_ bv87 32)) ?x1) (bvmul (_ bv74 32) ?x3)) ?v_39) (bvneg (_ bv54 32)))) (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv13 32)) ?x1) (bvmul (_ bv25 32) ?x2)) (bvmul (_ bv69 32) ?x4)) (_ bv0 32))) (and (not (= (bvadd (bvadd (bvadd (bvmul (_ bv66 32) ?x1) ?v_86) (bvmul (_ bv92 32) ?x3)) ?v_52) (_ bv3 32))) (= (bvadd (bvadd (bvmul (_ bv16 32) ?x1) (bvmul (bvneg (_ bv27 32)) ?x3)) ?v_39) (bvneg (_ bv100 32))))) (or (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv68 32)) ?x1) (bvmul (_ bv44 32) ?x2)) (bvmul (bvneg (_ bv76 32)) ?x4)) (bvneg (_ bv11 32))) (bvslt (bvadd (bvadd ?v_53 ?v_54) ?v_55) (_ bv28 32)))) (or (or (and (bvsge (bvadd (bvadd ?v_56 ?v_57) ?v_58) (bvneg (_ bv32 32))) (= (bvadd (bvadd (bvadd (bvmul (_ bv9 32) ?x1) (bvmul (_ bv69 32) ?x2)) ?v_16) (bvmul (_ bv45 32) ?x4)) (_ bv0 32))) (and (bvslt (bvadd (bvadd (bvmul (_ bv96 32) ?x2) ?v_59) (bvmul (bvneg (_ bv41 32)) ?x4)) (bvneg (_ bv11 32))) (bvslt (bvadd (bvadd (bvadd ?v_60 (bvmul (_ bv82 32) ?x2)) (bvmul (_ bv62 32) ?x3)) ?v_75) (_ bv34 32)))) (or (or (bvslt (bvadd (bvadd (bvadd (bvmul (_ bv99 32) ?x1) (bvmul (bvneg (_ bv70 32)) ?x2)) ?v_59) ?v_61) (_ bv0 32)) (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv75 32)) ?x1) ?v_62) (bvmul (bvneg (_ bv14 32)) ?x3)) (_ bv0 32))) (and (bvsge (bvadd (bvmul (_ bv89 32) ?x1) ?v_63) (_ bv46 32)) (= (bvadd (bvmul (_ bv53 32) ?x1) (bvmul (bvneg (_ bv76 32)) ?x3)) (_ bv0 32)))))) (and (and (or (bvsle (bvadd (bvadd (bvadd ?v_64 (bvmul (_ bv81 32) ?x2)) (bvmul (_ bv19 32) ?x3)) (bvmul (_ bv27 32) ?x4)) (_ bv0 32)) (= (bvadd (bvadd (bvmul (_ bv34 32) ?x2) (bvmul (_ bv66 32) ?x3)) (bvmul (bvneg (_ bv86 32)) ?x4)) (_ bv69 32))) (and (or (= (bvadd (bvadd ?v_65 (bvmul (_ bv79 32) ?x2)) (bvmul (_ bv56 32) ?x4)) (_ bv71 32)) (bvsgt (bvadd (bvmul (_ bv66 32) ?x2) (bvmul (bvneg (_ bv79 32)) ?x3)) (_ bv0 32))) (or (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv12 32)) ?x2) (bvmul (bvneg (_ bv90 32)) ?x3)) (bvmul (bvneg (_ bv23 32)) ?x4)) (_ bv85 32)) (bvsle (bvadd (bvadd ?v_0 ?v_87) ?v_63) (bvneg (_ bv64 32)))))) (and (or (or (bvsle (bvadd ?v_66 (bvmul (bvneg (_ bv22 32)) ?x4)) (_ bv95 32)) (bvsgt (bvadd ?v_67 (bvmul (_ bv53 32) ?x4)) (_ bv0 32))) (and (bvsle (bvadd (bvadd (bvadd (bvmul (_ bv95 32) ?x1) ?v_68) ?v_22) (bvmul (bvneg (_ bv46 32)) ?x4)) (_ bv77 32)) (not (= (bvadd (bvadd (bvmul (bvneg (_ bv37 32)) ?x2) (bvmul (bvneg (_ bv29 32)) ?x3)) (bvmul (bvneg (_ bv20 32)) ?x4)) (_ bv72 32))))) (and (bvsge (bvadd (bvmul (bvneg (_ bv1 32)) ?x1) ?v_35) (_ bv0 32)) (bvsle (bvadd (bvmul (bvneg (_ bv56 32)) ?x3) (bvmul (_ bv26 32) ?x4)) (_ bv30 32))))))) (or (and (and (or (or (not (= (bvadd (bvadd (bvadd (bvmul (_ bv31 32) ?x1) ?v_79) ?v_69) ?v_95) (_ bv0 32))) (bvsle (bvadd ?v_70 (bvmul (bvneg (_ bv94 32)) ?x3)) (_ bv27 32))) (or (not (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv79 32)) ?x1) ?v_71) ?v_72) ?v_14) (_ bv2 32))) (bvsge (bvadd (bvmul (_ bv37 32) ?x1) ?v_73) (_ bv31 32)))) (and (and (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv52 32)) ?x1) ?v_7) (bvmul (_ bv55 32) ?x3)) (bvmul (_ bv7 32) ?x4)) (_ bv0 32)) (bvsge (bvadd (bvadd ?v_74 (bvmul (bvneg (_ bv13 32)) ?x3)) ?v_75) (_ bv0 32))) (and (bvsge (bvmul (bvneg (_ bv91 32)) ?x1) (bvneg (_ bv5 32))) (bvsge (bvadd (bvadd ?v_76 (bvmul (_ bv60 32) ?x2)) (bvmul (_ bv83 32) ?x3)) (bvneg (_ bv17 32)))))) (and (or (bvsgt (bvadd (bvadd ?v_81 (bvmul (_ bv5 32) ?x2)) (bvmul (bvneg (_ bv43 32)) ?x3)) (bvneg (_ bv78 32))) (or (= (bvadd (bvmul (_ bv57 32) ?x1) (bvmul (bvneg (_ bv93 32)) ?x3)) (_ bv15 32)) (bvslt (bvadd (bvmul (_ bv24 32) ?x1) ?v_77) (bvneg (_ bv29 32))))) (or (and (bvsgt (bvadd (bvadd ?v_34 (bvmul (bvneg (_ bv91 32)) ?x2)) (bvmul (_ bv65 32) ?x3)) (bvneg (_ bv13 32))) (bvsge (bvmul (_ bv94 32) ?x4) (bvneg (_ bv35 32)))) (and (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv6 32)) ?x1) ?v_68) (bvmul (_ bv91 32) ?x3)) ?v_78) (_ bv81 32)) (not (= (bvadd (bvmul (_ bv92 32) ?x1) (bvmul (_ bv83 32) ?x4)) (_ bv0 32))))))) (or (or (and (or (bvsle (bvadd (bvadd ?v_79 (bvmul (bvneg (_ bv91 32)) ?x3)) ?v_80) (_ bv36 32)) (bvsle (bvadd (bvadd (bvmul (_ bv38 32) ?x2) ?v_45) (bvmul (_ bv62 32) ?x4)) (_ bv0 32))) (or (bvsgt (bvadd (bvadd (bvadd (bvmul (_ bv54 32) ?x1) (bvmul (_ bv13 32) ?x2)) (bvmul (_ bv29 32) ?x3)) ?v_90) (_ bv20 32)) (not (= (bvadd (bvadd ?v_81 (bvmul (bvneg (_ bv33 32)) ?x2)) ?v_82) (_ bv32 32))))) (or (or (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv21 32)) ?x1) (bvmul (_ bv46 32) ?x2)) ?v_83) (bvmul (bvneg (_ bv83 32)) ?x4)) (_ bv96 32)) (= (bvadd (bvadd (bvadd ?v_74 ?v_84) ?v_85) (bvmul (bvneg (_ bv40 32)) ?x4)) (bvneg (_ bv60 32)))) (and (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv9 32)) ?x1) ?v_88) ?v_92) (_ bv11 32)) (bvsle (bvadd (bvadd ?v_91 (bvmul (bvneg (_ bv33 32)) ?x3)) (bvmul (_ bv3 32) ?x4)) (bvneg (_ bv9 32)))))) (and (or (or (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv44 32)) ?x1) ?v_86) ?v_87) (_ bv61 32)) (bvslt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv45 32)) ?x1) ?v_88) ?v_89) ?v_6) (_ bv97 32))) (and (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv53 32)) ?x2) (bvmul (_ bv18 32) ?x3)) ?v_90) (_ bv0 32)) (bvslt (bvadd (bvmul (bvneg (_ bv7 32)) ?x2) (bvmul (_ bv82 32) ?x3)) (_ bv88 32)))) (and (or (not (= (bvadd (bvmul (bvneg (_ bv66 32)) ?x2) (bvmul (_ bv23 32) ?x4)) (_ bv0 32))) (bvsgt (bvadd (bvadd (bvmul (_ bv39 32) ?x1) ?v_91) ?v_92) (bvneg (_ bv67 32)))) (or (bvsge (bvadd (bvadd ?v_93 ?v_94) (bvmul (bvneg (_ bv61 32)) ?x4)) (_ bv0 32)) (not (= (bvadd (bvadd (bvadd (bvmul (_ bv22 32) ?x1) (bvmul (_ bv31 32) ?x2)) ?v_20) ?v_95) (bvneg (_ bv34 32)))))))))))))))))
(check-sat)
(exit)
