(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(declare-fun x1 () (_ BitVec 32))
(declare-fun x2 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(declare-fun x4 () (_ BitVec 32))
(assert (forall ((?x1 (_ BitVec 32))) (exists ((?x2 (_ BitVec 32))) (forall ((?x3 (_ BitVec 32))) (exists ((?x4 (_ BitVec 32))) (let ((?v_2 (bvmul (_ bv95 32) ?x3)) (?v_14 (bvmul (_ bv100 32) ?x4)) (?v_0 (bvmul (_ bv61 32) ?x2)) (?v_26 (bvmul (_ bv64 32) ?x3)) (?v_21 (bvmul (_ bv12 32) ?x4)) (?v_33 (bvmul (_ bv66 32) ?x4)) (?v_31 (bvmul (_ bv8 32) ?x4)) (?v_8 (bvmul (_ bv33 32) ?x2)) (?v_17 (bvmul (_ bv5 32) ?x1)) (?v_37 (bvmul (_ bv4 32) ?x3)) (?v_12 (bvmul (_ bv71 32) ?x3)) (?v_28 (bvmul (_ bv75 32) ?x3)) (?v_30 (bvmul (_ bv59 32) ?x3)) (?v_40 (bvmul (_ bv22 32) ?x4)) (?v_25 (bvmul (_ bv61 32) ?x3)) (?v_9 (bvmul (bvneg (_ bv71 32)) ?x4)) (?v_27 (bvmul (bvneg (_ bv68 32)) ?x2)) (?v_39 (bvmul (bvneg (_ bv11 32)) ?x1)) (?v_7 (bvmul (bvneg (_ bv12 32)) ?x4)) (?v_1 (bvmul (bvneg (_ bv96 32)) ?x2)) (?v_19 (bvmul (bvneg (_ bv61 32)) ?x4)) (?v_32 (bvmul (bvneg (_ bv37 32)) ?x3)) (?v_16 (bvmul (bvneg (_ bv32 32)) ?x4)) (?v_20 (bvmul (bvneg (_ bv59 32)) ?x2)) (?v_38 (bvmul (bvneg (_ bv12 32)) ?x3)) (?v_23 (bvmul (bvneg (_ bv22 32)) ?x4)) (?v_4 (bvmul (bvneg (_ bv9 32)) ?x2)) (?v_3 (bvmul (bvneg (_ bv63 32)) ?x1)) (?v_5 (bvmul (bvneg (_ bv43 32)) ?x3)) (?v_6 (bvmul (bvneg (_ bv42 32)) ?x4)) (?v_34 (bvmul (bvneg (_ bv15 32)) ?x1)) (?v_18 (bvmul (bvneg (_ bv68 32)) ?x1)) (?v_15 (bvmul (bvneg (_ bv52 32)) ?x3)) (?v_24 (bvmul (bvneg (_ bv65 32)) ?x1)) (?v_10 (bvmul (bvneg (_ bv19 32)) ?x2)) (?v_13 (bvmul (bvneg (_ bv91 32)) ?x1)) (?v_11 (bvmul (bvneg (_ bv1 32)) ?x1)) (?v_36 (bvmul (bvneg (_ bv93 32)) ?x2)) (?v_29 (bvmul (bvneg (_ bv2 32)) ?x2)) (?v_22 (bvmul (bvneg (_ bv8 32)) ?x2)) (?v_35 (bvmul (bvneg (_ bv8 32)) ?x1))) (or (or (and (or (or (bvslt (bvadd (bvadd (bvadd (bvmul (_ bv18 32) ?x1) (bvmul (_ bv83 32) ?x2)) ?v_2) ?v_9) (bvneg (_ bv47 32))) (or (= (bvadd (bvadd (bvmul (_ bv75 32) ?x1) ?v_27) (bvmul (_ bv62 32) ?x3)) (_ bv0 32)) (and (bvsge (bvadd (bvmul (_ bv37 32) ?x3) ?v_14) (_ bv22 32)) (bvsle (bvadd (bvadd (bvadd (bvmul (_ bv29 32) ?x1) ?v_0) (bvmul (bvneg (_ bv10 32)) ?x3)) (bvmul (bvneg (_ bv23 32)) ?x4)) (_ bv63 32))))) (and (or (or (bvslt (bvadd (bvmul (_ bv72 32) ?x2) (bvmul (bvneg (_ bv69 32)) ?x3)) (bvneg (_ bv44 32))) (bvsgt (bvadd (bvadd ?v_39 (bvmul (_ bv75 32) ?x2)) ?v_7) (bvneg (_ bv97 32)))) (and (= (bvadd (bvadd (bvmul (bvneg (_ bv90 32)) ?x1) ?v_0) (bvmul (bvneg (_ bv88 32)) ?x3)) (bvneg (_ bv51 32))) (not (= (bvadd (bvadd (bvadd (bvmul (_ bv65 32) ?x1) ?v_1) ?v_26) ?v_19) (_ bv0 32))))) (and (= (bvadd (bvadd (bvmul (bvneg (_ bv94 32)) ?x1) ?v_32) ?v_21) (_ bv0 32)) (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv93 32)) ?x1) ?v_1) ?v_2) (bvmul (_ bv11 32) ?x4)) (bvneg (_ bv70 32)))))) (or (or (or (or (not (= (bvadd (bvadd (bvmul (bvneg (_ bv78 32)) ?x2) (bvmul (bvneg (_ bv42 32)) ?x3)) ?v_16) (bvneg (_ bv85 32)))) (bvsgt (bvadd (bvadd (bvmul (_ bv45 32) ?x1) ?v_20) ?v_33) (bvneg (_ bv88 32)))) (and (not (= (bvadd (bvadd (bvmul (bvneg (_ bv18 32)) ?x2) (bvmul (bvneg (_ bv51 32)) ?x3)) ?v_31) (_ bv0 32))) (not (= (bvadd (bvadd (bvmul (bvneg (_ bv20 32)) ?x2) ?v_38) ?v_23) (_ bv77 32))))) (not (= (bvadd (bvmul (_ bv65 32) ?x2) (bvmul (bvneg (_ bv20 32)) ?x3)) (_ bv5 32)))) (and (or (and (= (bvadd (bvadd (bvmul (bvneg (_ bv76 32)) ?x1) (bvmul (bvneg (_ bv7 32)) ?x3)) (bvmul (_ bv51 32) ?x4)) (bvneg (_ bv42 32))) (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv40 32)) ?x1) ?v_4) (bvmul (bvneg (_ bv60 32)) ?x3)) (bvmul (_ bv82 32) ?x4)) (_ bv36 32))) (or (bvsle (bvadd (bvadd ?v_3 (bvmul (bvneg (_ bv45 32)) ?x3)) (bvmul (_ bv79 32) ?x4)) (_ bv0 32)) (bvslt (bvadd (bvadd (bvadd (bvmul (_ bv81 32) ?x1) (bvmul (_ bv80 32) ?x2)) ?v_5) (bvmul (bvneg (_ bv9 32)) ?x4)) (_ bv70 32)))) (and (or (bvslt (bvadd (bvadd (bvadd (bvmul (_ bv66 32) ?x1) (bvmul (bvneg (_ bv43 32)) ?x2)) (bvmul (_ bv48 32) ?x3)) (bvmul (bvneg (_ bv13 32)) ?x4)) (bvneg (_ bv56 32))) (= (bvadd (bvadd (bvmul (_ bv31 32) ?x2) (bvmul (_ bv54 32) ?x3)) (bvmul (bvneg (_ bv21 32)) ?x4)) (bvneg (_ bv18 32)))) (bvsgt (bvadd (bvadd ?v_3 (bvmul (_ bv14 32) ?x2)) (bvmul (bvneg (_ bv33 32)) ?x4)) (_ bv0 32)))))) (or (and (and (and (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv72 32)) ?x1) ?v_4) ?v_6) (bvneg (_ bv43 32))) (bvsge (bvadd (bvadd (bvadd ?v_34 (bvmul (bvneg (_ bv5 32)) ?x2)) ?v_5) ?v_6) (bvneg (_ bv44 32)))) (or (or (bvslt (bvadd ?v_18 (bvmul (_ bv14 32) ?x3)) (bvneg (_ bv74 32))) (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv36 32)) ?x1) ?v_0) (bvmul (_ bv35 32) ?x4)) (bvneg (_ bv7 32)))) (and (bvsgt (bvadd (bvadd (bvadd (bvmul (_ bv1 32) ?x1) ?v_8) (bvmul (bvneg (_ bv59 32)) ?x3)) (bvmul (bvneg (_ bv51 32)) ?x4)) (_ bv92 32)) (bvsge (bvadd (bvadd (bvadd ?v_17 (bvmul (bvneg (_ bv76 32)) ?x2)) ?v_15) (bvmul (bvneg (_ bv19 32)) ?x4)) (bvneg (_ bv26 32)))))) (or (or (or (bvsge (bvadd (bvadd ?v_24 (bvmul (bvneg (_ bv48 32)) ?x3)) ?v_7) (bvneg (_ bv86 32))) (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv52 32)) ?x2) ?v_37) (bvmul (_ bv69 32) ?x4)) (_ bv16 32))) (or (bvslt (bvadd (bvadd (bvmul (_ bv49 32) ?x1) ?v_1) (bvmul (bvneg (_ bv99 32)) ?x3)) (_ bv85 32)) (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv28 32)) ?x2) (bvmul (_ bv33 32) ?x3)) (bvmul (bvneg (_ bv86 32)) ?x4)) (_ bv61 32)))) (and (bvsge (bvadd (bvadd ?v_8 ?v_12) (bvmul (_ bv70 32) ?x4)) (bvneg (_ bv44 32))) (bvslt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv28 32)) ?x1) ?v_10) (bvmul (bvneg (_ bv2 32)) ?x3)) (bvmul (_ bv78 32) ?x4)) (_ bv0 32))))) (and (or (and (bvsge (bvadd (bvmul (bvneg (_ bv17 32)) ?x1) (bvmul (bvneg (_ bv65 32)) ?x3)) (bvneg (_ bv86 32))) (bvslt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv41 32)) ?x1) (bvmul (_ bv93 32) ?x2)) (bvmul (_ bv10 32) ?x3)) (bvmul (bvneg (_ bv80 32)) ?x4)) (_ bv40 32))) (and (bvsgt (bvadd (bvadd (bvadd (bvmul (_ bv88 32) ?x1) (bvmul (_ bv46 32) ?x2)) (bvmul (bvneg (_ bv21 32)) ?x3)) ?v_9) (bvneg (_ bv45 32))) (bvsgt (bvadd (bvadd ?v_13 (bvmul (_ bv84 32) ?x2)) (bvmul (bvneg (_ bv57 32)) ?x3)) (_ bv0 32)))) (or (and (bvsle (bvadd (bvadd ?v_11 ?v_28) (bvmul (bvneg (_ bv79 32)) ?x4)) (_ bv59 32)) (bvsle (bvadd (bvmul (_ bv10 32) ?x1) ?v_10) (bvneg (_ bv76 32)))) (bvsge (bvadd (bvadd ?v_11 ?v_30) (bvmul (_ bv65 32) ?x4)) (_ bv0 32)))))) (or (and (and (or (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv3 32)) ?x2) (bvmul (bvneg (_ bv55 32)) ?x3)) (bvmul (_ bv49 32) ?x4)) (bvneg (_ bv31 32))) (bvsge (bvadd (bvmul (_ bv22 32) ?x2) (bvmul (_ bv35 32) ?x3)) (_ bv0 32))) (or (or (or (bvsle (bvadd (bvadd (bvmul (_ bv12 32) ?x1) (bvmul (bvneg (_ bv56 32)) ?x3)) (bvmul (_ bv31 32) ?x4)) (_ bv0 32)) (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv58 32)) ?x1) (bvmul (_ bv28 32) ?x2)) (bvmul (_ bv6 32) ?x3)) (bvmul (_ bv41 32) ?x4)) (_ bv57 32))) (or (not (= (bvadd (bvadd (bvmul (_ bv40 32) ?x2) ?v_12) (bvmul (bvneg (_ bv82 32)) ?x4)) (bvneg (_ bv70 32)))) (bvslt (bvadd (bvadd (bvadd ?v_13 ?v_36) ?v_12) (bvmul (_ bv20 32) ?x4)) (_ bv58 32)))) (or (and (bvslt (bvadd (bvmul (bvneg (_ bv13 32)) ?x3) ?v_14) (_ bv61 32)) (bvslt (bvadd (bvadd (bvadd (bvmul (_ bv40 32) ?x1) (bvmul (bvneg (_ bv41 32)) ?x2)) (bvmul (bvneg (_ bv61 32)) ?x3)) (bvmul (_ bv13 32) ?x4)) (_ bv43 32))) (or (bvsgt (bvadd (bvadd (bvmul (_ bv8 32) ?x2) (bvmul (_ bv67 32) ?x3)) (bvmul (bvneg (_ bv3 32)) ?x4)) (_ bv68 32)) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv9 32)) ?x1) ?v_29) ?v_15) (_ bv0 32)))))) (or (or (and (or (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv83 32)) ?x1) (bvmul (bvneg (_ bv60 32)) ?x2)) (bvmul (bvneg (_ bv1 32)) ?x3)) ?v_16) (_ bv69 32)) (bvsle (bvadd (bvadd ?v_17 (bvmul (_ bv11 32) ?x3)) (bvmul (bvneg (_ bv39 32)) ?x4)) (_ bv0 32))) (or (bvsge (bvadd (bvadd (bvmul (_ bv35 32) ?x1) (bvmul (bvneg (_ bv49 32)) ?x3)) (bvmul (bvneg (_ bv11 32)) ?x4)) (_ bv0 32)) (not (= (bvadd (bvadd (bvmul (_ bv50 32) ?x1) (bvmul (bvneg (_ bv31 32)) ?x2)) ?v_40) (_ bv0 32))))) (and (bvslt (bvadd (bvmul (_ bv55 32) ?x1) (bvmul (bvneg (_ bv38 32)) ?x3)) (_ bv0 32)) (or (not (= (bvadd (bvadd (bvmul (bvneg (_ bv45 32)) ?x2) (bvmul (_ bv82 32) ?x3)) (bvmul (bvneg (_ bv94 32)) ?x4)) (_ bv0 32))) (bvsge (bvadd (bvadd (bvadd (bvmul (_ bv38 32) ?x1) (bvmul (_ bv30 32) ?x2)) (bvmul (_ bv26 32) ?x3)) (bvmul (bvneg (_ bv70 32)) ?x4)) (_ bv0 32))))) (and (or (and (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv21 32)) ?x1) ?v_22) ?v_25) (bvmul (_ bv33 32) ?x4)) (bvneg (_ bv27 32))) (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv31 32)) ?x1) (bvmul (_ bv55 32) ?x2)) (bvmul (bvneg (_ bv54 32)) ?x4)) (bvneg (_ bv47 32)))) (or (bvsle (bvadd (bvadd (bvmul (_ bv47 32) ?x1) (bvmul (_ bv92 32) ?x3)) (bvmul (_ bv25 32) ?x4)) (bvneg (_ bv60 32))) (bvsle (bvadd (bvmul (_ bv6 32) ?x2) (bvmul (bvneg (_ bv79 32)) ?x3)) (_ bv60 32)))) (bvslt (bvadd (bvadd ?v_18 (bvmul (bvneg (_ bv1 32)) ?x2)) ?v_19) (bvneg (_ bv86 32)))))) (or (and (or (or (or (bvslt (bvadd (bvadd (bvadd (bvmul (_ bv99 32) ?x1) ?v_20) (bvmul (_ bv21 32) ?x3)) ?v_21) (_ bv67 32)) (and (bvsge (bvadd (bvadd (bvadd (bvmul (_ bv93 32) ?x1) ?v_22) (bvmul (_ bv9 32) ?x3)) (bvmul (bvneg (_ bv98 32)) ?x4)) (bvneg (_ bv50 32))) (bvsgt (bvmul (_ bv43 32) ?x4) (bvneg (_ bv87 32))))) (and (or (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv39 32)) ?x1) (bvmul (_ bv74 32) ?x2)) (bvmul (bvneg (_ bv22 32)) ?x3)) (_ bv0 32)) (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv54 32)) ?x1) (bvmul (bvneg (_ bv66 32)) ?x2)) (bvmul (_ bv85 32) ?x3)) (_ bv0 32))) (and (not (= (bvadd (bvmul (bvneg (_ bv78 32)) ?x1) ?v_23) (_ bv96 32))) (= (bvadd (bvadd ?v_24 (bvmul (bvneg (_ bv100 32)) ?x2)) ?v_25) (bvneg (_ bv82 32)))))) (or (or (bvsge (bvadd (bvmul (bvneg (_ bv89 32)) ?x2) (bvmul (_ bv28 32) ?x4)) (bvneg (_ bv74 32))) (or (= (bvadd (bvadd (bvmul (_ bv37 32) ?x1) (bvmul (_ bv58 32) ?x3)) (bvmul (bvneg (_ bv65 32)) ?x4)) (bvneg (_ bv73 32))) (bvslt (bvadd (bvmul (bvneg (_ bv14 32)) ?x1) (bvmul (_ bv72 32) ?x3)) (_ bv0 32)))) (and (= (bvadd (bvmul (bvneg (_ bv57 32)) ?x1) (bvmul (bvneg (_ bv67 32)) ?x4)) (bvneg (_ bv39 32))) (and (= (bvadd (bvadd (bvadd (bvmul (_ bv57 32) ?x1) (bvmul (_ bv19 32) ?x2)) (bvmul (bvneg (_ bv3 32)) ?x3)) (bvmul (bvneg (_ bv100 32)) ?x4)) (_ bv53 32)) (not (= (bvadd (bvadd (bvmul (bvneg (_ bv37 32)) ?x1) (bvmul (_ bv3 32) ?x2)) (bvmul (bvneg (_ bv71 32)) ?x3)) (_ bv54 32))))))) (and (or (or (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv48 32)) ?x1) (bvmul (bvneg (_ bv69 32)) ?x2)) (bvmul (_ bv30 32) ?x3)) (bvmul (_ bv27 32) ?x4)) (bvneg (_ bv60 32))) (not (= (bvadd ?v_0 (bvmul (bvneg (_ bv44 32)) ?x4)) (_ bv0 32)))) (or (bvsgt (bvadd (bvadd (bvmul (_ bv98 32) ?x1) (bvmul (_ bv20 32) ?x2)) (bvmul (bvneg (_ bv68 32)) ?x4)) (bvneg (_ bv28 32))) (bvsle (bvadd (bvmul (bvneg (_ bv13 32)) ?x1) ?v_26) (bvneg (_ bv39 32))))) (and (or (or (bvslt (bvadd (bvadd ?v_27 ?v_28) (bvmul (bvneg (_ bv45 32)) ?x4)) (_ bv0 32)) (bvslt (bvadd (bvmul (bvneg (_ bv79 32)) ?x1) (bvmul (bvneg (_ bv90 32)) ?x3)) (_ bv0 32))) (or (bvsge (bvadd (bvadd (bvmul (_ bv15 32) ?x2) (bvmul (_ bv29 32) ?x3)) (bvmul (_ bv58 32) ?x4)) (bvneg (_ bv44 32))) (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv88 32)) ?x1) (bvmul (bvneg (_ bv72 32)) ?x2)) (bvmul (_ bv94 32) ?x4)) (_ bv0 32)))) (or (and (bvsgt (bvadd (bvadd (bvadd (bvmul (_ bv60 32) ?x1) ?v_29) ?v_30) (bvmul (bvneg (_ bv87 32)) ?x4)) (_ bv0 32)) (= (bvadd (bvadd ?v_35 (bvmul (_ bv44 32) ?x2)) ?v_5) (_ bv0 32))) (and (bvsgt (bvadd (bvmul (_ bv89 32) ?x1) ?v_31) (_ bv90 32)) (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv64 32)) ?x2) ?v_32) (bvmul (_ bv19 32) ?x4)) (_ bv13 32))))))) (or (or (or (or (bvsle (bvadd (bvadd (bvmul (_ bv85 32) ?x1) (bvmul (bvneg (_ bv24 32)) ?x2)) (bvmul (_ bv50 32) ?x4)) (_ bv0 32)) (not (= (bvadd (bvadd (bvmul (_ bv14 32) ?x1) (bvmul (_ bv12 32) ?x2)) (bvmul (_ bv38 32) ?x3)) (_ bv0 32)))) (and (not (= (bvadd (bvadd (bvmul (_ bv89 32) ?x2) (bvmul (_ bv12 32) ?x3)) (bvmul (bvneg (_ bv48 32)) ?x4)) (_ bv0 32))) (bvslt (bvadd (bvadd (bvmul (_ bv82 32) ?x2) (bvmul (bvneg (_ bv73 32)) ?x3)) (bvmul (_ bv5 32) ?x4)) (bvneg (_ bv53 32))))) (and (and (bvslt (bvadd (bvadd (bvmul (_ bv80 32) ?x1) (bvmul (bvneg (_ bv23 32)) ?x2)) (bvmul (bvneg (_ bv66 32)) ?x3)) (_ bv67 32)) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv53 32)) ?x2) (bvmul (bvneg (_ bv50 32)) ?x3)) ?v_33) (_ bv0 32))) (and (bvsgt (bvadd ?v_34 (bvmul (_ bv8 32) ?x3)) (_ bv80 32)) (not (= (bvadd (bvadd (bvmul (_ bv67 32) ?x2) (bvmul (bvneg (_ bv6 32)) ?x3)) (bvmul (bvneg (_ bv57 32)) ?x4)) (_ bv0 32)))))) (and (and (bvsle (bvadd (bvmul (bvneg (_ bv56 32)) ?x1) (bvmul (_ bv99 32) ?x4)) (_ bv32 32)) (= (bvadd (bvadd (bvadd ?v_35 ?v_36) ?v_37) (bvmul (_ bv92 32) ?x4)) (_ bv0 32))) (and (and (or (not (= (bvadd (bvmul (_ bv92 32) ?x2) (bvmul (_ bv62 32) ?x4)) (bvneg (_ bv18 32)))) (not (= (bvadd (bvadd (bvmul (_ bv47 32) ?x2) (bvmul (_ bv94 32) ?x3)) (bvmul (bvneg (_ bv52 32)) ?x4)) (_ bv60 32)))) (and (= (bvadd (bvadd (bvadd (bvmul (_ bv82 32) ?x1) (bvmul (bvneg (_ bv37 32)) ?x2)) (bvmul (bvneg (_ bv94 32)) ?x3)) (bvmul (bvneg (_ bv72 32)) ?x4)) (_ bv0 32)) (bvsge (bvadd ?v_38 (bvmul (bvneg (_ bv89 32)) ?x4)) (bvneg (_ bv44 32))))) (and (bvsge (bvadd (bvmul (_ bv11 32) ?x1) ?v_37) (_ bv1 32)) (bvsle (bvadd (bvadd (bvadd ?v_39 (bvmul (_ bv97 32) ?x2)) (bvmul (_ bv83 32) ?x3)) ?v_40) (_ bv0 32)))))))))))))))
(check-sat)
(exit)
