(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(declare-fun x1 () (_ BitVec 32))
(declare-fun x2 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(declare-fun x4 () (_ BitVec 32))
(assert (forall ((?x1 (_ BitVec 32))) (exists ((?x2 (_ BitVec 32))) (forall ((?x3 (_ BitVec 32))) (exists ((?x4 (_ BitVec 32))) (let ((?v_17 (bvmul (_ bv98 32) ?x2)) (?v_70 (bvmul (_ bv16 32) ?x4)) (?v_6 (bvmul (_ bv13 32) ?x3)) (?v_4 (bvmul (_ bv93 32) ?x3)) (?v_24 (bvmul (_ bv5 32) ?x3)) (?v_19 (bvmul (_ bv25 32) ?x1)) (?v_9 (bvmul (_ bv57 32) ?x3)) (?v_28 (bvmul (_ bv24 32) ?x3)) (?v_61 (bvmul (_ bv67 32) ?x2)) (?v_39 (bvmul (_ bv96 32) ?x4)) (?v_44 (bvmul (_ bv40 32) ?x4)) (?v_51 (bvmul (_ bv5 32) ?x1)) (?v_16 (bvmul (_ bv50 32) ?x3)) (?v_37 (bvmul (_ bv44 32) ?x1)) (?v_69 (bvmul (_ bv16 32) ?x2)) (?v_46 (bvmul (_ bv74 32) ?x3)) (?v_7 (bvmul (_ bv93 32) ?x1)) (?v_58 (bvmul (_ bv8 32) ?x2)) (?v_14 (bvmul (_ bv32 32) ?x3)) (?v_29 (bvmul (_ bv78 32) ?x4)) (?v_67 (bvmul (_ bv22 32) ?x3)) (?v_31 (bvmul (_ bv62 32) ?x4)) (?v_55 (bvmul (_ bv93 32) ?x2)) (?v_21 (bvmul (_ bv63 32) ?x3)) (?v_65 (bvmul (_ bv81 32) ?x4)) (?v_36 (bvmul (_ bv29 32) ?x4)) (?v_45 (bvmul (_ bv42 32) ?x1)) (?v_47 (bvmul (_ bv72 32) ?x3)) (?v_71 (bvmul (_ bv2 32) ?x3)) (?v_66 (bvmul (_ bv97 32) ?x1)) (?v_34 (bvmul (_ bv84 32) ?x2)) (?v_64 (bvmul (_ bv48 32) ?x3)) (?v_59 (bvmul (_ bv58 32) ?x3)) (?v_49 (bvmul (_ bv20 32) ?x3)) (?v_53 (bvmul (_ bv34 32) ?x1)) (?v_57 (bvmul (_ bv32 32) ?x2)) (?v_72 (bvmul (_ bv41 32) ?x2)) (?v_68 (bvmul (_ bv1 32) ?x4)) (?v_1 (bvmul (bvneg (_ bv97 32)) ?x3)) (?v_0 (bvmul (bvneg (_ bv99 32)) ?x3)) (?v_13 (bvmul (bvneg (_ bv43 32)) ?x2)) (?v_22 (bvmul (bvneg (_ bv94 32)) ?x1)) (?v_10 (bvmul (bvneg (_ bv55 32)) ?x2)) (?v_54 (bvmul (bvneg (_ bv87 32)) ?x3)) (?v_15 (bvmul (bvneg (_ bv19 32)) ?x2)) (?v_5 (bvmul (bvneg (_ bv44 32)) ?x3)) (?v_62 (bvmul (bvneg (_ bv63 32)) ?x4)) (?v_52 (bvmul (bvneg (_ bv15 32)) ?x4)) (?v_3 (bvmul (bvneg (_ bv59 32)) ?x1)) (?v_48 (bvmul (bvneg (_ bv97 32)) ?x4)) (?v_41 (bvmul (bvneg (_ bv39 32)) ?x2)) (?v_35 (bvmul (bvneg (_ bv77 32)) ?x3)) (?v_2 (bvmul (bvneg (_ bv23 32)) ?x1)) (?v_11 (bvmul (bvneg (_ bv16 32)) ?x4)) (?v_12 (bvmul (bvneg (_ bv31 32)) ?x3)) (?v_50 (bvmul (bvneg (_ bv65 32)) ?x3)) (?v_32 (bvmul (bvneg (_ bv63 32)) ?x3)) (?v_23 (bvmul (bvneg (_ bv19 32)) ?x4)) (?v_8 (bvmul (bvneg (_ bv57 32)) ?x2)) (?v_38 (bvmul (bvneg (_ bv4 32)) ?x2)) (?v_20 (bvmul (bvneg (_ bv98 32)) ?x4)) (?v_25 (bvmul (bvneg (_ bv33 32)) ?x1)) (?v_27 (bvmul (bvneg (_ bv33 32)) ?x3)) (?v_56 (bvmul (bvneg (_ bv2 32)) ?x2)) (?v_18 (bvmul (bvneg (_ bv70 32)) ?x2)) (?v_33 (bvmul (bvneg (_ bv98 32)) ?x3)) (?v_30 (bvmul (bvneg (_ bv29 32)) ?x2)) (?v_42 (bvmul (bvneg (_ bv39 32)) ?x3)) (?v_26 (bvmul (bvneg (_ bv89 32)) ?x2)) (?v_74 (bvmul (bvneg (_ bv7 32)) ?x3)) (?v_40 (bvmul (bvneg (_ bv25 32)) ?x2)) (?v_43 (bvmul (bvneg (_ bv49 32)) ?x4)) (?v_73 (bvmul (bvneg (_ bv50 32)) ?x4)) (?v_60 (bvmul (bvneg (_ bv9 32)) ?x4)) (?v_63 (bvmul (bvneg (_ bv9 32)) ?x3))) (and (and (and (or (and (and (bvsge (bvadd (bvadd (bvmul (_ bv84 32) ?x1) (bvmul (bvneg (_ bv85 32)) ?x3)) (bvmul (_ bv56 32) ?x4)) (bvneg (_ bv32 32))) (not (= (bvadd (bvmul (_ bv84 32) ?x3) (bvmul (bvneg (_ bv30 32)) ?x4)) (bvneg (_ bv48 32))))) (or (and (not (= (bvadd (bvadd (bvmul (bvneg (_ bv82 32)) ?x1) (bvmul (_ bv45 32) ?x2)) ?v_1) (_ bv0 32))) (bvsle (bvadd (bvadd ?v_17 ?v_0) (bvmul (_ bv42 32) ?x4)) (_ bv0 32))) (and (not (= (bvadd (bvadd (bvmul (bvneg (_ bv63 32)) ?x1) ?v_13) (bvmul (bvneg (_ bv41 32)) ?x4)) (_ bv0 32))) (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv47 32)) ?x1) (bvmul (bvneg (_ bv47 32)) ?x2)) (bvmul (_ bv79 32) ?x3)) ?v_70) (bvneg (_ bv60 32)))))) (and (or (or (bvsge (bvadd (bvadd (bvmul (_ bv19 32) ?x2) ?v_6) (bvmul (bvneg (_ bv47 32)) ?x4)) (_ bv0 32)) (= (bvadd (bvmul (bvneg (_ bv55 32)) ?x1) ?v_0) (bvneg (_ bv87 32)))) (or (= (bvmul (_ bv29 32) ?x2) (bvneg (_ bv51 32))) (bvsle (bvadd (bvmul (bvneg (_ bv58 32)) ?x3) (bvmul (_ bv32 32) ?x4)) (_ bv0 32)))) (or (bvsle (bvmul (_ bv23 32) ?x4) (_ bv86 32)) (= (bvadd (bvadd ?v_22 ?v_10) ?v_54) (bvneg (_ bv61 32)))))) (and (and (and (and (not (= (bvadd (bvadd (bvmul (bvneg (_ bv89 32)) ?x1) (bvmul (_ bv73 32) ?x2)) ?v_4) (bvneg (_ bv25 32)))) (bvsgt ?v_15 (bvneg (_ bv31 32)))) (or (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv13 32)) ?x1) (bvmul (bvneg (_ bv60 32)) ?x2)) ?v_24) (bvmul (bvneg (_ bv1 32)) ?x4)) (_ bv0 32)) (not (= (bvadd (bvmul (_ bv58 32) ?x1) (bvmul (bvneg (_ bv53 32)) ?x3)) (_ bv0 32))))) (or (or (bvsge (bvadd (bvadd (bvmul (_ bv76 32) ?x1) (bvmul (bvneg (_ bv35 32)) ?x2)) (bvmul (_ bv74 32) ?x4)) (_ bv0 32)) (= (bvadd (bvmul (_ bv50 32) ?x1) ?v_5) (_ bv54 32))) (and (= (bvadd ?v_1 ?v_62) (_ bv30 32)) (bvsge (bvadd (bvadd (bvadd ?v_19 (bvmul (_ bv21 32) ?x2)) (bvmul (bvneg (_ bv32 32)) ?x3)) (bvmul (_ bv27 32) ?x4)) (_ bv0 32))))) (or (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv88 32)) ?x1) ?v_9) ?v_52) (bvneg (_ bv86 32))) (and (and (bvslt (bvadd (bvadd ?v_3 ?v_28) (bvmul (_ bv98 32) ?x4)) (_ bv82 32)) (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv10 32)) ?x1) (bvmul (_ bv47 32) ?x2)) (bvmul (_ bv15 32) ?x4)) (bvneg (_ bv59 32)))) (or (bvsge (bvadd (bvadd ?v_61 (bvmul (bvneg (_ bv88 32)) ?x3)) ?v_48) (_ bv73 32)) (bvsle ?v_39 (_ bv0 32))))))) (and (and (or (or (and (= (bvadd (bvadd ?v_41 ?v_35) (bvmul (bvneg (_ bv67 32)) ?x4)) (bvneg (_ bv90 32))) (not (= (bvadd (bvadd ?v_2 (bvmul (_ bv53 32) ?x2)) ?v_44) (_ bv20 32)))) (= ?v_11 (_ bv0 32))) (and (= (bvadd (bvadd (bvadd ?v_51 (bvmul (_ bv22 32) ?x2)) ?v_16) (bvmul (_ bv72 32) ?x4)) (_ bv8 32)) (not (= (bvadd (bvadd ?v_2 (bvmul (bvneg (_ bv99 32)) ?x2)) ?v_12) (_ bv90 32))))) (and (and (or (not (= (bvadd (bvmul (bvneg (_ bv11 32)) ?x1) ?v_50) (bvneg (_ bv28 32)))) (bvslt (bvadd (bvadd (bvadd ?v_3 (bvmul (bvneg (_ bv69 32)) ?x2)) ?v_4) (bvmul (bvneg (_ bv28 32)) ?x4)) (_ bv91 32))) (and (bvsge (bvadd (bvadd (bvadd ?v_37 ?v_69) ?v_32) (bvmul (bvneg (_ bv48 32)) ?x4)) (_ bv100 32)) (not (= (bvadd (bvmul (bvneg (_ bv28 32)) ?x2) ?v_46) (_ bv0 32))))) (or (and (bvslt (bvadd (bvadd ?v_7 (bvmul (_ bv86 32) ?x3)) (bvmul (_ bv20 32) ?x4)) (bvneg (_ bv41 32))) (bvsle (bvadd (bvadd (bvmul (_ bv44 32) ?x2) (bvmul (_ bv68 32) ?x3)) (bvmul (_ bv47 32) ?x4)) (_ bv0 32))) (or (not (= (bvadd (bvadd (bvadd (bvmul (_ bv40 32) ?x1) ?v_58) ?v_14) ?v_23) (bvneg (_ bv43 32)))) (bvsgt (bvadd ?v_8 (bvmul (_ bv12 32) ?x4)) (_ bv14 32)))))) (or (and (and (or (bvsle ?v_29 (_ bv30 32)) (bvsge (bvadd (bvadd (bvadd (bvmul (_ bv79 32) ?x1) ?v_38) (bvmul (bvneg (_ bv66 32)) ?x3)) (bvmul (bvneg (_ bv68 32)) ?x4)) (bvneg (_ bv89 32)))) (bvsle (bvadd (bvadd (bvadd (bvmul (_ bv56 32) ?x1) (bvmul (_ bv31 32) ?x2)) ?v_67) (bvmul (_ bv26 32) ?x4)) (bvneg (_ bv46 32)))) (or (and (not (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv35 32)) ?x1) (bvmul (_ bv36 32) ?x2)) (bvmul (bvneg (_ bv47 32)) ?x3)) ?v_31) (_ bv0 32))) (not (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv57 32)) ?x1) ?v_55) ?v_5) (bvmul (bvneg (_ bv46 32)) ?x4)) (_ bv0 32)))) (or (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv65 32)) ?x1) (bvmul (_ bv79 32) ?x2)) ?v_6) (bvneg (_ bv36 32))) (not (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv31 32)) ?x1) (bvmul (bvneg (_ bv36 32)) ?x2)) (bvmul (bvneg (_ bv70 32)) ?x3)) ?v_20) (bvneg (_ bv10 32))))))) (and (and (or (bvslt (bvadd (bvadd ?v_7 ?v_8) ?v_9) (bvneg (_ bv71 32))) (not (= (bvadd ?v_21 (bvmul (bvneg (_ bv35 32)) ?x4)) (_ bv98 32)))) (and (bvslt (bvmul (_ bv78 32) ?x3) (_ bv34 32)) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv100 32)) ?x1) (bvmul (bvneg (_ bv78 32)) ?x2)) (bvmul (bvneg (_ bv17 32)) ?x3)) (_ bv0 32)))) (or (or (bvslt (bvadd (bvadd ?v_10 (bvmul (_ bv88 32) ?x3)) ?v_11) (bvneg (_ bv5 32))) (not (= (bvadd (bvadd (bvadd ?v_25 (bvmul (_ bv83 32) ?x2)) ?v_27) (bvmul (bvneg (_ bv62 32)) ?x4)) (_ bv0 32)))) (and (bvsge (bvadd (bvadd (bvmul (_ bv20 32) ?x1) (bvmul (bvneg (_ bv93 32)) ?x2)) (bvmul (bvneg (_ bv64 32)) ?x3)) (bvneg (_ bv89 32))) (bvslt (bvadd (bvmul (_ bv76 32) ?x2) (bvmul (_ bv17 32) ?x4)) (bvneg (_ bv41 32))))))))) (and (and (and (and (or (or (bvsge (bvadd (bvadd (bvadd (bvmul (_ bv75 32) ?x1) ?v_56) (bvmul (_ bv81 32) ?x3)) (bvmul (_ bv8 32) ?x4)) (_ bv0 32)) (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv32 32)) ?x1) ?v_12) (bvmul (_ bv89 32) ?x4)) (_ bv34 32))) (and (or (bvsge (bvadd (bvadd (bvmul (_ bv38 32) ?x2) (bvmul (bvneg (_ bv50 32)) ?x3)) (bvmul (_ bv46 32) ?x4)) (_ bv55 32)) (bvsle (bvadd ?v_13 (bvmul (bvneg (_ bv83 32)) ?x3)) (_ bv50 32))) (and (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv46 32)) ?x1) ?v_14) (bvmul (_ bv84 32) ?x4)) (_ bv41 32)) (bvsle (bvadd (bvadd (bvmul (_ bv94 32) ?x1) (bvmul (_ bv43 32) ?x3)) ?v_65) (_ bv2 32))))) (or (or (= (bvadd (bvadd (bvadd (bvmul (_ bv100 32) ?x1) ?v_15) ?v_16) ?v_36) (_ bv63 32)) (= (bvadd (bvadd (bvmul (bvneg (_ bv93 32)) ?x1) ?v_17) (bvmul (_ bv10 32) ?x3)) (_ bv33 32))) (and (bvsge (bvadd (bvadd (bvmul (_ bv85 32) ?x1) ?v_18) ?v_33) (bvneg (_ bv8 32))) (bvsge (bvadd (bvadd ?v_45 ?v_10) (bvmul (_ bv60 32) ?x3)) (_ bv0 32))))) (or (and (and (bvsge (bvadd (bvmul (_ bv11 32) ?x1) ?v_18) (_ bv0 32)) (and (not (= (bvadd (bvmul (bvneg (_ bv90 32)) ?x1) ?v_30) (_ bv54 32))) (bvsgt (bvadd (bvmul (_ bv37 32) ?x2) (bvmul (bvneg (_ bv93 32)) ?x3)) (_ bv18 32)))) (or (or (= (bvadd (bvadd (bvadd ?v_19 (bvmul (bvneg (_ bv31 32)) ?x2)) ?v_47) ?v_20) (_ bv0 32)) (bvsle (bvadd (bvadd (bvadd (bvmul (_ bv1 32) ?x1) (bvmul (_ bv26 32) ?x2)) ?v_71) (bvmul (bvneg (_ bv74 32)) ?x4)) (bvneg (_ bv61 32)))) (and (bvsgt (bvadd (bvadd ?v_66 (bvmul (bvneg (_ bv32 32)) ?x2)) (bvmul (_ bv51 32) ?x4)) (bvneg (_ bv45 32))) (= (bvadd (bvadd (bvmul (bvneg (_ bv66 32)) ?x1) (bvmul (bvneg (_ bv3 32)) ?x3)) (bvmul (bvneg (_ bv89 32)) ?x4)) (_ bv14 32))))) (and (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv20 32)) ?x1) (bvmul (bvneg (_ bv81 32)) ?x3)) (bvmul (bvneg (_ bv33 32)) ?x4)) (bvneg (_ bv100 32))) (and (or (bvsle (bvadd (bvadd (bvadd (bvmul (_ bv31 32) ?x1) (bvmul (bvneg (_ bv79 32)) ?x2)) (bvmul (bvneg (_ bv59 32)) ?x3)) (bvmul (_ bv37 32) ?x4)) (_ bv74 32)) (= (bvadd (bvadd (bvadd (bvmul (_ bv47 32) ?x1) (bvmul (_ bv27 32) ?x2)) ?v_21) (bvmul (_ bv54 32) ?x4)) (bvneg (_ bv55 32)))) (or (bvsle (bvadd (bvadd (bvadd ?v_22 (bvmul (_ bv49 32) ?x2)) ?v_42) ?v_23) (bvneg (_ bv67 32))) (bvsge (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv60 32)) ?x1) (bvmul (bvneg (_ bv16 32)) ?x2)) ?v_24) (bvmul (_ bv33 32) ?x4)) (_ bv88 32))))))) (or (or (or (or (and (not (= (bvadd (bvadd (bvadd ?v_25 ?v_34) (bvmul (bvneg (_ bv60 32)) ?x3)) (bvmul (bvneg (_ bv77 32)) ?x4)) (bvneg (_ bv9 32)))) (= (bvadd (bvadd (bvadd (bvmul (_ bv46 32) ?x1) (bvmul (bvneg (_ bv61 32)) ?x2)) ?v_64) (bvmul (_ bv70 32) ?x4)) (_ bv32 32))) (and (bvslt (bvmul (bvneg (_ bv39 32)) ?x4) (_ bv82 32)) (not (= (bvadd (bvadd (bvmul (_ bv6 32) ?x1) (bvmul (_ bv42 32) ?x2)) ?v_23) (_ bv75 32))))) (and (and (bvsgt (bvadd (bvadd (bvmul (_ bv7 32) ?x1) (bvmul (_ bv17 32) ?x2)) (bvmul (bvneg (_ bv45 32)) ?x3)) (_ bv6 32)) (bvsge (bvadd ?v_26 (bvmul (bvneg (_ bv35 32)) ?x3)) (bvneg (_ bv62 32)))) (and (not (= (bvadd (bvadd (bvmul (_ bv2 32) ?x1) ?v_26) (bvmul (_ bv80 32) ?x3)) (bvneg (_ bv78 32)))) (bvsgt (bvadd (bvmul (bvneg (_ bv40 32)) ?x1) ?v_27) (_ bv0 32))))) (and (and (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv86 32)) ?x2) ?v_28) ?v_29) (bvneg (_ bv62 32))) (= (bvadd (bvadd (bvmul (bvneg (_ bv73 32)) ?x1) (bvmul (bvneg (_ bv14 32)) ?x2)) ?v_74) (_ bv84 32))) (or (bvsgt (bvadd (bvadd ?v_40 (bvmul (_ bv37 32) ?x3)) (bvmul (_ bv83 32) ?x4)) (bvneg (_ bv73 32))) (not (= (bvadd (bvmul (bvneg (_ bv87 32)) ?x1) ?v_30) (bvneg (_ bv88 32))))))) (and (or (or (and (bvsgt (bvadd (bvadd (bvadd (bvmul (_ bv68 32) ?x1) (bvmul (_ bv75 32) ?x2)) (bvmul (bvneg (_ bv26 32)) ?x3)) ?v_31) (bvneg (_ bv54 32))) (bvsle (bvadd (bvmul (bvneg (_ bv68 32)) ?x2) ?v_32) (bvneg (_ bv82 32)))) (or (bvsgt (bvadd (bvmul (bvneg (_ bv22 32)) ?x2) (bvmul (bvneg (_ bv2 32)) ?x4)) (_ bv3 32)) (bvsgt (bvadd (bvadd (bvmul (_ bv88 32) ?x1) ?v_33) ?v_31) (_ bv0 32)))) (and (bvsge (bvmul (bvneg (_ bv29 32)) ?x4) (_ bv0 32)) (bvsgt (bvadd (bvadd ?v_34 ?v_35) (bvmul (bvneg (_ bv66 32)) ?x4)) (_ bv35 32)))) (and (or (and (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv85 32)) ?x2) ?v_59) (bvmul (bvneg (_ bv20 32)) ?x4)) (_ bv100 32)) (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv75 32)) ?x2) ?v_49) ?v_36) (_ bv0 32))) (or (bvsgt (bvadd (bvmul (_ bv18 32) ?x1) (bvmul (_ bv87 32) ?x3)) (_ bv0 32)) (bvslt (bvadd (bvadd (bvadd ?v_37 ?v_38) ?v_0) ?v_43) (_ bv28 32)))) (or (bvsge (bvadd (bvmul (_ bv33 32) ?x3) ?v_39) (bvneg (_ bv71 32))) (not (= (bvadd (bvadd ?v_40 (bvmul (_ bv75 32) ?x3)) (bvmul (_ bv99 32) ?x4)) (_ bv0 32)))))))) (or (or (and (or (bvsgt (bvmul (bvneg (_ bv11 32)) ?x3) (bvneg (_ bv81 32))) (bvsgt (bvadd (bvmul (bvneg (_ bv41 32)) ?x1) (bvmul (bvneg (_ bv10 32)) ?x4)) (bvneg (_ bv81 32)))) (and (= (bvadd (bvadd (bvmul (_ bv62 32) ?x1) ?v_41) (bvmul (bvneg (_ bv14 32)) ?x4)) (_ bv0 32)) (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv78 32)) ?x1) (bvmul (bvneg (_ bv59 32)) ?x2)) (bvmul (_ bv77 32) ?x4)) (bvneg (_ bv74 32))))) (or (or (and (bvsle (bvadd ?v_42 ?v_43) (_ bv0 32)) (and (bvsle (bvadd (bvmul (bvneg (_ bv99 32)) ?x1) ?v_44) (bvneg (_ bv91 32))) (not (= (bvadd (bvadd (bvadd ?v_53 (bvmul (bvneg (_ bv45 32)) ?x2)) ?v_9) (bvmul (bvneg (_ bv6 32)) ?x4)) (bvneg (_ bv21 32)))))) (and (not (= (bvadd (bvmul (bvneg (_ bv51 32)) ?x3) (bvmul (bvneg (_ bv70 32)) ?x4)) (bvneg (_ bv34 32)))) (and (bvsle (bvadd (bvadd ?v_45 (bvmul (_ bv20 32) ?x2)) ?v_46) (bvneg (_ bv85 32))) (bvsle (bvadd (bvadd (bvmul (_ bv35 32) ?x2) ?v_47) ?v_48) (bvneg (_ bv49 32)))))) (and (and (or (bvslt (bvadd (bvadd (bvadd (bvmul (_ bv12 32) ?x1) ?v_57) ?v_49) (bvmul (bvneg (_ bv22 32)) ?x4)) (_ bv0 32)) (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv49 32)) ?x2) ?v_50) (bvmul (bvneg (_ bv18 32)) ?x4)) (_ bv0 32))) (and (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv64 32)) ?x2) (bvmul (_ bv1 32) ?x3)) ?v_73) (_ bv0 32)) (not (= (bvmul (bvneg (_ bv84 32)) ?x1) (_ bv84 32))))) (or (or (bvslt (bvadd (bvadd ?v_51 (bvmul (_ bv90 32) ?x3)) (bvmul (_ bv82 32) ?x4)) (_ bv0 32)) (bvsge (bvadd (bvadd ?v_15 (bvmul (bvneg (_ bv96 32)) ?x3)) ?v_52) (_ bv61 32))) (or (bvslt (bvadd (bvadd (bvadd ?v_22 (bvmul (bvneg (_ bv11 32)) ?x2)) (bvmul (bvneg (_ bv56 32)) ?x3)) (bvmul (bvneg (_ bv61 32)) ?x4)) (_ bv0 32)) (bvslt (bvmul (_ bv49 32) ?x3) (_ bv0 32))))))) (and (or (and (or (and (bvsle (bvadd (bvadd ?v_72 (bvmul (bvneg (_ bv20 32)) ?x3)) ?v_60) (_ bv53 32)) (bvslt (bvadd (bvadd ?v_53 (bvmul (_ bv97 32) ?x2)) (bvmul (_ bv42 32) ?x3)) (_ bv100 32))) (or (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv50 32)) ?x1) (bvmul (bvneg (_ bv18 32)) ?x2)) ?v_54) (bvmul (_ bv4 32) ?x4)) (_ bv65 32)) (bvsge (bvadd (bvadd ?v_55 (bvmul (_ bv30 32) ?x3)) (bvmul (_ bv63 32) ?x4)) (bvneg (_ bv71 32))))) (and (or (bvsle (bvadd (bvmul (bvneg (_ bv16 32)) ?x3) (bvmul (_ bv7 32) ?x4)) (_ bv80 32)) (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv4 32)) ?x1) ?v_56) ?v_63) (bvmul (_ bv36 32) ?x4)) (_ bv62 32))) (bvslt (bvadd (bvadd (bvadd (bvmul (_ bv43 32) ?x1) ?v_57) (bvmul (bvneg (_ bv37 32)) ?x3)) ?v_68) (_ bv28 32)))) (and (and (and (bvslt (bvadd (bvmul (bvneg (_ bv56 32)) ?x1) (bvmul (bvneg (_ bv37 32)) ?x4)) (_ bv1 32)) (bvslt ?v_37 (_ bv0 32))) (and (bvslt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv42 32)) ?x1) ?v_30) (bvmul (bvneg (_ bv1 32)) ?x3)) (bvmul (_ bv24 32) ?x4)) (_ bv91 32)) (bvsgt (bvadd (bvadd (bvadd (bvmul (_ bv17 32) ?x1) ?v_58) ?v_59) ?v_60) (bvneg (_ bv18 32))))) (or (and (bvsle (bvadd (bvadd ?v_61 (bvmul (bvneg (_ bv5 32)) ?x3)) (bvmul (_ bv59 32) ?x4)) (bvneg (_ bv52 32))) (not (= (bvadd (bvadd (bvmul (_ bv22 32) ?x1) (bvmul (_ bv18 32) ?x3)) ?v_62) (bvneg (_ bv57 32))))) (or (bvslt (bvadd (bvadd ?v_34 ?v_6) (bvmul (_ bv52 32) ?x4)) (_ bv88 32)) (bvslt (bvadd (bvadd (bvmul (_ bv2 32) ?x2) ?v_63) (bvmul (_ bv68 32) ?x4)) (_ bv0 32)))))) (or (and (not (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv8 32)) ?x1) (bvmul (_ bv87 32) ?x2)) (bvmul (bvneg (_ bv94 32)) ?x3)) (bvmul (_ bv50 32) ?x4)) (_ bv3 32))) (and (or (bvsle (bvadd (bvadd (bvmul (_ bv71 32) ?x1) (bvmul (bvneg (_ bv72 32)) ?x3)) (bvmul (bvneg (_ bv24 32)) ?x4)) (_ bv47 32)) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv34 32)) ?x2) (bvmul (_ bv96 32) ?x3)) (bvmul (bvneg (_ bv55 32)) ?x4)) (_ bv29 32))) (or (= (bvadd (bvadd (bvadd (bvmul (_ bv57 32) ?x1) (bvmul (bvneg (_ bv42 32)) ?x2)) ?v_64) ?v_65) (bvneg (_ bv67 32))) (bvsgt (bvadd (bvadd ?v_66 ?v_67) (bvmul (_ bv65 32) ?x4)) (bvneg (_ bv12 32)))))) (or (or (and (bvslt (bvadd (bvmul (bvneg (_ bv19 32)) ?x1) ?v_68) (_ bv0 32)) (bvslt (bvadd (bvadd ?v_69 (bvmul (bvneg (_ bv69 32)) ?x3)) ?v_70) (_ bv70 32))) (or (bvslt (bvadd (bvadd (bvadd (bvmul (_ bv54 32) ?x1) (bvmul (_ bv51 32) ?x2)) ?v_71) (bvmul (bvneg (_ bv27 32)) ?x4)) (bvneg (_ bv62 32))) (bvsle (bvadd (bvadd (bvmul (_ bv30 32) ?x1) ?v_72) ?v_73) (_ bv74 32)))) (or (bvsgt (bvadd (bvmul (_ bv5 32) ?x2) ?v_74) (_ bv26 32)) (bvsge (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv44 32)) ?x1) (bvmul (bvneg (_ bv37 32)) ?x2)) (bvmul (bvneg (_ bv24 32)) ?x3)) (bvmul (_ bv6 32) ?x4)) (_ bv67 32)))))))))))))))
(check-sat)
(exit)
