(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(declare-fun x1 () (_ BitVec 32))
(declare-fun x2 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(declare-fun x4 () (_ BitVec 32))
(assert (forall ((?x1 (_ BitVec 32))) (exists ((?x2 (_ BitVec 32))) (forall ((?x3 (_ BitVec 32))) (exists ((?x4 (_ BitVec 32))) (let ((?v_48 (bvmul (_ bv75 32) ?x3)) (?v_111 (bvmul (_ bv56 32) ?x1)) (?v_73 (bvmul (_ bv58 32) ?x4)) (?v_22 (bvmul (_ bv1 32) ?x3)) (?v_18 (bvmul (_ bv7 32) ?x4)) (?v_37 (bvmul (_ bv29 32) ?x3)) (?v_91 (bvmul (_ bv59 32) ?x3)) (?v_21 (bvmul (_ bv78 32) ?x2)) (?v_84 (bvmul (_ bv55 32) ?x4)) (?v_4 (bvmul (_ bv55 32) ?x1)) (?v_1 (bvmul (_ bv32 32) ?x4)) (?v_50 (bvmul (_ bv75 32) ?x2)) (?v_40 (bvmul (_ bv19 32) ?x2)) (?v_82 (bvmul (_ bv75 32) ?x4)) (?v_33 (bvmul (_ bv14 32) ?x2)) (?v_93 (bvmul (_ bv82 32) ?x1)) (?v_24 (bvmul (_ bv28 32) ?x4)) (?v_77 (bvmul (_ bv50 32) ?x3)) (?v_110 (bvmul (_ bv96 32) ?x3)) (?v_56 (bvmul (_ bv70 32) ?x3)) (?v_9 (bvmul (_ bv2 32) ?x3)) (?v_12 (bvmul (_ bv32 32) ?x2)) (?v_17 (bvmul (_ bv36 32) ?x1)) (?v_101 (bvmul (_ bv69 32) ?x1)) (?v_20 (bvmul (_ bv98 32) ?x2)) (?v_15 (bvmul (_ bv93 32) ?x4)) (?v_60 (bvmul (_ bv17 32) ?x3)) (?v_92 (bvmul (_ bv94 32) ?x4)) (?v_36 (bvmul (_ bv90 32) ?x3)) (?v_23 (bvmul (_ bv80 32) ?x1)) (?v_27 (bvmul (_ bv28 32) ?x3)) (?v_26 (bvmul (_ bv30 32) ?x2)) (?v_100 (bvmul (_ bv11 32) ?x3)) (?v_103 (bvmul (_ bv69 32) ?x2)) (?v_74 (bvmul (_ bv28 32) ?x1)) (?v_41 (bvmul (_ bv77 32) ?x4)) (?v_30 (bvmul (_ bv5 32) ?x1)) (?v_55 (bvmul (_ bv51 32) ?x1)) (?v_79 (bvmul (_ bv73 32) ?x1)) (?v_89 (bvmul (_ bv97 32) ?x4)) (?v_64 (bvmul (_ bv8 32) ?x3)) (?v_107 (bvmul (_ bv16 32) ?x2)) (?v_68 (bvmul (_ bv42 32) ?x2)) (?v_52 (bvmul (_ bv14 32) ?x4)) (?v_117 (bvmul (_ bv13 32) ?x2)) (?v_114 (bvmul (_ bv38 32) ?x4)) (?v_34 (bvmul (_ bv66 32) ?x1)) (?v_31 (bvmul (_ bv85 32) ?x2)) (?v_46 (bvmul (_ bv90 32) ?x4)) (?v_66 (bvmul (_ bv74 32) ?x1)) (?v_35 (bvmul (_ bv3 32) ?x1)) (?v_59 (bvmul (_ bv33 32) ?x1)) (?v_98 (bvmul (_ bv68 32) ?x1)) (?v_90 (bvmul (_ bv42 32) ?x4)) (?v_85 (bvmul (_ bv11 32) ?x2)) (?v_108 (bvmul (_ bv15 32) ?x3)) (?v_104 (bvmul (_ bv49 32) ?x4)) (?v_102 (bvmul (_ bv93 32) ?x1)) (?v_120 (bvmul (_ bv5 32) ?x2)) (?v_109 (bvmul (_ bv48 32) ?x1)) (?v_54 (bvmul (bvneg (_ bv93 32)) ?x3)) (?v_5 (bvmul (bvneg (_ bv41 32)) ?x3)) (?v_0 (bvmul (bvneg (_ bv36 32)) ?x1)) (?v_45 (bvmul (bvneg (_ bv19 32)) ?x1)) (?v_39 (bvmul (bvneg (_ bv12 32)) ?x2)) (?v_28 (bvmul (bvneg (_ bv58 32)) ?x1)) (?v_65 (bvmul (bvneg (_ bv44 32)) ?x1)) (?v_96 (bvmul (bvneg (_ bv18 32)) ?x2)) (?v_2 (bvmul (bvneg (_ bv66 32)) ?x4)) (?v_6 (bvmul (bvneg (_ bv30 32)) ?x4)) (?v_3 (bvmul (bvneg (_ bv36 32)) ?x4)) (?v_7 (bvmul (bvneg (_ bv91 32)) ?x3)) (?v_19 (bvmul (bvneg (_ bv91 32)) ?x4)) (?v_47 (bvmul (bvneg (_ bv42 32)) ?x2)) (?v_8 (bvmul (bvneg (_ bv27 32)) ?x1)) (?v_81 (bvmul (bvneg (_ bv5 32)) ?x1)) (?v_29 (bvmul (bvneg (_ bv75 32)) ?x2)) (?v_13 (bvmul (bvneg (_ bv48 32)) ?x3)) (?v_116 (bvmul (bvneg (_ bv57 32)) ?x4)) (?v_16 (bvmul (bvneg (_ bv97 32)) ?x1)) (?v_10 (bvmul (bvneg (_ bv87 32)) ?x3)) (?v_11 (bvmul (bvneg (_ bv94 32)) ?x4)) (?v_14 (bvmul (bvneg (_ bv42 32)) ?x1)) (?v_76 (bvmul (bvneg (_ bv61 32)) ?x1)) (?v_99 (bvmul (bvneg (_ bv14 32)) ?x4)) (?v_25 (bvmul (bvneg (_ bv68 32)) ?x1)) (?v_61 (bvmul (bvneg (_ bv53 32)) ?x4)) (?v_119 (bvmul (bvneg (_ bv57 32)) ?x1)) (?v_38 (bvmul (bvneg (_ bv95 32)) ?x4)) (?v_69 (bvmul (bvneg (_ bv2 32)) ?x1)) (?v_42 (bvmul (bvneg (_ bv56 32)) ?x1)) (?v_115 (bvmul (bvneg (_ bv1 32)) ?x2)) (?v_44 (bvmul (bvneg (_ bv33 32)) ?x4)) (?v_32 (bvmul (bvneg (_ bv33 32)) ?x2)) (?v_94 (bvmul (bvneg (_ bv60 32)) ?x2)) (?v_62 (bvmul (bvneg (_ bv65 32)) ?x2)) (?v_75 (bvmul (bvneg (_ bv40 32)) ?x1)) (?v_72 (bvmul (bvneg (_ bv100 32)) ?x4)) (?v_58 (bvmul (bvneg (_ bv69 32)) ?x2)) (?v_49 (bvmul (bvneg (_ bv34 32)) ?x3)) (?v_70 (bvmul (bvneg (_ bv97 32)) ?x4)) (?v_105 (bvmul (bvneg (_ bv79 32)) ?x3)) (?v_86 (bvmul (bvneg (_ bv25 32)) ?x2)) (?v_51 (bvmul (bvneg (_ bv60 32)) ?x4)) (?v_88 (bvmul (bvneg (_ bv98 32)) ?x2)) (?v_80 (bvmul (bvneg (_ bv93 32)) ?x4)) (?v_87 (bvmul (bvneg (_ bv90 32)) ?x2)) (?v_43 (bvmul (bvneg (_ bv26 32)) ?x3)) (?v_106 (bvmul (bvneg (_ bv28 32)) ?x4)) (?v_53 (bvmul (bvneg (_ bv66 32)) ?x2)) (?v_97 (bvmul (bvneg (_ bv49 32)) ?x4)) (?v_57 (bvmul (bvneg (_ bv39 32)) ?x4)) (?v_113 (bvmul (bvneg (_ bv21 32)) ?x1)) (?v_95 (bvmul (bvneg (_ bv8 32)) ?x4)) (?v_71 (bvmul (bvneg (_ bv56 32)) ?x2)) (?v_63 (bvmul (bvneg (_ bv8 32)) ?x1)) (?v_67 (bvmul (bvneg (_ bv59 32)) ?x1)) (?v_78 (bvmul (bvneg (_ bv23 32)) ?x1)) (?v_83 (bvmul (bvneg (_ bv74 32)) ?x3)) (?v_112 (bvmul (bvneg (_ bv5 32)) ?x3)) (?v_118 (bvmul (bvneg (_ bv38 32)) ?x4))) (and (or (and (or (and (and (or (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv33 32)) ?x1) (bvmul (bvneg (_ bv16 32)) ?x2)) ?v_48) (_ bv94 32)) (bvsle (bvadd (bvadd (bvadd ?v_111 (bvmul (_ bv24 32) ?x2)) ?v_54) (bvmul (bvneg (_ bv29 32)) ?x4)) (_ bv0 32))) (or (bvsgt (bvadd (bvmul (bvneg (_ bv88 32)) ?x2) (bvmul (bvneg (_ bv6 32)) ?x3)) (bvneg (_ bv64 32))) (bvsgt (bvadd (bvadd (bvmul (_ bv49 32) ?x2) ?v_5) (bvmul (_ bv63 32) ?x4)) (bvneg (_ bv73 32))))) (= (bvadd (bvadd (bvmul (_ bv75 32) ?x1) (bvmul (_ bv94 32) ?x2)) ?v_73) (_ bv87 32))) (and (or (and (bvslt (bvadd (bvmul (_ bv84 32) ?x2) (bvmul (_ bv46 32) ?x4)) (_ bv49 32)) (not (= (bvadd (bvadd ?v_0 ?v_22) ?v_18) (_ bv8 32)))) (or (bvsle (bvadd (bvadd ?v_45 ?v_39) ?v_37) (bvneg (_ bv12 32))) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv76 32)) ?x1) (bvmul (bvneg (_ bv20 32)) ?x2)) (bvmul (_ bv45 32) ?x3)) (_ bv93 32)))) (and (and (not (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv78 32)) ?x1) (bvmul (bvneg (_ bv68 32)) ?x2)) ?v_91) (bvmul (_ bv24 32) ?x4)) (_ bv68 32))) (not (= (bvmul (_ bv73 32) ?x2) (_ bv0 32)))) (and (bvsle (bvadd (bvadd ?v_28 ?v_21) ?v_84) (_ bv0 32)) (not (= (bvadd ?v_4 (bvmul (_ bv86 32) ?x4)) (_ bv2 32))))))) (or (or (or (or (bvsge (bvadd (bvadd ?v_65 (bvmul (_ bv91 32) ?x3)) ?v_1) (bvneg (_ bv14 32))) (bvsge (bvadd (bvadd ?v_96 (bvmul (_ bv39 32) ?x3)) ?v_2) (_ bv0 32))) (or (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv64 32)) ?x1) ?v_50) (bvmul (_ bv92 32) ?x3)) (bvmul (_ bv43 32) ?x4)) (_ bv0 32)) (bvslt (bvadd (bvadd (bvadd ?v_0 ?v_40) (bvmul (bvneg (_ bv49 32)) ?x3)) ?v_6) (bvneg (_ bv23 32))))) (and (and (bvslt (bvadd (bvmul (_ bv93 32) ?x3) (bvmul (_ bv99 32) ?x4)) (bvneg (_ bv2 32))) (bvslt (bvadd (bvmul (_ bv97 32) ?x2) ?v_82) (_ bv73 32))) (or (bvsgt (bvadd (bvmul (bvneg (_ bv43 32)) ?x1) ?v_1) (_ bv77 32)) (not (= (bvadd (bvadd ?v_33 (bvmul (bvneg (_ bv39 32)) ?x3)) (bvmul (bvneg (_ bv56 32)) ?x4)) (_ bv0 32)))))) (or (and (and (= (bvadd (bvadd (bvadd ?v_93 (bvmul (_ bv18 32) ?x2)) (bvmul (bvneg (_ bv45 32)) ?x3)) ?v_24) (bvneg (_ bv63 32))) (= ?v_3 (bvneg (_ bv48 32)))) (and (= (bvadd (bvmul (_ bv78 32) ?x1) ?v_7) (_ bv42 32)) (not (= (bvadd (bvmul (_ bv42 32) ?x1) (bvmul (bvneg (_ bv34 32)) ?x4)) (_ bv0 32))))) (or (bvsge (bvadd ?v_77 ?v_19) (bvneg (_ bv5 32))) (not (= (bvadd (bvadd (bvmul (bvneg (_ bv48 32)) ?x1) (bvmul (bvneg (_ bv90 32)) ?x3)) ?v_2) (bvneg (_ bv36 32)))))))) (and (or (and (and (and (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv14 32)) ?x2) (bvmul (bvneg (_ bv28 32)) ?x3)) ?v_3) (_ bv14 32)) (and (not (= (bvadd (bvadd (bvmul (_ bv45 32) ?x1) (bvmul (bvneg (_ bv67 32)) ?x2)) (bvmul (bvneg (_ bv54 32)) ?x3)) (_ bv93 32))) (not (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv28 32)) ?x1) ?v_47) ?v_110) (bvmul (_ bv19 32) ?x4)) (_ bv18 32))))) (and (bvslt (bvadd ?v_8 (bvmul (bvneg (_ bv99 32)) ?x3)) (bvneg (_ bv35 32))) (bvsle (bvadd (bvadd ?v_81 ?v_56) (bvmul (bvneg (_ bv71 32)) ?x4)) (_ bv0 32)))) (or (or (bvsge (bvadd (bvmul (_ bv10 32) ?x1) (bvmul (bvneg (_ bv83 32)) ?x3)) (bvneg (_ bv35 32))) (not (= ?v_9 (_ bv50 32)))) (and (and (= (bvadd (bvadd ?v_29 (bvmul (_ bv23 32) ?x3)) (bvmul (bvneg (_ bv81 32)) ?x4)) (_ bv0 32)) (bvsle (bvadd (bvadd (bvadd (bvmul (_ bv27 32) ?x1) ?v_12) (bvmul (bvneg (_ bv77 32)) ?x3)) (bvmul (bvneg (_ bv21 32)) ?x4)) (_ bv74 32))) (and (bvsge (bvadd (bvadd (bvadd ?v_17 (bvmul (bvneg (_ bv32 32)) ?x2)) ?v_13) ?v_2) (_ bv1 32)) (bvsle (bvadd ?v_4 (bvmul (_ bv2 32) ?x2)) (_ bv74 32)))))) (or (and (and (bvsgt (bvadd (bvadd (bvmul (_ bv12 32) ?x1) ?v_5) ?v_6) (_ bv83 32)) (not (= (bvadd (bvmul (_ bv52 32) ?x2) ?v_7) (_ bv0 32)))) (and (= (bvadd (bvadd ?v_101 ?v_20) (bvmul (bvneg (_ bv22 32)) ?x4)) (_ bv99 32)) (bvslt (bvadd (bvadd ?v_4 (bvmul (bvneg (_ bv28 32)) ?x2)) ?v_116) (bvneg (_ bv35 32))))) (and (or (bvsge (bvadd (bvadd ?v_16 ?v_10) ?v_11) (_ bv0 32)) (= (bvadd (bvadd ?v_8 (bvmul (_ bv87 32) ?x2)) (bvmul (_ bv74 32) ?x3)) (bvneg (_ bv81 32)))) (or (not (= (bvadd (bvmul (bvneg (_ bv44 32)) ?x2) ?v_15) (bvneg (_ bv1 32)))) (bvsgt (bvadd (bvmul (bvneg (_ bv90 32)) ?x1) ?v_1) (_ bv5 32)))))) (and (and (or (or (bvsge (bvadd ?v_9 (bvmul (_ bv87 32) ?x4)) (_ bv88 32)) (bvsle (bvadd (bvadd (bvadd ?v_14 (bvmul (bvneg (_ bv39 32)) ?x2)) ?v_60) (bvmul (bvneg (_ bv35 32)) ?x4)) (bvneg (_ bv39 32)))) (and (bvsge (bvadd (bvadd ?v_76 (bvmul (_ bv64 32) ?x2)) ?v_99) (_ bv0 32)) (bvsgt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv3 32)) ?x1) (bvmul (bvneg (_ bv43 32)) ?x2)) (bvmul (_ bv53 32) ?x3)) ?v_3) (bvneg (_ bv28 32))))) (or (or (bvsge (bvadd (bvadd (bvadd ?v_25 (bvmul (bvneg (_ bv6 32)) ?x2)) ?v_10) ?v_92) (_ bv73 32)) (bvslt (bvadd ?v_36 ?v_11) (bvneg (_ bv17 32)))) (and (= (bvadd (bvmul (_ bv74 32) ?x2) (bvmul (_ bv72 32) ?x4)) (bvneg (_ bv9 32))) (bvsle (bvadd (bvadd ?v_23 (bvmul (_ bv25 32) ?x3)) ?v_61) (bvneg (_ bv69 32)))))) (or (or (and (bvsge (bvadd (bvadd (bvmul (_ bv34 32) ?x2) (bvmul (_ bv60 32) ?x3)) (bvmul (_ bv56 32) ?x4)) (_ bv0 32)) (= (bvadd (bvadd (bvadd ?v_119 (bvmul (_ bv61 32) ?x2)) ?v_27) (bvmul (bvneg (_ bv16 32)) ?x4)) (bvneg (_ bv30 32)))) (and (bvslt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv88 32)) ?x1) ?v_12) ?v_13) (bvmul (bvneg (_ bv31 32)) ?x4)) (bvneg (_ bv80 32))) (bvsgt (bvadd (bvmul (_ bv65 32) ?x2) (bvmul (_ bv84 32) ?x4)) (_ bv95 32)))) (and (or (bvsge (bvadd (bvadd (bvadd ?v_14 (bvmul (_ bv35 32) ?x2)) (bvmul (bvneg (_ bv25 32)) ?x3)) ?v_15) (_ bv0 32)) (bvsle (bvadd (bvadd ?v_16 ?v_26) ?v_100) (_ bv0 32))) (and (bvsle (bvadd (bvadd ?v_14 (bvmul (bvneg (_ bv84 32)) ?x2)) (bvmul (bvneg (_ bv12 32)) ?x3)) (_ bv0 32)) (not (= (bvadd (bvadd (bvmul (bvneg (_ bv89 32)) ?x1) (bvmul (bvneg (_ bv7 32)) ?x3)) ?v_38) (_ bv0 32))))))))) (and (and (or (or (or (or (or (= (bvadd (bvadd ?v_17 ?v_103) (bvmul (_ bv22 32) ?x4)) (bvneg (_ bv31 32))) (= (bvadd (bvadd ?v_74 (bvmul (bvneg (_ bv3 32)) ?x2)) ?v_41) (_ bv0 32))) (bvsge (bvadd (bvadd ?v_30 (bvmul (bvneg (_ bv32 32)) ?x3)) ?v_18) (bvneg (_ bv95 32)))) (or (and (and (bvsgt (bvadd (bvadd ?v_55 (bvmul (bvneg (_ bv51 32)) ?x3)) ?v_19) (bvneg (_ bv55 32))) (bvsge (bvadd (bvadd ?v_79 ?v_20) ?v_89) (_ bv73 32))) (and (= (bvmul (bvneg (_ bv29 32)) ?x3) (bvneg (_ bv24 32))) (not (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv53 32)) ?x1) ?v_21) ?v_64) (bvmul (bvneg (_ bv6 32)) ?x4)) (bvneg (_ bv100 32)))))) (or (bvsle (bvadd (bvmul (_ bv95 32) ?x1) ?v_107) (_ bv68 32)) (bvslt (bvadd (bvadd (bvadd ?v_69 ?v_68) (bvmul (_ bv99 32) ?x3)) (bvmul (_ bv50 32) ?x4)) (_ bv0 32))))) (or (or (and (and (= (bvadd (bvadd (bvmul (_ bv92 32) ?x1) ?v_22) ?v_52) (bvneg (_ bv96 32))) (bvsle (bvadd ?v_23 (bvmul (bvneg (_ bv57 32)) ?x2)) (_ bv0 32))) (or (not (= (bvadd (bvadd (bvadd ?v_42 ?v_115) (bvmul (_ bv5 32) ?x3)) ?v_44) (_ bv0 32))) (bvsle (bvadd (bvadd ?v_117 (bvmul (_ bv33 32) ?x3)) (bvmul (bvneg (_ bv4 32)) ?x4)) (bvneg (_ bv9 32))))) (and (and (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv6 32)) ?x1) ?v_32) (bvmul (bvneg (_ bv58 32)) ?x3)) ?v_24) (bvneg (_ bv96 32))) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv94 32)) ?x2) (bvmul (_ bv27 32) ?x3)) (bvmul (_ bv52 32) ?x4)) (bvneg (_ bv84 32)))) (or (bvsle ?v_94 (_ bv0 32)) (bvsge (bvadd (bvadd (bvmul (_ bv86 32) ?x1) (bvmul (_ bv8 32) ?x2)) (bvmul (_ bv33 32) ?x4)) (_ bv0 32))))) (or (and (= (bvadd (bvadd (bvadd ?v_25 ?v_62) (bvmul (_ bv43 32) ?x3)) (bvmul (bvneg (_ bv98 32)) ?x4)) (bvneg (_ bv70 32))) (not (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv51 32)) ?x1) (bvmul (bvneg (_ bv58 32)) ?x2)) (bvmul (_ bv65 32) ?x3)) (bvmul (bvneg (_ bv89 32)) ?x4)) (bvneg (_ bv99 32))))) (and (bvslt (bvadd (bvadd (bvadd ?v_75 ?v_26) ?v_27) ?v_114) (_ bv0 32)) (and (bvsge (bvadd (bvmul (_ bv88 32) ?x1) ?v_72) (_ bv0 32)) (bvsle (bvadd (bvadd (bvadd ?v_34 ?v_58) (bvmul (_ bv22 32) ?x3)) (bvmul (bvneg (_ bv3 32)) ?x4)) (_ bv96 32))))))) (or (and (bvsge (bvadd (bvadd ?v_28 ?v_29) (bvmul (bvneg (_ bv86 32)) ?x3)) (_ bv31 32)) (not (= (bvadd (bvadd (bvmul (bvneg (_ bv59 32)) ?x2) (bvmul (_ bv58 32) ?x3)) (bvmul (_ bv30 32) ?x4)) (_ bv6 32)))) (and (and (bvsge (bvadd (bvadd ?v_31 ?v_49) ?v_70) (_ bv67 32)) (not (= (bvadd (bvmul (bvneg (_ bv36 32)) ?x2) ?v_46) (_ bv0 32)))) (or (bvslt (bvadd (bvmul (bvneg (_ bv30 32)) ?x1) (bvmul (_ bv37 32) ?x3)) (bvneg (_ bv26 32))) (bvslt (bvadd (bvadd ?v_30 (bvmul (_ bv55 32) ?x3)) (bvmul (bvneg (_ bv42 32)) ?x4)) (_ bv97 32)))))) (and (and (and (and (or (or (= (bvadd (bvadd (bvmul (bvneg (_ bv94 32)) ?x1) (bvmul (bvneg (_ bv71 32)) ?x3)) (bvmul (bvneg (_ bv74 32)) ?x4)) (bvneg (_ bv21 32))) (= (bvadd (bvadd ?v_66 (bvmul (_ bv83 32) ?x3)) (bvmul (bvneg (_ bv1 32)) ?x4)) (_ bv33 32))) (or (bvsge (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv47 32)) ?x1) ?v_31) ?v_105) (bvmul (bvneg (_ bv40 32)) ?x4)) (_ bv25 32)) (bvslt (bvadd (bvadd (bvmul (_ bv1 32) ?x1) ?v_32) (bvmul (_ bv92 32) ?x4)) (_ bv82 32)))) (or (bvsle (bvadd ?v_33 (bvmul (bvneg (_ bv68 32)) ?x3)) (_ bv32 32)) (not (= (bvmul (bvneg (_ bv71 32)) ?x2) (_ bv21 32))))) (and (and (or (bvsle (bvadd (bvadd ?v_35 ?v_86) ?v_51) (bvneg (_ bv54 32))) (= (bvadd (bvadd (bvadd ?v_59 ?v_88) (bvmul (_ bv41 32) ?x3)) (bvmul (_ bv57 32) ?x4)) (bvneg (_ bv84 32)))) (or (not (= (bvadd (bvadd (bvadd ?v_34 (bvmul (_ bv40 32) ?x2)) (bvmul (bvneg (_ bv46 32)) ?x3)) ?v_80) (bvneg (_ bv13 32)))) (bvsle (bvadd (bvadd ?v_35 ?v_87) (bvmul (_ bv53 32) ?x4)) (_ bv0 32)))) (and (and (bvsge (bvadd (bvmul (_ bv93 32) ?x2) ?v_36) (_ bv40 32)) (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv80 32)) ?x1) (bvmul (_ bv9 32) ?x2)) ?v_37) (bvmul (_ bv37 32) ?x4)) (bvneg (_ bv72 32)))) (or (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv65 32)) ?x1) ?v_43) ?v_38) (bvneg (_ bv3 32))) (not (= (bvadd ?v_39 ?v_106) (bvneg (_ bv82 32)))))))) (or (and (bvsge (bvadd (bvmul (_ bv14 32) ?x1) (bvmul (_ bv88 32) ?x2)) (bvneg (_ bv23 32))) (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv24 32)) ?x1) ?v_40) (bvmul (_ bv24 32) ?x3)) ?v_41) (_ bv66 32))) (bvsle (bvadd (bvadd ?v_42 ?v_43) ?v_44) (_ bv44 32)))) (and (and (or (or (not (= (bvadd (bvadd ?v_45 (bvmul (bvneg (_ bv99 32)) ?x2)) ?v_46) (_ bv81 32))) (= (bvadd (bvadd (bvmul (bvneg (_ bv15 32)) ?x1) (bvmul (_ bv62 32) ?x2)) (bvmul (bvneg (_ bv99 32)) ?x4)) (bvneg (_ bv34 32)))) (and (and (not (= (bvadd (bvadd (bvmul (_ bv19 32) ?x1) ?v_47) ?v_48) (_ bv0 32))) (not (= (bvadd (bvmul (_ bv54 32) ?x1) ?v_49) (_ bv0 32)))) (or (= (bvadd (bvadd (bvmul (bvneg (_ bv95 32)) ?x1) ?v_53) ?v_97) (bvneg (_ bv69 32))) (bvsgt (bvadd (bvadd (bvmul (_ bv35 32) ?x1) ?v_10) (bvmul (bvneg (_ bv72 32)) ?x4)) (bvneg (_ bv22 32)))))) (or (and (not (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv83 32)) ?x1) ?v_50) (bvmul (bvneg (_ bv64 32)) ?x3)) ?v_51) (_ bv63 32))) (bvsgt (bvadd (bvadd (bvmul (_ bv94 32) ?x1) (bvmul (bvneg (_ bv62 32)) ?x3)) ?v_52) (_ bv51 32))) (or (or (bvsgt (bvadd (bvmul (bvneg (_ bv15 32)) ?x2) ?v_57) (bvneg (_ bv76 32))) (bvsge (bvadd (bvadd ?v_113 ?v_53) ?v_95) (_ bv0 32))) (and (= (bvadd (bvmul (bvneg (_ bv61 32)) ?x2) ?v_54) (_ bv54 32)) (bvslt (bvadd ?v_22 (bvmul (bvneg (_ bv90 32)) ?x4)) (bvneg (_ bv83 32))))))) (or (and (or (bvslt (bvadd (bvadd (bvadd ?v_98 (bvmul (_ bv33 32) ?x2)) (bvmul (_ bv78 32) ?x3)) (bvmul (bvneg (_ bv80 32)) ?x4)) (_ bv0 32)) (= (bvadd (bvadd ?v_55 ?v_71) ?v_56) (bvneg (_ bv64 32)))) (or (bvsle (bvadd ?v_63 ?v_57) (_ bv2 32)) (bvsge (bvadd (bvadd ?v_67 ?v_58) ?v_90) (_ bv55 32)))) (and (and (bvsge (bvadd (bvadd ?v_59 ?v_85) ?v_60) (bvneg (_ bv20 32))) (bvsge (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv20 32)) ?x1) (bvmul (bvneg (_ bv23 32)) ?x2)) (bvmul (_ bv67 32) ?x3)) ?v_61) (bvneg (_ bv59 32)))) (or (bvsge (bvadd (bvmul (bvneg (_ bv11 32)) ?x1) ?v_62) (_ bv28 32)) (bvsge (bvadd (bvmul (_ bv49 32) ?x1) (bvmul (_ bv26 32) ?x2)) (_ bv55 32)))))))) (and (or (and (or (and (or (or (bvsle (bvadd (bvmul (bvneg (_ bv42 32)) ?x3) (bvmul (bvneg (_ bv73 32)) ?x4)) (_ bv0 32)) (= (bvadd (bvadd (bvmul (bvneg (_ bv79 32)) ?x1) (bvmul (_ bv22 32) ?x2)) (bvmul (bvneg (_ bv61 32)) ?x3)) (bvneg (_ bv75 32)))) (or (bvsle (bvmul (bvneg (_ bv26 32)) ?x2) (_ bv66 32)) (bvsgt (bvadd (bvmul (bvneg (_ bv75 32)) ?x1) ?v_26) (bvneg (_ bv34 32))))) (or (and (bvsge (bvadd (bvadd ?v_63 ?v_64) (bvmul (_ bv78 32) ?x4)) (_ bv0 32)) (= (bvadd (bvadd (bvadd ?v_65 (bvmul (bvneg (_ bv17 32)) ?x2)) (bvmul (_ bv34 32) ?x3)) (bvmul (_ bv88 32) ?x4)) (_ bv0 32))) (and (bvslt (bvadd ?v_66 (bvmul (bvneg (_ bv93 32)) ?x2)) (_ bv46 32)) (bvsge (bvadd (bvadd ?v_63 (bvmul (_ bv66 32) ?x3)) (bvmul (_ bv3 32) ?x4)) (bvneg (_ bv38 32)))))) (or (or (= (bvadd (bvadd ?v_67 ?v_108) (bvmul (bvneg (_ bv67 32)) ?x4)) (_ bv0 32)) (bvsgt (bvadd (bvadd (bvadd ?v_16 ?v_68) (bvmul (bvneg (_ bv2 32)) ?x3)) (bvmul (bvneg (_ bv58 32)) ?x4)) (_ bv3 32))) (and (and (= (bvadd (bvadd ?v_69 (bvmul (_ bv71 32) ?x2)) ?v_70) (bvneg (_ bv90 32))) (bvslt (bvadd (bvmul (_ bv32 32) ?x3) (bvmul (_ bv15 32) ?x4)) (_ bv97 32))) (bvslt (bvadd (bvadd (bvadd ?v_78 ?v_53) (bvmul (bvneg (_ bv18 32)) ?x3)) ?v_51) (bvneg (_ bv8 32)))))) (or (and (and (bvsgt (bvadd (bvadd (bvadd ?v_28 ?v_71) (bvmul (bvneg (_ bv84 32)) ?x3)) ?v_72) (_ bv0 32)) (bvsgt (bvadd (bvmul (_ bv96 32) ?x1) ?v_104) (_ bv0 32))) (or (bvsle (bvadd (bvadd (bvmul (_ bv71 32) ?x1) (bvmul (_ bv67 32) ?x2)) ?v_73) (bvneg (_ bv49 32))) (bvsle (bvadd ?v_74 (bvmul (_ bv8 32) ?x4)) (bvneg (_ bv1 32))))) (or (or (bvslt (bvadd (bvadd (bvadd ?v_75 (bvmul (bvneg (_ bv91 32)) ?x2)) (bvmul (bvneg (_ bv88 32)) ?x3)) (bvmul (_ bv4 32) ?x4)) (_ bv0 32)) (bvsgt (bvadd (bvadd ?v_76 (bvmul (bvneg (_ bv4 32)) ?x2)) ?v_77) (_ bv0 32))) (or (bvslt (bvadd (bvadd (bvadd ?v_78 (bvmul (_ bv81 32) ?x2)) (bvmul (bvneg (_ bv100 32)) ?x3)) ?v_52) (bvneg (_ bv26 32))) (bvslt (bvadd (bvadd (bvmul (_ bv44 32) ?x1) (bvmul (_ bv70 32) ?x2)) ?v_83) (_ bv0 32)))))) (or (and (or (or (or (= (bvadd (bvadd (bvadd ?v_79 ?v_62) (bvmul (bvneg (_ bv63 32)) ?x3)) ?v_80) (_ bv69 32)) (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv46 32)) ?x1) (bvmul (bvneg (_ bv96 32)) ?x3)) (bvmul (bvneg (_ bv26 32)) ?x4)) (_ bv34 32))) (bvsgt (bvadd (bvadd ?v_81 ?v_7) ?v_82) (_ bv0 32))) (or (or (not (= (bvadd (bvadd (bvadd (bvmul (_ bv53 32) ?x1) (bvmul (bvneg (_ bv49 32)) ?x2)) ?v_83) ?v_84) (_ bv0 32))) (not (= (bvadd (bvadd ?v_85 (bvmul (_ bv71 32) ?x3)) (bvmul (_ bv51 32) ?x4)) (_ bv98 32)))) (= (bvadd (bvmul (_ bv53 32) ?x2) (bvmul (bvneg (_ bv85 32)) ?x4)) (_ bv0 32)))) (or (and (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv26 32)) ?x1) ?v_86) (bvmul (bvneg (_ bv21 32)) ?x3)) (bvmul (bvneg (_ bv77 32)) ?x4)) (_ bv71 32)) (and (not (= (bvadd (bvadd ?v_65 ?v_87) (bvmul (_ bv44 32) ?x3)) (_ bv0 32))) (bvsgt (bvadd (bvadd (bvadd ?v_102 (bvmul (_ bv60 32) ?x2)) (bvmul (_ bv10 32) ?x3)) (bvmul (bvneg (_ bv41 32)) ?x4)) (_ bv80 32)))) (or (or (= (bvadd (bvmul (bvneg (_ bv10 32)) ?x1) ?v_88) (_ bv0 32)) (bvslt (bvadd (bvmul (_ bv68 32) ?x3) ?v_89) (_ bv40 32))) (and (= (bvadd (bvadd (bvmul (_ bv85 32) ?x1) (bvmul (bvneg (_ bv4 32)) ?x3)) ?v_90) (_ bv96 32)) (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv69 32)) ?x1) ?v_112) (bvmul (bvneg (_ bv61 32)) ?x4)) (_ bv19 32)))))) (and (or (bvslt (bvadd (bvadd (bvadd ?v_25 (bvmul (_ bv92 32) ?x2)) ?v_91) (bvmul (_ bv64 32) ?x4)) (bvneg (_ bv8 32))) (bvslt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv60 32)) ?x1) ?v_40) ?v_13) ?v_92) (bvneg (_ bv8 32)))) (and (or (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv52 32)) ?x1) (bvmul (_ bv63 32) ?x2)) (bvmul (_ bv100 32) ?x3)) (bvmul (_ bv41 32) ?x4)) (_ bv89 32)) (bvsgt (bvadd (bvadd (bvadd ?v_93 (bvmul (bvneg (_ bv31 32)) ?x2)) (bvmul (_ bv3 32) ?x3)) (bvmul (_ bv79 32) ?x4)) (_ bv0 32))) (and (= (bvadd (bvadd (bvmul (_ bv52 32) ?x1) ?v_94) ?v_95) (_ bv86 32)) (not (= (bvadd ?v_96 (bvmul (bvneg (_ bv15 32)) ?x3)) (_ bv90 32)))))))) (or (or (and (or (and (bvsge (bvadd (bvadd (bvadd (bvmul (_ bv20 32) ?x1) (bvmul (_ bv86 32) ?x2)) (bvmul (bvneg (_ bv20 32)) ?x3)) ?v_82) (_ bv28 32)) (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv96 32)) ?x1) ?v_120) ?v_49) (_ bv25 32))) (bvsle (bvadd (bvmul (_ bv89 32) ?x2) (bvmul (bvneg (_ bv18 32)) ?x4)) (_ bv26 32))) (and (and (bvsge ?v_97 (bvneg (_ bv35 32))) (= (bvadd (bvmul (bvneg (_ bv23 32)) ?x3) (bvmul (_ bv61 32) ?x4)) (bvneg (_ bv40 32)))) (= (bvadd ?v_98 ?v_99) (bvneg (_ bv45 32))))) (or (or (bvsgt (bvadd (bvadd (bvmul (_ bv17 32) ?x1) (bvmul (_ bv95 32) ?x2)) (bvmul (_ bv63 32) ?x3)) (_ bv0 32)) (bvsge (bvadd ?v_30 ?v_100) (_ bv43 32))) (or (bvslt (bvadd (bvadd ?v_101 (bvmul (_ bv62 32) ?x3)) (bvmul (_ bv27 32) ?x4)) (_ bv0 32)) (bvsge (bvadd (bvadd (bvadd ?v_109 (bvmul (bvneg (_ bv38 32)) ?x2)) (bvmul (_ bv6 32) ?x3)) (bvmul (_ bv39 32) ?x4)) (_ bv70 32))))) (and (or (and (or (or (bvslt (bvadd (bvadd (bvadd (bvmul (_ bv26 32) ?x1) (bvmul (bvneg (_ bv92 32)) ?x2)) (bvmul (_ bv82 32) ?x3)) (bvmul (_ bv67 32) ?x4)) (bvneg (_ bv53 32))) (bvsle (bvadd (bvmul (_ bv7 32) ?x3) (bvmul (bvneg (_ bv47 32)) ?x4)) (bvneg (_ bv36 32)))) (and (= (bvadd (bvadd ?v_102 ?v_103) ?v_104) (_ bv42 32)) (not (= (bvadd ?v_105 (bvmul (_ bv21 32) ?x4)) (_ bv0 32))))) (or (bvsgt (bvadd (bvadd (bvmul (_ bv4 32) ?x2) (bvmul (_ bv80 32) ?x3)) ?v_106) (bvneg (_ bv48 32))) (or (= (bvadd (bvadd (bvadd (bvmul (_ bv76 32) ?x1) (bvmul (_ bv66 32) ?x2)) (bvmul (_ bv79 32) ?x3)) ?v_2) (_ bv30 32)) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv2 32)) ?x2) (bvmul (bvneg (_ bv1 32)) ?x3)) ?v_84) (bvneg (_ bv69 32)))))) (and (or (or (bvsgt (bvadd (bvadd ?v_107 ?v_108) (bvmul (bvneg (_ bv96 32)) ?x4)) (bvneg (_ bv16 32))) (bvsle (bvadd (bvadd (bvadd ?v_109 ?v_40) (bvmul (_ bv87 32) ?x3)) (bvmul (_ bv82 32) ?x4)) (_ bv0 32))) (bvsle (bvadd (bvadd ?v_63 (bvmul (_ bv39 32) ?x2)) ?v_110) (bvneg (_ bv13 32)))) (or (or (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv74 32)) ?x2) ?v_77) (bvmul (_ bv1 32) ?x4)) (_ bv67 32)) (bvsge (bvadd (bvadd (bvadd ?v_111 ?v_71) ?v_112) ?v_118) (_ bv0 32))) (bvslt (bvadd (bvadd (bvadd ?v_113 (bvmul (bvneg (_ bv40 32)) ?x2)) (bvmul (_ bv85 32) ?x3)) ?v_114) (_ bv0 32))))) (or (and (bvsgt (bvadd (bvadd (bvadd (bvmul (_ bv21 32) ?x1) ?v_115) (bvmul (bvneg (_ bv95 32)) ?x3)) ?v_116) (bvneg (_ bv4 32))) (and (bvslt (bvadd (bvadd (bvmul (_ bv63 32) ?x1) ?v_117) ?v_112) (_ bv0 32)) (= (bvadd (bvadd (bvadd (bvmul (_ bv90 32) ?x1) (bvmul (bvneg (_ bv63 32)) ?x2)) (bvmul (bvneg (_ bv30 32)) ?x3)) (bvmul (_ bv83 32) ?x4)) (_ bv0 32)))) (or (and (= (bvadd (bvadd ?v_111 ?v_94) ?v_118) (_ bv0 32)) (bvsgt (bvadd (bvmul (bvneg (_ bv22 32)) ?x1) (bvmul (_ bv12 32) ?x4)) (bvneg (_ bv48 32)))) (and (not (= (bvadd (bvadd (bvadd (bvmul (_ bv34 32) ?x1) (bvmul (_ bv50 32) ?x2)) (bvmul (_ bv57 32) ?x3)) (bvmul (bvneg (_ bv23 32)) ?x4)) (_ bv81 32))) (bvsle (bvadd (bvadd (bvadd ?v_119 ?v_120) (bvmul (bvneg (_ bv57 32)) ?x3)) ?v_19) (_ bv86 32))))))))))))))))
(check-sat)
(exit)
