(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(declare-fun x1 () (_ BitVec 32))
(declare-fun x2 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(declare-fun x4 () (_ BitVec 32))
(assert (forall ((?x1 (_ BitVec 32))) (exists ((?x2 (_ BitVec 32))) (forall ((?x3 (_ BitVec 32))) (exists ((?x4 (_ BitVec 32))) (let ((?v_2 (bvmul (_ bv80 32) ?x3)) (?v_17 (bvmul (_ bv60 32) ?x2)) (?v_18 (bvmul (_ bv22 32) ?x4)) (?v_25 (bvmul (_ bv44 32) ?x1)) (?v_8 (bvmul (_ bv45 32) ?x1)) (?v_32 (bvmul (_ bv18 32) ?x4)) (?v_11 (bvmul (_ bv38 32) ?x1)) (?v_27 (bvmul (_ bv92 32) ?x2)) (?v_24 (bvmul (_ bv74 32) ?x3)) (?v_26 (bvmul (_ bv7 32) ?x4)) (?v_16 (bvmul (_ bv10 32) ?x3)) (?v_28 (bvmul (_ bv40 32) ?x1)) (?v_5 (bvmul (_ bv69 32) ?x1)) (?v_37 (bvmul (_ bv78 32) ?x2)) (?v_15 (bvmul (_ bv73 32) ?x2)) (?v_10 (bvmul (_ bv35 32) ?x4)) (?v_12 (bvmul (_ bv14 32) ?x2)) (?v_34 (bvmul (_ bv51 32) ?x1)) (?v_36 (bvmul (_ bv30 32) ?x1)) (?v_6 (bvmul (bvneg (_ bv1 32)) ?x1)) (?v_13 (bvmul (bvneg (_ bv79 32)) ?x2)) (?v_23 (bvmul (bvneg (_ bv80 32)) ?x2)) (?v_19 (bvmul (bvneg (_ bv8 32)) ?x4)) (?v_0 (bvmul (bvneg (_ bv57 32)) ?x2)) (?v_1 (bvmul (bvneg (_ bv59 32)) ?x3)) (?v_29 (bvmul (bvneg (_ bv60 32)) ?x1)) (?v_21 (bvmul (bvneg (_ bv22 32)) ?x1)) (?v_4 (bvmul (bvneg (_ bv28 32)) ?x2)) (?v_3 (bvmul (bvneg (_ bv49 32)) ?x1)) (?v_7 (bvmul (bvneg (_ bv71 32)) ?x3)) (?v_30 (bvmul (bvneg (_ bv74 32)) ?x2)) (?v_33 (bvmul (bvneg (_ bv43 32)) ?x4)) (?v_9 (bvmul (bvneg (_ bv86 32)) ?x3)) (?v_14 (bvmul (bvneg (_ bv99 32)) ?x1)) (?v_35 (bvmul (bvneg (_ bv72 32)) ?x2)) (?v_20 (bvmul (bvneg (_ bv70 32)) ?x1)) (?v_22 (bvmul (bvneg (_ bv11 32)) ?x4)) (?v_31 (bvmul (bvneg (_ bv10 32)) ?x3))) (and (and (and (and (and (or (or (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv67 32)) ?x2) ?v_2) (bvmul (bvneg (_ bv33 32)) ?x4)) (bvneg (_ bv92 32))) (bvsge (bvadd (bvadd (bvmul (_ bv61 32) ?x1) ?v_17) (bvmul (_ bv89 32) ?x4)) (bvneg (_ bv86 32)))) (and (not (= (bvadd (bvadd ?v_6 (bvmul (bvneg (_ bv10 32)) ?x2)) (bvmul (_ bv48 32) ?x3)) (bvneg (_ bv94 32)))) (= (bvadd (bvmul (_ bv41 32) ?x1) (bvmul (bvneg (_ bv76 32)) ?x4)) (bvneg (_ bv54 32))))) (and (and (not (= (bvmul (_ bv22 32) ?x3) (_ bv26 32))) (bvsgt (bvadd (bvmul (bvneg (_ bv29 32)) ?x2) (bvmul (bvneg (_ bv61 32)) ?x3)) (bvneg (_ bv43 32)))) (and (not (= (bvadd (bvadd (bvmul (_ bv28 32) ?x1) ?v_13) (bvmul (bvneg (_ bv57 32)) ?x3)) (_ bv53 32))) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv17 32)) ?x2) (bvmul (_ bv90 32) ?x3)) ?v_18) (_ bv0 32))))) (or (and (or (bvsge (bvmul (bvneg (_ bv75 32)) ?x3) (_ bv85 32)) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv80 32)) ?x1) ?v_23) (bvmul (_ bv12 32) ?x4)) (bvneg (_ bv18 32)))) (and (bvsgt (bvadd (bvmul (bvneg (_ bv44 32)) ?x2) (bvmul (bvneg (_ bv92 32)) ?x3)) (bvneg (_ bv13 32))) (= (bvadd (bvadd (bvmul (bvneg (_ bv98 32)) ?x2) (bvmul (bvneg (_ bv42 32)) ?x3)) ?v_19) (bvneg (_ bv90 32))))) (and (or (bvsgt (bvadd (bvadd (bvadd ?v_25 ?v_0) (bvmul (bvneg (_ bv3 32)) ?x3)) (bvmul (_ bv56 32) ?x4)) (_ bv20 32)) (not (= (bvadd ?v_8 (bvmul (_ bv88 32) ?x3)) (_ bv0 32)))) (and (= (bvadd (bvadd (bvmul (bvneg (_ bv17 32)) ?x1) (bvmul (_ bv59 32) ?x3)) ?v_32) (_ bv69 32)) (bvsgt (bvadd (bvadd (bvadd ?v_11 (bvmul (_ bv29 32) ?x2)) ?v_1) (bvmul (_ bv6 32) ?x4)) (_ bv38 32)))))) (or (and (or (and (= (bvadd (bvmul (bvneg (_ bv11 32)) ?x3) (bvmul (bvneg (_ bv34 32)) ?x4)) (_ bv9 32)) (bvsge (bvadd (bvadd (bvadd ?v_29 (bvmul (_ bv22 32) ?x2)) (bvmul (_ bv42 32) ?x3)) (bvmul (_ bv76 32) ?x4)) (_ bv0 32))) (and (= (bvadd (bvadd (bvmul (bvneg (_ bv87 32)) ?x1) (bvmul (_ bv34 32) ?x2)) (bvmul (bvneg (_ bv17 32)) ?x3)) (bvneg (_ bv78 32))) (bvslt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv18 32)) ?x1) ?v_27) (bvmul (bvneg (_ bv90 32)) ?x3)) (bvmul (bvneg (_ bv87 32)) ?x4)) (_ bv61 32)))) (or (and (= (bvadd (bvmul (_ bv11 32) ?x1) (bvmul (_ bv32 32) ?x4)) (bvneg (_ bv9 32))) (bvsgt (bvadd (bvadd ?v_21 (bvmul (_ bv67 32) ?x3)) (bvmul (bvneg (_ bv65 32)) ?x4)) (_ bv62 32))) (not (= (bvadd (bvadd (bvmul (_ bv83 32) ?x1) ?v_4) (bvmul (_ bv62 32) ?x4)) (bvneg (_ bv45 32)))))) (or (or (or (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv58 32)) ?x1) ?v_0) (bvmul (bvneg (_ bv45 32)) ?x3)) (bvmul (bvneg (_ bv58 32)) ?x4)) (_ bv93 32)) (bvslt (bvadd (bvadd (bvmul (_ bv29 32) ?x1) ?v_1) (bvmul (bvneg (_ bv24 32)) ?x4)) (_ bv91 32))) (or (not (= (bvadd (bvadd (bvmul (_ bv34 32) ?x1) (bvmul (bvneg (_ bv88 32)) ?x2)) ?v_2) (bvneg (_ bv13 32)))) (bvslt (bvadd ?v_3 (bvmul (_ bv15 32) ?x3)) (bvneg (_ bv53 32))))) (bvslt (bvmul (bvneg (_ bv70 32)) ?x4) (bvneg (_ bv68 32)))))) (or (or (or (and (or (bvsge (bvadd (bvadd (bvadd ?v_3 (bvmul (bvneg (_ bv12 32)) ?x2)) ?v_7) (bvmul (bvneg (_ bv2 32)) ?x4)) (bvneg (_ bv68 32))) (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv12 32)) ?x1) ?v_24) (bvmul (bvneg (_ bv86 32)) ?x4)) (bvneg (_ bv17 32)))) (and (bvslt (bvadd (bvmul (_ bv81 32) ?x2) (bvmul (_ bv17 32) ?x3)) (_ bv13 32)) (= (bvadd (bvadd (bvadd (bvmul (_ bv4 32) ?x1) (bvmul (_ bv72 32) ?x2)) (bvmul (bvneg (_ bv64 32)) ?x3)) (bvmul (_ bv57 32) ?x4)) (_ bv75 32)))) (and (or (bvsgt (bvadd (bvmul (_ bv100 32) ?x1) ?v_26) (_ bv47 32)) (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv20 32)) ?x1) (bvmul (bvneg (_ bv51 32)) ?x2)) (bvmul (bvneg (_ bv32 32)) ?x3)) (bvmul (_ bv30 32) ?x4)) (_ bv0 32))) (or (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv63 32)) ?x1) ?v_4) (bvmul (bvneg (_ bv36 32)) ?x3)) (bvmul (bvneg (_ bv9 32)) ?x4)) (_ bv0 32)) (= (bvadd (bvadd (bvmul (_ bv75 32) ?x1) (bvmul (_ bv90 32) ?x2)) ?v_16) (_ bv3 32))))) (or (or (bvslt (bvadd (bvmul (bvneg (_ bv44 32)) ?x1) (bvmul (bvneg (_ bv30 32)) ?x3)) (bvneg (_ bv59 32))) (bvsgt (bvadd (bvmul (bvneg (_ bv93 32)) ?x1) (bvmul (_ bv64 32) ?x2)) (_ bv0 32))) (or (bvslt (bvadd ?v_30 (bvmul (bvneg (_ bv46 32)) ?x4)) (_ bv0 32)) (and (bvslt (bvadd (bvadd ?v_28 (bvmul (_ bv87 32) ?x2)) ?v_33) (_ bv100 32)) (bvsgt (bvadd (bvadd (bvmul (_ bv74 32) ?x1) ?v_9) (bvmul (_ bv42 32) ?x4)) (_ bv47 32)))))) (and (and (and (not (= (bvmul (bvneg (_ bv75 32)) ?x1) (bvneg (_ bv33 32)))) (bvsgt (bvadd (bvadd ?v_5 ?v_37) (bvmul (bvneg (_ bv31 32)) ?x4)) (bvneg (_ bv69 32)))) (or (bvsgt (bvadd (bvadd (bvadd ?v_5 (bvmul (_ bv52 32) ?x2)) (bvmul (_ bv87 32) ?x3)) (bvmul (bvneg (_ bv63 32)) ?x4)) (_ bv0 32)) (and (not (= (bvadd (bvmul (_ bv82 32) ?x2) (bvmul (bvneg (_ bv90 32)) ?x4)) (_ bv0 32))) (= (bvadd (bvadd ?v_5 (bvmul (bvneg (_ bv35 32)) ?x3)) (bvmul (bvneg (_ bv40 32)) ?x4)) (bvneg (_ bv24 32)))))) (and (or (and (bvsle (bvadd (bvmul (bvneg (_ bv46 32)) ?x1) (bvmul (_ bv56 32) ?x2)) (_ bv12 32)) (= (bvadd (bvadd (bvadd ?v_6 (bvmul (_ bv89 32) ?x2)) (bvmul (_ bv28 32) ?x3)) (bvmul (bvneg (_ bv19 32)) ?x4)) (_ bv69 32))) (or (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv48 32)) ?x2) ?v_7) (bvmul (_ bv8 32) ?x4)) (_ bv31 32)) (bvsge (bvadd (bvadd ?v_8 ?v_9) (bvmul (bvneg (_ bv30 32)) ?x4)) (_ bv0 32)))) (and (or (bvslt (bvadd (bvmul (_ bv78 32) ?x3) (bvmul (_ bv9 32) ?x4)) (bvneg (_ bv62 32))) (bvsgt (bvadd (bvadd ?v_14 (bvmul (bvneg (_ bv18 32)) ?x2)) (bvmul (_ bv94 32) ?x4)) (_ bv62 32))) (and (bvsge (bvadd (bvmul (_ bv68 32) ?x2) (bvmul (_ bv65 32) ?x3)) (_ bv100 32)) (bvslt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv34 32)) ?x1) ?v_35) (bvmul (bvneg (_ bv88 32)) ?x3)) (bvmul (bvneg (_ bv21 32)) ?x4)) (_ bv31 32)))))))) (and (and (and (or (or (or (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv29 32)) ?x1) (bvmul (bvneg (_ bv52 32)) ?x2)) (bvmul (_ bv64 32) ?x3)) (bvneg (_ bv8 32))) (not (= (bvadd (bvadd ?v_8 (bvmul (_ bv50 32) ?x2)) (bvmul (bvneg (_ bv72 32)) ?x3)) (bvneg (_ bv22 32))))) (and (bvsge (bvadd (bvmul (_ bv31 32) ?x1) (bvmul (bvneg (_ bv83 32)) ?x3)) (_ bv0 32)) (= (bvadd (bvmul (bvneg (_ bv66 32)) ?x1) (bvmul (bvneg (_ bv1 32)) ?x3)) (bvneg (_ bv36 32))))) (or (or (not (= (bvadd (bvmul (_ bv29 32) ?x3) (bvmul (bvneg (_ bv23 32)) ?x4)) (_ bv0 32))) (bvsgt (bvadd (bvadd (bvadd ?v_20 ?v_15) (bvmul (bvneg (_ bv20 32)) ?x3)) ?v_10) (bvneg (_ bv85 32)))) (= (bvadd (bvmul (bvneg (_ bv48 32)) ?x1) (bvmul (bvneg (_ bv14 32)) ?x4)) (_ bv0 32)))) (and (or (or (bvsgt (bvadd (bvadd (bvmul (_ bv89 32) ?x1) (bvmul (_ bv62 32) ?x2)) ?v_10) (_ bv68 32)) (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv47 32)) ?x1) (bvmul (_ bv62 32) ?x3)) (bvmul (_ bv14 32) ?x4)) (_ bv0 32))) (not (= (bvadd (bvadd (bvadd ?v_11 ?v_12) (bvmul (bvneg (_ bv39 32)) ?x3)) (bvmul (_ bv51 32) ?x4)) (bvneg (_ bv45 32))))) (and (and (not (= (bvadd ?v_12 (bvmul (bvneg (_ bv89 32)) ?x4)) (_ bv0 32))) (bvsgt (bvadd (bvmul (bvneg (_ bv73 32)) ?x1) ?v_13) (bvneg (_ bv4 32)))) (and (bvsle (bvadd (bvmul (bvneg (_ bv26 32)) ?x2) ?v_22) (_ bv0 32)) (bvslt (bvadd (bvadd (bvadd ?v_14 ?v_15) ?v_16) (bvmul (bvneg (_ bv78 32)) ?x4)) (bvneg (_ bv23 32))))))) (or (and (or (and (= (bvadd (bvadd (bvmul (bvneg (_ bv61 32)) ?x1) ?v_17) ?v_18) (bvneg (_ bv99 32))) (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv74 32)) ?x1) (bvmul (_ bv20 32) ?x2)) (bvmul (bvneg (_ bv9 32)) ?x3)) ?v_19) (_ bv90 32))) (and (not (= (bvadd (bvadd (bvadd (bvmul (_ bv90 32) ?x1) (bvmul (bvneg (_ bv84 32)) ?x2)) (bvmul (_ bv73 32) ?x3)) (bvmul (_ bv68 32) ?x4)) (_ bv0 32))) (bvsgt ?v_34 (bvneg (_ bv31 32))))) (and (bvsge (bvadd (bvadd (bvadd ?v_20 (bvmul (bvneg (_ bv39 32)) ?x2)) (bvmul (bvneg (_ bv60 32)) ?x3)) (bvmul (_ bv82 32) ?x4)) (bvneg (_ bv2 32))) (= (bvadd (bvadd ?v_21 (bvmul (_ bv49 32) ?x3)) (bvmul (bvneg (_ bv13 32)) ?x4)) (_ bv53 32)))) (and (and (bvsgt (bvadd (bvmul (_ bv70 32) ?x2) (bvmul (_ bv100 32) ?x3)) (_ bv54 32)) (bvsgt (bvadd (bvadd (bvmul (_ bv99 32) ?x1) (bvmul (_ bv70 32) ?x3)) (bvmul (bvneg (_ bv88 32)) ?x4)) (bvneg (_ bv69 32)))) (or (bvsgt (bvadd (bvmul (bvneg (_ bv40 32)) ?x1) (bvmul (_ bv19 32) ?x2)) (_ bv0 32)) (and (bvsge (bvadd (bvmul (bvneg (_ bv95 32)) ?x1) (bvmul (_ bv47 32) ?x4)) (_ bv0 32)) (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv15 32)) ?x1) (bvmul (_ bv14 32) ?x3)) ?v_22) (_ bv29 32))))))) (or (or (and (and (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv56 32)) ?x1) (bvmul (bvneg (_ bv68 32)) ?x2)) (bvmul (bvneg (_ bv79 32)) ?x3)) (_ bv74 32)) (bvslt (bvadd ?v_23 ?v_24) (_ bv85 32))) (or (bvslt (bvadd (bvadd (bvadd (bvmul (_ bv87 32) ?x1) (bvmul (bvneg (_ bv66 32)) ?x2)) (bvmul (_ bv32 32) ?x3)) (bvmul (_ bv53 32) ?x4)) (_ bv0 32)) (= (bvadd (bvadd ?v_25 (bvmul (_ bv35 32) ?x3)) (bvmul (bvneg (_ bv83 32)) ?x4)) (_ bv65 32)))) (and (bvsle (bvadd (bvmul (bvneg (_ bv73 32)) ?x2) ?v_31) (_ bv0 32)) (or (bvsgt (bvadd (bvadd (bvmul (_ bv12 32) ?x2) (bvmul (_ bv23 32) ?x3)) ?v_26) (_ bv69 32)) (= (bvadd ?v_27 (bvmul (_ bv11 32) ?x3)) (_ bv98 32))))) (or (and (and (or (bvslt (bvadd (bvadd (bvadd ?v_28 (bvmul (_ bv32 32) ?x2)) (bvmul (bvneg (_ bv15 32)) ?x3)) (bvmul (_ bv77 32) ?x4)) (_ bv19 32)) (bvslt (bvadd (bvadd (bvadd ?v_29 ?v_30) ?v_31) (bvmul (bvneg (_ bv59 32)) ?x4)) (_ bv58 32))) (and (bvsge (bvadd (bvadd (bvmul (_ bv97 32) ?x2) (bvmul (_ bv98 32) ?x3)) (bvmul (_ bv92 32) ?x4)) (_ bv0 32)) (= (bvadd (bvadd (bvadd ?v_36 (bvmul (_ bv66 32) ?x2)) (bvmul (bvneg (_ bv50 32)) ?x3)) ?v_32) (_ bv36 32)))) (or (or (= (bvadd (bvmul (bvneg (_ bv57 32)) ?x1) (bvmul (_ bv36 32) ?x4)) (bvneg (_ bv9 32))) (bvslt (bvmul (_ bv12 32) ?x1) (bvneg (_ bv11 32)))) (or (bvsge (bvadd (bvadd (bvmul (_ bv54 32) ?x2) (bvmul (_ bv97 32) ?x3)) (bvmul (bvneg (_ bv51 32)) ?x4)) (_ bv0 32)) (not (= (bvadd (bvmul (bvneg (_ bv52 32)) ?x3) ?v_33) (_ bv95 32)))))) (and (or (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv11 32)) ?x2) (bvmul (_ bv5 32) ?x3)) (bvmul (_ bv80 32) ?x4)) (bvneg (_ bv82 32))) (and (= (bvadd (bvadd (bvmul (bvneg (_ bv92 32)) ?x1) (bvmul (_ bv24 32) ?x2)) (bvmul (_ bv97 32) ?x4)) (_ bv63 32)) (bvslt (bvadd (bvadd ?v_34 ?v_35) (bvmul (bvneg (_ bv79 32)) ?x4)) (_ bv7 32)))) (and (and (bvsle (bvadd ?v_36 (bvmul (_ bv49 32) ?x4)) (_ bv84 32)) (bvslt (bvadd (bvadd (bvmul (_ bv3 32) ?x1) (bvmul (bvneg (_ bv76 32)) ?x3)) (bvmul (bvneg (_ bv100 32)) ?x4)) (bvneg (_ bv35 32)))) (and (= (bvadd (bvadd (bvadd (bvmul (_ bv76 32) ?x1) ?v_37) (bvmul (_ bv2 32) ?x3)) (bvmul (bvneg (_ bv73 32)) ?x4)) (_ bv57 32)) (bvslt (bvadd (bvmul (_ bv37 32) ?x3) (bvmul (_ bv70 32) ?x4)) (_ bv67 32)))))))))))))))
(check-sat)
(exit)
