(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(declare-fun x1 () (_ BitVec 32))
(declare-fun x2 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(declare-fun x4 () (_ BitVec 32))
(assert (forall ((?x1 (_ BitVec 32))) (exists ((?x2 (_ BitVec 32))) (forall ((?x3 (_ BitVec 32))) (exists ((?x4 (_ BitVec 32))) (let ((?v_88 (bvmul (_ bv8 32) ?x2)) (?v_48 (bvmul (_ bv65 32) ?x4)) (?v_0 (bvmul (_ bv89 32) ?x1)) (?v_79 (bvmul (_ bv94 32) ?x3)) (?v_121 (bvmul (_ bv19 32) ?x4)) (?v_31 (bvmul (_ bv54 32) ?x3)) (?v_24 (bvmul (_ bv14 32) ?x4)) (?v_109 (bvmul (_ bv98 32) ?x1)) (?v_142 (bvmul (_ bv10 32) ?x4)) (?v_60 (bvmul (_ bv36 32) ?x2)) (?v_241 (bvmul (_ bv75 32) ?x1)) (?v_42 (bvmul (_ bv9 32) ?x3)) (?v_14 (bvmul (_ bv66 32) ?x4)) (?v_135 (bvmul (_ bv22 32) ?x1)) (?v_35 (bvmul (_ bv39 32) ?x4)) (?v_33 (bvmul (_ bv87 32) ?x1)) (?v_49 (bvmul (_ bv22 32) ?x2)) (?v_54 (bvmul (_ bv34 32) ?x3)) (?v_140 (bvmul (_ bv86 32) ?x4)) (?v_126 (bvmul (_ bv81 32) ?x3)) (?v_133 (bvmul (_ bv12 32) ?x1)) (?v_8 (bvmul (_ bv88 32) ?x3)) (?v_11 (bvmul (_ bv73 32) ?x1)) (?v_63 (bvmul (_ bv81 32) ?x2)) (?v_192 (bvmul (_ bv40 32) ?x3)) (?v_70 (bvmul (_ bv45 32) ?x4)) (?v_176 (bvmul (_ bv90 32) ?x2)) (?v_27 (bvmul (_ bv44 32) ?x3)) (?v_50 (bvmul (_ bv93 32) ?x4)) (?v_78 (bvmul (_ bv56 32) ?x1)) (?v_22 (bvmul (_ bv88 32) ?x2)) (?v_155 (bvmul (_ bv73 32) ?x4)) (?v_137 (bvmul (_ bv51 32) ?x1)) (?v_106 (bvmul (_ bv12 32) ?x4)) (?v_65 (bvmul (_ bv52 32) ?x2)) (?v_114 (bvmul (_ bv84 32) ?x3)) (?v_134 (bvmul (_ bv18 32) ?x4)) (?v_120 (bvmul (_ bv29 32) ?x1)) (?v_16 (bvmul (_ bv6 32) ?x2)) (?v_25 (bvmul (_ bv82 32) ?x3)) (?v_261 (bvmul (_ bv72 32) ?x2)) (?v_148 (bvmul (_ bv62 32) ?x3)) (?v_187 (bvmul (_ bv91 32) ?x2)) (?v_244 (bvmul (_ bv97 32) ?x1)) (?v_169 (bvmul (_ bv76 32) ?x1)) (?v_41 (bvmul (_ bv23 32) ?x2)) (?v_84 (bvmul (_ bv97 32) ?x3)) (?v_165 (bvmul (_ bv68 32) ?x2)) (?v_101 (bvmul (_ bv44 32) ?x4)) (?v_19 (bvmul (_ bv61 32) ?x2)) (?v_198 (bvmul (_ bv14 32) ?x3)) (?v_32 (bvmul (_ bv56 32) ?x2)) (?v_56 (bvmul (_ bv55 32) ?x4)) (?v_55 (bvmul (_ bv89 32) ?x4)) (?v_141 (bvmul (_ bv6 32) ?x1)) (?v_157 (bvmul (_ bv15 32) ?x4)) (?v_202 (bvmul (_ bv3 32) ?x1)) (?v_40 (bvmul (_ bv30 32) ?x3)) (?v_37 (bvmul (_ bv72 32) ?x1)) (?v_172 (bvmul (_ bv5 32) ?x2)) (?v_28 (bvmul (_ bv70 32) ?x4)) (?v_154 (bvmul (_ bv76 32) ?x3)) (?v_29 (bvmul (_ bv62 32) ?x2)) (?v_86 (bvmul (_ bv93 32) ?x2)) (?v_171 (bvmul (_ bv53 32) ?x1)) (?v_66 (bvmul (_ bv4 32) ?x4)) (?v_128 (bvmul (_ bv62 32) ?x1)) (?v_111 (bvmul (_ bv23 32) ?x3)) (?v_34 (bvmul (_ bv52 32) ?x3)) (?v_69 (bvmul (_ bv58 32) ?x4)) (?v_81 (bvmul (_ bv68 32) ?x1)) (?v_150 (bvmul (_ bv97 32) ?x4)) (?v_80 (bvmul (_ bv75 32) ?x4)) (?v_235 (bvmul (_ bv25 32) ?x1)) (?v_61 (bvmul (_ bv8 32) ?x1)) (?v_175 (bvmul (_ bv85 32) ?x3)) (?v_36 (bvmul (_ bv17 32) ?x1)) (?v_209 (bvmul (_ bv99 32) ?x3)) (?v_107 (bvmul (_ bv84 32) ?x2)) (?v_220 (bvmul (_ bv60 32) ?x1)) (?v_64 (bvmul (_ bv18 32) ?x2)) (?v_237 (bvmul (_ bv36 32) ?x1)) (?v_249 (bvmul (_ bv29 32) ?x3)) (?v_139 (bvmul (_ bv96 32) ?x3)) (?v_238 (bvmul (_ bv7 32) ?x2)) (?v_85 (bvmul (_ bv61 32) ?x1)) (?v_143 (bvmul (_ bv79 32) ?x2)) (?v_83 (bvmul (_ bv83 32) ?x1)) (?v_51 (bvmul (_ bv10 32) ?x2)) (?v_131 (bvmul (_ bv14 32) ?x1)) (?v_52 (bvmul (_ bv36 32) ?x3)) (?v_129 (bvmul (_ bv35 32) ?x2)) (?v_185 (bvmul (_ bv42 32) ?x2)) (?v_190 (bvmul (_ bv8 32) ?x3)) (?v_97 (bvmul (_ bv83 32) ?x2))) (let ((?v_205 (bvadd (bvmul (_ bv28 32) ?x1) ?v_97)) (?v_158 (bvmul (_ bv3 32) ?x4)) (?v_76 (bvmul (_ bv39 32) ?x1)) (?v_96 (bvmul (_ bv86 32) ?x2)) (?v_163 (bvmul (_ bv67 32) ?x4)) (?v_156 (bvmul (_ bv4 32) ?x1)) (?v_268 (bvmul (_ bv27 32) ?x3)) (?v_211 (bvmul (_ bv86 32) ?x3)) (?v_174 (bvmul (_ bv82 32) ?x1)) (?v_258 (bvmul (_ bv22 32) ?x4)) (?v_161 (bvmul (_ bv88 32) ?x4)) (?v_110 (bvmul (_ bv11 32) ?x3)) (?v_260 (bvmul (_ bv8 32) ?x4)) (?v_189 (bvmul (_ bv32 32) ?x3)) (?v_89 (bvmul (_ bv96 32) ?x4)) (?v_257 (bvmul (_ bv19 32) ?x3)) (?v_125 (bvmul (_ bv41 32) ?x2)) (?v_151 (bvmul (_ bv89 32) ?x2)) (?v_159 (bvmul (_ bv7 32) ?x1)) (?v_242 (bvmul (_ bv54 32) ?x1)) (?v_188 (bvmul (_ bv22 32) ?x3)) (?v_265 (bvmul (_ bv54 32) ?x4)) (?v_255 (bvmul (_ bv37 32) ?x3)) (?v_127 (bvmul (_ bv27 32) ?x4)) (?v_234 (bvmul (_ bv24 32) ?x3)) (?v_181 (bvmul (_ bv100 32) ?x3)) (?v_191 (bvmul (_ bv96 32) ?x1)) (?v_123 (bvmul (_ bv31 32) ?x2)) (?v_199 (bvmul (_ bv100 32) ?x4)) (?v_166 (bvmul (_ bv35 32) ?x1)) (?v_130 (bvmul (_ bv83 32) ?x3)) (?v_264 (bvmul (_ bv47 32) ?x2)) (?v_153 (bvmul (_ bv13 32) ?x3)) (?v_200 (bvmul (_ bv66 32) ?x2)) (?v_231 (bvmul (_ bv79 32) ?x4)) (?v_178 (bvmul (_ bv20 32) ?x2)) (?v_207 (bvmul (_ bv60 32) ?x4)) (?v_183 (bvmul (_ bv64 32) ?x3)) (?v_266 (bvmul (_ bv70 32) ?x1)) (?v_224 (bvmul (_ bv51 32) ?x2)) (?v_218 (bvmul (_ bv57 32) ?x3)) (?v_233 (bvmul (_ bv18 32) ?x1)) (?v_230 (bvmul (_ bv71 32) ?x3)) (?v_256 (bvmul (_ bv49 32) ?x2)) (?v_232 (bvmul (bvneg (_ bv57 32)) ?x3)) (?v_144 (bvmul (bvneg (_ bv27 32)) ?x1)) (?v_2 (bvmul (bvneg (_ bv31 32)) ?x3)) (?v_117 (bvmul (bvneg (_ bv89 32)) ?x1)) (?v_10 (bvmul (bvneg (_ bv51 32)) ?x4)) (?v_20 (bvmul (bvneg (_ bv63 32)) ?x4)) (?v_53 (bvmul (bvneg (_ bv30 32)) ?x1)) (?v_3 (bvmul (bvneg (_ bv82 32)) ?x2)) (?v_1 (bvmul (bvneg (_ bv96 32)) ?x2)) (?v_62 (bvmul (bvneg (_ bv23 32)) ?x3)) (?v_45 (bvmul (bvneg (_ bv60 32)) ?x4)) (?v_72 (bvmul (bvneg (_ bv90 32)) ?x4)) (?v_38 (bvmul (bvneg (_ bv80 32)) ?x1)) (?v_6 (bvmul (bvneg (_ bv77 32)) ?x4)) (?v_225 (bvmul (bvneg (_ bv81 32)) ?x2)) (?v_77 (bvmul (bvneg (_ bv50 32)) ?x3)) (?v_5 (bvmul (bvneg (_ bv29 32)) ?x1)) (?v_112 (bvmul (bvneg (_ bv61 32)) ?x1)) (?v_74 (bvmul (bvneg (_ bv76 32)) ?x3)) (?v_44 (bvmul (bvneg (_ bv19 32)) ?x3)) (?v_4 (bvmul (bvneg (_ bv96 32)) ?x3)) (?v_57 (bvmul (bvneg (_ bv54 32)) ?x4)) (?v_9 (bvmul (bvneg (_ bv17 32)) ?x1)) (?v_92 (bvmul (bvneg (_ bv83 32)) ?x4)) (?v_23 (bvmul (bvneg (_ bv100 32)) ?x3)) (?v_46 (bvmul (bvneg (_ bv9 32)) ?x1)) (?v_58 (bvmul (bvneg (_ bv73 32)) ?x3)) (?v_186 (bvmul (bvneg (_ bv6 32)) ?x4)) (?v_43 (bvmul (bvneg (_ bv46 32)) ?x1)) (?v_226 (bvmul (bvneg (_ bv85 32)) ?x3)) (?v_12 (bvmul (bvneg (_ bv66 32)) ?x4)) (?v_7 (bvmul (bvneg (_ bv98 32)) ?x1)) (?v_104 (bvmul (bvneg (_ bv1 32)) ?x2)) (?v_15 (bvmul (bvneg (_ bv44 32)) ?x3)) (?v_98 (bvmul (bvneg (_ bv92 32)) ?x1)) (?v_94 (bvmul (bvneg (_ bv10 32)) ?x3)) (?v_259 (bvmul (bvneg (_ bv42 32)) ?x1)) (?v_167 (bvmul (bvneg (_ bv16 32)) ?x3)) (?v_21 (bvmul (bvneg (_ bv75 32)) ?x1)) (?v_229 (bvmul (bvneg (_ bv30 32)) ?x4)) (?v_247 (bvmul (bvneg (_ bv59 32)) ?x1)) (?v_67 (bvmul (bvneg (_ bv34 32)) ?x1)) (?v_59 (bvmul (bvneg (_ bv18 32)) ?x2)) (?v_13 (bvmul (bvneg (_ bv58 32)) ?x3)) (?v_108 (bvmul (bvneg (_ bv20 32)) ?x2)) (?v_30 (bvmul (bvneg (_ bv83 32)) ?x3)) (?v_245 (bvmul (bvneg (_ bv22 32)) ?x2)) (?v_201 (bvmul (bvneg (_ bv49 32)) ?x3)) (?v_116 (bvmul (bvneg (_ bv17 32)) ?x3)) (?v_47 (bvmul (bvneg (_ bv16 32)) ?x4)) (?v_214 (bvmul (bvneg (_ bv77 32)) ?x1)) (?v_18 (bvmul (bvneg (_ bv79 32)) ?x4)) (?v_262 (bvmul (bvneg (_ bv73 32)) ?x1)) (?v_17 (bvmul (bvneg (_ bv65 32)) ?x2)) (?v_184 (bvmul (bvneg (_ bv57 32)) ?x4)) (?v_26 (bvmul (bvneg (_ bv17 32)) ?x2)) (?v_124 (bvmul (bvneg (_ bv77 32)) ?x3)) (?v_93 (bvmul (bvneg (_ bv57 32)) ?x1)) (?v_228 (bvmul (bvneg (_ bv84 32)) ?x3)) (?v_73 (bvmul (bvneg (_ bv90 32)) ?x3)) (?v_170 (bvmul (bvneg (_ bv48 32)) ?x1)) (?v_119 (bvmul (bvneg (_ bv54 32)) ?x3)) (?v_39 (bvmul (bvneg (_ bv87 32)) ?x2)) (?v_164 (bvmul (bvneg (_ bv8 32)) ?x4)) (?v_90 (bvmul (bvneg (_ bv17 32)) ?x4)) (?v_254 (bvmul (bvneg (_ bv3 32)) ?x3)) (?v_177 (bvmul (bvneg (_ bv39 32)) ?x2)) (?v_146 (bvmul (bvneg (_ bv87 32)) ?x3)) (?v_173 (bvmul (bvneg (_ bv89 32)) ?x4)) (?v_102 (bvmul (bvneg (_ bv79 32)) ?x1)) (?v_270 (bvmul (bvneg (_ bv47 32)) ?x4)) (?v_206 (bvmul (bvneg (_ bv10 32)) ?x2)) (?v_267 (bvmul (bvneg (_ bv52 32)) ?x3)) (?v_240 (bvmul (bvneg (_ bv33 32)) ?x2)) (?v_115 (bvmul (bvneg (_ bv32 32)) ?x4)) (?v_204 (bvmul (bvneg (_ bv88 32)) ?x4)) (?v_193 (bvmul (bvneg (_ bv95 32)) ?x4)) (?v_219 (bvmul (bvneg (_ bv4 32)) ?x4)) (?v_105 (bvmul (bvneg (_ bv97 32)) ?x3)) (?v_149 (bvmul (bvneg (_ bv11 32)) ?x1)) (?v_99 (bvmul (bvneg (_ bv21 32)) ?x2)) (?v_68 (bvmul (bvneg (_ bv88 32)) ?x3)) (?v_180 (bvmul (bvneg (_ bv93 32)) ?x4)) (?v_95 (bvmul (bvneg (_ bv41 32)) ?x4)) (?v_87 (bvmul (bvneg (_ bv28 32)) ?x2)) (?v_227 (bvmul (bvneg (_ bv24 32)) ?x2)) (?v_208 (bvmul (bvneg (_ bv85 32)) ?x2)) (?v_91 (bvmul (bvneg (_ bv62 32)) ?x2)) (?v_269 (bvmul (bvneg (_ bv20 32)) ?x4)) (?v_246 (bvmul (bvneg (_ bv43 32)) ?x1)) (?v_71 (bvmul (bvneg (_ bv30 32)) ?x2)) (?v_160 (bvmul (bvneg (_ bv6 32)) ?x2)) (?v_223 (bvmul (bvneg (_ bv100 32)) ?x1)) (?v_221 (bvmul (bvneg (_ bv80 32)) ?x3)) (?v_100 (bvmul (bvneg (_ bv47 32)) ?x2)) (?v_195 (bvmul (bvneg (_ bv71 32)) ?x2)) (?v_75 (bvmul (bvneg (_ bv40 32)) ?x1)) (?v_138 (bvmul (bvneg (_ bv26 32)) ?x2)) (?v_197 (bvmul (bvneg (_ bv94 32)) ?x4)) (?v_82 (bvmul (bvneg (_ bv77 32)) ?x2)) (?v_118 (bvmul (bvneg (_ bv76 32)) ?x2)) (?v_122 (bvmul (bvneg (_ bv75 32)) ?x3)) (?v_182 (bvmul (bvneg (_ bv3 32)) ?x4)) (?v_113 (bvmul (bvneg (_ bv56 32)) ?x4)) (?v_103 (bvmul (bvneg (_ bv4 32)) ?x1)) (?v_196 (bvmul (bvneg (_ bv20 32)) ?x3)) (?v_253 (bvmul (bvneg (_ bv12 32)) ?x1)) (?v_203 (bvmul (bvneg (_ bv35 32)) ?x2)) (?v_213 (bvmul (bvneg (_ bv8 32)) ?x3)) (?v_152 (bvmul (bvneg (_ bv78 32)) ?x1)) (?v_194 (bvmul (bvneg (_ bv49 32)) ?x2)) (?v_136 (bvmul (bvneg (_ bv62 32)) ?x3)) (?v_222 (bvmul (bvneg (_ bv76 32)) ?x4)) (?v_132 (bvmul (bvneg (_ bv31 32)) ?x4)) (?v_147 (bvmul (bvneg (_ bv78 32)) ?x2)) (?v_162 (bvmul (bvneg (_ bv90 32)) ?x2)) (?v_251 (bvmul (bvneg (_ bv91 32)) ?x3)) (?v_145 (bvmul (bvneg (_ bv93 32)) ?x2)) (?v_179 (bvmul (bvneg (_ bv86 32)) ?x3)) (?v_217 (bvmul (bvneg (_ bv38 32)) ?x3)) (?v_216 (bvmul (bvneg (_ bv72 32)) ?x4)) (?v_212 (bvmul (bvneg (_ bv62 32)) ?x1)) (?v_215 (bvmul (bvneg (_ bv55 32)) ?x3)) (?v_236 (bvmul (bvneg (_ bv98 32)) ?x2)) (?v_252 (bvmul (bvneg (_ bv12 32)) ?x4)) (?v_243 (bvmul (bvneg (_ bv48 32)) ?x4)) (?v_168 (bvmul (bvneg (_ bv62 32)) ?x4)) (?v_210 (bvmul (bvneg (_ bv96 32)) ?x1)) (?v_250 (bvmul (bvneg (_ bv10 32)) ?x4)) (?v_263 (bvmul (bvneg (_ bv94 32)) ?x1)) (?v_248 (bvmul (bvneg (_ bv34 32)) ?x2)) (?v_239 (bvmul (bvneg (_ bv67 32)) ?x3))) (and (and (and (and (and (or (or (or (and (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv33 32)) ?x1) ?v_232) (bvmul (bvneg (_ bv37 32)) ?x4)) (bvneg (_ bv92 32))) (bvsgt (bvadd (bvadd ?v_144 ?v_88) ?v_48) (bvneg (_ bv67 32)))) (or (bvsge (bvadd (bvmul (bvneg (_ bv49 32)) ?x1) ?v_2) (_ bv0 32)) (bvsgt (bvadd ?v_117 ?v_10) (_ bv80 32)))) (or (or (bvsge (bvadd ?v_0 ?v_20) (bvneg (_ bv86 32))) (= (bvadd (bvadd ?v_0 ?v_79) ?v_121) (_ bv60 32))) (and (bvslt (bvadd (bvadd (bvadd ?v_53 ?v_3) ?v_31) ?v_24) (_ bv61 32)) (bvsge (bvadd (bvadd ?v_109 ?v_1) ?v_62) (_ bv0 32))))) (and (or (= (bvadd (bvmul (bvneg (_ bv10 32)) ?x1) ?v_142) (bvneg (_ bv94 32))) (bvsle (bvadd (bvadd (bvmul (_ bv48 32) ?x1) (bvmul (_ bv13 32) ?x2)) ?v_45) (bvneg (_ bv1 32)))) (or (or (= (bvadd (bvadd (bvmul (bvneg (_ bv76 32)) ?x1) ?v_1) ?v_72) (bvneg (_ bv54 32))) (not (= (bvadd (bvadd (bvadd ?v_38 ?v_60) (bvmul (bvneg (_ bv63 32)) ?x3)) ?v_6) (_ bv0 32)))) (and (not (= (bvadd (bvadd ?v_241 ?v_225) ?v_42) (_ bv41 32))) (bvsge (bvadd (bvadd (bvmul (_ bv71 32) ?x1) (bvmul (bvneg (_ bv65 32)) ?x3)) (bvmul (_ bv21 32) ?x4)) (_ bv0 32)))))) (and (and (and (= (bvadd ?v_2 ?v_14) (_ bv26 32)) (= (bvadd ?v_135 ?v_77) (_ bv0 32))) (and (bvsle (bvadd ?v_5 (bvmul (_ bv53 32) ?x3)) (bvneg (_ bv43 32))) (bvslt (bvadd ?v_112 (bvmul (_ bv64 32) ?x2)) (_ bv0 32)))) (and (and (or (not (= ?v_35 (_ bv53 32))) (bvsgt (bvadd (bvmul (bvneg (_ bv3 32)) ?x1) ?v_74) (bvneg (_ bv79 32)))) (and (bvslt (bvadd (bvadd ?v_33 ?v_44) (bvmul (_ bv25 32) ?x4)) (_ bv28 32)) (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv35 32)) ?x1) ?v_3) ?v_4) ?v_57) (bvneg (_ bv57 32))))) (and (bvsgt (bvadd (bvadd ?v_9 ?v_49) ?v_92) (_ bv0 32)) (or (bvsge (bvadd (bvmul (bvneg (_ bv69 32)) ?x2) ?v_23) (_ bv0 32)) (bvsle (bvadd ?v_46 ?v_4) (_ bv90 32))))))) (or (and (or (and (or (bvsge (bvadd ?v_58 ?v_186) (_ bv85 32)) (bvsge (bvadd (bvadd (bvadd ?v_43 (bvmul (_ bv78 32) ?x2)) ?v_54) ?v_140) (_ bv0 32))) (or (bvsle (bvadd (bvadd (bvadd ?v_5 (bvmul (_ bv94 32) ?x2)) ?v_226) ?v_12) (_ bv0 32)) (bvsle (bvadd ?v_7 ?v_126) (bvneg (_ bv75 32))))) (or (and (bvsle (bvadd (bvadd ?v_133 (bvmul (_ bv98 32) ?x2)) ?v_6) (bvneg (_ bv18 32))) (bvslt (bvadd (bvadd ?v_104 ?v_8) (bvmul (bvneg (_ bv70 32)) ?x4)) (bvneg (_ bv80 32)))) (and (bvslt (bvadd (bvmul (bvneg (_ bv22 32)) ?x3) (bvmul (_ bv74 32) ?x4)) (bvneg (_ bv80 32))) (bvsge (bvadd (bvadd ?v_11 ?v_63) ?v_15) (_ bv0 32))))) (and (and (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv44 32)) ?x1) ?v_192) ?v_70) (bvneg (_ bv13 32))) (bvsgt (bvadd (bvadd ?v_98 ?v_94) (bvmul (_ bv29 32) ?x4)) (_ bv0 32))) (or (not (= (bvadd (bvadd ?v_7 (bvmul (bvneg (_ bv8 32)) ?x2)) (bvmul (_ bv4 32) ?x3)) (bvneg (_ bv90 32)))) (= (bvadd (bvadd (bvadd ?v_259 ?v_176) ?v_27) ?v_50) (_ bv0 32))))) (and (or (and (or (bvsgt (bvadd (bvadd (bvadd ?v_78 ?v_22) ?v_167) ?v_155) (_ bv20 32)) (= (bvadd ?v_137 ?v_106) (bvneg (_ bv57 32)))) (and (bvsgt (bvadd (bvadd ?v_21 ?v_65) ?v_114) (_ bv44 32)) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv26 32)) ?x1) (bvmul (_ bv55 32) ?x2)) ?v_229) (bvneg (_ bv3 32))))) (not (= (bvadd (bvmul (_ bv45 32) ?x1) ?v_8) (_ bv0 32)))) (and (= (bvadd (bvadd ?v_9 (bvmul (_ bv59 32) ?x3)) ?v_134) (_ bv69 32)) (or (bvsle (bvadd (bvadd (bvadd ?v_120 ?v_16) ?v_25) (bvmul (_ bv7 32) ?x4)) (_ bv38 32)) (bvsle (bvadd (bvadd ?v_247 ?v_261) ?v_148) (_ bv38 32))))))) (or (and (or (and (and (and (= (bvadd (bvadd ?v_67 (bvmul (_ bv4 32) ?x2)) (bvmul (_ bv91 32) ?x3)) (_ bv9 32)) (bvsle (bvadd (bvadd ?v_59 ?v_13) ?v_10) (_ bv0 32))) (and (not (= (bvadd (bvadd (bvadd ?v_11 ?v_187) (bvmul (_ bv26 32) ?x3)) (bvmul (_ bv77 32) ?x4)) (_ bv0 32))) (bvslt (bvadd (bvadd (bvadd ?v_244 ?v_108) (bvmul (bvneg (_ bv94 32)) ?x3)) ?v_12) (bvneg (_ bv11 32))))) (or (or (bvsge (bvadd (bvadd (bvadd ?v_169 ?v_41) ?v_84) (bvmul (bvneg (_ bv44 32)) ?x4)) (_ bv0 32)) (bvslt (bvadd (bvadd ?v_165 ?v_30) ?v_101) (_ bv22 32))) (or (bvsle (bvadd (bvadd (bvadd ?v_5 ?v_19) ?v_198) (bvmul (bvneg (_ bv35 32)) ?x4)) (bvneg (_ bv60 32))) (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv68 32)) ?x1) ?v_32) ?v_13) ?v_56) (_ bv42 32))))) (and (and (and (= (bvmul (_ bv93 32) ?x3) (bvneg (_ bv78 32))) (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv29 32)) ?x2) (bvmul (_ bv90 32) ?x3)) ?v_55) (_ bv34 32))) (and (= (bvadd ?v_141 ?v_157) (bvneg (_ bv87 32))) (bvsge (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv97 32)) ?x1) ?v_245) ?v_201) (bvmul (_ bv13 32) ?x4)) (bvneg (_ bv17 32))))) (and (or (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv87 32)) ?x1) (bvmul (_ bv69 32) ?x2)) ?v_116) (_ bv61 32)) (not (= (bvadd ?v_202 ?v_40) (_ bv92 32)))) (and (= (bvadd (bvadd ?v_37 ?v_172) ?v_28) (bvneg (_ bv18 32))) (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv16 32)) ?x2) ?v_154) ?v_47) (bvneg (_ bv90 32))))))) (or (and (and (and (= (bvadd (bvadd (bvmul (_ bv32 32) ?x1) ?v_29) (bvmul (_ bv45 32) ?x3)) (bvneg (_ bv9 32))) (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv66 32)) ?x1) ?v_3) ?v_14) (_ bv0 32))) (and (bvsgt (bvadd (bvadd ?v_214 ?v_15) ?v_18) (_ bv11 32)) (bvsle (bvadd (bvadd ?v_262 ?v_86) ?v_8) (_ bv0 32)))) (or (bvsle (bvadd (bvadd ?v_17 (bvmul (bvneg (_ bv27 32)) ?x3)) ?v_184) (_ bv62 32)) (or (not (= (bvadd (bvadd ?v_7 (bvmul (_ bv30 32) ?x2)) (bvmul (bvneg (_ bv24 32)) ?x3)) (bvneg (_ bv22 32)))) (bvslt (bvadd (bvadd (bvadd ?v_171 ?v_26) (bvmul (bvneg (_ bv78 32)) ?x3)) ?v_66) (_ bv67 32))))) (and (or (not (= (bvadd (bvadd ?v_128 ?v_16) (bvmul (_ bv75 32) ?x3)) (bvneg (_ bv45 32)))) (bvsle ?v_111 (bvneg (_ bv28 32)))) (bvsgt (bvadd (bvadd ?v_17 ?v_124) (bvmul (_ bv41 32) ?x4)) (_ bv83 32))))) (or (or (or (or (not (= (bvadd (bvadd (bvadd ?v_93 (bvmul (bvneg (_ bv58 32)) ?x2)) ?v_228) ?v_18) (_ bv93 32))) (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv45 32)) ?x1) ?v_1) ?v_34) (bvmul (_ bv34 32) ?x4)) (bvneg (_ bv58 32)))) (and (or (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv24 32)) ?x1) (bvmul (_ bv47 32) ?x3)) ?v_69) (_ bv91 32)) (not (= (bvadd (bvadd (bvadd ?v_81 ?v_19) ?v_73) ?v_20) (_ bv0 32)))) (or (not (= (bvadd (bvadd (bvadd ?v_21 (bvmul (bvneg (_ bv59 32)) ?x2)) (bvmul (_ bv80 32) ?x3)) ?v_150) (_ bv29 32))) (bvslt (bvadd (bvadd (bvadd ?v_170 ?v_22) ?v_23) ?v_24) (bvneg (_ bv59 32)))))) (or (and (or (not (= (bvadd (bvmul (_ bv76 32) ?x2) ?v_119) (bvneg (_ bv13 32)))) (not (= (bvmul (_ bv35 32) ?x3) (bvneg (_ bv88 32))))) (and (bvslt (bvadd (bvadd (bvadd (bvmul (_ bv57 32) ?x1) ?v_39) ?v_25) ?v_80) (_ bv34 32)) (not (= (bvadd (bvadd ?v_26 (bvmul (_ bv16 32) ?x3)) ?v_164) (_ bv80 32))))) (and (and (bvslt (bvmul (_ bv56 32) ?x4) (bvneg (_ bv53 32))) (not (= (bvadd (bvadd ?v_235 (bvmul (_ bv50 32) ?x2)) (bvmul (_ bv20 32) ?x4)) (_ bv0 32)))) (or (bvsgt (bvadd ?v_27 (bvmul (bvneg (_ bv64 32)) ?x4)) (bvneg (_ bv49 32))) (bvsle (bvadd ?v_61 (bvmul (bvneg (_ bv38 32)) ?x4)) (_ bv15 32)))))) (or (or (bvslt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv70 32)) ?x1) (bvmul (_ bv63 32) ?x2)) ?v_175) ?v_90) (bvneg (_ bv68 32))) (bvsge (bvadd ?v_36 ?v_209) (_ bv0 32))) (or (bvsle (bvadd ?v_27 ?v_28) (_ bv0 32)) (not (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv32 32)) ?x1) ?v_29) (bvmul (_ bv87 32) ?x3)) (bvmul (_ bv72 32) ?x4)) (_ bv0 32)))))))) (or (or (or (and (or (or (or (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv2 32)) ?x1) ?v_107) ?v_30) (bvneg (_ bv68 32))) (bvsle (bvadd ?v_220 ?v_254) (bvneg (_ bv12 32)))) (and (bvsgt (bvadd (bvadd ?v_177 ?v_146) ?v_173) (bvneg (_ bv49 32))) (bvslt (bvadd (bvadd (bvadd ?v_102 ?v_64) (bvmul (bvneg (_ bv6 32)) ?x3)) ?v_270) (bvneg (_ bv71 32))))) (or (and (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv86 32)) ?x1) ?v_206) ?v_31) (bvneg (_ bv17 32))) (bvsle (bvadd (bvadd ?v_237 ?v_32) ?v_267) (_ bv0 32))) (and (bvsle (bvadd (bvadd (bvadd ?v_33 (bvmul (bvneg (_ bv54 32)) ?x2)) ?v_34) ?v_35) (bvneg (_ bv12 32))) (bvsgt (bvmul (_ bv66 32) ?x3) (_ bv74 32))))) (and (and (bvsge (bvadd (bvmul (_ bv81 32) ?x1) (bvmul (_ bv65 32) ?x3)) (_ bv13 32)) (bvslt (bvadd (bvadd (bvadd ?v_36 ?v_240) ?v_249) (bvmul (bvneg (_ bv68 32)) ?x4)) (_ bv0 32))) (or (not (= (bvadd (bvadd ?v_37 (bvmul (_ bv57 32) ?x2)) (bvmul (_ bv35 32) ?x4)) (_ bv75 32))) (and (bvslt (bvadd (bvadd (bvadd ?v_38 ?v_39) ?v_139) ?v_12) (_ bv4 32)) (not (= (bvadd (bvadd (bvadd ?v_5 (bvmul (bvneg (_ bv7 32)) ?x2)) ?v_8) ?v_115) (bvneg (_ bv64 32)))))))) (and (or (or (bvsle (bvadd ?v_238 ?v_40) (_ bv47 32)) (bvsge (bvadd (bvadd ?v_41 ?v_42) ?v_204) (_ bv100 32))) (and (or (bvsle (bvadd (bvadd (bvmul (_ bv30 32) ?x1) (bvmul (bvneg (_ bv42 32)) ?x2)) ?v_193) (_ bv0 32)) (= (bvadd ?v_85 ?v_219) (bvneg (_ bv51 32)))) (or (bvsge (bvadd (bvadd (bvadd ?v_43 ?v_143) ?v_44) (bvmul (bvneg (_ bv98 32)) ?x4)) (bvneg (_ bv20 32))) (bvslt (bvadd (bvadd (bvadd ?v_83 (bvmul (bvneg (_ bv48 32)) ?x2)) ?v_105) ?v_45) (bvneg (_ bv32 32)))))) (or (and (and (bvsle (bvadd (bvadd ?v_46 ?v_51) ?v_47) (_ bv0 32)) (bvsgt (bvadd (bvadd (bvadd ?v_149 (bvmul (bvneg (_ bv55 32)) ?x2)) (bvmul (bvneg (_ bv25 32)) ?x3)) ?v_48) (bvneg (_ bv28 32)))) (and (= (bvadd (bvadd (bvadd ?v_131 ?v_49) ?v_52) ?v_50) (bvneg (_ bv63 32))) (= (bvadd (bvadd (bvmul (_ bv74 32) ?x1) ?v_51) (bvmul (bvneg (_ bv29 32)) ?x3)) (bvneg (_ bv36 32))))) (and (not (= (bvadd (bvmul (_ bv90 32) ?x1) ?v_52) (_ bv3 32))) (or (bvsle (bvadd (bvadd (bvadd (bvmul (_ bv64 32) ?x1) ?v_32) (bvmul (_ bv98 32) ?x3)) (bvmul (bvneg (_ bv67 32)) ?x4)) (_ bv75 32)) (bvsge (bvadd (bvadd ?v_99 ?v_68) ?v_180) (_ bv10 32))))))) (or (or (and (bvsge (bvmul (bvneg (_ bv93 32)) ?x3) (bvneg (_ bv59 32))) (bvslt (bvadd (bvadd (bvadd ?v_53 ?v_129) ?v_54) ?v_55) (bvneg (_ bv44 32)))) (and (and (bvsgt (bvadd ?v_185 ?v_95) (_ bv0 32)) (bvsge (bvadd (bvadd (bvmul (_ bv9 32) ?x2) (bvmul (_ bv6 32) ?x3)) ?v_56) (_ bv64 32))) (= ?v_87 (bvneg (_ bv93 32))))) (or (or (or (bvslt (bvadd (bvadd (bvadd ?v_43 ?v_227) ?v_190) (bvmul (bvneg (_ bv82 32)) ?x4)) (_ bv0 32)) (bvsge (bvadd (bvadd ?v_205 (bvmul (bvneg (_ bv15 32)) ?x3)) ?v_158) (bvneg (_ bv74 32)))) (and (bvslt (bvadd (bvadd (bvadd ?v_76 ?v_208) (bvmul (bvneg (_ bv43 32)) ?x3)) ?v_57) (_ bv0 32)) (= (bvadd (bvadd ?v_91 ?v_58) ?v_269) (_ bv0 32)))) (and (and (or (bvslt (bvadd ?v_246 ?v_59) (_ bv100 32)) (bvsle (bvadd (bvadd ?v_60 (bvmul (bvneg (_ bv18 32)) ?x3)) ?v_20) (_ bv87 32))) (and (bvslt (bvadd ?v_61 ?v_62) (_ bv40 32)) (not (= (bvadd (bvadd ?v_36 ?v_63) ?v_25) (_ bv0 32))))) (and (and (bvsgt (bvadd (bvadd (bvmul (_ bv42 32) ?x1) ?v_96) ?v_163) (_ bv47 32)) (not (= (bvadd (bvadd (bvmul (_ bv24 32) ?x1) ?v_64) (bvmul (_ bv51 32) ?x3)) (_ bv0 32)))) (or (bvsgt (bvadd (bvadd ?v_156 ?v_65) ?v_66) (_ bv74 32)) (bvslt (bvadd (bvadd (bvadd ?v_67 ?v_71) ?v_68) ?v_69) (bvneg (_ bv86 32))))))))) (and (and (and (and (= (bvadd ?v_268 ?v_70) (bvneg (_ bv33 32))) (= ?v_160 (bvneg (_ bv75 32)))) (or (and (bvsgt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv31 32)) ?x1) ?v_71) (bvmul (_ bv69 32) ?x3)) (bvmul (bvneg (_ bv87 32)) ?x4)) (bvneg (_ bv69 32))) (not (= (bvadd ?v_21 (bvmul (_ bv85 32) ?x4)) (_ bv78 32)))) (or (bvsgt (bvadd (bvadd (bvmul (_ bv77 32) ?x1) ?v_41) (bvmul (bvneg (_ bv7 32)) ?x4)) (_ bv69 32)) (bvsgt (bvadd (bvadd (bvadd ?v_223 ?v_49) ?v_221) ?v_72) (_ bv0 32))))) (or (or (and (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv63 32)) ?x1) ?v_100) ?v_211) (_ bv0 32)) (bvsge (bvadd (bvadd ?v_174 ?v_195) (bvmul (_ bv7 32) ?x3)) (_ bv52 32))) (or (not (= (bvadd (bvadd ?v_75 ?v_138) (bvmul (bvneg (_ bv81 32)) ?x4)) (_ bv69 32))) (bvsgt (bvadd (bvadd (bvmul (_ bv23 32) ?x1) (bvmul (_ bv2 32) ?x2)) ?v_35) (_ bv87 32)))) (and (and (or (not (= (bvadd (bvmul (bvneg (_ bv90 32)) ?x1) ?v_258) (_ bv0 32))) (bvslt (bvadd (bvadd (bvadd ?v_53 (bvmul (_ bv87 32) ?x2)) ?v_73) ?v_197) (_ bv82 32))) (or (bvsle (bvadd (bvadd (bvmul (_ bv40 32) ?x1) (bvmul (bvneg (_ bv15 32)) ?x2)) ?v_161) (_ bv0 32)) (not (= ?v_74 (_ bv0 32))))) (or (or (= (bvadd (bvadd ?v_75 (bvmul (bvneg (_ bv46 32)) ?x2)) ?v_110) (bvneg (_ bv24 32))) (bvsle ?v_260 (_ bv0 32))) (or (bvsle (bvadd (bvadd (bvadd ?v_76 ?v_82) ?v_77) ?v_24) (_ bv69 32)) (bvslt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv67 32)) ?x1) ?v_118) ?v_122) (bvmul (_ bv42 32) ?x4)) (bvneg (_ bv35 32)))))))) (and (or (and (or (bvsgt (bvadd (bvadd ?v_78 ?v_79) ?v_18) (_ bv12 32)) (and (bvsgt (bvadd (bvmul (_ bv46 32) ?x1) ?v_80) (bvneg (_ bv46 32))) (bvsge (bvadd ?v_81 ?v_82) (_ bv0 32)))) (and (and (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv19 32)) ?x1) (bvmul (_ bv53 32) ?x2)) ?v_189) ?v_182) (_ bv69 32)) (bvsgt (bvadd (bvadd ?v_83 ?v_59) ?v_113) (_ bv89 32))) (and (bvsgt (bvadd (bvadd ?v_103 (bvmul (bvneg (_ bv63 32)) ?x2)) ?v_84) (bvneg (_ bv1 32))) (bvslt (bvadd (bvadd (bvadd ?v_85 (bvmul (_ bv99 32) ?x2)) (bvmul (bvneg (_ bv89 32)) ?x3)) ?v_89) (_ bv28 32))))) (or (and (not (= (bvadd ?v_86 (bvmul (bvneg (_ bv28 32)) ?x4)) (_ bv0 32))) (bvslt ?v_10 (bvneg (_ bv71 32)))) (and (or (bvsge (bvadd (bvadd (bvadd ?v_53 ?v_87) ?v_42) (bvmul (_ bv98 32) ?x4)) (_ bv0 32)) (bvsge (bvadd (bvadd (bvmul (_ bv16 32) ?x1) ?v_88) ?v_74) (_ bv0 32))) (and (bvsle (bvadd (bvadd (bvmul (_ bv73 32) ?x2) ?v_257) (bvmul (_ bv62 32) ?x4)) (_ bv45 32)) (bvslt (bvadd ?v_125 ?v_89) (bvneg (_ bv86 32))))))) (and (or (or (and (bvslt (bvadd (bvadd (bvadd (bvmul (_ bv9 32) ?x1) (bvmul (bvneg (_ bv100 32)) ?x2)) (bvmul (bvneg (_ bv42 32)) ?x3)) ?v_90) (bvneg (_ bv62 32))) (not (= (bvadd ?v_91 ?v_196) (_ bv0 32)))) (and (not (= (bvadd (bvadd ?v_63 ?v_34) ?v_92) (_ bv0 32))) (bvsle (bvadd (bvadd ?v_93 ?v_94) ?v_95) (_ bv78 32)))) (and (or (bvsgt (bvadd (bvmul (_ bv94 32) ?x1) ?v_17) (_ bv62 32)) (= (bvadd (bvadd (bvadd ?v_253 ?v_151) (bvmul (bvneg (_ bv60 32)) ?x3)) ?v_47) (bvneg (_ bv18 32)))) (or (= (bvadd (bvadd ?v_93 ?v_96) (bvmul (bvneg (_ bv1 32)) ?x3)) (bvneg (_ bv99 32))) (bvsle (bvadd ?v_159 (bvmul (_ bv10 32) ?x3)) (_ bv0 32))))) (and (and (or (bvsge (bvadd ?v_97 (bvmul (bvneg (_ bv15 32)) ?x4)) (_ bv100 32)) (bvsgt (bvadd (bvadd ?v_98 ?v_203) (bvmul (_ bv79 32) ?x3)) (_ bv68 32))) (and (bvsge (bvadd (bvadd (bvmul (_ bv2 32) ?x1) (bvmul (_ bv54 32) ?x2)) ?v_213) (_ bv0 32)) (not (= (bvadd (bvadd (bvadd ?v_242 (bvmul (_ bv74 32) ?x2)) ?v_188) ?v_265) (_ bv65 32))))) (and (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv72 32)) ?x1) ?v_99) ?v_255) (_ bv31 32)) (and (bvsgt (bvadd ?v_100 ?v_127) (bvneg (_ bv34 32))) (bvsgt (bvadd (bvadd (bvadd ?v_152 ?v_194) ?v_77) ?v_101) (bvneg (_ bv88 32))))))))))) (and (and (and (or (or (or (or (or (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv75 32)) ?x2) ?v_234) ?v_101) (bvneg (_ bv8 32))) (bvsgt (bvadd (bvadd (bvadd ?v_102 (bvmul (bvneg (_ bv4 32)) ?x2)) ?v_136) (bvmul (_ bv68 32) ?x4)) (bvneg (_ bv52 32)))) (or (bvslt (bvadd (bvadd (bvadd ?v_103 ?v_104) ?v_105) ?v_106) (bvneg (_ bv29 32))) (bvslt (bvadd (bvadd ?v_107 ?v_181) ?v_80) (_ bv64 32)))) (and (and (not (= (bvadd (bvmul (_ bv74 32) ?x3) ?v_222) (bvneg (_ bv22 32)))) (bvsgt (bvadd (bvadd (bvadd ?v_191 (bvmul (bvneg (_ bv68 32)) ?x2)) ?v_62) (bvmul (_ bv37 32) ?x4)) (_ bv50 32))) (and (= (bvadd (bvadd (bvadd ?v_5 ?v_108) ?v_23) (bvmul (bvneg (_ bv75 32)) ?x4)) (_ bv45 32)) (= (bvadd (bvadd ?v_109 ?v_123) ?v_132) (bvneg (_ bv72 32)))))) (and (and (and (bvsge (bvadd ?v_147 ?v_110) (_ bv0 32)) (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv32 32)) ?x2) ?v_111) (bvmul (bvneg (_ bv80 32)) ?x4)) (_ bv0 32))) (or (bvslt (bvadd (bvadd (bvadd ?v_112 ?v_162) (bvmul (bvneg (_ bv64 32)) ?x3)) ?v_113) (_ bv31 32)) (bvslt (bvadd (bvadd (bvmul (_ bv95 32) ?x2) ?v_114) (bvmul (bvneg (_ bv45 32)) ?x4)) (bvneg (_ bv83 32))))) (and (not (= (bvadd ?v_251 ?v_90) (bvneg (_ bv36 32)))) (not (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv1 32)) ?x1) (bvmul (bvneg (_ bv5 32)) ?x2)) (bvmul (bvneg (_ bv95 32)) ?x3)) ?v_115) (bvneg (_ bv66 32))))))) (or (or (and (or (not (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv23 32)) ?x1) ?v_145) ?v_116) ?v_199) (_ bv0 32))) (not (= (bvadd (bvadd (bvadd ?v_117 ?v_118) ?v_119) ?v_50) (_ bv0 32)))) (bvsgt (bvadd ?v_120 (bvmul (_ bv81 32) ?x4)) (_ bv0 32))) (or (and (bvsgt (bvadd (bvadd (bvadd ?v_166 (bvmul (_ bv58 32) ?x2)) ?v_130) ?v_121) (bvneg (_ bv85 32))) (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv64 32)) ?x1) ?v_122) (bvmul (bvneg (_ bv11 32)) ?x4)) (_ bv73 32))) (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv20 32)) ?x1) ?v_123) ?v_179) (bvmul (_ bv63 32) ?x4)) (bvneg (_ bv70 32))))) (and (or (= (bvadd (bvmul (bvneg (_ bv14 32)) ?x1) ?v_124) (_ bv0 32)) (bvsgt (bvadd (bvmul (_ bv20 32) ?x1) ?v_125) (_ bv0 32))) (= (bvadd (bvadd (bvmul (bvneg (_ bv43 32)) ?x2) ?v_126) ?v_127) (bvneg (_ bv48 32)))))) (and (or (or (and (bvsle (bvadd (bvadd ?v_128 ?v_129) (bvmul (bvneg (_ bv52 32)) ?x4)) (_ bv68 32)) (and (bvsgt (bvadd (bvmul (_ bv17 32) ?x3) (bvmul (_ bv57 32) ?x4)) (_ bv89 32)) (bvsle (bvadd (bvadd ?v_102 ?v_130) (bvmul (bvneg (_ bv53 32)) ?x4)) (_ bv0 32)))) (or (or (bvsge (bvadd (bvadd ?v_131 ?v_217) ?v_132) (_ bv0 32)) (not (= (bvadd ?v_133 ?v_134) (_ bv0 32)))) (and (bvsge (bvadd (bvadd ?v_135 ?v_136) ?v_216) (bvneg (_ bv47 32))) (bvsgt (bvadd (bvadd ?v_212 ?v_264) (bvmul (_ bv38 32) ?x3)) (_ bv62 32))))) (and (or (not (= (bvadd (bvadd (bvadd ?v_137 (bvmul (_ bv1 32) ?x2)) ?v_153) (bvmul (bvneg (_ bv50 32)) ?x4)) (bvneg (_ bv45 32)))) (= (bvadd ?v_138 ?v_139) (_ bv14 32))) (and (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv60 32)) ?x1) (bvmul (bvneg (_ bv99 32)) ?x2)) (bvmul (_ bv33 32) ?x3)) ?v_140) (_ bv38 32)) (not (= (bvadd (bvadd ?v_141 (bvmul (bvneg (_ bv12 32)) ?x2)) ?v_142) (bvneg (_ bv39 32))))))) (and (and (or (and (not (= (bvadd (bvadd (bvadd ?v_117 ?v_143) ?v_215) (bvmul (_ bv43 32) ?x4)) (_ bv0 32))) (bvsgt (bvadd (bvadd (bvmul (_ bv44 32) ?x1) ?v_236) (bvmul (bvneg (_ bv21 32)) ?x3)) (_ bv14 32))) (and (bvsle (bvadd (bvadd (bvadd ?v_144 ?v_145) (bvmul (bvneg (_ bv37 32)) ?x3)) ?v_252) (_ bv0 32)) (not (= (bvadd (bvadd (bvadd (bvmul (_ bv99 32) ?x1) ?v_200) ?v_146) ?v_243) (_ bv0 32))))) (and (bvsle (bvadd (bvadd ?v_102 ?v_136) (bvmul (_ bv59 32) ?x4)) (bvneg (_ bv4 32))) (bvsle (bvadd ?v_147 ?v_148) (bvneg (_ bv73 32))))) (and (and (and (bvsle (bvadd (bvadd ?v_149 (bvmul (bvneg (_ bv35 32)) ?x3)) ?v_150) (_ bv0 32)) (bvsge (bvmul (bvneg (_ bv81 32)) ?x1) (bvneg (_ bv26 32)))) (or (not (= (bvadd (bvadd (bvmul (_ bv5 32) ?x1) ?v_151) ?v_231) (_ bv0 32))) (not (= (bvadd ?v_67 (bvmul (bvneg (_ bv69 32)) ?x4)) (_ bv0 32))))) (or (or (bvslt (bvadd (bvadd (bvadd ?v_152 ?v_107) ?v_153) ?v_168) (bvneg (_ bv23 32))) (bvsge (bvadd (bvadd ?v_41 ?v_154) ?v_155) (_ bv73 32))) (or (= (bvadd ?v_156 ?v_157) (bvneg (_ bv99 32))) (bvslt (bvadd (bvadd ?v_210 (bvmul (bvneg (_ bv67 32)) ?x2)) ?v_158) (_ bv10 32)))))))) (or (and (or (and (or (and (= (bvadd (bvadd ?v_135 ?v_13) ?v_158) (bvneg (_ bv99 32))) (= (bvadd (bvadd (bvadd ?v_159 ?v_160) ?v_23) ?v_161) (_ bv60 32))) (bvsle (bvadd ?v_162 ?v_163) (bvneg (_ bv61 32)))) (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv74 32)) ?x1) ?v_178) (bvmul (bvneg (_ bv9 32)) ?x3)) ?v_164) (_ bv90 32))) (and (and (= (bvadd (bvadd (bvmul (bvneg (_ bv84 32)) ?x1) ?v_165) ?v_207) (_ bv0 32)) (and (bvsle (bvadd (bvadd ?v_166 ?v_167) ?v_168) (_ bv90 32)) (bvslt (bvadd (bvadd ?v_169 (bvmul (bvneg (_ bv99 32)) ?x3)) ?v_127) (_ bv73 32)))) (and (or (bvsgt (bvadd (bvmul (_ bv40 32) ?x2) (bvmul (_ bv12 32) ?x3)) (bvneg (_ bv31 32))) (bvsge (bvadd (bvadd (bvadd ?v_170 ?v_108) (bvmul (_ bv43 32) ?x3)) (bvmul (bvneg (_ bv59 32)) ?x4)) (_ bv0 32))) (or (= (bvadd (bvadd (bvadd ?v_171 ?v_172) ?v_183) ?v_173) (_ bv51 32)) (not (= (bvadd (bvadd ?v_152 (bvmul (_ bv72 32) ?x3)) (bvmul (_ bv32 32) ?x4)) (_ bv0 32))))))) (and (or (and (bvsge (bvadd (bvadd (bvadd ?v_174 ?v_160) ?v_175) (bvmul (bvneg (_ bv29 32)) ?x4)) (bvneg (_ bv2 32))) (bvsgt ?v_176 (bvneg (_ bv39 32)))) (or (bvsle (bvadd ?v_177 ?v_105) (bvneg (_ bv70 32))) (not (= (bvadd (bvadd ?v_178 ?v_179) ?v_250) (bvneg (_ bv60 32)))))) (or (not (= (bvadd (bvmul (bvneg (_ bv13 32)) ?x2) (bvmul (_ bv50 32) ?x3)) (_ bv53 32))) (and (bvsle (bvadd (bvadd ?v_141 ?v_52) ?v_180) (bvneg (_ bv22 32))) (bvsge (bvadd (bvadd ?v_263 ?v_181) ?v_182) (_ bv49 32)))))) (and (and (and (bvsle (bvadd (bvadd ?v_266 ?v_183) ?v_184) (_ bv54 32)) (and (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv7 32)) ?x1) ?v_224) ?v_218) (_ bv0 32)) (bvsge (bvadd ?v_61 (bvmul (_ bv26 32) ?x4)) (_ bv100 32)))) (or (or (bvsgt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv88 32)) ?x1) ?v_49) (bvmul (_ bv92 32) ?x3)) (bvmul (bvneg (_ bv33 32)) ?x4)) (bvneg (_ bv69 32))) (= ?v_29 (_ bv0 32))) (or (not (= (bvadd (bvadd ?v_185 ?v_110) ?v_186) (_ bv99 32))) (bvslt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv82 32)) ?x1) ?v_187) ?v_188) (bvmul (bvneg (_ bv27 32)) ?x4)) (_ bv70 32))))) (or (or (bvsle (bvadd (bvadd (bvmul (_ bv19 32) ?x1) ?v_189) (bvmul (bvneg (_ bv78 32)) ?x4)) (_ bv0 32)) (or (bvsle (bvadd (bvadd (bvmul (_ bv11 32) ?x2) ?v_190) ?v_57) (bvneg (_ bv40 32))) (= (bvadd ?v_191 ?v_192) (_ bv0 32)))) (and (or (and (bvsge (bvadd (bvadd (bvadd (bvmul (_ bv47 32) ?x1) ?v_3) ?v_73) ?v_193) (_ bv0 32)) (bvsle (bvadd (bvadd (bvmul (_ bv29 32) ?x2) (bvmul (_ bv15 32) ?x3)) (bvmul (_ bv47 32) ?x4)) (_ bv0 32))) (and (bvslt (bvadd ?v_145 ?v_148) (bvneg (_ bv95 32))) (bvsle (bvadd (bvadd (bvadd (bvmul (_ bv26 32) ?x1) ?v_194) ?v_94) ?v_142) (_ bv0 32)))) (and (or (bvsgt (bvadd (bvadd ?v_149 (bvmul (bvneg (_ bv97 32)) ?x2)) (bvmul (bvneg (_ bv46 32)) ?x3)) (_ bv29 32)) (bvsle (bvadd (bvadd ?v_117 ?v_195) ?v_196) (_ bv0 32))) (or (= (bvadd (bvadd ?v_248 (bvmul (bvneg (_ bv32 32)) ?x3)) ?v_197) (bvneg (_ bv15 32))) (bvsgt (bvmul (_ bv30 32) ?x4) (_ bv14 32))))))))) (or (or (and (and (or (or (bvsle (bvadd (bvadd (bvmul (_ bv17 32) ?x2) ?v_239) (bvmul (bvneg (_ bv74 32)) ?x4)) (_ bv74 32)) (bvslt (bvadd (bvadd ?v_76 ?v_198) ?v_140) (bvneg (_ bv68 32)))) (bvsge (bvadd ?v_102 ?v_164) (bvneg (_ bv56 32)))) (or (or (bvslt ?v_199 (_ bv85 32)) (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv13 32)) ?x1) ?v_200) ?v_201) (bvneg (_ bv80 32)))) (and (= (bvadd ?v_202 ?v_8) (_ bv0 32)) (bvsle (bvadd (bvadd (bvmul (_ bv67 32) ?x1) (bvmul (bvneg (_ bv66 32)) ?x3)) ?v_184) (_ bv74 32))))) (or (or (or (bvslt (bvadd (bvadd (bvadd ?v_171 ?v_203) (bvmul (bvneg (_ bv48 32)) ?x3)) ?v_204) (_ bv0 32)) (not (= (bvadd (bvadd ?v_205 (bvmul (bvneg (_ bv81 32)) ?x3)) (bvmul (_ bv61 32) ?x4)) (bvneg (_ bv66 32))))) (or (not (= (bvadd (bvadd (bvadd (bvmul (_ bv21 32) ?x1) ?v_206) ?v_23) ?v_207) (_ bv87 32))) (bvsle (bvadd (bvadd ?v_208 ?v_209) (bvmul (bvneg (_ bv73 32)) ?x4)) (_ bv32 32)))) (or (and (= (bvadd (bvmul (bvneg (_ bv83 32)) ?x1) ?v_189) (_ bv65 32)) (bvsgt (bvadd (bvadd (bvadd ?v_210 (bvmul (bvneg (_ bv36 32)) ?x2)) ?v_211) (bvmul (_ bv94 32) ?x4)) (_ bv0 32))) (and (= (bvadd (bvadd ?v_212 (bvmul (bvneg (_ bv3 32)) ?x2)) ?v_213) (_ bv44 32)) (bvsle (bvadd (bvadd ?v_214 ?v_215) ?v_216) (_ bv35 32)))))) (and (or (or (bvsle (bvadd (bvadd (bvmul (_ bv100 32) ?x2) ?v_217) (bvmul (bvneg (_ bv39 32)) ?x4)) (_ bv0 32)) (bvsgt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv65 32)) ?x1) ?v_91) ?v_218) ?v_219) (bvneg (_ bv73 32)))) (or (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv95 32)) ?x1) ?v_60) ?v_23) (_ bv0 32)) (not (= (bvadd (bvadd ?v_220 ?v_221) (bvmul (_ bv17 32) ?x4)) (bvneg (_ bv10 32)))))) (or (and (or (bvsgt (bvadd (bvadd ?v_159 ?v_104) (bvmul (_ bv39 32) ?x3)) (_ bv69 32)) (not (= (bvadd (bvadd (bvmul (bvneg (_ bv85 32)) ?x1) ?v_52) ?v_222) (_ bv12 32)))) (and (bvslt (bvadd (bvadd (bvadd ?v_223 ?v_224) ?v_68) (bvmul (bvneg (_ bv58 32)) ?x4)) (_ bv0 32)) (bvsle (bvadd (bvmul (bvneg (_ bv8 32)) ?x1) (bvmul (_ bv46 32) ?x2)) (_ bv23 32)))) (and (and (= (bvadd (bvadd ?v_225 (bvmul (bvneg (_ bv70 32)) ?x3)) (bvmul (_ bv9 32) ?x4)) (_ bv98 32)) (bvsle (bvadd (bvadd ?v_233 (bvmul (bvneg (_ bv95 32)) ?x2)) ?v_226) (_ bv92 32))) (or (bvsgt (bvadd ?v_227 ?v_228) (_ bv0 32)) (bvsle (bvadd (bvadd (bvmul (_ bv44 32) ?x2) ?v_230) (bvmul (_ bv33 32) ?x4)) (_ bv11 32))))))) (or (and (and (and (or (bvsge (bvadd (bvadd (bvadd (bvmul (_ bv92 32) ?x1) ?v_208) ?v_34) ?v_229) (_ bv0 32)) (bvslt (bvadd (bvadd (bvmul (_ bv34 32) ?x1) (bvmul (_ bv5 32) ?x3)) ?v_115) (_ bv97 32))) (and (bvsge (bvadd (bvadd (bvadd ?v_61 (bvmul (_ bv96 32) ?x2)) ?v_230) ?v_231) (_ bv0 32)) (bvsgt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv28 32)) ?x1) ?v_256) ?v_232) ?v_69) (_ bv98 32)))) (and (and (= (bvadd (bvadd ?v_233 ?v_63) ?v_234) (_ bv36 32)) (bvsle (bvadd (bvadd (bvadd ?v_235 ?v_236) (bvmul (bvneg (_ bv13 32)) ?x3)) ?v_80) (_ bv66 32))) (not (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv50 32)) ?x1) ?v_194) (bvmul (_ bv1 32) ?x3)) ?v_186) (_ bv30 32))))) (or (or (and (and (= (bvadd (bvadd ?v_237 ?v_238) ?v_239) (bvneg (_ bv9 32))) (not (= (bvadd ?v_240 ?v_115) (_ bv0 32)))) (and (= (bvadd ?v_241 ?v_77) (bvneg (_ bv57 32))) (bvsge (bvadd ?v_52 ?v_231) (_ bv0 32)))) (or (bvsge ?v_222 (bvneg (_ bv11 32))) (not (= (bvadd ?v_179 (bvmul (bvneg (_ bv91 32)) ?x4)) (_ bv12 32))))) (or (or (bvslt (bvadd (bvadd (bvadd ?v_242 (bvmul (bvneg (_ bv51 32)) ?x2)) ?v_217) ?v_243) (_ bv0 32)) (bvslt (bvadd (bvadd (bvadd ?v_244 ?v_245) (bvmul (bvneg (_ bv14 32)) ?x3)) (bvmul (_ bv16 32) ?x4)) (_ bv0 32))) (or (or (not (= (bvadd (bvadd (bvadd ?v_246 (bvmul (bvneg (_ bv83 32)) ?x2)) ?v_198) ?v_115) (_ bv95 32))) (bvsge (bvadd (bvadd (bvadd (bvmul (_ bv33 32) ?x1) ?v_86) (bvmul (_ bv61 32) ?x3)) ?v_157) (_ bv0 32))) (or (bvsge (bvadd (bvadd (bvadd (bvmul (_ bv38 32) ?x1) ?v_39) ?v_31) ?v_89) (_ bv0 32)) (bvsgt (bvadd (bvadd ?v_247 ?v_248) ?v_198) (bvneg (_ bv52 32)))))))) (and (or (and (or (bvsle (bvmul (_ bv80 32) ?x1) (bvneg (_ bv82 32))) (bvslt ?v_137 (bvneg (_ bv11 32)))) (and (bvsgt (bvadd (bvmul (bvneg (_ bv60 32)) ?x2) ?v_23) (_ bv0 32)) (bvsle (bvadd (bvadd (bvadd ?v_117 ?v_185) ?v_249) ?v_250) (_ bv5 32)))) (and (or (or (= (bvadd ?v_244 ?v_88) (_ bv63 32)) (= ?v_69 (_ bv24 32))) (bvslt (bvadd ?v_251 ?v_28) (bvneg (_ bv92 32)))) (or (and (bvslt (bvadd (bvadd ?v_102 ?v_206) ?v_252) (_ bv7 32)) (= (bvadd (bvadd ?v_253 ?v_254) (bvmul (bvneg (_ bv21 32)) ?x4)) (bvneg (_ bv72 32)))) (and (= (bvadd (bvadd (bvadd ?v_102 (bvmul (bvneg (_ bv52 32)) ?x2)) ?v_255) (bvmul (_ bv95 32) ?x4)) (_ bv51 32)) (not (= ?v_97 (_ bv0 32))))))) (and (and (and (bvsgt (bvadd ?v_256 ?v_231) (_ bv84 32)) (bvsgt (bvadd (bvadd ?v_123 ?v_257) ?v_180) (_ bv30 32))) (or (or (bvslt (bvadd (bvadd (bvadd ?v_223 ?v_96) (bvmul (bvneg (_ bv56 32)) ?x3)) ?v_258) (bvneg (_ bv35 32))) (bvsle (bvadd ?v_3 (bvmul (_ bv25 32) ?x3)) (_ bv0 32))) (and (bvsle (bvadd (bvadd (bvadd ?v_259 (bvmul (bvneg (_ bv79 32)) ?x2)) (bvmul (_ bv42 32) ?x3)) ?v_260) (_ bv3 32)) (not (= (bvadd (bvadd ?v_261 ?v_124) ?v_197) (bvneg (_ bv76 32))))))) (and (and (or (= ?v_262 (_ bv57 32)) (= (bvadd (bvadd ?v_67 ?v_172) ?v_192) (_ bv78 32))) (and (bvslt (bvadd (bvadd ?v_263 ?v_264) ?v_265) (_ bv76 32)) (not (= (bvadd (bvadd (bvadd ?v_98 ?v_107) ?v_234) (bvmul (_ bv50 32) ?x4)) (_ bv2 32))))) (and (or (bvslt (bvadd (bvadd ?v_266 (bvmul (bvneg (_ bv44 32)) ?x2)) ?v_267) (_ bv67 32)) (bvsge (bvadd (bvadd ?v_36 ?v_249) (bvmul (bvneg (_ bv2 32)) ?x4)) (_ bv0 32))) (or (not (= (bvadd ?v_268 ?v_269) (_ bv0 32))) (bvslt (bvadd (bvmul (bvneg (_ bv4 32)) ?x3) ?v_270) (_ bv37 32))))))))))))))))))
(check-sat)
(exit)
