(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun lambda () (_ BitVec 32))
(declare-fun lambdaprime () (_ BitVec 32))
(declare-fun x4 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(declare-fun bool.b17 () Bool)
(declare-fun bool.b18 () Bool)
(declare-fun bool.b19 () Bool)
(declare-fun bool.b20 () Bool)
(declare-fun bool.b21 () Bool)
(declare-fun bool.b23 () Bool)
(declare-fun bool.b22 () Bool)
(declare-fun bool.b24 () Bool)
(assert (forall ((?lambda (_ BitVec 32))) (let ((?v_17 (bvadd x4 (bvmul (_ bv20 32) ?lambda))) (?v_11 (not bool.b19)) (?v_10 (not bool.b18)) (?v_6 (not bool.b17)) (?v_8 (not bool.b21)) (?v_3 (not bool.b23)) (?v_9 (not bool.b20)) (?v_7 (not bool.b22))) (let ((?v_4 (and ?v_9 ?v_7))) (let ((?v_2 (not ?v_4)) (?v_13 (and ?v_10 ?v_11))) (let ((?v_12 (not ?v_13)) (?v_14 (and ?v_9 ?v_13))) (let ((?v_15 (and ?v_8 ?v_14))) (let ((?v_16 (and ?v_7 ?v_15)) (?v_39 (bvsle (bvmul (_ bv1 32) ?v_17) (_ bv4820 32)))) (let ((?v_100 (not ?v_39)) (?v_164 (not bool.b24)) (?v_95 (bvadd x3 (bvmul (bvneg (_ bv1 32)) ?lambda)))) (let ((?v_1 (bvmul (_ bv1 32) ?v_95))) (let ((?v_0 (bvadd ?v_1 (bvmul (bvsdiv (_ bv1 32) (_ bv20 32)) ?v_17)))) (let ((?v_93 (bvsle ?v_0 (_ bv400 32))) (?v_94 (not (bvsle ?v_0 (_ bv241 32)))) (?v_5 (bvsle ?v_1 (_ bv0 32)))) (let ((?v_41 (not ?v_5)) (?v_20 (bvmul (bvneg (_ bv1 32)) ?v_17))) (let ((?v_42 (bvsle ?v_20 (bvneg (_ bv4100 32))))) (let ((?v_37 (not ?v_42)) (?v_19 (not (bvsle ?v_1 (_ bv33 32))))) (let ((?v_34 (and bool.b17 (not (and ?v_37 ?v_19))))) (let ((?v_18 (not ?v_34)) (?v_44 (bvsle ?v_20 (bvneg (_ bv4500 32))))) (let ((?v_69 (not ?v_44))) (let ((?v_66 (not (and bool.b18 (not (and ?v_19 ?v_69))))) (?v_38 (bvsle ?v_20 (bvneg (_ bv4910 32))))) (let ((?v_89 (not ?v_38))) (let ((?v_68 (not (and bool.b19 (not (and ?v_19 ?v_89))))) (?v_40 (and bool.b20 ?v_5))) (let ((?v_67 (not ?v_40))) (let ((?v_21 (not (and (and (and ?v_18 ?v_66) ?v_68) ?v_67)))) (let ((?v_31 (and bool.b23 ?v_21))) (let ((?v_35 (not ?v_31)) (?v_28 (and bool.b22 ?v_21))) (let ((?v_32 (not ?v_28)) (?v_25 (and bool.b21 ?v_21))) (let ((?v_29 (not ?v_25)) (?v_23 (and bool.b20 ?v_21))) (let ((?v_26 (not ?v_23)) (?v_22 (and bool.b18 ?v_21)) (?v_46 (and bool.b19 ?v_21))) (let ((?v_27 (and (not ?v_22) (not ?v_46)))) (let ((?v_24 (not ?v_27)) (?v_30 (and ?v_26 ?v_27))) (let ((?v_33 (and ?v_29 ?v_30))) (let ((?v_36 (and ?v_32 ?v_33))) (let ((?v_126 (and (not (and ?v_18 (not (and (not (and ?v_35 (not (and (not (and ?v_32 (not (and (not (and ?v_29 (not (and (not (and ?v_26 (not (and ?v_24 (not (and bool.b19 ?v_22)))))) (not (and ?v_23 ?v_24)))))) (not (and ?v_25 (not ?v_30))))))) (not (and ?v_28 (not ?v_33))))))) (not (and ?v_31 (not ?v_36))))))) (not (and ?v_34 (not (and ?v_35 ?v_36)))))) (?v_87 (bvsle (bvadd ?v_1 (bvmul (bvsdiv (_ bv1 32) (_ bv15 32)) ?v_17)) (bvsdiv (_ bv964 32) (_ bv3 32))))) (let ((?v_84 (not ?v_87))) (let ((?v_61 (not (and ?v_5 ?v_84))) (?v_48 (and ?v_37 ?v_34)) (?v_47 (not (and bool.b19 ?v_38)))) (let ((?v_49 (and ?v_47 ?v_35)) (?v_133 (not (and ?v_39 ?v_40)))) (let ((?v_51 (and ?v_133 ?v_32)) (?v_132 (not (and ?v_100 ?v_40)))) (let ((?v_53 (and ?v_132 ?v_29)) (?v_59 (and ?v_41 ?v_23))) (let ((?v_55 (not ?v_59)) (?v_65 (and bool.b17 ?v_42))) (let ((?v_43 (not ?v_65)) (?v_130 (and bool.b18 ?v_44))) (let ((?v_45 (not ?v_130))) (let ((?v_97 (and ?v_43 ?v_45))) (let ((?v_57 (and ?v_43 (not (and ?v_97 ?v_22)))) (?v_58 (and ?v_45 (not (and ?v_46 (and ?v_45 ?v_47)))))) (let ((?v_56 (and ?v_57 ?v_58))) (let ((?v_54 (and ?v_55 ?v_56))) (let ((?v_52 (and ?v_53 ?v_54))) (let ((?v_50 (and ?v_51 ?v_52))) (let ((?v_62 (not (and ?v_48 (not (and ?v_49 ?v_50))))) (?v_63 (not ?v_48)) (?v_127 (not (and (not ?v_49) (not ?v_50)))) (?v_80 (not ?v_51))) (let ((?v_128 (not (and ?v_80 (not ?v_52)))) (?v_78 (not ?v_53))) (let ((?v_129 (not (and ?v_78 (not ?v_54)))) (?v_60 (not ?v_56)) (?v_70 (not ?v_57)) (?v_64 (not ?v_58))) (let ((?v_74 (not (and ?v_38 ?v_64)))) (let ((?v_82 (and ?v_49 ?v_74)) (?v_72 (and ?v_44 ?v_65)) (?v_135 (and bool.b24 (not (and ?v_67 (and ?v_18 ?v_68)))))) (let ((?v_131 (not ?v_135))) (let ((?v_73 (and ?v_66 ?v_131))) (let ((?v_76 (and ?v_55 (not (and ?v_72 ?v_73)))) (?v_71 (and ?v_69 ?v_70))) (let ((?v_109 (not (and ?v_64 ?v_71))) (?v_91 (not ?v_71)) (?v_75 (not (and ?v_72 (not ?v_73))))) (let ((?v_90 (and ?v_75 (not (and ?v_64 (and ?v_74 ?v_75)))))) (let ((?v_79 (and ?v_91 ?v_90))) (let ((?v_77 (not ?v_79)) (?v_85 (not ?v_76)) (?v_81 (and ?v_76 ?v_79))) (let ((?v_83 (and ?v_53 ?v_81)) (?v_86 (bvsle ?v_1 (_ bv20 32))) (?v_88 (and ?v_41 ?v_85))) (let ((?v_118 (and ?v_86 (and ?v_84 ?v_88))) (?v_102 (not ?v_88)) (?v_101 (not ?v_90))) (let ((?v_98 (and ?v_89 ?v_101))) (let ((?v_99 (not ?v_98)) (?v_158 (and ?v_63 ?v_91))) (let ((?v_92 (and (not (and ?v_86 (and ?v_87 ?v_88))) (not (and ?v_21 (and ?v_102 (and ?v_99 ?v_158))))))) (let ((?v_125 (not ?v_92)) (?v_96 (not (bvsle (bvmul (bvneg (_ bv1 32)) ?v_95) (bvneg (_ bv20 32)))))) (let ((?v_161 (and (not (and ?v_96 (and bool.b17 ?v_37))) (not (and ?v_96 (and ?v_69 (not (and ?v_43 (not (and bool.b18 ?v_97)))))))))) (let ((?v_117 (and ?v_161 (not (and ?v_96 ?v_98)))) (?v_103 (and ?v_5 ?v_85))) (let ((?v_107 (and ?v_53 (not (and ?v_100 ?v_103)))) (?v_105 (and ?v_82 (not (and ?v_38 ?v_101)))) (?v_104 (and ?v_51 (not (and ?v_39 ?v_103))))) (let ((?v_108 (and ?v_102 ?v_104))) (let ((?v_106 (not ?v_108)) (?v_113 (not ?v_104)) (?v_115 (not ?v_105)) (?v_111 (not ?v_107)) (?v_112 (and ?v_91 ?v_99))) (let ((?v_110 (not ?v_112)) (?v_114 (and ?v_102 ?v_112))) (let ((?v_116 (and ?v_107 ?v_114))) (let ((?v_124 (and (not (and ?v_117 (not (and (not (and ?v_41 (not (and ?v_99 (and ?v_91 (and ?v_63 (and (not (and ?v_107 (not (and (not (and ?v_105 (not (and ?v_106 (not (and ?v_88 ?v_113)))))) (not (and ?v_115 ?v_106)))))) (not (and ?v_111 (not (and ?v_105 ?v_108))))))))))) (not (and ?v_5 (and ?v_39 (not (and ?v_62 (not (and ?v_63 (not (and (not (and ?v_105 (not (and (not (and ?v_104 (not (and (not (and ?v_107 (not (and (not (and ?v_88 ?v_110)) (not (and ?v_102 (not (and ?v_109 ?v_110)))))))) (not (and ?v_111 (not ?v_114))))))) (not (and ?v_113 (not ?v_116))))))) (not (and ?v_115 (not (and ?v_104 ?v_116))))))))))))))))) (not (and ?v_61 (not ?v_117))))) (?v_119 (bvadd ?v_1 (bvmul (bvsdiv (_ bv3 32) (_ bv20 32)) ?v_17)))) (let ((?v_186 (bvsle ?v_119 (_ bv1200 32))) (?v_187 (not (bvsle ?v_119 (_ bv723 32)))) (?v_120 (bvsle ?v_1 (_ bv40 32))) (?v_122 (bvsle ?v_1 (_ bv45 32)))) (let ((?v_121 (and ?v_122 ?v_19))) (let ((?v_188 (not (and ?v_120 (and ?v_121 ?v_71)))) (?v_189 (not ?v_86)) (?v_123 (not ?v_122))) (let ((?v_190 (not (and ?v_123 ?v_71))) (?v_191 (not ?v_120)) (?v_134 (not (and ?v_130 ?v_131)))) (let ((?v_138 (and ?v_134 (not (and ?v_23 (and ?v_132 (and ?v_133 ?v_134)))))) (?v_136 (not (and ?v_130 ?v_135)))) (let ((?v_137 (and ?v_136 (not (and ?v_46 (and ?v_47 ?v_136)))))) (let ((?v_139 (not (and ?v_57 ?v_137))) (?v_140 (not ?v_137)) (?v_141 (not ?v_138))) (let ((?v_147 (not (and ?v_38 ?v_140)))) (let ((?v_154 (and ?v_49 ?v_147)) (?v_142 (and ?v_5 ?v_141))) (let ((?v_145 (not (and ?v_39 ?v_142)))) (let ((?v_152 (and ?v_51 ?v_145)) (?v_143 (not (and ?v_100 ?v_142)))) (let ((?v_150 (and ?v_53 ?v_143)) (?v_144 (not (and ?v_164 ?v_72)))) (let ((?v_148 (and ?v_144 (not (and ?v_141 (and ?v_143 (and ?v_144 ?v_145)))))) (?v_146 (not (and bool.b24 ?v_72)))) (let ((?v_159 (and ?v_146 (not (and ?v_140 (and ?v_146 ?v_147)))))) (let ((?v_151 (and ?v_91 ?v_159))) (let ((?v_149 (not ?v_151)) (?v_156 (not ?v_148)) (?v_153 (and ?v_148 ?v_151))) (let ((?v_155 (and ?v_150 ?v_153)) (?v_157 (and ?v_41 ?v_156))) (let ((?v_185 (and ?v_86 (and ?v_84 ?v_157))) (?v_170 (not ?v_157)) (?v_162 (and ?v_89 (not ?v_159)))) (let ((?v_163 (not ?v_162))) (let ((?v_160 (and (not (and ?v_86 (and ?v_87 ?v_157))) (not (and ?v_21 (and ?v_170 (and ?v_158 ?v_163))))))) (let ((?v_193 (not ?v_160)) (?v_184 (and ?v_161 (not (and ?v_96 ?v_162)))) (?v_165 (not (and ?v_164 ?v_130)))) (let ((?v_166 (not (and ?v_165 (not (and bool.b20 (and (and ?v_165 ?v_133) ?v_132))))))) (let ((?v_167 (and ?v_5 ?v_166))) (let ((?v_171 (and ?v_5 (not (and ?v_144 (not (and ?v_166 (and (not (and ?v_100 ?v_167)) (and (not (and ?v_39 ?v_167)) ?v_144))))))))) (let ((?v_175 (and (not (and ?v_100 ?v_171)) ?v_150)) (?v_168 (not (and bool.b24 ?v_130)))) (let ((?v_169 (not (and ?v_168 (not (and bool.b19 (and ?v_47 ?v_168))))))) (let ((?v_173 (and (not (and ?v_38 (not (and ?v_146 (not (and ?v_169 (and (not (and ?v_38 ?v_169)) ?v_146))))))) ?v_154)) (?v_172 (and (not (and ?v_39 ?v_171)) ?v_152))) (let ((?v_176 (and ?v_170 ?v_172))) (let ((?v_174 (not ?v_176)) (?v_180 (not ?v_172)) (?v_182 (not ?v_173)) (?v_178 (not ?v_175)) (?v_179 (and ?v_91 ?v_163))) (let ((?v_177 (not ?v_179)) (?v_181 (and ?v_170 ?v_179))) (let ((?v_183 (and ?v_175 ?v_181))) (let ((?v_192 (and (not (and ?v_184 (not (and (not (and ?v_41 (not (and ?v_163 (and ?v_91 (and ?v_63 (and (not (and ?v_175 (not (and (not (and ?v_173 (not (and ?v_174 (not (and ?v_157 ?v_180)))))) (not (and ?v_182 ?v_174)))))) (not (and ?v_178 (not (and ?v_173 ?v_176))))))))))) (not (and ?v_5 (and ?v_39 (not (and ?v_62 (not (and ?v_63 (not (and (not (and ?v_173 (not (and (not (and ?v_172 (not (and (not (and ?v_175 (not (and (not (and ?v_157 ?v_177)) (not (and ?v_170 (not (and ?v_109 ?v_177)))))))) (not (and ?v_178 (not ?v_181))))))) (not (and ?v_180 (not ?v_183))))))) (not (and ?v_182 (not (and ?v_172 ?v_183))))))))))))))))) (not (and ?v_61 (not ?v_184)))))) (or (or (exists ((?lambdaprime (_ BitVec 32))) (let ((?v_195 (bvmul (bvneg (_ bv1 32)) (bvadd x4 (bvmul (_ bv20 32) ?lambdaprime)))) (?v_196 (bvmul (_ bv1 32) (bvadd x3 (bvmul (bvneg (_ bv1 32)) ?lambdaprime))))) (let ((?v_194 (not (bvsle ?v_196 (_ bv33 32))))) (and (and (bvsle (_ bv0 32) ?lambdaprime) (bvsle ?lambdaprime ?lambda)) (not (and (and (and (not (and bool.b17 (not (and (not (bvsle ?v_195 (bvneg (_ bv4100 32)))) ?v_194)))) (not (and bool.b18 (not (and ?v_194 (not (bvsle ?v_195 (bvneg (_ bv4500 32))))))))) (not (and bool.b19 (not (and ?v_194 (not (bvsle ?v_195 (bvneg (_ bv4910 32))))))))) (not (and bool.b20 (bvsle ?v_196 (_ bv0 32)))))))))) (bvslt ?lambda (_ bv0 32))) (and (not (and ?v_93 (and ?v_94 (and (not (and ?v_41 (not (and ?v_11 (and ?v_10 (and ?v_6 (and (not (and ?v_8 (not (and (not (and ?v_3 (not (and ?v_2 (not (and bool.b20 bool.b22)))))) (not (and bool.b23 ?v_2)))))) (not (and bool.b21 (not (and ?v_3 ?v_4))))))))))) (not (and ?v_5 (and (not (and (not (and ?v_6 (not (and (not (and ?v_3 (not (and (not (and ?v_7 (not (and (not (and ?v_8 (not (and (not (and ?v_9 (not (and ?v_12 (not (and bool.b18 bool.b19)))))) (not (and bool.b20 ?v_12)))))) (not (and bool.b21 (not ?v_14))))))) (not (and bool.b22 (not ?v_15))))))) (not (and bool.b23 (not ?v_16))))))) (not (and bool.b17 (not (and ?v_3 ?v_16)))))) ?v_39))))))) (and (not (and ?v_126 (not (and ?v_61 (not (and (and ?v_62 (not (and ?v_63 (not (and ?v_127 (not (and ?v_49 (not (and ?v_128 (not (and ?v_51 (not (and ?v_129 (not (and ?v_53 (not (and (not (and ?v_55 (not (and ?v_60 (not (and ?v_70 ?v_64)))))) (not (and ?v_59 ?v_60))))))))))))))))))) (not (and ?v_61 (not (and (and ?v_62 (not (and ?v_63 (not (and (not (and ?v_82 (not (and (not (and ?v_51 (not (and (not (and ?v_53 (not (and (not (and ?v_76 (not (and ?v_109 ?v_77)))) (not (and ?v_85 ?v_77)))))) (not (and ?v_78 (not ?v_81))))))) (not (and ?v_80 (not ?v_83))))))) (not (and (not ?v_82) (not (and ?v_51 ?v_83))))))))) (and (not (and (not ?v_118) (not (and (not (and ?v_61 ?v_92)) (not (and ?v_125 (not (and ?v_93 (and ?v_94 ?v_124))))))))) (not (and ?v_118 (not (and ?v_186 (and ?v_187 (and (and (and ?v_188 (not (and ?v_120 (and ?v_121 ?v_98)))) (not (and ?v_120 (and ?v_189 (and ?v_87 ?v_85))))) (and (and (and ?v_190 (not (and ?v_123 ?v_98))) (not (and ?v_191 (and ?v_84 ?v_85)))) (and (not (and ?v_92 (not ?v_124))) (not (and ?v_61 ?v_125))))))))))))))))))))) (not (and ?v_126 (not (and ?v_61 (not (and (and ?v_62 (not (and ?v_63 (not (and ?v_127 (not (and ?v_49 (not (and ?v_128 (not (and ?v_51 (not (and ?v_129 (not (and ?v_53 (not (and (not (and ?v_138 (not (and ?v_139 (not (and ?v_70 ?v_140)))))) (not (and ?v_141 ?v_139))))))))))))))))))) (not (and ?v_61 (not (and (and ?v_62 (not (and ?v_63 (not (and (not (and ?v_154 (not (and (not (and ?v_152 (not (and (not (and ?v_150 (not (and (not (and ?v_148 (not (and ?v_109 ?v_149)))) (not (and ?v_156 ?v_149)))))) (not (and (not ?v_150) (not ?v_153))))))) (not (and (not ?v_152) (not ?v_155))))))) (not (and (not ?v_154) (not (and ?v_152 ?v_155))))))))) (and (not (and (not ?v_185) (not (and (not (and ?v_61 ?v_160)) (not (and ?v_193 (not (and ?v_93 (and ?v_94 ?v_192))))))))) (not (and ?v_185 (not (and ?v_186 (and ?v_187 (and (and (and ?v_188 (not (and ?v_120 (and ?v_121 ?v_162)))) (not (and ?v_120 (and ?v_189 (and ?v_87 ?v_156))))) (and (and (and ?v_190 (not (and ?v_123 ?v_162))) (not (and ?v_191 (and ?v_84 ?v_156)))) (and (not (and ?v_160 (not ?v_192))) (not (and ?v_61 ?v_193)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
