(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun lambda () (_ BitVec 32))
(declare-fun lambdaprime () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(declare-fun x4 () (_ BitVec 32))
(declare-fun bool.b20 () Bool)
(declare-fun bool.b17 () Bool)
(declare-fun bool.b18 () Bool)
(declare-fun bool.b19 () Bool)
(declare-fun bool.b21 () Bool)
(declare-fun bool.b23 () Bool)
(declare-fun bool.b22 () Bool)
(declare-fun bool.b24 () Bool)
(assert (forall ((?lambda (_ BitVec 32))) (let ((?v_17 (bvadd x4 (bvmul (_ bv20 32) ?lambda))) (?v_11 (not bool.b19)) (?v_10 (not bool.b18)) (?v_6 (not bool.b17)) (?v_8 (not bool.b21)) (?v_3 (not bool.b23)) (?v_9 (not bool.b20)) (?v_7 (not bool.b22))) (let ((?v_4 (and ?v_9 ?v_7))) (let ((?v_2 (not ?v_4)) (?v_13 (and ?v_10 ?v_11))) (let ((?v_12 (not ?v_13)) (?v_14 (and ?v_9 ?v_13))) (let ((?v_15 (and ?v_8 ?v_14))) (let ((?v_16 (and ?v_7 ?v_15)) (?v_39 (bvsle (bvmul (_ bv1 32) ?v_17) (_ bv4820 32)))) (let ((?v_142 (not ?v_39)) (?v_167 (not bool.b24)) (?v_94 (bvadd x3 (bvmul (bvneg (_ bv3 32)) ?lambda)))) (let ((?v_1 (bvmul (_ bv1 32) ?v_94))) (let ((?v_0 (bvadd ?v_1 (bvmul (bvsdiv (_ bv3 32) (_ bv20 32)) ?v_17)))) (let ((?v_117 (bvsle ?v_0 (_ bv1200 32))) (?v_118 (not (bvsle ?v_0 (_ bv723 32)))) (?v_5 (bvsle ?v_1 (_ bv0 32)))) (let ((?v_42 (not ?v_5)) (?v_20 (bvmul (bvneg (_ bv1 32)) ?v_17))) (let ((?v_43 (bvsle ?v_20 (bvneg (_ bv4100 32))))) (let ((?v_37 (not ?v_43)) (?v_119 (bvsle ?v_1 (_ bv45 32)))) (let ((?v_19 (not ?v_119))) (let ((?v_34 (and bool.b17 (not (and ?v_37 ?v_19))))) (let ((?v_18 (not ?v_34)) (?v_40 (and bool.b20 ?v_5))) (let ((?v_67 (not ?v_40)) (?v_45 (bvsle ?v_20 (bvneg (_ bv4500 32))))) (let ((?v_69 (not ?v_45))) (let ((?v_66 (not (and bool.b18 (not (and ?v_19 ?v_69))))) (?v_38 (bvsle ?v_20 (bvneg (_ bv4910 32))))) (let ((?v_87 (not ?v_38))) (let ((?v_68 (not (and bool.b19 (not (and ?v_19 ?v_87)))))) (let ((?v_21 (not (and ?v_67 (and (and ?v_18 ?v_66) ?v_68))))) (let ((?v_31 (and bool.b23 ?v_21))) (let ((?v_35 (not ?v_31)) (?v_28 (and bool.b22 ?v_21))) (let ((?v_32 (not ?v_28)) (?v_25 (and bool.b21 ?v_21))) (let ((?v_29 (not ?v_25)) (?v_23 (and bool.b20 ?v_21))) (let ((?v_26 (not ?v_23)) (?v_22 (and bool.b18 ?v_21)) (?v_47 (and bool.b19 ?v_21))) (let ((?v_27 (and (not ?v_22) (not ?v_47)))) (let ((?v_24 (not ?v_27)) (?v_30 (and ?v_26 ?v_27))) (let ((?v_33 (and ?v_29 ?v_30))) (let ((?v_36 (and ?v_32 ?v_33))) (let ((?v_126 (and (not (and ?v_18 (not (and (not (and ?v_35 (not (and (not (and ?v_32 (not (and (not (and ?v_29 (not (and (not (and ?v_26 (not (and ?v_24 (not (and bool.b19 ?v_22)))))) (not (and ?v_23 ?v_24)))))) (not (and ?v_25 (not ?v_30))))))) (not (and ?v_28 (not ?v_33))))))) (not (and ?v_31 (not ?v_36))))))) (not (and ?v_34 (not (and ?v_35 ?v_36)))))) (?v_91 (bvsle (bvadd ?v_1 (bvmul (bvsdiv (_ bv1 32) (_ bv15 32)) ?v_17)) (bvsdiv (_ bv964 32) (_ bv3 32))))) (let ((?v_84 (not ?v_91))) (let ((?v_41 (and ?v_5 ?v_84))) (let ((?v_62 (not ?v_41)) (?v_49 (and ?v_37 ?v_34)) (?v_48 (not (and bool.b19 ?v_38)))) (let ((?v_50 (and ?v_48 ?v_35)) (?v_133 (not (and ?v_39 ?v_40)))) (let ((?v_52 (and ?v_133 ?v_32)) (?v_132 (not (and bool.b20 ?v_41)))) (let ((?v_54 (and ?v_132 ?v_29)) (?v_60 (and ?v_42 ?v_23))) (let ((?v_56 (not ?v_60)) (?v_44 (not (and bool.b17 ?v_43))) (?v_130 (and bool.b18 ?v_45))) (let ((?v_46 (not ?v_130))) (let ((?v_96 (and ?v_44 ?v_46))) (let ((?v_58 (and ?v_44 (not (and ?v_96 ?v_22)))) (?v_59 (and ?v_46 (not (and ?v_47 (and ?v_46 ?v_48)))))) (let ((?v_57 (and ?v_58 ?v_59))) (let ((?v_55 (and ?v_56 ?v_57))) (let ((?v_53 (and ?v_54 ?v_55))) (let ((?v_51 (and ?v_52 ?v_53))) (let ((?v_63 (not (and ?v_49 (not (and ?v_50 ?v_51))))) (?v_64 (not ?v_49)) (?v_127 (not (and (not ?v_50) (not ?v_51)))) (?v_80 (not ?v_52))) (let ((?v_128 (not (and ?v_80 (not ?v_53)))) (?v_78 (not ?v_54))) (let ((?v_129 (not (and ?v_78 (not ?v_55)))) (?v_61 (not ?v_57)) (?v_70 (not ?v_58)) (?v_65 (not ?v_59))) (let ((?v_74 (not (and ?v_38 ?v_65)))) (let ((?v_82 (and ?v_50 ?v_74)) (?v_72 (and bool.b17 ?v_45)) (?v_135 (and bool.b24 (not (and ?v_67 (and ?v_18 ?v_68)))))) (let ((?v_131 (not ?v_135))) (let ((?v_73 (and ?v_66 ?v_131))) (let ((?v_76 (and ?v_56 (not (and ?v_72 ?v_73)))) (?v_71 (and ?v_69 ?v_70))) (let ((?v_107 (not (and ?v_65 ?v_71))) (?v_89 (not ?v_71)) (?v_75 (not (and ?v_72 (not ?v_73))))) (let ((?v_88 (and ?v_75 (not (and ?v_65 (and ?v_74 ?v_75)))))) (let ((?v_79 (and ?v_89 ?v_88))) (let ((?v_77 (not ?v_79)) (?v_85 (not ?v_76)) (?v_81 (and ?v_76 ?v_79))) (let ((?v_83 (and ?v_54 ?v_81)) (?v_90 (bvsle ?v_1 (_ bv20 32))) (?v_86 (and ?v_42 ?v_85))) (let ((?v_100 (not ?v_86)) (?v_99 (not ?v_88))) (let ((?v_97 (and ?v_87 ?v_99))) (let ((?v_98 (not ?v_97)) (?v_159 (and ?v_64 ?v_89))) (let ((?v_116 (and (not (and ?v_90 (and ?v_84 ?v_86))) (not (and ?v_21 (and ?v_100 (and ?v_98 ?v_159)))))) (?v_92 (and ?v_90 (and ?v_91 ?v_86)))) (let ((?v_124 (not ?v_92)) (?v_93 (bvadd ?v_1 (bvmul (bvsdiv (_ bv1 32) (_ bv20 32)) ?v_17)))) (let ((?v_162 (bvsle ?v_93 (_ bv400 32))) (?v_163 (not (bvsle ?v_93 (_ bv241 32)))) (?v_95 (not (bvsle (bvmul (bvneg (_ bv1 32)) ?v_94) (bvneg (_ bv20 32))))) (?v_120 (and bool.b17 ?v_37)) (?v_123 (and ?v_69 (not (and ?v_44 (not (and bool.b18 ?v_96))))))) (let ((?v_164 (and (not (and ?v_95 ?v_120)) (not (and ?v_95 ?v_123))))) (let ((?v_115 (and ?v_164 (not (and ?v_95 ?v_97)))) (?v_101 (and ?v_5 ?v_85))) (let ((?v_105 (and ?v_54 (not (and ?v_142 ?v_101)))) (?v_103 (and ?v_82 (not (and ?v_38 ?v_99)))) (?v_102 (and ?v_52 (not (and ?v_39 ?v_101))))) (let ((?v_106 (and ?v_100 ?v_102))) (let ((?v_104 (not ?v_106)) (?v_111 (not ?v_102)) (?v_113 (not ?v_103)) (?v_109 (not ?v_105)) (?v_110 (and ?v_89 ?v_98))) (let ((?v_108 (not ?v_110)) (?v_112 (and ?v_100 ?v_110))) (let ((?v_114 (and ?v_105 ?v_112))) (let ((?v_125 (and (not (and ?v_115 (not (and (not (and ?v_42 (not (and ?v_98 (and ?v_89 (and ?v_64 (and (not (and ?v_105 (not (and (not (and ?v_103 (not (and ?v_104 (not (and ?v_86 ?v_111)))))) (not (and ?v_113 ?v_104)))))) (not (and ?v_109 (not (and ?v_103 ?v_106))))))))))) (not (and ?v_5 (and ?v_39 (not (and ?v_63 (not (and ?v_64 (not (and (not (and ?v_103 (not (and (not (and ?v_102 (not (and (not (and ?v_105 (not (and (not (and ?v_86 ?v_108)) (not (and ?v_100 (not (and ?v_107 ?v_108)))))))) (not (and ?v_109 (not ?v_112))))))) (not (and ?v_111 (not ?v_114))))))) (not (and ?v_113 (not (and ?v_102 ?v_114))))))))))))))))) (not (and ?v_62 (not ?v_115))))) (?v_121 (bvsle ?v_1 (_ bv40 32))) (?v_122 (and ?v_119 (not (bvsle ?v_1 (_ bv33 32)))))) (let ((?v_189 (and (not (and ?v_121 (and ?v_122 ?v_120))) (not (and ?v_121 (and ?v_122 ?v_123))))) (?v_190 (not ?v_90)) (?v_191 (not (and ?v_19 ?v_71))) (?v_192 (not ?v_121)) (?v_134 (not (and ?v_130 ?v_131)))) (let ((?v_138 (and ?v_134 (not (and ?v_23 (and ?v_132 (and ?v_133 ?v_134)))))) (?v_136 (not (and ?v_130 ?v_135)))) (let ((?v_137 (and ?v_136 (not (and ?v_47 (and ?v_48 ?v_136)))))) (let ((?v_139 (not (and ?v_58 ?v_137))) (?v_140 (not ?v_137)) (?v_141 (not ?v_138))) (let ((?v_148 (not (and ?v_38 ?v_140)))) (let ((?v_155 (and ?v_50 ?v_148)) (?v_143 (and ?v_5 ?v_141))) (let ((?v_146 (not (and ?v_39 ?v_143)))) (let ((?v_153 (and ?v_52 ?v_146)) (?v_144 (not (and ?v_142 ?v_143)))) (let ((?v_151 (and ?v_54 ?v_144)) (?v_145 (not (and ?v_167 ?v_72)))) (let ((?v_149 (and ?v_145 (not (and ?v_141 (and ?v_144 (and ?v_145 ?v_146)))))) (?v_147 (not (and bool.b24 ?v_72)))) (let ((?v_160 (and ?v_147 (not (and ?v_140 (and ?v_147 ?v_148)))))) (let ((?v_152 (and ?v_89 ?v_160))) (let ((?v_150 (not ?v_152)) (?v_157 (not ?v_149)) (?v_154 (and ?v_149 ?v_152))) (let ((?v_156 (and ?v_151 ?v_154)) (?v_158 (and ?v_42 ?v_157))) (let ((?v_173 (not ?v_158)) (?v_165 (and ?v_87 (not ?v_160)))) (let ((?v_166 (not ?v_165))) (let ((?v_188 (and (not (and ?v_90 (and ?v_84 ?v_158))) (not (and ?v_21 (and ?v_173 (and ?v_159 ?v_166)))))) (?v_161 (and ?v_90 (and ?v_91 ?v_158)))) (let ((?v_193 (not ?v_161)) (?v_187 (and ?v_164 (not (and ?v_95 ?v_165)))) (?v_168 (not (and ?v_167 ?v_130)))) (let ((?v_169 (not (and ?v_168 (not (and bool.b20 (and (and ?v_168 ?v_133) ?v_132))))))) (let ((?v_170 (and ?v_5 ?v_169))) (let ((?v_174 (and ?v_5 (not (and ?v_145 (not (and ?v_169 (and (not (and ?v_142 ?v_170)) (and (not (and ?v_39 ?v_170)) ?v_145))))))))) (let ((?v_178 (and (not (and ?v_142 ?v_174)) ?v_151)) (?v_171 (not (and bool.b24 ?v_130)))) (let ((?v_172 (not (and ?v_171 (not (and bool.b19 (and ?v_48 ?v_171))))))) (let ((?v_176 (and (not (and ?v_38 (not (and ?v_147 (not (and ?v_172 (and (not (and ?v_38 ?v_172)) ?v_147))))))) ?v_155)) (?v_175 (and (not (and ?v_39 ?v_174)) ?v_153))) (let ((?v_179 (and ?v_173 ?v_175))) (let ((?v_177 (not ?v_179)) (?v_183 (not ?v_175)) (?v_185 (not ?v_176)) (?v_181 (not ?v_178)) (?v_182 (and ?v_89 ?v_166))) (let ((?v_180 (not ?v_182)) (?v_184 (and ?v_173 ?v_182))) (let ((?v_186 (and ?v_178 ?v_184))) (let ((?v_194 (and (not (and ?v_187 (not (and (not (and ?v_42 (not (and ?v_166 (and ?v_89 (and ?v_64 (and (not (and ?v_178 (not (and (not (and ?v_176 (not (and ?v_177 (not (and ?v_158 ?v_183)))))) (not (and ?v_185 ?v_177)))))) (not (and ?v_181 (not (and ?v_176 ?v_179))))))))))) (not (and ?v_5 (and ?v_39 (not (and ?v_63 (not (and ?v_64 (not (and (not (and ?v_176 (not (and (not (and ?v_175 (not (and (not (and ?v_178 (not (and (not (and ?v_158 ?v_180)) (not (and ?v_173 (not (and ?v_107 ?v_180)))))))) (not (and ?v_181 (not ?v_184))))))) (not (and ?v_183 (not ?v_186))))))) (not (and ?v_185 (not (and ?v_175 ?v_186))))))))))))))))) (not (and ?v_62 (not ?v_187)))))) (or (or (exists ((?lambdaprime (_ BitVec 32))) (let ((?v_195 (bvmul (_ bv1 32) (bvadd x3 (bvmul (bvneg (_ bv3 32)) ?lambdaprime)))) (?v_197 (bvmul (bvneg (_ bv1 32)) (bvadd x4 (bvmul (_ bv20 32) ?lambdaprime))))) (let ((?v_196 (not (bvsle ?v_195 (_ bv45 32))))) (and (and (bvsle (_ bv0 32) ?lambdaprime) (bvsle ?lambdaprime ?lambda)) (not (and (not (and bool.b20 (bvsle ?v_195 (_ bv0 32)))) (and (and (not (and bool.b17 (not (and (not (bvsle ?v_197 (bvneg (_ bv4100 32)))) ?v_196)))) (not (and bool.b18 (not (and ?v_196 (not (bvsle ?v_197 (bvneg (_ bv4500 32))))))))) (not (and bool.b19 (not (and ?v_196 (not (bvsle ?v_197 (bvneg (_ bv4910 32))))))))))))))) (bvslt ?lambda (_ bv0 32))) (and (not (and ?v_117 (and ?v_118 (and (not (and ?v_42 (not (and ?v_11 (and ?v_10 (and ?v_6 (and (not (and ?v_8 (not (and (not (and ?v_3 (not (and ?v_2 (not (and bool.b20 bool.b22)))))) (not (and bool.b23 ?v_2)))))) (not (and bool.b21 (not (and ?v_3 ?v_4))))))))))) (not (and ?v_5 (and (not (and (not (and ?v_6 (not (and (not (and ?v_3 (not (and (not (and ?v_7 (not (and (not (and ?v_8 (not (and (not (and ?v_9 (not (and ?v_12 (not (and bool.b18 bool.b19)))))) (not (and bool.b20 ?v_12)))))) (not (and bool.b21 (not ?v_14))))))) (not (and bool.b22 (not ?v_15))))))) (not (and bool.b23 (not ?v_16))))))) (not (and bool.b17 (not (and ?v_3 ?v_16)))))) ?v_39))))))) (and (not (and ?v_126 (not (and ?v_62 (not (and (and ?v_63 (not (and ?v_64 (not (and ?v_127 (not (and ?v_50 (not (and ?v_128 (not (and ?v_52 (not (and ?v_129 (not (and ?v_54 (not (and (not (and ?v_56 (not (and ?v_61 (not (and ?v_70 ?v_65)))))) (not (and ?v_60 ?v_61))))))))))))))))))) (not (and ?v_62 (not (and (and ?v_63 (not (and ?v_64 (not (and (not (and ?v_82 (not (and (not (and ?v_52 (not (and (not (and ?v_54 (not (and (not (and ?v_76 (not (and ?v_107 ?v_77)))) (not (and ?v_85 ?v_77)))))) (not (and ?v_78 (not ?v_81))))))) (not (and ?v_80 (not ?v_83))))))) (not (and (not ?v_82) (not (and ?v_52 ?v_83))))))))) (and (not (and ?v_116 (not (and (not (and ?v_62 ?v_124)) (not (and ?v_92 (not (and ?v_162 (and ?v_163 ?v_125))))))))) (not (and (not ?v_116) (not (and ?v_117 (and ?v_118 (and (and (and ?v_189 (not (and ?v_121 (and ?v_122 ?v_97)))) (not (and ?v_121 (and ?v_190 (and ?v_91 ?v_85))))) (and (and (and ?v_191 (not (and ?v_19 ?v_97))) (not (and ?v_192 (and ?v_84 ?v_85)))) (and ?v_124 ?v_125))))))))))))))))))) (not (and ?v_126 (not (and ?v_62 (not (and (and ?v_63 (not (and ?v_64 (not (and ?v_127 (not (and ?v_50 (not (and ?v_128 (not (and ?v_52 (not (and ?v_129 (not (and ?v_54 (not (and (not (and ?v_138 (not (and ?v_139 (not (and ?v_70 ?v_140)))))) (not (and ?v_141 ?v_139))))))))))))))))))) (not (and ?v_62 (not (and (and ?v_63 (not (and ?v_64 (not (and (not (and ?v_155 (not (and (not (and ?v_153 (not (and (not (and ?v_151 (not (and (not (and ?v_149 (not (and ?v_107 ?v_150)))) (not (and ?v_157 ?v_150)))))) (not (and (not ?v_151) (not ?v_154))))))) (not (and (not ?v_153) (not ?v_156))))))) (not (and (not ?v_155) (not (and ?v_153 ?v_156))))))))) (and (not (and ?v_188 (not (and (not (and ?v_62 ?v_193)) (not (and ?v_161 (not (and ?v_162 (and ?v_163 ?v_194))))))))) (not (and (not ?v_188) (not (and ?v_117 (and ?v_118 (and (and (and ?v_189 (not (and ?v_121 (and ?v_122 ?v_165)))) (not (and ?v_121 (and ?v_190 (and ?v_91 ?v_157))))) (and (and (and ?v_191 (not (and ?v_19 ?v_165))) (not (and ?v_192 (and ?v_84 ?v_157)))) (and ?v_193 ?v_194))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
