(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun lambda () (_ BitVec 32))
(declare-fun lambdaprime () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(declare-fun x4 () (_ BitVec 32))
(declare-fun bool.b20 () Bool)
(declare-fun bool.b17 () Bool)
(declare-fun bool.b18 () Bool)
(declare-fun bool.b19 () Bool)
(declare-fun bool.b23 () Bool)
(declare-fun bool.b22 () Bool)
(declare-fun bool.b21 () Bool)
(declare-fun bool.b24 () Bool)
(assert (forall ((?lambda (_ BitVec 32))) (let ((?v_11 (bvadd x4 (bvmul (_ bv60 32) ?lambda))) (?v_13 (not bool.b17)) (?v_9 (not bool.b23)) (?v_7 (not bool.b22)) (?v_5 (not bool.b21)) (?v_3 (not bool.b20)) (?v_15 (not bool.b18)) (?v_14 (not bool.b19))) (let ((?v_4 (and ?v_15 ?v_14))) (let ((?v_2 (not ?v_4)) (?v_6 (and ?v_3 ?v_4))) (let ((?v_8 (and ?v_5 ?v_6))) (let ((?v_10 (and ?v_7 ?v_8)) (?v_38 (bvsle (bvmul (_ bv1 32) ?v_11) (_ bv4820 32))) (?v_16 (not (and ?v_7 ?v_9)))) (let ((?v_144 (not ?v_38)) (?v_169 (not bool.b24)) (?v_95 (bvadd x3 (bvmul (bvneg (_ bv3 32)) ?lambda)))) (let ((?v_1 (bvmul (_ bv1 32) ?v_95))) (let ((?v_0 (bvadd ?v_1 (bvmul (bvsdiv (_ bv1 32) (_ bv20 32)) ?v_11)))) (let ((?v_93 (bvsle ?v_0 (_ bv400 32))) (?v_94 (not (bvsle ?v_0 (_ bv241 32)))) (?v_12 (bvsle ?v_1 (_ bv0 32)))) (let ((?v_40 (not ?v_12)) (?v_19 (bvmul (bvneg (_ bv1 32)) ?v_11))) (let ((?v_41 (bvsle ?v_19 (bvneg (_ bv4100 32))))) (let ((?v_36 (not ?v_41)) (?v_121 (bvsle ?v_1 (_ bv45 32)))) (let ((?v_18 (not ?v_121))) (let ((?v_33 (and bool.b17 (not (and ?v_36 ?v_18))))) (let ((?v_17 (not ?v_33)) (?v_86 (bvsle ?v_1 (_ bv40 32)))) (let ((?v_65 (not (and bool.b20 ?v_86))) (?v_43 (bvsle ?v_19 (bvneg (_ bv4500 32))))) (let ((?v_67 (not ?v_43))) (let ((?v_64 (not (and bool.b18 (not (and ?v_18 ?v_67))))) (?v_37 (bvsle ?v_19 (bvneg (_ bv4910 32))))) (let ((?v_84 (not ?v_37))) (let ((?v_66 (not (and bool.b19 (not (and ?v_18 ?v_84)))))) (let ((?v_20 (not (and ?v_65 (and (and ?v_17 ?v_64) ?v_66))))) (let ((?v_30 (and bool.b23 ?v_20))) (let ((?v_34 (not ?v_30)) (?v_27 (and bool.b22 ?v_20))) (let ((?v_31 (not ?v_27)) (?v_24 (and bool.b21 ?v_20))) (let ((?v_28 (not ?v_24)) (?v_22 (and bool.b20 ?v_20))) (let ((?v_25 (not ?v_22)) (?v_21 (and bool.b18 ?v_20)) (?v_45 (and bool.b19 ?v_20))) (let ((?v_26 (and (not ?v_21) (not ?v_45)))) (let ((?v_23 (not ?v_26)) (?v_29 (and ?v_25 ?v_26))) (let ((?v_32 (and ?v_28 ?v_29))) (let ((?v_35 (and ?v_31 ?v_32))) (let ((?v_128 (and (not (and ?v_17 (not (and (not (and ?v_34 (not (and (not (and ?v_31 (not (and (not (and ?v_28 (not (and (not (and ?v_25 (not (and ?v_23 (not (and bool.b19 ?v_21)))))) (not (and ?v_22 ?v_23)))))) (not (and ?v_24 (not ?v_29))))))) (not (and ?v_27 (not ?v_32))))))) (not (and ?v_30 (not ?v_35))))))) (not (and ?v_33 (not (and ?v_34 ?v_35)))))) (?v_91 (bvsle (bvadd ?v_1 (bvmul (bvsdiv (_ bv1 32) (_ bv15 32)) ?v_11)) (bvsdiv (_ bv964 32) (_ bv3 32))))) (let ((?v_82 (not ?v_91))) (let ((?v_39 (and ?v_12 ?v_82))) (let ((?v_60 (not ?v_39)) (?v_47 (and ?v_36 ?v_33)) (?v_46 (not (and bool.b19 ?v_37)))) (let ((?v_48 (and ?v_46 ?v_34)) (?v_135 (not (and ?v_38 (and bool.b20 ?v_12))))) (let ((?v_50 (and ?v_135 ?v_31)) (?v_134 (not (and bool.b20 ?v_39)))) (let ((?v_52 (and ?v_134 ?v_28)) (?v_58 (and ?v_40 ?v_22))) (let ((?v_54 (not ?v_58)) (?v_42 (not (and bool.b17 ?v_41))) (?v_132 (and bool.b18 ?v_43))) (let ((?v_44 (not ?v_132))) (let ((?v_97 (and ?v_42 ?v_44))) (let ((?v_56 (and ?v_42 (not (and ?v_97 ?v_21)))) (?v_57 (and ?v_44 (not (and ?v_45 (and ?v_44 ?v_46)))))) (let ((?v_55 (and ?v_56 ?v_57))) (let ((?v_53 (and ?v_54 ?v_55))) (let ((?v_51 (and ?v_52 ?v_53))) (let ((?v_49 (and ?v_50 ?v_51))) (let ((?v_61 (not (and ?v_47 (not (and ?v_48 ?v_49))))) (?v_62 (not ?v_47)) (?v_129 (not (and (not ?v_48) (not ?v_49)))) (?v_78 (not ?v_50))) (let ((?v_130 (not (and ?v_78 (not ?v_51)))) (?v_76 (not ?v_52))) (let ((?v_131 (not (and ?v_76 (not ?v_53)))) (?v_59 (not ?v_55)) (?v_68 (not ?v_56)) (?v_63 (not ?v_57))) (let ((?v_72 (not (and ?v_37 ?v_63)))) (let ((?v_80 (and ?v_48 ?v_72)) (?v_70 (and bool.b17 ?v_43)) (?v_137 (and bool.b24 (not (and ?v_65 (and ?v_17 ?v_66)))))) (let ((?v_133 (not ?v_137))) (let ((?v_71 (and ?v_64 ?v_133))) (let ((?v_74 (and ?v_54 (not (and ?v_70 ?v_71)))) (?v_69 (and ?v_67 ?v_68))) (let ((?v_107 (not (and ?v_63 ?v_69))) (?v_89 (not ?v_69)) (?v_73 (not (and ?v_70 (not ?v_71))))) (let ((?v_85 (and ?v_73 (not (and ?v_63 (and ?v_72 ?v_73)))))) (let ((?v_77 (and ?v_89 ?v_85))) (let ((?v_75 (not ?v_77)) (?v_83 (not ?v_74)) (?v_79 (and ?v_74 ?v_77))) (let ((?v_81 (and ?v_52 ?v_79)) (?v_90 (bvsle ?v_1 (_ bv20 32))) (?v_87 (and ?v_40 ?v_83))) (let ((?v_119 (and ?v_90 (and ?v_82 ?v_87))) (?v_160 (not (and ?v_18 ?v_69))) (?v_99 (not ?v_85))) (let ((?v_88 (and ?v_84 ?v_99)) (?v_162 (not ?v_86)) (?v_100 (not ?v_87))) (let ((?v_98 (not ?v_88)) (?v_164 (and ?v_62 ?v_89))) (let ((?v_116 (and (and (and ?v_160 (not (and ?v_18 ?v_88))) (not (and ?v_162 (and ?v_82 ?v_83)))) (not (and ?v_20 (and ?v_100 (and ?v_98 ?v_164)))))) (?v_92 (and ?v_90 (and ?v_91 ?v_87)))) (let ((?v_125 (not ?v_92)) (?v_96 (not (bvsle (bvmul (bvneg (_ bv1 32)) ?v_95) (bvneg (_ bv20 32))))) (?v_122 (and bool.b17 ?v_36)) (?v_124 (and ?v_67 (not (and ?v_42 (not (and bool.b18 ?v_97))))))) (let ((?v_167 (and (not (and ?v_96 ?v_122)) (not (and ?v_96 ?v_124))))) (let ((?v_115 (and ?v_167 (not (and ?v_96 ?v_88)))) (?v_101 (and ?v_12 ?v_83))) (let ((?v_105 (and ?v_52 (not (and ?v_144 ?v_101)))) (?v_103 (and ?v_80 (not (and ?v_37 ?v_99)))) (?v_102 (and ?v_50 (not (and ?v_38 ?v_101))))) (let ((?v_106 (and ?v_100 ?v_102))) (let ((?v_104 (not ?v_106)) (?v_111 (not ?v_102)) (?v_113 (not ?v_103)) (?v_109 (not ?v_105)) (?v_110 (and ?v_89 ?v_98))) (let ((?v_108 (not ?v_110)) (?v_112 (and ?v_100 ?v_110))) (let ((?v_114 (and ?v_105 ?v_112))) (let ((?v_117 (not (and ?v_12 (and ?v_38 (not (and ?v_61 (not (and ?v_62 (not (and (not (and ?v_103 (not (and (not (and ?v_102 (not (and (not (and ?v_105 (not (and (not (and ?v_87 ?v_108)) (not (and ?v_100 (not (and ?v_107 ?v_108)))))))) (not (and ?v_109 (not ?v_112))))))) (not (and ?v_111 (not ?v_114))))))) (not (and ?v_113 (not (and ?v_102 ?v_114))))))))))))))) (let ((?v_126 (and (not (and ?v_115 (not (and (not (and ?v_40 (not (and ?v_98 (and ?v_89 (and ?v_62 (and (not (and ?v_105 (not (and (not (and ?v_103 (not (and ?v_104 (not (and ?v_87 ?v_111)))))) (not (and ?v_113 ?v_104)))))) (not (and ?v_109 (not (and ?v_103 ?v_106))))))))))) ?v_117)))) (not (and ?v_60 (not ?v_115))))) (?v_127 (not ?v_116)) (?v_118 (not (and ?v_103 ?v_102))) (?v_120 (bvadd ?v_1 (bvmul (bvsdiv (_ bv3 32) (_ bv20 32)) ?v_11)))) (let ((?v_194 (bvsle ?v_120 (_ bv1200 32))) (?v_195 (not (bvsle ?v_120 (_ bv723 32)))) (?v_123 (and ?v_121 (not (bvsle ?v_1 (_ bv33 32)))))) (let ((?v_196 (and (not (and ?v_86 (and ?v_123 ?v_122))) (not (and ?v_86 (and ?v_123 ?v_124))))) (?v_197 (not ?v_90)) (?v_136 (not (and ?v_132 ?v_133)))) (let ((?v_140 (and ?v_136 (not (and ?v_22 (and ?v_134 (and ?v_135 ?v_136)))))) (?v_138 (not (and ?v_132 ?v_137)))) (let ((?v_139 (and ?v_138 (not (and ?v_45 (and ?v_46 ?v_138)))))) (let ((?v_141 (not (and ?v_56 ?v_139))) (?v_142 (not ?v_139)) (?v_143 (not ?v_140))) (let ((?v_150 (not (and ?v_37 ?v_142)))) (let ((?v_157 (and ?v_48 ?v_150)) (?v_145 (and ?v_12 ?v_143))) (let ((?v_148 (not (and ?v_38 ?v_145)))) (let ((?v_155 (and ?v_50 ?v_148)) (?v_146 (not (and ?v_144 ?v_145)))) (let ((?v_153 (and ?v_52 ?v_146)) (?v_147 (not (and ?v_169 ?v_70)))) (let ((?v_151 (and ?v_147 (not (and ?v_143 (and ?v_146 (and ?v_147 ?v_148)))))) (?v_149 (not (and bool.b24 ?v_70)))) (let ((?v_161 (and ?v_149 (not (and ?v_142 (and ?v_149 ?v_150)))))) (let ((?v_154 (and ?v_89 ?v_161))) (let ((?v_152 (not ?v_154)) (?v_159 (not ?v_151)) (?v_156 (and ?v_151 ?v_154))) (let ((?v_158 (and ?v_153 ?v_156)) (?v_163 (and ?v_40 ?v_159))) (let ((?v_193 (and ?v_90 (and ?v_82 ?v_163))) (?v_165 (and ?v_84 (not ?v_161))) (?v_175 (not ?v_163))) (let ((?v_168 (not ?v_165))) (let ((?v_190 (and (and (and ?v_160 (not (and ?v_18 ?v_165))) (not (and ?v_162 (and ?v_82 ?v_159)))) (not (and ?v_20 (and ?v_175 (and ?v_164 ?v_168)))))) (?v_166 (and ?v_90 (and ?v_91 ?v_163)))) (let ((?v_198 (not ?v_166)) (?v_189 (and ?v_167 (not (and ?v_96 ?v_165)))) (?v_170 (not (and ?v_169 ?v_132)))) (let ((?v_171 (not (and ?v_170 (not (and bool.b20 (and (and ?v_170 ?v_135) ?v_134))))))) (let ((?v_172 (and ?v_12 ?v_171))) (let ((?v_176 (and ?v_12 (not (and ?v_147 (not (and ?v_171 (and (not (and ?v_144 ?v_172)) (and (not (and ?v_38 ?v_172)) ?v_147))))))))) (let ((?v_180 (and (not (and ?v_144 ?v_176)) ?v_153)) (?v_173 (not (and bool.b24 ?v_132)))) (let ((?v_174 (not (and ?v_173 (not (and bool.b19 (and ?v_46 ?v_173))))))) (let ((?v_178 (and (not (and ?v_37 (not (and ?v_149 (not (and ?v_174 (and (not (and ?v_37 ?v_174)) ?v_149))))))) ?v_157)) (?v_177 (and (not (and ?v_38 ?v_176)) ?v_155))) (let ((?v_181 (and ?v_175 ?v_177))) (let ((?v_179 (not ?v_181)) (?v_185 (not ?v_177)) (?v_187 (not ?v_178)) (?v_183 (not ?v_180)) (?v_184 (and ?v_89 ?v_168))) (let ((?v_182 (not ?v_184)) (?v_186 (and ?v_175 ?v_184))) (let ((?v_188 (and ?v_180 ?v_186))) (let ((?v_191 (not (and ?v_12 (and ?v_38 (not (and ?v_61 (not (and ?v_62 (not (and (not (and ?v_178 (not (and (not (and ?v_177 (not (and (not (and ?v_180 (not (and (not (and ?v_163 ?v_182)) (not (and ?v_175 (not (and ?v_107 ?v_182)))))))) (not (and ?v_183 (not ?v_186))))))) (not (and ?v_185 (not ?v_188))))))) (not (and ?v_187 (not (and ?v_177 ?v_188))))))))))))))) (let ((?v_199 (and (not (and ?v_189 (not (and (not (and ?v_40 (not (and ?v_168 (and ?v_89 (and ?v_62 (and (not (and ?v_180 (not (and (not (and ?v_178 (not (and ?v_179 (not (and ?v_163 ?v_185)))))) (not (and ?v_187 ?v_179)))))) (not (and ?v_183 (not (and ?v_178 ?v_181))))))))))) ?v_191)))) (not (and ?v_60 (not ?v_189))))) (?v_200 (not ?v_190)) (?v_192 (not (and ?v_178 ?v_177)))) (or (or (exists ((?lambdaprime (_ BitVec 32))) (let ((?v_201 (bvmul (_ bv1 32) (bvadd x3 (bvmul (bvneg (_ bv3 32)) ?lambdaprime)))) (?v_203 (bvmul (bvneg (_ bv1 32)) (bvadd x4 (bvmul (_ bv60 32) ?lambdaprime))))) (let ((?v_202 (not (bvsle ?v_201 (_ bv45 32))))) (and (and (bvsle (_ bv0 32) ?lambdaprime) (bvsle ?lambdaprime ?lambda)) (not (and (not (and bool.b20 (bvsle ?v_201 (_ bv40 32)))) (and (and (not (and bool.b17 (not (and (not (bvsle ?v_203 (bvneg (_ bv4100 32)))) ?v_202)))) (not (and bool.b18 (not (and ?v_202 (not (bvsle ?v_203 (bvneg (_ bv4500 32))))))))) (not (and bool.b19 (not (and ?v_202 (not (bvsle ?v_203 (bvneg (_ bv4910 32))))))))))))))) (bvslt ?lambda (_ bv0 32))) (and (not (and ?v_93 (and ?v_94 (and (not (and ?v_12 (and (not (and (not (and ?v_13 (not (and (not (and ?v_9 (not (and (not (and ?v_7 (not (and (not (and ?v_5 (not (and (not (and ?v_3 (not (and ?v_2 (not (and bool.b18 bool.b19)))))) (not (and bool.b20 ?v_2)))))) (not (and bool.b21 (not ?v_6))))))) (not (and bool.b22 (not ?v_8))))))) (not (and bool.b23 (not ?v_10))))))) (not (and bool.b17 (not (and ?v_9 ?v_10)))))) ?v_38))) (not (and ?v_40 (not (and ?v_13 (and ?v_3 (and ?v_14 (and ?v_15 (and (not (and ?v_5 (not (and ?v_16 (not (and bool.b22 bool.b23)))))) (not (and bool.b21 ?v_16)))))))))))))) (and (not (and ?v_128 (not (and ?v_60 (not (and (and ?v_61 (not (and ?v_62 (not (and ?v_129 (not (and ?v_48 (not (and ?v_130 (not (and ?v_50 (not (and ?v_131 (not (and ?v_52 (not (and (not (and ?v_54 (not (and ?v_59 (not (and ?v_68 ?v_63)))))) (not (and ?v_58 ?v_59))))))))))))))))))) (not (and ?v_60 (not (and (and ?v_61 (not (and ?v_62 (not (and (not (and ?v_80 (not (and (not (and ?v_50 (not (and (not (and ?v_52 (not (and (not (and ?v_74 (not (and ?v_107 ?v_75)))) (not (and ?v_83 ?v_75)))))) (not (and ?v_76 (not ?v_79))))))) (not (and ?v_78 (not ?v_81))))))) (not (and (not ?v_80) (not (and ?v_50 ?v_81))))))))) (and (not (and (not ?v_119) (not (and (not (and ?v_116 (not (and (not (and ?v_60 ?v_125)) (not (and ?v_92 (not (and ?v_93 (and ?v_94 ?v_126))))))))) (not (and ?v_127 (not (and ?v_93 (and ?v_94 (and ?v_117 (not (and ?v_40 (not (and ?v_62 (and ?v_100 (and ?v_98 (and ?v_89 (and (not (and ?v_105 (not (and ?v_118 (not (and ?v_113 ?v_111)))))) (not (and ?v_109 ?v_118)))))))))))))))))))) (not (and ?v_119 (not (and ?v_194 (and ?v_195 (and (and (and ?v_196 (not (and ?v_86 (and ?v_123 ?v_88)))) (not (and ?v_86 (and ?v_197 (and ?v_91 ?v_83))))) (and (not (and ?v_116 (not (and ?v_125 ?v_126)))) (not (and ?v_60 ?v_127)))))))))))))))))))) (not (and ?v_128 (not (and ?v_60 (not (and (and ?v_61 (not (and ?v_62 (not (and ?v_129 (not (and ?v_48 (not (and ?v_130 (not (and ?v_50 (not (and ?v_131 (not (and ?v_52 (not (and (not (and ?v_140 (not (and ?v_141 (not (and ?v_68 ?v_142)))))) (not (and ?v_143 ?v_141))))))))))))))))))) (not (and ?v_60 (not (and (and ?v_61 (not (and ?v_62 (not (and (not (and ?v_157 (not (and (not (and ?v_155 (not (and (not (and ?v_153 (not (and (not (and ?v_151 (not (and ?v_107 ?v_152)))) (not (and ?v_159 ?v_152)))))) (not (and (not ?v_153) (not ?v_156))))))) (not (and (not ?v_155) (not ?v_158))))))) (not (and (not ?v_157) (not (and ?v_155 ?v_158))))))))) (and (not (and (not ?v_193) (not (and (not (and ?v_190 (not (and (not (and ?v_60 ?v_198)) (not (and ?v_166 (not (and ?v_93 (and ?v_94 ?v_199))))))))) (not (and ?v_200 (not (and ?v_93 (and ?v_94 (and ?v_191 (not (and ?v_40 (not (and ?v_62 (and ?v_175 (and ?v_168 (and ?v_89 (and (not (and ?v_180 (not (and ?v_192 (not (and ?v_187 ?v_185)))))) (not (and ?v_183 ?v_192)))))))))))))))))))) (not (and ?v_193 (not (and ?v_194 (and ?v_195 (and (and (and ?v_196 (not (and ?v_86 (and ?v_123 ?v_165)))) (not (and ?v_86 (and ?v_197 (and ?v_91 ?v_159))))) (and (not (and ?v_190 (not (and ?v_198 ?v_199)))) (not (and ?v_60 ?v_200))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
