(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun lambda () (_ BitVec 32))
(declare-fun lambdaprime () (_ BitVec 32))
(declare-fun x4 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(declare-fun bool.b17 () Bool)
(declare-fun bool.b18 () Bool)
(declare-fun bool.b19 () Bool)
(declare-fun bool.b21 () Bool)
(declare-fun bool.b23 () Bool)
(declare-fun bool.b20 () Bool)
(declare-fun bool.b22 () Bool)
(declare-fun bool.b24 () Bool)
(assert (forall ((?lambda (_ BitVec 32))) (let ((?v_17 (bvadd x4 (bvmul (_ bv40 32) ?lambda))) (?v_11 (not bool.b19)) (?v_10 (not bool.b18)) (?v_6 (not bool.b17)) (?v_8 (not bool.b21)) (?v_3 (not bool.b23)) (?v_9 (not bool.b20)) (?v_7 (not bool.b22))) (let ((?v_4 (and ?v_9 ?v_7))) (let ((?v_2 (not ?v_4)) (?v_13 (and ?v_10 ?v_11))) (let ((?v_12 (not ?v_13)) (?v_14 (and ?v_9 ?v_13))) (let ((?v_15 (and ?v_8 ?v_14))) (let ((?v_16 (and ?v_7 ?v_15)) (?v_39 (bvsle (bvmul (_ bv1 32) ?v_17) (_ bv4820 32)))) (let ((?v_71 (not ?v_39)) (?v_107 (not bool.b24)) (?v_103 (bvadd x3 (bvmul (bvsdiv (bvneg (_ bv1 32)) (_ bv20 32)) ?lambda)))) (let ((?v_1 (bvmul (_ bv1 32) ?v_103))) (let ((?v_0 (bvadd ?v_1 (bvmul (bvsdiv (_ bv1 32) (_ bv800 32)) ?v_17)))) (let ((?v_140 (bvsle ?v_0 (_ bv10 32))) (?v_5 (bvsle ?v_1 (_ bv0 32)))) (let ((?v_41 (not ?v_5)) (?v_20 (bvmul (bvneg (_ bv1 32)) ?v_17))) (let ((?v_42 (bvsle ?v_20 (bvneg (_ bv4100 32))))) (let ((?v_37 (not ?v_42)) (?v_19 (not (bvsle ?v_1 (_ bv30 32))))) (let ((?v_34 (and bool.b17 (not (and ?v_37 ?v_19))))) (let ((?v_18 (not ?v_34)) (?v_44 (bvsle ?v_20 (bvneg (_ bv4500 32))))) (let ((?v_77 (not ?v_44)) (?v_38 (bvsle ?v_20 (bvneg (_ bv4910 32))))) (let ((?v_92 (not ?v_38))) (let ((?v_56 (not (and bool.b19 (not (and ?v_19 ?v_92)))))) (let ((?v_21 (not (and (and ?v_18 (not (and bool.b18 (not (and ?v_19 ?v_77))))) ?v_56)))) (let ((?v_31 (and bool.b23 ?v_21))) (let ((?v_35 (not ?v_31)) (?v_28 (and bool.b22 ?v_21))) (let ((?v_32 (not ?v_28)) (?v_25 (and bool.b21 ?v_21))) (let ((?v_29 (not ?v_25)) (?v_23 (and bool.b20 ?v_21))) (let ((?v_26 (not ?v_23)) (?v_22 (and bool.b18 ?v_21)) (?v_46 (and bool.b19 ?v_21))) (let ((?v_27 (and (not ?v_22) (not ?v_46)))) (let ((?v_24 (not ?v_27)) (?v_30 (and ?v_26 ?v_27))) (let ((?v_33 (and ?v_29 ?v_30))) (let ((?v_36 (and ?v_32 ?v_33)) (?v_100 (bvsle (bvadd ?v_1 (bvmul (bvsdiv (_ bv1 32) (_ bv15 32)) ?v_17)) (bvsdiv (_ bv964 32) (_ bv3 32))))) (let ((?v_97 (not ?v_100))) (let ((?v_109 (and ?v_5 ?v_97))) (let ((?v_66 (not ?v_109)) (?v_48 (and ?v_37 ?v_34)) (?v_47 (not (and bool.b19 ?v_38)))) (let ((?v_49 (and ?v_47 ?v_35)) (?v_40 (and ?v_5 ?v_23))) (let ((?v_58 (not (and ?v_39 ?v_40)))) (let ((?v_51 (and ?v_32 ?v_58)) (?v_57 (not (and ?v_71 ?v_40)))) (let ((?v_53 (and ?v_29 ?v_57)) (?v_43 (not (and bool.b17 ?v_42))) (?v_55 (and bool.b18 ?v_44))) (let ((?v_45 (not ?v_55))) (let ((?v_105 (and ?v_43 ?v_45))) (let ((?v_60 (and ?v_43 (not (and ?v_105 ?v_22)))) (?v_76 (and ?v_45 (not (and ?v_46 (and ?v_45 ?v_47)))))) (let ((?v_54 (and (not (and ?v_41 ?v_23)) (and ?v_60 ?v_76)))) (let ((?v_52 (and ?v_53 ?v_54))) (let ((?v_50 (and ?v_51 ?v_52))) (let ((?v_67 (not (and ?v_48 (not (and ?v_49 ?v_50))))) (?v_68 (not ?v_48)) (?v_61 (and bool.b24 (not (and ?v_18 ?v_56))))) (let ((?v_59 (not (and ?v_55 (not ?v_61))))) (let ((?v_64 (and ?v_59 (not (and ?v_23 (and ?v_57 (and ?v_58 ?v_59)))))) (?v_62 (not (and ?v_55 ?v_61)))) (let ((?v_63 (and ?v_62 (not (and ?v_46 (and ?v_47 ?v_62)))))) (let ((?v_65 (not (and ?v_60 ?v_63))) (?v_78 (not ?v_60)) (?v_69 (not ?v_63)) (?v_70 (not ?v_64))) (let ((?v_82 (not (and ?v_38 ?v_69)))) (let ((?v_89 (and ?v_49 ?v_82)) (?v_72 (and ?v_5 ?v_70))) (let ((?v_75 (not (and ?v_39 ?v_72)))) (let ((?v_87 (and ?v_51 ?v_75)) (?v_73 (not (and ?v_71 ?v_72)))) (let ((?v_85 (and ?v_53 ?v_73)) (?v_80 (and bool.b17 ?v_44))) (let ((?v_74 (not (and ?v_107 ?v_80)))) (let ((?v_83 (and ?v_74 (not (and ?v_70 (and ?v_73 (and ?v_74 ?v_75)))))) (?v_79 (and ?v_77 ?v_78))) (let ((?v_121 (not (and (not ?v_76) ?v_79))) (?v_95 (not ?v_79)) (?v_81 (not (and bool.b24 ?v_80)))) (let ((?v_93 (and ?v_81 (not (and ?v_69 (and ?v_81 ?v_82)))))) (let ((?v_86 (and ?v_95 ?v_93))) (let ((?v_84 (not ?v_86)) (?v_94 (not ?v_83)) (?v_88 (and ?v_83 ?v_86))) (let ((?v_90 (and ?v_85 ?v_88)) (?v_132 (bvsle ?v_1 (_ bv33 32)))) (let ((?v_91 (and ?v_132 ?v_19)) (?v_96 (and ?v_92 (not ?v_93))) (?v_98 (and ?v_41 ?v_94))) (let ((?v_114 (not ?v_98)) (?v_106 (not ?v_96))) (let ((?v_139 (and (and (not (and ?v_91 ?v_79)) (not (and ?v_91 ?v_96))) (not (and ?v_21 (and ?v_114 (and (and ?v_68 ?v_95) ?v_106)))))) (?v_99 (bvsle ?v_1 (_ bv20 32)))) (let ((?v_130 (and ?v_99 (and ?v_97 ?v_98))) (?v_101 (and ?v_99 (and ?v_100 ?v_98)))) (let ((?v_137 (not ?v_101)) (?v_102 (bvadd ?v_1 (bvmul (bvsdiv (_ bv1 32) (_ bv20 32)) ?v_17)))) (let ((?v_141 (not (bvsle ?v_102 (_ bv241 32)))) (?v_104 (not (bvsle (bvmul (bvneg (_ bv1 32)) ?v_103) (bvneg (_ bv20 32)))))) (let ((?v_129 (and (and (not (and ?v_104 (and bool.b17 ?v_37))) (not (and ?v_104 (and ?v_77 (not (and ?v_43 (not (and bool.b18 ?v_105)))))))) (not (and ?v_104 ?v_96)))) (?v_108 (not (and ?v_107 ?v_55)))) (let ((?v_110 (not (and ?v_108 (not (and bool.b20 (and (and ?v_108 (not (and ?v_39 (and bool.b20 ?v_5)))) (not (and bool.b20 ?v_109))))))))) (let ((?v_111 (and ?v_5 ?v_110))) (let ((?v_115 (and ?v_5 (not (and ?v_74 (not (and ?v_110 (and (not (and ?v_71 ?v_111)) (and (not (and ?v_39 ?v_111)) ?v_74))))))))) (let ((?v_119 (and (not (and ?v_71 ?v_115)) ?v_85)) (?v_112 (not (and bool.b24 ?v_55)))) (let ((?v_113 (not (and ?v_112 (not (and bool.b19 (and ?v_47 ?v_112))))))) (let ((?v_117 (and (not (and ?v_38 (not (and ?v_81 (not (and ?v_113 (and (not (and ?v_38 ?v_113)) ?v_81))))))) ?v_89)) (?v_116 (and (not (and ?v_39 ?v_115)) ?v_87))) (let ((?v_120 (and ?v_114 ?v_116))) (let ((?v_118 (not ?v_120)) (?v_125 (not ?v_116)) (?v_127 (not ?v_117)) (?v_123 (not ?v_119)) (?v_124 (and ?v_95 ?v_106))) (let ((?v_122 (not ?v_124)) (?v_126 (and ?v_114 ?v_124))) (let ((?v_128 (and ?v_119 ?v_126))) (let ((?v_142 (not (and ?v_5 (and ?v_39 (not (and ?v_67 (not (and ?v_68 (not (and (not (and ?v_117 (not (and (not (and ?v_116 (not (and (not (and ?v_119 (not (and (not (and ?v_98 ?v_122)) (not (and ?v_114 (not (and ?v_121 ?v_122)))))))) (not (and ?v_123 (not ?v_126))))))) (not (and ?v_125 (not ?v_128))))))) (not (and ?v_127 (not (and ?v_116 ?v_128))))))))))))))) (let ((?v_138 (and (not (and ?v_129 (not (and (not (and ?v_41 (not (and ?v_106 (and ?v_95 (and ?v_68 (and (not (and ?v_119 (not (and (not (and ?v_117 (not (and ?v_118 (not (and ?v_98 ?v_125)))))) (not (and ?v_127 ?v_118)))))) (not (and ?v_123 (not (and ?v_117 ?v_120))))))))))) ?v_142)))) (not (and ?v_66 (not ?v_129))))) (?v_131 (bvadd ?v_1 (bvmul (bvsdiv (_ bv3 32) (_ bv20 32)) ?v_17))) (?v_133 (bvsle ?v_1 (_ bv40 32))) (?v_135 (bvsle ?v_1 (_ bv45 32)))) (let ((?v_134 (and ?v_135 (not ?v_132))) (?v_136 (not ?v_135)) (?v_143 (not (and ?v_117 ?v_116)))) (or (or (exists ((?lambdaprime (_ BitVec 32))) (let ((?v_145 (bvmul (bvneg (_ bv1 32)) (bvadd x4 (bvmul (_ bv40 32) ?lambdaprime)))) (?v_144 (not (bvsle (bvmul (_ bv1 32) (bvadd x3 (bvmul (bvsdiv (bvneg (_ bv1 32)) (_ bv20 32)) ?lambdaprime))) (_ bv30 32))))) (and (and (bvsle (_ bv0 32) ?lambdaprime) (bvsle ?lambdaprime ?lambda)) (not (and (and (not (and bool.b17 (not (and (not (bvsle ?v_145 (bvneg (_ bv4100 32)))) ?v_144)))) (not (and bool.b18 (not (and ?v_144 (not (bvsle ?v_145 (bvneg (_ bv4500 32))))))))) (not (and bool.b19 (not (and ?v_144 (not (bvsle ?v_145 (bvneg (_ bv4910 32))))))))))))) (bvslt ?lambda (_ bv0 32))) (and (not (and ?v_140 (and (not (bvsle ?v_0 (bvsdiv (_ bv241 32) (_ bv40 32)))) (and (not (and ?v_41 (not (and ?v_11 (and ?v_10 (and ?v_6 (and (not (and ?v_8 (not (and (not (and ?v_3 (not (and ?v_2 (not (and bool.b20 bool.b22)))))) (not (and bool.b23 ?v_2)))))) (not (and bool.b21 (not (and ?v_3 ?v_4))))))))))) (not (and ?v_5 (and (not (and (not (and ?v_6 (not (and (not (and ?v_3 (not (and (not (and ?v_7 (not (and (not (and ?v_8 (not (and (not (and ?v_9 (not (and ?v_12 (not (and bool.b18 bool.b19)))))) (not (and bool.b20 ?v_12)))))) (not (and bool.b21 (not ?v_14))))))) (not (and bool.b22 (not ?v_15))))))) (not (and bool.b23 (not ?v_16))))))) (not (and bool.b17 (not (and ?v_3 ?v_16)))))) ?v_39))))))) (not (and (and (not (and ?v_18 (not (and (not (and ?v_35 (not (and (not (and ?v_32 (not (and (not (and ?v_29 (not (and (not (and ?v_26 (not (and ?v_24 (not (and bool.b19 ?v_22)))))) (not (and ?v_23 ?v_24)))))) (not (and ?v_25 (not ?v_30))))))) (not (and ?v_28 (not ?v_33))))))) (not (and ?v_31 (not ?v_36))))))) (not (and ?v_34 (not (and ?v_35 ?v_36))))) (not (and ?v_66 (not (and (and ?v_67 (not (and ?v_68 (not (and (not (and (not ?v_49) (not ?v_50))) (not (and ?v_49 (not (and (not (and (not ?v_51) (not ?v_52))) (not (and ?v_51 (not (and (not (and (not ?v_53) (not ?v_54))) (not (and ?v_53 (not (and (not (and ?v_64 (not (and ?v_65 (not (and ?v_78 ?v_69)))))) (not (and ?v_70 ?v_65))))))))))))))))))) (not (and ?v_66 (not (and (and ?v_67 (not (and ?v_68 (not (and (not (and ?v_89 (not (and (not (and ?v_87 (not (and (not (and ?v_85 (not (and (not (and ?v_83 (not (and ?v_121 ?v_84)))) (not (and ?v_94 ?v_84)))))) (not (and (not ?v_85) (not ?v_88))))))) (not (and (not ?v_87) (not ?v_90))))))) (not (and (not ?v_89) (not (and ?v_87 ?v_90))))))))) (and (not (and ?v_139 (not (and (not (and (not ?v_130) (not (and (not (and ?v_66 ?v_137)) (not (and ?v_101 (not (and (bvsle ?v_102 (_ bv400 32)) (and ?v_141 ?v_138))))))))) (not (and ?v_130 (not (and (bvsle ?v_131 (_ bv1200 32)) (and (not (bvsle ?v_131 (_ bv723 32))) (and (and (and (not (and ?v_133 (and ?v_134 ?v_79))) (not (and ?v_133 (and ?v_134 ?v_96)))) (not (and ?v_133 (and (not ?v_99) (and ?v_100 ?v_94))))) (and (and (and (not (and ?v_136 ?v_79)) (not (and ?v_136 ?v_96))) (not (and (not ?v_133) (and ?v_97 ?v_94)))) (and ?v_137 ?v_138)))))))))))) (not (and (not ?v_139) (not (and ?v_140 (and ?v_141 (and ?v_142 (not (and ?v_41 (not (and ?v_68 (and ?v_114 (and ?v_106 (and ?v_95 (and (not (and ?v_119 (not (and ?v_143 (not (and ?v_127 ?v_125)))))) (not (and ?v_123 ?v_143)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
