(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun lambda () (_ BitVec 32))
(declare-fun lambdaprime () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(declare-fun x4 () (_ BitVec 32))
(declare-fun bool.b17 () Bool)
(declare-fun bool.b18 () Bool)
(declare-fun bool.b19 () Bool)
(declare-fun bool.b21 () Bool)
(declare-fun bool.b22 () Bool)
(declare-fun bool.b23 () Bool)
(declare-fun bool.b20 () Bool)
(declare-fun bool.b24 () Bool)
(assert (forall ((?lambda (_ BitVec 32))) (let ((?v_7 (bvadd x3 (bvmul (_ bv1 32) ?lambda)))) (let ((?v_0 (bvmul (_ bv1 32) ?v_7))) (let ((?v_4 (bvsle ?v_0 (_ bv0 32))) (?v_3 (bvadd x4 (bvmul (_ bv40 32) ?lambda))) (?v_86 (not bool.b18)) (?v_68 (not bool.b17))) (let ((?v_23 (not ?v_4)) (?v_19 (bvsle ?v_0 (_ bv30 32))) (?v_20 (bvsle ?v_0 (_ bv33 32))) (?v_63 (bvsle ?v_0 (_ bv45 32))) (?v_29 (bvsle ?v_0 (_ bv40 32))) (?v_65 (not bool.b24)) (?v_61 (bvsle ?v_0 (_ bv20 32)))) (let ((?v_72 (not ?v_61)) (?v_32 (not ?v_29)) (?v_76 (not ?v_20)) (?v_26 (bvadd ?v_0 (bvmul (bvsdiv (_ bv3 32) (_ bv20 32)) ?v_3)))) (let ((?v_33 (bvsle ?v_26 (_ bv723 32)))) (let ((?v_28 (not ?v_33))) (let ((?v_1 (and ?v_4 ?v_28))) (let ((?v_2 (not ?v_1)) (?v_6 (bvmul (bvneg (_ bv1 32)) ?v_3))) (let ((?v_22 (bvsle ?v_6 (bvneg (_ bv4500 32))))) (let ((?v_69 (not ?v_22)) (?v_5 (bvadd ?v_0 (bvmul (bvsdiv (bvneg (_ bv1 32)) (_ bv80 32)) ?v_3)))) (let ((?v_10 (bvsle ?v_5 (bvsdiv (bvneg (_ bv161 32)) (_ bv4 32))))) (let ((?v_70 (not ?v_10)) (?v_13 (bvsle ?v_5 (bvsdiv (bvneg (_ bv145 32)) (_ bv4 32)))) (?v_14 (bvsle ?v_6 (bvneg (_ bv4100 32)))) (?v_8 (bvmul (bvneg (_ bv1 32)) ?v_7))) (let ((?v_67 (bvsle ?v_8 (bvneg (_ bv30 32))))) (let ((?v_16 (not ?v_67)) (?v_11 (not (bvsle ?v_8 (bvneg (_ bv20 32))))) (?v_24 (bvmul (bvsdiv (bvneg (_ bv1 32)) (_ bv20 32)) ?v_3))) (let ((?v_9 (bvadd ?v_0 ?v_24))) (let ((?v_12 (and (bvsle ?v_9 (bvneg (_ bv205 32))) (not (bvsle ?v_9 (bvneg (_ bv209 32))))))) (let ((?v_21 (not (and ?v_11 (not ?v_12)))) (?v_17 (not (and ?v_11 ?v_12))) (?v_71 (not ?v_13)) (?v_40 (not ?v_14)) (?v_15 (bvsle (bvadd ?v_0 (bvmul (bvsdiv (_ bv1 32) (_ bv15 32)) ?v_3)) (bvsdiv (_ bv964 32) (_ bv3 32))))) (let ((?v_18 (not (and ?v_40 ?v_15))) (?v_82 (bvsle ?v_6 (bvneg (_ bv4910 32))))) (let ((?v_25 (not ?v_82)) (?v_74 (bvsle (bvadd ?v_8 ?v_24) (bvsdiv (bvneg (_ bv581 32)) (_ bv2 32)))) (?v_75 (bvsle (bvadd ?v_8 (bvmul (bvsdiv (bvneg (_ bv1 32)) (_ bv60 32)) ?v_3)) (bvsdiv (bvneg (_ bv731 32)) (_ bv6 32)))) (?v_30 (bvsle ?v_26 (_ bv1200 32)))) (let ((?v_38 (and ?v_29 ?v_30)) (?v_41 (bvmul (bvsdiv (bvneg (_ bv1 32)) (_ bv40 32)) ?v_3))) (let ((?v_77 (bvsle (bvadd ?v_8 ?v_41) (bvsdiv (bvneg (_ bv623 32)) (_ bv4 32))))) (let ((?v_88 (and (not (and ?v_25 ?v_74)) (and (not (and ?v_63 (and ?v_25 ?v_75))) (not (and ?v_38 (and ?v_22 (and ?v_25 ?v_77))))))) (?v_39 (bvsle (bvadd ?v_0 (bvmul (bvsdiv (_ bv1 32) (_ bv20 32)) ?v_3)) (_ bv241 32)))) (let ((?v_62 (not ?v_39)) (?v_27 (bvadd ?v_0 (bvmul (bvsdiv (_ bv1 32) (_ bv40 32)) ?v_3)))) (let ((?v_59 (bvsle ?v_27 (bvsdiv (_ bv261 32) (_ bv2 32))))) (let ((?v_52 (not ?v_59)) (?v_31 (bvsle ?v_27 (bvsdiv (_ bv650 32) (_ bv3 32))))) (let ((?v_53 (not (and (not ?v_31) (not (and ?v_28 (and ?v_32 ?v_30)))))) (?v_34 (bvsle ?v_27 (_ bv133 32))) (?v_35 (not (and ?v_32 ?v_33)))) (let ((?v_54 (not (and ?v_34 (not (and ?v_30 ?v_35))))) (?v_55 (not ?v_34)) (?v_58 (bvsle ?v_27 (bvsdiv (_ bv823 32) (_ bv6 32))))) (let ((?v_56 (not ?v_58)) (?v_78 (not ?v_30))) (let ((?v_57 (and ?v_35 (not (and ?v_32 ?v_78))))) (let ((?v_73 (not (and ?v_15 (not (and ?v_52 (and ?v_53 (not (and ?v_31 (not (and ?v_54 (not (and ?v_55 (not (and ?v_56 ?v_57)))))))))))))) (?v_43 (not ?v_15)) (?v_36 (bvadd ?v_0 (bvmul (bvsdiv (_ bv3 32) (_ bv40 32)) ?v_3)))) (let ((?v_51 (bvsle ?v_36 (bvsdiv (_ bv703 32) (_ bv2 32))))) (let ((?v_44 (not ?v_51)) (?v_45 (bvsle ?v_36 (_ bv610 32))) (?v_37 (bvsle ?v_36 (_ bv359 32)))) (let ((?v_46 (not (and ?v_32 ?v_37))) (?v_47 (not ?v_37)) (?v_50 (bvsle ?v_36 (bvsdiv (_ bv743 32) (_ bv2 32))))) (let ((?v_48 (not ?v_50))) (let ((?v_83 (not (and ?v_44 (and ?v_45 (and ?v_46 (not (and ?v_47 (not (and ?v_48 ?v_38))))))))) (?v_42 (bvadd ?v_0 ?v_41))) (let ((?v_64 (bvsle ?v_42 (bvsdiv (bvneg (_ bv185 32)) (_ bv2 32))))) (let ((?v_49 (not (and (not (bvsle ?v_42 (bvsdiv (bvneg (_ bv193 32)) (_ bv2 32)))) ?v_64)))) (let ((?v_60 (not (and (not (and ?v_28 (not (and ?v_30 (not (and ?v_29 ?v_49)))))) (not (and ?v_33 ?v_49))))) (?v_66 (not (and ?v_39 (and ?v_15 ?v_49)))) (?v_84 (not (and ?v_30 ?v_28))) (?v_85 (not (and ?v_15 ?v_62))) (?v_87 (not (and bool.b17 ?v_2))) (?v_80 (not (and (not ?v_63) (not ?v_74)))) (?v_81 (and ?v_32 (not (and (bvsle (bvadd ?v_0 (bvmul (bvsdiv (_ bv1 32) (_ bv60 32)) ?v_3)) (bvsdiv (_ bv400 32) (_ bv3 32))) (and ?v_76 ?v_75)))))) (let ((?v_79 (not (and ?v_80 (not (and ?v_63 (not (and (not ?v_81) (not (and ?v_29 (not (and ?v_76 (and ?v_67 ?v_77))))))))))))) (or (or (exists ((?lambdaprime (_ BitVec 32))) (let ((?v_89 (not (bvsle (bvmul (bvneg (_ bv1 32)) (bvadd x3 (bvmul (_ bv1 32) ?lambdaprime))) (bvneg (_ bv20 32))))) (?v_90 (bvmul (bvneg (_ bv1 32)) (bvadd x4 (bvmul (_ bv40 32) ?lambdaprime))))) (and (and (bvsle (_ bv0 32) ?lambdaprime) (bvsle ?lambdaprime ?lambda)) (not (and (and (not (and bool.b17 (not (and ?v_89 (not (bvsle ?v_90 (bvneg (_ bv4100 32)))))))) (not (and bool.b18 (not (and ?v_89 (not (bvsle ?v_90 (bvneg (_ bv4500 32))))))))) (not (and bool.b19 (not (and ?v_89 (not (bvsle ?v_90 (bvneg (_ bv4910 32))))))))))))) (bvslt ?lambda (_ bv0 32))) (and (not (and bool.b21 ?v_1)) (not (and (not bool.b21) (and (not (and bool.b22 ?v_2)) (not (and (not bool.b22) (not (and (not (and bool.b23 ?v_2)) (not (and (not bool.b23) (not (and (not (and bool.b20 ?v_2)) (not (and (not bool.b20) (not (and (not (and (not bool.b19) (not (and (not (and ?v_86 (not (and (not (and ?v_68 ?v_2)) (not (and bool.b17 (not (and (not (and ?v_69 (not (and (not (and ?v_23 (not (and (not (and ?v_70 (not (and ?v_13 (and ?v_14 (and ?v_16 ?v_21)))))) (not (and ?v_10 ?v_17)))))) (not (and ?v_4 (not (and (not (and ?v_71 (not (and ?v_18 (not (and ?v_14 (and ?v_15 (not (and ?v_19 (and ?v_20 (not (and ?v_16 ?v_17)))))))))))) (not (and ?v_13 (not (and ?v_18 (not (and ?v_14 (and ?v_15 (not (and ?v_19 (and ?v_20 ?v_21)))))))))))))))))) (not (and ?v_22 (not (and (not (and ?v_23 (not (and (not (and bool.b24 ?v_88)) (not (and ?v_65 (not (and (not (and ?v_72 (not (and (not (and ?v_62 (not (and ?v_14 (and ?v_73 (not (and ?v_43 ?v_83))))))) (not (and ?v_39 (not (and (not (and ?v_40 ?v_49)) (not (and ?v_14 (not (and (not (and ?v_43 (not (and (not (and ?v_44 (not (and ?v_45 (and ?v_46 (not (and ?v_47 (not (and (not (and ?v_48 (not (and ?v_30 (not (and ?v_32 ?v_49)))))) (not (and ?v_50 ?v_49))))))))))) (not (and ?v_51 ?v_49)))))) (not (and ?v_15 (not (and (not (and ?v_52 (not (and ?v_53 (not (and ?v_31 (not (and ?v_54 (not (and ?v_55 (not (and (not (and ?v_56 (not ?v_57))) (not (and ?v_58 ?v_60)))))))))))))) (not (and ?v_59 ?v_60)))))))))))))))))) (not (and ?v_61 (not (and ?v_66 (not (and ?v_62 (not (and (not (and ?v_40 (not (and (not (and ?v_43 (not (and ?v_28 (and ?v_30 (not (and ?v_63 (not ?v_64)))))))) (not (and ?v_15 (not (and ?v_30 ?v_64)))))))) (not (and ?v_14 (and ?v_43 ?v_84))))))))))))))))))) (not (and ?v_4 (not (and (not (and ?v_65 (not (and ?v_85 ?v_66)))) (not (and bool.b24 (not (and ?v_18 (not (and ?v_14 (and ?v_15 (not (and ?v_25 (and ?v_67 ?v_19)))))))))))))))))))))))))) (not (and bool.b18 (not (and ?v_87 (not (and ?v_68 (not (and (not (and ?v_69 (not (and (not (and ?v_23 (not (and (not (and ?v_70 (not (and (not (and ?v_71 ?v_49)) (not (and ?v_13 (not (and (not (and ?v_11 ?v_49)) (not (and ?v_67 ?v_49)))))))))) (not (and ?v_10 ?v_49)))))) (not (and ?v_4 (and ?v_15 (not (and (not (and (not ?v_19) ?v_49)) (not (and ?v_16 ?v_49))))))))))) (not (and ?v_22 (not (and (not (and ?v_72 (not (and ?v_73 (not (and ?v_43 (not (and (not (and ?v_25 (not (and ?v_44 (and (not (and (not ?v_45) ?v_79)) (not (and ?v_45 (not (and ?v_46 (not (and ?v_47 (not (and ?v_48 (and (not (and ?v_78 ?v_79)) (not (and ?v_30 (not (and ?v_80 (not (and ?v_63 ?v_81)))))))))))))))))))) (not (and ?v_82 ?v_83)))))))))) (not (and ?v_61 (and ?v_84 ?v_85))))))))))))))))))) (not (and bool.b19 (not (and (not (and bool.b18 ?v_2)) (not (and ?v_86 (not (and ?v_87 (not (and ?v_68 (not (and (not (and ?v_4 ?v_33)) (not (and ?v_23 ?v_88)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
