(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun lambda () (_ BitVec 32))
(declare-fun lambdaprime () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(declare-fun x4 () (_ BitVec 32))
(declare-fun bool.b17 () Bool)
(declare-fun bool.b18 () Bool)
(declare-fun bool.b19 () Bool)
(declare-fun bool.b21 () Bool)
(declare-fun bool.b22 () Bool)
(declare-fun bool.b23 () Bool)
(declare-fun bool.b20 () Bool)
(declare-fun bool.b24 () Bool)
(assert (forall ((?lambda (_ BitVec 32))) (let ((?v_1 (not bool.b17)) (?v_2 (bvadd x4 (bvmul (_ bv20 32) ?lambda))) (?v_17 (not bool.b21)) (?v_18 (not bool.b22)) (?v_15 (not bool.b23)) (?v_16 (not bool.b20)) (?v_29 (not bool.b18)) (?v_88 (not bool.b19))) (let ((?v_52 (and ?v_29 ?v_88)) (?v_30 (not (and bool.b18 bool.b19)))) (let ((?v_20 (and (not ?v_52) ?v_30))) (let ((?v_70 (and ?v_18 (and ?v_15 (and ?v_16 ?v_20)))) (?v_26 (and ?v_15 (and ?v_16 (and ?v_17 ?v_18)))) (?v_99 (not bool.b24)) (?v_3 (bvadd x3 (bvmul (bvsdiv (_ bv1 32) (_ bv2 32)) ?lambda)))) (let ((?v_0 (bvmul (_ bv1 32) ?v_3))) (let ((?v_9 (bvsle ?v_0 (_ bv0 32))) (?v_4 (bvadd ?v_0 (bvmul (bvsdiv (_ bv3 32) (_ bv20 32)) ?v_2)))) (let ((?v_12 (bvsle ?v_4 (_ bv723 32)))) (let ((?v_5 (not ?v_12))) (let ((?v_14 (not (and ?v_9 ?v_5))) (?v_21 (bvsle ?v_0 (_ bv45 32))) (?v_6 (bvmul (bvneg (_ bv1 32)) ?v_2))) (let ((?v_41 (bvsle ?v_6 (bvneg (_ bv4910 32))))) (let ((?v_22 (not ?v_41)) (?v_24 (bvmul (bvneg (_ bv1 32)) ?v_3)) (?v_56 (bvmul (bvsdiv (bvneg (_ bv1 32)) (_ bv60 32)) ?v_2))) (let ((?v_8 (bvsle (bvadd ?v_24 ?v_56) (bvsdiv (bvneg (_ bv731 32)) (_ bv6 32)))) (?v_23 (bvsle ?v_4 (_ bv1200 32))) (?v_7 (bvsle ?v_6 (bvneg (_ bv4500 32)))) (?v_10 (bvadd ?v_0 (bvmul (bvsdiv (_ bv3 32) (_ bv40 32)) ?v_2)))) (let ((?v_25 (bvsle ?v_10 (_ bv610 32))) (?v_11 (bvsle ?v_0 (_ bv40 32)))) (let ((?v_44 (not ?v_11)) (?v_19 (not ?v_9)) (?v_13 (bvsle ?v_10 (bvsdiv (_ bv743 32) (_ bv2 32))))) (let ((?v_31 (not ?v_13))) (let ((?v_45 (and ?v_7 (and ?v_44 (and ?v_8 (and ?v_19 (and ?v_1 (and ?v_17 (and ?v_31 ?v_70)))))))) (?v_27 (not (and ?v_12 ?v_13))) (?v_32 (not (and ?v_14 (not ?v_26)))) (?v_28 (and ?v_19 (and ?v_1 ?v_20)))) (let ((?v_33 (not ?v_28)) (?v_46 (and ?v_21 ?v_22)) (?v_36 (bvmul (bvsdiv (bvneg (_ bv1 32)) (_ bv40 32)) ?v_2))) (let ((?v_40 (bvsle (bvadd ?v_24 ?v_36) (bvsdiv (bvneg (_ bv623 32)) (_ bv4 32)))) (?v_39 (and ?v_22 ?v_8))) (let ((?v_90 (not ?v_39)) (?v_50 (bvmul (bvsdiv (bvneg (_ bv1 32)) (_ bv20 32)) ?v_2))) (let ((?v_38 (bvsle (bvadd ?v_24 ?v_50) (bvsdiv (bvneg (_ bv581 32)) (_ bv2 32))))) (let ((?v_34 (not ?v_38)) (?v_35 (not (and ?v_1 (and ?v_29 (and bool.b19 ?v_19))))) (?v_48 (and ?v_12 ?v_31)) (?v_49 (bvsle (bvadd ?v_0 (bvmul (bvsdiv (_ bv1 32) (_ bv15 32)) ?v_2)) (bvsdiv (_ bv964 32) (_ bv3 32)))) (?v_68 (bvsle (bvadd ?v_0 (bvmul (bvsdiv (_ bv1 32) (_ bv20 32)) ?v_2)) (_ bv241 32)))) (let ((?v_64 (not ?v_68))) (let ((?v_100 (and ?v_49 ?v_64))) (let ((?v_47 (and ?v_7 ?v_100)) (?v_53 (not ?v_7)) (?v_37 (bvadd ?v_0 ?v_36))) (let ((?v_42 (and ?v_53 (and (not (bvsle ?v_37 (bvsdiv (bvneg (_ bv193 32)) (_ bv2 32)))) (bvsle ?v_37 (bvsdiv (bvneg (_ bv185 32)) (_ bv2 32)))))) (?v_69 (and ?v_22 ?v_38))) (let ((?v_43 (not ?v_69)) (?v_89 (not (and ?v_21 ?v_39))) (?v_65 (and ?v_11 ?v_23)) (?v_91 (and ?v_7 (and ?v_22 ?v_40)))) (let ((?v_71 (and ?v_43 (and ?v_89 (not (and ?v_65 ?v_91))))) (?v_93 (and ?v_31 ?v_25))) (let ((?v_97 (and ?v_11 (and ?v_23 ?v_93)))) (let ((?v_76 (not ?v_97)) (?v_58 (not (and ?v_5 ?v_13))) (?v_80 (and ?v_23 ?v_5)) (?v_85 (bvsle (bvadd ?v_0 (bvmul (bvsdiv (_ bv1 32) (_ bv40 32)) ?v_2)) (_ bv133 32)))) (let ((?v_79 (and ?v_85 ?v_47)) (?v_86 (not ?v_48)) (?v_54 (not ?v_49)) (?v_66 (bvsle ?v_10 (_ bv359 32))) (?v_51 (bvadd ?v_0 ?v_50))) (let ((?v_63 (bvsle ?v_51 (bvneg (_ bv205 32))))) (let ((?v_87 (not (and bool.b17 (and ?v_17 (and ?v_18 (and ?v_15 (and ?v_16 (and (and ?v_63 (not (bvsle ?v_51 (bvneg (_ bv209 32))))) (and ?v_52 ?v_53))))))))) (?v_59 (not ?v_21))) (let ((?v_55 (not (and ?v_59 ?v_34))) (?v_57 (bvadd ?v_0 ?v_56))) (let ((?v_60 (and (not (bvsle ?v_57 (bvneg (_ bv59 32)))) (and ?v_53 (bvsle ?v_57 (bvneg (_ bv55 32))))))) (let ((?v_72 (and bool.b18 (and ?v_30 ?v_60))) (?v_61 (not (and ?v_22 (and ?v_59 ?v_7)))) (?v_62 (not ?v_60)) (?v_75 (and ?v_7 ?v_64)) (?v_83 (not (and ?v_11 ?v_66)))) (let ((?v_67 (not (and (not (and ?v_31 ?v_65)) ?v_83)))) (let ((?v_84 (not (and ?v_54 (not (and ?v_62 (and (not (and ?v_54 (not (and ?v_61 (and ?v_62 (not (and (and ?v_21 (not ?v_63)) (not (and (not (and ?v_54 (and ?v_22 (and ?v_25 (and ?v_75 ?v_67))))) (not (and ?v_8 ?v_31))))))))))) (not (and (and ?v_22 ?v_63) (not (and (not ?v_67) (not (and ?v_23 (not (and ?v_62 (not (and ?v_31 (not (and ?v_44 (not ?v_8))))))))))))))))))) (?v_74 (not (and ?v_7 ?v_68))) (?v_78 (and ?v_1 (and ?v_29 (and bool.b19 (not ?v_71)))))) (let ((?v_81 (not (and ?v_26 ?v_78))) (?v_77 (and ?v_1 (and ?v_17 (and ?v_18 (and ?v_15 (and ?v_16 ?v_72))))))) (let ((?v_73 (not (and ?v_19 ?v_77))) (?v_82 (not ?v_80)) (?v_96 (and (not ?v_85) ?v_66)) (?v_94 (not (and bool.b24 (not (and ?v_43 ?v_89))))) (?v_92 (not ?v_91))) (let ((?v_95 (and bool.b24 ?v_92))) (let ((?v_98 (not (and ?v_43 (not (and ?v_21 (not (and ?v_90 ?v_95)))))))) (or (or (exists ((?lambdaprime (_ BitVec 32))) (let ((?v_101 (not (bvsle (bvmul (bvneg (_ bv1 32)) (bvadd x3 (bvmul (bvsdiv (_ bv1 32) (_ bv2 32)) ?lambdaprime))) (bvneg (_ bv20 32))))) (?v_102 (bvmul (bvneg (_ bv1 32)) (bvadd x4 (bvmul (_ bv20 32) ?lambdaprime))))) (and (and (bvsle (_ bv0 32) ?lambdaprime) (bvsle ?lambdaprime ?lambda)) (not (and (and (not (and bool.b17 (not (and ?v_101 (not (bvsle ?v_102 (bvneg (_ bv4100 32)))))))) (not (and bool.b18 (not (and ?v_101 (not (bvsle ?v_102 (bvneg (_ bv4500 32))))))))) (not (and bool.b19 (not (and ?v_101 (not (bvsle ?v_102 (bvneg (_ bv4910 32))))))))))))) (bvslt ?lambda (_ bv0 32))) (and (not (and (not (and (not (and ?v_1 (not (and ?v_14 (not (and (not (and ?v_21 (not (and (and ?v_1 (not (and ?v_22 (and ?v_8 (not (and (and ?v_23 (and ?v_5 (and ?v_7 (and ?v_25 (not (and (not ?v_45) (not (and ?v_11 (and ?v_27 (and ?v_32 (not (and ?v_16 (and ?v_14 ?v_33))))))))))))) ?v_46)))))) (not (and ?v_11 (and ?v_23 (and ?v_7 (not (and ?v_11 (and ?v_23 (not (and ?v_22 (and ?v_40 (and ?v_90 (not (and ?v_7 (and ?v_22 (and ?v_25 (and ?v_26 (not (and ?v_16 (and (not (and ?v_23 (and ?v_5 (and ?v_27 ?v_28)))) (not (and ?v_12 (and ?v_34 (and ?v_1 (not (and ?v_35 (not (and bool.b18 (and ?v_30 ?v_48)))))))))))))))))))))))))))))))) (and ?v_5 (and ?v_32 (not (and ?v_16 ?v_33)))))))))) (not (and ?v_12 (and ?v_26 (and ?v_34 (and ?v_1 (not (and ?v_16 (and ?v_9 (and ?v_35 (not (and bool.b18 (and ?v_30 (not (and (not ?v_47) (not ?v_42))))))))))))))))) (not (and ?v_19 (not (and ?v_26 (and ?v_1 (not (and ?v_16 (and ?v_71 (not (and bool.b18 (and ?v_30 (not (and (not (and ?v_41 (not (and ?v_76 ?v_58)))) (and (not (and ?v_19 ?v_42)) (not (and ?v_7 (not (and ?v_43 (and (not (and ?v_22 (and ?v_23 (not (and ?v_25 (not (and ?v_80 (and ?v_7 (and ?v_27 (not (and ?v_44 (not (and ?v_45 ?v_46))))))))))))) (not (and ?v_11 (and ?v_21 (not (and (not ?v_79) (not (and ?v_22 (not (and ?v_86 (and ?v_25 (not (and ?v_54 ?v_66))))))))))))))))))))))))))))))))) (not (and bool.b17 (not (and ?v_87 (not (and ?v_7 (not (and ?v_14 (and (not (and (not (and ?v_23 (and (not (and ?v_1 (not (and ?v_23 (not (and ?v_54 (not (and ?v_5 (and (not (and (and ?v_5 (and ?v_22 (and (and ?v_1 ?v_55) (not (and (not (and ?v_1 (and ?v_5 (not (and ?v_55 (not (and ?v_39 (and ?v_21 (and ?v_19 (and ?v_1 (and ?v_17 (and ?v_18 (and ?v_15 (and ?v_16 (not (and (not (and ?v_29 bool.b19)) (not ?v_72))))))))))))))))) (not (and ?v_7 (not (and ?v_19 (and ?v_58 (and ?v_61 (not (and ?v_17 (and ?v_18 (and ?v_15 (and ?v_16 (not (and ?v_84 ?v_74)))))))))))))))))) (not (and (not (and ?v_1 (not (and ?v_55 (not (and ?v_69 (and ?v_19 (and ?v_1 (and ?v_17 ?v_70))))))))) (and (not (and ?v_1 (and ?v_29 (not (and ?v_14 ?v_81))))) (not (and bool.b18 (not (and ?v_14 (not (and ?v_19 (and ?v_1 (and ?v_30 ?v_26))))))))))))) (and ?v_73 (and ?v_14 (not (and ?v_41 (not (and ?v_73 (not (and ?v_19 (and ?v_1 (and ?v_17 (and ?v_18 (and ?v_15 (and ?v_16 (and bool.b18 (and ?v_30 (not (and ?v_58 (and ?v_74 (not (and ?v_75 (not (and ?v_76 ?v_62))))))))))))))))))))))))))))))) (not (and ?v_17 (and ?v_18 (and ?v_15 (and ?v_16 (not (and (not ?v_77) (not (and ?v_65 (not (and (not ?v_78) (not (and ?v_1 (and bool.b18 (and ?v_30 ?v_79)))))))))))))))))) (not (and ?v_54 (and ?v_82 (not (and ?v_12 (and ?v_1 (and ?v_17 (and ?v_18 (and ?v_15 (and ?v_16 (not (and ?v_81 (not (and bool.b18 (and ?v_30 (not (and ?v_54 (and ?v_82 (and ?v_62 (not (and (not (and ?v_54 (not (and ?v_22 (not (and ?v_82 (and ?v_43 (not (and ?v_21 (not (and ?v_62 (and ?v_74 (not (and ?v_75 (not (and ?v_83 ?v_84)))))))))))))))) (not (and (not ?v_96) ?v_86))))))))))))))))))))))))) (not (and ?v_29 (not (and ?v_14 (not (and bool.b17 (not (and ?v_87 (not (and ?v_7 (and ?v_29 (and ?v_17 (and ?v_18 (and ?v_88 (and ?v_15 (and ?v_16 (and ?v_19 (not (and (not (and ?v_54 (not (and (not (and ?v_80 (not (and (not (and ?v_80 (not (and ?v_94 (not (and ?v_23 (and ?v_11 (and ?v_31 (and ?v_25 (not (and bool.b24 (and ?v_43 (not (and ?v_21 (not (and ?v_90 ?v_92)))))))))))))))) (not (and ?v_23 (and ?v_11 (and ?v_63 (and (not ?v_95) (not (and ?v_58 (not (and ?v_7 ?v_93))))))))))))) (and ?v_94 (not (and ?v_11 (and ?v_98 (not (and ?v_99 (and (not (and ?v_96 (and ?v_7 ?v_25))) (not (and ?v_97 ?v_48))))))))))))) (not (and ?v_49 (and ?v_65 (and ?v_98 (not (and ?v_99 (and (not (and ?v_100 (and ?v_85 ?v_63))) (not (and (and ?v_7 ?v_66) ?v_79))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
